GNU bug report logs - #40190
Linux-Libre 5.5.x

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vagrant Cascadian <vagrant@HIDDEN>; merged with #41795; dated Mon, 23 Mar 2020 04:09:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 40190 41795. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 9 Jun 2020 02:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 22:43:35 2020
Received: from localhost ([127.0.0.1]:58413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jiUEh-0005Cg-3b
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2020 22:43:35 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:48659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jiUEf-0005CU-68
 for 40190 <at> debbugs.gnu.org; Mon, 08 Jun 2020 22:43:33 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id D2B195C00A5;
 Mon,  8 Jun 2020 22:43:27 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Mon, 08 Jun 2020 22:43:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=+ra/SWXZBS5Z7wDvKDLwJLJb
 5R1QnhdIsanjbUHadZY=; b=1/BpPkybrJ2J+h7OfXqB1xyRi8AR5qEqBRRIpBIo
 IW2rXUJKHHmSPMgmHnvRz263Kx2wKQ45JhM8BPMb23Q7raqq1ptlWEmOr3dYndN5
 hHsaAvl77g9eaIJ2BZHkxldMkoP5GxnGsq1NaepPbTnXgLLo95O24Yv5yvH/T8MK
 3XM=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=+ra/SW
 XZBS5Z7wDvKDLwJLJb5R1QnhdIsanjbUHadZY=; b=FBzMaMyskTs/gMIIOkhimX
 b5ReGFWHTsau0BnN/taSOtBh9GFw04lH5VdQSJl4Z+VqCj6SK/K1+MaqaYQGN54D
 UMQYSGszEARwgbAVG6/3O+IHf6z3/b48Wai67Qmaymz5pVOFxLX6oCtX7KFDHfn1
 ZygA81BmPJCHJoBW/D99N9LDfRVTcAirHbHBfTaxBUITzSagGd5hnUEwkUGUgZhK
 T9DD5aT3ZjT5zFK7lX5MN/51TXeLom2lLSF47OqRwdJ0QnNwbtUXyUmt371txW31
 IQfMsizlmsmqUqlBllgBFyB9o7TmqBLR1f7EULbp2B5PAshm+4HmN+4t1dTfDYtA
 ==
X-ME-Sender: <xms:T_feXmk4bgjf18urTMU-N_zo8FEiGdzMlSHJtXsSpC7OgSH-LkAQjQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrudehfedgieegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehmtderredttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpeeitdeiuddvkeffteetueegfeelhedtkeevleelleekvedugeevgefhieffgedv
 teenucffohhmrghinhepkhgvrhhnvghlrdhorhhgnecukfhppeejiedruddvgedrudefke
 drieefnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhep
 lhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:T_feXt12XvRCuN4ebVVUBXkPrERQCPrxHtdPLeXJ3G-2Z1iLxjlwHQ>
 <xmx:T_feXkqCHxzjcwi1WgCOGTM8mhaeilpTJJ9S68GeJ42loEQQU9BwPw>
 <xmx:T_feXqlhlNXMWBMyRNJ3esd2MqALOVXGl03wk1uXL9Uhl8-OAPYUIg>
 <xmx:T_feXp_e-iSB2saZm4joGn6Tbk9jOsK6S8ZQxw_yyM35VjOhAXypwg>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 459353061856;
 Mon,  8 Jun 2020 22:43:27 -0400 (EDT)
Date: Mon, 8 Jun 2020 22:43:22 -0400
From: Leo Famulari <leo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: [bug#40190] Linux-Libre 5.6
Message-ID: <20200609024322.GA22658@HIDDEN>
References: <87mu87btng.fsf@yucca> <87mu7xg34t.fsf@ponder>
 <87h7y5g30m.fsf@ponder> <874ku5fkoq.fsf@ponder>
 <87369ovbpu.fsf@HIDDEN> <87tv24mnbo.fsf@ponder>
 <877dywno8o.fsf@ponder> <874ku0no5n.fsf@ponder>
 <87imhzb4sk.fsf@yucca> <87imhxud4b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="XsQoSWH+UP9D9v3l"
Content-Disposition: inline
In-Reply-To: <87imhxud4b.fsf@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 40190
Cc: Vagrant Cascadian <vagrant@HIDDEN>, Marius Bakke <mbakke@HIDDEN>,
 40190 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


--XsQoSWH+UP9D9v3l
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Fri, Apr 17, 2020 at 03:26:49PM -0400, Mark H Weaver wrote:
> However, I should say that for all previous kernel upgrades, I have
> taken the time to consider each of the new configuration options
> presented by "make oldconfig" and to try make a sensible choice for each
> one.  I have not found it sufficient to rely on the automatically
> selected choices, which very often default to "no" for modules that
> ought to be included, and occasionally default to "yes" for options that
> are contrary to our commitment to the GNU FSDG.

This is really helpful information about how you've managed our kernel
configs so far. Can you remember an example of a module that needed to
be disabled because it would make Guix not FSDG compliant? This could be
useful for anyone trying to learn how to take over this task.

> I will leave it up to the Guix maintainers to decide what to do if no
> one volunteers to take up the job of properly updating our default
> kernel configurations.

Okay. Our latest supported kernel is 5.4, which is an LTS kernel so we
have some time, although I think it's important that we don't wait too
long.

https://www.kernel.org/category/releases.html

To anyone who is interested in trying their hand at this:

There is a tool 'scripts/diffconfig' in the linux-libre source code that
makes it convenient to compare two configs. For example, one could
compare our version 4.9 and 5.4 configs to get an idea of what changed.

It would be easier to use the intermediate versions from our Git history
to see the changes at a more incremental pace.

For example, considering that our current kernel is version 5.4, I
compare it to the previous version 5.3:

------
$ git log gnu/packages/aux-files/linux-libre
... find the commit that added linux-libre 5.3 ...
$ git checkout 9e34a5f3b2d37c gnu/packages/aux-files/linux-libre/5.3-x86_64.conf
$ ~/src/linux-libre/scripts/diffconfig \
gnu/packages/aux-files/linux-libre/5.3-x86_64.conf \
gnu/packages/aux-files/linux-libre/5.4-x86_64.conf | wc -l
184
------

It's only 184 lines of changes (attached), which isn't so bad.

--XsQoSWH+UP9D9v3l
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="example-config.diff"

-CRYPTO_AEGIS128L m
-CRYPTO_AEGIS128L_AESNI_SSE2 m
-CRYPTO_AEGIS256 m
-CRYPTO_AEGIS256_AESNI_SSE2 m
-CRYPTO_AES_X86_64 m
-CRYPTO_MORUS1280 m
-CRYPTO_MORUS1280_AVX2 m
-CRYPTO_MORUS1280_GLUE m
-CRYPTO_MORUS1280_SSE2 m
-CRYPTO_MORUS640 m
-CRYPTO_MORUS640_GLUE m
-CRYPTO_MORUS640_SSE2 m
-DMA_DECLARE_COHERENT y
-DRM_HISI_HIBMC m
-DRM_TINYDRM n
-DSCC4 m
-DSCC4_PCISYNC y
-DSCC4_PCI_RST y
-EROFS_FAULT_INJECTION n
-EROFS_FS_IO_MAX_RETRIES 5
-EROFS_FS_USE_VM_MAP_RAM n
-FB_FLEX m
-FB_TFT m
-FB_TFT_AGM1264K_FL m
-FB_TFT_BD663474 m
-FB_TFT_FBTFT_DEVICE m
-FB_TFT_HX8340BN m
-FB_TFT_HX8347D m
-FB_TFT_HX8353D m
-FB_TFT_HX8357D m
-FB_TFT_ILI9163 m
-FB_TFT_ILI9320 m
-FB_TFT_ILI9325 m
-FB_TFT_ILI9340 m
-FB_TFT_ILI9341 m
-FB_TFT_ILI9481 m
-FB_TFT_ILI9486 m
-FB_TFT_PCD8544 m
-FB_TFT_RA8875 m
-FB_TFT_S6D02A1 m
-FB_TFT_S6D1121 m
-FB_TFT_SH1106 m
-FB_TFT_SSD1289 m
-FB_TFT_SSD1305 m
-FB_TFT_SSD1306 m
-FB_TFT_SSD1331 m
-FB_TFT_SSD1351 m
-FB_TFT_ST7735R m
-FB_TFT_ST7789V m
-FB_TFT_TINYLCD m
-FB_TFT_TLS8204 m
-FB_TFT_UC1611 m
-FB_TFT_UC1701 m
-FB_TFT_UPD161704 m
-FB_TFT_WATTEROTT m
-HYPERV_TSCPAGE y
-I2C_BCM2048 m
-IWLWIFI_PCIE_RTPM n
-KEXEC_VERIFY_SIG y
-MFD_CROS_EC_CHARDEV m
-MTD_M25P80 m
-NET_DSA_TAG_KSZ9477 m
-NET_DSA_TAG_KSZ_COMMON m
-NFSD_FAULT_INJECTION n
-RTC_DRV_BD70528 m
-SENSORS_ADS1015 m
-SERIAL_8250_MOXA m
-SGI_IOC4 m
-USB_RIO500 m
 FONTS n -> y
 HMM_MIRROR n -> y
 REMOTEPROC m -> n
+ADIN_PHY m
+ADIS16460 m
+ARCH_CPUIDLE_HALTPOLL y
+ASM_MODVERSIONS y
+ATH9K_PCI_NO_EEPROM m
+BLK_CGROUP_IOCOST y
+BLK_RQ_ALLOC_TIME y
+CAN_F81601 m
+CAN_J1939 m
+CAN_KVASER_PCIEFD m
+CAN_M_CAN_PLATFORM m
+CAN_M_CAN_TCAN4X5X m
+CPU_IDLE_GOV_HALTPOLL y
+CROS_EC m
+CROS_EC_CHARDEV m
+CRYPTO_DEV_CCP_DEBUGFS n
+CRYPTO_DEV_SAFEXCEL m
+CRYPTO_ESSIV m
+CRYPTO_LIB_AES y
+CRYPTO_LIB_DES m
+CRYPTO_LIB_SHA256 y
+DMABUF_SELFTESTS n
+DM_CLONE m
+DM_VERITY_VERIFY_ROOTHASH_SIG y
+DRM_AMDGPU_USERPTR y
+DRM_AMD_DC_DCN2_1 y
+DRM_GEM_CMA_HELPER y
+DRM_GM12U320 m
+DRM_KMS_CMA_HELPER y
+DRM_MIPI_DBI m
+EFI_RCI2_TABLE n
+EXFAT_DEBUG_MSG n
+EXFAT_DEFAULT_CODEPAGE 437
+EXFAT_DEFAULT_IOCHARSET "utf8"
+EXFAT_DELAYED_SYNC n
+EXFAT_DISCARD y
+EXFAT_DONT_MOUNT_VFAT y
+EXFAT_FS m
+EXFAT_KERNEL_DEBUG n
+FONT_10x18 n
+FONT_6x10 y
+FONT_6x11 n
+FONT_7x14 n
+FONT_ACORN_8x8 n
+FONT_MINI_4x6 n
+FONT_PEARL_8x8 n
+FONT_SUN12x22 n
+FONT_SUN8x16 n
+FONT_TER16x32 y
+FS_VERITY y
+FS_VERITY_BUILTIN_SIGNATURES n
+FS_VERITY_DEBUG n
+HALTPOLL_CPUIDLE m
+HAVE_ASM_MODVERSIONS y
+HID_CREATIVE_SB0540 m
+IIO_ST_LSM6DSX_I3C m
+IMA_APPRAISE_MODSIG n
+IONIC m
+JOYSTICK_FSIA6B m
+KEXEC_SIG n
+MAX5432 m
+MFD_CROS_EC_DEV m
+MLX5_SW_STEERING y
+MMC_SDHCI_IO_ACCESSORS y
+MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS n
+MTD_NAND_MXIC m
+NET_DSA_MICROCHIP_KSZ8795 m
+NET_DSA_MICROCHIP_KSZ8795_SPI m
+NET_DSA_MICROCHIP_KSZ9477_I2C m
+NET_DSA_SJA1105_TAS n
+NET_TC_SKB_EXT n
+NET_VENDOR_PENSANDO y
+NOA1305 m
+PCI_HYPERV_INTERFACE m
+RANDOM_TRUST_BOOTLOADER n
+READ_ONLY_THP_FOR_FS n
+REGMAP_I3C m
+SECURITY_LOCKDOWN_LSM n
+SENSORS_AS370 m
+SENSORS_INSPUR_IPSPS m
+SERIAL_8250_DWLIB y
+SERIAL_FSL_LINFLEXUART m
+SND_HDA_INTEL_DETECT_DMIC n
+SND_INTEL_NHLT m
+SND_SOC_INTEL_CML_LP_DA7219_MAX98357A_MACH m
+SND_SOC_INTEL_DA7219_MAX98357A_GENERIC m
+SND_SOC_SOF_ELKHARTLAKE m
+SND_SOC_SOF_ELKHARTLAKE_SUPPORT y
+SND_SOC_SOF_HDA_ALWAYS_ENABLE_DMI_L1 n
+SND_SOC_SOF_TIGERLAKE m
+SND_SOC_SOF_TIGERLAKE_SUPPORT y
+SND_SOC_UDA1334 m
+TINYDRM_HX8357D m
+TINYDRM_ILI9225 m
+TINYDRM_ILI9341 m
+TINYDRM_MI0283QT m
+TINYDRM_REPAPER m
+TINYDRM_ST7586 m
+TINYDRM_ST7735R m
+USB_CDNS3 m
+USB_CDNS3_GADGET n
+USB_CDNS3_HOST n
+USB_CDNS3_PCI_WRAP m
+USB_CONN_GPIO m
+VIDEO_OV5675 m
+VIDEO_V4L2_I2C y
+VIRTIO_FS m
+W1_MASTER_SGI m
+W1_SLAVE_DS250X m
+X86_INTEL_TSX_MODE_AUTO n
+X86_INTEL_TSX_MODE_OFF y
+X86_INTEL_TSX_MODE_ON n

--XsQoSWH+UP9D9v3l--




Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 8 Jun 2020 20:46:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 16:46:18 2020
Received: from localhost ([127.0.0.1]:58027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jiOew-0004qJ-GF
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2020 16:46:18 -0400
Received: from cascadia.aikidev.net ([173.255.214.101]:36384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vagrant@HIDDEN>) id 1jiOev-0004q6-MV
 for 40190 <at> debbugs.gnu.org; Mon, 08 Jun 2020 16:46:18 -0400
Received: from localhost (unknown [IPv6:2600:3c01:e000:21:21:21:0:100e])
 (Authenticated sender: vagrant@HIDDEN)
 by cascadia.aikidev.net (Postfix) with ESMTPSA id 85A2B1AA50;
 Mon,  8 Jun 2020 13:46:11 -0700 (PDT)
From: Vagrant Cascadian <vagrant@HIDDEN>
To: guix-devel@HIDDEN
Subject: Re: [bug#40190] Linux-Libre 5.7
In-Reply-To: <87imhxud4b.fsf@HIDDEN>
References: <87k13gqhrw.fsf@ponder> <87sgi0le3g.fsf@ponder>
 <87mu87btng.fsf@yucca> <87mu7xg34t.fsf@ponder> <87h7y5g30m.fsf@ponder>
 <874ku5fkoq.fsf@ponder> <87369ovbpu.fsf@HIDDEN> <87tv24mnbo.fsf@ponder>
 <877dywno8o.fsf@ponder> <874ku0no5n.fsf@ponder> <87imhzb4sk.fsf@yucca>
 <87imhxud4b.fsf@HIDDEN>
Date: Mon, 08 Jun 2020 13:46:03 -0700
Message-ID: <87o8ptffqs.fsf@ponder>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40190
Cc: Mark H Weaver <mhw@HIDDEN>, Marius Bakke <mbakke@HIDDEN>,
 40190 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

On 2020-04-17, Mark H Weaver wrote:
> Vagrant Cascadian <vagrant@HIDDEN> wrote:
>> I think the patcset now needs some minor updates to apply to master, but
>> just wondering when we could consider switching to 5.6... ?
>
> I do not wish to be a blocker on this, and moreover I would welcome it
> if someone else would step up to take over maintenance of our kernel
> packages.

Thanks for all your work!

I've just pushed the source update for 5.7.1 (and packages for
linux-libre-arm*-generic)...


> However, I should say that for all previous kernel upgrades, I have
> taken the time to consider each of the new configuration options
> presented by "make oldconfig" and to try make a sensible choice for each
> one.  I have not found it sufficient to rely on the automatically
> selected choices, which very often default to "no" for modules that
> ought to be included, and occasionally default to "yes" for options that
> are contrary to our commitment to the GNU FSDG.
>
> I will leave it up to the Guix maintainers to decide what to do if no
> one volunteers to take up the job of properly updating our default
> kernel configurations.

I still do not have the the time, ability or confidence to review
updating the configs for multiple architectures...

I wasn't able to produce a working config for 5.7.x on x86_64 (issues
with graphics on intel prevented sway from loading), let alone one that
has been scrutinized for correctness in terms of GNU FSDG.

Can anyone else step in to help with reviewing kernel config updates?

Alternately, is it plausible to work out a blacklist/whitelist feature
for options that can get updated more dynamically that a whole kernel
config? That's well outside my skillset in terms of guile, but that
might be a more maintainable option for the future...


live well,
  vagrant

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQRlgHNhO/zFx+LkXUXcUY/If5cWqgUCXt6jjQAKCRDcUY/If5cW
qsV4AQDpvpq6R4sSdCFcaGLseh9pB5UCRxkD7pjoIF2b8OGGFQD/ZaveAoHy+xEM
kh++9DMeEdZs2EaT5Qd+QOJ5oh0V5w0=
=6j/J
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 17 Apr 2020 19:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 17 15:28:41 2020
Received: from localhost ([127.0.0.1]:41699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPWfJ-0002KT-6f
	for submit <at> debbugs.gnu.org; Fri, 17 Apr 2020 15:28:41 -0400
Received: from world.peace.net ([64.112.178.59]:49302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1jPWfG-0002KC-QT
 for 40190 <at> debbugs.gnu.org; Fri, 17 Apr 2020 15:28:39 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1jPWfA-0002Rx-Io; Fri, 17 Apr 2020 15:28:32 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Vagrant Cascadian <vagrant@HIDDEN>
Subject: Re: [bug#40190] Linux-Libre 5.6
In-Reply-To: <87imhzb4sk.fsf@yucca>
References: <87k13gqhrw.fsf@ponder> <87sgi0le3g.fsf@ponder>
 <87mu87btng.fsf@yucca> <87mu7xg34t.fsf@ponder> <87h7y5g30m.fsf@ponder>
 <874ku5fkoq.fsf@ponder> <87369ovbpu.fsf@HIDDEN>
 <87tv24mnbo.fsf@ponder> <877dywno8o.fsf@ponder>
 <874ku0no5n.fsf@ponder> <87imhzb4sk.fsf@yucca>
Date: Fri, 17 Apr 2020 15:26:49 -0400
Message-ID: <87imhxud4b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40190
Cc: Marius Bakke <mbakke@HIDDEN>, 40190 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Vagrant Cascadian <vagrant@HIDDEN> wrote:
> I think the patcset now needs some minor updates to apply to master, but
> just wondering when we could consider switching to 5.6... ?

I do not wish to be a blocker on this, and moreover I would welcome it
if someone else would step up to take over maintenance of our kernel
packages.

However, I should say that for all previous kernel upgrades, I have
taken the time to consider each of the new configuration options
presented by "make oldconfig" and to try make a sensible choice for each
one.  I have not found it sufficient to rely on the automatically
selected choices, which very often default to "no" for modules that
ought to be included, and occasionally default to "yes" for options that
are contrary to our commitment to the GNU FSDG.

I will leave it up to the Guix maintainers to decide what to do if no
one volunteers to take up the job of properly updating our default
kernel configurations.

     Thanks,
       Mark




Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 16 Apr 2020 19:37:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 15:37:43 2020
Received: from localhost ([127.0.0.1]:39432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPAKV-0004vd-15
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 15:37:43 -0400
Received: from cascadia.aikidev.net ([173.255.214.101]:56642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vagrant@HIDDEN>) id 1jPAKT-0004vN-4A
 for 40190 <at> debbugs.gnu.org; Thu, 16 Apr 2020 15:37:41 -0400
Received: from localhost (unknown [IPv6:2600:3c01:e000:21:21:21:0:100b])
 (Authenticated sender: vagrant@HIDDEN)
 by cascadia.aikidev.net (Postfix) with ESMTPSA id 074B41A9BD;
 Thu, 16 Apr 2020 12:37:34 -0700 (PDT)
From: Vagrant Cascadian <vagrant@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: [bug#40190] Linux-Libre 5.6
In-Reply-To: <874ku0no5n.fsf@ponder>
References: <87k13gqhrw.fsf@ponder> <87sgi0le3g.fsf@ponder>
 <87mu87btng.fsf@yucca> <87mu7xg34t.fsf@ponder> <87h7y5g30m.fsf@ponder>
 <874ku5fkoq.fsf@ponder> <87369ovbpu.fsf@HIDDEN> <87tv24mnbo.fsf@ponder>
 <877dywno8o.fsf@ponder> <874ku0no5n.fsf@ponder>
Date: Thu, 16 Apr 2020 12:37:31 -0700
Message-ID: <87imhzb4sk.fsf@yucca>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40190
Cc: Marius Bakke <mbakke@HIDDEN>, 40190 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

On 2020-04-03, Vagrant Cascadian wrote:
> On 2020-04-03, Vagrant Cascadian wrote:
>> Attached are the remaining patches to switch it to the default.
>
> At least, it is attached now...

Ping?

I think the patcset now needs some minor updates to apply to master, but
just wondering when we could consider switching to 5.6... ?


live well,
  vagrant

> From c0200684371c8126b5b6579c16f8d71aa19ea44c Mon Sep 17 00:00:00 2001
> From: Vagrant Cascadian <vagrant@HIDDEN>
> Date: Fri, 3 Apr 2020 22:08:50 +0000
> Subject: [PATCH 1/2] gnu: linux-libre: Update to 5.6.
>
> * gnu/packages/linux (linux-libre-version, linux-libre-pristine-source,
>   linux-libre-source, linux-libre): Update to 5.6.
>   (linux-libre-arm-generic-5.4, linux-libre-arm-omap2plus-5.4,
>   linux-libre-arm64-generic-5.4, linux-libre-riscv64-generic-5.4,
>   linux-libre-arm64-generic-5.4): New variables.
>   (linux-libre-arm-generic-5.6, linux-libre-arm64-generic-5.6): Remove
>   obsolete variables.
> * gnu/packages/aux-files/linux-libre/5.6-arm.conf: New file.
> * gnu/packages/aux-files/linux-libre/5.6-arm64.conf: New file.
> * gnu/packages/aux-files/linux-libre/5.6-i686.conf: New file.
> * gnu/packages/aux-files/linux-libre/5.6-x86_64.conf: New file.
> * Makefile.am (AUX_FILES): Update accordingly.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQRlgHNhO/zFx+LkXUXcUY/If5cWqgUCXpiz+wAKCRDcUY/If5cW
qvdmAPkBjuCoy7m0P6J/Tl02LFzRVnRPdEMSJLpjGxPdC++OqAEAw/iIcPna5fps
HeBnhBBylter8jZANT1+lxyAcAs1cg0=
=cjhM
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 6 Apr 2020 11:02:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 06 07:02:05 2020
Received: from localhost ([127.0.0.1]:47236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLPW1-00048X-3a
	for submit <at> debbugs.gnu.org; Mon, 06 Apr 2020 07:02:05 -0400
Received: from tobias.gr ([80.241.217.52]:46968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jLPVy-00047z-K3
 for 40190 <at> debbugs.gnu.org; Mon, 06 Apr 2020 07:02:03 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 0c5a06f8;
 Mon, 6 Apr 2020 11:02:00 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=XDt2ziEcQTxC9kmpPkFboY
 8CoL9AO99PtN+uRJl6zlI=; b=kdjtjptVQfp9YWjz9O8RaFHR9EvihKEJz+QoX2
 0zbuwqGZeaqF+aNgzuo9ZRTY1lS8UECRWbpbnoQAiTCN9+QKJj01RmZX3ewgmJO8
 fSY/Af04QDf/rT0cNGlpUzxxcgjGq5Snyaob2hix5eseP2qGtYC8QT7ntEj8lo2h
 JcZbnyyoa4V+LR57R1m/qNXzBAzbMulggotFNtEv5RLxV2uwIk2MnUvGF2pdCF+6
 KS2Crexw3VWGM7TmhdJMRMnZBNptUqwEdTXGgKkz6BeY4aXKCVPe8wagsiEutdyc
 MVqye7U0EjCqKAyyVDpI7PBTPEJ9b8CNPicqSzvqcnPcTVaw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 42bf5c70
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 6 Apr 2020 11:02:00 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>, 40190 <at> debbugs.gnu.org
Subject: Re: [bug#40190] v4l2loopback module builds with 5.4 but not 5.6
References: <53a0dc74-0cf2-2e08-a2b0-fb6de0260080@HIDDEN>
 <e1125357-568a-18a7-7277-a489714b4deb@HIDDEN>
In-reply-to: <e1125357-568a-18a7-7277-a489714b4deb@HIDDEN>
Date: Mon, 06 Apr 2020 13:01:59 +0200
Message-ID: <877dys3mjc.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40190
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Brendan,

Brendan Tildesley =E5=86=99=E9=81=93=EF=BC=9A
> I just made a package definition for v4l2loopback. It built=20
> perfectly
> fine with Linux 5.4, but when i switched to 5.6.2 with the patch=20
> that
> sets it to default, suddenly I get this error below. I was=20
> wondering
> if anyone can tell if this is likely my fault, a guix bug with=20
> 5.6, or
> an upstream bug I should report there? Thanks.

This is normal for kernel modules, which are expected to keep up=20
with upstream kernel development.  It's already fixed upstream:

https://github.com/umlaeute/v4l2loopback/commit/54ef8e99720cbb447ad8e0d598e=
e05580b485391

It might apply cleanly to 0.12.3.

Kind regards,

T G-R

PS: Don't rely on mutable GitHub /archive/ tarballs, use GIT-FETCH=20
instead.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl6LDCcACgkQ2Imw8BjF
STx+Ow/+N3LQK44C7E0wp9z63knhPSLpKjXXAh7ipwDE7aBs62VXGEFJyLa7kSWg
qA4XjFhc3VYcAmCG1QLvUi8GX/hMvzrBSGY+m7sAb5UpA1P760FpIY9DJenbsyVa
DgHZ42grF4vmScsq2XAf5Ek7mjNl00UE6HJKFRczEIVHgbJmQL9Z0gcOyVG+PB2G
7dpiq3V/4mpZavQuKK3kMx2xBPccSQvGVbhn6+Dl6bP937jRi8ACKoaAgFQ+tM6V
XLjRweRrK39oLPk8LleahHpEKn8TF92M+Y8Mgc44rwiFWTuBuRuIGun5OIU0nvFo
Pe5vnOD1gNxeDlBgxgNIqFGC8Ho0M5sCjinlB6e5qj+50ZeiD163Euq3WjhIyZAF
Qdu9niyOWbr3l3HWlgvu/UEFVh3W1Zy7gEHx9qUoohgTKKflqqhsaPkcJGeIMTKl
3bEZ072Z25gTXv4eJcsPPRPoiJMj0Y/G0Gbxx/EX8wsH5yk5+OdBAZB8CFZGEel2
4lwfj1IC6BfGRZ0o+hBxdmxZwn9iTUVNxiizfbqGwdEIemVWS8s2sSTxg1N4WInX
f0mVR2PxegG4bO7I3MsyoSvW/e+eDH5sAXFoqgIEak9YsOo04WQEyxC8EDz57oMz
tPjrwAo0RSs04LA3nSinnRED7iVOo1uHsSjeC08goDEKfJk/9wM=
=8tTo
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 6 Apr 2020 10:46:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 06 06:46:25 2020
Received: from localhost ([127.0.0.1]:47223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLPGr-000393-9A
	for submit <at> debbugs.gnu.org; Mon, 06 Apr 2020 06:46:25 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:44846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1jLPGk-00038R-KF
 for 40190 <at> debbugs.gnu.org; Mon, 06 Apr 2020 06:46:24 -0400
Received: from localhost (unknown [185.128.244.187])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id A6E233367A6C;
 Mon,  6 Apr 2020 12:46:16 +0200 (CEST)
Date: Mon, 6 Apr 2020 12:46:14 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#40190] v4l2loopback module builds with 5.4 but not 5.6
Message-ID: <20200406124614.0a27cb21@HIDDEN>
In-Reply-To: <e1125357-568a-18a7-7277-a489714b4deb@HIDDEN>
References: <53a0dc74-0cf2-2e08-a2b0-fb6de0260080@HIDDEN>
 <e1125357-568a-18a7-7277-a489714b4deb@HIDDEN>
X-Mailer: Claws Mail 3.17.5 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/eqr24CiuK7L.ZkdXPFCwQAZ";
 protocol="application/pgp-signature"; micalg=pgp-sha256
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40190
Cc: 40190 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/eqr24CiuK7L.ZkdXPFCwQAZ
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

struct timeval is a 32 bit time.  The Linux kernel has been made year 2038 =
safe
and thus struct timeval is gone now.

The author of the module should use ktime_t instead.

See also https://patchwork.kernel.org/patch/6472551/

--Sig_/eqr24CiuK7L.ZkdXPFCwQAZ
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl6LCHYACgkQ5xo1VCww
uqXCagf/RQB6xfEWVbw5Gakmk8pnDeqFnTZy4Wfmq9EHspkIGxFd6cXj4agz5Tb1
4/I9E6rqdJtbGTA5LgeLO6iE/MooIeTNncAdTCmF2fwzZ48WvBkHyqFMCdfocRCq
xxynUI3qA+umofKyksn7R19ukKgoSZG2O4X4k+De6ouROAi3CJiKi4L8B0acpfXY
f9meEbDHAgXubSaPL8Pue9TbuwFeJckq/4KcuN9SL7tY/tN+mSF139LMdaEtYPIa
ReHRnCOd6MhwnAb3GxTS6JsFUMQejg9cmy9RVgtQNjVIJ4oVTbbQp/VFFvV2GDGc
c+mdCeaJ0UcDumwiO8lRtW1aRbi+ew==
=KnMf
-----END PGP SIGNATURE-----

--Sig_/eqr24CiuK7L.ZkdXPFCwQAZ--




Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 6 Apr 2020 10:38:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 06 06:38:25 2020
Received: from localhost ([127.0.0.1]:47219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLP97-0002dJ-BC
	for submit <at> debbugs.gnu.org; Mon, 06 Apr 2020 06:38:25 -0400
Received: from mout-p-103.mailbox.org ([80.241.56.161]:50988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jLP94-0002d1-MF
 for 40190 <at> debbugs.gnu.org; Mon, 06 Apr 2020 06:38:23 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 48wn7X1gXPzKmQd
 for <40190 <at> debbugs.gnu.org>; Mon,  6 Apr 2020 12:38:16 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1586169494;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=DT0uvZO1mRX8AUaDqZG7KSYeq0dhQB31CNqK3fjFHug=;
 b=c7oxeUGsCuNbWIzqSLm22taa7p1+Q+qu7TB2BgIibnKkgx6sGDApzveC7cR8hCqKzk4I2s
 OhRKrGX/HcBydjjQTqz5snd3oWDOZgc/ITl/tuGSZGLK8XmVEWUmhEj03y3CYeLDuqCOVs
 wx8XcI0SZkanNzZcwlL5ndqms+GqOefMBu7kcvwYvL1vD+z5qnQwZU19ypT0GKguxEFueu
 La95IIkGn8v6wgTh1Coo7rHUfcYyBhWFZ/XwJOAoj30aBJaSunRXSDr0C/dcs5IBfOY/GG
 MUHfqYNJP+4ZZnmWuHquVsaa2cx9xq2PnZSC5/uYBSa0eQJsv2MxVtGtWYFiKA==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by hefe.heinlein-support.de (hefe.heinlein-support.de [91.198.250.172])
 (amavisd-new, port 10030)
 with ESMTP id C1KFJXc1iA47 for <40190 <at> debbugs.gnu.org>;
 Mon,  6 Apr 2020 12:38:12 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 40190 <at> debbugs.gnu.org
References: <53a0dc74-0cf2-2e08-a2b0-fb6de0260080@HIDDEN>
Subject: v4l2loopback module builds with 5.4 but not 5.6
Message-ID: <e1125357-568a-18a7-7277-a489714b4deb@HIDDEN>
Date: Mon, 6 Apr 2020 20:38:06 +1000
MIME-Version: 1.0
In-Reply-To: <53a0dc74-0cf2-2e08-a2b0-fb6de0260080@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Rspamd-Queue-Id: 0A9431761
X-Rspamd-Score: -5.61 / 15.00 / 15.00
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40190
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I just made a package definition for v4l2loopback. It built perfectly 
fine with Linux 5.4, but when i switched to 5.6.2 with the patch that 
sets it to default, suddenly I get this error below. I was wondering if 
anyone can tell if this is likely my fault, a guix bug with 5.6, or an 
upstream bug I should report there? Thanks.

In linux.scm:

(define-public v4l2loopback
   (package
        (name "v4l2loopback")
        (version "0.12.3")
        (source (origin
                  (method url-fetch)
                  (uri (string-append
"https://github.com/umlaeute/v4l2loopback/archive/v"
                        version".tar.gz"))
                  (file-name (string-append name "-" version))
                  (sha256
                   (base32
"1fkhxxj9i5d25ak7afkph1jp47d9bcngs9kwapgwhpl6h15v2srz"))))
        (build-system linux-module-build-system)
        (arguments
         `(#:tests? #f))
        (home-page "https://github.com/umlaeute/v4l2loopback")
        (synopsis "Create V4L2 loopback devices")
        (description "")
        (license license:gpl2)))

Error:


make: Entering directory 
'/gnu/store/swjg0hczahmhjph3na8czrwf5lzgp1z0-linux-libre-module-builder-5.6.2/lib/modules/build'
   AR 
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/built-in.a
   CC [M] 
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.o
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:137:47: 
warning: 'struct timeval' declared inside parameter list will not be 
visible outside of this definition or declaration
  static inline void v4l2l_get_timestamp(struct timeval *tv) {
                                                ^~~~~~~
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c: 
In function 'v4l2l_get_timestamp':
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:147:4: 
error: dereferencing pointer to incomplete type 'struct timeval'
   tv->tv_sec = (time_t)ts.tv_sec;
     ^~
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:147:16: 
error: 'time_t' undeclared (first use in this function); did you mean 
'ktime_t'?
   tv->tv_sec = (time_t)ts.tv_sec;
                 ^~~~~~
                 ktime_t
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:147:16: 
note: each undeclared identifier is reported only once for each function 
it appears in
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:147:23: 
error: expected ';' before 'ts'
   tv->tv_sec = (time_t)ts.tv_sec;
                        ^~
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c: 
In function 'vidioc_qbuf':
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:1523:24: 
error: passing argument 1 of 'v4l2l_get_timestamp' from incompatible 
pointer type [-Werror=incompatible-pointer-types]
     v4l2l_get_timestamp(&b->buffer.timestamp);
                         ^
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:137:20: 
note: expected 'struct timeval *' but argument is of type 'struct 
__kernel_v4l2_timeval *'
  static inline void v4l2l_get_timestamp(struct timeval *tv) {
                     ^~~~~~~~~~~~~~~~~~~
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c: 
In function 'v4l2_loopback_write':
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:1950:22: 
error: passing argument 1 of 'v4l2l_get_timestamp' from incompatible 
pointer type [-Werror=incompatible-pointer-types]
   v4l2l_get_timestamp(&b->timestamp);
                       ^
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:137:20: 
note: expected 'struct timeval *' but argument is of type 'struct 
__kernel_v4l2_timeval *'
  static inline void v4l2l_get_timestamp(struct timeval *tv) {
                     ^~~~~~~~~~~~~~~~~~~
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c: 
In function 'init_buffers':
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:2055:23: 
error: passing argument 1 of 'v4l2l_get_timestamp' from incompatible 
pointer type [-Werror=incompatible-pointer-types]
    v4l2l_get_timestamp(&b->timestamp);
                        ^
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.c:137:20: 
note: expected 'struct timeval *' but argument is of type 'struct 
__kernel_v4l2_timeval *'
  static inline void v4l2l_get_timestamp(struct timeval *tv) {
                     ^~~~~~~~~~~~~~~~~~~
cc1: some warnings being treated as errors
make[1]: *** [scripts/Makefile.build:268: 
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3/v4l2loopback.o] 
Error 1
make: *** [Makefile:1683: 
/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3] Error 2
make: Leaving directory 
'/gnu/store/swjg0hczahmhjph3na8czrwf5lzgp1z0-linux-libre-module-builder-5.6.2/lib/modules/build'
command "make" "-C" 
"/gnu/store/swjg0hczahmhjph3na8czrwf5lzgp1z0-linux-libre-module-builder-5.6.2/lib/modules/build" 
"M=/tmp/guix-build-v4l2loopback-0.12.3.drv-0/v4l2loopback-0.12.3" failed 
with status 2
builder for 
`/gnu/store/6zj7agvr4f4yy1121k5i3zc76bkgkzay-v4l2loopback-0.12.3.drv' 
failed with exit code 1
build of 
/gnu/store/6zj7agvr4f4yy1121k5i3zc76bkgkzay-v4l2loopback-0.12.3.drv failed





Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 6 Apr 2020 04:13:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 06 00:13:09 2020
Received: from localhost ([127.0.0.1]:47030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLJ8H-0005Kc-N8
	for submit <at> debbugs.gnu.org; Mon, 06 Apr 2020 00:13:09 -0400
Received: from mout-p-103.mailbox.org ([80.241.56.161]:43342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jLJ8F-0005Jp-3R
 for 40190 <at> debbugs.gnu.org; Mon, 06 Apr 2020 00:13:07 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 48wcb05bvWzKmQd
 for <40190 <at> debbugs.gnu.org>; Mon,  6 Apr 2020 06:13:00 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1586146378;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=HXKGLRt0lwE7oIDWjH7UK/7wQkpT08kJHM/zV3oCWYg=;
 b=Av+sCLvdFPqiR1jhPc0+HKIqLPtD/+VskkhcvDCn61A5VqiUF96b8lFxvBYaE3Uyts3MU9
 G0dWzz4bFF1CTe25nqK659NJcwzKxxN731IxensLmphmK3j9cxKe8znyaXUjDfy+RV+bNl
 FGDrILaimAZYSIamz5Yh4M6ncLP44m+3sbcPSb6Rw05pHS7OncWNV7NcfBF36dZDhPW56c
 6GyHjqj9PrJGihOyMt7Q3wwLYY17sV0hJuMa9rjnBByJe808/SThki1ES0Gb/mUdjMrESS
 VyoccgDIObWN5wVkPzLy/c+3HnTemsoMvv5S8jVK+VG0Zxp+Nn6xD84ogEtPmQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id VDwkvqd9qwnv for <40190 <at> debbugs.gnu.org>;
 Mon,  6 Apr 2020 06:12:56 +0200 (CEST)
To: 40190 <at> debbugs.gnu.org
From: Brendan Tildesley <mail@HIDDEN>
Subject: Works for me
Message-ID: <53a0dc74-0cf2-2e08-a2b0-fb6de0260080@HIDDEN>
Date: Mon, 6 Apr 2020 14:12:51 +1000
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Rspamd-Queue-Id: 78F3C17ED
X-Rspamd-Score: -5.16 / 15.00 / 15.00
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40190
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I have applied the patch setting 5.6 to default at: 
https://issues.guix.gnu.org/issue/40190#8

and reconfigured. My system is working fine and it even fixed my broken 
external webcam issue that was fixed in 5.5.


Thanks you for your hard work ;)





Information forwarded to guix-patches@HIDDEN:
bug#40190; Package guix-patches. Full text available.

Message received at 40190 <at> debbugs.gnu.org:


Received: (at 40190) by debbugs.gnu.org; 3 Apr 2020 23:30:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 19:30:46 2020
Received: from localhost ([127.0.0.1]:43328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKVlu-000137-0e
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 19:30:46 -0400
Received: from cascadia.aikidev.net ([173.255.214.101]:42740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vagrant@HIDDEN>) id 1jKVlq-00012K-Nr
 for 40190 <at> debbugs.gnu.org; Fri, 03 Apr 2020 19:30:43 -0400
Received: from localhost (71-34-65-38.ptld.qwest.net [71.34.65.38])
 (Authenticated sender: vagrant@HIDDEN)
 by cascadia.aikidev.net (Postfix) with ESMTPSA id F34A01A9BD;
 Fri,  3 Apr 2020 16:30:32 -0700 (PDT)
From: Vagrant Cascadian <vagrant@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>, 40190 <at> debbugs.gnu.org
Subject: Re: [bug#40190] Linux-Libre 5.6
In-Reply-To: <877dywno8o.fsf@ponder>
References: <87k13gqhrw.fsf@ponder> <87sgi0le3g.fsf@ponder>
 <87mu87btng.fsf@yucca> <87mu7xg34t.fsf@ponder> <87h7y5g30m.fsf@ponder>
 <874ku5fkoq.fsf@ponder> <87369ovbpu.fsf@HIDDEN> <87tv24mnbo.fsf@ponder>
 <877dywno8o.fsf@ponder>
Date: Fri, 03 Apr 2020 16:29:56 -0700
Message-ID: <874ku0no5n.fsf@ponder>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Debbugs-Envelope-To: 40190
Cc: Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

On 2020-04-03, Vagrant Cascadian wrote:
> Attached are the remaining patches to switch it to the default.

At least, it is attached now...


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-gnu-linux-libre-Update-to-5.6.patch
Content-Transfer-Encoding: quoted-printable

From=20c0200684371c8126b5b6579c16f8d71aa19ea44c Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <vagrant@HIDDEN>
Date: Fri, 3 Apr 2020 22:08:50 +0000
Subject: [PATCH 1/2] gnu: linux-libre: Update to 5.6.

* gnu/packages/linux (linux-libre-version, linux-libre-pristine-source,
  linux-libre-source, linux-libre): Update to 5.6.
  (linux-libre-arm-generic-5.4, linux-libre-arm-omap2plus-5.4,
  linux-libre-arm64-generic-5.4, linux-libre-riscv64-generic-5.4,
  linux-libre-arm64-generic-5.4): New variables.
  (linux-libre-arm-generic-5.6, linux-libre-arm64-generic-5.6): Remove
  obsolete variables.
* gnu/packages/aux-files/linux-libre/5.6-arm.conf: New file.
* gnu/packages/aux-files/linux-libre/5.6-arm64.conf: New file.
* gnu/packages/aux-files/linux-libre/5.6-i686.conf: New file.
* gnu/packages/aux-files/linux-libre/5.6-x86_64.conf: New file.
* Makefile.am (AUX_FILES): Update accordingly.
=2D--
 Makefile.am                                   |     4 +
 .../aux-files/linux-libre/5.6-arm.conf        |  9379 ++++++++++++++
 .../aux-files/linux-libre/5.6-arm64.conf      |  9347 ++++++++++++++
 .../aux-files/linux-libre/5.6-i686.conf       | 10317 ++++++++++++++++
 .../aux-files/linux-libre/5.6-x86_64.conf     | 10270 +++++++++++++++
 gnu/packages/linux.scm                        |    41 +-
 6 files changed, 39344 insertions(+), 14 deletions(-)
 create mode 100644 gnu/packages/aux-files/linux-libre/5.6-arm.conf
 create mode 100644 gnu/packages/aux-files/linux-libre/5.6-arm64.conf
 create mode 100644 gnu/packages/aux-files/linux-libre/5.6-i686.conf
 create mode 100644 gnu/packages/aux-files/linux-libre/5.6-x86_64.conf

diff --git a/Makefile.am b/Makefile.am
index 344ecdbc42..b8515c813a 100644
=2D-- a/Makefile.am
+++ b/Makefile.am
@@ -321,6 +321,10 @@ dist_noinst_DATA =3D				\
 AUX_FILES =3D						\
   gnu/packages/aux-files/chromium/master-preferences.json		\
   gnu/packages/aux-files/emacs/guix-emacs.el		\
+  gnu/packages/aux-files/linux-libre/5.6-arm.conf	\
+  gnu/packages/aux-files/linux-libre/5.6-arm64.conf	\
+  gnu/packages/aux-files/linux-libre/5.6-i686.conf	\
+  gnu/packages/aux-files/linux-libre/5.6-x86_64.conf	\
   gnu/packages/aux-files/linux-libre/5.4-arm.conf	\
   gnu/packages/aux-files/linux-libre/5.4-arm64.conf	\
   gnu/packages/aux-files/linux-libre/5.4-i686.conf	\
diff --git a/gnu/packages/aux-files/linux-libre/5.6-arm.conf b/gnu/packages=
/aux-files/linux-libre/5.6-arm.conf
new file mode 100644
index 0000000000..a54228643b
=2D-- /dev/null
+++ b/gnu/packages/aux-files/linux-libre/5.6-arm.conf
@@ -0,0 +1,9379 @@
+#
+# Automatically generated file; DO NOT EDIT.
+# Linux/arm 5.4.5 Kernel Configuration
+#
+
+#
+# Compiler: gcc (GCC) 7.4.0
+#
+CONFIG_CC_IS_GCC=3Dy
+CONFIG_GCC_VERSION=3D70400
+CONFIG_CLANG_VERSION=3D0
+CONFIG_CC_CAN_LINK=3Dy
+CONFIG_CC_HAS_ASM_GOTO=3Dy
+CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=3Dy
+CONFIG_IRQ_WORK=3Dy
+CONFIG_BUILDTIME_EXTABLE_SORT=3Dy
+
+#
+# General setup
+#
+CONFIG_INIT_ENV_ARG_LIMIT=3D32
+# CONFIG_COMPILE_TEST is not set
+# CONFIG_HEADER_TEST is not set
+CONFIG_LOCALVERSION=3D""
+# CONFIG_LOCALVERSION_AUTO is not set
+CONFIG_BUILD_SALT=3D""
+CONFIG_HAVE_KERNEL_GZIP=3Dy
+CONFIG_HAVE_KERNEL_LZMA=3Dy
+CONFIG_HAVE_KERNEL_XZ=3Dy
+CONFIG_HAVE_KERNEL_LZO=3Dy
+CONFIG_HAVE_KERNEL_LZ4=3Dy
+# CONFIG_KERNEL_GZIP is not set
+# CONFIG_KERNEL_LZMA is not set
+CONFIG_KERNEL_XZ=3Dy
+# CONFIG_KERNEL_LZO is not set
+# CONFIG_KERNEL_LZ4 is not set
+CONFIG_DEFAULT_HOSTNAME=3D"(none)"
+CONFIG_SWAP=3Dy
+CONFIG_SYSVIPC=3Dy
+CONFIG_SYSVIPC_SYSCTL=3Dy
+CONFIG_POSIX_MQUEUE=3Dy
+CONFIG_POSIX_MQUEUE_SYSCTL=3Dy
+CONFIG_CROSS_MEMORY_ATTACH=3Dy
+# CONFIG_USELIB is not set
+CONFIG_AUDIT=3Dy
+CONFIG_HAVE_ARCH_AUDITSYSCALL=3Dy
+CONFIG_AUDITSYSCALL=3Dy
+
+#
+# IRQ subsystem
+#
+CONFIG_GENERIC_IRQ_PROBE=3Dy
+CONFIG_GENERIC_IRQ_SHOW=3Dy
+CONFIG_GENERIC_IRQ_SHOW_LEVEL=3Dy
+CONFIG_GENERIC_IRQ_EFFECTIVE_AFF_MASK=3Dy
+CONFIG_GENERIC_IRQ_MIGRATION=3Dy
+CONFIG_HARDIRQS_SW_RESEND=3Dy
+CONFIG_GENERIC_IRQ_CHIP=3Dy
+CONFIG_IRQ_DOMAIN=3Dy
+CONFIG_IRQ_DOMAIN_HIERARCHY=3Dy
+CONFIG_GENERIC_MSI_IRQ=3Dy
+CONFIG_GENERIC_MSI_IRQ_DOMAIN=3Dy
+CONFIG_HANDLE_DOMAIN_IRQ=3Dy
+CONFIG_IRQ_FORCED_THREADING=3Dy
+CONFIG_SPARSE_IRQ=3Dy
+# CONFIG_GENERIC_IRQ_DEBUGFS is not set
+# end of IRQ subsystem
+
+CONFIG_GENERIC_IRQ_MULTI_HANDLER=3Dy
+CONFIG_ARCH_CLOCKSOURCE_DATA=3Dy
+CONFIG_GENERIC_TIME_VSYSCALL=3Dy
+CONFIG_GENERIC_CLOCKEVENTS=3Dy
+CONFIG_ARCH_HAS_TICK_BROADCAST=3Dy
+CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=3Dy
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=3Dy
+CONFIG_NO_HZ_COMMON=3Dy
+# CONFIG_HZ_PERIODIC is not set
+CONFIG_NO_HZ_IDLE=3Dy
+# CONFIG_NO_HZ_FULL is not set
+# CONFIG_NO_HZ is not set
+CONFIG_HIGH_RES_TIMERS=3Dy
+# end of Timers subsystem
+
+# CONFIG_PREEMPT_NONE is not set
+CONFIG_PREEMPT_VOLUNTARY=3Dy
+# CONFIG_PREEMPT is not set
+
+#
+# CPU/Task time and stats accounting
+#
+CONFIG_TICK_CPU_ACCOUNTING=3Dy
+# CONFIG_VIRT_CPU_ACCOUNTING_GEN is not set
+# CONFIG_IRQ_TIME_ACCOUNTING is not set
+CONFIG_BSD_PROCESS_ACCT=3Dy
+CONFIG_BSD_PROCESS_ACCT_V3=3Dy
+CONFIG_TASKSTATS=3Dy
+CONFIG_TASK_DELAY_ACCT=3Dy
+CONFIG_TASK_XACCT=3Dy
+CONFIG_TASK_IO_ACCOUNTING=3Dy
+CONFIG_PSI=3Dy
+# CONFIG_PSI_DEFAULT_DISABLED is not set
+# end of CPU/Task time and stats accounting
+
+CONFIG_CPU_ISOLATION=3Dy
+
+#
+# RCU Subsystem
+#
+CONFIG_TREE_RCU=3Dy
+# CONFIG_RCU_EXPERT is not set
+CONFIG_SRCU=3Dy
+CONFIG_TREE_SRCU=3Dy
+CONFIG_RCU_STALL_COMMON=3Dy
+CONFIG_RCU_NEED_SEGCBLIST=3Dy
+# end of RCU Subsystem
+
+CONFIG_BUILD_BIN2C=3Dy
+# CONFIG_IKCONFIG is not set
+# CONFIG_IKHEADERS is not set
+CONFIG_LOG_BUF_SHIFT=3D17
+CONFIG_LOG_CPU_MAX_BUF_SHIFT=3D12
+CONFIG_PRINTK_SAFE_LOG_BUF_SHIFT=3D13
+CONFIG_GENERIC_SCHED_CLOCK=3Dy
+
+#
+# Scheduler features
+#
+# CONFIG_UCLAMP_TASK is not set
+# end of Scheduler features
+
+CONFIG_CGROUPS=3Dy
+CONFIG_PAGE_COUNTER=3Dy
+CONFIG_MEMCG=3Dy
+CONFIG_MEMCG_SWAP=3Dy
+# CONFIG_MEMCG_SWAP_ENABLED is not set
+CONFIG_MEMCG_KMEM=3Dy
+CONFIG_BLK_CGROUP=3Dy
+CONFIG_CGROUP_WRITEBACK=3Dy
+CONFIG_CGROUP_SCHED=3Dy
+CONFIG_FAIR_GROUP_SCHED=3Dy
+CONFIG_CFS_BANDWIDTH=3Dy
+# CONFIG_RT_GROUP_SCHED is not set
+CONFIG_CGROUP_PIDS=3Dy
+# CONFIG_CGROUP_RDMA is not set
+CONFIG_CGROUP_FREEZER=3Dy
+CONFIG_CPUSETS=3Dy
+CONFIG_PROC_PID_CPUSET=3Dy
+CONFIG_CGROUP_DEVICE=3Dy
+CONFIG_CGROUP_CPUACCT=3Dy
+CONFIG_CGROUP_PERF=3Dy
+# CONFIG_CGROUP_BPF is not set
+# CONFIG_CGROUP_DEBUG is not set
+CONFIG_SOCK_CGROUP_DATA=3Dy
+CONFIG_NAMESPACES=3Dy
+CONFIG_UTS_NS=3Dy
+CONFIG_IPC_NS=3Dy
+CONFIG_USER_NS=3Dy
+CONFIG_PID_NS=3Dy
+CONFIG_NET_NS=3Dy
+CONFIG_CHECKPOINT_RESTORE=3Dy
+CONFIG_SCHED_AUTOGROUP=3Dy
+# CONFIG_SYSFS_DEPRECATED is not set
+CONFIG_RELAY=3Dy
+CONFIG_BLK_DEV_INITRD=3Dy
+CONFIG_INITRAMFS_SOURCE=3D""
+CONFIG_RD_GZIP=3Dy
+CONFIG_RD_BZIP2=3Dy
+CONFIG_RD_LZMA=3Dy
+CONFIG_RD_XZ=3Dy
+CONFIG_RD_LZO=3Dy
+CONFIG_RD_LZ4=3Dy
+CONFIG_CC_OPTIMIZE_FOR_PERFORMANCE=3Dy
+# CONFIG_CC_OPTIMIZE_FOR_SIZE is not set
+CONFIG_SYSCTL=3Dy
+CONFIG_HAVE_UID16=3Dy
+CONFIG_BPF=3Dy
+CONFIG_EXPERT=3Dy
+CONFIG_UID16=3Dy
+CONFIG_MULTIUSER=3Dy
+# CONFIG_SGETMASK_SYSCALL is not set
+# CONFIG_SYSFS_SYSCALL is not set
+# CONFIG_SYSCTL_SYSCALL is not set
+CONFIG_FHANDLE=3Dy
+CONFIG_POSIX_TIMERS=3Dy
+CONFIG_PRINTK=3Dy
+CONFIG_PRINTK_NMI=3Dy
+CONFIG_BUG=3Dy
+CONFIG_ELF_CORE=3Dy
+CONFIG_BASE_FULL=3Dy
+CONFIG_FUTEX=3Dy
+CONFIG_FUTEX_PI=3Dy
+CONFIG_EPOLL=3Dy
+CONFIG_SIGNALFD=3Dy
+CONFIG_TIMERFD=3Dy
+CONFIG_EVENTFD=3Dy
+CONFIG_SHMEM=3Dy
+CONFIG_AIO=3Dy
+CONFIG_IO_URING=3Dy
+CONFIG_ADVISE_SYSCALLS=3Dy
+CONFIG_MEMBARRIER=3Dy
+CONFIG_KALLSYMS=3Dy
+# CONFIG_KALLSYMS_ALL is not set
+CONFIG_KALLSYMS_BASE_RELATIVE=3Dy
+CONFIG_BPF_SYSCALL=3Dy
+# CONFIG_BPF_JIT_ALWAYS_ON is not set
+CONFIG_USERFAULTFD=3Dy
+CONFIG_ARCH_HAS_MEMBARRIER_SYNC_CORE=3Dy
+CONFIG_RSEQ=3Dy
+# CONFIG_DEBUG_RSEQ is not set
+# CONFIG_EMBEDDED is not set
+CONFIG_HAVE_PERF_EVENTS=3Dy
+CONFIG_PERF_USE_VMALLOC=3Dy
+# CONFIG_PC104 is not set
+
+#
+# Kernel Performance Events And Counters
+#
+CONFIG_PERF_EVENTS=3Dy
+# CONFIG_DEBUG_PERF_USE_VMALLOC is not set
+# end of Kernel Performance Events And Counters
+
+CONFIG_VM_EVENT_COUNTERS=3Dy
+# CONFIG_COMPAT_BRK is not set
+CONFIG_SLAB=3Dy
+# CONFIG_SLUB is not set
+# CONFIG_SLOB is not set
+CONFIG_SLAB_MERGE_DEFAULT=3Dy
+CONFIG_SLAB_FREELIST_RANDOM=3Dy
+CONFIG_SHUFFLE_PAGE_ALLOCATOR=3Dy
+CONFIG_SYSTEM_DATA_VERIFICATION=3Dy
+CONFIG_PROFILING=3Dy
+CONFIG_TRACEPOINTS=3Dy
+# end of General setup
+
+CONFIG_ARM=3Dy
+CONFIG_ARM_HAS_SG_CHAIN=3Dy
+CONFIG_ARM_DMA_USE_IOMMU=3Dy
+CONFIG_ARM_DMA_IOMMU_ALIGNMENT=3D8
+CONFIG_SYS_SUPPORTS_APM_EMULATION=3Dy
+CONFIG_HAVE_PROC_CPU=3Dy
+CONFIG_NO_IOPORT_MAP=3Dy
+CONFIG_STACKTRACE_SUPPORT=3Dy
+CONFIG_LOCKDEP_SUPPORT=3Dy
+CONFIG_TRACE_IRQFLAGS_SUPPORT=3Dy
+CONFIG_ARCH_HAS_BANDGAP=3Dy
+CONFIG_FIX_EARLYCON_MEM=3Dy
+CONFIG_GENERIC_HWEIGHT=3Dy
+CONFIG_GENERIC_CALIBRATE_DELAY=3Dy
+CONFIG_ARCH_SUPPORTS_UPROBES=3Dy
+CONFIG_FIQ=3Dy
+CONFIG_ARM_PATCH_PHYS_VIRT=3Dy
+CONFIG_GENERIC_BUG=3Dy
+CONFIG_PGTABLE_LEVELS=3D2
+
+#
+# System Type
+#
+CONFIG_MMU=3Dy
+CONFIG_ARCH_MMAP_RND_BITS_MIN=3D8
+CONFIG_ARCH_MMAP_RND_BITS_MAX=3D16
+CONFIG_ARCH_MULTIPLATFORM=3Dy
+# CONFIG_ARCH_EBSA110 is not set
+# CONFIG_ARCH_EP93XX is not set
+# CONFIG_ARCH_FOOTBRIDGE is not set
+# CONFIG_ARCH_IOP32X is not set
+# CONFIG_ARCH_IXP4XX is not set
+# CONFIG_ARCH_DOVE is not set
+# CONFIG_ARCH_PXA is not set
+# CONFIG_ARCH_RPC is not set
+# CONFIG_ARCH_SA1100 is not set
+# CONFIG_ARCH_S3C24XX is not set
+# CONFIG_ARCH_OMAP1 is not set
+
+#
+# Multiple platform selection
+#
+
+#
+# CPU Core family selection
+#
+# CONFIG_ARCH_MULTI_V6 is not set
+CONFIG_ARCH_MULTI_V7=3Dy
+CONFIG_ARCH_MULTI_V6_V7=3Dy
+# end of Multiple platform selection
+
+CONFIG_ARCH_VIRT=3Dy
+# CONFIG_ARCH_ACTIONS is not set
+# CONFIG_ARCH_ALPINE is not set
+# CONFIG_ARCH_ARTPEC is not set
+# CONFIG_ARCH_ASPEED is not set
+# CONFIG_ARCH_AT91 is not set
+CONFIG_ARCH_BCM=3Dy
+
+#
+# IPROC architected SoCs
+#
+# CONFIG_ARCH_BCM_CYGNUS is not set
+# CONFIG_ARCH_BCM_HR2 is not set
+# CONFIG_ARCH_BCM_NSP is not set
+# CONFIG_ARCH_BCM_5301X is not set
+
+#
+# KONA architected SoCs
+#
+# CONFIG_ARCH_BCM_281XX is not set
+# CONFIG_ARCH_BCM_21664 is not set
+# CONFIG_ARCH_BCM_23550 is not set
+
+#
+# Other Architectures
+#
+CONFIG_ARCH_BCM2835=3Dy
+# CONFIG_ARCH_BCM_53573 is not set
+# CONFIG_ARCH_BCM_63XX is not set
+# CONFIG_ARCH_BRCMSTB is not set
+# CONFIG_ARCH_BERLIN is not set
+# CONFIG_ARCH_DIGICOLOR is not set
+CONFIG_ARCH_EXYNOS=3Dy
+CONFIG_S5P_DEV_MFC=3Dy
+# CONFIG_ARCH_EXYNOS3 is not set
+CONFIG_ARCH_EXYNOS4=3Dy
+CONFIG_ARCH_EXYNOS5=3Dy
+
+#
+# EXYNOS SoCs
+#
+CONFIG_CPU_EXYNOS4210=3Dy
+CONFIG_SOC_EXYNOS4412=3Dy
+CONFIG_SOC_EXYNOS5250=3Dy
+CONFIG_SOC_EXYNOS5260=3Dy
+CONFIG_SOC_EXYNOS5410=3Dy
+CONFIG_SOC_EXYNOS5420=3Dy
+CONFIG_SOC_EXYNOS5800=3Dy
+CONFIG_EXYNOS_MCPM=3Dy
+CONFIG_EXYNOS_CPU_SUSPEND=3Dy
+CONFIG_PLAT_SAMSUNG=3Dy
+
+#
+# Samsung Common options
+#
+
+#
+# Boot options
+#
+
+#
+# Power management
+#
+# end of Samsung Common options
+
+CONFIG_ARCH_HIGHBANK=3Dy
+# CONFIG_ARCH_HISI is not set
+CONFIG_ARCH_MXC=3Dy
+CONFIG_MXC_TZIC=3Dy
+CONFIG_HAVE_IMX_ANATOP=3Dy
+CONFIG_HAVE_IMX_GPC=3Dy
+CONFIG_HAVE_IMX_MMDC=3Dy
+CONFIG_HAVE_IMX_SRC=3Dy
+
+#
+# Device tree only
+#
+
+#
+# Cortex-A platforms
+#
+CONFIG_SOC_IMX5=3Dy
+# CONFIG_SOC_IMX50 is not set
+CONFIG_SOC_IMX51=3Dy
+CONFIG_SOC_IMX53=3Dy
+CONFIG_SOC_IMX6=3Dy
+CONFIG_SOC_IMX6Q=3Dy
+# CONFIG_SOC_IMX6SL is not set
+# CONFIG_SOC_IMX6SLL is not set
+# CONFIG_SOC_IMX6SX is not set
+# CONFIG_SOC_IMX6UL is not set
+# CONFIG_SOC_LS1021A is not set
+
+#
+# Cortex-A/Cortex-M asymmetric multiprocessing platforms
+#
+# CONFIG_SOC_IMX7D is not set
+# CONFIG_SOC_IMX7ULP is not set
+# CONFIG_SOC_VF610 is not set
+# CONFIG_ARCH_KEYSTONE is not set
+# CONFIG_ARCH_MEDIATEK is not set
+# CONFIG_ARCH_MESON is not set
+# CONFIG_ARCH_MILBEAUT is not set
+# CONFIG_ARCH_MMP is not set
+CONFIG_ARCH_MVEBU=3Dy
+CONFIG_MACH_MVEBU_ANY=3Dy
+CONFIG_MACH_MVEBU_V7=3Dy
+CONFIG_MACH_ARMADA_370=3Dy
+CONFIG_MACH_ARMADA_375=3Dy
+CONFIG_MACH_ARMADA_38X=3Dy
+CONFIG_MACH_ARMADA_39X=3Dy
+CONFIG_MACH_ARMADA_XP=3Dy
+# CONFIG_MACH_DOVE is not set
+# CONFIG_ARCH_NPCM is not set
+CONFIG_ARCH_OMAP=3Dy
+
+#
+# TI OMAP Common Features
+#
+
+#
+# OMAP Feature Selections
+#
+CONFIG_POWER_AVS_OMAP=3Dy
+CONFIG_POWER_AVS_OMAP_CLASS3=3Dy
+CONFIG_OMAP_RESET_CLOCKS=3Dy
+CONFIG_OMAP_32K_TIMER=3Dy
+# CONFIG_OMAP3_L2_AUX_SECURE_SAVE_RESTORE is not set
+# end of TI OMAP Common Features
+
+CONFIG_MACH_OMAP_GENERIC=3Dy
+
+#
+# TI OMAP/AM/DM/DRA Family
+#
+CONFIG_ARCH_OMAP3=3Dy
+CONFIG_ARCH_OMAP4=3Dy
+CONFIG_SOC_OMAP5=3Dy
+CONFIG_SOC_AM33XX=3Dy
+# CONFIG_SOC_AM43XX is not set
+CONFIG_SOC_DRA7XX=3Dy
+CONFIG_ARCH_OMAP2PLUS=3Dy
+CONFIG_OMAP_INTERCONNECT_BARRIER=3Dy
+
+#
+# TI OMAP2/3/4 Specific Features
+#
+CONFIG_ARCH_OMAP2PLUS_TYPICAL=3Dy
+CONFIG_SOC_HAS_OMAP2_SDRC=3Dy
+CONFIG_SOC_HAS_REALTIME_COUNTER=3Dy
+CONFIG_SOC_OMAP3430=3Dy
+CONFIG_SOC_TI81XX=3Dy
+CONFIG_OMAP_PACKAGE_CBB=3Dy
+
+#
+# OMAP Legacy Platform Data Board Type
+#
+CONFIG_MACH_OMAP3517EVM=3Dy
+CONFIG_MACH_OMAP3_PANDORA=3Dy
+# CONFIG_OMAP3_SDRC_AC_TIMING is not set
+# end of TI OMAP2/3/4 Specific Features
+
+# CONFIG_OMAP5_ERRATA_801819 is not set
+# end of TI OMAP/AM/DM/DRA Family
+
+# CONFIG_ARCH_SIRF is not set
+# CONFIG_ARCH_QCOM is not set
+# CONFIG_ARCH_RDA is not set
+# CONFIG_ARCH_REALVIEW is not set
+CONFIG_ARCH_ROCKCHIP=3Dy
+# CONFIG_ARCH_S5PV210 is not set
+# CONFIG_ARCH_RENESAS is not set
+CONFIG_ARCH_SOCFPGA=3Dy
+# CONFIG_SOCFPGA_SUSPEND is not set
+# CONFIG_PLAT_SPEAR is not set
+# CONFIG_ARCH_STI is not set
+# CONFIG_ARCH_STM32 is not set
+CONFIG_ARCH_SUNXI=3Dy
+CONFIG_MACH_SUN4I=3Dy
+CONFIG_MACH_SUN5I=3Dy
+CONFIG_MACH_SUN6I=3Dy
+CONFIG_MACH_SUN7I=3Dy
+CONFIG_MACH_SUN8I=3Dy
+CONFIG_MACH_SUN9I=3Dy
+CONFIG_ARCH_SUNXI_MC_SMP=3Dy
+# CONFIG_ARCH_TANGO is not set
+CONFIG_ARCH_TEGRA=3Dy
+# CONFIG_ARCH_UNIPHIER is not set
+# CONFIG_ARCH_U8500 is not set
+CONFIG_ARCH_VEXPRESS=3Dy
+CONFIG_ARCH_VEXPRESS_CORTEX_A5_A9_ERRATA=3Dy
+# CONFIG_ARCH_VEXPRESS_DCSCB is not set
+# CONFIG_ARCH_VEXPRESS_SPC is not set
+# CONFIG_ARCH_VEXPRESS_TC2_PM is not set
+CONFIG_ARCH_VT8500=3Dy
+CONFIG_ARCH_WM8850=3Dy
+# CONFIG_ARCH_ZX is not set
+# CONFIG_ARCH_ZYNQ is not set
+CONFIG_PLAT_ORION=3Dy
+CONFIG_PLAT_VERSATILE=3Dy
+
+#
+# Processor Type
+#
+CONFIG_CPU_PJ4B=3Dy
+CONFIG_CPU_V7=3Dy
+CONFIG_CPU_THUMB_CAPABLE=3Dy
+CONFIG_CPU_32v6K=3Dy
+CONFIG_CPU_32v7=3Dy
+CONFIG_CPU_ABRT_EV7=3Dy
+CONFIG_CPU_PABRT_V7=3Dy
+CONFIG_CPU_CACHE_V7=3Dy
+CONFIG_CPU_CACHE_VIPT=3Dy
+CONFIG_CPU_COPY_V6=3Dy
+CONFIG_CPU_TLB_V7=3Dy
+CONFIG_CPU_HAS_ASID=3Dy
+CONFIG_CPU_CP15=3Dy
+CONFIG_CPU_CP15_MMU=3Dy
+
+#
+# Processor Features
+#
+# CONFIG_ARM_LPAE is not set
+CONFIG_ARM_THUMB=3Dy
+CONFIG_ARM_THUMBEE=3Dy
+CONFIG_ARM_VIRT_EXT=3Dy
+CONFIG_SWP_EMULATE=3Dy
+# CONFIG_CPU_BIG_ENDIAN is not set
+# CONFIG_CPU_ICACHE_DISABLE is not set
+# CONFIG_CPU_ICACHE_MISMATCH_WORKAROUND is not set
+# CONFIG_CPU_BPREDICT_DISABLE is not set
+CONFIG_CPU_SPECTRE=3Dy
+CONFIG_HARDEN_BRANCH_PREDICTOR=3Dy
+CONFIG_KUSER_HELPERS=3Dy
+CONFIG_VDSO=3Dy
+CONFIG_OUTER_CACHE=3Dy
+CONFIG_OUTER_CACHE_SYNC=3Dy
+CONFIG_CACHE_FEROCEON_L2=3Dy
+# CONFIG_CACHE_FEROCEON_L2_WRITETHROUGH is not set
+CONFIG_MIGHT_HAVE_CACHE_L2X0=3Dy
+CONFIG_CACHE_L2X0=3Dy
+# CONFIG_CACHE_L2X0_PMU is not set
+CONFIG_PL310_ERRATA_588369=3Dy
+CONFIG_PL310_ERRATA_727915=3Dy
+CONFIG_PL310_ERRATA_753970=3Dy
+CONFIG_PL310_ERRATA_769419=3Dy
+CONFIG_ARM_L1_CACHE_SHIFT_6=3Dy
+CONFIG_ARM_L1_CACHE_SHIFT=3D6
+CONFIG_ARM_DMA_MEM_BUFFERABLE=3Dy
+CONFIG_ARM_HEAVY_MB=3Dy
+CONFIG_ARCH_SUPPORTS_BIG_ENDIAN=3Dy
+CONFIG_DEBUG_ALIGN_RODATA=3Dy
+CONFIG_IWMMXT=3Dy
+CONFIG_PJ4B_ERRATA_4742=3Dy
+CONFIG_ARM_ERRATA_430973=3Dy
+CONFIG_ARM_ERRATA_643719=3Dy
+CONFIG_ARM_ERRATA_720789=3Dy
+CONFIG_ARM_ERRATA_754322=3Dy
+CONFIG_ARM_ERRATA_754327=3Dy
+CONFIG_ARM_ERRATA_764369=3Dy
+CONFIG_ARM_ERRATA_775420=3Dy
+CONFIG_ARM_ERRATA_798181=3Dy
+CONFIG_ARM_ERRATA_773022=3Dy
+# CONFIG_ARM_ERRATA_818325_852422 is not set
+# CONFIG_ARM_ERRATA_821420 is not set
+# CONFIG_ARM_ERRATA_825619 is not set
+CONFIG_ARM_ERRATA_857271=3Dy
+# CONFIG_ARM_ERRATA_852421 is not set
+# CONFIG_ARM_ERRATA_852423 is not set
+CONFIG_ARM_ERRATA_857272=3Dy
+# end of System Type
+
+#
+# Bus support
+#
+CONFIG_ARM_ERRATA_814220=3Dy
+# end of Bus support
+
+#
+# Kernel Features
+#
+CONFIG_HAVE_SMP=3Dy
+CONFIG_SMP=3Dy
+CONFIG_SMP_ON_UP=3Dy
+CONFIG_ARM_CPU_TOPOLOGY=3Dy
+# CONFIG_SCHED_MC is not set
+# CONFIG_SCHED_SMT is not set
+CONFIG_HAVE_ARM_SCU=3Dy
+CONFIG_HAVE_ARM_ARCH_TIMER=3Dy
+CONFIG_HAVE_ARM_TWD=3Dy
+CONFIG_MCPM=3Dy
+# CONFIG_BIG_LITTLE is not set
+CONFIG_VMSPLIT_3G=3Dy
+# CONFIG_VMSPLIT_3G_OPT is not set
+# CONFIG_VMSPLIT_2G is not set
+# CONFIG_VMSPLIT_1G is not set
+CONFIG_PAGE_OFFSET=3D0xC0000000
+CONFIG_NR_CPUS=3D8
+CONFIG_HOTPLUG_CPU=3Dy
+CONFIG_ARM_PSCI=3Dy
+CONFIG_ARCH_NR_GPIO=3D2048
+CONFIG_HZ_FIXED=3D0
+# CONFIG_HZ_100 is not set
+# CONFIG_HZ_200 is not set
+CONFIG_HZ_250=3Dy
+# CONFIG_HZ_300 is not set
+# CONFIG_HZ_500 is not set
+# CONFIG_HZ_1000 is not set
+CONFIG_HZ=3D250
+CONFIG_SCHED_HRTICK=3Dy
+# CONFIG_THUMB2_KERNEL is not set
+CONFIG_ARM_PATCH_IDIV=3Dy
+CONFIG_AEABI=3Dy
+# CONFIG_OABI_COMPAT is not set
+CONFIG_ARCH_HAS_HOLES_MEMORYMODEL=3Dy
+CONFIG_HAVE_ARCH_PFN_VALID=3Dy
+CONFIG_HIGHMEM=3Dy
+CONFIG_HIGHPTE=3Dy
+CONFIG_CPU_SW_DOMAIN_PAN=3Dy
+CONFIG_HW_PERF_EVENTS=3Dy
+CONFIG_ARCH_WANT_GENERAL_HUGETLB=3Dy
+# CONFIG_ARM_MODULE_PLTS is not set
+CONFIG_FORCE_MAX_ZONEORDER=3D12
+CONFIG_ALIGNMENT_TRAP=3Dy
+# CONFIG_UACCESS_WITH_MEMCPY is not set
+CONFIG_SECCOMP=3Dy
+CONFIG_PARAVIRT=3Dy
+# CONFIG_PARAVIRT_TIME_ACCOUNTING is not set
+CONFIG_XEN_DOM0=3Dy
+CONFIG_XEN=3Dy
+CONFIG_STACKPROTECTOR_PER_TASK=3Dy
+# end of Kernel Features
+
+#
+# Boot options
+#
+CONFIG_USE_OF=3Dy
+CONFIG_ATAGS=3Dy
+# CONFIG_DEPRECATED_PARAM_STRUCT is not set
+CONFIG_ZBOOT_ROM_TEXT=3D0x0
+CONFIG_ZBOOT_ROM_BSS=3D0x0
+CONFIG_ARM_APPENDED_DTB=3Dy
+CONFIG_ARM_ATAG_DTB_COMPAT=3Dy
+CONFIG_ARM_ATAG_DTB_COMPAT_CMDLINE_FROM_BOOTLOADER=3Dy
+# CONFIG_ARM_ATAG_DTB_COMPAT_CMDLINE_EXTEND is not set
+CONFIG_CMDLINE=3D""
+CONFIG_KEXEC=3Dy
+CONFIG_ATAGS_PROC=3Dy
+# CONFIG_CRASH_DUMP is not set
+CONFIG_AUTO_ZRELADDR=3Dy
+CONFIG_EFI_STUB=3Dy
+CONFIG_EFI=3Dy
+CONFIG_DMI=3Dy
+# end of Boot options
+
+#
+# CPU Power Management
+#
+
+#
+# CPU Frequency scaling
+#
+CONFIG_CPU_FREQ=3Dy
+CONFIG_CPU_FREQ_GOV_ATTR_SET=3Dy
+CONFIG_CPU_FREQ_GOV_COMMON=3Dy
+CONFIG_CPU_FREQ_STAT=3Dy
+CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=3Dy
+# CONFIG_CPU_FREQ_DEFAULT_GOV_POWERSAVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_CONSERVATIVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL is not set
+CONFIG_CPU_FREQ_GOV_PERFORMANCE=3Dy
+CONFIG_CPU_FREQ_GOV_POWERSAVE=3Dm
+CONFIG_CPU_FREQ_GOV_USERSPACE=3Dm
+CONFIG_CPU_FREQ_GOV_ONDEMAND=3Dm
+CONFIG_CPU_FREQ_GOV_CONSERVATIVE=3Dm
+CONFIG_CPU_FREQ_GOV_SCHEDUTIL=3Dy
+
+#
+# CPU frequency scaling drivers
+#
+CONFIG_CPUFREQ_DT=3Dm
+CONFIG_CPUFREQ_DT_PLATDEV=3Dy
+CONFIG_ARM_ALLWINNER_SUN50I_CPUFREQ_NVMEM=3Dm
+CONFIG_ARM_ARMADA_37XX_CPUFREQ=3Dm
+CONFIG_ARM_ARMADA_8K_CPUFREQ=3Dm
+# CONFIG_ARM_BIG_LITTLE_CPUFREQ is not set
+CONFIG_ARM_HIGHBANK_CPUFREQ=3Dm
+CONFIG_ARM_IMX6Q_CPUFREQ=3Dm
+CONFIG_ARM_IMX_CPUFREQ_DT=3Dm
+CONFIG_ARM_OMAP2PLUS_CPUFREQ=3Dy
+CONFIG_ARM_RASPBERRYPI_CPUFREQ=3Dm
+CONFIG_ARM_SCMI_CPUFREQ=3Dm
+CONFIG_ARM_TEGRA20_CPUFREQ=3Dy
+CONFIG_ARM_TEGRA124_CPUFREQ=3Dy
+# CONFIG_ARM_TI_CPUFREQ is not set
+# CONFIG_QORIQ_CPUFREQ is not set
+# end of CPU Frequency scaling
+
+#
+# CPU Idle
+#
+# CONFIG_CPU_IDLE is not set
+CONFIG_ARCH_NEEDS_CPU_IDLE_COUPLED=3Dy
+# end of CPU Idle
+# end of CPU Power Management
+
+#
+# Floating point emulation
+#
+
+#
+# At least one emulation must be selected
+#
+CONFIG_VFP=3Dy
+CONFIG_VFPv3=3Dy
+CONFIG_NEON=3Dy
+# CONFIG_KERNEL_MODE_NEON is not set
+# end of Floating point emulation
+
+#
+# Power management options
+#
+CONFIG_SUSPEND=3Dy
+CONFIG_SUSPEND_FREEZER=3Dy
+# CONFIG_SUSPEND_SKIP_SYNC is not set
+CONFIG_HIBERNATE_CALLBACKS=3Dy
+CONFIG_HIBERNATION=3Dy
+CONFIG_PM_STD_PARTITION=3D""
+CONFIG_PM_SLEEP=3Dy
+CONFIG_PM_SLEEP_SMP=3Dy
+# CONFIG_PM_AUTOSLEEP is not set
+# CONFIG_PM_WAKELOCKS is not set
+CONFIG_PM=3Dy
+CONFIG_PM_DEBUG=3Dy
+CONFIG_PM_ADVANCED_DEBUG=3Dy
+# CONFIG_PM_TEST_SUSPEND is not set
+CONFIG_PM_SLEEP_DEBUG=3Dy
+CONFIG_APM_EMULATION=3Dy
+CONFIG_PM_CLK=3Dy
+CONFIG_PM_GENERIC_DOMAINS=3Dy
+# CONFIG_WQ_POWER_EFFICIENT_DEFAULT is not set
+CONFIG_PM_GENERIC_DOMAINS_SLEEP=3Dy
+CONFIG_PM_GENERIC_DOMAINS_OF=3Dy
+CONFIG_CPU_PM=3Dy
+CONFIG_ENERGY_MODEL=3Dy
+CONFIG_ARCH_SUSPEND_POSSIBLE=3Dy
+CONFIG_ARM_CPU_SUSPEND=3Dy
+CONFIG_ARCH_HIBERNATION_POSSIBLE=3Dy
+# end of Power management options
+
+#
+# Firmware Drivers
+#
+CONFIG_ARM_SCMI_PROTOCOL=3Dy
+CONFIG_ARM_SCMI_POWER_DOMAIN=3Dm
+# CONFIG_ARM_SCPI_PROTOCOL is not set
+# CONFIG_FIRMWARE_MEMMAP is not set
+CONFIG_DMIID=3Dy
+CONFIG_DMI_SYSFS=3Dy
+CONFIG_RASPBERRYPI_FIRMWARE=3Dy
+CONFIG_TRUSTED_FOUNDATIONS=3Dy
+# CONFIG_TURRIS_MOX_RWTM is not set
+CONFIG_HAVE_ARM_SMCCC=3Dy
+CONFIG_ARM_PSCI_FW=3Dy
+# CONFIG_GOOGLE_FIRMWARE is not set
+
+#
+# EFI (Extensible Firmware Interface) Support
+#
+CONFIG_EFI_VARS=3Dm
+CONFIG_EFI_ESRT=3Dy
+CONFIG_EFI_PARAMS_FROM_FDT=3Dy
+CONFIG_EFI_RUNTIME_WRAPPERS=3Dy
+CONFIG_EFI_ARMSTUB=3Dy
+CONFIG_EFI_ARMSTUB_DTB_LOADER=3Dy
+# CONFIG_EFI_BOOTLOADER_CONTROL is not set
+# CONFIG_EFI_CAPSULE_LOADER is not set
+# CONFIG_EFI_TEST is not set
+CONFIG_RESET_ATTACK_MITIGATION=3Dy
+# end of EFI (Extensible Firmware Interface) Support
+
+# CONFIG_IMX_DSP is not set
+# CONFIG_IMX_SCU is not set
+
+#
+# Tegra firmware driver
+#
+# CONFIG_TEGRA_IVC is not set
+# end of Tegra firmware driver
+# end of Firmware Drivers
+
+# CONFIG_ARM_CRYPTO is not set
+# CONFIG_VIRTUALIZATION is not set
+
+#
+# General architecture-dependent options
+#
+CONFIG_CRASH_CORE=3Dy
+CONFIG_KEXEC_CORE=3Dy
+CONFIG_OPROFILE=3Dm
+CONFIG_HAVE_OPROFILE=3Dy
+CONFIG_KPROBES=3Dy
+CONFIG_JUMP_LABEL=3Dy
+# CONFIG_STATIC_KEYS_SELFTEST is not set
+CONFIG_OPTPROBES=3Dy
+CONFIG_UPROBES=3Dy
+CONFIG_HAVE_EFFICIENT_UNALIGNED_ACCESS=3Dy
+CONFIG_ARCH_USE_BUILTIN_BSWAP=3Dy
+CONFIG_KRETPROBES=3Dy
+CONFIG_HAVE_KPROBES=3Dy
+CONFIG_HAVE_KRETPROBES=3Dy
+CONFIG_HAVE_OPTPROBES=3Dy
+CONFIG_HAVE_NMI=3Dy
+CONFIG_HAVE_ARCH_TRACEHOOK=3Dy
+CONFIG_HAVE_DMA_CONTIGUOUS=3Dy
+CONFIG_GENERIC_SMP_IDLE_THREAD=3Dy
+CONFIG_GENERIC_IDLE_POLL_SETUP=3Dy
+CONFIG_ARCH_HAS_FORTIFY_SOURCE=3Dy
+CONFIG_ARCH_HAS_KEEPINITRD=3Dy
+CONFIG_ARCH_HAS_SET_MEMORY=3Dy
+CONFIG_HAVE_ARCH_THREAD_STRUCT_WHITELIST=3Dy
+CONFIG_ARCH_32BIT_OFF_T=3Dy
+CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=3Dy
+CONFIG_HAVE_RSEQ=3Dy
+CONFIG_HAVE_CLK=3Dy
+CONFIG_HAVE_HW_BREAKPOINT=3Dy
+CONFIG_HAVE_PERF_REGS=3Dy
+CONFIG_HAVE_PERF_USER_STACK_DUMP=3Dy
+CONFIG_HAVE_ARCH_JUMP_LABEL=3Dy
+CONFIG_ARCH_WANT_IPC_PARSE_VERSION=3Dy
+CONFIG_HAVE_ARCH_SECCOMP_FILTER=3Dy
+CONFIG_SECCOMP_FILTER=3Dy
+CONFIG_HAVE_STACKPROTECTOR=3Dy
+CONFIG_CC_HAS_STACKPROTECTOR_NONE=3Dy
+CONFIG_STACKPROTECTOR=3Dy
+CONFIG_STACKPROTECTOR_STRONG=3Dy
+CONFIG_HAVE_CONTEXT_TRACKING=3Dy
+CONFIG_HAVE_VIRT_CPU_ACCOUNTING_GEN=3Dy
+CONFIG_HAVE_IRQ_TIME_ACCOUNTING=3Dy
+CONFIG_HAVE_MOD_ARCH_SPECIFIC=3Dy
+CONFIG_MODULES_USE_ELF_REL=3Dy
+CONFIG_ARCH_HAS_ELF_RANDOMIZE=3Dy
+CONFIG_HAVE_ARCH_MMAP_RND_BITS=3Dy
+CONFIG_HAVE_EXIT_THREAD=3Dy
+CONFIG_ARCH_MMAP_RND_BITS=3D8
+CONFIG_ARCH_WANT_DEFAULT_TOPDOWN_MMAP_LAYOUT=3Dy
+CONFIG_CLONE_BACKWARDS=3Dy
+CONFIG_OLD_SIGSUSPEND3=3Dy
+CONFIG_OLD_SIGACTION=3Dy
+CONFIG_64BIT_TIME=3Dy
+CONFIG_COMPAT_32BIT_TIME=3Dy
+CONFIG_ARCH_OPTIONAL_KERNEL_RWX=3Dy
+CONFIG_ARCH_OPTIONAL_KERNEL_RWX_DEFAULT=3Dy
+CONFIG_ARCH_HAS_STRICT_KERNEL_RWX=3Dy
+CONFIG_STRICT_KERNEL_RWX=3Dy
+CONFIG_ARCH_HAS_STRICT_MODULE_RWX=3Dy
+CONFIG_STRICT_MODULE_RWX=3Dy
+CONFIG_ARCH_HAS_PHYS_TO_DMA=3Dy
+CONFIG_REFCOUNT_FULL=3Dy
+# CONFIG_LOCK_EVENT_COUNTS is not set
+
+#
+# GCOV-based kernel profiling
+#
+# CONFIG_GCOV_KERNEL is not set
+CONFIG_ARCH_HAS_GCOV_PROFILE_ALL=3Dy
+# end of GCOV-based kernel profiling
+
+CONFIG_PLUGIN_HOSTCC=3D"g++"
+CONFIG_HAVE_GCC_PLUGINS=3Dy
+CONFIG_GCC_PLUGINS=3Dy
+
+#
+# GCC plugins
+#
+# CONFIG_GCC_PLUGIN_CYC_COMPLEXITY is not set
+# CONFIG_GCC_PLUGIN_LATENT_ENTROPY is not set
+# CONFIG_GCC_PLUGIN_RANDSTRUCT is not set
+CONFIG_GCC_PLUGIN_ARM_SSP_PER_TASK=3Dy
+# end of GCC plugins
+# end of General architecture-dependent options
+
+CONFIG_RT_MUTEXES=3Dy
+CONFIG_BASE_SMALL=3D0
+CONFIG_MODULES=3Dy
+CONFIG_MODULE_FORCE_LOAD=3Dy
+CONFIG_MODULE_UNLOAD=3Dy
+CONFIG_MODULE_FORCE_UNLOAD=3Dy
+CONFIG_MODVERSIONS=3Dy
+# CONFIG_MODULE_SRCVERSION_ALL is not set
+# CONFIG_MODULE_SIG is not set
+# CONFIG_MODULE_COMPRESS is not set
+# CONFIG_MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS is not set
+# CONFIG_UNUSED_SYMBOLS is not set
+# CONFIG_TRIM_UNUSED_KSYMS is not set
+CONFIG_MODULES_TREE_LOOKUP=3Dy
+CONFIG_BLOCK=3Dy
+CONFIG_BLK_RQ_ALLOC_TIME=3Dy
+CONFIG_BLK_SCSI_REQUEST=3Dy
+CONFIG_BLK_DEV_BSG=3Dy
+CONFIG_BLK_DEV_BSGLIB=3Dy
+CONFIG_BLK_DEV_INTEGRITY=3Dy
+# CONFIG_BLK_DEV_ZONED is not set
+CONFIG_BLK_DEV_THROTTLING=3Dy
+# CONFIG_BLK_DEV_THROTTLING_LOW is not set
+# CONFIG_BLK_CMDLINE_PARSER is not set
+CONFIG_BLK_WBT=3Dy
+# CONFIG_BLK_CGROUP_IOLATENCY is not set
+CONFIG_BLK_CGROUP_IOCOST=3Dy
+CONFIG_BLK_WBT_MQ=3Dy
+CONFIG_BLK_DEBUG_FS=3Dy
+# CONFIG_BLK_SED_OPAL is not set
+
+#
+# Partition Types
+#
+CONFIG_PARTITION_ADVANCED=3Dy
+# CONFIG_ACORN_PARTITION is not set
+# CONFIG_AIX_PARTITION is not set
+# CONFIG_OSF_PARTITION is not set
+# CONFIG_AMIGA_PARTITION is not set
+# CONFIG_ATARI_PARTITION is not set
+# CONFIG_MAC_PARTITION is not set
+CONFIG_MSDOS_PARTITION=3Dy
+# CONFIG_BSD_DISKLABEL is not set
+# CONFIG_MINIX_SUBPARTITION is not set
+# CONFIG_SOLARIS_X86_PARTITION is not set
+# CONFIG_UNIXWARE_DISKLABEL is not set
+# CONFIG_LDM_PARTITION is not set
+# CONFIG_SGI_PARTITION is not set
+# CONFIG_ULTRIX_PARTITION is not set
+# CONFIG_SUN_PARTITION is not set
+CONFIG_KARMA_PARTITION=3Dy
+CONFIG_EFI_PARTITION=3Dy
+# CONFIG_SYSV68_PARTITION is not set
+# CONFIG_CMDLINE_PARTITION is not set
+# end of Partition Types
+
+CONFIG_BLK_MQ_PCI=3Dy
+CONFIG_BLK_MQ_VIRTIO=3Dy
+CONFIG_BLK_MQ_RDMA=3Dy
+CONFIG_BLK_PM=3Dy
+
+#
+# IO Schedulers
+#
+CONFIG_MQ_IOSCHED_DEADLINE=3Dy
+CONFIG_MQ_IOSCHED_KYBER=3Dm
+CONFIG_IOSCHED_BFQ=3Dm
+CONFIG_BFQ_GROUP_IOSCHED=3Dy
+# CONFIG_BFQ_CGROUP_DEBUG is not set
+# end of IO Schedulers
+
+CONFIG_PADATA=3Dy
+CONFIG_ASN1=3Dy
+CONFIG_INLINE_SPIN_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_READ_UNLOCK=3Dy
+CONFIG_INLINE_READ_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_WRITE_UNLOCK=3Dy
+CONFIG_INLINE_WRITE_UNLOCK_IRQ=3Dy
+CONFIG_ARCH_SUPPORTS_ATOMIC_RMW=3Dy
+CONFIG_MUTEX_SPIN_ON_OWNER=3Dy
+CONFIG_RWSEM_SPIN_ON_OWNER=3Dy
+CONFIG_LOCK_SPIN_ON_OWNER=3Dy
+CONFIG_FREEZER=3Dy
+
+#
+# Executable file formats
+#
+CONFIG_BINFMT_ELF=3Dy
+# CONFIG_BINFMT_ELF_FDPIC is not set
+CONFIG_ELFCORE=3Dy
+CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS=3Dy
+CONFIG_BINFMT_SCRIPT=3Dy
+CONFIG_ARCH_HAS_BINFMT_FLAT=3Dy
+# CONFIG_BINFMT_FLAT is not set
+CONFIG_BINFMT_FLAT_ARGVP_ENVP_ON_STACK=3Dy
+CONFIG_BINFMT_MISC=3Dm
+CONFIG_COREDUMP=3Dy
+# end of Executable file formats
+
+#
+# Memory Management options
+#
+CONFIG_FLATMEM=3Dy
+CONFIG_FLAT_NODE_MEM_MAP=3Dy
+CONFIG_ARCH_KEEP_MEMBLOCK=3Dy
+CONFIG_MEMORY_ISOLATION=3Dy
+CONFIG_SPLIT_PTLOCK_CPUS=3D4
+CONFIG_MEMORY_BALLOON=3Dy
+CONFIG_BALLOON_COMPACTION=3Dy
+CONFIG_COMPACTION=3Dy
+CONFIG_MIGRATION=3Dy
+CONFIG_CONTIG_ALLOC=3Dy
+CONFIG_BOUNCE=3Dy
+CONFIG_MMU_NOTIFIER=3Dy
+CONFIG_KSM=3Dy
+CONFIG_DEFAULT_MMAP_MIN_ADDR=3D4096
+# CONFIG_CLEANCACHE is not set
+CONFIG_FRONTSWAP=3Dy
+CONFIG_CMA=3Dy
+# CONFIG_CMA_DEBUG is not set
+# CONFIG_CMA_DEBUGFS is not set
+CONFIG_CMA_AREAS=3D7
+CONFIG_ZSWAP=3Dy
+CONFIG_ZPOOL=3Dy
+CONFIG_ZBUD=3Dy
+# CONFIG_Z3FOLD is not set
+CONFIG_ZSMALLOC=3Dm
+# CONFIG_PGTABLE_MAPPING is not set
+# CONFIG_ZSMALLOC_STAT is not set
+CONFIG_GENERIC_EARLY_IOREMAP=3Dy
+# CONFIG_IDLE_PAGE_TRACKING is not set
+CONFIG_FRAME_VECTOR=3Dy
+# CONFIG_PERCPU_STATS is not set
+# CONFIG_GUP_BENCHMARK is not set
+# end of Memory Management options
+
+CONFIG_NET=3Dy
+CONFIG_NET_INGRESS=3Dy
+CONFIG_NET_EGRESS=3Dy
+CONFIG_SKB_EXTENSIONS=3Dy
+
+#
+# Networking options
+#
+CONFIG_PACKET=3Dy
+CONFIG_PACKET_DIAG=3Dm
+CONFIG_UNIX=3Dy
+CONFIG_UNIX_SCM=3Dy
+CONFIG_UNIX_DIAG=3Dm
+# CONFIG_TLS is not set
+CONFIG_XFRM=3Dy
+CONFIG_XFRM_ALGO=3Dm
+CONFIG_XFRM_USER=3Dm
+CONFIG_XFRM_INTERFACE=3Dm
+CONFIG_XFRM_SUB_POLICY=3Dy
+CONFIG_XFRM_MIGRATE=3Dy
+# CONFIG_XFRM_STATISTICS is not set
+CONFIG_XFRM_IPCOMP=3Dm
+CONFIG_NET_KEY=3Dm
+CONFIG_NET_KEY_MIGRATE=3Dy
+# CONFIG_SMC is not set
+# CONFIG_XDP_SOCKETS is not set
+CONFIG_INET=3Dy
+CONFIG_IP_MULTICAST=3Dy
+CONFIG_IP_ADVANCED_ROUTER=3Dy
+CONFIG_IP_FIB_TRIE_STATS=3Dy
+CONFIG_IP_MULTIPLE_TABLES=3Dy
+CONFIG_IP_ROUTE_MULTIPATH=3Dy
+CONFIG_IP_ROUTE_VERBOSE=3Dy
+CONFIG_IP_ROUTE_CLASSID=3Dy
+# CONFIG_IP_PNP is not set
+CONFIG_NET_IPIP=3Dm
+CONFIG_NET_IPGRE_DEMUX=3Dm
+CONFIG_NET_IP_TUNNEL=3Dm
+CONFIG_NET_IPGRE=3Dm
+CONFIG_NET_IPGRE_BROADCAST=3Dy
+CONFIG_IP_MROUTE_COMMON=3Dy
+CONFIG_IP_MROUTE=3Dy
+CONFIG_IP_MROUTE_MULTIPLE_TABLES=3Dy
+CONFIG_IP_PIMSM_V1=3Dy
+CONFIG_IP_PIMSM_V2=3Dy
+CONFIG_SYN_COOKIES=3Dy
+CONFIG_NET_IPVTI=3Dm
+CONFIG_NET_UDP_TUNNEL=3Dm
+CONFIG_NET_FOU=3Dm
+CONFIG_NET_FOU_IP_TUNNELS=3Dy
+CONFIG_INET_AH=3Dm
+CONFIG_INET_ESP=3Dm
+# CONFIG_INET_ESP_OFFLOAD is not set
+CONFIG_INET_IPCOMP=3Dm
+CONFIG_INET_XFRM_TUNNEL=3Dm
+CONFIG_INET_TUNNEL=3Dm
+CONFIG_INET_DIAG=3Dm
+CONFIG_INET_TCP_DIAG=3Dm
+CONFIG_INET_UDP_DIAG=3Dm
+# CONFIG_INET_RAW_DIAG is not set
+CONFIG_INET_DIAG_DESTROY=3Dy
+CONFIG_TCP_CONG_ADVANCED=3Dy
+CONFIG_TCP_CONG_BIC=3Dm
+CONFIG_TCP_CONG_CUBIC=3Dy
+CONFIG_TCP_CONG_WESTWOOD=3Dm
+CONFIG_TCP_CONG_HTCP=3Dm
+CONFIG_TCP_CONG_HSTCP=3Dm
+CONFIG_TCP_CONG_HYBLA=3Dm
+CONFIG_TCP_CONG_VEGAS=3Dm
+CONFIG_TCP_CONG_NV=3Dm
+CONFIG_TCP_CONG_SCALABLE=3Dm
+CONFIG_TCP_CONG_LP=3Dm
+CONFIG_TCP_CONG_VENO=3Dm
+CONFIG_TCP_CONG_YEAH=3Dm
+CONFIG_TCP_CONG_ILLINOIS=3Dm
+CONFIG_TCP_CONG_DCTCP=3Dm
+CONFIG_TCP_CONG_CDG=3Dm
+CONFIG_TCP_CONG_BBR=3Dm
+CONFIG_DEFAULT_CUBIC=3Dy
+# CONFIG_DEFAULT_RENO is not set
+CONFIG_DEFAULT_TCP_CONG=3D"cubic"
+CONFIG_TCP_MD5SIG=3Dy
+CONFIG_IPV6=3Dy
+CONFIG_IPV6_ROUTER_PREF=3Dy
+CONFIG_IPV6_ROUTE_INFO=3Dy
+CONFIG_IPV6_OPTIMISTIC_DAD=3Dy
+CONFIG_INET6_AH=3Dm
+CONFIG_INET6_ESP=3Dm
+# CONFIG_INET6_ESP_OFFLOAD is not set
+CONFIG_INET6_IPCOMP=3Dm
+CONFIG_IPV6_MIP6=3Dy
+CONFIG_IPV6_ILA=3Dm
+CONFIG_INET6_XFRM_TUNNEL=3Dm
+CONFIG_INET6_TUNNEL=3Dm
+CONFIG_IPV6_VTI=3Dm
+CONFIG_IPV6_SIT=3Dm
+CONFIG_IPV6_SIT_6RD=3Dy
+CONFIG_IPV6_NDISC_NODETYPE=3Dy
+CONFIG_IPV6_TUNNEL=3Dm
+CONFIG_IPV6_GRE=3Dm
+CONFIG_IPV6_FOU=3Dm
+CONFIG_IPV6_FOU_TUNNEL=3Dm
+CONFIG_IPV6_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_SUBTREES=3Dy
+CONFIG_IPV6_MROUTE=3Dy
+CONFIG_IPV6_MROUTE_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_PIMSM_V2=3Dy
+# CONFIG_IPV6_SEG6_LWTUNNEL is not set
+# CONFIG_IPV6_SEG6_HMAC is not set
+# CONFIG_NETLABEL is not set
+CONFIG_NETWORK_SECMARK=3Dy
+CONFIG_NET_PTP_CLASSIFY=3Dy
+# CONFIG_NETWORK_PHY_TIMESTAMPING is not set
+CONFIG_NETFILTER=3Dy
+CONFIG_NETFILTER_ADVANCED=3Dy
+CONFIG_BRIDGE_NETFILTER=3Dm
+
+#
+# Core Netfilter Configuration
+#
+CONFIG_NETFILTER_INGRESS=3Dy
+CONFIG_NETFILTER_NETLINK=3Dm
+CONFIG_NETFILTER_FAMILY_BRIDGE=3Dy
+CONFIG_NETFILTER_FAMILY_ARP=3Dy
+CONFIG_NETFILTER_NETLINK_ACCT=3Dm
+CONFIG_NETFILTER_NETLINK_QUEUE=3Dm
+CONFIG_NETFILTER_NETLINK_LOG=3Dm
+CONFIG_NETFILTER_NETLINK_OSF=3Dm
+CONFIG_NF_CONNTRACK=3Dm
+CONFIG_NF_LOG_COMMON=3Dm
+CONFIG_NF_LOG_NETDEV=3Dm
+CONFIG_NETFILTER_CONNCOUNT=3Dm
+CONFIG_NF_CONNTRACK_MARK=3Dy
+CONFIG_NF_CONNTRACK_SECMARK=3Dy
+CONFIG_NF_CONNTRACK_ZONES=3Dy
+CONFIG_NF_CONNTRACK_PROCFS=3Dy
+CONFIG_NF_CONNTRACK_EVENTS=3Dy
+CONFIG_NF_CONNTRACK_TIMEOUT=3Dy
+CONFIG_NF_CONNTRACK_TIMESTAMP=3Dy
+CONFIG_NF_CONNTRACK_LABELS=3Dy
+CONFIG_NF_CT_PROTO_DCCP=3Dy
+CONFIG_NF_CT_PROTO_GRE=3Dy
+CONFIG_NF_CT_PROTO_SCTP=3Dy
+CONFIG_NF_CT_PROTO_UDPLITE=3Dy
+CONFIG_NF_CONNTRACK_AMANDA=3Dm
+CONFIG_NF_CONNTRACK_FTP=3Dm
+CONFIG_NF_CONNTRACK_H323=3Dm
+CONFIG_NF_CONNTRACK_IRC=3Dm
+CONFIG_NF_CONNTRACK_BROADCAST=3Dm
+CONFIG_NF_CONNTRACK_NETBIOS_NS=3Dm
+CONFIG_NF_CONNTRACK_SNMP=3Dm
+CONFIG_NF_CONNTRACK_PPTP=3Dm
+CONFIG_NF_CONNTRACK_SANE=3Dm
+CONFIG_NF_CONNTRACK_SIP=3Dm
+CONFIG_NF_CONNTRACK_TFTP=3Dm
+CONFIG_NF_CT_NETLINK=3Dm
+CONFIG_NF_CT_NETLINK_TIMEOUT=3Dm
+CONFIG_NF_CT_NETLINK_HELPER=3Dm
+CONFIG_NETFILTER_NETLINK_GLUE_CT=3Dy
+CONFIG_NF_NAT=3Dm
+CONFIG_NF_NAT_AMANDA=3Dm
+CONFIG_NF_NAT_FTP=3Dm
+CONFIG_NF_NAT_IRC=3Dm
+CONFIG_NF_NAT_SIP=3Dm
+CONFIG_NF_NAT_TFTP=3Dm
+CONFIG_NF_NAT_REDIRECT=3Dy
+CONFIG_NF_NAT_MASQUERADE=3Dy
+CONFIG_NETFILTER_SYNPROXY=3Dm
+CONFIG_NF_TABLES=3Dm
+CONFIG_NF_TABLES_SET=3Dm
+CONFIG_NF_TABLES_INET=3Dy
+CONFIG_NF_TABLES_NETDEV=3Dy
+CONFIG_NFT_NUMGEN=3Dm
+CONFIG_NFT_CT=3Dm
+CONFIG_NFT_FLOW_OFFLOAD=3Dm
+CONFIG_NFT_COUNTER=3Dm
+CONFIG_NFT_CONNLIMIT=3Dm
+CONFIG_NFT_LOG=3Dm
+CONFIG_NFT_LIMIT=3Dm
+CONFIG_NFT_MASQ=3Dm
+CONFIG_NFT_REDIR=3Dm
+CONFIG_NFT_NAT=3Dm
+CONFIG_NFT_TUNNEL=3Dm
+CONFIG_NFT_OBJREF=3Dm
+CONFIG_NFT_QUEUE=3Dm
+CONFIG_NFT_QUOTA=3Dm
+CONFIG_NFT_REJECT=3Dm
+CONFIG_NFT_REJECT_INET=3Dm
+CONFIG_NFT_COMPAT=3Dm
+CONFIG_NFT_HASH=3Dm
+CONFIG_NFT_FIB=3Dm
+CONFIG_NFT_FIB_INET=3Dm
+CONFIG_NFT_XFRM=3Dm
+CONFIG_NFT_SOCKET=3Dm
+CONFIG_NFT_OSF=3Dm
+CONFIG_NFT_TPROXY=3Dm
+CONFIG_NFT_SYNPROXY=3Dm
+CONFIG_NF_DUP_NETDEV=3Dm
+CONFIG_NFT_DUP_NETDEV=3Dm
+CONFIG_NFT_FWD_NETDEV=3Dm
+CONFIG_NFT_FIB_NETDEV=3Dm
+CONFIG_NF_FLOW_TABLE_INET=3Dm
+CONFIG_NF_FLOW_TABLE=3Dm
+CONFIG_NETFILTER_XTABLES=3Dm
+
+#
+# Xtables combined modules
+#
+CONFIG_NETFILTER_XT_MARK=3Dm
+CONFIG_NETFILTER_XT_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_SET=3Dm
+
+#
+# Xtables targets
+#
+CONFIG_NETFILTER_XT_TARGET_AUDIT=3Dm
+CONFIG_NETFILTER_XT_TARGET_CHECKSUM=3Dm
+CONFIG_NETFILTER_XT_TARGET_CLASSIFY=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CT=3Dm
+CONFIG_NETFILTER_XT_TARGET_DSCP=3Dm
+CONFIG_NETFILTER_XT_TARGET_HL=3Dm
+CONFIG_NETFILTER_XT_TARGET_HMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_IDLETIMER=3Dm
+CONFIG_NETFILTER_XT_TARGET_LED=3Dm
+CONFIG_NETFILTER_XT_TARGET_LOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_MARK=3Dm
+CONFIG_NETFILTER_XT_NAT=3Dm
+CONFIG_NETFILTER_XT_TARGET_NETMAP=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFLOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFQUEUE=3Dm
+# CONFIG_NETFILTER_XT_TARGET_NOTRACK is not set
+CONFIG_NETFILTER_XT_TARGET_RATEEST=3Dm
+CONFIG_NETFILTER_XT_TARGET_REDIRECT=3Dm
+CONFIG_NETFILTER_XT_TARGET_MASQUERADE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TEE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TPROXY=3Dm
+CONFIG_NETFILTER_XT_TARGET_TRACE=3Dm
+CONFIG_NETFILTER_XT_TARGET_SECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP=3Dm
+
+#
+# Xtables matches
+#
+CONFIG_NETFILTER_XT_MATCH_ADDRTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_BPF=3Dm
+CONFIG_NETFILTER_XT_MATCH_CGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_CLUSTER=3Dm
+CONFIG_NETFILTER_XT_MATCH_COMMENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNBYTES=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLABEL=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNTRACK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CPU=3Dm
+CONFIG_NETFILTER_XT_MATCH_DCCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DEVGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DSCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_ECN=3Dm
+CONFIG_NETFILTER_XT_MATCH_ESP=3Dm
+CONFIG_NETFILTER_XT_MATCH_HASHLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_HELPER=3Dm
+CONFIG_NETFILTER_XT_MATCH_HL=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPCOMP=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPRANGE=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPVS=3Dm
+CONFIG_NETFILTER_XT_MATCH_L2TP=3Dm
+CONFIG_NETFILTER_XT_MATCH_LENGTH=3Dm
+CONFIG_NETFILTER_XT_MATCH_LIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_MAC=3Dm
+CONFIG_NETFILTER_XT_MATCH_MARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_MULTIPORT=3Dm
+CONFIG_NETFILTER_XT_MATCH_NFACCT=3Dm
+CONFIG_NETFILTER_XT_MATCH_OSF=3Dm
+CONFIG_NETFILTER_XT_MATCH_OWNER=3Dm
+CONFIG_NETFILTER_XT_MATCH_POLICY=3Dm
+CONFIG_NETFILTER_XT_MATCH_PHYSDEV=3Dm
+CONFIG_NETFILTER_XT_MATCH_PKTTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_QUOTA=3Dm
+CONFIG_NETFILTER_XT_MATCH_RATEEST=3Dm
+CONFIG_NETFILTER_XT_MATCH_REALM=3Dm
+CONFIG_NETFILTER_XT_MATCH_RECENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_SCTP=3Dm
+CONFIG_NETFILTER_XT_MATCH_SOCKET=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATE=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATISTIC=3Dm
+CONFIG_NETFILTER_XT_MATCH_STRING=3Dm
+CONFIG_NETFILTER_XT_MATCH_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_MATCH_TIME=3Dm
+CONFIG_NETFILTER_XT_MATCH_U32=3Dm
+# end of Core Netfilter Configuration
+
+CONFIG_IP_SET=3Dm
+CONFIG_IP_SET_MAX=3D256
+CONFIG_IP_SET_BITMAP_IP=3Dm
+CONFIG_IP_SET_BITMAP_IPMAC=3Dm
+CONFIG_IP_SET_BITMAP_PORT=3Dm
+CONFIG_IP_SET_HASH_IP=3Dm
+CONFIG_IP_SET_HASH_IPMARK=3Dm
+CONFIG_IP_SET_HASH_IPPORT=3Dm
+CONFIG_IP_SET_HASH_IPPORTIP=3Dm
+CONFIG_IP_SET_HASH_IPPORTNET=3Dm
+# CONFIG_IP_SET_HASH_IPMAC is not set
+CONFIG_IP_SET_HASH_MAC=3Dm
+CONFIG_IP_SET_HASH_NETPORTNET=3Dm
+CONFIG_IP_SET_HASH_NET=3Dm
+CONFIG_IP_SET_HASH_NETNET=3Dm
+CONFIG_IP_SET_HASH_NETPORT=3Dm
+CONFIG_IP_SET_HASH_NETIFACE=3Dm
+CONFIG_IP_SET_LIST_SET=3Dm
+CONFIG_IP_VS=3Dm
+CONFIG_IP_VS_IPV6=3Dy
+# CONFIG_IP_VS_DEBUG is not set
+CONFIG_IP_VS_TAB_BITS=3D12
+
+#
+# IPVS transport protocol load balancing support
+#
+CONFIG_IP_VS_PROTO_TCP=3Dy
+CONFIG_IP_VS_PROTO_UDP=3Dy
+CONFIG_IP_VS_PROTO_AH_ESP=3Dy
+CONFIG_IP_VS_PROTO_ESP=3Dy
+CONFIG_IP_VS_PROTO_AH=3Dy
+CONFIG_IP_VS_PROTO_SCTP=3Dy
+
+#
+# IPVS scheduler
+#
+CONFIG_IP_VS_RR=3Dm
+CONFIG_IP_VS_WRR=3Dm
+CONFIG_IP_VS_LC=3Dm
+CONFIG_IP_VS_WLC=3Dm
+CONFIG_IP_VS_FO=3Dm
+CONFIG_IP_VS_OVF=3Dm
+CONFIG_IP_VS_LBLC=3Dm
+CONFIG_IP_VS_LBLCR=3Dm
+CONFIG_IP_VS_DH=3Dm
+CONFIG_IP_VS_SH=3Dm
+CONFIG_IP_VS_MH=3Dm
+CONFIG_IP_VS_SED=3Dm
+CONFIG_IP_VS_NQ=3Dm
+
+#
+# IPVS SH scheduler
+#
+CONFIG_IP_VS_SH_TAB_BITS=3D8
+
+#
+# IPVS MH scheduler
+#
+CONFIG_IP_VS_MH_TAB_INDEX=3D12
+
+#
+# IPVS application helper
+#
+CONFIG_IP_VS_FTP=3Dm
+CONFIG_IP_VS_NFCT=3Dy
+CONFIG_IP_VS_PE_SIP=3Dm
+
+#
+# IP: Netfilter Configuration
+#
+CONFIG_NF_DEFRAG_IPV4=3Dm
+CONFIG_NF_SOCKET_IPV4=3Dm
+CONFIG_NF_TPROXY_IPV4=3Dm
+CONFIG_NF_TABLES_IPV4=3Dy
+CONFIG_NFT_REJECT_IPV4=3Dm
+CONFIG_NFT_DUP_IPV4=3Dm
+CONFIG_NFT_FIB_IPV4=3Dm
+CONFIG_NF_TABLES_ARP=3Dy
+CONFIG_NF_FLOW_TABLE_IPV4=3Dm
+CONFIG_NF_DUP_IPV4=3Dm
+CONFIG_NF_LOG_ARP=3Dm
+CONFIG_NF_LOG_IPV4=3Dm
+CONFIG_NF_REJECT_IPV4=3Dm
+CONFIG_NF_NAT_SNMP_BASIC=3Dm
+CONFIG_NF_NAT_PPTP=3Dm
+CONFIG_NF_NAT_H323=3Dm
+CONFIG_IP_NF_IPTABLES=3Dm
+CONFIG_IP_NF_MATCH_AH=3Dm
+CONFIG_IP_NF_MATCH_ECN=3Dm
+CONFIG_IP_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP_NF_MATCH_TTL=3Dm
+CONFIG_IP_NF_FILTER=3Dm
+CONFIG_IP_NF_TARGET_REJECT=3Dm
+CONFIG_IP_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP_NF_NAT=3Dm
+CONFIG_IP_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP_NF_TARGET_NETMAP=3Dm
+CONFIG_IP_NF_TARGET_REDIRECT=3Dm
+CONFIG_IP_NF_MANGLE=3Dm
+CONFIG_IP_NF_TARGET_CLUSTERIP=3Dm
+CONFIG_IP_NF_TARGET_ECN=3Dm
+CONFIG_IP_NF_TARGET_TTL=3Dm
+CONFIG_IP_NF_RAW=3Dm
+CONFIG_IP_NF_SECURITY=3Dm
+CONFIG_IP_NF_ARPTABLES=3Dm
+CONFIG_IP_NF_ARPFILTER=3Dm
+CONFIG_IP_NF_ARP_MANGLE=3Dm
+# end of IP: Netfilter Configuration
+
+#
+# IPv6: Netfilter Configuration
+#
+CONFIG_NF_SOCKET_IPV6=3Dm
+CONFIG_NF_TPROXY_IPV6=3Dm
+CONFIG_NF_TABLES_IPV6=3Dy
+CONFIG_NFT_REJECT_IPV6=3Dm
+CONFIG_NFT_DUP_IPV6=3Dm
+CONFIG_NFT_FIB_IPV6=3Dm
+CONFIG_NF_FLOW_TABLE_IPV6=3Dm
+CONFIG_NF_DUP_IPV6=3Dm
+CONFIG_NF_REJECT_IPV6=3Dm
+CONFIG_NF_LOG_IPV6=3Dm
+CONFIG_IP6_NF_IPTABLES=3Dm
+CONFIG_IP6_NF_MATCH_AH=3Dm
+CONFIG_IP6_NF_MATCH_EUI64=3Dm
+CONFIG_IP6_NF_MATCH_FRAG=3Dm
+CONFIG_IP6_NF_MATCH_OPTS=3Dm
+CONFIG_IP6_NF_MATCH_HL=3Dm
+CONFIG_IP6_NF_MATCH_IPV6HEADER=3Dm
+CONFIG_IP6_NF_MATCH_MH=3Dm
+CONFIG_IP6_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP6_NF_MATCH_RT=3Dm
+CONFIG_IP6_NF_MATCH_SRH=3Dm
+CONFIG_IP6_NF_TARGET_HL=3Dm
+CONFIG_IP6_NF_FILTER=3Dm
+CONFIG_IP6_NF_TARGET_REJECT=3Dm
+CONFIG_IP6_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP6_NF_MANGLE=3Dm
+CONFIG_IP6_NF_RAW=3Dm
+CONFIG_IP6_NF_SECURITY=3Dm
+CONFIG_IP6_NF_NAT=3Dm
+CONFIG_IP6_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP6_NF_TARGET_NPT=3Dm
+# end of IPv6: Netfilter Configuration
+
+CONFIG_NF_DEFRAG_IPV6=3Dm
+CONFIG_NF_TABLES_BRIDGE=3Dm
+CONFIG_NFT_BRIDGE_META=3Dm
+CONFIG_NFT_BRIDGE_REJECT=3Dm
+CONFIG_NF_LOG_BRIDGE=3Dm
+CONFIG_NF_CONNTRACK_BRIDGE=3Dm
+CONFIG_BRIDGE_NF_EBTABLES=3Dm
+CONFIG_BRIDGE_EBT_BROUTE=3Dm
+CONFIG_BRIDGE_EBT_T_FILTER=3Dm
+CONFIG_BRIDGE_EBT_T_NAT=3Dm
+CONFIG_BRIDGE_EBT_802_3=3Dm
+CONFIG_BRIDGE_EBT_AMONG=3Dm
+CONFIG_BRIDGE_EBT_ARP=3Dm
+CONFIG_BRIDGE_EBT_IP=3Dm
+CONFIG_BRIDGE_EBT_IP6=3Dm
+CONFIG_BRIDGE_EBT_LIMIT=3Dm
+CONFIG_BRIDGE_EBT_MARK=3Dm
+CONFIG_BRIDGE_EBT_PKTTYPE=3Dm
+CONFIG_BRIDGE_EBT_STP=3Dm
+CONFIG_BRIDGE_EBT_VLAN=3Dm
+CONFIG_BRIDGE_EBT_ARPREPLY=3Dm
+CONFIG_BRIDGE_EBT_DNAT=3Dm
+CONFIG_BRIDGE_EBT_MARK_T=3Dm
+CONFIG_BRIDGE_EBT_REDIRECT=3Dm
+CONFIG_BRIDGE_EBT_SNAT=3Dm
+CONFIG_BRIDGE_EBT_LOG=3Dm
+CONFIG_BRIDGE_EBT_NFLOG=3Dm
+# CONFIG_BPFILTER is not set
+CONFIG_IP_DCCP=3Dm
+CONFIG_INET_DCCP_DIAG=3Dm
+
+#
+# DCCP CCIDs Configuration
+#
+# CONFIG_IP_DCCP_CCID2_DEBUG is not set
+CONFIG_IP_DCCP_CCID3=3Dy
+# CONFIG_IP_DCCP_CCID3_DEBUG is not set
+CONFIG_IP_DCCP_TFRC_LIB=3Dy
+# end of DCCP CCIDs Configuration
+
+#
+# DCCP Kernel Hacking
+#
+# CONFIG_IP_DCCP_DEBUG is not set
+# end of DCCP Kernel Hacking
+
+CONFIG_IP_SCTP=3Dm
+# CONFIG_SCTP_DBG_OBJCNT is not set
+CONFIG_SCTP_DEFAULT_COOKIE_HMAC_MD5=3Dy
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_SHA1 is not set
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_NONE is not set
+CONFIG_SCTP_COOKIE_HMAC_MD5=3Dy
+CONFIG_SCTP_COOKIE_HMAC_SHA1=3Dy
+CONFIG_INET_SCTP_DIAG=3Dm
+CONFIG_RDS=3Dm
+CONFIG_RDS_RDMA=3Dm
+CONFIG_RDS_TCP=3Dm
+# CONFIG_RDS_DEBUG is not set
+CONFIG_TIPC=3Dm
+CONFIG_TIPC_MEDIA_IB=3Dy
+CONFIG_TIPC_MEDIA_UDP=3Dy
+CONFIG_TIPC_DIAG=3Dm
+CONFIG_ATM=3Dm
+CONFIG_ATM_CLIP=3Dm
+# CONFIG_ATM_CLIP_NO_ICMP is not set
+CONFIG_ATM_LANE=3Dm
+CONFIG_ATM_MPOA=3Dm
+CONFIG_ATM_BR2684=3Dm
+# CONFIG_ATM_BR2684_IPFILTER is not set
+CONFIG_L2TP=3Dm
+CONFIG_L2TP_DEBUGFS=3Dm
+CONFIG_L2TP_V3=3Dy
+CONFIG_L2TP_IP=3Dm
+CONFIG_L2TP_ETH=3Dm
+CONFIG_STP=3Dm
+CONFIG_GARP=3Dm
+CONFIG_MRP=3Dm
+CONFIG_BRIDGE=3Dm
+CONFIG_BRIDGE_IGMP_SNOOPING=3Dy
+CONFIG_BRIDGE_VLAN_FILTERING=3Dy
+CONFIG_HAVE_NET_DSA=3Dy
+CONFIG_NET_DSA=3Dm
+CONFIG_NET_DSA_TAG_8021Q=3Dm
+CONFIG_NET_DSA_TAG_BRCM_COMMON=3Dm
+CONFIG_NET_DSA_TAG_BRCM=3Dm
+CONFIG_NET_DSA_TAG_BRCM_PREPEND=3Dm
+CONFIG_NET_DSA_TAG_GSWIP=3Dm
+CONFIG_NET_DSA_TAG_DSA=3Dm
+CONFIG_NET_DSA_TAG_EDSA=3Dm
+CONFIG_NET_DSA_TAG_MTK=3Dm
+CONFIG_NET_DSA_TAG_KSZ=3Dm
+CONFIG_NET_DSA_TAG_QCA=3Dm
+CONFIG_NET_DSA_TAG_LAN9303=3Dm
+CONFIG_NET_DSA_TAG_SJA1105=3Dm
+CONFIG_NET_DSA_TAG_TRAILER=3Dm
+CONFIG_VLAN_8021Q=3Dm
+CONFIG_VLAN_8021Q_GVRP=3Dy
+CONFIG_VLAN_8021Q_MVRP=3Dy
+# CONFIG_DECNET is not set
+CONFIG_LLC=3Dm
+CONFIG_LLC2=3Dm
+CONFIG_ATALK=3Dm
+CONFIG_DEV_APPLETALK=3Dm
+CONFIG_IPDDP=3Dm
+CONFIG_IPDDP_ENCAP=3Dy
+# CONFIG_X25 is not set
+# CONFIG_LAPB is not set
+CONFIG_PHONET=3Dm
+CONFIG_6LOWPAN=3Dm
+# CONFIG_6LOWPAN_DEBUGFS is not set
+CONFIG_6LOWPAN_NHC=3Dm
+CONFIG_6LOWPAN_NHC_DEST=3Dm
+CONFIG_6LOWPAN_NHC_FRAGMENT=3Dm
+CONFIG_6LOWPAN_NHC_HOP=3Dm
+CONFIG_6LOWPAN_NHC_IPV6=3Dm
+CONFIG_6LOWPAN_NHC_MOBILITY=3Dm
+CONFIG_6LOWPAN_NHC_ROUTING=3Dm
+CONFIG_6LOWPAN_NHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_HOP=3Dm
+CONFIG_6LOWPAN_GHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_ICMPV6=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_DEST=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_FRAG=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_ROUTE=3Dm
+CONFIG_IEEE802154=3Dm
+# CONFIG_IEEE802154_NL802154_EXPERIMENTAL is not set
+CONFIG_IEEE802154_SOCKET=3Dm
+CONFIG_IEEE802154_6LOWPAN=3Dm
+CONFIG_MAC802154=3Dm
+CONFIG_NET_SCHED=3Dy
+
+#
+# Queueing/Scheduling
+#
+CONFIG_NET_SCH_CBQ=3Dm
+CONFIG_NET_SCH_HTB=3Dm
+CONFIG_NET_SCH_HFSC=3Dm
+CONFIG_NET_SCH_ATM=3Dm
+CONFIG_NET_SCH_PRIO=3Dm
+CONFIG_NET_SCH_MULTIQ=3Dm
+CONFIG_NET_SCH_RED=3Dm
+CONFIG_NET_SCH_SFB=3Dm
+CONFIG_NET_SCH_SFQ=3Dm
+CONFIG_NET_SCH_TEQL=3Dm
+CONFIG_NET_SCH_TBF=3Dm
+CONFIG_NET_SCH_CBS=3Dm
+CONFIG_NET_SCH_ETF=3Dm
+CONFIG_NET_SCH_TAPRIO=3Dm
+CONFIG_NET_SCH_GRED=3Dm
+CONFIG_NET_SCH_DSMARK=3Dm
+CONFIG_NET_SCH_NETEM=3Dm
+CONFIG_NET_SCH_DRR=3Dm
+CONFIG_NET_SCH_MQPRIO=3Dm
+CONFIG_NET_SCH_SKBPRIO=3Dm
+CONFIG_NET_SCH_CHOKE=3Dm
+CONFIG_NET_SCH_QFQ=3Dm
+CONFIG_NET_SCH_CODEL=3Dm
+CONFIG_NET_SCH_FQ_CODEL=3Dm
+CONFIG_NET_SCH_CAKE=3Dm
+CONFIG_NET_SCH_FQ=3Dm
+CONFIG_NET_SCH_HHF=3Dm
+CONFIG_NET_SCH_PIE=3Dm
+CONFIG_NET_SCH_INGRESS=3Dm
+CONFIG_NET_SCH_PLUG=3Dm
+# CONFIG_NET_SCH_DEFAULT is not set
+
+#
+# Classification
+#
+CONFIG_NET_CLS=3Dy
+CONFIG_NET_CLS_BASIC=3Dm
+CONFIG_NET_CLS_TCINDEX=3Dm
+CONFIG_NET_CLS_ROUTE4=3Dm
+CONFIG_NET_CLS_FW=3Dm
+CONFIG_NET_CLS_U32=3Dm
+CONFIG_CLS_U32_PERF=3Dy
+CONFIG_CLS_U32_MARK=3Dy
+CONFIG_NET_CLS_RSVP=3Dm
+CONFIG_NET_CLS_RSVP6=3Dm
+CONFIG_NET_CLS_FLOW=3Dm
+CONFIG_NET_CLS_CGROUP=3Dm
+CONFIG_NET_CLS_BPF=3Dm
+CONFIG_NET_CLS_FLOWER=3Dm
+CONFIG_NET_CLS_MATCHALL=3Dm
+CONFIG_NET_EMATCH=3Dy
+CONFIG_NET_EMATCH_STACK=3D32
+CONFIG_NET_EMATCH_CMP=3Dm
+CONFIG_NET_EMATCH_NBYTE=3Dm
+CONFIG_NET_EMATCH_U32=3Dm
+CONFIG_NET_EMATCH_META=3Dm
+CONFIG_NET_EMATCH_TEXT=3Dm
+CONFIG_NET_EMATCH_CANID=3Dm
+CONFIG_NET_EMATCH_IPSET=3Dm
+CONFIG_NET_EMATCH_IPT=3Dm
+CONFIG_NET_CLS_ACT=3Dy
+CONFIG_NET_ACT_POLICE=3Dm
+CONFIG_NET_ACT_GACT=3Dm
+CONFIG_GACT_PROB=3Dy
+CONFIG_NET_ACT_MIRRED=3Dm
+# CONFIG_NET_ACT_SAMPLE is not set
+CONFIG_NET_ACT_IPT=3Dm
+CONFIG_NET_ACT_NAT=3Dm
+CONFIG_NET_ACT_PEDIT=3Dm
+CONFIG_NET_ACT_SIMP=3Dm
+CONFIG_NET_ACT_SKBEDIT=3Dm
+CONFIG_NET_ACT_CSUM=3Dm
+CONFIG_NET_ACT_MPLS=3Dm
+CONFIG_NET_ACT_VLAN=3Dm
+CONFIG_NET_ACT_BPF=3Dm
+CONFIG_NET_ACT_CONNMARK=3Dm
+CONFIG_NET_ACT_CTINFO=3Dm
+CONFIG_NET_ACT_SKBMOD=3Dm
+CONFIG_NET_ACT_IFE=3Dm
+CONFIG_NET_ACT_TUNNEL_KEY=3Dm
+CONFIG_NET_ACT_CT=3Dm
+CONFIG_NET_IFE_SKBMARK=3Dm
+CONFIG_NET_IFE_SKBPRIO=3Dm
+CONFIG_NET_IFE_SKBTCINDEX=3Dm
+# CONFIG_NET_TC_SKB_EXT is not set
+CONFIG_NET_SCH_FIFO=3Dy
+CONFIG_DCB=3Dy
+CONFIG_DNS_RESOLVER=3Dm
+CONFIG_BATMAN_ADV=3Dm
+# CONFIG_BATMAN_ADV_BATMAN_V is not set
+CONFIG_BATMAN_ADV_BLA=3Dy
+CONFIG_BATMAN_ADV_DAT=3Dy
+CONFIG_BATMAN_ADV_NC=3Dy
+CONFIG_BATMAN_ADV_MCAST=3Dy
+CONFIG_BATMAN_ADV_DEBUGFS=3Dy
+# CONFIG_BATMAN_ADV_DEBUG is not set
+CONFIG_BATMAN_ADV_SYSFS=3Dy
+# CONFIG_BATMAN_ADV_TRACING is not set
+CONFIG_OPENVSWITCH=3Dm
+CONFIG_OPENVSWITCH_GRE=3Dm
+CONFIG_OPENVSWITCH_VXLAN=3Dm
+CONFIG_OPENVSWITCH_GENEVE=3Dm
+CONFIG_VSOCKETS=3Dm
+CONFIG_VSOCKETS_DIAG=3Dm
+CONFIG_VIRTIO_VSOCKETS=3Dm
+CONFIG_VIRTIO_VSOCKETS_COMMON=3Dm
+CONFIG_NETLINK_DIAG=3Dm
+CONFIG_MPLS=3Dy
+CONFIG_NET_MPLS_GSO=3Dy
+CONFIG_MPLS_ROUTING=3Dm
+CONFIG_MPLS_IPTUNNEL=3Dm
+CONFIG_NET_NSH=3Dm
+# CONFIG_HSR is not set
+CONFIG_NET_SWITCHDEV=3Dy
+CONFIG_NET_L3_MASTER_DEV=3Dy
+# CONFIG_NET_NCSI is not set
+CONFIG_RPS=3Dy
+CONFIG_RFS_ACCEL=3Dy
+CONFIG_XPS=3Dy
+CONFIG_CGROUP_NET_PRIO=3Dy
+CONFIG_CGROUP_NET_CLASSID=3Dy
+CONFIG_NET_RX_BUSY_POLL=3Dy
+CONFIG_BQL=3Dy
+CONFIG_BPF_JIT=3Dy
+CONFIG_NET_FLOW_LIMIT=3Dy
+
+#
+# Network testing
+#
+CONFIG_NET_PKTGEN=3Dm
+CONFIG_NET_DROP_MONITOR=3Dy
+# end of Network testing
+# end of Networking options
+
+# CONFIG_HAMRADIO is not set
+CONFIG_CAN=3Dm
+CONFIG_CAN_RAW=3Dm
+CONFIG_CAN_BCM=3Dm
+CONFIG_CAN_GW=3Dm
+CONFIG_CAN_J1939=3Dm
+
+#
+# CAN Device Drivers
+#
+CONFIG_CAN_VCAN=3Dm
+# CONFIG_CAN_VXCAN is not set
+CONFIG_CAN_SLCAN=3Dm
+CONFIG_CAN_DEV=3Dm
+CONFIG_CAN_CALC_BITTIMING=3Dy
+# CONFIG_CAN_FLEXCAN is not set
+# CONFIG_CAN_GRCAN is not set
+CONFIG_CAN_KVASER_PCIEFD=3Dm
+CONFIG_CAN_SUN4I=3Dm
+# CONFIG_CAN_TI_HECC is not set
+# CONFIG_CAN_C_CAN is not set
+# CONFIG_CAN_CC770 is not set
+# CONFIG_CAN_IFI_CANFD is not set
+# CONFIG_CAN_M_CAN is not set
+# CONFIG_CAN_PEAK_PCIEFD is not set
+# CONFIG_CAN_RCAR is not set
+# CONFIG_CAN_RCAR_CANFD is not set
+CONFIG_CAN_SJA1000=3Dm
+CONFIG_CAN_EMS_PCI=3Dm
+CONFIG_CAN_F81601=3Dm
+CONFIG_CAN_KVASER_PCI=3Dm
+CONFIG_CAN_PEAK_PCI=3Dm
+CONFIG_CAN_PEAK_PCIEC=3Dy
+CONFIG_CAN_PLX_PCI=3Dm
+CONFIG_CAN_SJA1000_ISA=3Dm
+# CONFIG_CAN_SJA1000_PLATFORM is not set
+CONFIG_CAN_SOFTING=3Dm
+
+#
+# CAN SPI interfaces
+#
+# CONFIG_CAN_HI311X is not set
+# CONFIG_CAN_MCP251X is not set
+# end of CAN SPI interfaces
+
+#
+# CAN USB interfaces
+#
+CONFIG_CAN_8DEV_USB=3Dm
+CONFIG_CAN_EMS_USB=3Dm
+CONFIG_CAN_ESD_USB2=3Dm
+CONFIG_CAN_GS_USB=3Dm
+CONFIG_CAN_KVASER_USB=3Dm
+# CONFIG_CAN_MCBA_USB is not set
+CONFIG_CAN_PEAK_USB=3Dm
+CONFIG_CAN_UCAN=3Dm
+# end of CAN USB interfaces
+
+# CONFIG_CAN_DEBUG_DEVICES is not set
+# end of CAN Device Drivers
+
+CONFIG_BT=3Dm
+CONFIG_BT_BREDR=3Dy
+CONFIG_BT_RFCOMM=3Dm
+CONFIG_BT_RFCOMM_TTY=3Dy
+CONFIG_BT_BNEP=3Dm
+CONFIG_BT_BNEP_MC_FILTER=3Dy
+CONFIG_BT_BNEP_PROTO_FILTER=3Dy
+CONFIG_BT_HIDP=3Dm
+CONFIG_BT_HS=3Dy
+CONFIG_BT_LE=3Dy
+CONFIG_BT_6LOWPAN=3Dm
+# CONFIG_BT_LEDS is not set
+# CONFIG_BT_SELFTEST is not set
+CONFIG_BT_DEBUGFS=3Dy
+
+#
+# Bluetooth device drivers
+#
+CONFIG_BT_INTEL=3Dm
+CONFIG_BT_BCM=3Dm
+CONFIG_BT_RTL=3Dm
+CONFIG_BT_HCIBTUSB=3Dm
+# CONFIG_BT_HCIBTUSB_AUTOSUSPEND is not set
+CONFIG_BT_HCIBTUSB_BCM=3Dy
+CONFIG_BT_HCIBTUSB_MTK=3Dy
+CONFIG_BT_HCIBTUSB_RTL=3Dy
+CONFIG_BT_HCIBTSDIO=3Dm
+# CONFIG_BT_HCIUART is not set
+# CONFIG_BT_HCIBCM203X is not set
+# CONFIG_BT_HCIBPA10X is not set
+# CONFIG_BT_HCIBFUSB is not set
+# CONFIG_BT_HCIVHCI is not set
+CONFIG_BT_MRVL=3Dm
+CONFIG_BT_MRVL_SDIO=3Dm
+CONFIG_BT_ATH3K=3Dm
+CONFIG_BT_WILINK=3Dm
+CONFIG_BT_MTKSDIO=3Dm
+CONFIG_BT_HCIRSI=3Dm
+# end of Bluetooth device drivers
+
+CONFIG_AF_RXRPC=3Dm
+CONFIG_AF_RXRPC_IPV6=3Dy
+# CONFIG_AF_RXRPC_INJECT_LOSS is not set
+# CONFIG_AF_RXRPC_DEBUG is not set
+CONFIG_RXKAD=3Dy
+# CONFIG_AF_KCM is not set
+CONFIG_FIB_RULES=3Dy
+CONFIG_WIRELESS=3Dy
+CONFIG_WIRELESS_EXT=3Dy
+CONFIG_WEXT_CORE=3Dy
+CONFIG_WEXT_PROC=3Dy
+CONFIG_WEXT_SPY=3Dy
+CONFIG_WEXT_PRIV=3Dy
+CONFIG_CFG80211=3Dm
+# CONFIG_NL80211_TESTMODE is not set
+# CONFIG_CFG80211_DEVELOPER_WARNINGS is not set
+# CONFIG_CFG80211_CERTIFICATION_ONUS is not set
+CONFIG_CFG80211_REQUIRE_SIGNED_REGDB=3Dy
+CONFIG_CFG80211_USE_KERNEL_REGDB_KEYS=3Dy
+CONFIG_CFG80211_DEFAULT_PS=3Dy
+# CONFIG_CFG80211_DEBUGFS is not set
+CONFIG_CFG80211_CRDA_SUPPORT=3Dy
+CONFIG_CFG80211_WEXT=3Dy
+CONFIG_CFG80211_WEXT_EXPORT=3Dy
+CONFIG_LIB80211=3Dm
+CONFIG_LIB80211_CRYPT_WEP=3Dm
+CONFIG_LIB80211_CRYPT_CCMP=3Dm
+CONFIG_LIB80211_CRYPT_TKIP=3Dm
+# CONFIG_LIB80211_DEBUG is not set
+CONFIG_MAC80211=3Dm
+CONFIG_MAC80211_HAS_RC=3Dy
+CONFIG_MAC80211_RC_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT=3D"minstrel_ht"
+CONFIG_MAC80211_MESH=3Dy
+CONFIG_MAC80211_LEDS=3Dy
+# CONFIG_MAC80211_DEBUGFS is not set
+# CONFIG_MAC80211_MESSAGE_TRACING is not set
+# CONFIG_MAC80211_DEBUG_MENU is not set
+CONFIG_MAC80211_STA_HASH_MAX_SIZE=3D0
+CONFIG_WIMAX=3Dm
+CONFIG_WIMAX_DEBUG_LEVEL=3D8
+CONFIG_RFKILL=3Dm
+CONFIG_RFKILL_LEDS=3Dy
+CONFIG_RFKILL_INPUT=3Dy
+# CONFIG_RFKILL_GPIO is not set
+CONFIG_NET_9P=3Dm
+CONFIG_NET_9P_VIRTIO=3Dm
+# CONFIG_NET_9P_XEN is not set
+CONFIG_NET_9P_RDMA=3Dm
+# CONFIG_NET_9P_DEBUG is not set
+# CONFIG_CAIF is not set
+CONFIG_CEPH_LIB=3Dm
+# CONFIG_CEPH_LIB_PRETTYDEBUG is not set
+# CONFIG_CEPH_LIB_USE_DNS_RESOLVER is not set
+CONFIG_NFC=3Dm
+CONFIG_NFC_DIGITAL=3Dm
+# CONFIG_NFC_NCI is not set
+# CONFIG_NFC_HCI is not set
+
+#
+# Near Field Communication (NFC) devices
+#
+# CONFIG_NFC_TRF7970A is not set
+CONFIG_NFC_SIM=3Dm
+CONFIG_NFC_PORT100=3Dm
+CONFIG_NFC_PN533=3Dm
+CONFIG_NFC_PN533_USB=3Dm
+# CONFIG_NFC_PN533_I2C is not set
+# CONFIG_NFC_ST95HF is not set
+# end of Near Field Communication (NFC) devices
+
+# CONFIG_PSAMPLE is not set
+CONFIG_NET_IFE=3Dm
+CONFIG_LWTUNNEL=3Dy
+CONFIG_LWTUNNEL_BPF=3Dy
+CONFIG_DST_CACHE=3Dy
+CONFIG_GRO_CELLS=3Dy
+CONFIG_NET_DEVLINK=3Dy
+CONFIG_PAGE_POOL=3Dy
+CONFIG_FAILOVER=3Dm
+CONFIG_HAVE_EBPF_JIT=3Dy
+
+#
+# Device Drivers
+#
+CONFIG_ARM_AMBA=3Dy
+CONFIG_TEGRA_AHB=3Dy
+CONFIG_HAVE_PCI=3Dy
+CONFIG_PCI=3Dy
+CONFIG_PCI_DOMAINS=3Dy
+CONFIG_PCI_DOMAINS_GENERIC=3Dy
+CONFIG_PCI_SYSCALL=3Dy
+CONFIG_PCIEPORTBUS=3Dy
+CONFIG_PCIEAER=3Dy
+CONFIG_PCIEAER_INJECT=3Dm
+# CONFIG_PCIE_ECRC is not set
+CONFIG_PCIEASPM=3Dy
+# CONFIG_PCIEASPM_DEBUG is not set
+CONFIG_PCIEASPM_DEFAULT=3Dy
+# CONFIG_PCIEASPM_POWERSAVE is not set
+# CONFIG_PCIEASPM_POWER_SUPERSAVE is not set
+# CONFIG_PCIEASPM_PERFORMANCE is not set
+CONFIG_PCIE_PME=3Dy
+CONFIG_PCIE_DPC=3Dy
+CONFIG_PCIE_PTM=3Dy
+# CONFIG_PCIE_BW is not set
+CONFIG_PCI_MSI=3Dy
+CONFIG_PCI_MSI_IRQ_DOMAIN=3Dy
+CONFIG_PCI_QUIRKS=3Dy
+# CONFIG_PCI_DEBUG is not set
+CONFIG_PCI_STUB=3Dm
+CONFIG_PCI_ECAM=3Dy
+CONFIG_PCI_BRIDGE_EMUL=3Dy
+# CONFIG_PCI_IOV is not set
+# CONFIG_PCI_PRI is not set
+# CONFIG_PCI_PASID is not set
+CONFIG_PCI_LABEL=3Dy
+# CONFIG_HOTPLUG_PCI is not set
+
+#
+# PCI controller drivers
+#
+CONFIG_PCI_MVEBU=3Dy
+
+#
+# Cadence PCIe controllers support
+#
+# CONFIG_PCIE_CADENCE_HOST is not set
+# end of Cadence PCIe controllers support
+
+# CONFIG_PCI_FTPCI100 is not set
+CONFIG_PCI_TEGRA=3Dy
+CONFIG_PCI_HOST_COMMON=3Dy
+CONFIG_PCI_HOST_GENERIC=3Dy
+# CONFIG_PCIE_XILINX is not set
+# CONFIG_PCI_V3_SEMI is not set
+# CONFIG_PCIE_ALTERA is not set
+CONFIG_PCIE_ROCKCHIP=3Dy
+CONFIG_PCIE_ROCKCHIP_HOST=3Dm
+
+#
+# DesignWare PCI Core Support
+#
+CONFIG_PCIE_DW=3Dy
+CONFIG_PCIE_DW_HOST=3Dy
+CONFIG_PCI_DRA7XX=3Dy
+CONFIG_PCI_DRA7XX_HOST=3Dy
+# CONFIG_PCIE_DW_PLAT_HOST is not set
+CONFIG_PCI_IMX6=3Dy
+# CONFIG_PCI_LAYERSCAPE is not set
+# CONFIG_PCIE_ARMADA_8K is not set
+# CONFIG_PCI_MESON is not set
+# end of DesignWare PCI Core Support
+# end of PCI controller drivers
+
+#
+# PCI Endpoint
+#
+# CONFIG_PCI_ENDPOINT is not set
+# end of PCI Endpoint
+
+#
+# PCI switch controller drivers
+#
+# CONFIG_PCI_SW_SWITCHTEC is not set
+# end of PCI switch controller drivers
+
+# CONFIG_PCCARD is not set
+# CONFIG_RAPIDIO is not set
+
+#
+# Generic Driver Options
+#
+# CONFIG_UEVENT_HELPER is not set
+CONFIG_DEVTMPFS=3Dy
+CONFIG_DEVTMPFS_MOUNT=3Dy
+CONFIG_STANDALONE=3Dy
+CONFIG_PREVENT_FIRMWARE_BUILD=3Dy
+
+#
+# Firmware loader
+#
+CONFIG_FW_LOADER=3Dy
+CONFIG_FW_LOADER_PAGED_BUF=3Dy
+CONFIG_EXTRA_FIRMWARE=3D""
+CONFIG_FW_LOADER_USER_HELPER=3Dy
+# CONFIG_FW_LOADER_USER_HELPER_FALLBACK is not set
+CONFIG_FW_LOADER_COMPRESS=3Dy
+# end of Firmware loader
+
+CONFIG_WANT_DEV_COREDUMP=3Dy
+CONFIG_ALLOW_DEV_COREDUMP=3Dy
+CONFIG_DEV_COREDUMP=3Dy
+# CONFIG_DEBUG_DRIVER is not set
+# CONFIG_DEBUG_DEVRES is not set
+# CONFIG_DEBUG_TEST_DRIVER_REMOVE is not set
+# CONFIG_TEST_ASYNC_DRIVER_PROBE is not set
+CONFIG_SYS_HYPERVISOR=3Dy
+CONFIG_GENERIC_CPU_AUTOPROBE=3Dy
+CONFIG_SOC_BUS=3Dy
+CONFIG_REGMAP=3Dy
+CONFIG_REGMAP_AC97=3Dm
+CONFIG_REGMAP_I2C=3Dy
+CONFIG_REGMAP_SPI=3Dy
+CONFIG_REGMAP_W1=3Dm
+CONFIG_REGMAP_MMIO=3Dy
+CONFIG_REGMAP_IRQ=3Dy
+CONFIG_REGMAP_SCCB=3Dm
+CONFIG_DMA_SHARED_BUFFER=3Dy
+# CONFIG_DMA_FENCE_TRACE is not set
+CONFIG_GENERIC_ARCH_TOPOLOGY=3Dy
+# end of Generic Driver Options
+
+#
+# Bus devices
+#
+CONFIG_ARM_CCI=3Dy
+CONFIG_ARM_CCI400_COMMON=3Dy
+CONFIG_ARM_CCI400_PORT_CTRL=3Dy
+# CONFIG_BRCMSTB_GISB_ARB is not set
+# CONFIG_MOXTET is not set
+# CONFIG_IMX_WEIM is not set
+CONFIG_MVEBU_MBUS=3Dy
+CONFIG_OMAP_INTERCONNECT=3Dy
+CONFIG_OMAP_OCP2SCP=3Dm
+# CONFIG_SIMPLE_PM_BUS is not set
+CONFIG_SUN50I_DE2_BUS=3Dy
+CONFIG_SUNXI_RSB=3Dy
+# CONFIG_TEGRA_GMI is not set
+CONFIG_TI_SYSC=3Dy
+CONFIG_VEXPRESS_CONFIG=3Dy
+# end of Bus devices
+
+CONFIG_CONNECTOR=3Dy
+CONFIG_PROC_EVENTS=3Dy
+CONFIG_GNSS=3Dm
+CONFIG_MTD=3Dy
+# CONFIG_MTD_TESTS is not set
+
+#
+# Partition parsers
+#
+CONFIG_MTD_AR7_PARTS=3Dm
+# CONFIG_MTD_CMDLINE_PARTS is not set
+CONFIG_MTD_OF_PARTS=3Dm
+# CONFIG_MTD_AFS_PARTS is not set
+# CONFIG_MTD_REDBOOT_PARTS is not set
+# end of Partition parsers
+
+#
+# User Modules And Translation Layers
+#
+CONFIG_MTD_BLKDEVS=3Dm
+CONFIG_MTD_BLOCK=3Dm
+CONFIG_MTD_BLOCK_RO=3Dm
+# CONFIG_FTL is not set
+# CONFIG_NFTL is not set
+# CONFIG_INFTL is not set
+CONFIG_RFD_FTL=3Dm
+CONFIG_SSFDC=3Dm
+# CONFIG_SM_FTL is not set
+CONFIG_MTD_OOPS=3Dm
+CONFIG_MTD_SWAP=3Dm
+# CONFIG_MTD_PARTITIONED_MASTER is not set
+
+#
+# RAM/ROM/Flash chip drivers
+#
+CONFIG_MTD_CFI=3Dm
+# CONFIG_MTD_JEDECPROBE is not set
+CONFIG_MTD_GEN_PROBE=3Dm
+# CONFIG_MTD_CFI_ADV_OPTIONS is not set
+CONFIG_MTD_MAP_BANK_WIDTH_1=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_2=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_4=3Dy
+CONFIG_MTD_CFI_I1=3Dy
+CONFIG_MTD_CFI_I2=3Dy
+CONFIG_MTD_CFI_INTELEXT=3Dm
+CONFIG_MTD_CFI_AMDSTD=3Dm
+CONFIG_MTD_CFI_STAA=3Dm
+CONFIG_MTD_CFI_UTIL=3Dm
+CONFIG_MTD_RAM=3Dm
+# CONFIG_MTD_ROM is not set
+# CONFIG_MTD_ABSENT is not set
+# end of RAM/ROM/Flash chip drivers
+
+#
+# Mapping drivers for chip access
+#
+CONFIG_MTD_COMPLEX_MAPPINGS=3Dy
+CONFIG_MTD_PHYSMAP=3Dm
+# CONFIG_MTD_PHYSMAP_COMPAT is not set
+# CONFIG_MTD_PHYSMAP_OF is not set
+CONFIG_MTD_PHYSMAP_GPIO_ADDR=3Dy
+CONFIG_MTD_PCI=3Dm
+CONFIG_MTD_INTEL_VR_NOR=3Dm
+CONFIG_MTD_PLATRAM=3Dm
+# end of Mapping drivers for chip access
+
+#
+# Self-contained MTD device drivers
+#
+# CONFIG_MTD_PMC551 is not set
+CONFIG_MTD_DATAFLASH=3Dm
+# CONFIG_MTD_DATAFLASH_WRITE_VERIFY is not set
+# CONFIG_MTD_DATAFLASH_OTP is not set
+# CONFIG_MTD_MCHP23K256 is not set
+CONFIG_MTD_SST25L=3Dm
+# CONFIG_MTD_SLRAM is not set
+# CONFIG_MTD_PHRAM is not set
+# CONFIG_MTD_MTDRAM is not set
+# CONFIG_MTD_BLOCK2MTD is not set
+
+#
+# Disk-On-Chip Device Drivers
+#
+# CONFIG_MTD_DOCG3 is not set
+# end of Self-contained MTD device drivers
+
+CONFIG_MTD_NAND_CORE=3Dm
+CONFIG_MTD_ONENAND=3Dy
+CONFIG_MTD_ONENAND_VERIFY_WRITE=3Dy
+# CONFIG_MTD_ONENAND_GENERIC is not set
+CONFIG_MTD_ONENAND_OMAP2=3Dm
+# CONFIG_MTD_ONENAND_SAMSUNG is not set
+# CONFIG_MTD_ONENAND_OTP is not set
+CONFIG_MTD_ONENAND_2X_PROGRAM=3Dy
+CONFIG_MTD_NAND_ECC_SW_HAMMING=3Dm
+# CONFIG_MTD_NAND_ECC_SW_HAMMING_SMC is not set
+CONFIG_MTD_RAW_NAND=3Dm
+# CONFIG_MTD_NAND_ECC_SW_BCH is not set
+
+#
+# Raw/parallel NAND flash controllers
+#
+# CONFIG_MTD_NAND_DENALI_PCI is not set
+# CONFIG_MTD_NAND_DENALI_DT is not set
+CONFIG_MTD_NAND_OMAP2=3Dm
+# CONFIG_MTD_NAND_OMAP_BCH is not set
+CONFIG_MTD_NAND_CAFE=3Dm
+CONFIG_MTD_NAND_ORION=3Dm
+CONFIG_MTD_NAND_MARVELL=3Dm
+# CONFIG_MTD_NAND_BRCMNAND is not set
+CONFIG_MTD_NAND_GPMI_NAND=3Dm
+CONFIG_MTD_NAND_MXC=3Dm
+CONFIG_MTD_NAND_SUNXI=3Dm
+CONFIG_MTD_NAND_MXIC=3Dm
+CONFIG_MTD_NAND_TEGRA=3Dm
+# CONFIG_MTD_NAND_GPIO is not set
+# CONFIG_MTD_NAND_PLATFORM is not set
+
+#
+# Misc
+#
+CONFIG_MTD_SM_COMMON=3Dm
+CONFIG_MTD_NAND_NANDSIM=3Dm
+CONFIG_MTD_NAND_RICOH=3Dm
+# CONFIG_MTD_NAND_DISKONCHIP is not set
+CONFIG_MTD_SPI_NAND=3Dm
+
+#
+# LPDDR & LPDDR2 PCM memory drivers
+#
+CONFIG_MTD_LPDDR=3Dm
+CONFIG_MTD_QINFO_PROBE=3Dm
+# CONFIG_MTD_LPDDR2_NVM is not set
+# end of LPDDR & LPDDR2 PCM memory drivers
+
+CONFIG_MTD_SPI_NOR=3Dm
+CONFIG_MTD_SPI_NOR_USE_4K_SECTORS=3Dy
+# CONFIG_SPI_CADENCE_QUADSPI is not set
+# CONFIG_SPI_MTK_QUADSPI is not set
+CONFIG_MTD_UBI=3Dm
+CONFIG_MTD_UBI_WL_THRESHOLD=3D4096
+CONFIG_MTD_UBI_BEB_LIMIT=3D20
+# CONFIG_MTD_UBI_FASTMAP is not set
+# CONFIG_MTD_UBI_GLUEBI is not set
+CONFIG_MTD_UBI_BLOCK=3Dy
+CONFIG_MTD_HYPERBUS=3Dm
+CONFIG_DTC=3Dy
+CONFIG_OF=3Dy
+# CONFIG_OF_UNITTEST is not set
+CONFIG_OF_FLATTREE=3Dy
+CONFIG_OF_EARLY_FLATTREE=3Dy
+CONFIG_OF_KOBJ=3Dy
+CONFIG_OF_DYNAMIC=3Dy
+CONFIG_OF_ADDRESS=3Dy
+CONFIG_OF_IRQ=3Dy
+CONFIG_OF_NET=3Dy
+CONFIG_OF_MDIO=3Dy
+CONFIG_OF_RESERVED_MEM=3Dy
+CONFIG_OF_RESOLVE=3Dy
+CONFIG_OF_OVERLAY=3Dy
+CONFIG_ARCH_MIGHT_HAVE_PC_PARPORT=3Dy
+CONFIG_PARPORT=3Dm
+# CONFIG_PARPORT_PC is not set
+# CONFIG_PARPORT_AX88796 is not set
+CONFIG_PARPORT_1284=3Dy
+CONFIG_PARPORT_NOT_PC=3Dy
+CONFIG_BLK_DEV=3Dy
+CONFIG_BLK_DEV_NULL_BLK=3Dm
+CONFIG_CDROM=3Dm
+CONFIG_BLK_DEV_PCIESSD_MTIP32XX=3Dm
+CONFIG_ZRAM=3Dm
+# CONFIG_ZRAM_WRITEBACK is not set
+# CONFIG_ZRAM_MEMORY_TRACKING is not set
+# CONFIG_BLK_DEV_UMEM is not set
+CONFIG_BLK_DEV_LOOP=3Dm
+CONFIG_BLK_DEV_LOOP_MIN_COUNT=3D8
+# CONFIG_BLK_DEV_CRYPTOLOOP is not set
+CONFIG_BLK_DEV_DRBD=3Dm
+# CONFIG_DRBD_FAULT_INJECTION is not set
+CONFIG_BLK_DEV_NBD=3Dm
+# CONFIG_BLK_DEV_SX8 is not set
+CONFIG_BLK_DEV_RAM=3Dm
+CONFIG_BLK_DEV_RAM_COUNT=3D16
+CONFIG_BLK_DEV_RAM_SIZE=3D16384
+# CONFIG_CDROM_PKTCDVD is not set
+CONFIG_ATA_OVER_ETH=3Dm
+CONFIG_XEN_BLKDEV_FRONTEND=3Dm
+CONFIG_XEN_BLKDEV_BACKEND=3Dm
+CONFIG_VIRTIO_BLK=3Dm
+# CONFIG_VIRTIO_BLK_SCSI is not set
+CONFIG_BLK_DEV_RBD=3Dm
+# CONFIG_BLK_DEV_RSXX is not set
+
+#
+# NVME Support
+#
+CONFIG_NVME_CORE=3Dy
+CONFIG_BLK_DEV_NVME=3Dy
+# CONFIG_NVME_MULTIPATH is not set
+CONFIG_NVME_FABRICS=3Dm
+CONFIG_NVME_RDMA=3Dm
+# CONFIG_NVME_FC is not set
+# CONFIG_NVME_TCP is not set
+CONFIG_NVME_TARGET=3Dm
+# CONFIG_NVME_TARGET_LOOP is not set
+CONFIG_NVME_TARGET_RDMA=3Dm
+# CONFIG_NVME_TARGET_FC is not set
+# CONFIG_NVME_TARGET_TCP is not set
+# end of NVME Support
+
+#
+# Misc devices
+#
+CONFIG_SENSORS_LIS3LV02D=3Dm
+CONFIG_AD525X_DPOT=3Dm
+CONFIG_AD525X_DPOT_I2C=3Dm
+CONFIG_AD525X_DPOT_SPI=3Dm
+# CONFIG_DUMMY_IRQ is not set
+# CONFIG_PHANTOM is not set
+CONFIG_TIFM_CORE=3Dm
+CONFIG_TIFM_7XX1=3Dm
+CONFIG_ICS932S401=3Dm
+CONFIG_ENCLOSURE_SERVICES=3Dm
+# CONFIG_HP_ILO is not set
+CONFIG_APDS9802ALS=3Dm
+CONFIG_ISL29003=3Dm
+CONFIG_ISL29020=3Dm
+CONFIG_SENSORS_TSL2550=3Dm
+CONFIG_SENSORS_BH1770=3Dm
+CONFIG_SENSORS_APDS990X=3Dm
+CONFIG_HMC6352=3Dm
+CONFIG_DS1682=3Dm
+# CONFIG_LATTICE_ECP3_CONFIG is not set
+CONFIG_SRAM=3Dy
+CONFIG_SRAM_EXEC=3Dy
+CONFIG_VEXPRESS_SYSCFG=3Dy
+# CONFIG_PCI_ENDPOINT_TEST is not set
+CONFIG_XILINX_SDFEC=3Dm
+CONFIG_MISC_RTSX=3Dm
+# CONFIG_PVPANIC is not set
+CONFIG_C2PORT=3Dm
+
+#
+# EEPROM support
+#
+CONFIG_EEPROM_AT24=3Dm
+CONFIG_EEPROM_AT25=3Dm
+CONFIG_EEPROM_LEGACY=3Dm
+CONFIG_EEPROM_MAX6875=3Dm
+CONFIG_EEPROM_93CX6=3Dm
+# CONFIG_EEPROM_93XX46 is not set
+# CONFIG_EEPROM_IDT_89HPESX is not set
+# CONFIG_EEPROM_EE1004 is not set
+# end of EEPROM support
+
+CONFIG_CB710_CORE=3Dm
+# CONFIG_CB710_DEBUG is not set
+CONFIG_CB710_DEBUG_ASSUMPTIONS=3Dy
+
+#
+# Texas Instruments shared transport line discipline
+#
+CONFIG_TI_ST=3Dm
+# end of Texas Instruments shared transport line discipline
+
+# CONFIG_SENSORS_LIS3_SPI is not set
+CONFIG_SENSORS_LIS3_I2C=3Dm
+CONFIG_ALTERA_STAPL=3Dm
+
+#
+# Intel MIC & related support
+#
+
+#
+# Intel MIC Bus Driver
+#
+
+#
+# SCIF Bus Driver
+#
+
+#
+# VOP Bus Driver
+#
+# CONFIG_VOP_BUS is not set
+
+#
+# Intel MIC Host Driver
+#
+
+#
+# Intel MIC Card Driver
+#
+
+#
+# SCIF Driver
+#
+
+#
+# Intel MIC Coprocessor State Management (COSM) Drivers
+#
+
+#
+# VOP Driver
+#
+# end of Intel MIC & related support
+
+# CONFIG_ECHO is not set
+CONFIG_MISC_ALCOR_PCI=3Dm
+CONFIG_MISC_RTSX_PCI=3Dm
+CONFIG_MISC_RTSX_USB=3Dm
+# CONFIG_HABANA_AI is not set
+# end of Misc devices
+
+CONFIG_HAVE_IDE=3Dy
+# CONFIG_IDE is not set
+
+#
+# SCSI device support
+#
+CONFIG_SCSI_MOD=3Dm
+CONFIG_RAID_ATTRS=3Dm
+CONFIG_SCSI=3Dm
+CONFIG_SCSI_DMA=3Dy
+CONFIG_SCSI_NETLINK=3Dy
+# CONFIG_SCSI_PROC_FS is not set
+
+#
+# SCSI support type (disk, tape, CD-ROM)
+#
+CONFIG_BLK_DEV_SD=3Dm
+CONFIG_CHR_DEV_ST=3Dm
+CONFIG_BLK_DEV_SR=3Dm
+CONFIG_BLK_DEV_SR_VENDOR=3Dy
+CONFIG_CHR_DEV_SG=3Dm
+CONFIG_CHR_DEV_SCH=3Dm
+CONFIG_SCSI_ENCLOSURE=3Dm
+CONFIG_SCSI_CONSTANTS=3Dy
+CONFIG_SCSI_LOGGING=3Dy
+CONFIG_SCSI_SCAN_ASYNC=3Dy
+
+#
+# SCSI Transports
+#
+CONFIG_SCSI_SPI_ATTRS=3Dm
+CONFIG_SCSI_FC_ATTRS=3Dm
+CONFIG_SCSI_ISCSI_ATTRS=3Dm
+CONFIG_SCSI_SAS_ATTRS=3Dm
+CONFIG_SCSI_SAS_LIBSAS=3Dm
+CONFIG_SCSI_SAS_ATA=3Dy
+CONFIG_SCSI_SAS_HOST_SMP=3Dy
+CONFIG_SCSI_SRP_ATTRS=3Dm
+# end of SCSI Transports
+
+CONFIG_SCSI_LOWLEVEL=3Dy
+CONFIG_ISCSI_TCP=3Dm
+CONFIG_ISCSI_BOOT_SYSFS=3Dm
+CONFIG_SCSI_CXGB3_ISCSI=3Dm
+CONFIG_SCSI_CXGB4_ISCSI=3Dm
+CONFIG_SCSI_BNX2_ISCSI=3Dm
+CONFIG_SCSI_BNX2X_FCOE=3Dm
+CONFIG_BE2ISCSI=3Dm
+# CONFIG_BLK_DEV_3W_XXXX_RAID is not set
+CONFIG_SCSI_HPSA=3Dm
+# CONFIG_SCSI_3W_9XXX is not set
+CONFIG_SCSI_3W_SAS=3Dm
+CONFIG_SCSI_ACARD=3Dm
+# CONFIG_SCSI_AACRAID is not set
+# CONFIG_SCSI_AIC7XXX is not set
+# CONFIG_SCSI_AIC79XX is not set
+# CONFIG_SCSI_AIC94XX is not set
+CONFIG_SCSI_MVSAS=3Dm
+# CONFIG_SCSI_MVSAS_DEBUG is not set
+# CONFIG_SCSI_MVSAS_TASKLET is not set
+CONFIG_SCSI_MVUMI=3Dm
+CONFIG_SCSI_ADVANSYS=3Dm
+# CONFIG_SCSI_ARCMSR is not set
+CONFIG_SCSI_ESAS2R=3Dm
+# CONFIG_MEGARAID_NEWGEN is not set
+# CONFIG_MEGARAID_LEGACY is not set
+# CONFIG_MEGARAID_SAS is not set
+CONFIG_SCSI_MPT3SAS=3Dm
+CONFIG_SCSI_MPT2SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT3SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT2SAS=3Dm
+CONFIG_SCSI_SMARTPQI=3Dm
+CONFIG_SCSI_UFSHCD=3Dm
+CONFIG_SCSI_UFSHCD_PCI=3Dm
+# CONFIG_SCSI_UFS_DWC_TC_PCI is not set
+# CONFIG_SCSI_UFSHCD_PLATFORM is not set
+# CONFIG_SCSI_UFS_BSG is not set
+# CONFIG_SCSI_HPTIOP is not set
+# CONFIG_SCSI_MYRB is not set
+# CONFIG_SCSI_MYRS is not set
+CONFIG_XEN_SCSI_FRONTEND=3Dm
+CONFIG_LIBFC=3Dm
+CONFIG_LIBFCOE=3Dm
+CONFIG_FCOE=3Dm
+CONFIG_SCSI_SNIC=3Dm
+# CONFIG_SCSI_SNIC_DEBUG_FS is not set
+CONFIG_SCSI_DMX3191D=3Dm
+CONFIG_SCSI_FDOMAIN=3Dm
+CONFIG_SCSI_FDOMAIN_PCI=3Dm
+# CONFIG_SCSI_GDTH is not set
+# CONFIG_SCSI_IPS is not set
+# CONFIG_SCSI_INITIO is not set
+# CONFIG_SCSI_INIA100 is not set
+CONFIG_SCSI_STEX=3Dm
+# CONFIG_SCSI_SYM53C8XX_2 is not set
+# CONFIG_SCSI_IPR is not set
+# CONFIG_SCSI_QLOGIC_1280 is not set
+# CONFIG_SCSI_QLA_FC is not set
+# CONFIG_SCSI_QLA_ISCSI is not set
+# CONFIG_QEDI is not set
+# CONFIG_QEDF is not set
+CONFIG_SCSI_LPFC=3Dm
+# CONFIG_SCSI_LPFC_DEBUG_FS is not set
+# CONFIG_SCSI_DC395x is not set
+CONFIG_SCSI_AM53C974=3Dm
+# CONFIG_SCSI_NSP32 is not set
+CONFIG_SCSI_WD719X=3Dm
+# CONFIG_SCSI_DEBUG is not set
+CONFIG_SCSI_PMCRAID=3Dm
+CONFIG_SCSI_PM8001=3Dm
+CONFIG_SCSI_BFA_FC=3Dm
+CONFIG_SCSI_VIRTIO=3Dm
+CONFIG_SCSI_CHELSIO_FCOE=3Dm
+CONFIG_SCSI_DH=3Dy
+CONFIG_SCSI_DH_RDAC=3Dm
+CONFIG_SCSI_DH_HP_SW=3Dm
+CONFIG_SCSI_DH_EMC=3Dm
+CONFIG_SCSI_DH_ALUA=3Dm
+# end of SCSI device support
+
+CONFIG_HAVE_PATA_PLATFORM=3Dy
+CONFIG_ATA=3Dm
+CONFIG_ATA_VERBOSE_ERROR=3Dy
+CONFIG_SATA_PMP=3Dy
+
+#
+# Controllers with non-SFF native interface
+#
+CONFIG_SATA_AHCI=3Dm
+CONFIG_SATA_MOBILE_LPM_POLICY=3D0
+CONFIG_SATA_AHCI_PLATFORM=3Dm
+# CONFIG_AHCI_DM816 is not set
+CONFIG_AHCI_IMX=3Dm
+# CONFIG_AHCI_CEVA is not set
+CONFIG_AHCI_MVEBU=3Dm
+CONFIG_AHCI_SUNXI=3Dm
+CONFIG_AHCI_TEGRA=3Dm
+# CONFIG_AHCI_QORIQ is not set
+# CONFIG_SATA_INIC162X is not set
+CONFIG_SATA_ACARD_AHCI=3Dm
+CONFIG_SATA_SIL24=3Dm
+CONFIG_ATA_SFF=3Dy
+
+#
+# SFF controllers with custom DMA interface
+#
+CONFIG_PDC_ADMA=3Dm
+CONFIG_SATA_QSTOR=3Dm
+CONFIG_SATA_SX4=3Dm
+CONFIG_ATA_BMDMA=3Dy
+
+#
+# SATA SFF controllers with BMDMA
+#
+CONFIG_ATA_PIIX=3Dm
+# CONFIG_SATA_DWC is not set
+CONFIG_SATA_HIGHBANK=3Dm
+CONFIG_SATA_MV=3Dm
+CONFIG_SATA_NV=3Dm
+CONFIG_SATA_PROMISE=3Dm
+CONFIG_SATA_SIL=3Dm
+CONFIG_SATA_SIS=3Dm
+CONFIG_SATA_SVW=3Dm
+CONFIG_SATA_ULI=3Dm
+CONFIG_SATA_VIA=3Dm
+CONFIG_SATA_VITESSE=3Dm
+
+#
+# PATA SFF controllers with BMDMA
+#
+# CONFIG_PATA_ALI is not set
+# CONFIG_PATA_AMD is not set
+CONFIG_PATA_ARTOP=3Dm
+# CONFIG_PATA_ATIIXP is not set
+CONFIG_PATA_ATP867X=3Dm
+CONFIG_PATA_CMD64X=3Dm
+# CONFIG_PATA_CYPRESS is not set
+# CONFIG_PATA_EFAR is not set
+# CONFIG_PATA_HPT366 is not set
+# CONFIG_PATA_HPT37X is not set
+# CONFIG_PATA_HPT3X2N is not set
+# CONFIG_PATA_HPT3X3 is not set
+CONFIG_PATA_IMX=3Dm
+CONFIG_PATA_IT8213=3Dm
+CONFIG_PATA_IT821X=3Dm
+CONFIG_PATA_JMICRON=3Dm
+CONFIG_PATA_MARVELL=3Dm
+# CONFIG_PATA_NETCELL is not set
+CONFIG_PATA_NINJA32=3Dm
+# CONFIG_PATA_NS87415 is not set
+# CONFIG_PATA_OLDPIIX is not set
+# CONFIG_PATA_OPTIDMA is not set
+# CONFIG_PATA_PDC2027X is not set
+# CONFIG_PATA_PDC_OLD is not set
+# CONFIG_PATA_RADISYS is not set
+CONFIG_PATA_RDC=3Dm
+CONFIG_PATA_SCH=3Dm
+# CONFIG_PATA_SERVERWORKS is not set
+# CONFIG_PATA_SIL680 is not set
+CONFIG_PATA_SIS=3Dm
+CONFIG_PATA_TOSHIBA=3Dm
+# CONFIG_PATA_TRIFLEX is not set
+# CONFIG_PATA_VIA is not set
+# CONFIG_PATA_WINBOND is not set
+
+#
+# PIO-only SFF controllers
+#
+# CONFIG_PATA_CMD640_PCI is not set
+# CONFIG_PATA_MPIIX is not set
+# CONFIG_PATA_NS87410 is not set
+# CONFIG_PATA_OPTI is not set
+CONFIG_PATA_PLATFORM=3Dm
+CONFIG_PATA_OF_PLATFORM=3Dm
+# CONFIG_PATA_RZ1000 is not set
+
+#
+# Generic fallback / legacy drivers
+#
+CONFIG_ATA_GENERIC=3Dm
+# CONFIG_PATA_LEGACY is not set
+CONFIG_MD=3Dy
+CONFIG_BLK_DEV_MD=3Dm
+CONFIG_MD_LINEAR=3Dm
+CONFIG_MD_RAID0=3Dm
+CONFIG_MD_RAID1=3Dm
+CONFIG_MD_RAID10=3Dm
+CONFIG_MD_RAID456=3Dm
+CONFIG_MD_MULTIPATH=3Dm
+CONFIG_MD_FAULTY=3Dm
+# CONFIG_MD_CLUSTER is not set
+CONFIG_BCACHE=3Dm
+# CONFIG_BCACHE_DEBUG is not set
+# CONFIG_BCACHE_CLOSURES_DEBUG is not set
+CONFIG_BLK_DEV_DM_BUILTIN=3Dy
+CONFIG_BLK_DEV_DM=3Dm
+# CONFIG_DM_DEBUG is not set
+CONFIG_DM_BUFIO=3Dm
+# CONFIG_DM_DEBUG_BLOCK_MANAGER_LOCKING is not set
+CONFIG_DM_BIO_PRISON=3Dm
+CONFIG_DM_PERSISTENT_DATA=3Dm
+CONFIG_DM_UNSTRIPED=3Dm
+CONFIG_DM_CRYPT=3Dm
+CONFIG_DM_SNAPSHOT=3Dm
+CONFIG_DM_THIN_PROVISIONING=3Dm
+CONFIG_DM_CACHE=3Dm
+CONFIG_DM_CACHE_SMQ=3Dm
+# CONFIG_DM_WRITECACHE is not set
+CONFIG_DM_ERA=3Dm
+CONFIG_DM_CLONE=3Dm
+CONFIG_DM_MIRROR=3Dm
+CONFIG_DM_LOG_USERSPACE=3Dm
+CONFIG_DM_RAID=3Dm
+CONFIG_DM_ZERO=3Dm
+CONFIG_DM_MULTIPATH=3Dm
+CONFIG_DM_MULTIPATH_QL=3Dm
+CONFIG_DM_MULTIPATH_ST=3Dm
+CONFIG_DM_DELAY=3Dm
+CONFIG_DM_DUST=3Dm
+CONFIG_DM_UEVENT=3Dy
+CONFIG_DM_FLAKEY=3Dm
+CONFIG_DM_VERITY=3Dm
+CONFIG_DM_VERITY_VERIFY_ROOTHASH_SIG=3Dy
+# CONFIG_DM_VERITY_FEC is not set
+CONFIG_DM_SWITCH=3Dm
+CONFIG_DM_LOG_WRITES=3Dm
+# CONFIG_DM_INTEGRITY is not set
+CONFIG_TARGET_CORE=3Dm
+CONFIG_TCM_IBLOCK=3Dm
+CONFIG_TCM_FILEIO=3Dm
+CONFIG_TCM_PSCSI=3Dm
+CONFIG_TCM_USER2=3Dm
+CONFIG_LOOPBACK_TARGET=3Dm
+CONFIG_TCM_FC=3Dm
+CONFIG_ISCSI_TARGET=3Dm
+CONFIG_ISCSI_TARGET_CXGB4=3Dm
+CONFIG_SBP_TARGET=3Dm
+CONFIG_FUSION=3Dy
+CONFIG_FUSION_SPI=3Dm
+CONFIG_FUSION_FC=3Dm
+CONFIG_FUSION_SAS=3Dm
+CONFIG_FUSION_MAX_SGE=3D128
+CONFIG_FUSION_CTL=3Dm
+# CONFIG_FUSION_LOGGING is not set
+
+#
+# IEEE 1394 (FireWire) support
+#
+CONFIG_FIREWIRE=3Dm
+CONFIG_FIREWIRE_OHCI=3Dm
+CONFIG_FIREWIRE_SBP2=3Dm
+CONFIG_FIREWIRE_NET=3Dm
+CONFIG_FIREWIRE_NOSY=3Dm
+# end of IEEE 1394 (FireWire) support
+
+CONFIG_NETDEVICES=3Dy
+CONFIG_MII=3Dm
+CONFIG_NET_CORE=3Dy
+CONFIG_BONDING=3Dm
+CONFIG_DUMMY=3Dm
+CONFIG_EQUALIZER=3Dm
+# CONFIG_NET_FC is not set
+CONFIG_IFB=3Dm
+CONFIG_NET_TEAM=3Dm
+CONFIG_NET_TEAM_MODE_BROADCAST=3Dm
+CONFIG_NET_TEAM_MODE_ROUNDROBIN=3Dm
+CONFIG_NET_TEAM_MODE_RANDOM=3Dm
+CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=3Dm
+CONFIG_NET_TEAM_MODE_LOADBALANCE=3Dm
+CONFIG_MACVLAN=3Dm
+CONFIG_MACVTAP=3Dm
+CONFIG_IPVLAN_L3S=3Dy
+CONFIG_IPVLAN=3Dm
+# CONFIG_IPVTAP is not set
+CONFIG_VXLAN=3Dm
+CONFIG_GENEVE=3Dm
+CONFIG_GTP=3Dm
+CONFIG_MACSEC=3Dm
+CONFIG_NETCONSOLE=3Dm
+CONFIG_NETCONSOLE_DYNAMIC=3Dy
+CONFIG_NETPOLL=3Dy
+CONFIG_NET_POLL_CONTROLLER=3Dy
+CONFIG_TUN=3Dm
+CONFIG_TAP=3Dm
+# CONFIG_TUN_VNET_CROSS_LE is not set
+CONFIG_VETH=3Dm
+CONFIG_VIRTIO_NET=3Dm
+CONFIG_NLMON=3Dm
+CONFIG_NET_VRF=3Dm
+# CONFIG_ARCNET is not set
+CONFIG_ATM_DRIVERS=3Dy
+CONFIG_ATM_DUMMY=3Dm
+# CONFIG_ATM_TCP is not set
+# CONFIG_ATM_LANAI is not set
+# CONFIG_ATM_ENI is not set
+CONFIG_ATM_NICSTAR=3Dm
+CONFIG_ATM_NICSTAR_USE_SUNI=3Dy
+CONFIG_ATM_NICSTAR_USE_IDT77105=3Dy
+# CONFIG_ATM_IDT77252 is not set
+CONFIG_ATM_IA=3Dm
+# CONFIG_ATM_IA_DEBUG is not set
+CONFIG_ATM_FORE200E=3Dm
+# CONFIG_ATM_FORE200E_USE_TASKLET is not set
+CONFIG_ATM_FORE200E_TX_RETRY=3D16
+CONFIG_ATM_FORE200E_DEBUG=3D0
+# CONFIG_ATM_HE is not set
+CONFIG_ATM_SOLOS=3Dm
+
+#
+# CAIF transport drivers
+#
+
+#
+# Distributed Switch Architecture drivers
+#
+CONFIG_B53=3Dm
+# CONFIG_B53_SPI_DRIVER is not set
+CONFIG_B53_MDIO_DRIVER=3Dm
+# CONFIG_B53_MMAP_DRIVER is not set
+# CONFIG_B53_SRAB_DRIVER is not set
+# CONFIG_B53_SERDES is not set
+CONFIG_NET_DSA_BCM_SF2=3Dm
+# CONFIG_NET_DSA_LOOP is not set
+# CONFIG_NET_DSA_LANTIQ_GSWIP is not set
+# CONFIG_NET_DSA_MT7530 is not set
+CONFIG_NET_DSA_MV88E6060=3Dm
+# CONFIG_NET_DSA_MICROCHIP_KSZ9477 is not set
+# CONFIG_NET_DSA_MICROCHIP_KSZ8795 is not set
+CONFIG_NET_DSA_MV88E6XXX=3Dm
+CONFIG_NET_DSA_MV88E6XXX_GLOBAL2=3Dy
+# CONFIG_NET_DSA_MV88E6XXX_PTP is not set
+CONFIG_NET_DSA_SJA1105=3Dm
+CONFIG_NET_DSA_SJA1105_PTP=3Dy
+# CONFIG_NET_DSA_SJA1105_TAS is not set
+# CONFIG_NET_DSA_QCA8K is not set
+CONFIG_NET_DSA_REALTEK_SMI=3Dm
+# CONFIG_NET_DSA_SMSC_LAN9303_I2C is not set
+# CONFIG_NET_DSA_SMSC_LAN9303_MDIO is not set
+CONFIG_NET_DSA_VITESSE_VSC73XX=3Dm
+CONFIG_NET_DSA_VITESSE_VSC73XX_SPI=3Dm
+CONFIG_NET_DSA_VITESSE_VSC73XX_PLATFORM=3Dm
+# end of Distributed Switch Architecture drivers
+
+CONFIG_ETHERNET=3Dy
+CONFIG_MDIO=3Dm
+CONFIG_NET_VENDOR_3COM=3Dy
+CONFIG_TYPHOON=3Dm
+CONFIG_NET_VENDOR_ADAPTEC=3Dy
+CONFIG_ADAPTEC_STARFIRE=3Dm
+CONFIG_NET_VENDOR_AGERE=3Dy
+CONFIG_ET131X=3Dm
+CONFIG_NET_VENDOR_ALACRITECH=3Dy
+# CONFIG_SLICOSS is not set
+CONFIG_NET_VENDOR_ALLWINNER=3Dy
+CONFIG_SUN4I_EMAC=3Dm
+CONFIG_NET_VENDOR_ALTEON=3Dy
+CONFIG_ACENIC=3Dm
+# CONFIG_ACENIC_OMIT_TIGON_I is not set
+# CONFIG_ALTERA_TSE is not set
+CONFIG_NET_VENDOR_AMAZON=3Dy
+CONFIG_ENA_ETHERNET=3Dm
+CONFIG_NET_VENDOR_AMD=3Dy
+# CONFIG_AMD8111_ETH is not set
+CONFIG_PCNET32=3Dm
+CONFIG_NET_VENDOR_AQUANTIA=3Dy
+# CONFIG_NET_VENDOR_ARC is not set
+CONFIG_NET_VENDOR_ATHEROS=3Dy
+CONFIG_ATL2=3Dm
+CONFIG_ATL1=3Dm
+CONFIG_ATL1E=3Dm
+CONFIG_ATL1C=3Dm
+CONFIG_ALX=3Dm
+# CONFIG_NET_VENDOR_AURORA is not set
+CONFIG_NET_VENDOR_BROADCOM=3Dy
+# CONFIG_B44 is not set
+# CONFIG_BCMGENET is not set
+CONFIG_BNX2=3Dm
+CONFIG_CNIC=3Dm
+CONFIG_TIGON3=3Dm
+CONFIG_TIGON3_HWMON=3Dy
+CONFIG_BNX2X=3Dm
+# CONFIG_SYSTEMPORT is not set
+CONFIG_BNXT=3Dm
+CONFIG_BNXT_FLOWER_OFFLOAD=3Dy
+# CONFIG_BNXT_DCB is not set
+CONFIG_BNXT_HWMON=3Dy
+CONFIG_NET_VENDOR_BROCADE=3Dy
+CONFIG_BNA=3Dm
+CONFIG_NET_VENDOR_CADENCE=3Dy
+# CONFIG_MACB is not set
+CONFIG_NET_CALXEDA_XGMAC=3Dm
+CONFIG_NET_VENDOR_CAVIUM=3Dy
+CONFIG_NET_VENDOR_CHELSIO=3Dy
+CONFIG_CHELSIO_T1=3Dm
+CONFIG_CHELSIO_T1_1G=3Dy
+CONFIG_CHELSIO_T3=3Dm
+CONFIG_CHELSIO_T4=3Dm
+CONFIG_CHELSIO_T4_DCB=3Dy
+CONFIG_CHELSIO_T4_FCOE=3Dy
+CONFIG_CHELSIO_T4VF=3Dm
+CONFIG_CHELSIO_LIB=3Dm
+CONFIG_NET_VENDOR_CIRRUS=3Dy
+# CONFIG_CS89x0 is not set
+CONFIG_NET_VENDOR_CISCO=3Dy
+CONFIG_ENIC=3Dm
+CONFIG_NET_VENDOR_CORTINA=3Dy
+CONFIG_GEMINI_ETHERNET=3Dm
+# CONFIG_DM9000 is not set
+# CONFIG_DNET is not set
+CONFIG_NET_VENDOR_DEC=3Dy
+CONFIG_NET_TULIP=3Dy
+CONFIG_DE2104X=3Dm
+CONFIG_DE2104X_DSL=3D0
+CONFIG_TULIP=3Dm
+# CONFIG_TULIP_MWI is not set
+# CONFIG_TULIP_MMIO is not set
+CONFIG_TULIP_NAPI=3Dy
+CONFIG_TULIP_NAPI_HW_MITIGATION=3Dy
+CONFIG_WINBOND_840=3Dm
+CONFIG_DM9102=3Dm
+CONFIG_ULI526X=3Dm
+CONFIG_NET_VENDOR_DLINK=3Dy
+CONFIG_DL2K=3Dm
+CONFIG_SUNDANCE=3Dm
+# CONFIG_SUNDANCE_MMIO is not set
+CONFIG_NET_VENDOR_EMULEX=3Dy
+CONFIG_BE2NET=3Dm
+CONFIG_BE2NET_HWMON=3Dy
+CONFIG_BE2NET_BE2=3Dy
+CONFIG_BE2NET_BE3=3Dy
+CONFIG_BE2NET_LANCER=3Dy
+CONFIG_BE2NET_SKYHAWK=3Dy
+CONFIG_NET_VENDOR_EZCHIP=3Dy
+# CONFIG_EZCHIP_NPS_MANAGEMENT_ENET is not set
+CONFIG_NET_VENDOR_FARADAY=3Dy
+# CONFIG_FTMAC100 is not set
+# CONFIG_FTGMAC100 is not set
+CONFIG_NET_VENDOR_FREESCALE=3Dy
+CONFIG_FEC=3Dy
+# CONFIG_FSL_PQ_MDIO is not set
+# CONFIG_FSL_XGMAC_MDIO is not set
+# CONFIG_GIANFAR is not set
+CONFIG_NET_VENDOR_GOOGLE=3Dy
+CONFIG_GVE=3Dm
+CONFIG_NET_VENDOR_HISILICON=3Dy
+# CONFIG_HIX5HD2_GMAC is not set
+# CONFIG_HISI_FEMAC is not set
+# CONFIG_HIP04_ETH is not set
+# CONFIG_HNS is not set
+# CONFIG_HNS_DSAF is not set
+# CONFIG_HNS_ENET is not set
+# CONFIG_HNS3 is not set
+CONFIG_NET_VENDOR_HP=3Dy
+# CONFIG_HP100 is not set
+CONFIG_NET_VENDOR_HUAWEI=3Dy
+CONFIG_NET_VENDOR_I825XX=3Dy
+CONFIG_NET_VENDOR_INTEL=3Dy
+CONFIG_E100=3Dm
+CONFIG_E1000=3Dm
+CONFIG_E1000E=3Dm
+CONFIG_IGB=3Dm
+CONFIG_IGB_HWMON=3Dy
+CONFIG_IGBVF=3Dm
+CONFIG_IXGB=3Dm
+CONFIG_IXGBE=3Dm
+CONFIG_IXGBE_HWMON=3Dy
+CONFIG_IXGBE_DCB=3Dy
+CONFIG_IXGBEVF=3Dm
+CONFIG_I40E=3Dm
+CONFIG_I40E_DCB=3Dy
+CONFIG_IAVF=3Dm
+CONFIG_I40EVF=3Dm
+# CONFIG_ICE is not set
+# CONFIG_FM10K is not set
+# CONFIG_IGC is not set
+CONFIG_JME=3Dm
+CONFIG_NET_VENDOR_MARVELL=3Dy
+# CONFIG_MV643XX_ETH is not set
+CONFIG_MVMDIO=3Dm
+# CONFIG_MVNETA_BM_ENABLE is not set
+CONFIG_MVNETA=3Dm
+CONFIG_MVPP2=3Dm
+CONFIG_SKGE=3Dm
+# CONFIG_SKGE_DEBUG is not set
+CONFIG_SKGE_GENESIS=3Dy
+CONFIG_SKY2=3Dm
+# CONFIG_SKY2_DEBUG is not set
+CONFIG_NET_VENDOR_MELLANOX=3Dy
+CONFIG_MLX4_EN=3Dm
+CONFIG_MLX4_EN_DCB=3Dy
+CONFIG_MLX4_CORE=3Dm
+CONFIG_MLX4_DEBUG=3Dy
+CONFIG_MLX4_CORE_GEN2=3Dy
+CONFIG_MLX5_CORE=3Dm
+# CONFIG_MLX5_FPGA is not set
+CONFIG_MLX5_CORE_EN=3Dy
+CONFIG_MLX5_EN_ARFS=3Dy
+CONFIG_MLX5_EN_RXNFC=3Dy
+CONFIG_MLX5_MPFS=3Dy
+CONFIG_MLX5_ESWITCH=3Dy
+CONFIG_MLX5_CORE_EN_DCB=3Dy
+# CONFIG_MLX5_CORE_IPOIB is not set
+CONFIG_MLX5_SW_STEERING=3Dy
+# CONFIG_MLXSW_CORE is not set
+# CONFIG_MLXFW is not set
+CONFIG_NET_VENDOR_MICREL=3Dy
+# CONFIG_KS8842 is not set
+# CONFIG_KS8851 is not set
+# CONFIG_KS8851_MLL is not set
+CONFIG_KSZ884X_PCI=3Dm
+CONFIG_NET_VENDOR_MICROCHIP=3Dy
+CONFIG_ENC28J60=3Dm
+# CONFIG_ENC28J60_WRITEVERIFY is not set
+# CONFIG_ENCX24J600 is not set
+# CONFIG_LAN743X is not set
+CONFIG_NET_VENDOR_MICROSEMI=3Dy
+# CONFIG_MSCC_OCELOT_SWITCH is not set
+CONFIG_NET_VENDOR_MYRI=3Dy
+CONFIG_MYRI10GE=3Dm
+CONFIG_FEALNX=3Dm
+CONFIG_NET_VENDOR_NATSEMI=3Dy
+CONFIG_NATSEMI=3Dm
+CONFIG_NS83820=3Dm
+CONFIG_NET_VENDOR_NETERION=3Dy
+CONFIG_S2IO=3Dm
+CONFIG_VXGE=3Dm
+# CONFIG_VXGE_DEBUG_TRACE_ALL is not set
+CONFIG_NET_VENDOR_NETRONOME=3Dy
+CONFIG_NFP=3Dm
+# CONFIG_NFP_APP_FLOWER is not set
+CONFIG_NFP_APP_ABM_NIC=3Dy
+# CONFIG_NFP_DEBUG is not set
+CONFIG_NET_VENDOR_NI=3Dy
+# CONFIG_NI_XGE_MANAGEMENT_ENET is not set
+CONFIG_NET_VENDOR_8390=3Dy
+# CONFIG_AX88796 is not set
+CONFIG_NE2K_PCI=3Dm
+CONFIG_NET_VENDOR_NVIDIA=3Dy
+# CONFIG_FORCEDETH is not set
+CONFIG_NET_VENDOR_OKI=3Dy
+# CONFIG_ETHOC is not set
+CONFIG_NET_VENDOR_PACKET_ENGINES=3Dy
+CONFIG_HAMACHI=3Dm
+CONFIG_YELLOWFIN=3Dm
+CONFIG_NET_VENDOR_PENSANDO=3Dy
+CONFIG_NET_VENDOR_QLOGIC=3Dy
+CONFIG_QLA3XXX=3Dm
+CONFIG_QLCNIC=3Dm
+CONFIG_QLCNIC_DCB=3Dy
+CONFIG_QLCNIC_HWMON=3Dy
+CONFIG_NETXEN_NIC=3Dm
+CONFIG_QED=3Dm
+CONFIG_QEDE=3Dm
+CONFIG_NET_VENDOR_QUALCOMM=3Dy
+# CONFIG_QCA7000_SPI is not set
+# CONFIG_QCOM_EMAC is not set
+CONFIG_RMNET=3Dm
+CONFIG_NET_VENDOR_RDC=3Dy
+CONFIG_R6040=3Dm
+CONFIG_NET_VENDOR_REALTEK=3Dy
+CONFIG_8139CP=3Dm
+CONFIG_8139TOO=3Dm
+# CONFIG_8139TOO_PIO is not set
+CONFIG_8139TOO_TUNE_TWISTER=3Dy
+CONFIG_8139TOO_8129=3Dy
+# CONFIG_8139_OLD_RX_RESET is not set
+CONFIG_R8169=3Dm
+CONFIG_NET_VENDOR_RENESAS=3Dy
+CONFIG_NET_VENDOR_ROCKER=3Dy
+# CONFIG_ROCKER is not set
+CONFIG_NET_VENDOR_SAMSUNG=3Dy
+# CONFIG_SXGBE_ETH is not set
+# CONFIG_NET_VENDOR_SEEQ is not set
+CONFIG_NET_VENDOR_SOLARFLARE=3Dy
+CONFIG_SFC=3Dm
+CONFIG_SFC_MTD=3Dy
+CONFIG_SFC_MCDI_MON=3Dy
+CONFIG_SFC_MCDI_LOGGING=3Dy
+CONFIG_SFC_FALCON=3Dm
+CONFIG_SFC_FALCON_MTD=3Dy
+CONFIG_NET_VENDOR_SILAN=3Dy
+CONFIG_SC92031=3Dm
+CONFIG_NET_VENDOR_SIS=3Dy
+# CONFIG_SIS900 is not set
+CONFIG_SIS190=3Dm
+CONFIG_NET_VENDOR_SMSC=3Dy
+CONFIG_SMC91X=3Dm
+CONFIG_EPIC100=3Dm
+CONFIG_SMC911X=3Dm
+CONFIG_SMSC911X=3Dm
+CONFIG_SMSC9420=3Dm
+CONFIG_NET_VENDOR_SOCIONEXT=3Dy
+CONFIG_NET_VENDOR_STMICRO=3Dy
+CONFIG_STMMAC_ETH=3Dm
+# CONFIG_STMMAC_SELFTESTS is not set
+CONFIG_STMMAC_PLATFORM=3Dm
+# CONFIG_DWMAC_DWC_QOS_ETH is not set
+CONFIG_DWMAC_GENERIC=3Dm
+CONFIG_DWMAC_ROCKCHIP=3Dm
+CONFIG_DWMAC_SOCFPGA=3Dm
+CONFIG_DWMAC_SUNXI=3Dm
+CONFIG_DWMAC_SUN8I=3Dm
+# CONFIG_STMMAC_PCI is not set
+CONFIG_NET_VENDOR_SUN=3Dy
+# CONFIG_HAPPYMEAL is not set
+# CONFIG_SUNGEM is not set
+CONFIG_CASSINI=3Dm
+CONFIG_NIU=3Dm
+CONFIG_NET_VENDOR_SYNOPSYS=3Dy
+# CONFIG_DWC_XLGMAC is not set
+CONFIG_NET_VENDOR_TEHUTI=3Dy
+CONFIG_TEHUTI=3Dm
+CONFIG_NET_VENDOR_TI=3Dy
+CONFIG_TI_DAVINCI_EMAC=3Dm
+CONFIG_TI_DAVINCI_MDIO=3Dm
+CONFIG_TI_CPSW_PHY_SEL=3Dy
+CONFIG_TI_CPSW=3Dm
+# CONFIG_TI_CPTS is not set
+CONFIG_TLAN=3Dm
+CONFIG_NET_VENDOR_VIA=3Dy
+# CONFIG_VIA_RHINE is not set
+CONFIG_VIA_VELOCITY=3Dm
+CONFIG_NET_VENDOR_WIZNET=3Dy
+# CONFIG_WIZNET_W5100 is not set
+# CONFIG_WIZNET_W5300 is not set
+CONFIG_NET_VENDOR_XILINX=3Dy
+CONFIG_XILINX_AXI_EMAC=3Dm
+CONFIG_FDDI=3Dy
+CONFIG_DEFXX=3Dm
+# CONFIG_DEFXX_MMIO is not set
+CONFIG_SKFP=3Dm
+# CONFIG_HIPPI is not set
+CONFIG_MDIO_DEVICE=3Dy
+CONFIG_MDIO_BUS=3Dy
+CONFIG_MDIO_BCM_UNIMAC=3Dm
+# CONFIG_MDIO_BITBANG is not set
+CONFIG_MDIO_BUS_MUX=3Dm
+# CONFIG_MDIO_BUS_MUX_GPIO is not set
+# CONFIG_MDIO_BUS_MUX_MMIOREG is not set
+# CONFIG_MDIO_BUS_MUX_MULTIPLEXER is not set
+# CONFIG_MDIO_HISI_FEMAC is not set
+CONFIG_MDIO_I2C=3Dm
+# CONFIG_MDIO_MSCC_MIIM is not set
+CONFIG_MDIO_SUN4I=3Dy
+CONFIG_PHYLINK=3Dm
+CONFIG_PHYLIB=3Dy
+CONFIG_SWPHY=3Dy
+# CONFIG_LED_TRIGGER_PHY is not set
+
+#
+# MII PHY device drivers
+#
+CONFIG_SFP=3Dm
+CONFIG_ADIN_PHY=3Dm
+CONFIG_AMD_PHY=3Dm
+CONFIG_AQUANTIA_PHY=3Dm
+CONFIG_AX88796B_PHY=3Dm
+CONFIG_AT803X_PHY=3Dm
+CONFIG_BCM7XXX_PHY=3Dm
+CONFIG_BCM87XX_PHY=3Dm
+CONFIG_BCM_NET_PHYLIB=3Dm
+CONFIG_BROADCOM_PHY=3Dm
+CONFIG_CICADA_PHY=3Dm
+# CONFIG_CORTINA_PHY is not set
+CONFIG_DAVICOM_PHY=3Dm
+CONFIG_DP83822_PHY=3Dm
+CONFIG_DP83TC811_PHY=3Dm
+CONFIG_DP83848_PHY=3Dm
+CONFIG_DP83867_PHY=3Dm
+CONFIG_FIXED_PHY=3Dy
+CONFIG_ICPLUS_PHY=3Dm
+# CONFIG_INTEL_XWAY_PHY is not set
+CONFIG_LSI_ET1011C_PHY=3Dm
+CONFIG_LXT_PHY=3Dm
+CONFIG_MARVELL_PHY=3Dm
+# CONFIG_MARVELL_10G_PHY is not set
+CONFIG_MICREL_PHY=3Dm
+CONFIG_MICROCHIP_PHY=3Dm
+CONFIG_MICROCHIP_T1_PHY=3Dm
+CONFIG_MICROSEMI_PHY=3Dm
+CONFIG_NATIONAL_PHY=3Dm
+CONFIG_NXP_TJA11XX_PHY=3Dm
+CONFIG_QSEMI_PHY=3Dm
+CONFIG_REALTEK_PHY=3Dm
+CONFIG_RENESAS_PHY=3Dm
+CONFIG_ROCKCHIP_PHY=3Dm
+CONFIG_SMSC_PHY=3Dm
+CONFIG_STE10XP=3Dm
+CONFIG_TERANETICS_PHY=3Dm
+CONFIG_VITESSE_PHY=3Dm
+# CONFIG_XILINX_GMII2RGMII is not set
+# CONFIG_MICREL_KS8995MA is not set
+# CONFIG_PLIP is not set
+CONFIG_PPP=3Dm
+CONFIG_PPP_BSDCOMP=3Dm
+CONFIG_PPP_DEFLATE=3Dm
+CONFIG_PPP_FILTER=3Dy
+CONFIG_PPP_MPPE=3Dm
+CONFIG_PPP_MULTILINK=3Dy
+CONFIG_PPPOATM=3Dm
+CONFIG_PPPOE=3Dm
+CONFIG_PPTP=3Dm
+CONFIG_PPPOL2TP=3Dm
+CONFIG_PPP_ASYNC=3Dm
+CONFIG_PPP_SYNC_TTY=3Dm
+CONFIG_SLIP=3Dm
+CONFIG_SLHC=3Dm
+CONFIG_SLIP_COMPRESSED=3Dy
+CONFIG_SLIP_SMART=3Dy
+CONFIG_SLIP_MODE_SLIP6=3Dy
+
+#
+# Host-side USB support is needed for USB Network Adapter support
+#
+CONFIG_USB_NET_DRIVERS=3Dm
+CONFIG_USB_CATC=3Dm
+CONFIG_USB_KAWETH=3Dm
+CONFIG_USB_PEGASUS=3Dm
+CONFIG_USB_RTL8150=3Dm
+CONFIG_USB_RTL8152=3Dm
+CONFIG_USB_LAN78XX=3Dm
+CONFIG_USB_USBNET=3Dm
+CONFIG_USB_NET_AX8817X=3Dm
+CONFIG_USB_NET_AX88179_178A=3Dm
+CONFIG_USB_NET_CDCETHER=3Dm
+CONFIG_USB_NET_CDC_EEM=3Dm
+CONFIG_USB_NET_CDC_NCM=3Dm
+CONFIG_USB_NET_HUAWEI_CDC_NCM=3Dm
+CONFIG_USB_NET_CDC_MBIM=3Dm
+CONFIG_USB_NET_DM9601=3Dm
+CONFIG_USB_NET_SR9700=3Dm
+CONFIG_USB_NET_SR9800=3Dm
+CONFIG_USB_NET_SMSC75XX=3Dm
+CONFIG_USB_NET_SMSC95XX=3Dm
+CONFIG_USB_NET_GL620A=3Dm
+CONFIG_USB_NET_NET1080=3Dm
+CONFIG_USB_NET_PLUSB=3Dm
+CONFIG_USB_NET_MCS7830=3Dm
+CONFIG_USB_NET_RNDIS_HOST=3Dm
+CONFIG_USB_NET_CDC_SUBSET_ENABLE=3Dm
+CONFIG_USB_NET_CDC_SUBSET=3Dm
+CONFIG_USB_ALI_M5632=3Dy
+CONFIG_USB_AN2720=3Dy
+CONFIG_USB_BELKIN=3Dy
+CONFIG_USB_ARMLINUX=3Dy
+CONFIG_USB_EPSON2888=3Dy
+CONFIG_USB_KC2190=3Dy
+CONFIG_USB_NET_ZAURUS=3Dm
+CONFIG_USB_NET_CX82310_ETH=3Dm
+CONFIG_USB_NET_KALMIA=3Dm
+CONFIG_USB_NET_QMI_WWAN=3Dm
+CONFIG_USB_HSO=3Dm
+CONFIG_USB_NET_INT51X1=3Dm
+CONFIG_USB_CDC_PHONET=3Dm
+CONFIG_USB_IPHETH=3Dm
+CONFIG_USB_SIERRA_NET=3Dm
+CONFIG_USB_VL600=3Dm
+CONFIG_USB_NET_CH9200=3Dm
+CONFIG_USB_NET_AQC111=3Dm
+CONFIG_WLAN=3Dy
+# CONFIG_WIRELESS_WDS is not set
+CONFIG_WLAN_VENDOR_ADMTEK=3Dy
+CONFIG_ADM8211=3Dm
+CONFIG_ATH_COMMON=3Dm
+CONFIG_WLAN_VENDOR_ATH=3Dy
+# CONFIG_ATH_DEBUG is not set
+CONFIG_ATH5K=3Dm
+# CONFIG_ATH5K_DEBUG is not set
+# CONFIG_ATH5K_TRACER is not set
+CONFIG_ATH5K_PCI=3Dy
+CONFIG_ATH9K_HW=3Dm
+CONFIG_ATH9K_COMMON=3Dm
+CONFIG_ATH9K_BTCOEX_SUPPORT=3Dy
+CONFIG_ATH9K=3Dm
+CONFIG_ATH9K_PCI=3Dy
+# CONFIG_ATH9K_AHB is not set
+# CONFIG_ATH9K_DEBUGFS is not set
+# CONFIG_ATH9K_DYNACK is not set
+# CONFIG_ATH9K_WOW is not set
+CONFIG_ATH9K_RFKILL=3Dy
+# CONFIG_ATH9K_CHANNEL_CONTEXT is not set
+CONFIG_ATH9K_PCOEM=3Dy
+CONFIG_ATH9K_PCI_NO_EEPROM=3Dm
+CONFIG_ATH9K_HTC=3Dm
+# CONFIG_ATH9K_HTC_DEBUGFS is not set
+# CONFIG_ATH9K_HWRNG is not set
+CONFIG_CARL9170=3Dm
+CONFIG_CARL9170_LEDS=3Dy
+CONFIG_CARL9170_WPC=3Dy
+# CONFIG_CARL9170_HWRNG is not set
+CONFIG_ATH6KL=3Dm
+CONFIG_ATH6KL_SDIO=3Dm
+CONFIG_ATH6KL_USB=3Dm
+# CONFIG_ATH6KL_DEBUG is not set
+# CONFIG_ATH6KL_TRACING is not set
+CONFIG_AR5523=3Dm
+CONFIG_WIL6210=3Dm
+CONFIG_WIL6210_ISR_COR=3Dy
+CONFIG_WIL6210_TRACING=3Dy
+CONFIG_WIL6210_DEBUGFS=3Dy
+CONFIG_ATH10K=3Dm
+CONFIG_ATH10K_CE=3Dy
+CONFIG_ATH10K_PCI=3Dm
+# CONFIG_ATH10K_AHB is not set
+# CONFIG_ATH10K_SDIO is not set
+CONFIG_ATH10K_USB=3Dm
+# CONFIG_ATH10K_DEBUG is not set
+# CONFIG_ATH10K_DEBUGFS is not set
+# CONFIG_ATH10K_TRACING is not set
+# CONFIG_WCN36XX is not set
+CONFIG_WLAN_VENDOR_ATMEL=3Dy
+# CONFIG_ATMEL is not set
+CONFIG_AT76C50X_USB=3Dm
+CONFIG_WLAN_VENDOR_BROADCOM=3Dy
+CONFIG_B43=3Dm
+CONFIG_B43_BCMA=3Dy
+CONFIG_B43_SSB=3Dy
+CONFIG_B43_BUSES_BCMA_AND_SSB=3Dy
+# CONFIG_B43_BUSES_BCMA is not set
+# CONFIG_B43_BUSES_SSB is not set
+CONFIG_B43_PCI_AUTOSELECT=3Dy
+CONFIG_B43_PCICORE_AUTOSELECT=3Dy
+CONFIG_B43_SDIO=3Dy
+CONFIG_B43_BCMA_PIO=3Dy
+CONFIG_B43_PIO=3Dy
+CONFIG_B43_PHY_G=3Dy
+CONFIG_B43_PHY_N=3Dy
+CONFIG_B43_PHY_LP=3Dy
+CONFIG_B43_PHY_HT=3Dy
+CONFIG_B43_LEDS=3Dy
+CONFIG_B43_HWRNG=3Dy
+# CONFIG_B43_DEBUG is not set
+CONFIG_B43LEGACY=3Dm
+CONFIG_B43LEGACY_PCI_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_PCICORE_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_LEDS=3Dy
+CONFIG_B43LEGACY_HWRNG=3Dy
+CONFIG_B43LEGACY_DEBUG=3Dy
+CONFIG_B43LEGACY_DMA=3Dy
+CONFIG_B43LEGACY_PIO=3Dy
+CONFIG_B43LEGACY_DMA_AND_PIO_MODE=3Dy
+# CONFIG_B43LEGACY_DMA_MODE is not set
+# CONFIG_B43LEGACY_PIO_MODE is not set
+CONFIG_BRCMUTIL=3Dm
+CONFIG_BRCMSMAC=3Dm
+CONFIG_BRCMFMAC=3Dm
+CONFIG_BRCMFMAC_PROTO_BCDC=3Dy
+CONFIG_BRCMFMAC_PROTO_MSGBUF=3Dy
+CONFIG_BRCMFMAC_SDIO=3Dy
+CONFIG_BRCMFMAC_USB=3Dy
+CONFIG_BRCMFMAC_PCIE=3Dy
+# CONFIG_BRCM_TRACING is not set
+# CONFIG_BRCMDBG is not set
+CONFIG_WLAN_VENDOR_CISCO=3Dy
+CONFIG_WLAN_VENDOR_INTEL=3Dy
+# CONFIG_IPW2100 is not set
+CONFIG_IPW2200=3Dm
+CONFIG_IPW2200_MONITOR=3Dy
+CONFIG_IPW2200_RADIOTAP=3Dy
+CONFIG_IPW2200_PROMISCUOUS=3Dy
+CONFIG_IPW2200_QOS=3Dy
+# CONFIG_IPW2200_DEBUG is not set
+CONFIG_LIBIPW=3Dm
+# CONFIG_LIBIPW_DEBUG is not set
+CONFIG_IWLEGACY=3Dm
+CONFIG_IWL4965=3Dm
+CONFIG_IWL3945=3Dm
+
+#
+# iwl3945 / iwl4965 Debugging Options
+#
+# CONFIG_IWLEGACY_DEBUG is not set
+# end of iwl3945 / iwl4965 Debugging Options
+
+CONFIG_IWLWIFI=3Dm
+CONFIG_IWLWIFI_LEDS=3Dy
+CONFIG_IWLDVM=3Dm
+CONFIG_IWLMVM=3Dm
+CONFIG_IWLWIFI_OPMODE_MODULAR=3Dy
+# CONFIG_IWLWIFI_BCAST_FILTERING is not set
+
+#
+# Debugging Options
+#
+# CONFIG_IWLWIFI_DEBUG is not set
+# CONFIG_IWLWIFI_DEVICE_TRACING is not set
+# end of Debugging Options
+
+CONFIG_WLAN_VENDOR_INTERSIL=3Dy
+CONFIG_HOSTAP=3Dm
+CONFIG_HOSTAP_FIRMWARE=3Dy
+# CONFIG_HOSTAP_FIRMWARE_NVRAM is not set
+CONFIG_HOSTAP_PLX=3Dm
+CONFIG_HOSTAP_PCI=3Dm
+# CONFIG_HERMES is not set
+CONFIG_P54_COMMON=3Dm
+CONFIG_P54_USB=3Dm
+CONFIG_P54_PCI=3Dm
+# CONFIG_P54_SPI is not set
+CONFIG_P54_LEDS=3Dy
+# CONFIG_PRISM54 is not set
+CONFIG_WLAN_VENDOR_MARVELL=3Dy
+CONFIG_LIBERTAS=3Dm
+CONFIG_LIBERTAS_USB=3Dm
+CONFIG_LIBERTAS_SDIO=3Dm
+# CONFIG_LIBERTAS_SPI is not set
+# CONFIG_LIBERTAS_DEBUG is not set
+CONFIG_LIBERTAS_MESH=3Dy
+CONFIG_LIBERTAS_THINFIRM=3Dm
+# CONFIG_LIBERTAS_THINFIRM_DEBUG is not set
+CONFIG_LIBERTAS_THINFIRM_USB=3Dm
+# CONFIG_MWIFIEX is not set
+CONFIG_MWL8K=3Dm
+CONFIG_WLAN_VENDOR_MEDIATEK=3Dy
+CONFIG_MT7601U=3Dm
+# CONFIG_MT76x0U is not set
+# CONFIG_MT76x0E is not set
+# CONFIG_MT76x2E is not set
+# CONFIG_MT76x2U is not set
+# CONFIG_MT7603E is not set
+# CONFIG_MT7615E is not set
+CONFIG_WLAN_VENDOR_RALINK=3Dy
+CONFIG_RT2X00=3Dm
+CONFIG_RT2400PCI=3Dm
+CONFIG_RT2500PCI=3Dm
+CONFIG_RT61PCI=3Dm
+CONFIG_RT2800PCI=3Dm
+CONFIG_RT2800PCI_RT33XX=3Dy
+CONFIG_RT2800PCI_RT35XX=3Dy
+CONFIG_RT2800PCI_RT53XX=3Dy
+CONFIG_RT2800PCI_RT3290=3Dy
+CONFIG_RT2500USB=3Dm
+CONFIG_RT73USB=3Dm
+CONFIG_RT2800USB=3Dm
+CONFIG_RT2800USB_RT33XX=3Dy
+CONFIG_RT2800USB_RT35XX=3Dy
+CONFIG_RT2800USB_RT3573=3Dy
+CONFIG_RT2800USB_RT53XX=3Dy
+CONFIG_RT2800USB_RT55XX=3Dy
+# CONFIG_RT2800USB_UNKNOWN is not set
+CONFIG_RT2800_LIB=3Dm
+CONFIG_RT2800_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_PCI=3Dm
+CONFIG_RT2X00_LIB_USB=3Dm
+CONFIG_RT2X00_LIB=3Dm
+CONFIG_RT2X00_LIB_FIRMWARE=3Dy
+CONFIG_RT2X00_LIB_CRYPTO=3Dy
+CONFIG_RT2X00_LIB_LEDS=3Dy
+# CONFIG_RT2X00_DEBUG is not set
+CONFIG_WLAN_VENDOR_REALTEK=3Dy
+CONFIG_RTL8180=3Dm
+CONFIG_RTL8187=3Dm
+CONFIG_RTL8187_LEDS=3Dy
+CONFIG_RTL_CARDS=3Dm
+CONFIG_RTL8192CE=3Dm
+CONFIG_RTL8192SE=3Dm
+CONFIG_RTL8192DE=3Dm
+CONFIG_RTL8723AE=3Dm
+CONFIG_RTL8723BE=3Dm
+CONFIG_RTL8188EE=3Dm
+CONFIG_RTL8192EE=3Dm
+CONFIG_RTL8821AE=3Dm
+CONFIG_RTL8192CU=3Dm
+CONFIG_RTLWIFI=3Dm
+CONFIG_RTLWIFI_PCI=3Dm
+CONFIG_RTLWIFI_USB=3Dm
+# CONFIG_RTLWIFI_DEBUG is not set
+CONFIG_RTL8192C_COMMON=3Dm
+CONFIG_RTL8723_COMMON=3Dm
+CONFIG_RTLBTCOEXIST=3Dm
+CONFIG_RTL8XXXU=3Dm
+# CONFIG_RTL8XXXU_UNTESTED is not set
+# CONFIG_RTW88 is not set
+CONFIG_WLAN_VENDOR_RSI=3Dy
+CONFIG_RSI_91X=3Dm
+CONFIG_RSI_DEBUGFS=3Dy
+# CONFIG_RSI_SDIO is not set
+CONFIG_RSI_USB=3Dm
+CONFIG_RSI_COEX=3Dy
+CONFIG_WLAN_VENDOR_ST=3Dy
+# CONFIG_CW1200 is not set
+CONFIG_WLAN_VENDOR_TI=3Dy
+CONFIG_WL1251=3Dm
+CONFIG_WL1251_SPI=3Dm
+CONFIG_WL1251_SDIO=3Dm
+CONFIG_WL12XX=3Dm
+CONFIG_WL18XX=3Dm
+CONFIG_WLCORE=3Dm
+CONFIG_WLCORE_SPI=3Dm
+CONFIG_WLCORE_SDIO=3Dm
+CONFIG_WILINK_PLATFORM_DATA=3Dy
+CONFIG_WLAN_VENDOR_ZYDAS=3Dy
+# CONFIG_USB_ZD1201 is not set
+CONFIG_ZD1211RW=3Dm
+# CONFIG_ZD1211RW_DEBUG is not set
+CONFIG_WLAN_VENDOR_QUANTENNA=3Dy
+# CONFIG_QTNFMAC_PCIE is not set
+CONFIG_MAC80211_HWSIM=3Dm
+CONFIG_USB_NET_RNDIS_WLAN=3Dm
+CONFIG_VIRT_WIFI=3Dm
+
+#
+# WiMAX Wireless Broadband devices
+#
+CONFIG_WIMAX_I2400M=3Dm
+CONFIG_WIMAX_I2400M_USB=3Dm
+CONFIG_WIMAX_I2400M_DEBUG_LEVEL=3D8
+# end of WiMAX Wireless Broadband devices
+
+# CONFIG_WAN is not set
+CONFIG_IEEE802154_DRIVERS=3Dm
+CONFIG_IEEE802154_FAKELB=3Dm
+CONFIG_IEEE802154_AT86RF230=3Dm
+# CONFIG_IEEE802154_AT86RF230_DEBUGFS is not set
+CONFIG_IEEE802154_MRF24J40=3Dm
+CONFIG_IEEE802154_CC2520=3Dm
+CONFIG_IEEE802154_ATUSB=3Dm
+CONFIG_IEEE802154_ADF7242=3Dm
+# CONFIG_IEEE802154_CA8210 is not set
+# CONFIG_IEEE802154_MCR20A is not set
+# CONFIG_IEEE802154_HWSIM is not set
+CONFIG_XEN_NETDEV_FRONTEND=3Dm
+CONFIG_XEN_NETDEV_BACKEND=3Dm
+# CONFIG_VMXNET3 is not set
+CONFIG_NETDEVSIM=3Dm
+CONFIG_NET_FAILOVER=3Dm
+# CONFIG_ISDN is not set
+# CONFIG_NVM is not set
+
+#
+# Input device support
+#
+CONFIG_INPUT=3Dy
+CONFIG_INPUT_LEDS=3Dy
+CONFIG_INPUT_FF_MEMLESS=3Dm
+CONFIG_INPUT_POLLDEV=3Dm
+CONFIG_INPUT_SPARSEKMAP=3Dm
+CONFIG_INPUT_MATRIXKMAP=3Dm
+
+#
+# Userland interfaces
+#
+CONFIG_INPUT_MOUSEDEV=3Dy
+CONFIG_INPUT_MOUSEDEV_PSAUX=3Dy
+CONFIG_INPUT_MOUSEDEV_SCREEN_X=3D1024
+CONFIG_INPUT_MOUSEDEV_SCREEN_Y=3D768
+CONFIG_INPUT_JOYDEV=3Dm
+CONFIG_INPUT_EVDEV=3Dm
+# CONFIG_INPUT_EVBUG is not set
+# CONFIG_INPUT_APMPOWER is not set
+
+#
+# Input Device Drivers
+#
+CONFIG_INPUT_KEYBOARD=3Dy
+# CONFIG_KEYBOARD_ADC is not set
+CONFIG_KEYBOARD_ADP5588=3Dm
+# CONFIG_KEYBOARD_ADP5589 is not set
+CONFIG_KEYBOARD_ATKBD=3Dy
+CONFIG_KEYBOARD_QT1050=3Dm
+# CONFIG_KEYBOARD_QT1070 is not set
+CONFIG_KEYBOARD_QT2160=3Dm
+# CONFIG_KEYBOARD_DLINK_DIR685 is not set
+# CONFIG_KEYBOARD_LKKBD is not set
+CONFIG_KEYBOARD_GPIO=3Dy
+# CONFIG_KEYBOARD_GPIO_POLLED is not set
+# CONFIG_KEYBOARD_TCA6416 is not set
+# CONFIG_KEYBOARD_TCA8418 is not set
+# CONFIG_KEYBOARD_MATRIX is not set
+CONFIG_KEYBOARD_LM8323=3Dm
+# CONFIG_KEYBOARD_LM8333 is not set
+CONFIG_KEYBOARD_MAX7359=3Dm
+# CONFIG_KEYBOARD_MCS is not set
+# CONFIG_KEYBOARD_MPR121 is not set
+CONFIG_KEYBOARD_SNVS_PWRKEY=3Dm
+CONFIG_KEYBOARD_IMX=3Dm
+# CONFIG_KEYBOARD_NEWTON is not set
+CONFIG_KEYBOARD_TEGRA=3Dm
+CONFIG_KEYBOARD_OPENCORES=3Dm
+# CONFIG_KEYBOARD_SAMSUNG is not set
+CONFIG_KEYBOARD_STOWAWAY=3Dm
+# CONFIG_KEYBOARD_SUNKBD is not set
+# CONFIG_KEYBOARD_STMPE is not set
+CONFIG_KEYBOARD_SUN4I_LRADC=3Dm
+CONFIG_KEYBOARD_OMAP4=3Dm
+# CONFIG_KEYBOARD_TM2_TOUCHKEY is not set
+CONFIG_KEYBOARD_TWL4030=3Dm
+# CONFIG_KEYBOARD_XTKBD is not set
+CONFIG_KEYBOARD_CROS_EC=3Dm
+# CONFIG_KEYBOARD_CAP11XX is not set
+# CONFIG_KEYBOARD_BCM is not set
+CONFIG_INPUT_MOUSE=3Dy
+CONFIG_MOUSE_PS2=3Dm
+CONFIG_MOUSE_PS2_ALPS=3Dy
+CONFIG_MOUSE_PS2_BYD=3Dy
+CONFIG_MOUSE_PS2_LOGIPS2PP=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS_SMBUS=3Dy
+CONFIG_MOUSE_PS2_CYPRESS=3Dy
+CONFIG_MOUSE_PS2_TRACKPOINT=3Dy
+CONFIG_MOUSE_PS2_ELANTECH=3Dy
+CONFIG_MOUSE_PS2_ELANTECH_SMBUS=3Dy
+CONFIG_MOUSE_PS2_SENTELIC=3Dy
+# CONFIG_MOUSE_PS2_TOUCHKIT is not set
+CONFIG_MOUSE_PS2_FOCALTECH=3Dy
+CONFIG_MOUSE_PS2_SMBUS=3Dy
+# CONFIG_MOUSE_SERIAL is not set
+CONFIG_MOUSE_APPLETOUCH=3Dm
+# CONFIG_MOUSE_BCM5974 is not set
+# CONFIG_MOUSE_CYAPA is not set
+CONFIG_MOUSE_ELAN_I2C=3Dm
+CONFIG_MOUSE_ELAN_I2C_I2C=3Dy
+# CONFIG_MOUSE_ELAN_I2C_SMBUS is not set
+# CONFIG_MOUSE_VSXXXAA is not set
+# CONFIG_MOUSE_GPIO is not set
+CONFIG_MOUSE_SYNAPTICS_I2C=3Dm
+CONFIG_MOUSE_SYNAPTICS_USB=3Dm
+# CONFIG_INPUT_JOYSTICK is not set
+CONFIG_INPUT_TABLET=3Dy
+CONFIG_TABLET_USB_ACECAD=3Dm
+CONFIG_TABLET_USB_AIPTEK=3Dm
+CONFIG_TABLET_USB_GTCO=3Dm
+CONFIG_TABLET_USB_HANWANG=3Dm
+CONFIG_TABLET_USB_KBTAB=3Dm
+CONFIG_TABLET_USB_PEGASUS=3Dm
+CONFIG_TABLET_SERIAL_WACOM4=3Dm
+CONFIG_INPUT_TOUCHSCREEN=3Dy
+CONFIG_TOUCHSCREEN_PROPERTIES=3Dy
+CONFIG_TOUCHSCREEN_ADS7846=3Dm
+CONFIG_TOUCHSCREEN_AD7877=3Dm
+CONFIG_TOUCHSCREEN_AD7879=3Dm
+CONFIG_TOUCHSCREEN_AD7879_I2C=3Dm
+# CONFIG_TOUCHSCREEN_AD7879_SPI is not set
+CONFIG_TOUCHSCREEN_ADC=3Dm
+# CONFIG_TOUCHSCREEN_AR1021_I2C is not set
+CONFIG_TOUCHSCREEN_ATMEL_MXT=3Dm
+# CONFIG_TOUCHSCREEN_ATMEL_MXT_T37 is not set
+# CONFIG_TOUCHSCREEN_AUO_PIXCIR is not set
+# CONFIG_TOUCHSCREEN_BU21013 is not set
+# CONFIG_TOUCHSCREEN_BU21029 is not set
+# CONFIG_TOUCHSCREEN_CHIPONE_ICN8318 is not set
+# CONFIG_TOUCHSCREEN_CY8CTMG110 is not set
+# CONFIG_TOUCHSCREEN_CYTTSP_CORE is not set
+# CONFIG_TOUCHSCREEN_CYTTSP4_CORE is not set
+# CONFIG_TOUCHSCREEN_DA9052 is not set
+CONFIG_TOUCHSCREEN_DYNAPRO=3Dm
+CONFIG_TOUCHSCREEN_HAMPSHIRE=3Dm
+# CONFIG_TOUCHSCREEN_EETI is not set
+# CONFIG_TOUCHSCREEN_EGALAX is not set
+# CONFIG_TOUCHSCREEN_EGALAX_SERIAL is not set
+CONFIG_TOUCHSCREEN_EXC3000=3Dm
+CONFIG_TOUCHSCREEN_FUJITSU=3Dm
+CONFIG_TOUCHSCREEN_GOODIX=3Dm
+CONFIG_TOUCHSCREEN_HIDEEP=3Dm
+# CONFIG_TOUCHSCREEN_ILI210X is not set
+CONFIG_TOUCHSCREEN_S6SY761=3Dm
+CONFIG_TOUCHSCREEN_GUNZE=3Dm
+# CONFIG_TOUCHSCREEN_EKTF2127 is not set
+# CONFIG_TOUCHSCREEN_ELAN is not set
+CONFIG_TOUCHSCREEN_ELO=3Dm
+CONFIG_TOUCHSCREEN_WACOM_W8001=3Dm
+# CONFIG_TOUCHSCREEN_WACOM_I2C is not set
+# CONFIG_TOUCHSCREEN_MAX11801 is not set
+CONFIG_TOUCHSCREEN_MCS5000=3Dm
+# CONFIG_TOUCHSCREEN_MMS114 is not set
+# CONFIG_TOUCHSCREEN_MELFAS_MIP4 is not set
+CONFIG_TOUCHSCREEN_MTOUCH=3Dm
+# CONFIG_TOUCHSCREEN_IMX6UL_TSC is not set
+CONFIG_TOUCHSCREEN_INEXIO=3Dm
+CONFIG_TOUCHSCREEN_MK712=3Dm
+CONFIG_TOUCHSCREEN_PENMOUNT=3Dm
+# CONFIG_TOUCHSCREEN_EDT_FT5X06 is not set
+CONFIG_TOUCHSCREEN_RASPBERRYPI_FW=3Dm
+CONFIG_TOUCHSCREEN_TOUCHRIGHT=3Dm
+CONFIG_TOUCHSCREEN_TOUCHWIN=3Dm
+CONFIG_TOUCHSCREEN_TI_AM335X_TSC=3Dm
+# CONFIG_TOUCHSCREEN_PIXCIR is not set
+# CONFIG_TOUCHSCREEN_WDT87XX_I2C is not set
+CONFIG_TOUCHSCREEN_WM97XX=3Dm
+CONFIG_TOUCHSCREEN_WM9705=3Dy
+CONFIG_TOUCHSCREEN_WM9712=3Dy
+CONFIG_TOUCHSCREEN_WM9713=3Dy
+CONFIG_TOUCHSCREEN_USB_COMPOSITE=3Dm
+CONFIG_TOUCHSCREEN_MC13783=3Dm
+CONFIG_TOUCHSCREEN_USB_EGALAX=3Dy
+CONFIG_TOUCHSCREEN_USB_PANJIT=3Dy
+CONFIG_TOUCHSCREEN_USB_3M=3Dy
+CONFIG_TOUCHSCREEN_USB_ITM=3Dy
+CONFIG_TOUCHSCREEN_USB_ETURBO=3Dy
+CONFIG_TOUCHSCREEN_USB_GUNZE=3Dy
+CONFIG_TOUCHSCREEN_USB_DMC_TSC10=3Dy
+CONFIG_TOUCHSCREEN_USB_IRTOUCH=3Dy
+CONFIG_TOUCHSCREEN_USB_IDEALTEK=3Dy
+CONFIG_TOUCHSCREEN_USB_GENERAL_TOUCH=3Dy
+CONFIG_TOUCHSCREEN_USB_GOTOP=3Dy
+CONFIG_TOUCHSCREEN_USB_JASTEC=3Dy
+CONFIG_TOUCHSCREEN_USB_ELO=3Dy
+CONFIG_TOUCHSCREEN_USB_E2I=3Dy
+CONFIG_TOUCHSCREEN_USB_ZYTRONIC=3Dy
+CONFIG_TOUCHSCREEN_USB_ETT_TC45USB=3Dy
+CONFIG_TOUCHSCREEN_USB_NEXIO=3Dy
+CONFIG_TOUCHSCREEN_USB_EASYTOUCH=3Dy
+CONFIG_TOUCHSCREEN_TOUCHIT213=3Dm
+# CONFIG_TOUCHSCREEN_TS4800 is not set
+# CONFIG_TOUCHSCREEN_TSC_SERIO is not set
+CONFIG_TOUCHSCREEN_TSC200X_CORE=3Dm
+# CONFIG_TOUCHSCREEN_TSC2004 is not set
+CONFIG_TOUCHSCREEN_TSC2005=3Dm
+CONFIG_TOUCHSCREEN_TSC2007=3Dm
+# CONFIG_TOUCHSCREEN_TSC2007_IIO is not set
+# CONFIG_TOUCHSCREEN_RM_TS is not set
+# CONFIG_TOUCHSCREEN_SILEAD is not set
+# CONFIG_TOUCHSCREEN_SIS_I2C is not set
+# CONFIG_TOUCHSCREEN_ST1232 is not set
+# CONFIG_TOUCHSCREEN_STMFTS is not set
+CONFIG_TOUCHSCREEN_STMPE=3Dm
+CONFIG_TOUCHSCREEN_SUN4I=3Dm
+CONFIG_TOUCHSCREEN_SUR40=3Dm
+# CONFIG_TOUCHSCREEN_SURFACE3_SPI is not set
+# CONFIG_TOUCHSCREEN_SX8654 is not set
+CONFIG_TOUCHSCREEN_TPS6507X=3Dm
+# CONFIG_TOUCHSCREEN_ZET6223 is not set
+# CONFIG_TOUCHSCREEN_ZFORCE is not set
+# CONFIG_TOUCHSCREEN_ROHM_BU21023 is not set
+# CONFIG_TOUCHSCREEN_IQS5XX is not set
+CONFIG_INPUT_MISC=3Dy
+# CONFIG_INPUT_AD714X is not set
+# CONFIG_INPUT_ATMEL_CAPTOUCH is not set
+# CONFIG_INPUT_BMA150 is not set
+# CONFIG_INPUT_E3X0_BUTTON is not set
+# CONFIG_INPUT_MSM_VIBRATOR is not set
+# CONFIG_INPUT_MC13783_PWRBUTTON is not set
+CONFIG_INPUT_MMA8450=3Dm
+# CONFIG_INPUT_GP2A is not set
+# CONFIG_INPUT_GPIO_BEEPER is not set
+# CONFIG_INPUT_GPIO_DECODER is not set
+# CONFIG_INPUT_GPIO_VIBRA is not set
+CONFIG_INPUT_ATI_REMOTE2=3Dm
+CONFIG_INPUT_KEYSPAN_REMOTE=3Dm
+# CONFIG_INPUT_KXTJ9 is not set
+CONFIG_INPUT_POWERMATE=3Dm
+CONFIG_INPUT_YEALINK=3Dm
+CONFIG_INPUT_CM109=3Dm
+# CONFIG_INPUT_REGULATOR_HAPTIC is not set
+CONFIG_INPUT_AXP20X_PEK=3Dm
+CONFIG_INPUT_TWL4030_PWRBUTTON=3Dm
+CONFIG_INPUT_TWL4030_VIBRA=3Dm
+CONFIG_INPUT_TWL6040_VIBRA=3Dm
+CONFIG_INPUT_UINPUT=3Dm
+# CONFIG_INPUT_PALMAS_PWRBUTTON is not set
+# CONFIG_INPUT_PCF8574 is not set
+# CONFIG_INPUT_PWM_BEEPER is not set
+# CONFIG_INPUT_PWM_VIBRA is not set
+CONFIG_INPUT_RK805_PWRKEY=3Dm
+# CONFIG_INPUT_GPIO_ROTARY_ENCODER is not set
+# CONFIG_INPUT_DA9052_ONKEY is not set
+# CONFIG_INPUT_ADXL34X is not set
+# CONFIG_INPUT_IMS_PCU is not set
+# CONFIG_INPUT_CMA3000 is not set
+CONFIG_INPUT_XEN_KBDDEV_FRONTEND=3Dy
+# CONFIG_INPUT_DRV260X_HAPTICS is not set
+# CONFIG_INPUT_DRV2665_HAPTICS is not set
+# CONFIG_INPUT_DRV2667_HAPTICS is not set
+CONFIG_RMI4_CORE=3Dm
+# CONFIG_RMI4_I2C is not set
+# CONFIG_RMI4_SPI is not set
+# CONFIG_RMI4_SMB is not set
+CONFIG_RMI4_F03=3Dy
+CONFIG_RMI4_F03_SERIO=3Dm
+CONFIG_RMI4_2D_SENSOR=3Dy
+CONFIG_RMI4_F11=3Dy
+CONFIG_RMI4_F12=3Dy
+CONFIG_RMI4_F30=3Dy
+# CONFIG_RMI4_F34 is not set
+# CONFIG_RMI4_F54 is not set
+# CONFIG_RMI4_F55 is not set
+
+#
+# Hardware I/O ports
+#
+CONFIG_SERIO=3Dy
+CONFIG_SERIO_SERPORT=3Dy
+# CONFIG_SERIO_PARKBD is not set
+CONFIG_SERIO_AMBAKMI=3Dm
+# CONFIG_SERIO_PCIPS2 is not set
+CONFIG_SERIO_LIBPS2=3Dy
+# CONFIG_SERIO_RAW is not set
+CONFIG_SERIO_ALTERA_PS2=3Dm
+# CONFIG_SERIO_PS2MULT is not set
+# CONFIG_SERIO_ARC_PS2 is not set
+# CONFIG_SERIO_APBPS2 is not set
+CONFIG_SERIO_SUN4I_PS2=3Dm
+CONFIG_SERIO_GPIO_PS2=3Dm
+# CONFIG_USERIO is not set
+# CONFIG_GAMEPORT is not set
+# end of Hardware I/O ports
+# end of Input device support
+
+#
+# Character devices
+#
+CONFIG_TTY=3Dy
+CONFIG_VT=3Dy
+CONFIG_CONSOLE_TRANSLATIONS=3Dy
+CONFIG_VT_CONSOLE=3Dy
+CONFIG_VT_CONSOLE_SLEEP=3Dy
+CONFIG_HW_CONSOLE=3Dy
+CONFIG_VT_HW_CONSOLE_BINDING=3Dy
+CONFIG_UNIX98_PTYS=3Dy
+# CONFIG_LEGACY_PTYS is not set
+# CONFIG_SERIAL_NONSTANDARD is not set
+CONFIG_NOZOMI=3Dm
+CONFIG_N_GSM=3Dm
+# CONFIG_TRACE_SINK is not set
+CONFIG_NULL_TTY=3Dm
+CONFIG_LDISC_AUTOLOAD=3Dy
+CONFIG_DEVMEM=3Dy
+# CONFIG_DEVKMEM is not set
+
+#
+# Serial drivers
+#
+CONFIG_SERIAL_EARLYCON=3Dy
+CONFIG_SERIAL_8250=3Dy
+CONFIG_SERIAL_8250_DEPRECATED_OPTIONS=3Dy
+# CONFIG_SERIAL_8250_FINTEK is not set
+CONFIG_SERIAL_8250_CONSOLE=3Dy
+CONFIG_SERIAL_8250_DMA=3Dy
+CONFIG_SERIAL_8250_PCI=3Dy
+CONFIG_SERIAL_8250_EXAR=3Dy
+CONFIG_SERIAL_8250_NR_UARTS=3D4
+CONFIG_SERIAL_8250_RUNTIME_UARTS=3D4
+# CONFIG_SERIAL_8250_EXTENDED is not set
+# CONFIG_SERIAL_8250_ASPEED_VUART is not set
+CONFIG_SERIAL_8250_DWLIB=3Dy
+CONFIG_SERIAL_8250_FSL=3Dy
+CONFIG_SERIAL_8250_DW=3Dy
+# CONFIG_SERIAL_8250_EM is not set
+# CONFIG_SERIAL_8250_RT288X is not set
+# CONFIG_SERIAL_8250_OMAP is not set
+CONFIG_SERIAL_OF_PLATFORM=3Dy
+
+#
+# Non-8250 serial port support
+#
+CONFIG_SERIAL_AMBA_PL010=3Dy
+CONFIG_SERIAL_AMBA_PL010_CONSOLE=3Dy
+CONFIG_SERIAL_AMBA_PL011=3Dy
+CONFIG_SERIAL_AMBA_PL011_CONSOLE=3Dy
+# CONFIG_SERIAL_EARLYCON_ARM_SEMIHOST is not set
+CONFIG_SERIAL_SAMSUNG=3Dy
+CONFIG_SERIAL_SAMSUNG_UARTS_4=3Dy
+CONFIG_SERIAL_SAMSUNG_UARTS=3D4
+CONFIG_SERIAL_SAMSUNG_CONSOLE=3Dy
+CONFIG_SERIAL_TEGRA=3Dy
+# CONFIG_SERIAL_MAX3100 is not set
+# CONFIG_SERIAL_MAX310X is not set
+CONFIG_SERIAL_IMX=3Dy
+CONFIG_SERIAL_IMX_CONSOLE=3Dy
+# CONFIG_SERIAL_UARTLITE is not set
+CONFIG_SERIAL_CORE=3Dy
+CONFIG_SERIAL_CORE_CONSOLE=3Dy
+# CONFIG_SERIAL_JSM is not set
+CONFIG_SERIAL_VT8500=3Dy
+CONFIG_SERIAL_VT8500_CONSOLE=3Dy
+CONFIG_SERIAL_OMAP=3Dy
+CONFIG_SERIAL_OMAP_CONSOLE=3Dy
+# CONFIG_SERIAL_SIFIVE is not set
+# CONFIG_SERIAL_SCCNXP is not set
+# CONFIG_SERIAL_SC16IS7XX is not set
+# CONFIG_SERIAL_BCM63XX is not set
+# CONFIG_SERIAL_ALTERA_JTAGUART is not set
+# CONFIG_SERIAL_ALTERA_UART is not set
+# CONFIG_SERIAL_IFX6X60 is not set
+# CONFIG_SERIAL_XILINX_PS_UART is not set
+CONFIG_SERIAL_ARC=3Dy
+CONFIG_SERIAL_ARC_CONSOLE=3Dy
+CONFIG_SERIAL_ARC_NR_PORTS=3D1
+CONFIG_SERIAL_RP2=3Dm
+CONFIG_SERIAL_RP2_NR_UARTS=3D32
+# CONFIG_SERIAL_FSL_LPUART is not set
+# CONFIG_SERIAL_FSL_LINFLEXUART is not set
+# CONFIG_SERIAL_CONEXANT_DIGICOLOR is not set
+# CONFIG_SERIAL_ST_ASC is not set
+# CONFIG_SERIAL_MVEBU_UART is not set
+# end of Serial drivers
+
+CONFIG_SERIAL_MCTRL_GPIO=3Dy
+# CONFIG_SERIAL_DEV_BUS is not set
+CONFIG_TTY_PRINTK=3Dm
+CONFIG_TTY_PRINTK_LEVEL=3D6
+# CONFIG_PRINTER is not set
+# CONFIG_PPDEV is not set
+CONFIG_HVC_DRIVER=3Dy
+CONFIG_HVC_IRQ=3Dy
+CONFIG_HVC_XEN=3Dy
+CONFIG_HVC_XEN_FRONTEND=3Dy
+# CONFIG_HVC_DCC is not set
+CONFIG_VIRTIO_CONSOLE=3Dm
+# CONFIG_IPMI_HANDLER is not set
+CONFIG_HW_RANDOM=3Dm
+# CONFIG_HW_RANDOM_TIMERIOMEM is not set
+CONFIG_HW_RANDOM_BCM2835=3Dm
+CONFIG_HW_RANDOM_OMAP=3Dm
+CONFIG_HW_RANDOM_OMAP3_ROM=3Dm
+CONFIG_HW_RANDOM_VIRTIO=3Dm
+CONFIG_HW_RANDOM_IMX_RNGC=3Dm
+CONFIG_HW_RANDOM_EXYNOS=3Dm
+# CONFIG_APPLICOM is not set
+# CONFIG_RAW_DRIVER is not set
+CONFIG_TCG_TPM=3Dy
+# CONFIG_TCG_TIS is not set
+# CONFIG_TCG_TIS_SPI is not set
+# CONFIG_TCG_TIS_I2C_ATMEL is not set
+# CONFIG_TCG_TIS_I2C_INFINEON is not set
+# CONFIG_TCG_TIS_I2C_NUVOTON is not set
+# CONFIG_TCG_XEN is not set
+# CONFIG_TCG_VTPM_PROXY is not set
+# CONFIG_TCG_TIS_ST33ZP24_I2C is not set
+# CONFIG_TCG_TIS_ST33ZP24_SPI is not set
+CONFIG_DEVPORT=3Dy
+# CONFIG_XILLYBUS is not set
+# end of Character devices
+
+# CONFIG_RANDOM_TRUST_BOOTLOADER is not set
+
+#
+# I2C support
+#
+CONFIG_I2C=3Dy
+CONFIG_I2C_BOARDINFO=3Dy
+CONFIG_I2C_COMPAT=3Dy
+CONFIG_I2C_CHARDEV=3Dm
+CONFIG_I2C_MUX=3Dy
+
+#
+# Multiplexer I2C Chip support
+#
+CONFIG_I2C_ARB_GPIO_CHALLENGE=3Dm
+# CONFIG_I2C_MUX_GPIO is not set
+# CONFIG_I2C_MUX_GPMUX is not set
+# CONFIG_I2C_MUX_LTC4306 is not set
+# CONFIG_I2C_MUX_PCA9541 is not set
+CONFIG_I2C_MUX_PCA954x=3Dm
+# CONFIG_I2C_MUX_PINCTRL is not set
+# CONFIG_I2C_MUX_REG is not set
+# CONFIG_I2C_DEMUX_PINCTRL is not set
+# CONFIG_I2C_MUX_MLXCPLD is not set
+# end of Multiplexer I2C Chip support
+
+CONFIG_I2C_HELPER_AUTO=3Dy
+CONFIG_I2C_SMBUS=3Dm
+CONFIG_I2C_ALGOBIT=3Dy
+CONFIG_I2C_ALGOPCA=3Dm
+
+#
+# I2C Hardware Bus support
+#
+
+#
+# PC SMBus host controller drivers
+#
+# CONFIG_I2C_ALI1535 is not set
+# CONFIG_I2C_ALI1563 is not set
+# CONFIG_I2C_ALI15X3 is not set
+# CONFIG_I2C_AMD756 is not set
+# CONFIG_I2C_AMD8111 is not set
+# CONFIG_I2C_I801 is not set
+CONFIG_I2C_ISCH=3Dm
+# CONFIG_I2C_PIIX4 is not set
+# CONFIG_I2C_NFORCE2 is not set
+# CONFIG_I2C_NVIDIA_GPU is not set
+# CONFIG_I2C_SIS5595 is not set
+# CONFIG_I2C_SIS630 is not set
+# CONFIG_I2C_SIS96X is not set
+# CONFIG_I2C_VIA is not set
+# CONFIG_I2C_VIAPRO is not set
+
+#
+# I2C system bus drivers (mostly embedded / system-on-chip)
+#
+CONFIG_I2C_ALTERA=3Dm
+CONFIG_I2C_BCM2835=3Dm
+# CONFIG_I2C_CBUS_GPIO is not set
+# CONFIG_I2C_DESIGNWARE_PLATFORM is not set
+# CONFIG_I2C_DESIGNWARE_PCI is not set
+# CONFIG_I2C_EMEV2 is not set
+CONFIG_I2C_EXYNOS5=3Dm
+CONFIG_I2C_GPIO=3Dy
+# CONFIG_I2C_GPIO_FAULT_INJECTOR is not set
+CONFIG_I2C_IMX=3Dm
+# CONFIG_I2C_IMX_LPI2C is not set
+CONFIG_I2C_MV64XXX=3Dm
+# CONFIG_I2C_NOMADIK is not set
+CONFIG_I2C_OCORES=3Dm
+CONFIG_I2C_OMAP=3Dy
+CONFIG_I2C_PCA_PLATFORM=3Dm
+# CONFIG_I2C_PXA is not set
+CONFIG_I2C_RK3X=3Dm
+CONFIG_HAVE_S3C2410_I2C=3Dy
+CONFIG_I2C_S3C2410=3Dy
+CONFIG_I2C_SIMTEC=3Dm
+CONFIG_I2C_SUN6I_P2WI=3Dm
+CONFIG_I2C_TEGRA=3Dy
+CONFIG_I2C_VERSATILE=3Dm
+# CONFIG_I2C_WMT is not set
+# CONFIG_I2C_XILINX is not set
+
+#
+# External I2C/SMBus adapter drivers
+#
+CONFIG_I2C_DIOLAN_U2C=3Dm
+# CONFIG_I2C_PARPORT is not set
+# CONFIG_I2C_PARPORT_LIGHT is not set
+CONFIG_I2C_ROBOTFUZZ_OSIF=3Dm
+CONFIG_I2C_TAOS_EVM=3Dm
+CONFIG_I2C_TINY_USB=3Dm
+CONFIG_I2C_VIPERBOARD=3Dm
+
+#
+# Other I2C/SMBus bus drivers
+#
+CONFIG_I2C_CROS_EC_TUNNEL=3Dm
+# end of I2C Hardware Bus support
+
+# CONFIG_I2C_STUB is not set
+# CONFIG_I2C_SLAVE is not set
+# CONFIG_I2C_DEBUG_CORE is not set
+# CONFIG_I2C_DEBUG_ALGO is not set
+# CONFIG_I2C_DEBUG_BUS is not set
+# end of I2C support
+
+# CONFIG_I3C is not set
+CONFIG_SPI=3Dy
+# CONFIG_SPI_DEBUG is not set
+CONFIG_SPI_MASTER=3Dy
+CONFIG_SPI_MEM=3Dy
+
+#
+# SPI Master Controller Drivers
+#
+# CONFIG_SPI_ALTERA is not set
+# CONFIG_SPI_ARMADA_3700 is not set
+# CONFIG_SPI_AXI_SPI_ENGINE is not set
+CONFIG_SPI_BCM2835=3Dm
+CONFIG_SPI_BCM2835AUX=3Dm
+# CONFIG_SPI_BCM_QSPI is not set
+CONFIG_SPI_BITBANG=3Dy
+CONFIG_SPI_BUTTERFLY=3Dm
+# CONFIG_SPI_CADENCE is not set
+# CONFIG_SPI_DESIGNWARE is not set
+# CONFIG_SPI_FSL_LPSPI is not set
+# CONFIG_SPI_FSL_QUADSPI is not set
+# CONFIG_SPI_NXP_FLEXSPI is not set
+CONFIG_SPI_GPIO=3Dy
+CONFIG_SPI_IMX=3Dm
+CONFIG_SPI_LM70_LLP=3Dm
+# CONFIG_SPI_FSL_SPI is not set
+# CONFIG_SPI_OC_TINY is not set
+CONFIG_SPI_OMAP24XX=3Dm
+CONFIG_SPI_TI_QSPI=3Dm
+CONFIG_SPI_ORION=3Dm
+CONFIG_SPI_PL022=3Dm
+# CONFIG_SPI_PXA2XX is not set
+CONFIG_SPI_ROCKCHIP=3Dm
+# CONFIG_SPI_S3C64XX is not set
+# CONFIG_SPI_SC18IS602 is not set
+# CONFIG_SPI_SIFIVE is not set
+CONFIG_SPI_SUN4I=3Dm
+CONFIG_SPI_SUN6I=3Dm
+CONFIG_SPI_MXIC=3Dm
+CONFIG_SPI_TEGRA114=3Dm
+CONFIG_SPI_TEGRA20_SFLASH=3Dm
+# CONFIG_SPI_TEGRA20_SLINK is not set
+# CONFIG_SPI_XCOMM is not set
+# CONFIG_SPI_XILINX is not set
+# CONFIG_SPI_ZYNQMP_GQSPI is not set
+
+#
+# SPI Protocol Masters
+#
+CONFIG_SPI_SPIDEV=3Dy
+# CONFIG_SPI_LOOPBACK_TEST is not set
+# CONFIG_SPI_TLE62X0 is not set
+# CONFIG_SPI_SLAVE is not set
+# CONFIG_SPMI is not set
+CONFIG_HSI=3Dm
+CONFIG_HSI_BOARDINFO=3Dy
+
+#
+# HSI controllers
+#
+CONFIG_OMAP_SSI=3Dm
+
+#
+# HSI clients
+#
+CONFIG_NOKIA_MODEM=3Dm
+CONFIG_CMT_SPEECH=3Dm
+CONFIG_SSI_PROTOCOL=3Dm
+# CONFIG_HSI_CHAR is not set
+CONFIG_PPS=3Dy
+# CONFIG_PPS_DEBUG is not set
+
+#
+# PPS clients support
+#
+# CONFIG_PPS_CLIENT_KTIMER is not set
+CONFIG_PPS_CLIENT_LDISC=3Dm
+CONFIG_PPS_CLIENT_PARPORT=3Dm
+# CONFIG_PPS_CLIENT_GPIO is not set
+
+#
+# PPS generators support
+#
+
+#
+# PTP clock support
+#
+CONFIG_PTP_1588_CLOCK=3Dy
+
+#
+# Enable PHYLIB and NETWORK_PHY_TIMESTAMPING to see the additional clocks.
+#
+# end of PTP clock support
+
+CONFIG_PINCTRL=3Dy
+CONFIG_GENERIC_PINCTRL_GROUPS=3Dy
+CONFIG_PINMUX=3Dy
+CONFIG_GENERIC_PINMUX_FUNCTIONS=3Dy
+CONFIG_PINCONF=3Dy
+CONFIG_GENERIC_PINCONF=3Dy
+# CONFIG_DEBUG_PINCTRL is not set
+CONFIG_PINCTRL_AS3722=3Dy
+CONFIG_PINCTRL_AXP209=3Dm
+# CONFIG_PINCTRL_AMD is not set
+CONFIG_PINCTRL_MCP23S08=3Dm
+CONFIG_PINCTRL_ROCKCHIP=3Dy
+CONFIG_PINCTRL_SINGLE=3Dy
+# CONFIG_PINCTRL_SX150X is not set
+# CONFIG_PINCTRL_STMFX is not set
+CONFIG_PINCTRL_PALMAS=3Dy
+CONFIG_PINCTRL_RK805=3Dm
+# CONFIG_PINCTRL_OCELOT is not set
+CONFIG_PINCTRL_BCM2835=3Dy
+CONFIG_PINCTRL_IMX=3Dy
+CONFIG_PINCTRL_IMX51=3Dy
+CONFIG_PINCTRL_IMX53=3Dy
+CONFIG_PINCTRL_IMX6Q=3Dy
+CONFIG_PINCTRL_MVEBU=3Dy
+CONFIG_PINCTRL_ARMADA_370=3Dy
+CONFIG_PINCTRL_ARMADA_375=3Dy
+CONFIG_PINCTRL_ARMADA_38X=3Dy
+CONFIG_PINCTRL_ARMADA_39X=3Dy
+CONFIG_PINCTRL_ARMADA_XP=3Dy
+CONFIG_PINCTRL_SAMSUNG=3Dy
+CONFIG_PINCTRL_EXYNOS=3Dy
+CONFIG_PINCTRL_EXYNOS_ARM=3Dy
+CONFIG_PINCTRL_SUNXI=3Dy
+CONFIG_PINCTRL_SUN4I_A10=3Dy
+CONFIG_PINCTRL_SUN5I=3Dy
+CONFIG_PINCTRL_SUN6I_A31=3Dy
+CONFIG_PINCTRL_SUN6I_A31_R=3Dy
+CONFIG_PINCTRL_SUN8I_A23=3Dy
+CONFIG_PINCTRL_SUN8I_A33=3Dy
+CONFIG_PINCTRL_SUN8I_A83T=3Dy
+CONFIG_PINCTRL_SUN8I_A83T_R=3Dy
+CONFIG_PINCTRL_SUN8I_A23_R=3Dy
+CONFIG_PINCTRL_SUN8I_H3=3Dy
+CONFIG_PINCTRL_SUN8I_H3_R=3Dy
+CONFIG_PINCTRL_SUN8I_V3S=3Dy
+CONFIG_PINCTRL_SUN9I_A80=3Dy
+CONFIG_PINCTRL_SUN9I_A80_R=3Dy
+# CONFIG_PINCTRL_SUN50I_A64 is not set
+# CONFIG_PINCTRL_SUN50I_A64_R is not set
+# CONFIG_PINCTRL_SUN50I_H5 is not set
+# CONFIG_PINCTRL_SUN50I_H6 is not set
+# CONFIG_PINCTRL_SUN50I_H6_R is not set
+CONFIG_PINCTRL_TEGRA=3Dy
+CONFIG_PINCTRL_TEGRA124=3Dy
+CONFIG_PINCTRL_TEGRA_XUSB=3Dy
+CONFIG_PINCTRL_TI_IODELAY=3Dy
+CONFIG_PINCTRL_WMT=3Dy
+CONFIG_PINCTRL_WM8850=3Dy
+CONFIG_PINCTRL_MADERA=3Dm
+CONFIG_ARCH_HAVE_CUSTOM_GPIO_H=3Dy
+CONFIG_GPIOLIB=3Dy
+CONFIG_GPIOLIB_FASTPATH_LIMIT=3D512
+CONFIG_OF_GPIO=3Dy
+CONFIG_GPIOLIB_IRQCHIP=3Dy
+# CONFIG_DEBUG_GPIO is not set
+CONFIG_GPIO_SYSFS=3Dy
+CONFIG_GPIO_GENERIC=3Dy
+
+#
+# Memory mapped GPIO drivers
+#
+# CONFIG_GPIO_74XX_MMIO is not set
+# CONFIG_GPIO_ALTERA is not set
+CONFIG_GPIO_RASPBERRYPI_EXP=3Dm
+CONFIG_GPIO_CADENCE=3Dm
+# CONFIG_GPIO_DWAPB is not set
+# CONFIG_GPIO_EXAR is not set
+# CONFIG_GPIO_FTGPIO010 is not set
+CONFIG_GPIO_GENERIC_PLATFORM=3Dy
+# CONFIG_GPIO_GRGPIO is not set
+# CONFIG_GPIO_HLWD is not set
+CONFIG_GPIO_MB86S7X=3Dm
+# CONFIG_GPIO_MPC8XXX is not set
+CONFIG_GPIO_MVEBU=3Dy
+CONFIG_GPIO_MXC=3Dy
+CONFIG_GPIO_OMAP=3Dy
+CONFIG_GPIO_PL061=3Dy
+# CONFIG_GPIO_SAMA5D2_PIOBU is not set
+# CONFIG_GPIO_SYSCON is not set
+CONFIG_GPIO_TEGRA=3Dy
+# CONFIG_GPIO_TS4800 is not set
+CONFIG_GPIO_XILINX=3Dm
+# CONFIG_GPIO_ZEVIO is not set
+# CONFIG_GPIO_AMD_FCH is not set
+# end of Memory mapped GPIO drivers
+
+#
+# I2C GPIO expanders
+#
+# CONFIG_GPIO_ADP5588 is not set
+# CONFIG_GPIO_ADNP is not set
+# CONFIG_GPIO_GW_PLD is not set
+# CONFIG_GPIO_MAX7300 is not set
+# CONFIG_GPIO_MAX732X is not set
+CONFIG_GPIO_PCA953X=3Dm
+CONFIG_GPIO_PCF857X=3Dm
+# CONFIG_GPIO_TPIC2810 is not set
+# CONFIG_GPIO_TS4900 is not set
+# end of I2C GPIO expanders
+
+#
+# MFD GPIO expanders
+#
+CONFIG_GPIO_BD70528=3Dm
+CONFIG_GPIO_BD9571MWV=3Dm
+CONFIG_GPIO_DA9052=3Dm
+# CONFIG_HTC_EGPIO is not set
+CONFIG_GPIO_MADERA=3Dm
+CONFIG_GPIO_PALMAS=3Dy
+# CONFIG_GPIO_STMPE is not set
+CONFIG_GPIO_TWL4030=3Dy
+CONFIG_GPIO_TWL6040=3Dy
+# end of MFD GPIO expanders
+
+#
+# PCI GPIO expanders
+#
+# CONFIG_GPIO_PCI_IDIO_16 is not set
+# CONFIG_GPIO_PCIE_IDIO_24 is not set
+# CONFIG_GPIO_RDC321X is not set
+# end of PCI GPIO expanders
+
+#
+# SPI GPIO expanders
+#
+# CONFIG_GPIO_74X164 is not set
+CONFIG_GPIO_MAX3191X=3Dm
+# CONFIG_GPIO_MAX7301 is not set
+# CONFIG_GPIO_MC33880 is not set
+# CONFIG_GPIO_PISOSR is not set
+# CONFIG_GPIO_XRA1403 is not set
+# end of SPI GPIO expanders
+
+#
+# USB GPIO expanders
+#
+CONFIG_GPIO_VIPERBOARD=3Dm
+# end of USB GPIO expanders
+
+# CONFIG_GPIO_MOCKUP is not set
+CONFIG_W1=3Dm
+CONFIG_W1_CON=3Dy
+
+#
+# 1-wire Bus Masters
+#
+# CONFIG_W1_MASTER_MATROX is not set
+CONFIG_W1_MASTER_DS2490=3Dm
+CONFIG_W1_MASTER_DS2482=3Dm
+# CONFIG_W1_MASTER_MXC is not set
+# CONFIG_W1_MASTER_DS1WM is not set
+CONFIG_W1_MASTER_GPIO=3Dm
+CONFIG_HDQ_MASTER_OMAP=3Dm
+# CONFIG_W1_MASTER_SGI is not set
+# end of 1-wire Bus Masters
+
+#
+# 1-wire Slaves
+#
+CONFIG_W1_SLAVE_THERM=3Dm
+CONFIG_W1_SLAVE_SMEM=3Dm
+# CONFIG_W1_SLAVE_DS2405 is not set
+# CONFIG_W1_SLAVE_DS2408 is not set
+# CONFIG_W1_SLAVE_DS2413 is not set
+# CONFIG_W1_SLAVE_DS2406 is not set
+# CONFIG_W1_SLAVE_DS2423 is not set
+CONFIG_W1_SLAVE_DS2805=3Dm
+CONFIG_W1_SLAVE_DS2431=3Dm
+CONFIG_W1_SLAVE_DS2433=3Dm
+# CONFIG_W1_SLAVE_DS2433_CRC is not set
+# CONFIG_W1_SLAVE_DS2438 is not set
+# CONFIG_W1_SLAVE_DS250X is not set
+# CONFIG_W1_SLAVE_DS2780 is not set
+# CONFIG_W1_SLAVE_DS2781 is not set
+# CONFIG_W1_SLAVE_DS28E04 is not set
+CONFIG_W1_SLAVE_DS28E17=3Dm
+# end of 1-wire Slaves
+
+CONFIG_POWER_AVS=3Dy
+CONFIG_ROCKCHIP_IODOMAIN=3Dm
+CONFIG_POWER_RESET=3Dy
+CONFIG_POWER_RESET_AS3722=3Dy
+# CONFIG_POWER_RESET_BRCMKONA is not set
+# CONFIG_POWER_RESET_BRCMSTB is not set
+CONFIG_POWER_RESET_GPIO=3Dy
+CONFIG_POWER_RESET_GPIO_RESTART=3Dy
+# CONFIG_POWER_RESET_LTC2952 is not set
+# CONFIG_POWER_RESET_QNAP is not set
+CONFIG_POWER_RESET_RESTART=3Dy
+# CONFIG_POWER_RESET_VERSATILE is not set
+CONFIG_POWER_RESET_VEXPRESS=3Dy
+CONFIG_POWER_RESET_SYSCON=3Dy
+CONFIG_POWER_RESET_SYSCON_POWEROFF=3Dy
+CONFIG_REBOOT_MODE=3Dm
+# CONFIG_SYSCON_REBOOT_MODE is not set
+CONFIG_NVMEM_REBOOT_MODE=3Dm
+CONFIG_POWER_SUPPLY=3Dy
+# CONFIG_POWER_SUPPLY_DEBUG is not set
+CONFIG_POWER_SUPPLY_HWMON=3Dy
+# CONFIG_PDA_POWER is not set
+# CONFIG_APM_POWER is not set
+# CONFIG_GENERIC_ADC_BATTERY is not set
+# CONFIG_TEST_POWER is not set
+CONFIG_CHARGER_ADP5061=3Dm
+# CONFIG_BATTERY_DS2760 is not set
+# CONFIG_BATTERY_DS2780 is not set
+# CONFIG_BATTERY_DS2781 is not set
+# CONFIG_BATTERY_DS2782 is not set
+# CONFIG_BATTERY_LEGO_EV3 is not set
+CONFIG_BATTERY_SBS=3Dm
+# CONFIG_CHARGER_SBS is not set
+CONFIG_MANAGER_SBS=3Dm
+CONFIG_BATTERY_BQ27XXX=3Dm
+CONFIG_BATTERY_BQ27XXX_I2C=3Dm
+CONFIG_BATTERY_BQ27XXX_HDQ=3Dm
+# CONFIG_BATTERY_BQ27XXX_DT_UPDATES_NVM is not set
+# CONFIG_BATTERY_DA9052 is not set
+CONFIG_CHARGER_AXP20X=3Dm
+CONFIG_BATTERY_AXP20X=3Dm
+CONFIG_AXP20X_POWER=3Dm
+CONFIG_AXP288_FUEL_GAUGE=3Dm
+# CONFIG_BATTERY_MAX17040 is not set
+# CONFIG_BATTERY_MAX17042 is not set
+CONFIG_BATTERY_MAX1721X=3Dm
+CONFIG_BATTERY_TWL4030_MADC=3Dm
+CONFIG_BATTERY_RX51=3Dm
+CONFIG_CHARGER_ISP1704=3Dm
+# CONFIG_CHARGER_MAX8903 is not set
+CONFIG_CHARGER_TWL4030=3Dm
+# CONFIG_CHARGER_LP8727 is not set
+CONFIG_CHARGER_GPIO=3Dm
+# CONFIG_CHARGER_MANAGER is not set
+# CONFIG_CHARGER_LT3651 is not set
+# CONFIG_CHARGER_DETECTOR_MAX14656 is not set
+CONFIG_CHARGER_BQ2415X=3Dm
+# CONFIG_CHARGER_BQ24190 is not set
+# CONFIG_CHARGER_BQ24257 is not set
+# CONFIG_CHARGER_BQ24735 is not set
+# CONFIG_CHARGER_BQ25890 is not set
+# CONFIG_CHARGER_SMB347 is not set
+# CONFIG_BATTERY_GAUGE_LTC2941 is not set
+# CONFIG_CHARGER_RT9455 is not set
+CONFIG_CHARGER_CROS_USBPD=3Dm
+# CONFIG_CHARGER_UCS1002 is not set
+# CONFIG_CHARGER_BD70528 is not set
+CONFIG_HWMON=3Dy
+CONFIG_HWMON_VID=3Dm
+# CONFIG_HWMON_DEBUG_CHIP is not set
+
+#
+# Native drivers
+#
+# CONFIG_SENSORS_AD7314 is not set
+CONFIG_SENSORS_AD7414=3Dm
+CONFIG_SENSORS_AD7418=3Dm
+# CONFIG_SENSORS_ADM1021 is not set
+# CONFIG_SENSORS_ADM1025 is not set
+# CONFIG_SENSORS_ADM1026 is not set
+CONFIG_SENSORS_ADM1029=3Dm
+# CONFIG_SENSORS_ADM1031 is not set
+CONFIG_SENSORS_ADM9240=3Dm
+# CONFIG_SENSORS_ADT7310 is not set
+# CONFIG_SENSORS_ADT7410 is not set
+CONFIG_SENSORS_ADT7411=3Dm
+CONFIG_SENSORS_ADT7462=3Dm
+CONFIG_SENSORS_ADT7470=3Dm
+CONFIG_SENSORS_ADT7475=3Dm
+# CONFIG_SENSORS_AS370 is not set
+CONFIG_SENSORS_ASC7621=3Dm
+CONFIG_SENSORS_ARM_SCMI=3Dm
+# CONFIG_SENSORS_ASPEED is not set
+CONFIG_SENSORS_ATXP1=3Dm
+CONFIG_SENSORS_DS620=3Dm
+# CONFIG_SENSORS_DS1621 is not set
+# CONFIG_SENSORS_DA9052_ADC is not set
+CONFIG_SENSORS_I5K_AMB=3Dm
+# CONFIG_SENSORS_F71805F is not set
+CONFIG_SENSORS_F71882FG=3Dm
+CONFIG_SENSORS_F75375S=3Dm
+CONFIG_SENSORS_MC13783_ADC=3Dm
+CONFIG_SENSORS_FTSTEUTATES=3Dm
+# CONFIG_SENSORS_GL518SM is not set
+# CONFIG_SENSORS_GL520SM is not set
+CONFIG_SENSORS_G760A=3Dm
+CONFIG_SENSORS_G762=3Dm
+CONFIG_SENSORS_GPIO_FAN=3Dm
+# CONFIG_SENSORS_HIH6130 is not set
+# CONFIG_SENSORS_IIO_HWMON is not set
+# CONFIG_SENSORS_IT87 is not set
+CONFIG_SENSORS_JC42=3Dm
+# CONFIG_SENSORS_POWR1220 is not set
+CONFIG_SENSORS_LINEAGE=3Dm
+# CONFIG_SENSORS_LTC2945 is not set
+# CONFIG_SENSORS_LTC2990 is not set
+CONFIG_SENSORS_LTC4151=3Dm
+CONFIG_SENSORS_LTC4215=3Dm
+# CONFIG_SENSORS_LTC4222 is not set
+CONFIG_SENSORS_LTC4245=3Dm
+# CONFIG_SENSORS_LTC4260 is not set
+CONFIG_SENSORS_LTC4261=3Dm
+CONFIG_SENSORS_MAX1111=3Dm
+CONFIG_SENSORS_MAX16065=3Dm
+# CONFIG_SENSORS_MAX1619 is not set
+CONFIG_SENSORS_MAX1668=3Dm
+# CONFIG_SENSORS_MAX197 is not set
+# CONFIG_SENSORS_MAX31722 is not set
+CONFIG_SENSORS_MAX6621=3Dm
+CONFIG_SENSORS_MAX6639=3Dm
+CONFIG_SENSORS_MAX6642=3Dm
+CONFIG_SENSORS_MAX6650=3Dm
+# CONFIG_SENSORS_MAX6697 is not set
+# CONFIG_SENSORS_MAX31790 is not set
+# CONFIG_SENSORS_MCP3021 is not set
+# CONFIG_SENSORS_TC654 is not set
+CONFIG_SENSORS_ADCXX=3Dm
+# CONFIG_SENSORS_LM63 is not set
+CONFIG_SENSORS_LM70=3Dm
+CONFIG_SENSORS_LM73=3Dm
+# CONFIG_SENSORS_LM75 is not set
+# CONFIG_SENSORS_LM77 is not set
+# CONFIG_SENSORS_LM78 is not set
+# CONFIG_SENSORS_LM80 is not set
+# CONFIG_SENSORS_LM83 is not set
+# CONFIG_SENSORS_LM85 is not set
+# CONFIG_SENSORS_LM87 is not set
+# CONFIG_SENSORS_LM90 is not set
+# CONFIG_SENSORS_LM92 is not set
+CONFIG_SENSORS_LM93=3Dm
+# CONFIG_SENSORS_LM95234 is not set
+CONFIG_SENSORS_LM95241=3Dm
+CONFIG_SENSORS_LM95245=3Dm
+# CONFIG_SENSORS_PC87360 is not set
+CONFIG_SENSORS_PC87427=3Dm
+CONFIG_SENSORS_NTC_THERMISTOR=3Dm
+CONFIG_SENSORS_NCT6683=3Dm
+CONFIG_SENSORS_NCT6775=3Dm
+# CONFIG_SENSORS_NCT7802 is not set
+# CONFIG_SENSORS_NCT7904 is not set
+# CONFIG_SENSORS_NPCM7XX is not set
+# CONFIG_SENSORS_OCC_P8_I2C is not set
+# CONFIG_SENSORS_PCF8591 is not set
+# CONFIG_PMBUS is not set
+CONFIG_SENSORS_PWM_FAN=3Dm
+CONFIG_SENSORS_RASPBERRYPI_HWMON=3Dm
+# CONFIG_SENSORS_SHT15 is not set
+CONFIG_SENSORS_SHT21=3Dm
+# CONFIG_SENSORS_SHT3x is not set
+# CONFIG_SENSORS_SHTC1 is not set
+# CONFIG_SENSORS_SIS5595 is not set
+CONFIG_SENSORS_DME1737=3Dm
+CONFIG_SENSORS_EMC1403=3Dm
+CONFIG_SENSORS_EMC2103=3Dm
+CONFIG_SENSORS_EMC6W201=3Dm
+# CONFIG_SENSORS_SMSC47M1 is not set
+CONFIG_SENSORS_SMSC47M192=3Dm
+# CONFIG_SENSORS_SMSC47B397 is not set
+CONFIG_SENSORS_SCH56XX_COMMON=3Dm
+CONFIG_SENSORS_SCH5627=3Dm
+# CONFIG_SENSORS_SCH5636 is not set
+# CONFIG_SENSORS_STTS751 is not set
+CONFIG_SENSORS_SMM665=3Dm
+# CONFIG_SENSORS_ADC128D818 is not set
+CONFIG_SENSORS_ADS7828=3Dm
+CONFIG_SENSORS_ADS7871=3Dm
+CONFIG_SENSORS_AMC6821=3Dm
+# CONFIG_SENSORS_INA209 is not set
+# CONFIG_SENSORS_INA2XX is not set
+# CONFIG_SENSORS_INA3221 is not set
+# CONFIG_SENSORS_TC74 is not set
+CONFIG_SENSORS_THMC50=3Dm
+CONFIG_SENSORS_TMP102=3Dm
+# CONFIG_SENSORS_TMP103 is not set
+# CONFIG_SENSORS_TMP108 is not set
+CONFIG_SENSORS_TMP401=3Dm
+CONFIG_SENSORS_TMP421=3Dm
+# CONFIG_SENSORS_VEXPRESS is not set
+# CONFIG_SENSORS_VIA686A is not set
+CONFIG_SENSORS_VT1211=3Dm
+CONFIG_SENSORS_VT8231=3Dm
+CONFIG_SENSORS_W83773G=3Dm
+# CONFIG_SENSORS_W83781D is not set
+CONFIG_SENSORS_W83791D=3Dm
+CONFIG_SENSORS_W83792D=3Dm
+CONFIG_SENSORS_W83793=3Dm
+CONFIG_SENSORS_W83795=3Dm
+# CONFIG_SENSORS_W83795_FANCTRL is not set
+# CONFIG_SENSORS_W83L785TS is not set
+CONFIG_SENSORS_W83L786NG=3Dm
+# CONFIG_SENSORS_W83627HF is not set
+CONFIG_SENSORS_W83627EHF=3Dm
+CONFIG_THERMAL=3Dy
+# CONFIG_THERMAL_STATISTICS is not set
+CONFIG_THERMAL_EMERGENCY_POWEROFF_DELAY_MS=3D0
+CONFIG_THERMAL_HWMON=3Dy
+CONFIG_THERMAL_OF=3Dy
+# CONFIG_THERMAL_WRITABLE_TRIPS is not set
+CONFIG_THERMAL_DEFAULT_GOV_STEP_WISE=3Dy
+# CONFIG_THERMAL_DEFAULT_GOV_FAIR_SHARE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_USER_SPACE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_POWER_ALLOCATOR is not set
+CONFIG_THERMAL_GOV_FAIR_SHARE=3Dy
+CONFIG_THERMAL_GOV_STEP_WISE=3Dy
+# CONFIG_THERMAL_GOV_BANG_BANG is not set
+# CONFIG_THERMAL_GOV_USER_SPACE is not set
+# CONFIG_THERMAL_GOV_POWER_ALLOCATOR is not set
+CONFIG_CPU_THERMAL=3Dy
+# CONFIG_CLOCK_THERMAL is not set
+# CONFIG_DEVFREQ_THERMAL is not set
+# CONFIG_THERMAL_EMULATION is not set
+# CONFIG_THERMAL_MMIO is not set
+# CONFIG_IMX_THERMAL is not set
+# CONFIG_QORIQ_THERMAL is not set
+CONFIG_ROCKCHIP_THERMAL=3Dm
+CONFIG_ARMADA_THERMAL=3Dy
+
+#
+# Broadcom thermal drivers
+#
+CONFIG_BCM2835_THERMAL=3Dm
+# end of Broadcom thermal drivers
+
+#
+# Texas Instruments thermal drivers
+#
+CONFIG_TI_SOC_THERMAL=3Dm
+CONFIG_TI_THERMAL=3Dy
+# CONFIG_OMAP3_THERMAL is not set
+CONFIG_OMAP4_THERMAL=3Dy
+CONFIG_OMAP5_THERMAL=3Dy
+CONFIG_DRA752_THERMAL=3Dy
+# end of Texas Instruments thermal drivers
+
+#
+# Samsung thermal drivers
+#
+CONFIG_EXYNOS_THERMAL=3Dy
+# end of Samsung thermal drivers
+
+#
+# NVIDIA Tegra thermal drivers
+#
+CONFIG_TEGRA_SOCTHERM=3Dy
+# end of NVIDIA Tegra thermal drivers
+
+# CONFIG_GENERIC_ADC_THERMAL is not set
+CONFIG_WATCHDOG=3Dy
+CONFIG_WATCHDOG_CORE=3Dy
+# CONFIG_WATCHDOG_NOWAYOUT is not set
+CONFIG_WATCHDOG_HANDLE_BOOT_ENABLED=3Dy
+CONFIG_WATCHDOG_OPEN_TIMEOUT=3D0
+CONFIG_WATCHDOG_SYSFS=3Dy
+
+#
+# Watchdog Pretimeout Governors
+#
+# CONFIG_WATCHDOG_PRETIMEOUT_GOV is not set
+
+#
+# Watchdog Device Drivers
+#
+CONFIG_SOFT_WATCHDOG=3Dm
+CONFIG_BD70528_WATCHDOG=3Dm
+CONFIG_DA9052_WATCHDOG=3Dm
+# CONFIG_GPIO_WATCHDOG is not set
+# CONFIG_XILINX_WATCHDOG is not set
+# CONFIG_ZIIRAVE_WATCHDOG is not set
+CONFIG_ARM_SP805_WATCHDOG=3Dm
+# CONFIG_ARMADA_37XX_WATCHDOG is not set
+# CONFIG_CADENCE_WATCHDOG is not set
+CONFIG_FTWDT010_WATCHDOG=3Dm
+CONFIG_HAVE_S3C2410_WATCHDOG=3Dy
+CONFIG_S3C2410_WATCHDOG=3Dm
+CONFIG_DW_WATCHDOG=3Dm
+CONFIG_OMAP_WATCHDOG=3Dm
+CONFIG_ORION_WATCHDOG=3Dm
+CONFIG_SUNXI_WATCHDOG=3Dm
+CONFIG_TWL4030_WATCHDOG=3Dm
+# CONFIG_TS4800_WATCHDOG is not set
+# CONFIG_MAX63XX_WATCHDOG is not set
+CONFIG_IMX2_WDT=3Dm
+CONFIG_IMX7ULP_WDT=3Dm
+CONFIG_TEGRA_WATCHDOG=3Dm
+# CONFIG_ALIM7101_WDT is not set
+# CONFIG_I6300ESB_WDT is not set
+CONFIG_BCM2835_WDT=3Dm
+# CONFIG_MEN_A21_WDT is not set
+CONFIG_XEN_WDT=3Dm
+
+#
+# PCI-based Watchdog Cards
+#
+# CONFIG_PCIPCWATCHDOG is not set
+# CONFIG_WDTPCI is not set
+
+#
+# USB-based Watchdog Cards
+#
+# CONFIG_USBPCWATCHDOG is not set
+CONFIG_SSB_POSSIBLE=3Dy
+CONFIG_SSB=3Dm
+CONFIG_SSB_SPROM=3Dy
+CONFIG_SSB_BLOCKIO=3Dy
+CONFIG_SSB_PCIHOST_POSSIBLE=3Dy
+CONFIG_SSB_PCIHOST=3Dy
+CONFIG_SSB_B43_PCI_BRIDGE=3Dy
+CONFIG_SSB_SDIOHOST_POSSIBLE=3Dy
+CONFIG_SSB_SDIOHOST=3Dy
+CONFIG_SSB_DRIVER_PCICORE_POSSIBLE=3Dy
+CONFIG_SSB_DRIVER_PCICORE=3Dy
+# CONFIG_SSB_DRIVER_GPIO is not set
+CONFIG_BCMA_POSSIBLE=3Dy
+CONFIG_BCMA=3Dm
+CONFIG_BCMA_BLOCKIO=3Dy
+CONFIG_BCMA_HOST_PCI_POSSIBLE=3Dy
+CONFIG_BCMA_HOST_PCI=3Dy
+# CONFIG_BCMA_HOST_SOC is not set
+CONFIG_BCMA_DRIVER_PCI=3Dy
+# CONFIG_BCMA_DRIVER_GMAC_CMN is not set
+# CONFIG_BCMA_DRIVER_GPIO is not set
+# CONFIG_BCMA_DEBUG is not set
+
+#
+# Multifunction device drivers
+#
+CONFIG_MFD_CORE=3Dy
+# CONFIG_MFD_ALTERA_A10SR is not set
+# CONFIG_MFD_ALTERA_SYSMGR is not set
+# CONFIG_MFD_ACT8945A is not set
+# CONFIG_MFD_SUN4I_GPADC is not set
+# CONFIG_MFD_AS3711 is not set
+CONFIG_MFD_AS3722=3Dy
+# CONFIG_PMIC_ADP5520 is not set
+# CONFIG_MFD_AAT2870_CORE is not set
+# CONFIG_MFD_ATMEL_FLEXCOM is not set
+# CONFIG_MFD_ATMEL_HLCDC is not set
+# CONFIG_MFD_BCM590XX is not set
+CONFIG_MFD_BD9571MWV=3Dm
+# CONFIG_MFD_AC100 is not set
+CONFIG_MFD_AXP20X=3Dy
+CONFIG_MFD_AXP20X_I2C=3Dy
+# CONFIG_MFD_AXP20X_RSB is not set
+CONFIG_MFD_CROS_EC_DEV=3Dm
+CONFIG_MFD_MADERA=3Dm
+CONFIG_MFD_MADERA_I2C=3Dm
+CONFIG_MFD_MADERA_SPI=3Dm
+# CONFIG_MFD_CS47L15 is not set
+# CONFIG_MFD_CS47L35 is not set
+# CONFIG_MFD_CS47L85 is not set
+# CONFIG_MFD_CS47L90 is not set
+# CONFIG_MFD_CS47L92 is not set
+# CONFIG_MFD_ASIC3 is not set
+# CONFIG_PMIC_DA903X is not set
+CONFIG_PMIC_DA9052=3Dy
+CONFIG_MFD_DA9052_SPI=3Dy
+CONFIG_MFD_DA9052_I2C=3Dy
+# CONFIG_MFD_DA9055 is not set
+# CONFIG_MFD_DA9062 is not set
+# CONFIG_MFD_DA9063 is not set
+# CONFIG_MFD_DA9150 is not set
+# CONFIG_MFD_DLN2 is not set
+# CONFIG_MFD_EXYNOS_LPASS is not set
+CONFIG_MFD_MC13XXX=3Dm
+CONFIG_MFD_MC13XXX_SPI=3Dm
+CONFIG_MFD_MC13XXX_I2C=3Dm
+# CONFIG_MFD_HI6421_PMIC is not set
+# CONFIG_HTC_PASIC3 is not set
+# CONFIG_HTC_I2CPLD is not set
+# CONFIG_LPC_ICH is not set
+CONFIG_LPC_SCH=3Dm
+# CONFIG_MFD_JANZ_CMODIO is not set
+# CONFIG_MFD_KEMPLD is not set
+# CONFIG_MFD_88PM800 is not set
+# CONFIG_MFD_88PM805 is not set
+# CONFIG_MFD_88PM860X is not set
+# CONFIG_MFD_MAX14577 is not set
+# CONFIG_MFD_MAX77620 is not set
+# CONFIG_MFD_MAX77650 is not set
+CONFIG_MFD_MAX77686=3Dy
+# CONFIG_MFD_MAX77693 is not set
+# CONFIG_MFD_MAX77843 is not set
+# CONFIG_MFD_MAX8907 is not set
+# CONFIG_MFD_MAX8925 is not set
+# CONFIG_MFD_MAX8997 is not set
+# CONFIG_MFD_MAX8998 is not set
+# CONFIG_MFD_MT6397 is not set
+# CONFIG_MFD_MENF21BMC is not set
+# CONFIG_EZX_PCAP is not set
+# CONFIG_MFD_CPCAP is not set
+CONFIG_MFD_VIPERBOARD=3Dm
+# CONFIG_MFD_RETU is not set
+# CONFIG_MFD_PCF50633 is not set
+# CONFIG_UCB1400_CORE is not set
+# CONFIG_MFD_PM8XXX is not set
+# CONFIG_MFD_RDC321X is not set
+# CONFIG_MFD_RT5033 is not set
+# CONFIG_MFD_RC5T583 is not set
+CONFIG_MFD_RK808=3Dy
+# CONFIG_MFD_RN5T618 is not set
+CONFIG_MFD_SEC_CORE=3Dy
+# CONFIG_MFD_SI476X_CORE is not set
+# CONFIG_MFD_SM501 is not set
+# CONFIG_MFD_SKY81452 is not set
+# CONFIG_MFD_SMSC is not set
+# CONFIG_ABX500_CORE is not set
+CONFIG_MFD_STMPE=3Dy
+
+#
+# STMicroelectronics STMPE Interface Drivers
+#
+CONFIG_STMPE_I2C=3Dy
+# CONFIG_STMPE_SPI is not set
+# end of STMicroelectronics STMPE Interface Drivers
+
+CONFIG_MFD_SUN6I_PRCM=3Dy
+CONFIG_MFD_SYSCON=3Dy
+CONFIG_MFD_TI_AM335X_TSCADC=3Dm
+# CONFIG_MFD_LP3943 is not set
+# CONFIG_MFD_LP8788 is not set
+# CONFIG_MFD_TI_LMU is not set
+CONFIG_MFD_OMAP_USB_HOST=3Dy
+CONFIG_MFD_PALMAS=3Dy
+# CONFIG_TPS6105X is not set
+# CONFIG_TPS65010 is not set
+# CONFIG_TPS6507X is not set
+# CONFIG_MFD_TPS65086 is not set
+# CONFIG_MFD_TPS65090 is not set
+# CONFIG_MFD_TPS65217 is not set
+# CONFIG_MFD_TI_LP873X is not set
+# CONFIG_MFD_TI_LP87565 is not set
+# CONFIG_MFD_TPS65218 is not set
+# CONFIG_MFD_TPS6586X is not set
+# CONFIG_MFD_TPS65910 is not set
+# CONFIG_MFD_TPS65912_I2C is not set
+# CONFIG_MFD_TPS65912_SPI is not set
+# CONFIG_MFD_TPS80031 is not set
+CONFIG_TWL4030_CORE=3Dy
+CONFIG_TWL4030_POWER=3Dy
+CONFIG_MFD_TWL4030_AUDIO=3Dy
+CONFIG_TWL6040_CORE=3Dy
+# CONFIG_MFD_WL1273_CORE is not set
+# CONFIG_MFD_LM3533 is not set
+# CONFIG_MFD_TC3589X is not set
+# CONFIG_MFD_T7L66XB is not set
+# CONFIG_MFD_TC6387XB is not set
+# CONFIG_MFD_TC6393XB is not set
+# CONFIG_MFD_TQMX86 is not set
+# CONFIG_MFD_VX855 is not set
+# CONFIG_MFD_LOCHNAGAR is not set
+# CONFIG_MFD_ARIZONA_I2C is not set
+# CONFIG_MFD_ARIZONA_SPI is not set
+# CONFIG_MFD_WM8400 is not set
+# CONFIG_MFD_WM831X_I2C is not set
+# CONFIG_MFD_WM831X_SPI is not set
+# CONFIG_MFD_WM8350_I2C is not set
+# CONFIG_MFD_WM8994 is not set
+CONFIG_MFD_ROHM_BD718XX=3Dm
+CONFIG_MFD_ROHM_BD70528=3Dm
+# CONFIG_MFD_STPMIC1 is not set
+# CONFIG_MFD_STMFX is not set
+CONFIG_MFD_VEXPRESS_SYSREG=3Dy
+# end of Multifunction device drivers
+
+CONFIG_REGULATOR=3Dy
+# CONFIG_REGULATOR_DEBUG is not set
+CONFIG_REGULATOR_FIXED_VOLTAGE=3Dy
+# CONFIG_REGULATOR_VIRTUAL_CONSUMER is not set
+# CONFIG_REGULATOR_USERSPACE_CONSUMER is not set
+# CONFIG_REGULATOR_88PG86X is not set
+CONFIG_REGULATOR_ACT8865=3Dm
+# CONFIG_REGULATOR_AD5398 is not set
+CONFIG_REGULATOR_ANATOP=3Dm
+CONFIG_REGULATOR_ARIZONA_LDO1=3Dm
+CONFIG_REGULATOR_ARIZONA_MICSUPP=3Dm
+CONFIG_REGULATOR_AS3722=3Dy
+CONFIG_REGULATOR_AXP20X=3Dm
+CONFIG_REGULATOR_BD70528=3Dm
+CONFIG_REGULATOR_BD718XX=3Dm
+CONFIG_REGULATOR_BD9571MWV=3Dm
+CONFIG_REGULATOR_DA9052=3Dm
+# CONFIG_REGULATOR_DA9210 is not set
+# CONFIG_REGULATOR_DA9211 is not set
+CONFIG_REGULATOR_FAN53555=3Dm
+CONFIG_REGULATOR_GPIO=3Dm
+# CONFIG_REGULATOR_ISL9305 is not set
+# CONFIG_REGULATOR_ISL6271A is not set
+# CONFIG_REGULATOR_LP3971 is not set
+# CONFIG_REGULATOR_LP3972 is not set
+# CONFIG_REGULATOR_LP872X is not set
+# CONFIG_REGULATOR_LP8755 is not set
+# CONFIG_REGULATOR_LTC3589 is not set
+# CONFIG_REGULATOR_LTC3676 is not set
+# CONFIG_REGULATOR_MAX1586 is not set
+# CONFIG_REGULATOR_MAX8649 is not set
+# CONFIG_REGULATOR_MAX8660 is not set
+# CONFIG_REGULATOR_MAX8952 is not set
+# CONFIG_REGULATOR_MAX8973 is not set
+CONFIG_REGULATOR_MAX77686=3Dm
+# CONFIG_REGULATOR_MAX77802 is not set
+CONFIG_REGULATOR_MC13XXX_CORE=3Dm
+CONFIG_REGULATOR_MC13783=3Dm
+CONFIG_REGULATOR_MC13892=3Dm
+# CONFIG_REGULATOR_MCP16502 is not set
+# CONFIG_REGULATOR_MT6311 is not set
+CONFIG_REGULATOR_PALMAS=3Dy
+CONFIG_REGULATOR_PBIAS=3Dm
+CONFIG_REGULATOR_PFUZE100=3Dm
+# CONFIG_REGULATOR_PV88060 is not set
+# CONFIG_REGULATOR_PV88080 is not set
+# CONFIG_REGULATOR_PV88090 is not set
+# CONFIG_REGULATOR_PWM is not set
+CONFIG_REGULATOR_RK808=3Dm
+CONFIG_REGULATOR_S2MPA01=3Dm
+CONFIG_REGULATOR_S2MPS11=3Dm
+CONFIG_REGULATOR_S5M8767=3Dm
+CONFIG_REGULATOR_SLG51000=3Dm
+CONFIG_REGULATOR_TI_ABB=3Dm
+CONFIG_REGULATOR_SY8106A=3Dm
+CONFIG_REGULATOR_SY8824X=3Dm
+# CONFIG_REGULATOR_TPS51632 is not set
+# CONFIG_REGULATOR_TPS62360 is not set
+# CONFIG_REGULATOR_TPS65023 is not set
+# CONFIG_REGULATOR_TPS6507X is not set
+# CONFIG_REGULATOR_TPS65132 is not set
+# CONFIG_REGULATOR_TPS6524X is not set
+CONFIG_REGULATOR_TWL4030=3Dy
+# CONFIG_REGULATOR_VCTRL is not set
+CONFIG_REGULATOR_VEXPRESS=3Dm
+CONFIG_CEC_CORE=3Dm
+CONFIG_CEC_NOTIFIER=3Dy
+CONFIG_RC_CORE=3Dy
+CONFIG_RC_MAP=3Dm
+CONFIG_LIRC=3Dy
+# CONFIG_BPF_LIRC_MODE2 is not set
+CONFIG_RC_DECODERS=3Dy
+CONFIG_IR_NEC_DECODER=3Dm
+CONFIG_IR_RC5_DECODER=3Dm
+CONFIG_IR_RC6_DECODER=3Dm
+CONFIG_IR_JVC_DECODER=3Dm
+CONFIG_IR_SONY_DECODER=3Dm
+CONFIG_IR_SANYO_DECODER=3Dm
+CONFIG_IR_SHARP_DECODER=3Dm
+CONFIG_IR_MCE_KBD_DECODER=3Dm
+CONFIG_IR_XMP_DECODER=3Dm
+CONFIG_IR_IMON_DECODER=3Dm
+CONFIG_IR_RCMM_DECODER=3Dm
+CONFIG_RC_DEVICES=3Dy
+CONFIG_RC_ATI_REMOTE=3Dm
+# CONFIG_IR_HIX5HD2 is not set
+CONFIG_IR_IMON=3Dm
+CONFIG_IR_IMON_RAW=3Dm
+CONFIG_IR_MCEUSB=3Dm
+CONFIG_IR_REDRAT3=3Dm
+# CONFIG_IR_SPI is not set
+CONFIG_IR_STREAMZAP=3Dm
+CONFIG_IR_IGORPLUGUSB=3Dm
+CONFIG_IR_IGUANA=3Dm
+CONFIG_IR_TTUSBIR=3Dm
+# CONFIG_IR_RX51 is not set
+CONFIG_RC_LOOPBACK=3Dm
+CONFIG_IR_GPIO_CIR=3Dm
+CONFIG_IR_GPIO_TX=3Dm
+CONFIG_IR_PWM_TX=3Dm
+CONFIG_IR_SUNXI=3Dm
+# CONFIG_IR_SERIAL is not set
+# CONFIG_IR_SIR is not set
+CONFIG_RC_XBOX_DVD=3Dm
+CONFIG_MEDIA_SUPPORT=3Dy
+
+#
+# Multimedia core support
+#
+CONFIG_MEDIA_CAMERA_SUPPORT=3Dy
+CONFIG_MEDIA_ANALOG_TV_SUPPORT=3Dy
+CONFIG_MEDIA_DIGITAL_TV_SUPPORT=3Dy
+CONFIG_MEDIA_RADIO_SUPPORT=3Dy
+CONFIG_MEDIA_SDR_SUPPORT=3Dy
+CONFIG_MEDIA_CEC_SUPPORT=3Dy
+# CONFIG_MEDIA_CEC_RC is not set
+CONFIG_MEDIA_CONTROLLER=3Dy
+CONFIG_MEDIA_CONTROLLER_DVB=3Dy
+CONFIG_VIDEO_DEV=3Dy
+CONFIG_VIDEO_V4L2_SUBDEV_API=3Dy
+CONFIG_VIDEO_V4L2=3Dy
+CONFIG_VIDEO_V4L2_I2C=3Dy
+# CONFIG_VIDEO_ADV_DEBUG is not set
+# CONFIG_VIDEO_FIXED_MINOR_RANGES is not set
+CONFIG_VIDEO_TUNER=3Dm
+CONFIG_V4L2_MEM2MEM_DEV=3Dm
+CONFIG_V4L2_FWNODE=3Dm
+CONFIG_VIDEOBUF_GEN=3Dm
+CONFIG_VIDEOBUF_DMA_SG=3Dm
+CONFIG_VIDEOBUF_VMALLOC=3Dm
+CONFIG_DVB_CORE=3Dy
+# CONFIG_DVB_MMAP is not set
+CONFIG_DVB_NET=3Dy
+CONFIG_TTPCI_EEPROM=3Dm
+CONFIG_DVB_MAX_ADAPTERS=3D8
+CONFIG_DVB_DYNAMIC_MINORS=3Dy
+# CONFIG_DVB_DEMUX_SECTION_LOSS_LOG is not set
+# CONFIG_DVB_ULE_DEBUG is not set
+
+#
+# Media drivers
+#
+CONFIG_MEDIA_USB_SUPPORT=3Dy
+
+#
+# Webcam devices
+#
+CONFIG_USB_VIDEO_CLASS=3Dm
+CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=3Dy
+CONFIG_USB_GSPCA=3Dm
+CONFIG_USB_M5602=3Dm
+CONFIG_USB_STV06XX=3Dm
+CONFIG_USB_GL860=3Dm
+CONFIG_USB_GSPCA_BENQ=3Dm
+CONFIG_USB_GSPCA_CONEX=3Dm
+CONFIG_USB_GSPCA_CPIA1=3Dm
+CONFIG_USB_GSPCA_DTCS033=3Dm
+CONFIG_USB_GSPCA_ETOMS=3Dm
+CONFIG_USB_GSPCA_FINEPIX=3Dm
+CONFIG_USB_GSPCA_JEILINJ=3Dm
+CONFIG_USB_GSPCA_JL2005BCD=3Dm
+CONFIG_USB_GSPCA_KINECT=3Dm
+CONFIG_USB_GSPCA_KONICA=3Dm
+CONFIG_USB_GSPCA_MARS=3Dm
+CONFIG_USB_GSPCA_MR97310A=3Dm
+CONFIG_USB_GSPCA_NW80X=3Dm
+CONFIG_USB_GSPCA_OV519=3Dm
+CONFIG_USB_GSPCA_OV534=3Dm
+CONFIG_USB_GSPCA_OV534_9=3Dm
+CONFIG_USB_GSPCA_PAC207=3Dm
+CONFIG_USB_GSPCA_PAC7302=3Dm
+CONFIG_USB_GSPCA_PAC7311=3Dm
+CONFIG_USB_GSPCA_SE401=3Dm
+CONFIG_USB_GSPCA_SN9C2028=3Dm
+CONFIG_USB_GSPCA_SN9C20X=3Dm
+CONFIG_USB_GSPCA_SONIXB=3Dm
+CONFIG_USB_GSPCA_SONIXJ=3Dm
+CONFIG_USB_GSPCA_SPCA500=3Dm
+CONFIG_USB_GSPCA_SPCA501=3Dm
+CONFIG_USB_GSPCA_SPCA505=3Dm
+CONFIG_USB_GSPCA_SPCA506=3Dm
+CONFIG_USB_GSPCA_SPCA508=3Dm
+CONFIG_USB_GSPCA_SPCA561=3Dm
+CONFIG_USB_GSPCA_SPCA1528=3Dm
+CONFIG_USB_GSPCA_SQ905=3Dm
+CONFIG_USB_GSPCA_SQ905C=3Dm
+CONFIG_USB_GSPCA_SQ930X=3Dm
+CONFIG_USB_GSPCA_STK014=3Dm
+CONFIG_USB_GSPCA_STK1135=3Dm
+CONFIG_USB_GSPCA_STV0680=3Dm
+CONFIG_USB_GSPCA_SUNPLUS=3Dm
+CONFIG_USB_GSPCA_T613=3Dm
+CONFIG_USB_GSPCA_TOPRO=3Dm
+CONFIG_USB_GSPCA_TOUPTEK=3Dm
+CONFIG_USB_GSPCA_TV8532=3Dm
+CONFIG_USB_GSPCA_VC032X=3Dm
+CONFIG_USB_GSPCA_VICAM=3Dm
+CONFIG_USB_GSPCA_XIRLINK_CIT=3Dm
+CONFIG_USB_GSPCA_ZC3XX=3Dm
+CONFIG_USB_PWC=3Dm
+# CONFIG_USB_PWC_DEBUG is not set
+CONFIG_USB_PWC_INPUT_EVDEV=3Dy
+CONFIG_VIDEO_CPIA2=3Dm
+CONFIG_USB_ZR364XX=3Dm
+CONFIG_USB_STKWEBCAM=3Dm
+CONFIG_USB_S2255=3Dm
+CONFIG_VIDEO_USBTV=3Dm
+
+#
+# Analog TV USB devices
+#
+CONFIG_VIDEO_PVRUSB2=3Dm
+CONFIG_VIDEO_PVRUSB2_SYSFS=3Dy
+CONFIG_VIDEO_PVRUSB2_DVB=3Dy
+# CONFIG_VIDEO_PVRUSB2_DEBUGIFC is not set
+CONFIG_VIDEO_HDPVR=3Dm
+CONFIG_VIDEO_USBVISION=3Dm
+CONFIG_VIDEO_STK1160_COMMON=3Dm
+CONFIG_VIDEO_STK1160=3Dm
+CONFIG_VIDEO_GO7007=3Dm
+CONFIG_VIDEO_GO7007_USB=3Dm
+CONFIG_VIDEO_GO7007_LOADER=3Dm
+CONFIG_VIDEO_GO7007_USB_S2250_BOARD=3Dm
+
+#
+# Analog/digital TV USB devices
+#
+CONFIG_VIDEO_AU0828=3Dm
+CONFIG_VIDEO_AU0828_V4L2=3Dy
+CONFIG_VIDEO_AU0828_RC=3Dy
+CONFIG_VIDEO_CX231XX=3Dm
+CONFIG_VIDEO_CX231XX_RC=3Dy
+CONFIG_VIDEO_CX231XX_ALSA=3Dm
+CONFIG_VIDEO_CX231XX_DVB=3Dm
+# CONFIG_VIDEO_TM6000 is not set
+
+#
+# Digital TV USB devices
+#
+CONFIG_DVB_USB=3Dm
+# CONFIG_DVB_USB_DEBUG is not set
+CONFIG_DVB_USB_DIB3000MC=3Dm
+CONFIG_DVB_USB_A800=3Dm
+CONFIG_DVB_USB_DIBUSB_MB=3Dm
+CONFIG_DVB_USB_DIBUSB_MB_FAULTY=3Dy
+CONFIG_DVB_USB_DIBUSB_MC=3Dm
+CONFIG_DVB_USB_DIB0700=3Dm
+CONFIG_DVB_USB_UMT_010=3Dm
+CONFIG_DVB_USB_CXUSB=3Dm
+CONFIG_DVB_USB_CXUSB_ANALOG=3Dy
+CONFIG_DVB_USB_M920X=3Dm
+CONFIG_DVB_USB_DIGITV=3Dm
+CONFIG_DVB_USB_VP7045=3Dm
+CONFIG_DVB_USB_VP702X=3Dm
+CONFIG_DVB_USB_GP8PSK=3Dm
+CONFIG_DVB_USB_NOVA_T_USB2=3Dm
+CONFIG_DVB_USB_TTUSB2=3Dm
+CONFIG_DVB_USB_DTT200U=3Dm
+CONFIG_DVB_USB_OPERA1=3Dm
+CONFIG_DVB_USB_AF9005=3Dm
+CONFIG_DVB_USB_AF9005_REMOTE=3Dm
+CONFIG_DVB_USB_PCTV452E=3Dm
+CONFIG_DVB_USB_DW2102=3Dm
+CONFIG_DVB_USB_CINERGY_T2=3Dm
+CONFIG_DVB_USB_DTV5100=3Dm
+CONFIG_DVB_USB_AZ6027=3Dm
+CONFIG_DVB_USB_TECHNISAT_USB2=3Dm
+CONFIG_DVB_USB_V2=3Dm
+CONFIG_DVB_USB_AF9015=3Dm
+CONFIG_DVB_USB_AF9035=3Dm
+CONFIG_DVB_USB_ANYSEE=3Dm
+CONFIG_DVB_USB_AU6610=3Dm
+CONFIG_DVB_USB_AZ6007=3Dm
+CONFIG_DVB_USB_CE6230=3Dm
+CONFIG_DVB_USB_EC168=3Dm
+CONFIG_DVB_USB_GL861=3Dm
+CONFIG_DVB_USB_LME2510=3Dm
+CONFIG_DVB_USB_MXL111SF=3Dm
+CONFIG_DVB_USB_RTL28XXU=3Dm
+CONFIG_DVB_USB_DVBSKY=3Dm
+# CONFIG_DVB_USB_ZD1301 is not set
+CONFIG_DVB_TTUSB_BUDGET=3Dm
+CONFIG_DVB_TTUSB_DEC=3Dm
+CONFIG_SMS_USB_DRV=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_USB=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_USB_DEBUG is not set
+CONFIG_DVB_AS102=3Dm
+
+#
+# Webcam, TV (analog/digital) USB devices
+#
+CONFIG_VIDEO_EM28XX=3Dm
+CONFIG_VIDEO_EM28XX_V4L2=3Dm
+CONFIG_VIDEO_EM28XX_ALSA=3Dm
+CONFIG_VIDEO_EM28XX_DVB=3Dm
+CONFIG_VIDEO_EM28XX_RC=3Dm
+
+#
+# Software defined radio USB devices
+#
+CONFIG_USB_AIRSPY=3Dm
+CONFIG_USB_HACKRF=3Dm
+CONFIG_USB_MSI2500=3Dm
+
+#
+# USB HDMI CEC adapters
+#
+CONFIG_USB_PULSE8_CEC=3Dm
+CONFIG_USB_RAINSHADOW_CEC=3Dm
+CONFIG_MEDIA_PCI_SUPPORT=3Dy
+
+#
+# Media capture support
+#
+CONFIG_VIDEO_SOLO6X10=3Dm
+CONFIG_VIDEO_TW5864=3Dm
+CONFIG_VIDEO_TW68=3Dm
+CONFIG_VIDEO_TW686X=3Dm
+
+#
+# Media capture/analog TV support
+#
+CONFIG_VIDEO_IVTV=3Dm
+# CONFIG_VIDEO_IVTV_DEPRECATED_IOCTLS is not set
+CONFIG_VIDEO_IVTV_ALSA=3Dm
+CONFIG_VIDEO_FB_IVTV=3Dm
+CONFIG_VIDEO_HEXIUM_GEMINI=3Dm
+CONFIG_VIDEO_HEXIUM_ORION=3Dm
+CONFIG_VIDEO_MXB=3Dm
+CONFIG_VIDEO_DT3155=3Dm
+
+#
+# Media capture/analog/hybrid TV support
+#
+CONFIG_VIDEO_CX18=3Dm
+CONFIG_VIDEO_CX18_ALSA=3Dm
+CONFIG_VIDEO_CX23885=3Dm
+CONFIG_MEDIA_ALTERA_CI=3Dm
+# CONFIG_VIDEO_CX25821 is not set
+CONFIG_VIDEO_CX88=3Dm
+CONFIG_VIDEO_CX88_ALSA=3Dm
+CONFIG_VIDEO_CX88_BLACKBIRD=3Dm
+CONFIG_VIDEO_CX88_DVB=3Dm
+CONFIG_VIDEO_CX88_ENABLE_VP3054=3Dy
+CONFIG_VIDEO_CX88_VP3054=3Dm
+CONFIG_VIDEO_CX88_MPEG=3Dm
+CONFIG_VIDEO_BT848=3Dm
+CONFIG_DVB_BT8XX=3Dm
+CONFIG_VIDEO_SAA7134=3Dm
+CONFIG_VIDEO_SAA7134_ALSA=3Dm
+CONFIG_VIDEO_SAA7134_RC=3Dy
+CONFIG_VIDEO_SAA7134_DVB=3Dm
+# CONFIG_VIDEO_SAA7134_GO7007 is not set
+CONFIG_VIDEO_SAA7164=3Dm
+CONFIG_VIDEO_COBALT=3Dm
+
+#
+# Media digital TV PCI Adapters
+#
+CONFIG_DVB_AV7110_IR=3Dy
+CONFIG_DVB_AV7110=3Dm
+CONFIG_DVB_AV7110_OSD=3Dy
+CONFIG_DVB_BUDGET_CORE=3Dm
+CONFIG_DVB_BUDGET=3Dm
+CONFIG_DVB_BUDGET_CI=3Dm
+CONFIG_DVB_BUDGET_AV=3Dm
+CONFIG_DVB_BUDGET_PATCH=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_PCI=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_PCI_DEBUG is not set
+CONFIG_DVB_PLUTO2=3Dm
+CONFIG_DVB_DM1105=3Dm
+CONFIG_DVB_PT1=3Dm
+CONFIG_DVB_PT3=3Dm
+CONFIG_MANTIS_CORE=3Dm
+CONFIG_DVB_MANTIS=3Dm
+CONFIG_DVB_HOPPER=3Dm
+CONFIG_DVB_NGENE=3Dm
+CONFIG_DVB_DDBRIDGE=3Dm
+# CONFIG_DVB_DDBRIDGE_MSIENABLE is not set
+CONFIG_DVB_SMIPCIE=3Dm
+CONFIG_DVB_NETUP_UNIDVB=3Dm
+CONFIG_V4L_PLATFORM_DRIVERS=3Dy
+CONFIG_VIDEO_CAFE_CCIC=3Dm
+CONFIG_VIDEO_CADENCE=3Dy
+CONFIG_VIDEO_CADENCE_CSI2RX=3Dm
+CONFIG_VIDEO_CADENCE_CSI2TX=3Dm
+CONFIG_VIDEO_ASPEED=3Dm
+# CONFIG_VIDEO_MUX is not set
+CONFIG_VIDEO_OMAP3=3Dm
+# CONFIG_VIDEO_OMAP3_DEBUG is not set
+# CONFIG_VIDEO_SAMSUNG_EXYNOS4_IS is not set
+# CONFIG_VIDEO_XILINX is not set
+# CONFIG_VIDEO_SUN4I_CSI is not set
+CONFIG_VIDEO_SUN6I_CSI=3Dm
+# CONFIG_VIDEO_TI_CAL is not set
+CONFIG_V4L_MEM2MEM_DRIVERS=3Dy
+# CONFIG_VIDEO_CODA is not set
+CONFIG_VIDEO_IMX_PXP=3Dm
+# CONFIG_VIDEO_MEM2MEM_DEINTERLACE is not set
+# CONFIG_VIDEO_SAMSUNG_S5P_G2D is not set
+# CONFIG_VIDEO_SAMSUNG_S5P_JPEG is not set
+# CONFIG_VIDEO_SAMSUNG_S5P_MFC is not set
+# CONFIG_VIDEO_SAMSUNG_EXYNOS_GSC is not set
+# CONFIG_VIDEO_SH_VEU is not set
+CONFIG_VIDEO_ROCKCHIP_RGA=3Dm
+CONFIG_VIDEO_TI_VPE=3Dm
+# CONFIG_VIDEO_TI_VPE_DEBUG is not set
+CONFIG_VIDEO_TI_VPDMA=3Dm
+CONFIG_VIDEO_TI_SC=3Dm
+CONFIG_VIDEO_TI_CSC=3Dm
+CONFIG_V4L_TEST_DRIVERS=3Dy
+# CONFIG_VIDEO_VIMC is not set
+CONFIG_VIDEO_VIVID=3Dm
+CONFIG_VIDEO_VIVID_CEC=3Dy
+CONFIG_VIDEO_VIVID_MAX_DEVS=3D64
+# CONFIG_VIDEO_VIM2M is not set
+# CONFIG_VIDEO_VICODEC is not set
+# CONFIG_DVB_PLATFORM_DRIVERS is not set
+# CONFIG_CEC_PLATFORM_DRIVERS is not set
+# CONFIG_SDR_PLATFORM_DRIVERS is not set
+
+#
+# Supported MMC/SDIO adapters
+#
+CONFIG_SMS_SDIO_DRV=3Dm
+CONFIG_RADIO_ADAPTERS=3Dy
+CONFIG_RADIO_TEA575X=3Dm
+CONFIG_RADIO_SI470X=3Dy
+CONFIG_USB_SI470X=3Dm
+# CONFIG_I2C_SI470X is not set
+CONFIG_RADIO_SI4713=3Dm
+# CONFIG_USB_SI4713 is not set
+# CONFIG_PLATFORM_SI4713 is not set
+CONFIG_I2C_SI4713=3Dm
+CONFIG_USB_MR800=3Dm
+# CONFIG_USB_DSBR is not set
+# CONFIG_RADIO_MAXIRADIO is not set
+CONFIG_RADIO_SHARK=3Dm
+CONFIG_RADIO_SHARK2=3Dm
+CONFIG_USB_KEENE=3Dm
+CONFIG_USB_RAREMONO=3Dm
+CONFIG_USB_MA901=3Dm
+# CONFIG_RADIO_TEA5764 is not set
+# CONFIG_RADIO_SAA7706H is not set
+# CONFIG_RADIO_TEF6862 is not set
+# CONFIG_RADIO_WL1273 is not set
+
+#
+# Texas Instruments WL128x FM driver (ST based)
+#
+CONFIG_RADIO_WL128X=3Dm
+# end of Texas Instruments WL128x FM driver (ST based)
+
+#
+# Supported FireWire (IEEE 1394) Adapters
+#
+CONFIG_DVB_FIREDTV=3Dm
+CONFIG_DVB_FIREDTV_INPUT=3Dy
+CONFIG_MEDIA_COMMON_OPTIONS=3Dy
+
+#
+# common driver options
+#
+CONFIG_VIDEO_CX2341X=3Dm
+CONFIG_VIDEO_TVEEPROM=3Dm
+CONFIG_CYPRESS_FIRMWARE=3Dm
+CONFIG_VIDEOBUF2_CORE=3Dm
+CONFIG_VIDEOBUF2_V4L2=3Dm
+CONFIG_VIDEOBUF2_MEMOPS=3Dm
+CONFIG_VIDEOBUF2_DMA_CONTIG=3Dm
+CONFIG_VIDEOBUF2_VMALLOC=3Dm
+CONFIG_VIDEOBUF2_DMA_SG=3Dm
+CONFIG_VIDEOBUF2_DVB=3Dm
+CONFIG_DVB_B2C2_FLEXCOP=3Dm
+CONFIG_VIDEO_SAA7146=3Dm
+CONFIG_VIDEO_SAA7146_VV=3Dm
+CONFIG_SMS_SIANO_MDTV=3Dm
+CONFIG_SMS_SIANO_RC=3Dy
+# CONFIG_SMS_SIANO_DEBUGFS is not set
+CONFIG_VIDEO_V4L2_TPG=3Dm
+
+#
+# Media ancillary drivers (tuners, sensors, i2c, spi, frontends)
+#
+CONFIG_MEDIA_SUBDRV_AUTOSELECT=3Dy
+CONFIG_MEDIA_ATTACH=3Dy
+CONFIG_VIDEO_IR_I2C=3Dy
+
+#
+# I2C Encoders, decoders, sensors and other helper chips
+#
+
+#
+# Audio decoders, processors and mixers
+#
+CONFIG_VIDEO_TVAUDIO=3Dm
+CONFIG_VIDEO_TDA7432=3Dm
+CONFIG_VIDEO_TDA9840=3Dm
+CONFIG_VIDEO_TDA1997X=3Dm
+CONFIG_VIDEO_TEA6415C=3Dm
+CONFIG_VIDEO_TEA6420=3Dm
+CONFIG_VIDEO_MSP3400=3Dm
+CONFIG_VIDEO_CS3308=3Dm
+CONFIG_VIDEO_CS5345=3Dm
+CONFIG_VIDEO_CS53L32A=3Dm
+CONFIG_VIDEO_TLV320AIC23B=3Dm
+CONFIG_VIDEO_UDA1342=3Dm
+CONFIG_VIDEO_WM8775=3Dm
+CONFIG_VIDEO_WM8739=3Dm
+CONFIG_VIDEO_VP27SMPX=3Dm
+CONFIG_VIDEO_SONY_BTF_MPX=3Dm
+
+#
+# RDS decoders
+#
+CONFIG_VIDEO_SAA6588=3Dm
+
+#
+# Video decoders
+#
+CONFIG_VIDEO_ADV7180=3Dm
+CONFIG_VIDEO_ADV7183=3Dm
+CONFIG_VIDEO_ADV748X=3Dm
+CONFIG_VIDEO_ADV7604=3Dm
+CONFIG_VIDEO_ADV7604_CEC=3Dy
+CONFIG_VIDEO_ADV7842=3Dm
+CONFIG_VIDEO_ADV7842_CEC=3Dy
+CONFIG_VIDEO_BT819=3Dm
+CONFIG_VIDEO_BT856=3Dm
+CONFIG_VIDEO_BT866=3Dm
+CONFIG_VIDEO_KS0127=3Dm
+CONFIG_VIDEO_ML86V7667=3Dm
+CONFIG_VIDEO_SAA7110=3Dm
+CONFIG_VIDEO_SAA711X=3Dm
+CONFIG_VIDEO_TC358743=3Dm
+CONFIG_VIDEO_TC358743_CEC=3Dy
+CONFIG_VIDEO_TVP514X=3Dm
+CONFIG_VIDEO_TVP5150=3Dm
+CONFIG_VIDEO_TVP7002=3Dm
+CONFIG_VIDEO_TW2804=3Dm
+CONFIG_VIDEO_TW9903=3Dm
+CONFIG_VIDEO_TW9906=3Dm
+CONFIG_VIDEO_TW9910=3Dm
+CONFIG_VIDEO_VPX3220=3Dm
+
+#
+# Video and audio decoders
+#
+CONFIG_VIDEO_SAA717X=3Dm
+CONFIG_VIDEO_CX25840=3Dm
+
+#
+# Video encoders
+#
+CONFIG_VIDEO_SAA7127=3Dm
+CONFIG_VIDEO_SAA7185=3Dm
+CONFIG_VIDEO_ADV7170=3Dm
+CONFIG_VIDEO_ADV7175=3Dm
+CONFIG_VIDEO_ADV7343=3Dm
+CONFIG_VIDEO_ADV7393=3Dm
+CONFIG_VIDEO_ADV7511=3Dm
+CONFIG_VIDEO_ADV7511_CEC=3Dy
+CONFIG_VIDEO_AD9389B=3Dm
+CONFIG_VIDEO_AK881X=3Dm
+CONFIG_VIDEO_THS8200=3Dm
+
+#
+# Camera sensor devices
+#
+CONFIG_VIDEO_APTINA_PLL=3Dm
+CONFIG_VIDEO_SMIAPP_PLL=3Dm
+CONFIG_VIDEO_IMX214=3Dm
+CONFIG_VIDEO_IMX258=3Dm
+CONFIG_VIDEO_IMX274=3Dm
+CONFIG_VIDEO_IMX319=3Dm
+CONFIG_VIDEO_IMX355=3Dm
+CONFIG_VIDEO_OV2640=3Dm
+CONFIG_VIDEO_OV2659=3Dm
+CONFIG_VIDEO_OV2680=3Dm
+CONFIG_VIDEO_OV2685=3Dm
+CONFIG_VIDEO_OV5640=3Dm
+CONFIG_VIDEO_OV5645=3Dm
+CONFIG_VIDEO_OV5647=3Dm
+CONFIG_VIDEO_OV6650=3Dm
+CONFIG_VIDEO_OV5670=3Dm
+CONFIG_VIDEO_OV5675=3Dm
+CONFIG_VIDEO_OV5695=3Dm
+CONFIG_VIDEO_OV7251=3Dm
+CONFIG_VIDEO_OV772X=3Dm
+CONFIG_VIDEO_OV7640=3Dm
+CONFIG_VIDEO_OV7670=3Dm
+CONFIG_VIDEO_OV7740=3Dm
+CONFIG_VIDEO_OV8856=3Dm
+CONFIG_VIDEO_OV9640=3Dm
+CONFIG_VIDEO_OV9650=3Dm
+CONFIG_VIDEO_OV13858=3Dm
+CONFIG_VIDEO_VS6624=3Dm
+CONFIG_VIDEO_MT9M001=3Dm
+CONFIG_VIDEO_MT9M032=3Dm
+CONFIG_VIDEO_MT9M111=3Dm
+CONFIG_VIDEO_MT9P031=3Dm
+CONFIG_VIDEO_MT9T001=3Dm
+CONFIG_VIDEO_MT9T112=3Dm
+CONFIG_VIDEO_MT9V011=3Dm
+CONFIG_VIDEO_MT9V032=3Dm
+CONFIG_VIDEO_MT9V111=3Dm
+CONFIG_VIDEO_SR030PC30=3Dm
+CONFIG_VIDEO_NOON010PC30=3Dm
+CONFIG_VIDEO_M5MOLS=3Dm
+CONFIG_VIDEO_RJ54N1=3Dm
+CONFIG_VIDEO_S5K6AA=3Dm
+CONFIG_VIDEO_S5K6A3=3Dm
+CONFIG_VIDEO_S5K4ECGX=3Dm
+CONFIG_VIDEO_S5K5BAF=3Dm
+CONFIG_VIDEO_SMIAPP=3Dm
+CONFIG_VIDEO_ET8EK8=3Dm
+CONFIG_VIDEO_S5C73M3=3Dm
+
+#
+# Lens drivers
+#
+CONFIG_VIDEO_AD5820=3Dm
+CONFIG_VIDEO_AK7375=3Dm
+CONFIG_VIDEO_DW9714=3Dm
+CONFIG_VIDEO_DW9807_VCM=3Dm
+
+#
+# Flash devices
+#
+CONFIG_VIDEO_ADP1653=3Dm
+CONFIG_VIDEO_LM3560=3Dm
+CONFIG_VIDEO_LM3646=3Dm
+
+#
+# Video improvement chips
+#
+CONFIG_VIDEO_UPD64031A=3Dm
+CONFIG_VIDEO_UPD64083=3Dm
+
+#
+# Audio/Video compression chips
+#
+CONFIG_VIDEO_SAA6752HS=3Dm
+
+#
+# SDR tuner chips
+#
+CONFIG_SDR_MAX2175=3Dm
+
+#
+# Miscellaneous helper chips
+#
+CONFIG_VIDEO_THS7303=3Dm
+CONFIG_VIDEO_M52790=3Dm
+CONFIG_VIDEO_I2C=3Dm
+CONFIG_VIDEO_ST_MIPID02=3Dm
+# end of I2C Encoders, decoders, sensors and other helper chips
+
+#
+# SPI helper chips
+#
+CONFIG_VIDEO_GS1662=3Dm
+# end of SPI helper chips
+
+#
+# Media SPI Adapters
+#
+# CONFIG_CXD2880_SPI_DRV is not set
+# end of Media SPI Adapters
+
+CONFIG_MEDIA_TUNER=3Dy
+
+#
+# Customize TV tuners
+#
+CONFIG_MEDIA_TUNER_SIMPLE=3Dy
+CONFIG_MEDIA_TUNER_TDA18250=3Dm
+CONFIG_MEDIA_TUNER_TDA8290=3Dy
+CONFIG_MEDIA_TUNER_TDA827X=3Dy
+CONFIG_MEDIA_TUNER_TDA18271=3Dy
+CONFIG_MEDIA_TUNER_TDA9887=3Dy
+CONFIG_MEDIA_TUNER_TEA5761=3Dy
+CONFIG_MEDIA_TUNER_TEA5767=3Dy
+CONFIG_MEDIA_TUNER_MSI001=3Dm
+CONFIG_MEDIA_TUNER_MT20XX=3Dy
+CONFIG_MEDIA_TUNER_MT2060=3Dm
+CONFIG_MEDIA_TUNER_MT2063=3Dm
+CONFIG_MEDIA_TUNER_MT2266=3Dm
+CONFIG_MEDIA_TUNER_MT2131=3Dm
+CONFIG_MEDIA_TUNER_QT1010=3Dm
+CONFIG_MEDIA_TUNER_XC2028=3Dy
+CONFIG_MEDIA_TUNER_XC5000=3Dy
+CONFIG_MEDIA_TUNER_XC4000=3Dy
+CONFIG_MEDIA_TUNER_MXL5005S=3Dm
+CONFIG_MEDIA_TUNER_MXL5007T=3Dm
+CONFIG_MEDIA_TUNER_MC44S803=3Dy
+CONFIG_MEDIA_TUNER_MAX2165=3Dm
+CONFIG_MEDIA_TUNER_TDA18218=3Dm
+CONFIG_MEDIA_TUNER_FC0011=3Dm
+CONFIG_MEDIA_TUNER_FC0012=3Dm
+CONFIG_MEDIA_TUNER_FC0013=3Dm
+CONFIG_MEDIA_TUNER_TDA18212=3Dm
+CONFIG_MEDIA_TUNER_E4000=3Dm
+CONFIG_MEDIA_TUNER_FC2580=3Dm
+CONFIG_MEDIA_TUNER_M88RS6000T=3Dm
+CONFIG_MEDIA_TUNER_TUA9001=3Dm
+CONFIG_MEDIA_TUNER_SI2157=3Dm
+CONFIG_MEDIA_TUNER_IT913X=3Dm
+CONFIG_MEDIA_TUNER_R820T=3Dm
+CONFIG_MEDIA_TUNER_MXL301RF=3Dm
+CONFIG_MEDIA_TUNER_QM1D1C0042=3Dm
+CONFIG_MEDIA_TUNER_QM1D1B0004=3Dm
+# end of Customize TV tuners
+
+#
+# Customise DVB Frontends
+#
+
+#
+# Multistandard (satellite) frontends
+#
+CONFIG_DVB_STB0899=3Dm
+CONFIG_DVB_STB6100=3Dm
+CONFIG_DVB_STV090x=3Dm
+CONFIG_DVB_STV0910=3Dm
+CONFIG_DVB_STV6110x=3Dm
+CONFIG_DVB_STV6111=3Dm
+CONFIG_DVB_MXL5XX=3Dm
+CONFIG_DVB_M88DS3103=3Dm
+
+#
+# Multistandard (cable + terrestrial) frontends
+#
+CONFIG_DVB_DRXK=3Dm
+CONFIG_DVB_TDA18271C2DD=3Dm
+CONFIG_DVB_SI2165=3Dm
+CONFIG_DVB_MN88472=3Dm
+CONFIG_DVB_MN88473=3Dm
+
+#
+# DVB-S (satellite) frontends
+#
+CONFIG_DVB_CX24110=3Dm
+CONFIG_DVB_CX24123=3Dm
+CONFIG_DVB_MT312=3Dm
+CONFIG_DVB_ZL10036=3Dm
+CONFIG_DVB_ZL10039=3Dm
+CONFIG_DVB_S5H1420=3Dm
+CONFIG_DVB_STV0288=3Dm
+CONFIG_DVB_STB6000=3Dm
+CONFIG_DVB_STV0299=3Dm
+CONFIG_DVB_STV6110=3Dm
+CONFIG_DVB_STV0900=3Dm
+CONFIG_DVB_TDA8083=3Dm
+CONFIG_DVB_TDA10086=3Dm
+CONFIG_DVB_TDA8261=3Dm
+CONFIG_DVB_VES1X93=3Dm
+CONFIG_DVB_TUNER_ITD1000=3Dm
+CONFIG_DVB_TUNER_CX24113=3Dm
+CONFIG_DVB_TDA826X=3Dm
+CONFIG_DVB_TUA6100=3Dm
+CONFIG_DVB_CX24116=3Dm
+CONFIG_DVB_CX24117=3Dm
+CONFIG_DVB_CX24120=3Dm
+CONFIG_DVB_SI21XX=3Dm
+CONFIG_DVB_TS2020=3Dm
+CONFIG_DVB_DS3000=3Dm
+CONFIG_DVB_MB86A16=3Dm
+CONFIG_DVB_TDA10071=3Dm
+
+#
+# DVB-T (terrestrial) frontends
+#
+CONFIG_DVB_SP8870=3Dm
+CONFIG_DVB_SP887X=3Dm
+CONFIG_DVB_CX22700=3Dm
+CONFIG_DVB_CX22702=3Dm
+CONFIG_DVB_S5H1432=3Dm
+CONFIG_DVB_DRXD=3Dm
+CONFIG_DVB_L64781=3Dm
+CONFIG_DVB_TDA1004X=3Dm
+CONFIG_DVB_NXT6000=3Dm
+CONFIG_DVB_MT352=3Dm
+CONFIG_DVB_ZL10353=3Dm
+CONFIG_DVB_DIB3000MB=3Dm
+CONFIG_DVB_DIB3000MC=3Dm
+CONFIG_DVB_DIB7000M=3Dm
+CONFIG_DVB_DIB7000P=3Dm
+CONFIG_DVB_DIB9000=3Dm
+CONFIG_DVB_TDA10048=3Dm
+CONFIG_DVB_AF9013=3Dm
+CONFIG_DVB_EC100=3Dm
+CONFIG_DVB_STV0367=3Dm
+CONFIG_DVB_CXD2820R=3Dm
+CONFIG_DVB_CXD2841ER=3Dm
+CONFIG_DVB_RTL2830=3Dm
+CONFIG_DVB_RTL2832=3Dm
+CONFIG_DVB_RTL2832_SDR=3Dm
+CONFIG_DVB_SI2168=3Dm
+CONFIG_DVB_AS102_FE=3Dm
+CONFIG_DVB_ZD1301_DEMOD=3Dm
+CONFIG_DVB_GP8PSK_FE=3Dm
+CONFIG_DVB_CXD2880=3Dm
+
+#
+# DVB-C (cable) frontends
+#
+CONFIG_DVB_VES1820=3Dm
+CONFIG_DVB_TDA10021=3Dm
+CONFIG_DVB_TDA10023=3Dm
+CONFIG_DVB_STV0297=3Dm
+
+#
+# ATSC (North American/Korean Terrestrial/Cable DTV) frontends
+#
+CONFIG_DVB_NXT200X=3Dm
+CONFIG_DVB_OR51211=3Dm
+CONFIG_DVB_OR51132=3Dm
+CONFIG_DVB_BCM3510=3Dm
+CONFIG_DVB_LGDT330X=3Dm
+CONFIG_DVB_LGDT3305=3Dm
+CONFIG_DVB_LGDT3306A=3Dm
+CONFIG_DVB_LG2160=3Dm
+CONFIG_DVB_S5H1409=3Dm
+CONFIG_DVB_AU8522=3Dm
+CONFIG_DVB_AU8522_DTV=3Dm
+CONFIG_DVB_AU8522_V4L=3Dm
+CONFIG_DVB_S5H1411=3Dm
+
+#
+# ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_S921=3Dm
+CONFIG_DVB_DIB8000=3Dm
+CONFIG_DVB_MB86A20S=3Dm
+
+#
+# ISDB-S (satellite) & ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_TC90522=3Dm
+CONFIG_DVB_MN88443X=3Dm
+
+#
+# Digital terrestrial only tuners/PLL
+#
+CONFIG_DVB_PLL=3Dm
+CONFIG_DVB_TUNER_DIB0070=3Dm
+CONFIG_DVB_TUNER_DIB0090=3Dm
+
+#
+# SEC control devices for DVB-S
+#
+CONFIG_DVB_DRX39XYJ=3Dm
+CONFIG_DVB_LNBH25=3Dm
+CONFIG_DVB_LNBH29=3Dm
+CONFIG_DVB_LNBP21=3Dm
+CONFIG_DVB_LNBP22=3Dm
+CONFIG_DVB_ISL6405=3Dm
+CONFIG_DVB_ISL6421=3Dm
+CONFIG_DVB_ISL6423=3Dm
+CONFIG_DVB_A8293=3Dm
+CONFIG_DVB_LGS8GL5=3Dm
+CONFIG_DVB_LGS8GXX=3Dm
+CONFIG_DVB_ATBM8830=3Dm
+CONFIG_DVB_TDA665x=3Dm
+CONFIG_DVB_IX2505V=3Dm
+CONFIG_DVB_M88RS2000=3Dm
+CONFIG_DVB_AF9033=3Dm
+CONFIG_DVB_HORUS3A=3Dm
+CONFIG_DVB_ASCOT2E=3Dm
+CONFIG_DVB_HELENE=3Dm
+
+#
+# Common Interface (EN50221) controller drivers
+#
+CONFIG_DVB_CXD2099=3Dm
+CONFIG_DVB_SP2=3Dm
+
+#
+# Tools to develop new frontends
+#
+CONFIG_DVB_DUMMY_FE=3Dm
+# end of Customise DVB Frontends
+
+#
+# Graphics support
+#
+CONFIG_VGA_ARB=3Dy
+CONFIG_VGA_ARB_MAX_GPUS=3D16
+# CONFIG_TEGRA_HOST1X is not set
+CONFIG_IMX_IPUV3_CORE=3Dm
+CONFIG_DRM=3Dm
+CONFIG_DRM_MIPI_DSI=3Dy
+# CONFIG_DRM_DP_AUX_CHARDEV is not set
+# CONFIG_DRM_DEBUG_SELFTEST is not set
+CONFIG_DRM_KMS_HELPER=3Dm
+CONFIG_DRM_KMS_FB_HELPER=3Dy
+CONFIG_DRM_FBDEV_EMULATION=3Dy
+CONFIG_DRM_FBDEV_OVERALLOC=3D100
+# CONFIG_DRM_FBDEV_LEAK_PHYS_SMEM is not set
+CONFIG_DRM_LOAD_EDID_FIRMWARE=3Dy
+# CONFIG_DRM_DP_CEC is not set
+CONFIG_DRM_TTM=3Dm
+CONFIG_DRM_VRAM_HELPER=3Dm
+CONFIG_DRM_GEM_CMA_HELPER=3Dy
+CONFIG_DRM_KMS_CMA_HELPER=3Dy
+CONFIG_DRM_GEM_SHMEM_HELPER=3Dy
+CONFIG_DRM_VM=3Dy
+CONFIG_DRM_SCHED=3Dm
+
+#
+# I2C encoder or helper chips
+#
+# CONFIG_DRM_I2C_CH7006 is not set
+# CONFIG_DRM_I2C_SIL164 is not set
+CONFIG_DRM_I2C_NXP_TDA998X=3Dm
+CONFIG_DRM_I2C_NXP_TDA9950=3Dm
+# end of I2C encoder or helper chips
+
+#
+# ARM devices
+#
+# CONFIG_DRM_HDLCD is not set
+# CONFIG_DRM_MALI_DISPLAY is not set
+# CONFIG_DRM_KOMEDA is not set
+# end of ARM devices
+
+# CONFIG_DRM_RADEON is not set
+# CONFIG_DRM_AMDGPU is not set
+
+#
+# ACP (Audio CoProcessor) Configuration
+#
+# end of ACP (Audio CoProcessor) Configuration
+
+# CONFIG_DRM_NOUVEAU is not set
+CONFIG_DRM_VGEM=3Dm
+# CONFIG_DRM_VKMS is not set
+CONFIG_DRM_ATI_PCIGART=3Dy
+CONFIG_DRM_EXYNOS=3Dm
+
+#
+# CRTCs
+#
+CONFIG_DRM_EXYNOS_FIMD=3Dy
+# CONFIG_DRM_EXYNOS5433_DECON is not set
+# CONFIG_DRM_EXYNOS7_DECON is not set
+CONFIG_DRM_EXYNOS_MIXER=3Dy
+# CONFIG_DRM_EXYNOS_VIDI is not set
+
+#
+# Encoders and Bridges
+#
+# CONFIG_DRM_EXYNOS_DPI is not set
+CONFIG_DRM_EXYNOS_DSI=3Dy
+CONFIG_DRM_EXYNOS_DP=3Dy
+CONFIG_DRM_EXYNOS_HDMI=3Dy
+
+#
+# Sub-drivers
+#
+# CONFIG_DRM_EXYNOS_G2D is not set
+# CONFIG_DRM_EXYNOS_FIMC is not set
+# CONFIG_DRM_EXYNOS_ROTATOR is not set
+# CONFIG_DRM_EXYNOS_SCALER is not set
+# CONFIG_DRM_EXYNOS_GSC is not set
+CONFIG_DRM_ROCKCHIP=3Dm
+CONFIG_ROCKCHIP_ANALOGIX_DP=3Dy
+# CONFIG_ROCKCHIP_CDN_DP is not set
+CONFIG_ROCKCHIP_DW_HDMI=3Dy
+CONFIG_ROCKCHIP_DW_MIPI_DSI=3Dy
+# CONFIG_ROCKCHIP_INNO_HDMI is not set
+# CONFIG_ROCKCHIP_LVDS is not set
+# CONFIG_ROCKCHIP_RGB is not set
+CONFIG_ROCKCHIP_RK3066_HDMI=3Dy
+CONFIG_DRM_UDL=3Dm
+# CONFIG_DRM_AST is not set
+# CONFIG_DRM_MGAG200 is not set
+CONFIG_DRM_CIRRUS_QEMU=3Dm
+# CONFIG_DRM_ARMADA is not set
+# CONFIG_DRM_RCAR_DW_HDMI is not set
+# CONFIG_DRM_RCAR_LVDS is not set
+# CONFIG_DRM_SUN4I is not set
+CONFIG_DRM_OMAP=3Dm
+CONFIG_OMAP2_DSS_INIT=3Dy
+CONFIG_OMAP_DSS_BASE=3Dm
+CONFIG_OMAP2_DSS=3Dm
+# CONFIG_OMAP2_DSS_DEBUG is not set
+# CONFIG_OMAP2_DSS_DEBUGFS is not set
+CONFIG_OMAP2_DSS_DPI=3Dy
+CONFIG_OMAP2_DSS_VENC=3Dy
+CONFIG_OMAP2_DSS_HDMI_COMMON=3Dy
+CONFIG_OMAP4_DSS_HDMI=3Dy
+CONFIG_OMAP4_DSS_HDMI_CEC=3Dy
+CONFIG_OMAP5_DSS_HDMI=3Dy
+CONFIG_OMAP2_DSS_SDI=3Dy
+CONFIG_OMAP2_DSS_DSI=3Dy
+CONFIG_OMAP2_DSS_MIN_FCK_PER_PCK=3D0
+CONFIG_OMAP2_DSS_SLEEP_AFTER_VENC_RESET=3Dy
+
+#
+# OMAPDRM External Display Device Drivers
+#
+# CONFIG_DRM_OMAP_ENCODER_OPA362 is not set
+CONFIG_DRM_OMAP_ENCODER_TPD12S015=3Dm
+CONFIG_DRM_OMAP_CONNECTOR_HDMI=3Dm
+CONFIG_DRM_OMAP_CONNECTOR_ANALOG_TV=3Dm
+# CONFIG_DRM_OMAP_PANEL_DSI_CM is not set
+# end of OMAPDRM External Display Device Drivers
+
+CONFIG_DRM_TILCDC=3Dm
+CONFIG_DRM_QXL=3Dm
+CONFIG_DRM_BOCHS=3Dm
+CONFIG_DRM_VIRTIO_GPU=3Dm
+CONFIG_DRM_MSM=3Dm
+CONFIG_DRM_MSM_GPU_STATE=3Dy
+# CONFIG_DRM_MSM_REGISTER_LOGGING is not set
+# CONFIG_DRM_MSM_GPU_SUDO is not set
+CONFIG_DRM_MSM_DSI=3Dy
+CONFIG_DRM_MSM_DSI_PLL=3Dy
+CONFIG_DRM_MSM_DSI_28NM_PHY=3Dy
+CONFIG_DRM_MSM_DSI_20NM_PHY=3Dy
+CONFIG_DRM_MSM_DSI_28NM_8960_PHY=3Dy
+CONFIG_DRM_MSM_DSI_14NM_PHY=3Dy
+CONFIG_DRM_MSM_DSI_10NM_PHY=3Dy
+# CONFIG_DRM_FSL_DCU is not set
+# CONFIG_DRM_TEGRA is not set
+# CONFIG_DRM_STM is not set
+CONFIG_DRM_PANEL=3Dy
+
+#
+# Display Panels
+#
+CONFIG_DRM_PANEL_ARM_VERSATILE=3Dm
+# CONFIG_DRM_PANEL_LVDS is not set
+CONFIG_DRM_PANEL_SIMPLE=3Dm
+# CONFIG_DRM_PANEL_FEIYANG_FY07024DI26A30D is not set
+CONFIG_DRM_PANEL_ILITEK_IL9322=3Dm
+CONFIG_DRM_PANEL_ILITEK_ILI9881C=3Dm
+# CONFIG_DRM_PANEL_INNOLUX_P079ZCA is not set
+# CONFIG_DRM_PANEL_JDI_LT070ME05000 is not set
+# CONFIG_DRM_PANEL_KINGDISPLAY_KD097D04 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_LD9040 is not set
+# CONFIG_DRM_PANEL_LG_LB035Q02 is not set
+# CONFIG_DRM_PANEL_LG_LG4573 is not set
+# CONFIG_DRM_PANEL_NEC_NL8048HL11 is not set
+# CONFIG_DRM_PANEL_NOVATEK_NT39016 is not set
+# CONFIG_DRM_PANEL_OLIMEX_LCD_OLINUXINO is not set
+# CONFIG_DRM_PANEL_ORISETECH_OTM8009A is not set
+CONFIG_DRM_PANEL_OSD_OSD101T2587_53TS=3Dm
+# CONFIG_DRM_PANEL_PANASONIC_VVX10F034N00 is not set
+CONFIG_DRM_PANEL_RASPBERRYPI_TOUCHSCREEN=3Dm
+# CONFIG_DRM_PANEL_RAYDIUM_RM67191 is not set
+# CONFIG_DRM_PANEL_RAYDIUM_RM68200 is not set
+# CONFIG_DRM_PANEL_ROCKTECH_JH057N00900 is not set
+# CONFIG_DRM_PANEL_RONBO_RB070D30 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6D16D0 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E3HA2 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E63J0X03 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E63M0 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E8AA0 is not set
+# CONFIG_DRM_PANEL_SEIKO_43WVF1G is not set
+# CONFIG_DRM_PANEL_SHARP_LQ101R1SX01 is not set
+# CONFIG_DRM_PANEL_SHARP_LS037V7DW01 is not set
+# CONFIG_DRM_PANEL_SHARP_LS043T1LE01 is not set
+# CONFIG_DRM_PANEL_SITRONIX_ST7701 is not set
+# CONFIG_DRM_PANEL_SITRONIX_ST7789V is not set
+# CONFIG_DRM_PANEL_SONY_ACX565AKM is not set
+# CONFIG_DRM_PANEL_TPO_TD028TTEC1 is not set
+# CONFIG_DRM_PANEL_TPO_TD043MTEA1 is not set
+# CONFIG_DRM_PANEL_TPO_TPG110 is not set
+# CONFIG_DRM_PANEL_TRULY_NT35597_WQXGA is not set
+# end of Display Panels
+
+CONFIG_DRM_BRIDGE=3Dy
+CONFIG_DRM_PANEL_BRIDGE=3Dy
+
+#
+# Display Interface Bridges
+#
+# CONFIG_DRM_ANALOGIX_ANX78XX is not set
+CONFIG_DRM_CDNS_DSI=3Dm
+# CONFIG_DRM_DUMB_VGA_DAC is not set
+# CONFIG_DRM_LVDS_ENCODER is not set
+# CONFIG_DRM_MEGACHIPS_STDPXXXX_GE_B850V3_FW is not set
+# CONFIG_DRM_NXP_PTN3460 is not set
+# CONFIG_DRM_PARADE_PS8622 is not set
+# CONFIG_DRM_SIL_SII8620 is not set
+# CONFIG_DRM_SII902X is not set
+# CONFIG_DRM_SII9234 is not set
+# CONFIG_DRM_THINE_THC63LVD1024 is not set
+# CONFIG_DRM_TOSHIBA_TC358764 is not set
+# CONFIG_DRM_TOSHIBA_TC358767 is not set
+# CONFIG_DRM_TI_TFP410 is not set
+# CONFIG_DRM_TI_SN65DSI86 is not set
+CONFIG_DRM_ANALOGIX_DP=3Dm
+# CONFIG_DRM_I2C_ADV7511 is not set
+CONFIG_DRM_DW_HDMI=3Dm
+# CONFIG_DRM_DW_HDMI_AHB_AUDIO is not set
+# CONFIG_DRM_DW_HDMI_I2S_AUDIO is not set
+CONFIG_DRM_DW_HDMI_CEC=3Dm
+CONFIG_DRM_DW_MIPI_DSI=3Dm
+# end of Display Interface Bridges
+
+# CONFIG_DRM_STI is not set
+CONFIG_DRM_IMX=3Dm
+# CONFIG_DRM_IMX_PARALLEL_DISPLAY is not set
+# CONFIG_DRM_IMX_TVE is not set
+CONFIG_DRM_IMX_LDB=3Dm
+CONFIG_DRM_IMX_HDMI=3Dm
+CONFIG_DRM_V3D=3Dm
+CONFIG_DRM_VC4=3Dm
+# CONFIG_DRM_VC4_HDMI_CEC is not set
+CONFIG_DRM_ETNAVIV=3Dm
+CONFIG_DRM_ETNAVIV_THERMAL=3Dy
+# CONFIG_DRM_ARCPGU is not set
+# CONFIG_DRM_MXSFB is not set
+CONFIG_DRM_GM12U320=3Dm
+# CONFIG_TINYDRM_HX8357D is not set
+# CONFIG_TINYDRM_ILI9225 is not set
+# CONFIG_TINYDRM_ILI9341 is not set
+# CONFIG_TINYDRM_MI0283QT is not set
+# CONFIG_TINYDRM_REPAPER is not set
+# CONFIG_TINYDRM_ST7586 is not set
+# CONFIG_TINYDRM_ST7735R is not set
+# CONFIG_DRM_PL111 is not set
+# CONFIG_DRM_TVE200 is not set
+# CONFIG_DRM_XEN is not set
+CONFIG_DRM_LIMA=3Dm
+CONFIG_DRM_PANFROST=3Dm
+CONFIG_DRM_MCDE=3Dm
+CONFIG_DRM_LEGACY=3Dy
+# CONFIG_DRM_TDFX is not set
+# CONFIG_DRM_R128 is not set
+# CONFIG_DRM_MGA is not set
+CONFIG_DRM_VIA=3Dm
+CONFIG_DRM_SAVAGE=3Dm
+CONFIG_DRM_PANEL_ORIENTATION_QUIRKS=3Dy
+
+#
+# Frame buffer Devices
+#
+CONFIG_FB_CMDLINE=3Dy
+CONFIG_FB_NOTIFY=3Dy
+CONFIG_FB=3Dy
+CONFIG_FIRMWARE_EDID=3Dy
+CONFIG_FB_DDC=3Dm
+CONFIG_FB_CFB_FILLRECT=3Dy
+CONFIG_FB_CFB_COPYAREA=3Dy
+CONFIG_FB_CFB_IMAGEBLIT=3Dy
+CONFIG_FB_SYS_FILLRECT=3Dy
+CONFIG_FB_SYS_COPYAREA=3Dy
+CONFIG_FB_SYS_IMAGEBLIT=3Dy
+# CONFIG_FB_FOREIGN_ENDIAN is not set
+CONFIG_FB_SYS_FOPS=3Dy
+CONFIG_FB_DEFERRED_IO=3Dy
+CONFIG_FB_SVGALIB=3Dm
+CONFIG_FB_BACKLIGHT=3Dm
+CONFIG_FB_MODE_HELPERS=3Dy
+CONFIG_FB_TILEBLITTING=3Dy
+
+#
+# Frame buffer hardware drivers
+#
+# CONFIG_FB_CIRRUS is not set
+# CONFIG_FB_PM2 is not set
+CONFIG_FB_ARMCLCD=3Dy
+# CONFIG_FB_IMX is not set
+# CONFIG_FB_CYBER2000 is not set
+# CONFIG_FB_ASILIANT is not set
+# CONFIG_FB_IMSTT is not set
+# CONFIG_FB_UVESA is not set
+CONFIG_FB_EFI=3Dy
+# CONFIG_FB_OPENCORES is not set
+# CONFIG_FB_S1D13XXX is not set
+CONFIG_FB_NVIDIA=3Dm
+# CONFIG_FB_NVIDIA_I2C is not set
+# CONFIG_FB_NVIDIA_DEBUG is not set
+CONFIG_FB_NVIDIA_BACKLIGHT=3Dy
+CONFIG_FB_RIVA=3Dm
+# CONFIG_FB_RIVA_I2C is not set
+# CONFIG_FB_RIVA_DEBUG is not set
+CONFIG_FB_RIVA_BACKLIGHT=3Dy
+# CONFIG_FB_I740 is not set
+# CONFIG_FB_MATROX is not set
+# CONFIG_FB_RADEON is not set
+# CONFIG_FB_ATY128 is not set
+# CONFIG_FB_ATY is not set
+CONFIG_FB_S3=3Dm
+CONFIG_FB_S3_DDC=3Dy
+# CONFIG_FB_SAVAGE is not set
+# CONFIG_FB_SIS is not set
+# CONFIG_FB_NEOMAGIC is not set
+# CONFIG_FB_KYRO is not set
+CONFIG_FB_3DFX=3Dm
+# CONFIG_FB_3DFX_ACCEL is not set
+CONFIG_FB_3DFX_I2C=3Dy
+# CONFIG_FB_VOODOO1 is not set
+CONFIG_FB_VT8623=3Dm
+# CONFIG_FB_TRIDENT is not set
+CONFIG_FB_ARK=3Dm
+CONFIG_FB_PM3=3Dm
+# CONFIG_FB_CARMINE is not set
+CONFIG_FB_VT8500=3Dy
+CONFIG_FB_WM8505=3Dy
+# CONFIG_FB_WMT_GE_ROPS is not set
+CONFIG_FB_SMSCUFX=3Dm
+CONFIG_FB_UDL=3Dm
+# CONFIG_FB_IBM_GXT4500 is not set
+# CONFIG_FB_DA8XX is not set
+# CONFIG_FB_VIRTUAL is not set
+CONFIG_XEN_FBDEV_FRONTEND=3Dy
+# CONFIG_FB_METRONOME is not set
+CONFIG_FB_MB862XX=3Dm
+CONFIG_FB_MB862XX_PCI_GDC=3Dy
+CONFIG_FB_MB862XX_I2C=3Dy
+CONFIG_FB_MX3=3Dy
+CONFIG_FB_SIMPLE=3Dy
+# CONFIG_FB_SSD1307 is not set
+# CONFIG_FB_SM712 is not set
+# end of Frame buffer Devices
+
+#
+# Backlight & LCD device support
+#
+# CONFIG_LCD_CLASS_DEVICE is not set
+CONFIG_BACKLIGHT_CLASS_DEVICE=3Dy
+# CONFIG_BACKLIGHT_GENERIC is not set
+CONFIG_BACKLIGHT_PWM=3Dm
+# CONFIG_BACKLIGHT_DA9052 is not set
+# CONFIG_BACKLIGHT_PM8941_WLED is not set
+# CONFIG_BACKLIGHT_ADP8860 is not set
+# CONFIG_BACKLIGHT_ADP8870 is not set
+# CONFIG_BACKLIGHT_LM3630A is not set
+# CONFIG_BACKLIGHT_LM3639 is not set
+# CONFIG_BACKLIGHT_LP855X is not set
+CONFIG_BACKLIGHT_PANDORA=3Dm
+CONFIG_BACKLIGHT_GPIO=3Dm
+# CONFIG_BACKLIGHT_LV5207LP is not set
+# CONFIG_BACKLIGHT_BD6107 is not set
+# CONFIG_BACKLIGHT_ARCXCNN is not set
+# end of Backlight & LCD device support
+
+CONFIG_VGASTATE=3Dm
+CONFIG_VIDEOMODE_HELPERS=3Dy
+CONFIG_HDMI=3Dy
+
+#
+# Console display driver support
+#
+CONFIG_DUMMY_CONSOLE=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=3Dy
+# CONFIG_FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER is not set
+# end of Console display driver support
+
+# CONFIG_LOGO is not set
+# end of Graphics support
+
+CONFIG_SOUND=3Dm
+CONFIG_SOUND_OSS_CORE=3Dy
+# CONFIG_SOUND_OSS_CORE_PRECLAIM is not set
+CONFIG_SND=3Dm
+CONFIG_SND_TIMER=3Dm
+CONFIG_SND_PCM=3Dm
+CONFIG_SND_PCM_ELD=3Dy
+CONFIG_SND_PCM_IEC958=3Dy
+CONFIG_SND_DMAENGINE_PCM=3Dm
+CONFIG_SND_HWDEP=3Dm
+CONFIG_SND_SEQ_DEVICE=3Dm
+CONFIG_SND_RAWMIDI=3Dm
+CONFIG_SND_JACK=3Dy
+CONFIG_SND_JACK_INPUT_DEV=3Dy
+CONFIG_SND_OSSEMUL=3Dy
+CONFIG_SND_MIXER_OSS=3Dm
+CONFIG_SND_PCM_OSS=3Dm
+CONFIG_SND_PCM_OSS_PLUGINS=3Dy
+CONFIG_SND_PCM_TIMER=3Dy
+CONFIG_SND_HRTIMER=3Dm
+CONFIG_SND_DYNAMIC_MINORS=3Dy
+CONFIG_SND_MAX_CARDS=3D32
+CONFIG_SND_SUPPORT_OLD_API=3Dy
+CONFIG_SND_PROC_FS=3Dy
+CONFIG_SND_VERBOSE_PROCFS=3Dy
+# CONFIG_SND_VERBOSE_PRINTK is not set
+# CONFIG_SND_DEBUG is not set
+CONFIG_SND_VMASTER=3Dy
+CONFIG_SND_SEQUENCER=3Dm
+CONFIG_SND_SEQ_DUMMY=3Dm
+# CONFIG_SND_SEQUENCER_OSS is not set
+CONFIG_SND_SEQ_HRTIMER_DEFAULT=3Dy
+CONFIG_SND_SEQ_MIDI_EVENT=3Dm
+CONFIG_SND_SEQ_MIDI=3Dm
+CONFIG_SND_SEQ_MIDI_EMUL=3Dm
+CONFIG_SND_MPU401_UART=3Dm
+CONFIG_SND_OPL3_LIB=3Dm
+CONFIG_SND_OPL3_LIB_SEQ=3Dm
+CONFIG_SND_AC97_CODEC=3Dm
+CONFIG_SND_DRIVERS=3Dy
+# CONFIG_SND_DUMMY is not set
+CONFIG_SND_ALOOP=3Dm
+# CONFIG_SND_VIRMIDI is not set
+# CONFIG_SND_MTPAV is not set
+CONFIG_SND_MTS64=3Dm
+# CONFIG_SND_SERIAL_U16550 is not set
+# CONFIG_SND_MPU401 is not set
+CONFIG_SND_PORTMAN2X4=3Dm
+CONFIG_SND_AC97_POWER_SAVE=3Dy
+CONFIG_SND_AC97_POWER_SAVE_DEFAULT=3D0
+CONFIG_SND_PCI=3Dy
+CONFIG_SND_AD1889=3Dm
+# CONFIG_SND_ATIIXP is not set
+# CONFIG_SND_ATIIXP_MODEM is not set
+# CONFIG_SND_AU8810 is not set
+# CONFIG_SND_AU8820 is not set
+# CONFIG_SND_AU8830 is not set
+# CONFIG_SND_AW2 is not set
+# CONFIG_SND_BT87X is not set
+# CONFIG_SND_CA0106 is not set
+# CONFIG_SND_CMIPCI is not set
+CONFIG_SND_OXYGEN_LIB=3Dm
+CONFIG_SND_OXYGEN=3Dm
+# CONFIG_SND_CS4281 is not set
+# CONFIG_SND_CS46XX is not set
+CONFIG_SND_CTXFI=3Dm
+CONFIG_SND_DARLA20=3Dm
+CONFIG_SND_GINA20=3Dm
+CONFIG_SND_LAYLA20=3Dm
+CONFIG_SND_DARLA24=3Dm
+CONFIG_SND_GINA24=3Dm
+CONFIG_SND_LAYLA24=3Dm
+CONFIG_SND_MONA=3Dm
+CONFIG_SND_MIA=3Dm
+CONFIG_SND_ECHO3G=3Dm
+CONFIG_SND_INDIGO=3Dm
+CONFIG_SND_INDIGOIO=3Dm
+CONFIG_SND_INDIGODJ=3Dm
+CONFIG_SND_INDIGOIOX=3Dm
+CONFIG_SND_INDIGODJX=3Dm
+# CONFIG_SND_ENS1370 is not set
+# CONFIG_SND_ENS1371 is not set
+# CONFIG_SND_FM801 is not set
+# CONFIG_SND_HDSP is not set
+CONFIG_SND_HDSPM=3Dm
+# CONFIG_SND_ICE1724 is not set
+# CONFIG_SND_INTEL8X0 is not set
+# CONFIG_SND_INTEL8X0M is not set
+# CONFIG_SND_KORG1212 is not set
+CONFIG_SND_LOLA=3Dm
+# CONFIG_SND_MIXART is not set
+# CONFIG_SND_NM256 is not set
+CONFIG_SND_PCXHR=3Dm
+CONFIG_SND_RIPTIDE=3Dm
+# CONFIG_SND_RME32 is not set
+# CONFIG_SND_RME96 is not set
+# CONFIG_SND_RME9652 is not set
+# CONFIG_SND_VIA82XX is not set
+# CONFIG_SND_VIA82XX_MODEM is not set
+CONFIG_SND_VIRTUOSO=3Dm
+# CONFIG_SND_VX222 is not set
+# CONFIG_SND_YMFPCI is not set
+
+#
+# HD-Audio
+#
+CONFIG_SND_HDA=3Dm
+# CONFIG_SND_HDA_INTEL is not set
+CONFIG_SND_HDA_TEGRA=3Dm
+CONFIG_SND_HDA_HWDEP=3Dy
+CONFIG_SND_HDA_RECONFIG=3Dy
+CONFIG_SND_HDA_INPUT_BEEP=3Dy
+CONFIG_SND_HDA_INPUT_BEEP_MODE=3D1
+CONFIG_SND_HDA_PATCH_LOADER=3Dy
+CONFIG_SND_HDA_CODEC_REALTEK=3Dm
+CONFIG_SND_HDA_CODEC_ANALOG=3Dm
+CONFIG_SND_HDA_CODEC_SIGMATEL=3Dm
+CONFIG_SND_HDA_CODEC_VIA=3Dm
+CONFIG_SND_HDA_CODEC_HDMI=3Dm
+CONFIG_SND_HDA_CODEC_CIRRUS=3Dm
+CONFIG_SND_HDA_CODEC_CONEXANT=3Dm
+CONFIG_SND_HDA_CODEC_CA0110=3Dm
+CONFIG_SND_HDA_CODEC_CA0132=3Dm
+CONFIG_SND_HDA_CODEC_CA0132_DSP=3Dy
+CONFIG_SND_HDA_CODEC_CMEDIA=3Dm
+CONFIG_SND_HDA_CODEC_SI3054=3Dm
+CONFIG_SND_HDA_GENERIC=3Dm
+CONFIG_SND_HDA_POWER_SAVE_DEFAULT=3D0
+# end of HD-Audio
+
+CONFIG_SND_HDA_CORE=3Dm
+CONFIG_SND_HDA_DSP_LOADER=3Dy
+CONFIG_SND_HDA_ALIGNED_MMIO=3Dy
+CONFIG_SND_HDA_PREALLOC_SIZE=3D2048
+CONFIG_SND_ARM=3Dy
+# CONFIG_SND_ARMAACI is not set
+CONFIG_SND_SPI=3Dy
+CONFIG_SND_USB=3Dy
+CONFIG_SND_USB_AUDIO=3Dm
+CONFIG_SND_USB_AUDIO_USE_MEDIA_CONTROLLER=3Dy
+CONFIG_SND_USB_UA101=3Dm
+CONFIG_SND_USB_CAIAQ=3Dm
+CONFIG_SND_USB_CAIAQ_INPUT=3Dy
+CONFIG_SND_USB_6FIRE=3Dm
+CONFIG_SND_USB_HIFACE=3Dm
+CONFIG_SND_BCD2000=3Dm
+CONFIG_SND_USB_LINE6=3Dm
+CONFIG_SND_USB_POD=3Dm
+CONFIG_SND_USB_PODHD=3Dm
+CONFIG_SND_USB_TONEPORT=3Dm
+CONFIG_SND_USB_VARIAX=3Dm
+CONFIG_SND_FIREWIRE=3Dy
+CONFIG_SND_FIREWIRE_LIB=3Dm
+CONFIG_SND_DICE=3Dm
+CONFIG_SND_OXFW=3Dm
+CONFIG_SND_ISIGHT=3Dm
+CONFIG_SND_FIREWORKS=3Dm
+CONFIG_SND_BEBOB=3Dm
+CONFIG_SND_FIREWIRE_DIGI00X=3Dm
+CONFIG_SND_FIREWIRE_TASCAM=3Dm
+# CONFIG_SND_FIREWIRE_MOTU is not set
+# CONFIG_SND_FIREFACE is not set
+CONFIG_SND_SOC=3Dm
+CONFIG_SND_SOC_AC97_BUS=3Dy
+CONFIG_SND_SOC_GENERIC_DMAENGINE_PCM=3Dy
+# CONFIG_SND_SOC_AMD_ACP is not set
+# CONFIG_SND_ATMEL_SOC is not set
+CONFIG_SND_BCM2835_SOC_I2S=3Dm
+# CONFIG_SND_DESIGNWARE_I2S is not set
+
+#
+# SoC Audio for Freescale CPUs
+#
+
+#
+# Common SoC Audio options for Freescale CPUs:
+#
+CONFIG_SND_SOC_FSL_ASRC=3Dm
+CONFIG_SND_SOC_FSL_SAI=3Dm
+CONFIG_SND_SOC_FSL_AUDMIX=3Dm
+CONFIG_SND_SOC_FSL_SSI=3Dm
+CONFIG_SND_SOC_FSL_SPDIF=3Dm
+# CONFIG_SND_SOC_FSL_ESAI is not set
+CONFIG_SND_SOC_FSL_MICFIL=3Dm
+CONFIG_SND_SOC_FSL_UTILS=3Dm
+CONFIG_SND_SOC_IMX_PCM_DMA=3Dm
+CONFIG_SND_SOC_IMX_AUDMUX=3Dm
+CONFIG_SND_IMX_SOC=3Dm
+CONFIG_SND_SOC_IMX_PCM_FIQ=3Dm
+CONFIG_SND_SOC_IMX_SSI=3Dm
+
+#
+# SoC Audio support for Freescale i.MX boards:
+#
+CONFIG_SND_SOC_EUKREA_TLV320=3Dm
+CONFIG_SND_SOC_IMX_ES8328=3Dm
+CONFIG_SND_SOC_IMX_SGTL5000=3Dm
+CONFIG_SND_SOC_IMX_SPDIF=3Dm
+CONFIG_SND_SOC_IMX_MC13783=3Dm
+# CONFIG_SND_SOC_FSL_ASOC_CARD is not set
+CONFIG_SND_SOC_IMX_AUDMIX=3Dm
+# end of SoC Audio for Freescale CPUs
+
+# CONFIG_SND_I2S_HI6210_I2S is not set
+# CONFIG_SND_KIRKWOOD_SOC is not set
+# CONFIG_SND_SOC_IMG is not set
+# CONFIG_SND_SOC_MTK_BTCVSD is not set
+CONFIG_SND_SOC_ROCKCHIP=3Dm
+CONFIG_SND_SOC_ROCKCHIP_I2S=3Dm
+# CONFIG_SND_SOC_ROCKCHIP_PDM is not set
+CONFIG_SND_SOC_ROCKCHIP_SPDIF=3Dm
+CONFIG_SND_SOC_ROCKCHIP_MAX98090=3Dm
+CONFIG_SND_SOC_ROCKCHIP_RT5645=3Dm
+# CONFIG_SND_SOC_RK3288_HDMI_ANALOG is not set
+# CONFIG_SND_SOC_RK3399_GRU_SOUND is not set
+# CONFIG_SND_SOC_SAMSUNG is not set
+# CONFIG_SND_SOC_SOF_TOPLEVEL is not set
+
+#
+# STMicroelectronics STM32 SOC audio support
+#
+# end of STMicroelectronics STM32 SOC audio support
+
+#
+# Allwinner SoC Audio support
+#
+CONFIG_SND_SUN4I_CODEC=3Dm
+# CONFIG_SND_SUN8I_CODEC is not set
+# CONFIG_SND_SUN8I_CODEC_ANALOG is not set
+# CONFIG_SND_SUN4I_I2S is not set
+CONFIG_SND_SUN4I_SPDIF=3Dm
+# end of Allwinner SoC Audio support
+
+CONFIG_SND_SOC_TEGRA=3Dm
+CONFIG_SND_SOC_TEGRA20_AC97=3Dm
+CONFIG_SND_SOC_TEGRA20_DAS=3Dm
+CONFIG_SND_SOC_TEGRA20_I2S=3Dm
+CONFIG_SND_SOC_TEGRA20_SPDIF=3Dm
+CONFIG_SND_SOC_TEGRA30_AHUB=3Dm
+CONFIG_SND_SOC_TEGRA30_I2S=3Dm
+CONFIG_SND_SOC_TEGRA_RT5640=3Dm
+CONFIG_SND_SOC_TEGRA_WM8753=3Dm
+CONFIG_SND_SOC_TEGRA_WM8903=3Dm
+CONFIG_SND_SOC_TEGRA_WM9712=3Dm
+CONFIG_SND_SOC_TEGRA_TRIMSLICE=3Dm
+CONFIG_SND_SOC_TEGRA_ALC5632=3Dm
+CONFIG_SND_SOC_TEGRA_MAX98090=3Dm
+CONFIG_SND_SOC_TEGRA_RT5677=3Dm
+# CONFIG_SND_SOC_TEGRA_SGTL5000 is not set
+
+#
+# Audio support for Texas Instruments SoCs
+#
+CONFIG_SND_SOC_TI_EDMA_PCM=3Dm
+CONFIG_SND_SOC_TI_SDMA_PCM=3Dm
+
+#
+# Texas Instruments DAI support for:
+#
+CONFIG_SND_SOC_DAVINCI_MCASP=3Dm
+CONFIG_SND_SOC_OMAP_DMIC=3Dm
+CONFIG_SND_SOC_OMAP_MCBSP=3Dm
+CONFIG_SND_SOC_OMAP_MCPDM=3Dm
+
+#
+# Audio support for boards with Texas Instruments SoCs
+#
+CONFIG_SND_SOC_NOKIA_RX51=3Dm
+CONFIG_SND_SOC_OMAP3_PANDORA=3Dm
+CONFIG_SND_SOC_OMAP3_TWL4030=3Dm
+CONFIG_SND_SOC_OMAP_ABE_TWL6040=3Dm
+CONFIG_SND_SOC_OMAP_HDMI=3Dm
+# end of Audio support for Texas Instruments SoCs
+
+# CONFIG_SND_SOC_XILINX_I2S is not set
+# CONFIG_SND_SOC_XILINX_AUDIO_FORMATTER is not set
+# CONFIG_SND_SOC_XILINX_SPDIF is not set
+# CONFIG_SND_SOC_XTFPGA_I2S is not set
+# CONFIG_ZX_TDM is not set
+CONFIG_SND_SOC_I2C_AND_SPI=3Dm
+
+#
+# CODEC drivers
+#
+# CONFIG_SND_SOC_AC97_CODEC is not set
+# CONFIG_SND_SOC_ADAU1701 is not set
+# CONFIG_SND_SOC_ADAU1761_I2C is not set
+# CONFIG_SND_SOC_ADAU1761_SPI is not set
+# CONFIG_SND_SOC_ADAU7002 is not set
+# CONFIG_SND_SOC_AK4104 is not set
+# CONFIG_SND_SOC_AK4118 is not set
+# CONFIG_SND_SOC_AK4458 is not set
+# CONFIG_SND_SOC_AK4554 is not set
+# CONFIG_SND_SOC_AK4613 is not set
+# CONFIG_SND_SOC_AK4642 is not set
+# CONFIG_SND_SOC_AK5386 is not set
+# CONFIG_SND_SOC_AK5558 is not set
+# CONFIG_SND_SOC_ALC5623 is not set
+CONFIG_SND_SOC_ALC5632=3Dm
+# CONFIG_SND_SOC_BD28623 is not set
+# CONFIG_SND_SOC_BT_SCO is not set
+CONFIG_SND_SOC_CROS_EC_CODEC=3Dm
+# CONFIG_SND_SOC_CS35L32 is not set
+# CONFIG_SND_SOC_CS35L33 is not set
+# CONFIG_SND_SOC_CS35L34 is not set
+# CONFIG_SND_SOC_CS35L35 is not set
+# CONFIG_SND_SOC_CS35L36 is not set
+# CONFIG_SND_SOC_CS42L42 is not set
+# CONFIG_SND_SOC_CS42L51_I2C is not set
+# CONFIG_SND_SOC_CS42L52 is not set
+# CONFIG_SND_SOC_CS42L56 is not set
+# CONFIG_SND_SOC_CS42L73 is not set
+# CONFIG_SND_SOC_CS4265 is not set
+# CONFIG_SND_SOC_CS4270 is not set
+# CONFIG_SND_SOC_CS4271_I2C is not set
+# CONFIG_SND_SOC_CS4271_SPI is not set
+# CONFIG_SND_SOC_CS42XX8_I2C is not set
+# CONFIG_SND_SOC_CS43130 is not set
+# CONFIG_SND_SOC_CS4341 is not set
+# CONFIG_SND_SOC_CS4349 is not set
+# CONFIG_SND_SOC_CS53L30 is not set
+# CONFIG_SND_SOC_CX2072X is not set
+CONFIG_SND_SOC_DMIC=3Dm
+CONFIG_SND_SOC_HDMI_CODEC=3Dm
+# CONFIG_SND_SOC_ES7134 is not set
+# CONFIG_SND_SOC_ES7241 is not set
+# CONFIG_SND_SOC_ES8316 is not set
+CONFIG_SND_SOC_ES8328=3Dm
+CONFIG_SND_SOC_ES8328_I2C=3Dm
+CONFIG_SND_SOC_ES8328_SPI=3Dm
+# CONFIG_SND_SOC_GTM601 is not set
+# CONFIG_SND_SOC_INNO_RK3036 is not set
+# CONFIG_SND_SOC_MAX98088 is not set
+CONFIG_SND_SOC_MAX98090=3Dm
+# CONFIG_SND_SOC_MAX98357A is not set
+# CONFIG_SND_SOC_MAX98504 is not set
+# CONFIG_SND_SOC_MAX9867 is not set
+# CONFIG_SND_SOC_MAX98927 is not set
+# CONFIG_SND_SOC_MAX98373 is not set
+# CONFIG_SND_SOC_MAX9860 is not set
+# CONFIG_SND_SOC_MSM8916_WCD_DIGITAL is not set
+# CONFIG_SND_SOC_PCM1681 is not set
+# CONFIG_SND_SOC_PCM1789_I2C is not set
+# CONFIG_SND_SOC_PCM179X_I2C is not set
+# CONFIG_SND_SOC_PCM179X_SPI is not set
+# CONFIG_SND_SOC_PCM186X_I2C is not set
+# CONFIG_SND_SOC_PCM186X_SPI is not set
+# CONFIG_SND_SOC_PCM3060_I2C is not set
+# CONFIG_SND_SOC_PCM3060_SPI is not set
+# CONFIG_SND_SOC_PCM3168A_I2C is not set
+# CONFIG_SND_SOC_PCM3168A_SPI is not set
+# CONFIG_SND_SOC_PCM512x_I2C is not set
+# CONFIG_SND_SOC_PCM512x_SPI is not set
+CONFIG_SND_SOC_RK3328=3Dm
+CONFIG_SND_SOC_RL6231=3Dm
+# CONFIG_SND_SOC_RT5616 is not set
+# CONFIG_SND_SOC_RT5631 is not set
+CONFIG_SND_SOC_RT5640=3Dm
+CONFIG_SND_SOC_RT5645=3Dm
+CONFIG_SND_SOC_RT5677=3Dm
+CONFIG_SND_SOC_RT5677_SPI=3Dm
+CONFIG_SND_SOC_SGTL5000=3Dm
+# CONFIG_SND_SOC_SIMPLE_AMPLIFIER is not set
+# CONFIG_SND_SOC_SIRF_AUDIO_CODEC is not set
+# CONFIG_SND_SOC_SPDIF is not set
+# CONFIG_SND_SOC_SSM2305 is not set
+# CONFIG_SND_SOC_SSM2602_SPI is not set
+# CONFIG_SND_SOC_SSM2602_I2C is not set
+# CONFIG_SND_SOC_SSM4567 is not set
+# CONFIG_SND_SOC_STA32X is not set
+# CONFIG_SND_SOC_STA350 is not set
+# CONFIG_SND_SOC_STI_SAS is not set
+# CONFIG_SND_SOC_TAS2552 is not set
+# CONFIG_SND_SOC_TAS5086 is not set
+# CONFIG_SND_SOC_TAS571X is not set
+# CONFIG_SND_SOC_TAS5720 is not set
+# CONFIG_SND_SOC_TAS6424 is not set
+# CONFIG_SND_SOC_TDA7419 is not set
+# CONFIG_SND_SOC_TFA9879 is not set
+CONFIG_SND_SOC_TLV320AIC23=3Dm
+CONFIG_SND_SOC_TLV320AIC23_I2C=3Dm
+# CONFIG_SND_SOC_TLV320AIC23_SPI is not set
+# CONFIG_SND_SOC_TLV320AIC31XX is not set
+# CONFIG_SND_SOC_TLV320AIC32X4_I2C is not set
+# CONFIG_SND_SOC_TLV320AIC32X4_SPI is not set
+CONFIG_SND_SOC_TLV320AIC3X=3Dm
+CONFIG_SND_SOC_TS3A227E=3Dm
+# CONFIG_SND_SOC_TSCS42XX is not set
+# CONFIG_SND_SOC_TSCS454 is not set
+CONFIG_SND_SOC_TWL4030=3Dm
+CONFIG_SND_SOC_TWL6040=3Dm
+# CONFIG_SND_SOC_UDA1334 is not set
+# CONFIG_SND_SOC_WM8510 is not set
+# CONFIG_SND_SOC_WM8523 is not set
+# CONFIG_SND_SOC_WM8524 is not set
+# CONFIG_SND_SOC_WM8580 is not set
+# CONFIG_SND_SOC_WM8711 is not set
+# CONFIG_SND_SOC_WM8728 is not set
+# CONFIG_SND_SOC_WM8731 is not set
+# CONFIG_SND_SOC_WM8737 is not set
+# CONFIG_SND_SOC_WM8741 is not set
+# CONFIG_SND_SOC_WM8750 is not set
+CONFIG_SND_SOC_WM8753=3Dm
+# CONFIG_SND_SOC_WM8770 is not set
+# CONFIG_SND_SOC_WM8776 is not set
+# CONFIG_SND_SOC_WM8782 is not set
+# CONFIG_SND_SOC_WM8804_I2C is not set
+# CONFIG_SND_SOC_WM8804_SPI is not set
+CONFIG_SND_SOC_WM8903=3Dm
+CONFIG_SND_SOC_WM8904=3Dm
+# CONFIG_SND_SOC_WM8960 is not set
+# CONFIG_SND_SOC_WM8962 is not set
+# CONFIG_SND_SOC_WM8974 is not set
+# CONFIG_SND_SOC_WM8978 is not set
+# CONFIG_SND_SOC_WM8985 is not set
+CONFIG_SND_SOC_WM9712=3Dm
+# CONFIG_SND_SOC_ZX_AUD96P22 is not set
+# CONFIG_SND_SOC_MAX9759 is not set
+CONFIG_SND_SOC_MC13783=3Dm
+# CONFIG_SND_SOC_MT6351 is not set
+# CONFIG_SND_SOC_MT6358 is not set
+# CONFIG_SND_SOC_NAU8540 is not set
+# CONFIG_SND_SOC_NAU8810 is not set
+# CONFIG_SND_SOC_NAU8822 is not set
+# CONFIG_SND_SOC_NAU8824 is not set
+CONFIG_SND_SOC_TPA6130A2=3Dm
+# end of CODEC drivers
+
+CONFIG_SND_SIMPLE_CARD_UTILS=3Dm
+CONFIG_SND_SIMPLE_CARD=3Dm
+# CONFIG_SND_AUDIO_GRAPH_CARD is not set
+# CONFIG_SND_XEN_FRONTEND is not set
+CONFIG_AC97_BUS=3Dm
+
+#
+# HID support
+#
+CONFIG_HID=3Dm
+CONFIG_HID_BATTERY_STRENGTH=3Dy
+CONFIG_HIDRAW=3Dy
+CONFIG_UHID=3Dm
+CONFIG_HID_GENERIC=3Dm
+
+#
+# Special HID drivers
+#
+CONFIG_HID_A4TECH=3Dm
+# CONFIG_HID_ACCUTOUCH is not set
+CONFIG_HID_ACRUX=3Dm
+CONFIG_HID_ACRUX_FF=3Dy
+CONFIG_HID_APPLE=3Dm
+# CONFIG_HID_APPLEIR is not set
+CONFIG_HID_ASUS=3Dm
+CONFIG_HID_AUREAL=3Dm
+CONFIG_HID_BELKIN=3Dm
+CONFIG_HID_BETOP_FF=3Dm
+# CONFIG_HID_BIGBEN_FF is not set
+CONFIG_HID_CHERRY=3Dm
+CONFIG_HID_CHICONY=3Dm
+CONFIG_HID_CORSAIR=3Dm
+CONFIG_HID_COUGAR=3Dm
+CONFIG_HID_MACALLY=3Dm
+CONFIG_HID_PRODIKEYS=3Dm
+CONFIG_HID_CMEDIA=3Dm
+CONFIG_HID_CP2112=3Dm
+CONFIG_HID_CREATIVE_SB0540=3Dm
+CONFIG_HID_CYPRESS=3Dm
+CONFIG_HID_DRAGONRISE=3Dm
+CONFIG_DRAGONRISE_FF=3Dy
+CONFIG_HID_EMS_FF=3Dm
+# CONFIG_HID_ELAN is not set
+CONFIG_HID_ELECOM=3Dm
+CONFIG_HID_ELO=3Dm
+CONFIG_HID_EZKEY=3Dm
+CONFIG_HID_GEMBIRD=3Dm
+# CONFIG_HID_GFRM is not set
+CONFIG_HID_HOLTEK=3Dm
+CONFIG_HOLTEK_FF=3Dy
+# CONFIG_HID_GOOGLE_HAMMER is not set
+# CONFIG_HID_GT683R is not set
+CONFIG_HID_KEYTOUCH=3Dm
+CONFIG_HID_KYE=3Dm
+CONFIG_HID_UCLOGIC=3Dm
+CONFIG_HID_WALTOP=3Dm
+# CONFIG_HID_VIEWSONIC is not set
+CONFIG_HID_GYRATION=3Dm
+CONFIG_HID_ICADE=3Dm
+# CONFIG_HID_ITE is not set
+CONFIG_HID_JABRA=3Dm
+CONFIG_HID_TWINHAN=3Dm
+CONFIG_HID_KENSINGTON=3Dm
+CONFIG_HID_LCPOWER=3Dm
+CONFIG_HID_LED=3Dm
+CONFIG_HID_LENOVO=3Dm
+CONFIG_HID_LOGITECH=3Dm
+CONFIG_HID_LOGITECH_DJ=3Dm
+CONFIG_HID_LOGITECH_HIDPP=3Dm
+CONFIG_LOGITECH_FF=3Dy
+CONFIG_LOGIRUMBLEPAD2_FF=3Dy
+CONFIG_LOGIG940_FF=3Dy
+CONFIG_LOGIWHEELS_FF=3Dy
+CONFIG_HID_MAGICMOUSE=3Dm
+# CONFIG_HID_MALTRON is not set
+# CONFIG_HID_MAYFLASH is not set
+# CONFIG_HID_REDRAGON is not set
+CONFIG_HID_MICROSOFT=3Dm
+CONFIG_HID_MONTEREY=3Dm
+CONFIG_HID_MULTITOUCH=3Dm
+# CONFIG_HID_NTI is not set
+CONFIG_HID_NTRIG=3Dm
+CONFIG_HID_ORTEK=3Dm
+CONFIG_HID_PANTHERLORD=3Dm
+CONFIG_PANTHERLORD_FF=3Dy
+CONFIG_HID_PENMOUNT=3Dm
+CONFIG_HID_PETALYNX=3Dm
+CONFIG_HID_PICOLCD=3Dm
+CONFIG_HID_PICOLCD_FB=3Dy
+CONFIG_HID_PICOLCD_BACKLIGHT=3Dy
+CONFIG_HID_PICOLCD_LEDS=3Dy
+CONFIG_HID_PICOLCD_CIR=3Dy
+CONFIG_HID_PLANTRONICS=3Dm
+CONFIG_HID_PRIMAX=3Dm
+# CONFIG_HID_RETRODE is not set
+CONFIG_HID_ROCCAT=3Dm
+CONFIG_HID_SAITEK=3Dm
+CONFIG_HID_SAMSUNG=3Dm
+CONFIG_HID_SONY=3Dm
+CONFIG_SONY_FF=3Dy
+CONFIG_HID_SPEEDLINK=3Dm
+# CONFIG_HID_STEAM is not set
+CONFIG_HID_STEELSERIES=3Dm
+CONFIG_HID_SUNPLUS=3Dm
+CONFIG_HID_RMI=3Dm
+CONFIG_HID_GREENASIA=3Dm
+CONFIG_GREENASIA_FF=3Dy
+CONFIG_HID_SMARTJOYPLUS=3Dm
+CONFIG_SMARTJOYPLUS_FF=3Dy
+CONFIG_HID_TIVO=3Dm
+CONFIG_HID_TOPSEED=3Dm
+CONFIG_HID_THINGM=3Dm
+CONFIG_HID_THRUSTMASTER=3Dm
+CONFIG_THRUSTMASTER_FF=3Dy
+# CONFIG_HID_UDRAW_PS3 is not set
+CONFIG_HID_U2FZERO=3Dm
+CONFIG_HID_WACOM=3Dm
+CONFIG_HID_WIIMOTE=3Dm
+CONFIG_HID_XINMO=3Dm
+CONFIG_HID_ZEROPLUS=3Dm
+CONFIG_ZEROPLUS_FF=3Dy
+CONFIG_HID_ZYDACRON=3Dm
+CONFIG_HID_SENSOR_HUB=3Dm
+CONFIG_HID_SENSOR_CUSTOM_SENSOR=3Dm
+CONFIG_HID_ALPS=3Dm
+# end of Special HID drivers
+
+#
+# USB HID support
+#
+CONFIG_USB_HID=3Dm
+CONFIG_HID_PID=3Dy
+CONFIG_USB_HIDDEV=3Dy
+
+#
+# USB HID Boot Protocol drivers
+#
+# CONFIG_USB_KBD is not set
+# CONFIG_USB_MOUSE is not set
+# end of USB HID Boot Protocol drivers
+# end of USB HID support
+
+#
+# I2C HID support
+#
+# CONFIG_I2C_HID is not set
+# end of I2C HID support
+# end of HID support
+
+CONFIG_USB_OHCI_LITTLE_ENDIAN=3Dy
+CONFIG_USB_SUPPORT=3Dy
+CONFIG_USB_COMMON=3Dy
+CONFIG_USB_LED_TRIG=3Dy
+CONFIG_USB_ULPI_BUS=3Dm
+CONFIG_USB_CONN_GPIO=3Dm
+CONFIG_USB_ARCH_HAS_HCD=3Dy
+CONFIG_USB=3Dm
+CONFIG_USB_PCI=3Dy
+CONFIG_USB_ANNOUNCE_NEW_DEVICES=3Dy
+
+#
+# Miscellaneous USB options
+#
+CONFIG_USB_DEFAULT_PERSIST=3Dy
+CONFIG_USB_DYNAMIC_MINORS=3Dy
+# CONFIG_USB_OTG is not set
+# CONFIG_USB_OTG_WHITELIST is not set
+# CONFIG_USB_OTG_BLACKLIST_HUB is not set
+CONFIG_USB_LEDS_TRIGGER_USBPORT=3Dm
+CONFIG_USB_AUTOSUSPEND_DELAY=3D2
+CONFIG_USB_MON=3Dm
+
+#
+# USB Host Controller Drivers
+#
+# CONFIG_USB_C67X00_HCD is not set
+CONFIG_USB_XHCI_HCD=3Dm
+# CONFIG_USB_XHCI_DBGCAP is not set
+CONFIG_USB_XHCI_PCI=3Dm
+CONFIG_USB_XHCI_PLATFORM=3Dm
+CONFIG_USB_XHCI_MVEBU=3Dm
+CONFIG_USB_XHCI_TEGRA=3Dm
+CONFIG_USB_EHCI_HCD=3Dm
+CONFIG_USB_EHCI_ROOT_HUB_TT=3Dy
+CONFIG_USB_EHCI_TT_NEWSCHED=3Dy
+CONFIG_USB_EHCI_PCI=3Dm
+CONFIG_USB_EHCI_FSL=3Dm
+CONFIG_USB_EHCI_MXC=3Dm
+CONFIG_USB_EHCI_HCD_OMAP=3Dm
+CONFIG_USB_EHCI_HCD_ORION=3Dm
+CONFIG_USB_EHCI_TEGRA=3Dm
+CONFIG_USB_EHCI_EXYNOS=3Dm
+CONFIG_USB_EHCI_HCD_PLATFORM=3Dm
+# CONFIG_USB_OXU210HP_HCD is not set
+# CONFIG_USB_ISP116X_HCD is not set
+# CONFIG_USB_FOTG210_HCD is not set
+# CONFIG_USB_MAX3421_HCD is not set
+CONFIG_USB_OHCI_HCD=3Dm
+CONFIG_USB_OHCI_HCD_OMAP3=3Dm
+CONFIG_USB_OHCI_HCD_PCI=3Dm
+# CONFIG_USB_OHCI_HCD_SSB is not set
+CONFIG_USB_OHCI_EXYNOS=3Dm
+CONFIG_USB_OHCI_HCD_PLATFORM=3Dm
+# CONFIG_USB_UHCI_HCD is not set
+CONFIG_USB_UHCI_SUPPORT_NON_PCI_HC=3Dy
+CONFIG_USB_UHCI_PLATFORM=3Dy
+CONFIG_USB_U132_HCD=3Dm
+# CONFIG_USB_SL811_HCD is not set
+# CONFIG_USB_R8A66597_HCD is not set
+# CONFIG_USB_IMX21_HCD is not set
+# CONFIG_USB_HCD_BCMA is not set
+# CONFIG_USB_HCD_SSB is not set
+# CONFIG_USB_HCD_TEST_MODE is not set
+
+#
+# USB Device Class drivers
+#
+CONFIG_USB_ACM=3Dm
+CONFIG_USB_PRINTER=3Dm
+CONFIG_USB_WDM=3Dm
+CONFIG_USB_TMC=3Dm
+
+#
+# NOTE: USB_STORAGE depends on SCSI but BLK_DEV_SD may
+#
+
+#
+# also be needed; see USB_STORAGE Help for more info
+#
+CONFIG_USB_STORAGE=3Dm
+# CONFIG_USB_STORAGE_DEBUG is not set
+CONFIG_USB_STORAGE_REALTEK=3Dm
+CONFIG_REALTEK_AUTOPM=3Dy
+CONFIG_USB_STORAGE_DATAFAB=3Dm
+CONFIG_USB_STORAGE_FREECOM=3Dm
+CONFIG_USB_STORAGE_ISD200=3Dm
+CONFIG_USB_STORAGE_USBAT=3Dm
+CONFIG_USB_STORAGE_SDDR09=3Dm
+CONFIG_USB_STORAGE_SDDR55=3Dm
+CONFIG_USB_STORAGE_JUMPSHOT=3Dm
+CONFIG_USB_STORAGE_ALAUDA=3Dm
+CONFIG_USB_STORAGE_ONETOUCH=3Dm
+CONFIG_USB_STORAGE_KARMA=3Dm
+CONFIG_USB_STORAGE_CYPRESS_ATACB=3Dm
+CONFIG_USB_STORAGE_ENE_UB6250=3Dm
+CONFIG_USB_UAS=3Dm
+
+#
+# USB Imaging devices
+#
+CONFIG_USB_MDC800=3Dm
+CONFIG_USB_MICROTEK=3Dm
+# CONFIG_USBIP_CORE is not set
+CONFIG_USB_CDNS3=3Dm
+# CONFIG_USB_CDNS3_GADGET is not set
+# CONFIG_USB_CDNS3_HOST is not set
+CONFIG_USB_MUSB_HDRC=3Dm
+# CONFIG_USB_MUSB_HOST is not set
+# CONFIG_USB_MUSB_GADGET is not set
+CONFIG_USB_MUSB_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Layer
+#
+CONFIG_USB_MUSB_SUNXI=3Dm
+CONFIG_USB_MUSB_TUSB6010=3Dm
+CONFIG_USB_MUSB_OMAP2PLUS=3Dm
+CONFIG_USB_MUSB_AM35X=3Dm
+CONFIG_USB_MUSB_DSPS=3Dm
+CONFIG_USB_MUSB_AM335X_CHILD=3Dm
+
+#
+# MUSB DMA mode
+#
+# CONFIG_MUSB_PIO_ONLY is not set
+CONFIG_USB_INVENTRA_DMA=3Dy
+CONFIG_USB_TI_CPPI41_DMA=3Dy
+CONFIG_USB_TUSB_OMAP_DMA=3Dy
+CONFIG_USB_DWC3=3Dm
+# CONFIG_USB_DWC3_ULPI is not set
+# CONFIG_USB_DWC3_HOST is not set
+# CONFIG_USB_DWC3_GADGET is not set
+CONFIG_USB_DWC3_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Driver Support
+#
+CONFIG_USB_DWC3_OMAP=3Dm
+CONFIG_USB_DWC3_EXYNOS=3Dm
+CONFIG_USB_DWC3_HAPS=3Dm
+CONFIG_USB_DWC3_OF_SIMPLE=3Dm
+CONFIG_USB_DWC2=3Dm
+# CONFIG_USB_DWC2_HOST is not set
+
+#
+# Gadget/Dual-role mode requires USB Gadget support to be enabled
+#
+# CONFIG_USB_DWC2_PERIPHERAL is not set
+CONFIG_USB_DWC2_DUAL_ROLE=3Dy
+# CONFIG_USB_DWC2_PCI is not set
+# CONFIG_USB_DWC2_DEBUG is not set
+# CONFIG_USB_DWC2_TRACK_MISSED_SOFS is not set
+CONFIG_USB_CHIPIDEA=3Dm
+CONFIG_USB_CHIPIDEA_OF=3Dm
+CONFIG_USB_CHIPIDEA_PCI=3Dm
+CONFIG_USB_CHIPIDEA_UDC=3Dy
+CONFIG_USB_CHIPIDEA_HOST=3Dy
+# CONFIG_USB_ISP1760 is not set
+
+#
+# USB port drivers
+#
+# CONFIG_USB_USS720 is not set
+CONFIG_USB_SERIAL=3Dm
+CONFIG_USB_SERIAL_GENERIC=3Dy
+CONFIG_USB_SERIAL_SIMPLE=3Dm
+CONFIG_USB_SERIAL_AIRCABLE=3Dm
+CONFIG_USB_SERIAL_ARK3116=3Dm
+CONFIG_USB_SERIAL_BELKIN=3Dm
+CONFIG_USB_SERIAL_CH341=3Dm
+CONFIG_USB_SERIAL_WHITEHEAT=3Dm
+CONFIG_USB_SERIAL_DIGI_ACCELEPORT=3Dm
+CONFIG_USB_SERIAL_CP210X=3Dm
+CONFIG_USB_SERIAL_CYPRESS_M8=3Dm
+CONFIG_USB_SERIAL_EMPEG=3Dm
+CONFIG_USB_SERIAL_FTDI_SIO=3Dm
+CONFIG_USB_SERIAL_VISOR=3Dm
+CONFIG_USB_SERIAL_IPAQ=3Dm
+CONFIG_USB_SERIAL_IR=3Dm
+CONFIG_USB_SERIAL_EDGEPORT=3Dm
+CONFIG_USB_SERIAL_EDGEPORT_TI=3Dm
+CONFIG_USB_SERIAL_F81232=3Dm
+# CONFIG_USB_SERIAL_F8153X is not set
+CONFIG_USB_SERIAL_GARMIN=3Dm
+CONFIG_USB_SERIAL_IPW=3Dm
+CONFIG_USB_SERIAL_IUU=3Dm
+CONFIG_USB_SERIAL_KEYSPAN_PDA=3Dm
+CONFIG_USB_SERIAL_KEYSPAN=3Dm
+CONFIG_USB_SERIAL_KLSI=3Dm
+CONFIG_USB_SERIAL_KOBIL_SCT=3Dm
+CONFIG_USB_SERIAL_MCT_U232=3Dm
+CONFIG_USB_SERIAL_METRO=3Dm
+CONFIG_USB_SERIAL_MOS7720=3Dm
+CONFIG_USB_SERIAL_MOS7715_PARPORT=3Dy
+CONFIG_USB_SERIAL_MOS7840=3Dm
+CONFIG_USB_SERIAL_MXUPORT=3Dm
+CONFIG_USB_SERIAL_NAVMAN=3Dm
+CONFIG_USB_SERIAL_PL2303=3Dm
+CONFIG_USB_SERIAL_OTI6858=3Dm
+CONFIG_USB_SERIAL_QCAUX=3Dm
+CONFIG_USB_SERIAL_QUALCOMM=3Dm
+CONFIG_USB_SERIAL_SPCP8X5=3Dm
+CONFIG_USB_SERIAL_SAFE=3Dm
+# CONFIG_USB_SERIAL_SAFE_PADDED is not set
+CONFIG_USB_SERIAL_SIERRAWIRELESS=3Dm
+CONFIG_USB_SERIAL_SYMBOL=3Dm
+CONFIG_USB_SERIAL_TI=3Dm
+CONFIG_USB_SERIAL_CYBERJACK=3Dm
+CONFIG_USB_SERIAL_XIRCOM=3Dm
+CONFIG_USB_SERIAL_WWAN=3Dm
+CONFIG_USB_SERIAL_OPTION=3Dm
+CONFIG_USB_SERIAL_OMNINET=3Dm
+CONFIG_USB_SERIAL_OPTICON=3Dm
+CONFIG_USB_SERIAL_XSENS_MT=3Dm
+CONFIG_USB_SERIAL_WISHBONE=3Dm
+CONFIG_USB_SERIAL_SSU100=3Dm
+CONFIG_USB_SERIAL_QT2=3Dm
+# CONFIG_USB_SERIAL_UPD78F0730 is not set
+CONFIG_USB_SERIAL_DEBUG=3Dm
+
+#
+# USB Miscellaneous drivers
+#
+CONFIG_USB_EMI62=3Dm
+CONFIG_USB_EMI26=3Dm
+CONFIG_USB_ADUTUX=3Dm
+CONFIG_USB_SEVSEG=3Dm
+CONFIG_USB_LEGOTOWER=3Dm
+CONFIG_USB_LCD=3Dm
+CONFIG_USB_CYPRESS_CY7C63=3Dm
+CONFIG_USB_CYTHERM=3Dm
+CONFIG_USB_IDMOUSE=3Dm
+CONFIG_USB_FTDI_ELAN=3Dm
+CONFIG_USB_APPLEDISPLAY=3Dm
+CONFIG_USB_SISUSBVGA=3Dm
+CONFIG_USB_SISUSBVGA_CON=3Dy
+CONFIG_USB_LD=3Dm
+CONFIG_USB_TRANCEVIBRATOR=3Dm
+CONFIG_USB_IOWARRIOR=3Dm
+CONFIG_USB_TEST=3Dm
+CONFIG_USB_EHSET_TEST_FIXTURE=3Dm
+CONFIG_USB_ISIGHTFW=3Dm
+CONFIG_USB_YUREX=3Dm
+CONFIG_USB_EZUSB_FX2=3Dm
+# CONFIG_USB_HUB_USB251XB is not set
+CONFIG_USB_HSIC_USB3503=3Dm
+# CONFIG_USB_HSIC_USB4604 is not set
+# CONFIG_USB_LINK_LAYER_TEST is not set
+CONFIG_USB_CHAOSKEY=3Dm
+# CONFIG_USB_ATM is not set
+
+#
+# USB Physical Layer drivers
+#
+CONFIG_USB_PHY=3Dy
+CONFIG_NOP_USB_XCEIV=3Dm
+CONFIG_AM335X_CONTROL_USB=3Dm
+CONFIG_AM335X_PHY_USB=3Dm
+CONFIG_TWL6030_USB=3Dm
+# CONFIG_USB_GPIO_VBUS is not set
+# CONFIG_USB_ISP1301 is not set
+CONFIG_USB_MXS_PHY=3Dm
+CONFIG_USB_TEGRA_PHY=3Dm
+CONFIG_USB_ULPI=3Dy
+CONFIG_USB_ULPI_VIEWPORT=3Dy
+# end of USB Physical Layer drivers
+
+CONFIG_USB_GADGET=3Dm
+# CONFIG_USB_GADGET_DEBUG is not set
+# CONFIG_USB_GADGET_DEBUG_FILES is not set
+# CONFIG_USB_GADGET_DEBUG_FS is not set
+CONFIG_USB_GADGET_VBUS_DRAW=3D2
+CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=3D2
+# CONFIG_U_SERIAL_CONSOLE is not set
+
+#
+# USB Peripheral Controller
+#
+# CONFIG_USB_FSL_USB2 is not set
+# CONFIG_USB_FUSB300 is not set
+# CONFIG_USB_FOTG210_UDC is not set
+# CONFIG_USB_GR_UDC is not set
+# CONFIG_USB_R8A66597 is not set
+# CONFIG_USB_PXA27X is not set
+# CONFIG_USB_MV_UDC is not set
+# CONFIG_USB_MV_U3D is not set
+# CONFIG_USB_SNP_UDC_PLAT is not set
+# CONFIG_USB_M66592 is not set
+# CONFIG_USB_BDC_UDC is not set
+# CONFIG_USB_AMD5536UDC is not set
+# CONFIG_USB_NET2272 is not set
+CONFIG_USB_NET2280=3Dm
+# CONFIG_USB_GOKU is not set
+# CONFIG_USB_EG20T is not set
+# CONFIG_USB_GADGET_XILINX is not set
+# CONFIG_USB_DUMMY_HCD is not set
+# end of USB Peripheral Controller
+
+CONFIG_USB_LIBCOMPOSITE=3Dm
+CONFIG_USB_F_ACM=3Dm
+CONFIG_USB_F_SS_LB=3Dm
+CONFIG_USB_U_SERIAL=3Dm
+CONFIG_USB_U_ETHER=3Dm
+CONFIG_USB_U_AUDIO=3Dm
+CONFIG_USB_F_SERIAL=3Dm
+CONFIG_USB_F_OBEX=3Dm
+CONFIG_USB_F_NCM=3Dm
+CONFIG_USB_F_ECM=3Dm
+CONFIG_USB_F_PHONET=3Dm
+CONFIG_USB_F_EEM=3Dm
+CONFIG_USB_F_SUBSET=3Dm
+CONFIG_USB_F_RNDIS=3Dm
+CONFIG_USB_F_MASS_STORAGE=3Dm
+CONFIG_USB_F_FS=3Dm
+CONFIG_USB_F_UAC1=3Dm
+CONFIG_USB_F_UAC2=3Dm
+CONFIG_USB_F_UVC=3Dm
+CONFIG_USB_F_MIDI=3Dm
+CONFIG_USB_F_HID=3Dm
+CONFIG_USB_F_PRINTER=3Dm
+CONFIG_USB_CONFIGFS=3Dm
+CONFIG_USB_CONFIGFS_SERIAL=3Dy
+CONFIG_USB_CONFIGFS_ACM=3Dy
+CONFIG_USB_CONFIGFS_OBEX=3Dy
+CONFIG_USB_CONFIGFS_NCM=3Dy
+CONFIG_USB_CONFIGFS_ECM=3Dy
+CONFIG_USB_CONFIGFS_ECM_SUBSET=3Dy
+CONFIG_USB_CONFIGFS_RNDIS=3Dy
+CONFIG_USB_CONFIGFS_EEM=3Dy
+CONFIG_USB_CONFIGFS_PHONET=3Dy
+CONFIG_USB_CONFIGFS_MASS_STORAGE=3Dy
+CONFIG_USB_CONFIGFS_F_LB_SS=3Dy
+CONFIG_USB_CONFIGFS_F_FS=3Dy
+CONFIG_USB_CONFIGFS_F_UAC1=3Dy
+# CONFIG_USB_CONFIGFS_F_UAC1_LEGACY is not set
+CONFIG_USB_CONFIGFS_F_UAC2=3Dy
+CONFIG_USB_CONFIGFS_F_MIDI=3Dy
+CONFIG_USB_CONFIGFS_F_HID=3Dy
+CONFIG_USB_CONFIGFS_F_UVC=3Dy
+CONFIG_USB_CONFIGFS_F_PRINTER=3Dy
+# CONFIG_USB_CONFIGFS_F_TCM is not set
+# CONFIG_USB_ZERO is not set
+# CONFIG_USB_AUDIO is not set
+CONFIG_USB_ETH=3Dm
+CONFIG_USB_ETH_RNDIS=3Dy
+# CONFIG_USB_ETH_EEM is not set
+# CONFIG_USB_G_NCM is not set
+CONFIG_USB_GADGETFS=3Dm
+CONFIG_USB_FUNCTIONFS=3Dm
+CONFIG_USB_FUNCTIONFS_ETH=3Dy
+CONFIG_USB_FUNCTIONFS_RNDIS=3Dy
+CONFIG_USB_FUNCTIONFS_GENERIC=3Dy
+# CONFIG_USB_MASS_STORAGE is not set
+# CONFIG_USB_GADGET_TARGET is not set
+CONFIG_USB_G_SERIAL=3Dm
+# CONFIG_USB_MIDI_GADGET is not set
+# CONFIG_USB_G_PRINTER is not set
+# CONFIG_USB_CDC_COMPOSITE is not set
+CONFIG_USB_G_NOKIA=3Dm
+# CONFIG_USB_G_ACM_MS is not set
+# CONFIG_USB_G_MULTI is not set
+# CONFIG_USB_G_HID is not set
+# CONFIG_USB_G_DBGP is not set
+# CONFIG_USB_G_WEBCAM is not set
+# CONFIG_TYPEC is not set
+CONFIG_USB_ROLE_SWITCH=3Dm
+CONFIG_MMC=3Dy
+CONFIG_PWRSEQ_EMMC=3Dy
+# CONFIG_PWRSEQ_SD8787 is not set
+CONFIG_PWRSEQ_SIMPLE=3Dy
+CONFIG_MMC_BLOCK=3Dy
+CONFIG_MMC_BLOCK_MINORS=3D256
+CONFIG_SDIO_UART=3Dm
+# CONFIG_MMC_TEST is not set
+
+#
+# MMC/SD/SDIO Host Controller Drivers
+#
+# CONFIG_MMC_DEBUG is not set
+CONFIG_MMC_ARMMMCI=3Dm
+CONFIG_MMC_STM32_SDMMC=3Dy
+CONFIG_MMC_SDHCI=3Dm
+CONFIG_MMC_SDHCI_IO_ACCESSORS=3Dy
+CONFIG_MMC_SDHCI_PCI=3Dm
+CONFIG_MMC_RICOH_MMC=3Dy
+CONFIG_MMC_SDHCI_PLTFM=3Dm
+# CONFIG_MMC_SDHCI_OF_ARASAN is not set
+# CONFIG_MMC_SDHCI_OF_ASPEED is not set
+# CONFIG_MMC_SDHCI_OF_AT91 is not set
+# CONFIG_MMC_SDHCI_OF_ESDHC is not set
+# CONFIG_MMC_SDHCI_OF_DWCMSHC is not set
+# CONFIG_MMC_SDHCI_CADENCE is not set
+CONFIG_MMC_SDHCI_ESDHC_IMX=3Dm
+CONFIG_MMC_SDHCI_TEGRA=3Dm
+CONFIG_MMC_SDHCI_S3C=3Dm
+CONFIG_MMC_SDHCI_PXAV3=3Dm
+# CONFIG_MMC_SDHCI_S3C_DMA is not set
+# CONFIG_MMC_SDHCI_F_SDH30 is not set
+CONFIG_MMC_SDHCI_IPROC=3Dm
+CONFIG_MMC_OMAP=3Dm
+CONFIG_MMC_OMAP_HS=3Dm
+CONFIG_MMC_ALCOR=3Dm
+# CONFIG_MMC_MXC is not set
+CONFIG_MMC_TIFM_SD=3Dm
+CONFIG_MMC_MVSDIO=3Dm
+CONFIG_MMC_SPI=3Dm
+CONFIG_MMC_CB710=3Dm
+CONFIG_MMC_VIA_SDMMC=3Dm
+CONFIG_MMC_DW=3Dm
+CONFIG_MMC_DW_PLTFM=3Dm
+# CONFIG_MMC_DW_BLUEFIELD is not set
+CONFIG_MMC_DW_EXYNOS=3Dm
+# CONFIG_MMC_DW_HI3798CV200 is not set
+# CONFIG_MMC_DW_K3 is not set
+# CONFIG_MMC_DW_PCI is not set
+CONFIG_MMC_DW_ROCKCHIP=3Dm
+CONFIG_MMC_VUB300=3Dm
+CONFIG_MMC_USHC=3Dm
+CONFIG_MMC_WMT=3Dm
+# CONFIG_MMC_USDHI6ROL0 is not set
+CONFIG_MMC_REALTEK_PCI=3Dm
+CONFIG_MMC_REALTEK_USB=3Dm
+CONFIG_MMC_SUNXI=3Dm
+CONFIG_MMC_CQHCI=3Dm
+CONFIG_MMC_TOSHIBA_PCI=3Dm
+CONFIG_MMC_BCM2835=3Dm
+# CONFIG_MMC_MTK is not set
+# CONFIG_MMC_SDHCI_XENON is not set
+# CONFIG_MMC_SDHCI_OMAP is not set
+CONFIG_MMC_SDHCI_AM654=3Dm
+CONFIG_MEMSTICK=3Dm
+# CONFIG_MEMSTICK_DEBUG is not set
+
+#
+# MemoryStick drivers
+#
+# CONFIG_MEMSTICK_UNSAFE_RESUME is not set
+CONFIG_MSPRO_BLOCK=3Dm
+# CONFIG_MS_BLOCK is not set
+
+#
+# MemoryStick Host Controller Drivers
+#
+CONFIG_MEMSTICK_TIFM_MS=3Dm
+CONFIG_MEMSTICK_JMICRON_38X=3Dm
+CONFIG_MEMSTICK_R592=3Dm
+CONFIG_MEMSTICK_REALTEK_PCI=3Dm
+CONFIG_MEMSTICK_REALTEK_USB=3Dm
+CONFIG_NEW_LEDS=3Dy
+CONFIG_LEDS_CLASS=3Dy
+# CONFIG_LEDS_CLASS_FLASH is not set
+# CONFIG_LEDS_BRIGHTNESS_HW_CHANGED is not set
+
+#
+# LED drivers
+#
+# CONFIG_LEDS_AN30259A is not set
+# CONFIG_LEDS_BCM6328 is not set
+# CONFIG_LEDS_BCM6358 is not set
+# CONFIG_LEDS_CR0014114 is not set
+# CONFIG_LEDS_LM3530 is not set
+# CONFIG_LEDS_LM3532 is not set
+# CONFIG_LEDS_LM3642 is not set
+# CONFIG_LEDS_LM3692X is not set
+# CONFIG_LEDS_PCA9532 is not set
+CONFIG_LEDS_GPIO=3Dm
+CONFIG_LEDS_LP3944=3Dm
+# CONFIG_LEDS_LP3952 is not set
+CONFIG_LEDS_LP55XX_COMMON=3Dm
+# CONFIG_LEDS_LP5521 is not set
+CONFIG_LEDS_LP5523=3Dm
+# CONFIG_LEDS_LP5562 is not set
+# CONFIG_LEDS_LP8501 is not set
+# CONFIG_LEDS_LP8860 is not set
+CONFIG_LEDS_PCA955X=3Dm
+# CONFIG_LEDS_PCA955X_GPIO is not set
+# CONFIG_LEDS_PCA963X is not set
+CONFIG_LEDS_DA9052=3Dm
+CONFIG_LEDS_DAC124S085=3Dm
+CONFIG_LEDS_PWM=3Dm
+CONFIG_LEDS_REGULATOR=3Dm
+CONFIG_LEDS_BD2802=3Dm
+CONFIG_LEDS_LT3593=3Dm
+CONFIG_LEDS_MC13783=3Dm
+CONFIG_LEDS_NS2=3Dy
+CONFIG_LEDS_TCA6507=3Dm
+# CONFIG_LEDS_TLC591XX is not set
+# CONFIG_LEDS_LM355x is not set
+# CONFIG_LEDS_IS31FL319X is not set
+# CONFIG_LEDS_IS31FL32XX is not set
+
+#
+# LED driver for blink(1) USB RGB LED is under Special HID drivers (HID_TH=
INGM)
+#
+# CONFIG_LEDS_BLINKM is not set
+# CONFIG_LEDS_SYSCON is not set
+# CONFIG_LEDS_MLXREG is not set
+# CONFIG_LEDS_USER is not set
+CONFIG_LEDS_SPI_BYTE=3Dm
+CONFIG_LEDS_TI_LMU_COMMON=3Dm
+CONFIG_LEDS_LM3697=3Dm
+
+#
+# LED Triggers
+#
+CONFIG_LEDS_TRIGGERS=3Dy
+CONFIG_LEDS_TRIGGER_TIMER=3Dm
+CONFIG_LEDS_TRIGGER_ONESHOT=3Dm
+CONFIG_LEDS_TRIGGER_DISK=3Dy
+CONFIG_LEDS_TRIGGER_MTD=3Dy
+CONFIG_LEDS_TRIGGER_HEARTBEAT=3Dm
+CONFIG_LEDS_TRIGGER_BACKLIGHT=3Dm
+CONFIG_LEDS_TRIGGER_CPU=3Dy
+CONFIG_LEDS_TRIGGER_ACTIVITY=3Dm
+CONFIG_LEDS_TRIGGER_GPIO=3Dm
+CONFIG_LEDS_TRIGGER_DEFAULT_ON=3Dm
+
+#
+# iptables trigger is under Netfilter config (LED target)
+#
+CONFIG_LEDS_TRIGGER_TRANSIENT=3Dm
+CONFIG_LEDS_TRIGGER_CAMERA=3Dm
+CONFIG_LEDS_TRIGGER_PANIC=3Dy
+# CONFIG_LEDS_TRIGGER_NETDEV is not set
+# CONFIG_LEDS_TRIGGER_PATTERN is not set
+# CONFIG_LEDS_TRIGGER_AUDIO is not set
+CONFIG_ACCESSIBILITY=3Dy
+CONFIG_A11Y_BRAILLE_CONSOLE=3Dy
+CONFIG_INFINIBAND=3Dm
+CONFIG_INFINIBAND_USER_MAD=3Dm
+CONFIG_INFINIBAND_USER_ACCESS=3Dm
+# CONFIG_INFINIBAND_EXP_LEGACY_VERBS_NEW_UAPI is not set
+CONFIG_INFINIBAND_USER_MEM=3Dy
+CONFIG_INFINIBAND_ON_DEMAND_PAGING=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS_CONFIGFS=3Dy
+CONFIG_INFINIBAND_MTHCA=3Dm
+CONFIG_INFINIBAND_MTHCA_DEBUG=3Dy
+CONFIG_INFINIBAND_CXGB3=3Dm
+CONFIG_INFINIBAND_CXGB4=3Dm
+CONFIG_INFINIBAND_I40IW=3Dm
+CONFIG_MLX4_INFINIBAND=3Dm
+CONFIG_MLX5_INFINIBAND=3Dm
+CONFIG_INFINIBAND_OCRDMA=3Dm
+CONFIG_RDMA_RXE=3Dm
+CONFIG_RDMA_SIW=3Dm
+CONFIG_INFINIBAND_IPOIB=3Dm
+CONFIG_INFINIBAND_IPOIB_CM=3Dy
+CONFIG_INFINIBAND_IPOIB_DEBUG=3Dy
+# CONFIG_INFINIBAND_IPOIB_DEBUG_DATA is not set
+CONFIG_INFINIBAND_SRP=3Dm
+CONFIG_INFINIBAND_SRPT=3Dm
+CONFIG_INFINIBAND_ISER=3Dm
+CONFIG_INFINIBAND_ISERT=3Dm
+CONFIG_EDAC_ATOMIC_SCRUB=3Dy
+CONFIG_EDAC_SUPPORT=3Dy
+# CONFIG_EDAC is not set
+CONFIG_RTC_LIB=3Dy
+CONFIG_RTC_MC146818_LIB=3Dy
+CONFIG_RTC_CLASS=3Dy
+CONFIG_RTC_HCTOSYS=3Dy
+CONFIG_RTC_HCTOSYS_DEVICE=3D"rtc0"
+CONFIG_RTC_SYSTOHC=3Dy
+CONFIG_RTC_SYSTOHC_DEVICE=3D"rtc0"
+# CONFIG_RTC_DEBUG is not set
+CONFIG_RTC_NVMEM=3Dy
+
+#
+# RTC interfaces
+#
+CONFIG_RTC_INTF_SYSFS=3Dy
+CONFIG_RTC_INTF_PROC=3Dy
+CONFIG_RTC_INTF_DEV=3Dy
+# CONFIG_RTC_INTF_DEV_UIE_EMUL is not set
+# CONFIG_RTC_DRV_TEST is not set
+
+#
+# I2C RTC drivers
+#
+# CONFIG_RTC_DRV_ABB5ZES3 is not set
+# CONFIG_RTC_DRV_ABEOZ9 is not set
+# CONFIG_RTC_DRV_ABX80X is not set
+CONFIG_RTC_DRV_AS3722=3Dy
+CONFIG_RTC_DRV_DS1307=3Dy
+# CONFIG_RTC_DRV_DS1307_CENTURY is not set
+# CONFIG_RTC_DRV_DS1374 is not set
+# CONFIG_RTC_DRV_DS1672 is not set
+# CONFIG_RTC_DRV_HYM8563 is not set
+# CONFIG_RTC_DRV_MAX6900 is not set
+CONFIG_RTC_DRV_MAX77686=3Dy
+CONFIG_RTC_DRV_RK808=3Dy
+# CONFIG_RTC_DRV_RS5C372 is not set
+# CONFIG_RTC_DRV_ISL1208 is not set
+# CONFIG_RTC_DRV_ISL12022 is not set
+# CONFIG_RTC_DRV_ISL12026 is not set
+# CONFIG_RTC_DRV_X1205 is not set
+CONFIG_RTC_DRV_PCF8523=3Dy
+# CONFIG_RTC_DRV_PCF85063 is not set
+# CONFIG_RTC_DRV_PCF85363 is not set
+CONFIG_RTC_DRV_PCF8563=3Dy
+# CONFIG_RTC_DRV_PCF8583 is not set
+# CONFIG_RTC_DRV_M41T80 is not set
+CONFIG_RTC_DRV_BD70528=3Dm
+# CONFIG_RTC_DRV_BQ32K is not set
+CONFIG_RTC_DRV_TWL4030=3Dy
+CONFIG_RTC_DRV_PALMAS=3Dy
+# CONFIG_RTC_DRV_S35390A is not set
+# CONFIG_RTC_DRV_FM3130 is not set
+# CONFIG_RTC_DRV_RX8010 is not set
+# CONFIG_RTC_DRV_RX8581 is not set
+# CONFIG_RTC_DRV_RX8025 is not set
+# CONFIG_RTC_DRV_EM3027 is not set
+# CONFIG_RTC_DRV_RV3028 is not set
+# CONFIG_RTC_DRV_RV8803 is not set
+CONFIG_RTC_DRV_S5M=3Dy
+# CONFIG_RTC_DRV_SD3078 is not set
+
+#
+# SPI RTC drivers
+#
+# CONFIG_RTC_DRV_M41T93 is not set
+# CONFIG_RTC_DRV_M41T94 is not set
+# CONFIG_RTC_DRV_DS1302 is not set
+# CONFIG_RTC_DRV_DS1305 is not set
+# CONFIG_RTC_DRV_DS1343 is not set
+# CONFIG_RTC_DRV_DS1347 is not set
+# CONFIG_RTC_DRV_DS1390 is not set
+# CONFIG_RTC_DRV_MAX6916 is not set
+# CONFIG_RTC_DRV_R9701 is not set
+# CONFIG_RTC_DRV_RX4581 is not set
+# CONFIG_RTC_DRV_RX6110 is not set
+# CONFIG_RTC_DRV_RS5C348 is not set
+# CONFIG_RTC_DRV_MAX6902 is not set
+# CONFIG_RTC_DRV_PCF2123 is not set
+# CONFIG_RTC_DRV_MCP795 is not set
+CONFIG_RTC_I2C_AND_SPI=3Dy
+
+#
+# SPI and I2C RTC drivers
+#
+# CONFIG_RTC_DRV_DS3232 is not set
+# CONFIG_RTC_DRV_PCF2127 is not set
+# CONFIG_RTC_DRV_RV3029C2 is not set
+
+#
+# Platform RTC drivers
+#
+CONFIG_RTC_DRV_CMOS=3Dm
+# CONFIG_RTC_DRV_DS1286 is not set
+# CONFIG_RTC_DRV_DS1511 is not set
+# CONFIG_RTC_DRV_DS1553 is not set
+# CONFIG_RTC_DRV_DS1685_FAMILY is not set
+# CONFIG_RTC_DRV_DS1742 is not set
+# CONFIG_RTC_DRV_DS2404 is not set
+CONFIG_RTC_DRV_DA9052=3Dy
+CONFIG_RTC_DRV_EFI=3Dy
+# CONFIG_RTC_DRV_STK17TA8 is not set
+# CONFIG_RTC_DRV_M48T86 is not set
+# CONFIG_RTC_DRV_M48T35 is not set
+# CONFIG_RTC_DRV_M48T59 is not set
+# CONFIG_RTC_DRV_MSM6242 is not set
+# CONFIG_RTC_DRV_BQ4802 is not set
+# CONFIG_RTC_DRV_RP5C01 is not set
+# CONFIG_RTC_DRV_V3020 is not set
+# CONFIG_RTC_DRV_ZYNQMP is not set
+CONFIG_RTC_DRV_CROS_EC=3Dm
+
+#
+# on-CPU RTC drivers
+#
+CONFIG_RTC_DRV_IMXDI=3Dy
+CONFIG_RTC_DRV_OMAP=3Dy
+CONFIG_HAVE_S3C_RTC=3Dy
+# CONFIG_RTC_DRV_S3C is not set
+CONFIG_RTC_DRV_PL030=3Dy
+CONFIG_RTC_DRV_PL031=3Dy
+CONFIG_RTC_DRV_VT8500=3Dy
+CONFIG_RTC_DRV_SUN6I=3Dy
+CONFIG_RTC_DRV_SUNXI=3Dy
+CONFIG_RTC_DRV_MV=3Dy
+CONFIG_RTC_DRV_ARMADA38X=3Dy
+# CONFIG_RTC_DRV_CADENCE is not set
+# CONFIG_RTC_DRV_FTRTC010 is not set
+CONFIG_RTC_DRV_MC13XXX=3Dm
+CONFIG_RTC_DRV_TEGRA=3Dy
+CONFIG_RTC_DRV_MXC=3Dy
+CONFIG_RTC_DRV_MXC_V2=3Dm
+CONFIG_RTC_DRV_SNVS=3Dy
+# CONFIG_RTC_DRV_R7301 is not set
+
+#
+# HID Sensor RTC drivers
+#
+# CONFIG_RTC_DRV_HID_SENSOR_TIME is not set
+CONFIG_DMADEVICES=3Dy
+# CONFIG_DMADEVICES_DEBUG is not set
+
+#
+# DMA Devices
+#
+CONFIG_ASYNC_TX_ENABLE_CHANNEL_SWITCH=3Dy
+CONFIG_DMA_ENGINE=3Dy
+CONFIG_DMA_VIRTUAL_CHANNELS=3Dy
+CONFIG_DMA_OF=3Dy
+CONFIG_ALTERA_MSGDMA=3Dm
+CONFIG_AMBA_PL08X=3Dy
+# CONFIG_AXI_DMAC is not set
+CONFIG_DMA_BCM2835=3Dy
+CONFIG_DMA_SUN4I=3Dy
+CONFIG_DMA_SUN6I=3Dm
+# CONFIG_DW_AXI_DMAC is not set
+# CONFIG_FSL_EDMA is not set
+# CONFIG_FSL_QDMA is not set
+CONFIG_IMX_DMA=3Dy
+CONFIG_IMX_SDMA=3Dy
+# CONFIG_INTEL_IDMA64 is not set
+CONFIG_MV_XOR=3Dy
+CONFIG_MXS_DMA=3Dy
+CONFIG_MX3_IPU=3Dy
+CONFIG_MX3_IPU_IRQS=3D4
+# CONFIG_NBPFAXI_DMA is not set
+CONFIG_PL330_DMA=3Dy
+CONFIG_TEGRA20_APB_DMA=3Dy
+# CONFIG_QCOM_HIDMA_MGMT is not set
+# CONFIG_QCOM_HIDMA is not set
+# CONFIG_DW_DMAC is not set
+# CONFIG_DW_DMAC_PCI is not set
+CONFIG_DW_EDMA=3Dm
+CONFIG_DW_EDMA_PCIE=3Dm
+CONFIG_TI_CPPI41=3Dm
+CONFIG_TI_EDMA=3Dy
+CONFIG_DMA_OMAP=3Dy
+CONFIG_TI_DMA_CROSSBAR=3Dy
+
+#
+# DMA Clients
+#
+CONFIG_ASYNC_TX_DMA=3Dy
+# CONFIG_DMATEST is not set
+CONFIG_DMA_ENGINE_RAID=3Dy
+
+#
+# DMABUF options
+#
+CONFIG_SYNC_FILE=3Dy
+# CONFIG_SW_SYNC is not set
+# CONFIG_UDMABUF is not set
+# CONFIG_DMABUF_SELFTESTS is not set
+# end of DMABUF options
+
+# CONFIG_AUXDISPLAY is not set
+# CONFIG_PANEL is not set
+CONFIG_UIO=3Dm
+CONFIG_UIO_CIF=3Dm
+# CONFIG_UIO_PDRV_GENIRQ is not set
+# CONFIG_UIO_DMEM_GENIRQ is not set
+CONFIG_UIO_AEC=3Dm
+CONFIG_UIO_SERCOS3=3Dm
+CONFIG_UIO_PCI_GENERIC=3Dm
+CONFIG_UIO_NETX=3Dm
+# CONFIG_UIO_PRUSS is not set
+CONFIG_UIO_MF624=3Dm
+# CONFIG_VFIO is not set
+CONFIG_VIRT_DRIVERS=3Dy
+CONFIG_VIRTIO=3Dm
+CONFIG_VIRTIO_MENU=3Dy
+CONFIG_VIRTIO_PCI=3Dm
+CONFIG_VIRTIO_PCI_LEGACY=3Dy
+CONFIG_VIRTIO_BALLOON=3Dm
+CONFIG_VIRTIO_INPUT=3Dm
+CONFIG_VIRTIO_MMIO=3Dm
+# CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES is not set
+
+#
+# Microsoft Hyper-V guest support
+#
+# end of Microsoft Hyper-V guest support
+
+#
+# Xen driver support
+#
+CONFIG_XEN_BALLOON=3Dy
+CONFIG_XEN_SCRUB_PAGES_DEFAULT=3Dy
+CONFIG_XEN_DEV_EVTCHN=3Dm
+CONFIG_XEN_BACKEND=3Dy
+CONFIG_XENFS=3Dm
+CONFIG_XEN_COMPAT_XENFS=3Dy
+CONFIG_XEN_SYS_HYPERVISOR=3Dy
+CONFIG_XEN_XENBUS_FRONTEND=3Dy
+CONFIG_XEN_GNTDEV=3Dm
+CONFIG_XEN_GRANT_DEV_ALLOC=3Dm
+# CONFIG_XEN_GRANT_DMA_ALLOC is not set
+CONFIG_SWIOTLB_XEN=3Dy
+CONFIG_XEN_PVCALLS_FRONTEND=3Dm
+# CONFIG_XEN_PVCALLS_BACKEND is not set
+CONFIG_XEN_SCSI_BACKEND=3Dm
+CONFIG_XEN_PRIVCMD=3Dm
+CONFIG_XEN_EFI=3Dy
+CONFIG_XEN_AUTO_XLATE=3Dy
+# end of Xen driver support
+
+# CONFIG_GREYBUS is not set
+CONFIG_STAGING=3Dy
+# CONFIG_PRISM2_USB is not set
+# CONFIG_COMEDI is not set
+# CONFIG_RTL8192U is not set
+# CONFIG_RTLLIB is not set
+# CONFIG_RTL8723BS is not set
+CONFIG_R8712U=3Dm
+CONFIG_R8188EU=3Dm
+CONFIG_88EU_AP_MODE=3Dy
+# CONFIG_RTS5208 is not set
+# CONFIG_VT6655 is not set
+# CONFIG_VT6656 is not set
+
+#
+# IIO staging drivers
+#
+
+#
+# Accelerometers
+#
+# CONFIG_ADIS16203 is not set
+# CONFIG_ADIS16240 is not set
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+# CONFIG_AD7816 is not set
+# CONFIG_AD7192 is not set
+# CONFIG_AD7280 is not set
+# end of Analog to digital converters
+
+#
+# Analog digital bi-direction converters
+#
+# CONFIG_ADT7316 is not set
+# end of Analog digital bi-direction converters
+
+#
+# Capacitance to digital converters
+#
+# CONFIG_AD7150 is not set
+# CONFIG_AD7746 is not set
+# end of Capacitance to digital converters
+
+#
+# Direct Digital Synthesis
+#
+# CONFIG_AD9832 is not set
+# CONFIG_AD9834 is not set
+# end of Direct Digital Synthesis
+
+#
+# Network Analyzer, Impedance Converters
+#
+# CONFIG_AD5933 is not set
+# end of Network Analyzer, Impedance Converters
+
+#
+# Active energy metering IC
+#
+# CONFIG_ADE7854 is not set
+# end of Active energy metering IC
+
+#
+# Resolver to digital converters
+#
+# CONFIG_AD2S1210 is not set
+# end of Resolver to digital converters
+# end of IIO staging drivers
+
+# CONFIG_FB_SM750 is not set
+
+#
+# Speakup console speech
+#
+CONFIG_SPEAKUP=3Dm
+CONFIG_SPEAKUP_SYNTH_ACNTSA=3Dm
+CONFIG_SPEAKUP_SYNTH_APOLLO=3Dm
+CONFIG_SPEAKUP_SYNTH_AUDPTR=3Dm
+CONFIG_SPEAKUP_SYNTH_BNS=3Dm
+CONFIG_SPEAKUP_SYNTH_DECTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_DECEXT=3Dm
+CONFIG_SPEAKUP_SYNTH_LTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_SOFT=3Dm
+CONFIG_SPEAKUP_SYNTH_SPKOUT=3Dm
+CONFIG_SPEAKUP_SYNTH_TXPRT=3Dm
+CONFIG_SPEAKUP_SYNTH_DUMMY=3Dm
+# end of Speakup console speech
+
+# CONFIG_MFD_NVEC is not set
+# CONFIG_STAGING_MEDIA is not set
+
+#
+# Android
+#
+# end of Android
+
+# CONFIG_STAGING_BOARD is not set
+# CONFIG_LTE_GDM724X is not set
+# CONFIG_FIREWIRE_SERIAL is not set
+# CONFIG_GS_FPGABOOT is not set
+# CONFIG_UNISYSSPAR is not set
+# CONFIG_COMMON_CLK_XLNX_CLKWZRD is not set
+# CONFIG_FB_TFT is not set
+# CONFIG_WILC1000_SDIO is not set
+# CONFIG_WILC1000_SPI is not set
+# CONFIG_MOST is not set
+# CONFIG_KS7010 is not set
+CONFIG_BCM_VIDEOCORE=3Dy
+# CONFIG_BCM2835_VCHIQ is not set
+# CONFIG_SND_BCM2835 is not set
+# CONFIG_VIDEO_BCM2835 is not set
+CONFIG_PI433=3Dm
+
+#
+# Gasket devices
+#
+# end of Gasket devices
+
+# CONFIG_XIL_AXIS_FIFO is not set
+# CONFIG_FIELDBUS_DEV is not set
+# CONFIG_KPC2000 is not set
+CONFIG_USB_WUSB=3Dm
+CONFIG_USB_WUSB_CBAF=3Dm
+# CONFIG_USB_WUSB_CBAF_DEBUG is not set
+CONFIG_USB_WHCI_HCD=3Dm
+CONFIG_USB_HWA_HCD=3Dm
+CONFIG_UWB=3Dm
+CONFIG_UWB_HWA=3Dm
+CONFIG_UWB_WHCI=3Dm
+CONFIG_UWB_I1480U=3Dm
+CONFIG_EXFAT_FS=3Dm
+CONFIG_EXFAT_DONT_MOUNT_VFAT=3Dy
+CONFIG_EXFAT_DISCARD=3Dy
+# CONFIG_EXFAT_DELAYED_SYNC is not set
+# CONFIG_EXFAT_KERNEL_DEBUG is not set
+# CONFIG_EXFAT_DEBUG_MSG is not set
+CONFIG_EXFAT_DEFAULT_CODEPAGE=3D437
+CONFIG_EXFAT_DEFAULT_IOCHARSET=3D"utf8"
+CONFIG_QLGE=3Dm
+# CONFIG_GOLDFISH is not set
+CONFIG_MFD_CROS_EC=3Dm
+CONFIG_CHROME_PLATFORMS=3Dy
+CONFIG_CROS_EC=3Dm
+CONFIG_CROS_EC_I2C=3Dm
+CONFIG_CROS_EC_SPI=3Dm
+CONFIG_CROS_EC_PROTO=3Dy
+CONFIG_CROS_EC_CHARDEV=3Dm
+# CONFIG_CROS_EC_LIGHTBAR is not set
+CONFIG_CROS_EC_VBC=3Dm
+CONFIG_CROS_EC_DEBUGFS=3Dm
+CONFIG_CROS_EC_SYSFS=3Dm
+CONFIG_CROS_USBPD_LOGGER=3Dm
+# CONFIG_MELLANOX_PLATFORM is not set
+CONFIG_CLKDEV_LOOKUP=3Dy
+CONFIG_HAVE_CLK_PREPARE=3Dy
+CONFIG_COMMON_CLK=3Dy
+
+#
+# Common Clock Framework
+#
+CONFIG_ICST=3Dy
+CONFIG_COMMON_CLK_VERSATILE=3Dy
+CONFIG_CLK_SP810=3Dy
+CONFIG_CLK_VEXPRESS_OSC=3Dy
+# CONFIG_CLK_HSDK is not set
+CONFIG_COMMON_CLK_MAX77686=3Dm
+CONFIG_COMMON_CLK_MAX9485=3Dm
+CONFIG_COMMON_CLK_RK808=3Dm
+CONFIG_COMMON_CLK_SCMI=3Dm
+CONFIG_COMMON_CLK_SI5341=3Dm
+# CONFIG_COMMON_CLK_SI5351 is not set
+# CONFIG_COMMON_CLK_SI514 is not set
+# CONFIG_COMMON_CLK_SI544 is not set
+# CONFIG_COMMON_CLK_SI570 is not set
+# CONFIG_COMMON_CLK_CDCE706 is not set
+# CONFIG_COMMON_CLK_CDCE925 is not set
+# CONFIG_COMMON_CLK_CS2000_CP is not set
+CONFIG_COMMON_CLK_S2MPS11=3Dm
+CONFIG_CLK_TWL6040=3Dm
+# CONFIG_CLK_QORIQ is not set
+CONFIG_COMMON_CLK_PALMAS=3Dm
+# CONFIG_COMMON_CLK_PWM is not set
+# CONFIG_COMMON_CLK_VC5 is not set
+# CONFIG_COMMON_CLK_BD718XX is not set
+# CONFIG_COMMON_CLK_FIXED_MMIO is not set
+# CONFIG_CLK_BCM2835 is not set
+CONFIG_CLK_RASPBERRYPI=3Dm
+CONFIG_MXC_CLK=3Dy
+CONFIG_MVEBU_CLK_COMMON=3Dy
+CONFIG_MVEBU_CLK_CPU=3Dy
+CONFIG_MVEBU_CLK_COREDIV=3Dy
+CONFIG_ARMADA_370_CLK=3Dy
+CONFIG_ARMADA_375_CLK=3Dy
+CONFIG_ARMADA_38X_CLK=3Dy
+CONFIG_ARMADA_39X_CLK=3Dy
+CONFIG_ARMADA_XP_CLK=3Dy
+CONFIG_COMMON_CLK_SAMSUNG=3Dy
+CONFIG_EXYNOS_AUDSS_CLK_CON=3Dy
+CONFIG_CLK_SUNXI=3Dy
+CONFIG_CLK_SUNXI_CLOCKS=3Dy
+CONFIG_CLK_SUNXI_PRCM_SUN6I=3Dy
+CONFIG_CLK_SUNXI_PRCM_SUN8I=3Dy
+CONFIG_CLK_SUNXI_PRCM_SUN9I=3Dy
+CONFIG_SUNXI_CCU=3Dy
+CONFIG_SUN4I_A10_CCU=3Dy
+CONFIG_SUN5I_CCU=3Dy
+CONFIG_SUN6I_A31_CCU=3Dy
+CONFIG_SUN8I_A23_CCU=3Dy
+CONFIG_SUN8I_A33_CCU=3Dy
+CONFIG_SUN8I_A83T_CCU=3Dy
+CONFIG_SUN8I_H3_CCU=3Dy
+CONFIG_SUN8I_V3S_CCU=3Dy
+# CONFIG_SUN8I_DE2_CCU is not set
+CONFIG_SUN8I_R40_CCU=3Dy
+CONFIG_SUN9I_A80_CCU=3Dy
+CONFIG_SUN8I_R_CCU=3Dy
+CONFIG_TEGRA_CLK_EMC=3Dy
+CONFIG_TEGRA_CLK_DFLL=3Dy
+CONFIG_COMMON_CLK_TI_ADPLL=3Dy
+# end of Common Clock Framework
+
+# CONFIG_HWSPINLOCK is not set
+
+#
+# Clock Source drivers
+#
+CONFIG_TIMER_OF=3Dy
+CONFIG_TIMER_PROBE=3Dy
+CONFIG_OMAP_DM_TIMER=3Dy
+CONFIG_CLKSRC_MMIO=3Dy
+CONFIG_BCM2835_TIMER=3Dy
+CONFIG_DW_APB_TIMER=3Dy
+CONFIG_DW_APB_TIMER_OF=3Dy
+CONFIG_ROCKCHIP_TIMER=3Dy
+CONFIG_ARMADA_370_XP_TIMER=3Dy
+CONFIG_SUN4I_TIMER=3Dy
+CONFIG_SUN5I_HSTIMER=3Dy
+CONFIG_TEGRA_TIMER=3Dy
+CONFIG_VT8500_TIMER=3Dy
+CONFIG_CLKSRC_TI_32K=3Dy
+CONFIG_ARM_ARCH_TIMER=3Dy
+CONFIG_ARM_ARCH_TIMER_EVTSTREAM=3Dy
+CONFIG_ARM_GLOBAL_TIMER=3Dy
+CONFIG_ARM_TIMER_SP804=3Dy
+CONFIG_CLKSRC_ARM_GLOBAL_TIMER_SCHED_CLOCK=3Dy
+CONFIG_CLKSRC_EXYNOS_MCT=3Dy
+CONFIG_CLKSRC_SAMSUNG_PWM=3Dy
+CONFIG_CLKSRC_VERSATILE=3Dy
+CONFIG_CLKSRC_IMX_GPT=3Dy
+# end of Clock Source drivers
+
+CONFIG_MAILBOX=3Dy
+# CONFIG_ARM_MHU is not set
+CONFIG_IMX_MBOX=3Dm
+# CONFIG_PLATFORM_MHU is not set
+CONFIG_PL320_MBOX=3Dy
+# CONFIG_ARMADA_37XX_RWTM_MBOX is not set
+CONFIG_OMAP2PLUS_MBOX=3Dy
+CONFIG_OMAP_MBOX_KFIFO_SIZE=3D256
+# CONFIG_ROCKCHIP_MBOX is not set
+# CONFIG_ALTERA_MBOX is not set
+CONFIG_BCM2835_MBOX=3Dy
+# CONFIG_MAILBOX_TEST is not set
+# CONFIG_TEGRA_HSP_MBOX is not set
+CONFIG_IOMMU_API=3Dy
+CONFIG_IOMMU_SUPPORT=3Dy
+
+#
+# Generic IOMMU Pagetable Support
+#
+CONFIG_IOMMU_IO_PGTABLE=3Dy
+CONFIG_IOMMU_IO_PGTABLE_LPAE=3Dy
+# CONFIG_IOMMU_IO_PGTABLE_LPAE_SELFTEST is not set
+# CONFIG_IOMMU_IO_PGTABLE_ARMV7S is not set
+# end of Generic IOMMU Pagetable Support
+
+# CONFIG_IOMMU_DEBUGFS is not set
+# CONFIG_IOMMU_DEFAULT_PASSTHROUGH is not set
+CONFIG_OF_IOMMU=3Dy
+CONFIG_OMAP_IOMMU=3Dy
+# CONFIG_OMAP_IOMMU_DEBUG is not set
+CONFIG_ROCKCHIP_IOMMU=3Dy
+CONFIG_TEGRA_IOMMU_SMMU=3Dy
+# CONFIG_EXYNOS_IOMMU is not set
+# CONFIG_ARM_SMMU is not set
+
+#
+# Remoteproc drivers
+#
+# CONFIG_REMOTEPROC is not set
+# end of Remoteproc drivers
+
+#
+# Rpmsg drivers
+#
+# CONFIG_RPMSG_QCOM_GLINK_RPM is not set
+# CONFIG_RPMSG_VIRTIO is not set
+# end of Rpmsg drivers
+
+# CONFIG_SOUNDWIRE is not set
+
+#
+# SOC (System On Chip) specific Drivers
+#
+
+#
+# Amlogic SoC drivers
+#
+# end of Amlogic SoC drivers
+
+#
+# Aspeed SoC drivers
+#
+# end of Aspeed SoC drivers
+
+#
+# Broadcom SoC drivers
+#
+CONFIG_BCM2835_POWER=3Dy
+CONFIG_RASPBERRYPI_POWER=3Dy
+# CONFIG_SOC_BRCMSTB is not set
+# end of Broadcom SoC drivers
+
+#
+# NXP/Freescale QorIQ SoC drivers
+#
+# end of NXP/Freescale QorIQ SoC drivers
+
+#
+# i.MX SoC drivers
+#
+CONFIG_IMX_GPCV2_PM_DOMAINS=3Dy
+# end of i.MX SoC drivers
+
+#
+# Qualcomm SoC drivers
+#
+# end of Qualcomm SoC drivers
+
+CONFIG_ROCKCHIP_GRF=3Dy
+CONFIG_ROCKCHIP_PM_DOMAINS=3Dy
+CONFIG_SOC_SAMSUNG=3Dy
+CONFIG_EXYNOS_CHIPID=3Dy
+CONFIG_EXYNOS_PMU=3Dy
+CONFIG_EXYNOS_PMU_ARM_DRIVERS=3Dy
+CONFIG_EXYNOS_PM_DOMAINS=3Dy
+CONFIG_SUNXI_SRAM=3Dy
+# CONFIG_ARCH_TEGRA_2x_SOC is not set
+# CONFIG_ARCH_TEGRA_3x_SOC is not set
+# CONFIG_ARCH_TEGRA_114_SOC is not set
+CONFIG_ARCH_TEGRA_124_SOC=3Dy
+CONFIG_SOC_TEGRA_FUSE=3Dy
+CONFIG_SOC_TEGRA_FLOWCTRL=3Dy
+CONFIG_SOC_TEGRA_PMC=3Dy
+# CONFIG_SOC_TI is not set
+
+#
+# Xilinx SoC drivers
+#
+# CONFIG_XILINX_VCU is not set
+# end of Xilinx SoC drivers
+# end of SOC (System On Chip) specific Drivers
+
+CONFIG_PM_DEVFREQ=3Dy
+
+#
+# DEVFREQ Governors
+#
+CONFIG_DEVFREQ_GOV_SIMPLE_ONDEMAND=3Dm
+# CONFIG_DEVFREQ_GOV_PERFORMANCE is not set
+# CONFIG_DEVFREQ_GOV_POWERSAVE is not set
+# CONFIG_DEVFREQ_GOV_USERSPACE is not set
+# CONFIG_DEVFREQ_GOV_PASSIVE is not set
+
+#
+# DEVFREQ Drivers
+#
+# CONFIG_ARM_EXYNOS_BUS_DEVFREQ is not set
+CONFIG_ARM_TEGRA_DEVFREQ=3Dm
+# CONFIG_ARM_RK3399_DMC_DEVFREQ is not set
+# CONFIG_PM_DEVFREQ_EVENT is not set
+CONFIG_EXTCON=3Dy
+
+#
+# Extcon Device Drivers
+#
+# CONFIG_EXTCON_ADC_JACK is not set
+CONFIG_EXTCON_FSA9480=3Dm
+# CONFIG_EXTCON_GPIO is not set
+# CONFIG_EXTCON_MAX3355 is not set
+CONFIG_EXTCON_PALMAS=3Dm
+CONFIG_EXTCON_PTN5150=3Dm
+# CONFIG_EXTCON_RT8973A is not set
+# CONFIG_EXTCON_SM5502 is not set
+CONFIG_EXTCON_USB_GPIO=3Dm
+CONFIG_EXTCON_USBC_CROS_EC=3Dm
+CONFIG_MEMORY=3Dy
+CONFIG_DDR=3Dy
+# CONFIG_ARM_PL172_MPMC is not set
+CONFIG_TI_EMIF=3Dm
+CONFIG_OMAP_GPMC=3Dy
+# CONFIG_OMAP_GPMC_DEBUG is not set
+CONFIG_TI_EMIF_SRAM=3Dm
+CONFIG_MVEBU_DEVBUS=3Dy
+CONFIG_PL353_SMC=3Dy
+CONFIG_SAMSUNG_MC=3Dy
+CONFIG_EXYNOS_SROM=3Dy
+CONFIG_TEGRA_MC=3Dy
+CONFIG_TEGRA124_EMC=3Dy
+CONFIG_IIO=3Dm
+CONFIG_IIO_BUFFER=3Dy
+CONFIG_IIO_BUFFER_CB=3Dm
+# CONFIG_IIO_BUFFER_HW_CONSUMER is not set
+CONFIG_IIO_KFIFO_BUF=3Dm
+CONFIG_IIO_TRIGGERED_BUFFER=3Dm
+# CONFIG_IIO_CONFIGFS is not set
+CONFIG_IIO_TRIGGER=3Dy
+CONFIG_IIO_CONSUMERS_PER_TRIGGER=3D2
+# CONFIG_IIO_SW_DEVICE is not set
+# CONFIG_IIO_SW_TRIGGER is not set
+
+#
+# Accelerometers
+#
+# CONFIG_ADIS16201 is not set
+# CONFIG_ADIS16209 is not set
+# CONFIG_ADXL345_I2C is not set
+# CONFIG_ADXL345_SPI is not set
+# CONFIG_ADXL372_SPI is not set
+# CONFIG_ADXL372_I2C is not set
+# CONFIG_BMA180 is not set
+# CONFIG_BMA220 is not set
+# CONFIG_BMC150_ACCEL is not set
+# CONFIG_DA280 is not set
+# CONFIG_DA311 is not set
+# CONFIG_DMARD06 is not set
+# CONFIG_DMARD09 is not set
+# CONFIG_DMARD10 is not set
+CONFIG_HID_SENSOR_ACCEL_3D=3Dm
+CONFIG_IIO_ST_ACCEL_3AXIS=3Dm
+CONFIG_IIO_ST_ACCEL_I2C_3AXIS=3Dm
+CONFIG_IIO_ST_ACCEL_SPI_3AXIS=3Dm
+# CONFIG_KXSD9 is not set
+# CONFIG_KXCJK1013 is not set
+# CONFIG_MC3230 is not set
+# CONFIG_MMA7455_I2C is not set
+# CONFIG_MMA7455_SPI is not set
+# CONFIG_MMA7660 is not set
+CONFIG_MMA8452=3Dm
+# CONFIG_MMA9551 is not set
+# CONFIG_MMA9553 is not set
+# CONFIG_MXC4005 is not set
+# CONFIG_MXC6255 is not set
+# CONFIG_SCA3000 is not set
+# CONFIG_STK8312 is not set
+# CONFIG_STK8BA50 is not set
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+# CONFIG_AD7124 is not set
+# CONFIG_AD7266 is not set
+# CONFIG_AD7291 is not set
+# CONFIG_AD7298 is not set
+# CONFIG_AD7476 is not set
+# CONFIG_AD7606_IFACE_PARALLEL is not set
+# CONFIG_AD7606_IFACE_SPI is not set
+# CONFIG_AD7766 is not set
+# CONFIG_AD7768_1 is not set
+# CONFIG_AD7780 is not set
+# CONFIG_AD7791 is not set
+# CONFIG_AD7793 is not set
+# CONFIG_AD7887 is not set
+# CONFIG_AD7923 is not set
+# CONFIG_AD7949 is not set
+# CONFIG_AD799X is not set
+CONFIG_AXP20X_ADC=3Dm
+CONFIG_AXP288_ADC=3Dm
+# CONFIG_CC10001_ADC is not set
+# CONFIG_ENVELOPE_DETECTOR is not set
+CONFIG_EXYNOS_ADC=3Dm
+# CONFIG_HI8435 is not set
+# CONFIG_HX711 is not set
+# CONFIG_INA2XX_ADC is not set
+# CONFIG_IMX7D_ADC is not set
+CONFIG_LTC2471=3Dm
+# CONFIG_LTC2485 is not set
+# CONFIG_LTC2497 is not set
+# CONFIG_MAX1027 is not set
+# CONFIG_MAX11100 is not set
+# CONFIG_MAX1118 is not set
+# CONFIG_MAX1363 is not set
+# CONFIG_MAX9611 is not set
+# CONFIG_MCP320X is not set
+# CONFIG_MCP3422 is not set
+# CONFIG_MCP3911 is not set
+# CONFIG_NAU7802 is not set
+# CONFIG_PALMAS_GPADC is not set
+CONFIG_ROCKCHIP_SARADC=3Dm
+CONFIG_SD_ADC_MODULATOR=3Dm
+# CONFIG_STMPE_ADC is not set
+# CONFIG_SUN4I_GPADC is not set
+# CONFIG_TI_ADC081C is not set
+# CONFIG_TI_ADC0832 is not set
+# CONFIG_TI_ADC084S021 is not set
+# CONFIG_TI_ADC12138 is not set
+# CONFIG_TI_ADC108S102 is not set
+# CONFIG_TI_ADC128S052 is not set
+# CONFIG_TI_ADC161S626 is not set
+# CONFIG_TI_ADS1015 is not set
+# CONFIG_TI_ADS7950 is not set
+# CONFIG_TI_ADS8344 is not set
+# CONFIG_TI_ADS8688 is not set
+# CONFIG_TI_ADS124S08 is not set
+CONFIG_TI_AM335X_ADC=3Dm
+# CONFIG_TI_TLC4541 is not set
+CONFIG_TWL4030_MADC=3Dm
+# CONFIG_TWL6030_GPADC is not set
+# CONFIG_VF610_ADC is not set
+CONFIG_VIPERBOARD_ADC=3Dm
+CONFIG_XILINX_XADC=3Dm
+# end of Analog to digital converters
+
+#
+# Analog Front Ends
+#
+# CONFIG_IIO_RESCALE is not set
+# end of Analog Front Ends
+
+#
+# Amplifiers
+#
+# CONFIG_AD8366 is not set
+# end of Amplifiers
+
+#
+# Chemical Sensors
+#
+# CONFIG_ATLAS_PH_SENSOR is not set
+# CONFIG_BME680 is not set
+CONFIG_CCS811=3Dm
+# CONFIG_IAQCORE is not set
+# CONFIG_SENSIRION_SGP30 is not set
+# CONFIG_SPS30 is not set
+# CONFIG_VZ89X is not set
+# end of Chemical Sensors
+
+# CONFIG_IIO_CROS_EC_SENSORS_CORE is not set
+
+#
+# Hid Sensor IIO Common
+#
+CONFIG_HID_SENSOR_IIO_COMMON=3Dm
+CONFIG_HID_SENSOR_IIO_TRIGGER=3Dm
+# end of Hid Sensor IIO Common
+
+#
+# SSP Sensor Common
+#
+# CONFIG_IIO_SSP_SENSORHUB is not set
+# end of SSP Sensor Common
+
+CONFIG_IIO_ST_SENSORS_I2C=3Dm
+CONFIG_IIO_ST_SENSORS_SPI=3Dm
+CONFIG_IIO_ST_SENSORS_CORE=3Dm
+
+#
+# Digital to analog converters
+#
+# CONFIG_AD5064 is not set
+# CONFIG_AD5360 is not set
+# CONFIG_AD5380 is not set
+# CONFIG_AD5421 is not set
+# CONFIG_AD5446 is not set
+# CONFIG_AD5449 is not set
+# CONFIG_AD5592R is not set
+# CONFIG_AD5593R is not set
+# CONFIG_AD5504 is not set
+# CONFIG_AD5624R_SPI is not set
+# CONFIG_LTC1660 is not set
+# CONFIG_LTC2632 is not set
+# CONFIG_AD5686_SPI is not set
+# CONFIG_AD5696_I2C is not set
+# CONFIG_AD5755 is not set
+# CONFIG_AD5758 is not set
+# CONFIG_AD5761 is not set
+# CONFIG_AD5764 is not set
+# CONFIG_AD5791 is not set
+# CONFIG_AD7303 is not set
+# CONFIG_AD8801 is not set
+# CONFIG_DPOT_DAC is not set
+# CONFIG_DS4424 is not set
+# CONFIG_M62332 is not set
+# CONFIG_MAX517 is not set
+# CONFIG_MAX5821 is not set
+# CONFIG_MCP4725 is not set
+# CONFIG_MCP4922 is not set
+# CONFIG_TI_DAC082S085 is not set
+# CONFIG_TI_DAC5571 is not set
+# CONFIG_TI_DAC7311 is not set
+# CONFIG_TI_DAC7612 is not set
+# CONFIG_VF610_DAC is not set
+# end of Digital to analog converters
+
+#
+# IIO dummy driver
+#
+# end of IIO dummy driver
+
+#
+# Frequency Synthesizers DDS/PLL
+#
+
+#
+# Clock Generator/Distribution
+#
+# CONFIG_AD9523 is not set
+# end of Clock Generator/Distribution
+
+#
+# Phase-Locked Loop (PLL) frequency synthesizers
+#
+# CONFIG_ADF4350 is not set
+CONFIG_ADF4371=3Dm
+# end of Phase-Locked Loop (PLL) frequency synthesizers
+# end of Frequency Synthesizers DDS/PLL
+
+#
+# Digital gyroscope sensors
+#
+# CONFIG_ADIS16080 is not set
+# CONFIG_ADIS16130 is not set
+# CONFIG_ADIS16136 is not set
+# CONFIG_ADIS16260 is not set
+# CONFIG_ADXRS450 is not set
+# CONFIG_BMG160 is not set
+# CONFIG_FXAS21002C is not set
+CONFIG_HID_SENSOR_GYRO_3D=3Dm
+# CONFIG_MPU3050_I2C is not set
+# CONFIG_IIO_ST_GYRO_3AXIS is not set
+# CONFIG_ITG3200 is not set
+# end of Digital gyroscope sensors
+
+#
+# Health Sensors
+#
+
+#
+# Heart Rate Monitors
+#
+# CONFIG_AFE4403 is not set
+# CONFIG_AFE4404 is not set
+# CONFIG_MAX30100 is not set
+# CONFIG_MAX30102 is not set
+# end of Heart Rate Monitors
+# end of Health Sensors
+
+#
+# Humidity sensors
+#
+# CONFIG_AM2315 is not set
+# CONFIG_DHT11 is not set
+# CONFIG_HDC100X is not set
+# CONFIG_HID_SENSOR_HUMIDITY is not set
+# CONFIG_HTS221 is not set
+# CONFIG_HTU21 is not set
+# CONFIG_SI7005 is not set
+# CONFIG_SI7020 is not set
+# end of Humidity sensors
+
+#
+# Inertial measurement units
+#
+# CONFIG_ADIS16400 is not set
+# CONFIG_ADIS16460 is not set
+# CONFIG_ADIS16480 is not set
+# CONFIG_BMI160_I2C is not set
+# CONFIG_BMI160_SPI is not set
+# CONFIG_KMX61 is not set
+# CONFIG_INV_MPU6050_I2C is not set
+# CONFIG_INV_MPU6050_SPI is not set
+# CONFIG_IIO_ST_LSM6DSX is not set
+# end of Inertial measurement units
+
+#
+# Light sensors
+#
+# CONFIG_ADJD_S311 is not set
+# CONFIG_AL3320A is not set
+# CONFIG_APDS9300 is not set
+# CONFIG_APDS9960 is not set
+# CONFIG_BH1750 is not set
+CONFIG_BH1780=3Dm
+# CONFIG_CM32181 is not set
+# CONFIG_CM3232 is not set
+# CONFIG_CM3323 is not set
+# CONFIG_CM3605 is not set
+# CONFIG_CM36651 is not set
+# CONFIG_GP2AP020A00F is not set
+# CONFIG_SENSORS_ISL29018 is not set
+# CONFIG_SENSORS_ISL29028 is not set
+# CONFIG_ISL29125 is not set
+CONFIG_HID_SENSOR_ALS=3Dm
+CONFIG_HID_SENSOR_PROX=3Dm
+# CONFIG_JSA1212 is not set
+# CONFIG_RPR0521 is not set
+# CONFIG_LTR501 is not set
+# CONFIG_LV0104CS is not set
+# CONFIG_MAX44000 is not set
+# CONFIG_MAX44009 is not set
+# CONFIG_NOA1305 is not set
+# CONFIG_OPT3001 is not set
+# CONFIG_PA12203001 is not set
+# CONFIG_SI1133 is not set
+# CONFIG_SI1145 is not set
+# CONFIG_STK3310 is not set
+# CONFIG_ST_UVIS25 is not set
+# CONFIG_TCS3414 is not set
+# CONFIG_TCS3472 is not set
+CONFIG_SENSORS_TSL2563=3Dm
+# CONFIG_TSL2583 is not set
+# CONFIG_TSL2772 is not set
+# CONFIG_TSL4531 is not set
+# CONFIG_US5182D is not set
+# CONFIG_VCNL4000 is not set
+# CONFIG_VCNL4035 is not set
+# CONFIG_VEML6070 is not set
+# CONFIG_VL6180 is not set
+# CONFIG_ZOPT2201 is not set
+# end of Light sensors
+
+#
+# Magnetometer sensors
+#
+# CONFIG_AK8974 is not set
+# CONFIG_AK8975 is not set
+# CONFIG_AK09911 is not set
+# CONFIG_BMC150_MAGN_I2C is not set
+# CONFIG_BMC150_MAGN_SPI is not set
+# CONFIG_MAG3110 is not set
+CONFIG_HID_SENSOR_MAGNETOMETER_3D=3Dm
+# CONFIG_MMC35240 is not set
+# CONFIG_IIO_ST_MAGN_3AXIS is not set
+# CONFIG_SENSORS_HMC5843_I2C is not set
+# CONFIG_SENSORS_HMC5843_SPI is not set
+# CONFIG_SENSORS_RM3100_I2C is not set
+# CONFIG_SENSORS_RM3100_SPI is not set
+# end of Magnetometer sensors
+
+#
+# Multiplexers
+#
+# CONFIG_IIO_MUX is not set
+# end of Multiplexers
+
+#
+# Inclinometer sensors
+#
+CONFIG_HID_SENSOR_INCLINOMETER_3D=3Dm
+CONFIG_HID_SENSOR_DEVICE_ROTATION=3Dm
+# end of Inclinometer sensors
+
+#
+# Triggers - standalone
+#
+# CONFIG_IIO_INTERRUPT_TRIGGER is not set
+# CONFIG_IIO_SYSFS_TRIGGER is not set
+# end of Triggers - standalone
+
+#
+# Digital potentiometers
+#
+# CONFIG_AD5272 is not set
+# CONFIG_DS1803 is not set
+# CONFIG_MAX5432 is not set
+# CONFIG_MAX5481 is not set
+# CONFIG_MAX5487 is not set
+# CONFIG_MCP4018 is not set
+# CONFIG_MCP4131 is not set
+# CONFIG_MCP4531 is not set
+# CONFIG_MCP41010 is not set
+# CONFIG_TPL0102 is not set
+# end of Digital potentiometers
+
+#
+# Digital potentiostats
+#
+# CONFIG_LMP91000 is not set
+# end of Digital potentiostats
+
+#
+# Pressure sensors
+#
+# CONFIG_ABP060MG is not set
+# CONFIG_BMP280 is not set
+CONFIG_DPS310=3Dm
+CONFIG_HID_SENSOR_PRESS=3Dm
+# CONFIG_HP03 is not set
+# CONFIG_MPL115_I2C is not set
+# CONFIG_MPL115_SPI is not set
+# CONFIG_MPL3115 is not set
+# CONFIG_MS5611 is not set
+# CONFIG_MS5637 is not set
+# CONFIG_IIO_ST_PRESS is not set
+# CONFIG_T5403 is not set
+# CONFIG_HP206C is not set
+# CONFIG_ZPA2326 is not set
+# end of Pressure sensors
+
+#
+# Lightning sensors
+#
+# CONFIG_AS3935 is not set
+# end of Lightning sensors
+
+#
+# Proximity and distance sensors
+#
+# CONFIG_ISL29501 is not set
+# CONFIG_LIDAR_LITE_V2 is not set
+# CONFIG_MB1232 is not set
+# CONFIG_RFD77402 is not set
+# CONFIG_SRF04 is not set
+# CONFIG_SX9500 is not set
+# CONFIG_SRF08 is not set
+# CONFIG_VL53L0X_I2C is not set
+# end of Proximity and distance sensors
+
+#
+# Resolver to digital converters
+#
+# CONFIG_AD2S90 is not set
+# CONFIG_AD2S1200 is not set
+# end of Resolver to digital converters
+
+#
+# Temperature sensors
+#
+# CONFIG_MAXIM_THERMOCOUPLE is not set
+# CONFIG_HID_SENSOR_TEMP is not set
+# CONFIG_MLX90614 is not set
+# CONFIG_MLX90632 is not set
+# CONFIG_TMP006 is not set
+# CONFIG_TMP007 is not set
+# CONFIG_TSYS01 is not set
+# CONFIG_TSYS02D is not set
+# CONFIG_MAX31856 is not set
+# end of Temperature sensors
+
+# CONFIG_NTB is not set
+# CONFIG_VME_BUS is not set
+CONFIG_PWM=3Dy
+CONFIG_PWM_SYSFS=3Dy
+CONFIG_PWM_BCM2835=3Dm
+# CONFIG_PWM_CROS_EC is not set
+# CONFIG_PWM_FSL_FTM is not set
+# CONFIG_PWM_IMX1 is not set
+# CONFIG_PWM_IMX27 is not set
+CONFIG_PWM_IMX_TPM=3Dm
+CONFIG_PWM_OMAP_DMTIMER=3Dm
+# CONFIG_PWM_PCA9685 is not set
+CONFIG_PWM_ROCKCHIP=3Dm
+CONFIG_PWM_SAMSUNG=3Dm
+# CONFIG_PWM_STMPE is not set
+CONFIG_PWM_SUN4I=3Dm
+CONFIG_PWM_TEGRA=3Dm
+CONFIG_PWM_TIECAP=3Dm
+CONFIG_PWM_TIEHRPWM=3Dm
+CONFIG_PWM_TIPWMSS=3Dy
+CONFIG_PWM_TWL=3Dm
+CONFIG_PWM_TWL_LED=3Dm
+CONFIG_PWM_VT8500=3Dm
+
+#
+# IRQ chip support
+#
+CONFIG_IRQCHIP=3Dy
+CONFIG_ARM_GIC=3Dy
+CONFIG_ARM_GIC_MAX_NR=3D1
+CONFIG_ARM_GIC_V2M=3Dy
+CONFIG_GIC_NON_BANKED=3Dy
+CONFIG_ARM_GIC_V3=3Dy
+CONFIG_ARM_GIC_V3_ITS=3Dy
+CONFIG_ARM_GIC_V3_ITS_PCI=3Dy
+CONFIG_ARMADA_370_XP_IRQ=3Dy
+# CONFIG_AL_FIC is not set
+CONFIG_MADERA_IRQ=3Dm
+CONFIG_OMAP_IRQCHIP=3Dy
+# CONFIG_TS4800_IRQ is not set
+CONFIG_IRQ_CROSSBAR=3Dy
+CONFIG_PARTITION_PERCPU=3Dy
+CONFIG_IMX_IRQSTEER=3Dy
+# end of IRQ chip support
+
+# CONFIG_IPACK_BUS is not set
+CONFIG_ARCH_HAS_RESET_CONTROLLER=3Dy
+CONFIG_RESET_CONTROLLER=3Dy
+CONFIG_RESET_SCMI=3Dy
+CONFIG_RESET_SIMPLE=3Dy
+CONFIG_RESET_SOCFPGA=3Dy
+CONFIG_RESET_SUNXI=3Dy
+# CONFIG_RESET_TI_SYSCON is not set
+
+#
+# PHY Subsystem
+#
+CONFIG_GENERIC_PHY=3Dy
+CONFIG_GENERIC_PHY_MIPI_DPHY=3Dy
+CONFIG_PHY_SUN4I_USB=3Dm
+CONFIG_PHY_SUN6I_MIPI_DPHY=3Dm
+CONFIG_PHY_SUN9I_USB=3Dm
+# CONFIG_BCM_KONA_USB2_PHY is not set
+# CONFIG_PHY_CADENCE_DP is not set
+# CONFIG_PHY_CADENCE_DPHY is not set
+# CONFIG_PHY_CADENCE_SIERRA is not set
+# CONFIG_PHY_FSL_IMX8MQ_USB is not set
+CONFIG_PHY_MIXEL_MIPI_DPHY=3Dm
+CONFIG_ARMADA375_USBCLUSTER_PHY=3Dy
+CONFIG_PHY_MVEBU_A3700_COMPHY=3Dm
+CONFIG_PHY_MVEBU_A3700_UTMI=3Dm
+CONFIG_PHY_MVEBU_A38X_COMPHY=3Dm
+CONFIG_PHY_MVEBU_CP110_COMPHY=3Dm
+# CONFIG_PHY_PXA_28NM_HSIC is not set
+# CONFIG_PHY_PXA_28NM_USB2 is not set
+# CONFIG_PHY_CPCAP_USB is not set
+# CONFIG_PHY_MAPPHONE_MDM6600 is not set
+# CONFIG_PHY_OCELOT_SERDES is not set
+CONFIG_PHY_QCOM_USB_HS=3Dm
+CONFIG_PHY_QCOM_USB_HSIC=3Dm
+CONFIG_PHY_ROCKCHIP_DP=3Dm
+CONFIG_PHY_ROCKCHIP_EMMC=3Dm
+# CONFIG_PHY_ROCKCHIP_INNO_HDMI is not set
+# CONFIG_PHY_ROCKCHIP_INNO_USB2 is not set
+# CONFIG_PHY_ROCKCHIP_PCIE is not set
+# CONFIG_PHY_ROCKCHIP_TYPEC is not set
+CONFIG_PHY_ROCKCHIP_USB=3Dm
+CONFIG_PHY_EXYNOS_DP_VIDEO=3Dm
+CONFIG_PHY_EXYNOS_MIPI_VIDEO=3Dm
+# CONFIG_PHY_EXYNOS_PCIE is not set
+CONFIG_PHY_SAMSUNG_USB2=3Dm
+CONFIG_PHY_EXYNOS4210_USB2=3Dy
+CONFIG_PHY_EXYNOS4X12_USB2=3Dy
+CONFIG_PHY_EXYNOS5250_USB2=3Dy
+CONFIG_PHY_EXYNOS5_USBDRD=3Dm
+CONFIG_PHY_EXYNOS5250_SATA=3Dm
+CONFIG_PHY_TEGRA_XUSB=3Dm
+# CONFIG_PHY_DM816X_USB is not set
+CONFIG_OMAP_CONTROL_PHY=3Dm
+CONFIG_OMAP_USB2=3Dm
+CONFIG_TI_PIPE3=3Dm
+CONFIG_PHY_TUSB1210=3Dm
+CONFIG_TWL4030_USB=3Dm
+CONFIG_PHY_TI_GMII_SEL=3Dm
+# end of PHY Subsystem
+
+# CONFIG_POWERCAP is not set
+# CONFIG_MCB is not set
+
+#
+# Performance monitor support
+#
+# CONFIG_ARM_CCI_PMU is not set
+# CONFIG_ARM_CCN is not set
+CONFIG_ARM_PMU=3Dy
+CONFIG_FSL_IMX8_DDR_PMU=3Dm
+# end of Performance monitor support
+
+CONFIG_RAS=3Dy
+
+#
+# Android
+#
+# CONFIG_ANDROID is not set
+# end of Android
+
+CONFIG_DAX=3Dm
+CONFIG_NVMEM=3Dy
+CONFIG_NVMEM_SYSFS=3Dy
+# CONFIG_NVMEM_IMX_IIM is not set
+# CONFIG_NVMEM_IMX_OCOTP is not set
+CONFIG_ROCKCHIP_EFUSE=3Dm
+CONFIG_NVMEM_SUNXI_SID=3Dm
+CONFIG_NVMEM_SNVS_LPGPR=3Dm
+
+#
+# HW tracing support
+#
+# CONFIG_STM is not set
+# CONFIG_INTEL_TH is not set
+# end of HW tracing support
+
+# CONFIG_FPGA is not set
+# CONFIG_FSI is not set
+# CONFIG_TEE is not set
+CONFIG_PM_OPP=3Dy
+# CONFIG_SIOX is not set
+# CONFIG_SLIMBUS is not set
+# CONFIG_INTERCONNECT is not set
+CONFIG_COUNTER=3Dm
+CONFIG_FTM_QUADDEC=3Dm
+# end of Device Drivers
+
+#
+# File systems
+#
+CONFIG_DCACHE_WORD_ACCESS=3Dy
+CONFIG_VALIDATE_FS_PARSER=3Dy
+CONFIG_FS_IOMAP=3Dy
+# CONFIG_EXT2_FS is not set
+# CONFIG_EXT3_FS is not set
+CONFIG_EXT4_FS=3Dy
+CONFIG_EXT4_USE_FOR_EXT2=3Dy
+CONFIG_EXT4_FS_POSIX_ACL=3Dy
+CONFIG_EXT4_FS_SECURITY=3Dy
+# CONFIG_EXT4_DEBUG is not set
+CONFIG_JBD2=3Dy
+# CONFIG_JBD2_DEBUG is not set
+CONFIG_FS_MBCACHE=3Dy
+CONFIG_REISERFS_FS=3Dm
+# CONFIG_REISERFS_CHECK is not set
+# CONFIG_REISERFS_PROC_INFO is not set
+CONFIG_REISERFS_FS_XATTR=3Dy
+CONFIG_REISERFS_FS_POSIX_ACL=3Dy
+CONFIG_REISERFS_FS_SECURITY=3Dy
+CONFIG_JFS_FS=3Dm
+CONFIG_JFS_POSIX_ACL=3Dy
+CONFIG_JFS_SECURITY=3Dy
+# CONFIG_JFS_DEBUG is not set
+# CONFIG_JFS_STATISTICS is not set
+CONFIG_XFS_FS=3Dm
+CONFIG_XFS_QUOTA=3Dy
+CONFIG_XFS_POSIX_ACL=3Dy
+CONFIG_XFS_RT=3Dy
+# CONFIG_XFS_ONLINE_SCRUB is not set
+# CONFIG_XFS_WARN is not set
+# CONFIG_XFS_DEBUG is not set
+CONFIG_GFS2_FS=3Dm
+CONFIG_GFS2_FS_LOCKING_DLM=3Dy
+CONFIG_OCFS2_FS=3Dm
+CONFIG_OCFS2_FS_O2CB=3Dm
+CONFIG_OCFS2_FS_USERSPACE_CLUSTER=3Dm
+CONFIG_OCFS2_FS_STATS=3Dy
+CONFIG_OCFS2_DEBUG_MASKLOG=3Dy
+# CONFIG_OCFS2_DEBUG_FS is not set
+CONFIG_BTRFS_FS=3Dm
+CONFIG_BTRFS_FS_POSIX_ACL=3Dy
+# CONFIG_BTRFS_FS_CHECK_INTEGRITY is not set
+# CONFIG_BTRFS_FS_RUN_SANITY_TESTS is not set
+# CONFIG_BTRFS_DEBUG is not set
+# CONFIG_BTRFS_ASSERT is not set
+# CONFIG_BTRFS_FS_REF_VERIFY is not set
+CONFIG_NILFS2_FS=3Dm
+CONFIG_F2FS_FS=3Dm
+CONFIG_F2FS_STAT_FS=3Dy
+CONFIG_F2FS_FS_XATTR=3Dy
+CONFIG_F2FS_FS_POSIX_ACL=3Dy
+CONFIG_F2FS_FS_SECURITY=3Dy
+# CONFIG_F2FS_CHECK_FS is not set
+# CONFIG_F2FS_IO_TRACE is not set
+# CONFIG_F2FS_FAULT_INJECTION is not set
+CONFIG_FS_POSIX_ACL=3Dy
+CONFIG_EXPORTFS=3Dy
+CONFIG_EXPORTFS_BLOCK_OPS=3Dy
+CONFIG_FILE_LOCKING=3Dy
+CONFIG_MANDATORY_FILE_LOCKING=3Dy
+# CONFIG_FS_ENCRYPTION is not set
+CONFIG_FS_VERITY=3Dy
+# CONFIG_FS_VERITY_DEBUG is not set
+# CONFIG_FS_VERITY_BUILTIN_SIGNATURES is not set
+CONFIG_FSNOTIFY=3Dy
+CONFIG_DNOTIFY=3Dy
+CONFIG_INOTIFY_USER=3Dy
+CONFIG_FANOTIFY=3Dy
+CONFIG_FANOTIFY_ACCESS_PERMISSIONS=3Dy
+CONFIG_QUOTA=3Dy
+CONFIG_QUOTA_NETLINK_INTERFACE=3Dy
+CONFIG_PRINT_QUOTA_WARNING=3Dy
+# CONFIG_QUOTA_DEBUG is not set
+CONFIG_QUOTA_TREE=3Dm
+CONFIG_QFMT_V1=3Dm
+CONFIG_QFMT_V2=3Dm
+CONFIG_QUOTACTL=3Dy
+CONFIG_AUTOFS4_FS=3Dm
+CONFIG_AUTOFS_FS=3Dm
+CONFIG_FUSE_FS=3Dm
+CONFIG_CUSE=3Dm
+CONFIG_VIRTIO_FS=3Dm
+CONFIG_OVERLAY_FS=3Dm
+# CONFIG_OVERLAY_FS_REDIRECT_DIR is not set
+# CONFIG_OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW is not set
+# CONFIG_OVERLAY_FS_INDEX is not set
+# CONFIG_OVERLAY_FS_XINO_AUTO is not set
+# CONFIG_OVERLAY_FS_METACOPY is not set
+
+#
+# Caches
+#
+CONFIG_FSCACHE=3Dm
+CONFIG_FSCACHE_STATS=3Dy
+# CONFIG_FSCACHE_HISTOGRAM is not set
+# CONFIG_FSCACHE_DEBUG is not set
+# CONFIG_FSCACHE_OBJECT_LIST is not set
+CONFIG_CACHEFILES=3Dm
+# CONFIG_CACHEFILES_DEBUG is not set
+# CONFIG_CACHEFILES_HISTOGRAM is not set
+# end of Caches
+
+#
+# CD-ROM/DVD Filesystems
+#
+CONFIG_ISO9660_FS=3Dm
+CONFIG_JOLIET=3Dy
+CONFIG_ZISOFS=3Dy
+CONFIG_UDF_FS=3Dm
+# end of CD-ROM/DVD Filesystems
+
+#
+# DOS/FAT/NT Filesystems
+#
+CONFIG_FAT_FS=3Dy
+CONFIG_MSDOS_FS=3Dm
+CONFIG_VFAT_FS=3Dy
+CONFIG_FAT_DEFAULT_CODEPAGE=3D437
+CONFIG_FAT_DEFAULT_IOCHARSET=3D"iso8859-1"
+# CONFIG_FAT_DEFAULT_UTF8 is not set
+CONFIG_NTFS_FS=3Dm
+# CONFIG_NTFS_DEBUG is not set
+# CONFIG_NTFS_RW is not set
+# end of DOS/FAT/NT Filesystems
+
+#
+# Pseudo filesystems
+#
+CONFIG_PROC_FS=3Dy
+CONFIG_PROC_SYSCTL=3Dy
+CONFIG_PROC_PAGE_MONITOR=3Dy
+CONFIG_PROC_CHILDREN=3Dy
+CONFIG_KERNFS=3Dy
+CONFIG_SYSFS=3Dy
+CONFIG_TMPFS=3Dy
+CONFIG_TMPFS_POSIX_ACL=3Dy
+CONFIG_TMPFS_XATTR=3Dy
+CONFIG_MEMFD_CREATE=3Dy
+CONFIG_CONFIGFS_FS=3Dm
+CONFIG_EFIVAR_FS=3Dm
+# end of Pseudo filesystems
+
+CONFIG_MISC_FILESYSTEMS=3Dy
+# CONFIG_ORANGEFS_FS is not set
+CONFIG_ADFS_FS=3Dm
+# CONFIG_ADFS_FS_RW is not set
+CONFIG_AFFS_FS=3Dm
+CONFIG_ECRYPT_FS=3Dm
+CONFIG_ECRYPT_FS_MESSAGING=3Dy
+CONFIG_HFS_FS=3Dm
+CONFIG_HFSPLUS_FS=3Dm
+CONFIG_BEFS_FS=3Dm
+# CONFIG_BEFS_DEBUG is not set
+CONFIG_BFS_FS=3Dm
+CONFIG_EFS_FS=3Dm
+CONFIG_JFFS2_FS=3Dm
+CONFIG_JFFS2_FS_DEBUG=3D0
+CONFIG_JFFS2_FS_WRITEBUFFER=3Dy
+# CONFIG_JFFS2_FS_WBUF_VERIFY is not set
+CONFIG_JFFS2_SUMMARY=3Dy
+CONFIG_JFFS2_FS_XATTR=3Dy
+CONFIG_JFFS2_FS_POSIX_ACL=3Dy
+CONFIG_JFFS2_FS_SECURITY=3Dy
+CONFIG_JFFS2_COMPRESSION_OPTIONS=3Dy
+CONFIG_JFFS2_ZLIB=3Dy
+CONFIG_JFFS2_LZO=3Dy
+CONFIG_JFFS2_RTIME=3Dy
+# CONFIG_JFFS2_RUBIN is not set
+# CONFIG_JFFS2_CMODE_NONE is not set
+CONFIG_JFFS2_CMODE_PRIORITY=3Dy
+# CONFIG_JFFS2_CMODE_SIZE is not set
+# CONFIG_JFFS2_CMODE_FAVOURLZO is not set
+CONFIG_UBIFS_FS=3Dm
+CONFIG_UBIFS_FS_ADVANCED_COMPR=3Dy
+CONFIG_UBIFS_FS_LZO=3Dy
+CONFIG_UBIFS_FS_ZLIB=3Dy
+CONFIG_UBIFS_FS_ZSTD=3Dy
+# CONFIG_UBIFS_ATIME_SUPPORT is not set
+CONFIG_UBIFS_FS_XATTR=3Dy
+CONFIG_UBIFS_FS_SECURITY=3Dy
+CONFIG_UBIFS_FS_AUTHENTICATION=3Dy
+# CONFIG_CRAMFS is not set
+CONFIG_SQUASHFS=3Dm
+CONFIG_SQUASHFS_FILE_CACHE=3Dy
+# CONFIG_SQUASHFS_FILE_DIRECT is not set
+CONFIG_SQUASHFS_DECOMP_SINGLE=3Dy
+# CONFIG_SQUASHFS_DECOMP_MULTI is not set
+# CONFIG_SQUASHFS_DECOMP_MULTI_PERCPU is not set
+CONFIG_SQUASHFS_XATTR=3Dy
+CONFIG_SQUASHFS_ZLIB=3Dy
+# CONFIG_SQUASHFS_LZ4 is not set
+CONFIG_SQUASHFS_LZO=3Dy
+CONFIG_SQUASHFS_XZ=3Dy
+# CONFIG_SQUASHFS_ZSTD is not set
+# CONFIG_SQUASHFS_4K_DEVBLK_SIZE is not set
+# CONFIG_SQUASHFS_EMBEDDED is not set
+CONFIG_SQUASHFS_FRAGMENT_CACHE_SIZE=3D3
+CONFIG_VXFS_FS=3Dm
+CONFIG_MINIX_FS=3Dm
+CONFIG_OMFS_FS=3Dm
+CONFIG_HPFS_FS=3Dm
+CONFIG_QNX4FS_FS=3Dm
+CONFIG_QNX6FS_FS=3Dm
+# CONFIG_QNX6FS_DEBUG is not set
+CONFIG_ROMFS_FS=3Dm
+# CONFIG_ROMFS_BACKED_BY_BLOCK is not set
+# CONFIG_ROMFS_BACKED_BY_MTD is not set
+CONFIG_ROMFS_BACKED_BY_BOTH=3Dy
+CONFIG_ROMFS_ON_BLOCK=3Dy
+CONFIG_ROMFS_ON_MTD=3Dy
+# CONFIG_PSTORE is not set
+CONFIG_SYSV_FS=3Dm
+CONFIG_UFS_FS=3Dm
+# CONFIG_UFS_FS_WRITE is not set
+# CONFIG_UFS_DEBUG is not set
+CONFIG_EROFS_FS=3Dm
+# CONFIG_EROFS_FS_DEBUG is not set
+CONFIG_EROFS_FS_XATTR=3Dy
+CONFIG_EROFS_FS_POSIX_ACL=3Dy
+CONFIG_EROFS_FS_SECURITY=3Dy
+# CONFIG_EROFS_FS_ZIP is not set
+CONFIG_NETWORK_FILESYSTEMS=3Dy
+CONFIG_NFS_FS=3Dm
+CONFIG_NFS_V2=3Dm
+CONFIG_NFS_V3=3Dm
+CONFIG_NFS_V3_ACL=3Dy
+CONFIG_NFS_V4=3Dm
+CONFIG_NFS_SWAP=3Dy
+CONFIG_NFS_V4_1=3Dy
+CONFIG_NFS_V4_2=3Dy
+CONFIG_PNFS_FILE_LAYOUT=3Dm
+CONFIG_PNFS_BLOCK=3Dm
+CONFIG_PNFS_FLEXFILE_LAYOUT=3Dm
+CONFIG_NFS_V4_1_IMPLEMENTATION_ID_DOMAIN=3D"kernel.org"
+# CONFIG_NFS_V4_1_MIGRATION is not set
+CONFIG_NFS_V4_SECURITY_LABEL=3Dy
+CONFIG_NFS_FSCACHE=3Dy
+# CONFIG_NFS_USE_LEGACY_DNS is not set
+CONFIG_NFS_USE_KERNEL_DNS=3Dy
+CONFIG_NFS_DEBUG=3Dy
+CONFIG_NFSD=3Dm
+CONFIG_NFSD_V2_ACL=3Dy
+CONFIG_NFSD_V3=3Dy
+CONFIG_NFSD_V3_ACL=3Dy
+CONFIG_NFSD_V4=3Dy
+CONFIG_NFSD_PNFS=3Dy
+CONFIG_NFSD_BLOCKLAYOUT=3Dy
+# CONFIG_NFSD_SCSILAYOUT is not set
+# CONFIG_NFSD_FLEXFILELAYOUT is not set
+CONFIG_NFSD_V4_SECURITY_LABEL=3Dy
+CONFIG_GRACE_PERIOD=3Dm
+CONFIG_LOCKD=3Dm
+CONFIG_LOCKD_V4=3Dy
+CONFIG_NFS_ACL_SUPPORT=3Dm
+CONFIG_NFS_COMMON=3Dy
+CONFIG_SUNRPC=3Dm
+CONFIG_SUNRPC_GSS=3Dm
+CONFIG_SUNRPC_BACKCHANNEL=3Dy
+CONFIG_SUNRPC_SWAP=3Dy
+CONFIG_RPCSEC_GSS_KRB5=3Dm
+CONFIG_SUNRPC_DISABLE_INSECURE_ENCTYPES=3Dy
+CONFIG_SUNRPC_DEBUG=3Dy
+CONFIG_SUNRPC_XPRT_RDMA=3Dm
+CONFIG_CEPH_FS=3Dm
+CONFIG_CEPH_FSCACHE=3Dy
+CONFIG_CEPH_FS_POSIX_ACL=3Dy
+CONFIG_CEPH_FS_SECURITY_LABEL=3Dy
+CONFIG_CIFS=3Dm
+# CONFIG_CIFS_STATS2 is not set
+CONFIG_CIFS_ALLOW_INSECURE_LEGACY=3Dy
+CONFIG_CIFS_WEAK_PW_HASH=3Dy
+CONFIG_CIFS_UPCALL=3Dy
+CONFIG_CIFS_XATTR=3Dy
+CONFIG_CIFS_POSIX=3Dy
+CONFIG_CIFS_DEBUG=3Dy
+# CONFIG_CIFS_DEBUG2 is not set
+# CONFIG_CIFS_DEBUG_DUMP_KEYS is not set
+CONFIG_CIFS_DFS_UPCALL=3Dy
+# CONFIG_CIFS_SMB_DIRECT is not set
+CONFIG_CIFS_FSCACHE=3Dy
+CONFIG_CODA_FS=3Dm
+CONFIG_AFS_FS=3Dm
+# CONFIG_AFS_DEBUG is not set
+CONFIG_AFS_FSCACHE=3Dy
+# CONFIG_AFS_DEBUG_CURSOR is not set
+CONFIG_9P_FS=3Dm
+CONFIG_9P_FSCACHE=3Dy
+CONFIG_9P_FS_POSIX_ACL=3Dy
+CONFIG_9P_FS_SECURITY=3Dy
+CONFIG_NLS=3Dy
+CONFIG_NLS_DEFAULT=3D"utf8"
+CONFIG_NLS_CODEPAGE_437=3Dy
+CONFIG_NLS_CODEPAGE_737=3Dm
+CONFIG_NLS_CODEPAGE_775=3Dm
+CONFIG_NLS_CODEPAGE_850=3Dm
+CONFIG_NLS_CODEPAGE_852=3Dm
+CONFIG_NLS_CODEPAGE_855=3Dm
+CONFIG_NLS_CODEPAGE_857=3Dm
+CONFIG_NLS_CODEPAGE_860=3Dm
+CONFIG_NLS_CODEPAGE_861=3Dm
+CONFIG_NLS_CODEPAGE_862=3Dm
+CONFIG_NLS_CODEPAGE_863=3Dm
+CONFIG_NLS_CODEPAGE_864=3Dm
+CONFIG_NLS_CODEPAGE_865=3Dm
+CONFIG_NLS_CODEPAGE_866=3Dm
+CONFIG_NLS_CODEPAGE_869=3Dm
+CONFIG_NLS_CODEPAGE_936=3Dm
+CONFIG_NLS_CODEPAGE_950=3Dm
+CONFIG_NLS_CODEPAGE_932=3Dm
+CONFIG_NLS_CODEPAGE_949=3Dm
+CONFIG_NLS_CODEPAGE_874=3Dm
+CONFIG_NLS_ISO8859_8=3Dm
+CONFIG_NLS_CODEPAGE_1250=3Dm
+CONFIG_NLS_CODEPAGE_1251=3Dm
+CONFIG_NLS_ASCII=3Dm
+CONFIG_NLS_ISO8859_1=3Dm
+CONFIG_NLS_ISO8859_2=3Dm
+CONFIG_NLS_ISO8859_3=3Dm
+CONFIG_NLS_ISO8859_4=3Dm
+CONFIG_NLS_ISO8859_5=3Dm
+CONFIG_NLS_ISO8859_6=3Dm
+CONFIG_NLS_ISO8859_7=3Dm
+CONFIG_NLS_ISO8859_9=3Dm
+CONFIG_NLS_ISO8859_13=3Dm
+CONFIG_NLS_ISO8859_14=3Dm
+CONFIG_NLS_ISO8859_15=3Dm
+CONFIG_NLS_KOI8_R=3Dm
+CONFIG_NLS_KOI8_U=3Dm
+CONFIG_NLS_MAC_ROMAN=3Dm
+CONFIG_NLS_MAC_CELTIC=3Dm
+CONFIG_NLS_MAC_CENTEURO=3Dm
+CONFIG_NLS_MAC_CROATIAN=3Dm
+CONFIG_NLS_MAC_CYRILLIC=3Dm
+CONFIG_NLS_MAC_GAELIC=3Dm
+CONFIG_NLS_MAC_GREEK=3Dm
+CONFIG_NLS_MAC_ICELAND=3Dm
+CONFIG_NLS_MAC_INUIT=3Dm
+CONFIG_NLS_MAC_ROMANIAN=3Dm
+CONFIG_NLS_MAC_TURKISH=3Dm
+CONFIG_NLS_UTF8=3Dm
+CONFIG_DLM=3Dm
+CONFIG_DLM_DEBUG=3Dy
+# CONFIG_UNICODE is not set
+# end of File systems
+
+#
+# Security options
+#
+CONFIG_KEYS=3Dy
+CONFIG_KEYS_REQUEST_CACHE=3Dy
+# CONFIG_PERSISTENT_KEYRINGS is not set
+# CONFIG_BIG_KEYS is not set
+# CONFIG_TRUSTED_KEYS is not set
+# CONFIG_ENCRYPTED_KEYS is not set
+# CONFIG_KEY_DH_OPERATIONS is not set
+CONFIG_SECURITY_DMESG_RESTRICT=3Dy
+CONFIG_SECURITY=3Dy
+CONFIG_SECURITYFS=3Dy
+CONFIG_SECURITY_NETWORK=3Dy
+# CONFIG_SECURITY_INFINIBAND is not set
+CONFIG_SECURITY_NETWORK_XFRM=3Dy
+CONFIG_SECURITY_PATH=3Dy
+CONFIG_LSM_MMAP_MIN_ADDR=3D32768
+CONFIG_HAVE_HARDENED_USERCOPY_ALLOCATOR=3Dy
+CONFIG_HARDENED_USERCOPY=3Dy
+CONFIG_HARDENED_USERCOPY_FALLBACK=3Dy
+# CONFIG_HARDENED_USERCOPY_PAGESPAN is not set
+CONFIG_FORTIFY_SOURCE=3Dy
+# CONFIG_STATIC_USERMODEHELPER is not set
+CONFIG_SECURITY_SELINUX=3Dy
+# CONFIG_SECURITY_SELINUX_BOOTPARAM is not set
+# CONFIG_SECURITY_SELINUX_DISABLE is not set
+CONFIG_SECURITY_SELINUX_DEVELOP=3Dy
+CONFIG_SECURITY_SELINUX_AVC_STATS=3Dy
+CONFIG_SECURITY_SELINUX_CHECKREQPROT_VALUE=3D0
+# CONFIG_SECURITY_SMACK is not set
+CONFIG_SECURITY_TOMOYO=3Dy
+CONFIG_SECURITY_TOMOYO_MAX_ACCEPT_ENTRY=3D2048
+CONFIG_SECURITY_TOMOYO_MAX_AUDIT_LOG=3D1024
+# CONFIG_SECURITY_TOMOYO_OMIT_USERSPACE_LOADER is not set
+CONFIG_SECURITY_TOMOYO_POLICY_LOADER=3D"/sbin/tomoyo-init"
+CONFIG_SECURITY_TOMOYO_ACTIVATION_TRIGGER=3D"/sbin/init"
+# CONFIG_SECURITY_TOMOYO_INSECURE_BUILTIN_SETTING is not set
+CONFIG_SECURITY_APPARMOR=3Dy
+CONFIG_SECURITY_APPARMOR_HASH=3Dy
+CONFIG_SECURITY_APPARMOR_HASH_DEFAULT=3Dy
+# CONFIG_SECURITY_APPARMOR_DEBUG is not set
+# CONFIG_SECURITY_LOADPIN is not set
+CONFIG_SECURITY_YAMA=3Dy
+# CONFIG_SECURITY_SAFESETID is not set
+# CONFIG_SECURITY_LOCKDOWN_LSM is not set
+CONFIG_INTEGRITY=3Dy
+CONFIG_INTEGRITY_SIGNATURE=3Dy
+CONFIG_INTEGRITY_ASYMMETRIC_KEYS=3Dy
+CONFIG_INTEGRITY_TRUSTED_KEYRING=3Dy
+CONFIG_INTEGRITY_AUDIT=3Dy
+CONFIG_IMA=3Dy
+CONFIG_IMA_MEASURE_PCR_IDX=3D10
+CONFIG_IMA_LSM_RULES=3Dy
+# CONFIG_IMA_TEMPLATE is not set
+CONFIG_IMA_NG_TEMPLATE=3Dy
+# CONFIG_IMA_SIG_TEMPLATE is not set
+CONFIG_IMA_DEFAULT_TEMPLATE=3D"ima-ng"
+# CONFIG_IMA_DEFAULT_HASH_SHA1 is not set
+CONFIG_IMA_DEFAULT_HASH_SHA256=3Dy
+CONFIG_IMA_DEFAULT_HASH=3D"sha256"
+# CONFIG_IMA_WRITE_POLICY is not set
+# CONFIG_IMA_READ_POLICY is not set
+CONFIG_IMA_APPRAISE=3Dy
+# CONFIG_IMA_ARCH_POLICY is not set
+# CONFIG_IMA_APPRAISE_BUILD_POLICY is not set
+CONFIG_IMA_APPRAISE_BOOTPARAM=3Dy
+# CONFIG_IMA_APPRAISE_MODSIG is not set
+CONFIG_IMA_TRUSTED_KEYRING=3Dy
+# CONFIG_IMA_BLACKLIST_KEYRING is not set
+# CONFIG_IMA_LOAD_X509 is not set
+# CONFIG_EVM is not set
+# CONFIG_DEFAULT_SECURITY_SELINUX is not set
+# CONFIG_DEFAULT_SECURITY_TOMOYO is not set
+CONFIG_DEFAULT_SECURITY_APPARMOR=3Dy
+# CONFIG_DEFAULT_SECURITY_DAC is not set
+CONFIG_LSM=3D"yama,loadpin,safesetid,integrity,apparmor,selinux,smack,tomo=
yo"
+
+#
+# Kernel hardening options
+#
+CONFIG_GCC_PLUGIN_STRUCTLEAK=3Dy
+
+#
+# Memory initialization
+#
+# CONFIG_INIT_STACK_NONE is not set
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_USER is not set
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_BYREF is not set
+CONFIG_GCC_PLUGIN_STRUCTLEAK_BYREF_ALL=3Dy
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_VERBOSE is not set
+CONFIG_INIT_ON_ALLOC_DEFAULT_ON=3Dy
+# CONFIG_INIT_ON_FREE_DEFAULT_ON is not set
+# end of Memory initialization
+# end of Kernel hardening options
+# end of Security options
+
+CONFIG_XOR_BLOCKS=3Dm
+CONFIG_ASYNC_CORE=3Dm
+CONFIG_ASYNC_MEMCPY=3Dm
+CONFIG_ASYNC_XOR=3Dm
+CONFIG_ASYNC_PQ=3Dm
+CONFIG_ASYNC_RAID6_RECOV=3Dm
+CONFIG_CRYPTO=3Dy
+
+#
+# Crypto core or helper
+#
+CONFIG_CRYPTO_ALGAPI=3Dy
+CONFIG_CRYPTO_ALGAPI2=3Dy
+CONFIG_CRYPTO_AEAD=3Dm
+CONFIG_CRYPTO_AEAD2=3Dy
+CONFIG_CRYPTO_BLKCIPHER=3Dm
+CONFIG_CRYPTO_BLKCIPHER2=3Dy
+CONFIG_CRYPTO_HASH=3Dy
+CONFIG_CRYPTO_HASH2=3Dy
+CONFIG_CRYPTO_RNG=3Dm
+CONFIG_CRYPTO_RNG2=3Dy
+CONFIG_CRYPTO_RNG_DEFAULT=3Dm
+CONFIG_CRYPTO_AKCIPHER2=3Dy
+CONFIG_CRYPTO_AKCIPHER=3Dy
+CONFIG_CRYPTO_KPP2=3Dy
+CONFIG_CRYPTO_KPP=3Dm
+CONFIG_CRYPTO_ACOMP2=3Dy
+CONFIG_CRYPTO_MANAGER=3Dy
+CONFIG_CRYPTO_MANAGER2=3Dy
+CONFIG_CRYPTO_USER=3Dm
+# CONFIG_CRYPTO_MANAGER_DISABLE_TESTS is not set
+# CONFIG_CRYPTO_MANAGER_EXTRA_TESTS is not set
+CONFIG_CRYPTO_GF128MUL=3Dm
+CONFIG_CRYPTO_NULL=3Dm
+CONFIG_CRYPTO_NULL2=3Dy
+CONFIG_CRYPTO_PCRYPT=3Dm
+# CONFIG_CRYPTO_CRYPTD is not set
+CONFIG_CRYPTO_AUTHENC=3Dm
+CONFIG_CRYPTO_TEST=3Dm
+CONFIG_CRYPTO_ENGINE=3Dm
+
+#
+# Public-key cryptography
+#
+CONFIG_CRYPTO_RSA=3Dy
+# CONFIG_CRYPTO_DH is not set
+CONFIG_CRYPTO_ECC=3Dm
+CONFIG_CRYPTO_ECDH=3Dm
+CONFIG_CRYPTO_ECRDSA=3Dm
+
+#
+# Authenticated Encryption with Associated Data
+#
+CONFIG_CRYPTO_CCM=3Dm
+CONFIG_CRYPTO_GCM=3Dm
+CONFIG_CRYPTO_CHACHA20POLY1305=3Dm
+CONFIG_CRYPTO_AEGIS128=3Dm
+CONFIG_CRYPTO_SEQIV=3Dm
+CONFIG_CRYPTO_ECHAINIV=3Dm
+
+#
+# Block modes
+#
+CONFIG_CRYPTO_CBC=3Dm
+CONFIG_CRYPTO_CFB=3Dm
+CONFIG_CRYPTO_CTR=3Dm
+CONFIG_CRYPTO_CTS=3Dm
+CONFIG_CRYPTO_ECB=3Dm
+CONFIG_CRYPTO_LRW=3Dm
+CONFIG_CRYPTO_OFB=3Dm
+CONFIG_CRYPTO_PCBC=3Dm
+CONFIG_CRYPTO_XTS=3Dm
+# CONFIG_CRYPTO_KEYWRAP is not set
+CONFIG_CRYPTO_NHPOLY1305=3Dm
+CONFIG_CRYPTO_ADIANTUM=3Dm
+CONFIG_CRYPTO_ESSIV=3Dm
+
+#
+# Hash modes
+#
+CONFIG_CRYPTO_CMAC=3Dm
+CONFIG_CRYPTO_HMAC=3Dy
+CONFIG_CRYPTO_XCBC=3Dm
+CONFIG_CRYPTO_VMAC=3Dm
+
+#
+# Digest
+#
+CONFIG_CRYPTO_CRC32C=3Dy
+CONFIG_CRYPTO_CRC32=3Dm
+CONFIG_CRYPTO_XXHASH=3Dm
+CONFIG_CRYPTO_CRCT10DIF=3Dy
+CONFIG_CRYPTO_GHASH=3Dm
+CONFIG_CRYPTO_POLY1305=3Dm
+CONFIG_CRYPTO_MD4=3Dm
+CONFIG_CRYPTO_MD5=3Dy
+CONFIG_CRYPTO_MICHAEL_MIC=3Dm
+CONFIG_CRYPTO_RMD128=3Dm
+CONFIG_CRYPTO_RMD160=3Dm
+CONFIG_CRYPTO_RMD256=3Dm
+CONFIG_CRYPTO_RMD320=3Dm
+CONFIG_CRYPTO_SHA1=3Dy
+CONFIG_CRYPTO_LIB_SHA256=3Dy
+CONFIG_CRYPTO_SHA256=3Dy
+CONFIG_CRYPTO_SHA512=3Dm
+# CONFIG_CRYPTO_SHA3 is not set
+# CONFIG_CRYPTO_SM3 is not set
+CONFIG_CRYPTO_STREEBOG=3Dm
+CONFIG_CRYPTO_TGR192=3Dm
+CONFIG_CRYPTO_WP512=3Dm
+
+#
+# Ciphers
+#
+CONFIG_CRYPTO_LIB_AES=3Dy
+CONFIG_CRYPTO_AES=3Dy
+# CONFIG_CRYPTO_AES_TI is not set
+CONFIG_CRYPTO_ANUBIS=3Dm
+CONFIG_CRYPTO_LIB_ARC4=3Dm
+CONFIG_CRYPTO_ARC4=3Dm
+CONFIG_CRYPTO_BLOWFISH=3Dm
+CONFIG_CRYPTO_BLOWFISH_COMMON=3Dm
+CONFIG_CRYPTO_CAMELLIA=3Dm
+CONFIG_CRYPTO_CAST_COMMON=3Dm
+CONFIG_CRYPTO_CAST5=3Dm
+CONFIG_CRYPTO_CAST6=3Dm
+CONFIG_CRYPTO_LIB_DES=3Dm
+CONFIG_CRYPTO_DES=3Dm
+CONFIG_CRYPTO_FCRYPT=3Dm
+CONFIG_CRYPTO_KHAZAD=3Dm
+CONFIG_CRYPTO_SALSA20=3Dm
+CONFIG_CRYPTO_CHACHA20=3Dm
+CONFIG_CRYPTO_SEED=3Dm
+CONFIG_CRYPTO_SERPENT=3Dm
+CONFIG_CRYPTO_SM4=3Dm
+CONFIG_CRYPTO_TEA=3Dm
+CONFIG_CRYPTO_TWOFISH=3Dm
+CONFIG_CRYPTO_TWOFISH_COMMON=3Dm
+
+#
+# Compression
+#
+CONFIG_CRYPTO_DEFLATE=3Dm
+CONFIG_CRYPTO_LZO=3Dy
+# CONFIG_CRYPTO_842 is not set
+CONFIG_CRYPTO_LZ4=3Dm
+CONFIG_CRYPTO_LZ4HC=3Dm
+CONFIG_CRYPTO_ZSTD=3Dm
+
+#
+# Random Number Generation
+#
+CONFIG_CRYPTO_ANSI_CPRNG=3Dm
+CONFIG_CRYPTO_DRBG_MENU=3Dm
+CONFIG_CRYPTO_DRBG_HMAC=3Dy
+# CONFIG_CRYPTO_DRBG_HASH is not set
+# CONFIG_CRYPTO_DRBG_CTR is not set
+CONFIG_CRYPTO_DRBG=3Dm
+CONFIG_CRYPTO_JITTERENTROPY=3Dm
+CONFIG_CRYPTO_USER_API=3Dm
+CONFIG_CRYPTO_USER_API_HASH=3Dm
+CONFIG_CRYPTO_USER_API_SKCIPHER=3Dm
+CONFIG_CRYPTO_USER_API_RNG=3Dm
+CONFIG_CRYPTO_USER_API_AEAD=3Dm
+# CONFIG_CRYPTO_STATS is not set
+CONFIG_CRYPTO_HASH_INFO=3Dy
+CONFIG_CRYPTO_HW=3Dy
+CONFIG_CRYPTO_DEV_MARVELL_CESA=3Dm
+# CONFIG_CRYPTO_DEV_FSL_CAAM is not set
+# CONFIG_CRYPTO_DEV_OMAP is not set
+# CONFIG_CRYPTO_DEV_SAHARA is not set
+# CONFIG_CRYPTO_DEV_EXYNOS_RNG is not set
+# CONFIG_CRYPTO_DEV_S5P is not set
+CONFIG_CRYPTO_DEV_ATMEL_I2C=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_ECC=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_SHA204A=3Dm
+# CONFIG_CRYPTO_DEV_MXS_DCP is not set
+CONFIG_CRYPTO_DEV_SUN4I_SS=3Dm
+# CONFIG_CRYPTO_DEV_SUN4I_SS_PRNG is not set
+# CONFIG_CRYPTO_DEV_ROCKCHIP is not set
+CONFIG_CRYPTO_DEV_CHELSIO=3Dm
+CONFIG_CRYPTO_DEV_VIRTIO=3Dm
+# CONFIG_CRYPTO_DEV_SAFEXCEL is not set
+# CONFIG_CRYPTO_DEV_CCREE is not set
+CONFIG_ASYMMETRIC_KEY_TYPE=3Dy
+CONFIG_ASYMMETRIC_PUBLIC_KEY_SUBTYPE=3Dy
+CONFIG_X509_CERTIFICATE_PARSER=3Dy
+CONFIG_PKCS8_PRIVATE_KEY_PARSER=3Dm
+CONFIG_PKCS7_MESSAGE_PARSER=3Dy
+# CONFIG_PKCS7_TEST_KEY is not set
+# CONFIG_SIGNED_PE_FILE_VERIFICATION is not set
+
+#
+# Certificates for signature checking
+#
+CONFIG_SYSTEM_TRUSTED_KEYRING=3Dy
+CONFIG_SYSTEM_TRUSTED_KEYS=3D""
+# CONFIG_SYSTEM_EXTRA_CERTIFICATE is not set
+# CONFIG_SECONDARY_TRUSTED_KEYRING is not set
+# CONFIG_SYSTEM_BLACKLIST_KEYRING is not set
+# end of Certificates for signature checking
+
+CONFIG_BINARY_PRINTF=3Dy
+
+#
+# Library routines
+#
+CONFIG_RAID6_PQ=3Dm
+CONFIG_RAID6_PQ_BENCHMARK=3Dy
+CONFIG_PACKING=3Dy
+CONFIG_BITREVERSE=3Dy
+CONFIG_HAVE_ARCH_BITREVERSE=3Dy
+CONFIG_GENERIC_STRNCPY_FROM_USER=3Dy
+CONFIG_GENERIC_STRNLEN_USER=3Dy
+CONFIG_GENERIC_NET_UTILS=3Dy
+CONFIG_CORDIC=3Dm
+CONFIG_RATIONAL=3Dy
+CONFIG_GENERIC_PCI_IOMAP=3Dy
+CONFIG_STMP_DEVICE=3Dy
+CONFIG_ARCH_USE_CMPXCHG_LOCKREF=3Dy
+CONFIG_CRC_CCITT=3Dm
+CONFIG_CRC16=3Dy
+CONFIG_CRC_T10DIF=3Dy
+CONFIG_CRC_ITU_T=3Dm
+CONFIG_CRC32=3Dy
+# CONFIG_CRC32_SELFTEST is not set
+CONFIG_CRC32_SLICEBY8=3Dy
+# CONFIG_CRC32_SLICEBY4 is not set
+# CONFIG_CRC32_SARWATE is not set
+# CONFIG_CRC32_BIT is not set
+CONFIG_CRC64=3Dm
+# CONFIG_CRC4 is not set
+CONFIG_CRC7=3Dm
+CONFIG_LIBCRC32C=3Dm
+CONFIG_CRC8=3Dm
+CONFIG_XXHASH=3Dy
+CONFIG_AUDIT_GENERIC=3Dy
+# CONFIG_RANDOM32_SELFTEST is not set
+CONFIG_ZLIB_INFLATE=3Dy
+CONFIG_ZLIB_DEFLATE=3Dm
+CONFIG_LZO_COMPRESS=3Dy
+CONFIG_LZO_DECOMPRESS=3Dy
+CONFIG_LZ4_COMPRESS=3Dm
+CONFIG_LZ4HC_COMPRESS=3Dm
+CONFIG_LZ4_DECOMPRESS=3Dy
+CONFIG_ZSTD_COMPRESS=3Dm
+CONFIG_ZSTD_DECOMPRESS=3Dm
+CONFIG_XZ_DEC=3Dy
+# CONFIG_XZ_DEC_X86 is not set
+# CONFIG_XZ_DEC_POWERPC is not set
+# CONFIG_XZ_DEC_IA64 is not set
+CONFIG_XZ_DEC_ARM=3Dy
+CONFIG_XZ_DEC_ARMTHUMB=3Dy
+# CONFIG_XZ_DEC_SPARC is not set
+CONFIG_XZ_DEC_BCJ=3Dy
+# CONFIG_XZ_DEC_TEST is not set
+CONFIG_DECOMPRESS_GZIP=3Dy
+CONFIG_DECOMPRESS_BZIP2=3Dy
+CONFIG_DECOMPRESS_LZMA=3Dy
+CONFIG_DECOMPRESS_XZ=3Dy
+CONFIG_DECOMPRESS_LZO=3Dy
+CONFIG_DECOMPRESS_LZ4=3Dy
+CONFIG_GENERIC_ALLOCATOR=3Dy
+CONFIG_REED_SOLOMON=3Dm
+CONFIG_REED_SOLOMON_DEC16=3Dy
+CONFIG_TEXTSEARCH=3Dy
+CONFIG_TEXTSEARCH_KMP=3Dm
+CONFIG_TEXTSEARCH_BM=3Dm
+CONFIG_TEXTSEARCH_FSM=3Dm
+CONFIG_INTERVAL_TREE=3Dy
+CONFIG_ASSOCIATIVE_ARRAY=3Dy
+CONFIG_HAS_IOMEM=3Dy
+CONFIG_HAS_DMA=3Dy
+CONFIG_NEED_SG_DMA_LENGTH=3Dy
+CONFIG_NEED_DMA_MAP_STATE=3Dy
+CONFIG_ARCH_DMA_ADDR_T_64BIT=3Dy
+CONFIG_DMA_DECLARE_COHERENT=3Dy
+CONFIG_ARCH_HAS_SETUP_DMA_OPS=3Dy
+CONFIG_ARCH_HAS_TEARDOWN_DMA_OPS=3Dy
+CONFIG_ARCH_HAS_SYNC_DMA_FOR_DEVICE=3Dy
+CONFIG_ARCH_HAS_SYNC_DMA_FOR_CPU=3Dy
+CONFIG_ARCH_HAS_DMA_COHERENT_TO_PFN=3Dy
+CONFIG_DMA_VIRT_OPS=3Dy
+CONFIG_SWIOTLB=3Dy
+CONFIG_DMA_REMAP=3Dy
+CONFIG_DMA_CMA=3Dy
+
+#
+# Default contiguous memory area size:
+#
+CONFIG_CMA_SIZE_MBYTES=3D16
+CONFIG_CMA_SIZE_SEL_MBYTES=3Dy
+# CONFIG_CMA_SIZE_SEL_PERCENTAGE is not set
+# CONFIG_CMA_SIZE_SEL_MIN is not set
+# CONFIG_CMA_SIZE_SEL_MAX is not set
+CONFIG_CMA_ALIGNMENT=3D8
+# CONFIG_DMA_API_DEBUG is not set
+CONFIG_SGL_ALLOC=3Dy
+CONFIG_CHECK_SIGNATURE=3Dy
+CONFIG_CPU_RMAP=3Dy
+CONFIG_DQL=3Dy
+CONFIG_GLOB=3Dy
+# CONFIG_GLOB_SELFTEST is not set
+CONFIG_NLATTR=3Dy
+CONFIG_LRU_CACHE=3Dm
+CONFIG_CLZ_TAB=3Dy
+CONFIG_IRQ_POLL=3Dy
+CONFIG_MPILIB=3Dy
+CONFIG_SIGNATURE=3Dy
+CONFIG_DIMLIB=3Dy
+CONFIG_LIBFDT=3Dy
+CONFIG_OID_REGISTRY=3Dy
+CONFIG_UCS2_STRING=3Dy
+CONFIG_FONT_SUPPORT=3Dy
+CONFIG_FONTS=3Dy
+CONFIG_FONT_8x8=3Dy
+CONFIG_FONT_8x16=3Dy
+# CONFIG_FONT_6x11 is not set
+# CONFIG_FONT_7x14 is not set
+# CONFIG_FONT_PEARL_8x8 is not set
+# CONFIG_FONT_ACORN_8x8 is not set
+# CONFIG_FONT_MINI_4x6 is not set
+CONFIG_FONT_6x10=3Dy
+# CONFIG_FONT_10x18 is not set
+# CONFIG_FONT_SUN8x16 is not set
+# CONFIG_FONT_SUN12x22 is not set
+CONFIG_FONT_TER16x32=3Dy
+CONFIG_SG_SPLIT=3Dy
+CONFIG_SG_POOL=3Dy
+CONFIG_SBITMAP=3Dy
+# CONFIG_STRING_SELFTEST is not set
+# end of Library routines
+
+#
+# Kernel hacking
+#
+
+#
+# printk and dmesg options
+#
+CONFIG_PRINTK_TIME=3Dy
+# CONFIG_PRINTK_CALLER is not set
+CONFIG_CONSOLE_LOGLEVEL_DEFAULT=3D7
+CONFIG_CONSOLE_LOGLEVEL_QUIET=3D4
+CONFIG_MESSAGE_LOGLEVEL_DEFAULT=3D4
+CONFIG_BOOT_PRINTK_DELAY=3Dy
+CONFIG_DYNAMIC_DEBUG=3Dy
+# end of printk and dmesg options
+
+#
+# Compile-time checks and compiler options
+#
+CONFIG_DEBUG_INFO=3Dy
+# CONFIG_DEBUG_INFO_REDUCED is not set
+# CONFIG_DEBUG_INFO_SPLIT is not set
+# CONFIG_DEBUG_INFO_DWARF4 is not set
+# CONFIG_DEBUG_INFO_BTF is not set
+# CONFIG_GDB_SCRIPTS is not set
+CONFIG_ENABLE_MUST_CHECK=3Dy
+CONFIG_FRAME_WARN=3D1024
+CONFIG_STRIP_ASM_SYMS=3Dy
+# CONFIG_READABLE_ASM is not set
+CONFIG_DEBUG_FS=3Dy
+# CONFIG_HEADERS_INSTALL is not set
+CONFIG_OPTIMIZE_INLINING=3Dy
+# CONFIG_DEBUG_SECTION_MISMATCH is not set
+CONFIG_SECTION_MISMATCH_WARN_ONLY=3Dy
+CONFIG_ARCH_WANT_FRAME_POINTERS=3Dy
+CONFIG_FRAME_POINTER=3Dy
+# CONFIG_DEBUG_FORCE_WEAK_PER_CPU is not set
+# end of Compile-time checks and compiler options
+
+CONFIG_MAGIC_SYSRQ=3Dy
+CONFIG_MAGIC_SYSRQ_DEFAULT_ENABLE=3D0x01b6
+CONFIG_MAGIC_SYSRQ_SERIAL=3Dy
+CONFIG_DEBUG_KERNEL=3Dy
+CONFIG_DEBUG_MISC=3Dy
+
+#
+# Memory Debugging
+#
+CONFIG_PAGE_EXTENSION=3Dy
+# CONFIG_PAGE_OWNER is not set
+CONFIG_PAGE_POISONING=3Dy
+CONFIG_PAGE_POISONING_NO_SANITY=3Dy
+# CONFIG_PAGE_POISONING_ZERO is not set
+# CONFIG_DEBUG_PAGE_REF is not set
+# CONFIG_DEBUG_RODATA_TEST is not set
+# CONFIG_DEBUG_OBJECTS is not set
+# CONFIG_DEBUG_SLAB is not set
+CONFIG_HAVE_DEBUG_KMEMLEAK=3Dy
+# CONFIG_DEBUG_KMEMLEAK is not set
+# CONFIG_DEBUG_STACK_USAGE is not set
+# CONFIG_DEBUG_VM is not set
+CONFIG_ARCH_HAS_DEBUG_VIRTUAL=3Dy
+# CONFIG_DEBUG_VIRTUAL is not set
+CONFIG_DEBUG_MEMORY_INIT=3Dy
+# CONFIG_DEBUG_PER_CPU_MAPS is not set
+# CONFIG_DEBUG_HIGHMEM is not set
+CONFIG_CC_HAS_KASAN_GENERIC=3Dy
+CONFIG_KASAN_STACK=3D1
+# end of Memory Debugging
+
+CONFIG_ARCH_HAS_KCOV=3Dy
+CONFIG_CC_HAS_SANCOV_TRACE_PC=3Dy
+# CONFIG_KCOV is not set
+# CONFIG_DEBUG_SHIRQ is not set
+
+#
+# Debug Lockups and Hangs
+#
+CONFIG_LOCKUP_DETECTOR=3Dy
+CONFIG_SOFTLOCKUP_DETECTOR=3Dy
+# CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC is not set
+CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC_VALUE=3D0
+CONFIG_DETECT_HUNG_TASK=3Dy
+CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=3D120
+# CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
+CONFIG_BOOTPARAM_HUNG_TASK_PANIC_VALUE=3D0
+# CONFIG_WQ_WATCHDOG is not set
+# end of Debug Lockups and Hangs
+
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=3D0
+CONFIG_PANIC_TIMEOUT=3D0
+CONFIG_SCHED_DEBUG=3Dy
+CONFIG_SCHED_INFO=3Dy
+CONFIG_SCHEDSTATS=3Dy
+CONFIG_SCHED_STACK_END_CHECK=3Dy
+# CONFIG_DEBUG_TIMEKEEPING is not set
+
+#
+# Lock Debugging (spinlocks, mutexes, etc...)
+#
+CONFIG_LOCK_DEBUGGING_SUPPORT=3Dy
+# CONFIG_PROVE_LOCKING is not set
+# CONFIG_LOCK_STAT is not set
+# CONFIG_DEBUG_RT_MUTEXES is not set
+# CONFIG_DEBUG_SPINLOCK is not set
+# CONFIG_DEBUG_MUTEXES is not set
+# CONFIG_DEBUG_WW_MUTEX_SLOWPATH is not set
+# CONFIG_DEBUG_RWSEMS is not set
+# CONFIG_DEBUG_LOCK_ALLOC is not set
+# CONFIG_DEBUG_ATOMIC_SLEEP is not set
+# CONFIG_DEBUG_LOCKING_API_SELFTESTS is not set
+# CONFIG_LOCK_TORTURE_TEST is not set
+# CONFIG_WW_MUTEX_SELFTEST is not set
+# end of Lock Debugging (spinlocks, mutexes, etc...)
+
+CONFIG_STACKTRACE=3Dy
+# CONFIG_WARN_ALL_UNSEEDED_RANDOM is not set
+# CONFIG_DEBUG_KOBJECT is not set
+CONFIG_DEBUG_BUGVERBOSE=3Dy
+CONFIG_DEBUG_LIST=3Dy
+# CONFIG_DEBUG_PLIST is not set
+# CONFIG_DEBUG_SG is not set
+# CONFIG_DEBUG_NOTIFIERS is not set
+# CONFIG_DEBUG_CREDENTIALS is not set
+
+#
+# RCU Debugging
+#
+# CONFIG_RCU_PERF_TEST is not set
+# CONFIG_RCU_TORTURE_TEST is not set
+CONFIG_RCU_CPU_STALL_TIMEOUT=3D21
+# CONFIG_RCU_TRACE is not set
+# CONFIG_RCU_EQS_DEBUG is not set
+# end of RCU Debugging
+
+# CONFIG_DEBUG_WQ_FORCE_RR_CPU is not set
+# CONFIG_DEBUG_BLOCK_EXT_DEVT is not set
+# CONFIG_CPU_HOTPLUG_STATE_CONTROL is not set
+CONFIG_NOTIFIER_ERROR_INJECTION=3Dm
+CONFIG_PM_NOTIFIER_ERROR_INJECT=3Dm
+# CONFIG_OF_RECONFIG_NOTIFIER_ERROR_INJECT is not set
+# CONFIG_NETDEV_NOTIFIER_ERROR_INJECT is not set
+# CONFIG_FAULT_INJECTION is not set
+# CONFIG_LATENCYTOP is not set
+CONFIG_NOP_TRACER=3Dy
+CONFIG_HAVE_FUNCTION_TRACER=3Dy
+CONFIG_HAVE_FUNCTION_GRAPH_TRACER=3Dy
+CONFIG_HAVE_DYNAMIC_FTRACE=3Dy
+CONFIG_HAVE_DYNAMIC_FTRACE_WITH_REGS=3Dy
+CONFIG_HAVE_FTRACE_MCOUNT_RECORD=3Dy
+CONFIG_HAVE_SYSCALL_TRACEPOINTS=3Dy
+CONFIG_HAVE_C_RECORDMCOUNT=3Dy
+CONFIG_TRACER_MAX_TRACE=3Dy
+CONFIG_TRACE_CLOCK=3Dy
+CONFIG_RING_BUFFER=3Dy
+CONFIG_EVENT_TRACING=3Dy
+CONFIG_CONTEXT_SWITCH_TRACER=3Dy
+CONFIG_RING_BUFFER_ALLOW_SWAP=3Dy
+CONFIG_TRACING=3Dy
+CONFIG_GENERIC_TRACER=3Dy
+CONFIG_TRACING_SUPPORT=3Dy
+CONFIG_FTRACE=3Dy
+CONFIG_FUNCTION_TRACER=3Dy
+CONFIG_FUNCTION_GRAPH_TRACER=3Dy
+# CONFIG_PREEMPTIRQ_EVENTS is not set
+# CONFIG_IRQSOFF_TRACER is not set
+# CONFIG_SCHED_TRACER is not set
+# CONFIG_HWLAT_TRACER is not set
+CONFIG_FTRACE_SYSCALLS=3Dy
+CONFIG_TRACER_SNAPSHOT=3Dy
+# CONFIG_TRACER_SNAPSHOT_PER_CPU_SWAP is not set
+CONFIG_BRANCH_PROFILE_NONE=3Dy
+# CONFIG_PROFILE_ANNOTATED_BRANCHES is not set
+CONFIG_STACK_TRACER=3Dy
+CONFIG_BLK_DEV_IO_TRACE=3Dy
+CONFIG_KPROBE_EVENTS=3Dy
+CONFIG_UPROBE_EVENTS=3Dy
+CONFIG_BPF_EVENTS=3Dy
+CONFIG_DYNAMIC_EVENTS=3Dy
+CONFIG_PROBE_EVENTS=3Dy
+CONFIG_DYNAMIC_FTRACE=3Dy
+CONFIG_DYNAMIC_FTRACE_WITH_REGS=3Dy
+# CONFIG_FUNCTION_PROFILER is not set
+CONFIG_FTRACE_MCOUNT_RECORD=3Dy
+# CONFIG_FTRACE_STARTUP_TEST is not set
+# CONFIG_TRACEPOINT_BENCHMARK is not set
+# CONFIG_RING_BUFFER_BENCHMARK is not set
+# CONFIG_RING_BUFFER_STARTUP_TEST is not set
+# CONFIG_PREEMPTIRQ_DELAY_TEST is not set
+# CONFIG_TRACE_EVAL_MAP_FILE is not set
+CONFIG_RUNTIME_TESTING_MENU=3Dy
+# CONFIG_LKDTM is not set
+# CONFIG_TEST_LIST_SORT is not set
+# CONFIG_TEST_SORT is not set
+# CONFIG_KPROBES_SANITY_TEST is not set
+# CONFIG_BACKTRACE_SELF_TEST is not set
+# CONFIG_RBTREE_TEST is not set
+# CONFIG_REED_SOLOMON_TEST is not set
+# CONFIG_INTERVAL_TREE_TEST is not set
+# CONFIG_PERCPU_TEST is not set
+# CONFIG_ATOMIC64_SELFTEST is not set
+# CONFIG_ASYNC_RAID6_TEST is not set
+# CONFIG_TEST_HEXDUMP is not set
+# CONFIG_TEST_STRING_HELPERS is not set
+CONFIG_TEST_STRSCPY=3Dm
+# CONFIG_TEST_KSTRTOX is not set
+# CONFIG_TEST_PRINTF is not set
+# CONFIG_TEST_BITMAP is not set
+# CONFIG_TEST_BITFIELD is not set
+# CONFIG_TEST_UUID is not set
+CONFIG_TEST_XARRAY=3Dm
+# CONFIG_TEST_OVERFLOW is not set
+# CONFIG_TEST_RHASHTABLE is not set
+# CONFIG_TEST_HASH is not set
+# CONFIG_TEST_IDA is not set
+# CONFIG_TEST_LKM is not set
+CONFIG_TEST_VMALLOC=3Dm
+CONFIG_TEST_USER_COPY=3Dm
+CONFIG_TEST_BPF=3Dm
+CONFIG_TEST_BLACKHOLE_DEV=3Dm
+CONFIG_FIND_BIT_BENCHMARK=3Dm
+CONFIG_TEST_FIRMWARE=3Dm
+# CONFIG_TEST_SYSCTL is not set
+# CONFIG_TEST_UDELAY is not set
+CONFIG_TEST_STATIC_KEYS=3Dm
+# CONFIG_TEST_KMOD is not set
+# CONFIG_TEST_MEMCAT_P is not set
+# CONFIG_TEST_STACKINIT is not set
+# CONFIG_TEST_MEMINIT is not set
+# CONFIG_MEMTEST is not set
+CONFIG_BUG_ON_DATA_CORRUPTION=3Dy
+# CONFIG_SAMPLES is not set
+CONFIG_HAVE_ARCH_KGDB=3Dy
+# CONFIG_KGDB is not set
+# CONFIG_UBSAN is not set
+CONFIG_UBSAN_ALIGNMENT=3Dy
+CONFIG_ARCH_HAS_DEVMEM_IS_ALLOWED=3Dy
+CONFIG_STRICT_DEVMEM=3Dy
+CONFIG_IO_STRICT_DEVMEM=3Dy
+CONFIG_ARM_PTDUMP_CORE=3Dy
+# CONFIG_ARM_PTDUMP_DEBUGFS is not set
+CONFIG_DEBUG_WX=3Dy
+CONFIG_UNWINDER_FRAME_POINTER=3Dy
+# CONFIG_DEBUG_USER is not set
+# CONFIG_DEBUG_LL is not set
+CONFIG_DEBUG_LL_INCLUDE=3D"mach/debug-macro.S"
+CONFIG_UNCOMPRESS_INCLUDE=3D"debug/uncompress.h"
+# CONFIG_ARM_KPROBES_TEST is not set
+# CONFIG_PID_IN_CONTEXTIDR is not set
+# CONFIG_CORESIGHT is not set
+# end of Kernel hacking
diff --git a/gnu/packages/aux-files/linux-libre/5.6-arm64.conf b/gnu/packag=
es/aux-files/linux-libre/5.6-arm64.conf
new file mode 100644
index 0000000000..fabd25c6a4
=2D-- /dev/null
+++ b/gnu/packages/aux-files/linux-libre/5.6-arm64.conf
@@ -0,0 +1,9347 @@
+#
+# Automatically generated file; DO NOT EDIT.
+# Linux/arm64 5.4.5 Kernel Configuration
+#
+
+#
+# Compiler: gcc (GCC) 7.4.0
+#
+CONFIG_CC_IS_GCC=3Dy
+CONFIG_GCC_VERSION=3D70400
+CONFIG_CLANG_VERSION=3D0
+CONFIG_CC_CAN_LINK=3Dy
+CONFIG_CC_HAS_ASM_GOTO=3Dy
+CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=3Dy
+CONFIG_IRQ_WORK=3Dy
+CONFIG_BUILDTIME_EXTABLE_SORT=3Dy
+CONFIG_THREAD_INFO_IN_TASK=3Dy
+
+#
+# General setup
+#
+CONFIG_INIT_ENV_ARG_LIMIT=3D32
+# CONFIG_COMPILE_TEST is not set
+# CONFIG_HEADER_TEST is not set
+CONFIG_LOCALVERSION=3D""
+# CONFIG_LOCALVERSION_AUTO is not set
+CONFIG_BUILD_SALT=3D""
+CONFIG_DEFAULT_HOSTNAME=3D"(none)"
+CONFIG_SWAP=3Dy
+CONFIG_SYSVIPC=3Dy
+CONFIG_SYSVIPC_SYSCTL=3Dy
+CONFIG_POSIX_MQUEUE=3Dy
+CONFIG_POSIX_MQUEUE_SYSCTL=3Dy
+CONFIG_CROSS_MEMORY_ATTACH=3Dy
+# CONFIG_USELIB is not set
+CONFIG_AUDIT=3Dy
+CONFIG_HAVE_ARCH_AUDITSYSCALL=3Dy
+CONFIG_AUDITSYSCALL=3Dy
+
+#
+# IRQ subsystem
+#
+CONFIG_GENERIC_IRQ_PROBE=3Dy
+CONFIG_GENERIC_IRQ_SHOW=3Dy
+CONFIG_GENERIC_IRQ_SHOW_LEVEL=3Dy
+CONFIG_GENERIC_IRQ_EFFECTIVE_AFF_MASK=3Dy
+CONFIG_GENERIC_IRQ_MIGRATION=3Dy
+CONFIG_HARDIRQS_SW_RESEND=3Dy
+CONFIG_GENERIC_IRQ_CHIP=3Dy
+CONFIG_IRQ_DOMAIN=3Dy
+CONFIG_IRQ_DOMAIN_HIERARCHY=3Dy
+CONFIG_GENERIC_MSI_IRQ=3Dy
+CONFIG_GENERIC_MSI_IRQ_DOMAIN=3Dy
+CONFIG_IRQ_MSI_IOMMU=3Dy
+CONFIG_HANDLE_DOMAIN_IRQ=3Dy
+CONFIG_IRQ_FORCED_THREADING=3Dy
+CONFIG_SPARSE_IRQ=3Dy
+# CONFIG_GENERIC_IRQ_DEBUGFS is not set
+# end of IRQ subsystem
+
+CONFIG_GENERIC_IRQ_MULTI_HANDLER=3Dy
+CONFIG_ARCH_CLOCKSOURCE_DATA=3Dy
+CONFIG_GENERIC_TIME_VSYSCALL=3Dy
+CONFIG_GENERIC_CLOCKEVENTS=3Dy
+CONFIG_ARCH_HAS_TICK_BROADCAST=3Dy
+CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=3Dy
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=3Dy
+CONFIG_NO_HZ_COMMON=3Dy
+# CONFIG_HZ_PERIODIC is not set
+CONFIG_NO_HZ_IDLE=3Dy
+# CONFIG_NO_HZ_FULL is not set
+# CONFIG_NO_HZ is not set
+CONFIG_HIGH_RES_TIMERS=3Dy
+# end of Timers subsystem
+
+# CONFIG_PREEMPT_NONE is not set
+CONFIG_PREEMPT_VOLUNTARY=3Dy
+# CONFIG_PREEMPT is not set
+
+#
+# CPU/Task time and stats accounting
+#
+CONFIG_TICK_CPU_ACCOUNTING=3Dy
+# CONFIG_VIRT_CPU_ACCOUNTING_GEN is not set
+# CONFIG_IRQ_TIME_ACCOUNTING is not set
+CONFIG_BSD_PROCESS_ACCT=3Dy
+CONFIG_BSD_PROCESS_ACCT_V3=3Dy
+CONFIG_TASKSTATS=3Dy
+CONFIG_TASK_DELAY_ACCT=3Dy
+CONFIG_TASK_XACCT=3Dy
+CONFIG_TASK_IO_ACCOUNTING=3Dy
+CONFIG_PSI=3Dy
+# CONFIG_PSI_DEFAULT_DISABLED is not set
+# end of CPU/Task time and stats accounting
+
+CONFIG_CPU_ISOLATION=3Dy
+
+#
+# RCU Subsystem
+#
+CONFIG_TREE_RCU=3Dy
+# CONFIG_RCU_EXPERT is not set
+CONFIG_SRCU=3Dy
+CONFIG_TREE_SRCU=3Dy
+CONFIG_RCU_STALL_COMMON=3Dy
+CONFIG_RCU_NEED_SEGCBLIST=3Dy
+# end of RCU Subsystem
+
+CONFIG_BUILD_BIN2C=3Dy
+# CONFIG_IKCONFIG is not set
+# CONFIG_IKHEADERS is not set
+CONFIG_LOG_BUF_SHIFT=3D17
+CONFIG_LOG_CPU_MAX_BUF_SHIFT=3D12
+CONFIG_PRINTK_SAFE_LOG_BUF_SHIFT=3D13
+CONFIG_GENERIC_SCHED_CLOCK=3Dy
+
+#
+# Scheduler features
+#
+# CONFIG_UCLAMP_TASK is not set
+# end of Scheduler features
+
+CONFIG_ARCH_SUPPORTS_NUMA_BALANCING=3Dy
+CONFIG_ARCH_SUPPORTS_INT128=3Dy
+CONFIG_NUMA_BALANCING=3Dy
+CONFIG_NUMA_BALANCING_DEFAULT_ENABLED=3Dy
+CONFIG_CGROUPS=3Dy
+CONFIG_PAGE_COUNTER=3Dy
+CONFIG_MEMCG=3Dy
+CONFIG_MEMCG_SWAP=3Dy
+# CONFIG_MEMCG_SWAP_ENABLED is not set
+CONFIG_MEMCG_KMEM=3Dy
+CONFIG_BLK_CGROUP=3Dy
+CONFIG_CGROUP_WRITEBACK=3Dy
+CONFIG_CGROUP_SCHED=3Dy
+CONFIG_FAIR_GROUP_SCHED=3Dy
+CONFIG_CFS_BANDWIDTH=3Dy
+# CONFIG_RT_GROUP_SCHED is not set
+CONFIG_CGROUP_PIDS=3Dy
+# CONFIG_CGROUP_RDMA is not set
+CONFIG_CGROUP_FREEZER=3Dy
+# CONFIG_CGROUP_HUGETLB is not set
+CONFIG_CPUSETS=3Dy
+CONFIG_PROC_PID_CPUSET=3Dy
+CONFIG_CGROUP_DEVICE=3Dy
+CONFIG_CGROUP_CPUACCT=3Dy
+CONFIG_CGROUP_PERF=3Dy
+CONFIG_CGROUP_BPF=3Dy
+# CONFIG_CGROUP_DEBUG is not set
+CONFIG_SOCK_CGROUP_DATA=3Dy
+CONFIG_NAMESPACES=3Dy
+CONFIG_UTS_NS=3Dy
+CONFIG_IPC_NS=3Dy
+CONFIG_USER_NS=3Dy
+CONFIG_PID_NS=3Dy
+CONFIG_NET_NS=3Dy
+CONFIG_CHECKPOINT_RESTORE=3Dy
+CONFIG_SCHED_AUTOGROUP=3Dy
+# CONFIG_SYSFS_DEPRECATED is not set
+CONFIG_RELAY=3Dy
+CONFIG_BLK_DEV_INITRD=3Dy
+CONFIG_INITRAMFS_SOURCE=3D""
+CONFIG_RD_GZIP=3Dy
+CONFIG_RD_BZIP2=3Dy
+CONFIG_RD_LZMA=3Dy
+CONFIG_RD_XZ=3Dy
+CONFIG_RD_LZO=3Dy
+CONFIG_RD_LZ4=3Dy
+CONFIG_CC_OPTIMIZE_FOR_PERFORMANCE=3Dy
+# CONFIG_CC_OPTIMIZE_FOR_SIZE is not set
+CONFIG_SYSCTL=3Dy
+CONFIG_HAVE_UID16=3Dy
+CONFIG_SYSCTL_EXCEPTION_TRACE=3Dy
+CONFIG_BPF=3Dy
+CONFIG_EXPERT=3Dy
+CONFIG_UID16=3Dy
+CONFIG_MULTIUSER=3Dy
+# CONFIG_SGETMASK_SYSCALL is not set
+# CONFIG_SYSFS_SYSCALL is not set
+# CONFIG_SYSCTL_SYSCALL is not set
+CONFIG_FHANDLE=3Dy
+CONFIG_POSIX_TIMERS=3Dy
+CONFIG_PRINTK=3Dy
+CONFIG_PRINTK_NMI=3Dy
+CONFIG_BUG=3Dy
+CONFIG_ELF_CORE=3Dy
+CONFIG_BASE_FULL=3Dy
+CONFIG_FUTEX=3Dy
+CONFIG_FUTEX_PI=3Dy
+CONFIG_EPOLL=3Dy
+CONFIG_SIGNALFD=3Dy
+CONFIG_TIMERFD=3Dy
+CONFIG_EVENTFD=3Dy
+CONFIG_SHMEM=3Dy
+CONFIG_AIO=3Dy
+CONFIG_IO_URING=3Dy
+CONFIG_ADVISE_SYSCALLS=3Dy
+CONFIG_MEMBARRIER=3Dy
+CONFIG_KALLSYMS=3Dy
+# CONFIG_KALLSYMS_ALL is not set
+CONFIG_KALLSYMS_BASE_RELATIVE=3Dy
+CONFIG_BPF_SYSCALL=3Dy
+# CONFIG_BPF_JIT_ALWAYS_ON is not set
+CONFIG_USERFAULTFD=3Dy
+CONFIG_ARCH_HAS_MEMBARRIER_SYNC_CORE=3Dy
+CONFIG_RSEQ=3Dy
+# CONFIG_DEBUG_RSEQ is not set
+# CONFIG_EMBEDDED is not set
+CONFIG_HAVE_PERF_EVENTS=3Dy
+# CONFIG_PC104 is not set
+
+#
+# Kernel Performance Events And Counters
+#
+CONFIG_PERF_EVENTS=3Dy
+# CONFIG_DEBUG_PERF_USE_VMALLOC is not set
+# end of Kernel Performance Events And Counters
+
+CONFIG_VM_EVENT_COUNTERS=3Dy
+CONFIG_SLUB_DEBUG=3Dy
+# CONFIG_SLUB_MEMCG_SYSFS_ON is not set
+# CONFIG_COMPAT_BRK is not set
+# CONFIG_SLAB is not set
+CONFIG_SLUB=3Dy
+# CONFIG_SLOB is not set
+CONFIG_SLAB_MERGE_DEFAULT=3Dy
+CONFIG_SLAB_FREELIST_RANDOM=3Dy
+CONFIG_SLAB_FREELIST_HARDENED=3Dy
+CONFIG_SHUFFLE_PAGE_ALLOCATOR=3Dy
+CONFIG_SLUB_CPU_PARTIAL=3Dy
+CONFIG_SYSTEM_DATA_VERIFICATION=3Dy
+CONFIG_PROFILING=3Dy
+CONFIG_TRACEPOINTS=3Dy
+# end of General setup
+
+CONFIG_ARM64=3Dy
+CONFIG_64BIT=3Dy
+CONFIG_MMU=3Dy
+CONFIG_ARM64_PAGE_SHIFT=3D12
+CONFIG_ARM64_CONT_SHIFT=3D4
+CONFIG_ARCH_MMAP_RND_BITS_MIN=3D18
+CONFIG_ARCH_MMAP_RND_BITS_MAX=3D33
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MIN=3D11
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MAX=3D16
+CONFIG_STACKTRACE_SUPPORT=3Dy
+CONFIG_ILLEGAL_POINTER_VALUE=3D0xdead000000000000
+CONFIG_LOCKDEP_SUPPORT=3Dy
+CONFIG_TRACE_IRQFLAGS_SUPPORT=3Dy
+CONFIG_GENERIC_BUG=3Dy
+CONFIG_GENERIC_BUG_RELATIVE_POINTERS=3Dy
+CONFIG_GENERIC_HWEIGHT=3Dy
+CONFIG_GENERIC_CSUM=3Dy
+CONFIG_GENERIC_CALIBRATE_DELAY=3Dy
+CONFIG_ZONE_DMA32=3Dy
+CONFIG_ARCH_ENABLE_MEMORY_HOTPLUG=3Dy
+CONFIG_SMP=3Dy
+CONFIG_KERNEL_MODE_NEON=3Dy
+CONFIG_FIX_EARLYCON_MEM=3Dy
+CONFIG_PGTABLE_LEVELS=3D4
+CONFIG_ARCH_SUPPORTS_UPROBES=3Dy
+CONFIG_ARCH_PROC_KCORE_TEXT=3Dy
+
+#
+# Platform selection
+#
+# CONFIG_ARCH_ACTIONS is not set
+# CONFIG_ARCH_AGILEX is not set
+CONFIG_ARCH_SUNXI=3Dy
+# CONFIG_ARCH_ALPINE is not set
+CONFIG_ARCH_BCM2835=3Dy
+# CONFIG_ARCH_BCM_IPROC is not set
+# CONFIG_ARCH_BERLIN is not set
+CONFIG_ARCH_BITMAIN=3Dy
+# CONFIG_ARCH_BRCMSTB is not set
+# CONFIG_ARCH_EXYNOS is not set
+# CONFIG_ARCH_K3 is not set
+# CONFIG_ARCH_LAYERSCAPE is not set
+# CONFIG_ARCH_LG1K is not set
+CONFIG_ARCH_HISI=3Dy
+# CONFIG_ARCH_MEDIATEK is not set
+CONFIG_ARCH_MESON=3Dy
+CONFIG_ARCH_MVEBU=3Dy
+CONFIG_ARCH_MXC=3Dy
+CONFIG_ARCH_QCOM=3Dy
+# CONFIG_ARCH_REALTEK is not set
+# CONFIG_ARCH_RENESAS is not set
+CONFIG_ARCH_ROCKCHIP=3Dy
+CONFIG_ARCH_SEATTLE=3Dy
+# CONFIG_ARCH_STRATIX10 is not set
+CONFIG_ARCH_SYNQUACER=3Dy
+CONFIG_ARCH_TEGRA=3Dy
+# CONFIG_ARCH_SPRD is not set
+CONFIG_ARCH_THUNDER=3Dy
+CONFIG_ARCH_THUNDER2=3Dy
+# CONFIG_ARCH_UNIPHIER is not set
+CONFIG_ARCH_VEXPRESS=3Dy
+CONFIG_ARCH_XGENE=3Dy
+# CONFIG_ARCH_ZX is not set
+# CONFIG_ARCH_ZYNQMP is not set
+# end of Platform selection
+
+#
+# Kernel Features
+#
+
+#
+# ARM errata workarounds via the alternatives framework
+#
+CONFIG_ARM64_WORKAROUND_CLEAN_CACHE=3Dy
+CONFIG_ARM64_ERRATUM_826319=3Dy
+CONFIG_ARM64_ERRATUM_827319=3Dy
+CONFIG_ARM64_ERRATUM_824069=3Dy
+CONFIG_ARM64_ERRATUM_819472=3Dy
+CONFIG_ARM64_ERRATUM_832075=3Dy
+CONFIG_ARM64_ERRATUM_834220=3Dy
+CONFIG_ARM64_ERRATUM_845719=3Dy
+CONFIG_ARM64_ERRATUM_843419=3Dy
+CONFIG_ARM64_ERRATUM_1024718=3Dy
+CONFIG_ARM64_ERRATUM_1418040=3Dy
+CONFIG_ARM64_ERRATUM_1165522=3Dy
+CONFIG_ARM64_ERRATUM_1286807=3Dy
+CONFIG_ARM64_ERRATUM_1463225=3Dy
+CONFIG_CAVIUM_ERRATUM_22375=3Dy
+CONFIG_CAVIUM_ERRATUM_23144=3Dy
+CONFIG_CAVIUM_ERRATUM_23154=3Dy
+CONFIG_CAVIUM_ERRATUM_27456=3Dy
+CONFIG_CAVIUM_ERRATUM_30115=3Dy
+CONFIG_CAVIUM_TX2_ERRATUM_219=3Dy
+CONFIG_QCOM_FALKOR_ERRATUM_1003=3Dy
+CONFIG_ARM64_WORKAROUND_REPEAT_TLBI=3Dy
+CONFIG_QCOM_FALKOR_ERRATUM_1009=3Dy
+CONFIG_QCOM_QDF2400_ERRATUM_0065=3Dy
+CONFIG_SOCIONEXT_SYNQUACER_PREITS=3Dy
+CONFIG_HISILICON_ERRATUM_161600802=3Dy
+CONFIG_QCOM_FALKOR_ERRATUM_E1041=3Dy
+CONFIG_FUJITSU_ERRATUM_010001=3Dy
+# end of ARM errata workarounds via the alternatives framework
+
+CONFIG_ARM64_4K_PAGES=3Dy
+# CONFIG_ARM64_16K_PAGES is not set
+# CONFIG_ARM64_64K_PAGES is not set
+# CONFIG_ARM64_VA_BITS_39 is not set
+CONFIG_ARM64_VA_BITS_48=3Dy
+CONFIG_ARM64_VA_BITS=3D48
+CONFIG_ARM64_PA_BITS_48=3Dy
+CONFIG_ARM64_PA_BITS=3D48
+# CONFIG_CPU_BIG_ENDIAN is not set
+CONFIG_SCHED_MC=3Dy
+# CONFIG_SCHED_SMT is not set
+CONFIG_NR_CPUS=3D256
+CONFIG_HOTPLUG_CPU=3Dy
+CONFIG_NUMA=3Dy
+CONFIG_NODES_SHIFT=3D2
+CONFIG_USE_PERCPU_NUMA_NODE_ID=3Dy
+CONFIG_HAVE_SETUP_PER_CPU_AREA=3Dy
+CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=3Dy
+CONFIG_HOLES_IN_ZONE=3Dy
+# CONFIG_HZ_100 is not set
+CONFIG_HZ_250=3Dy
+# CONFIG_HZ_300 is not set
+# CONFIG_HZ_1000 is not set
+CONFIG_HZ=3D250
+CONFIG_SCHED_HRTICK=3Dy
+CONFIG_ARCH_SUPPORTS_DEBUG_PAGEALLOC=3Dy
+CONFIG_ARCH_SPARSEMEM_ENABLE=3Dy
+CONFIG_ARCH_SPARSEMEM_DEFAULT=3Dy
+CONFIG_ARCH_SELECT_MEMORY_MODEL=3Dy
+CONFIG_HAVE_ARCH_PFN_VALID=3Dy
+CONFIG_HW_PERF_EVENTS=3Dy
+CONFIG_SYS_SUPPORTS_HUGETLBFS=3Dy
+CONFIG_ARCH_WANT_HUGE_PMD_SHARE=3Dy
+CONFIG_ARCH_HAS_CACHE_LINE_SIZE=3Dy
+CONFIG_ARCH_ENABLE_SPLIT_PMD_PTLOCK=3Dy
+CONFIG_SECCOMP=3Dy
+CONFIG_PARAVIRT=3Dy
+# CONFIG_PARAVIRT_TIME_ACCOUNTING is not set
+CONFIG_KEXEC=3Dy
+CONFIG_KEXEC_FILE=3Dy
+# CONFIG_KEXEC_SIG is not set
+CONFIG_CRASH_DUMP=3Dy
+CONFIG_XEN_DOM0=3Dy
+CONFIG_XEN=3Dy
+CONFIG_FORCE_MAX_ZONEORDER=3D11
+CONFIG_UNMAP_KERNEL_AT_EL0=3Dy
+CONFIG_HARDEN_BRANCH_PREDICTOR=3Dy
+CONFIG_HARDEN_EL2_VECTORS=3Dy
+CONFIG_ARM64_SSBD=3Dy
+CONFIG_RODATA_FULL_DEFAULT_ENABLED=3Dy
+# CONFIG_ARM64_SW_TTBR0_PAN is not set
+CONFIG_ARM64_TAGGED_ADDR_ABI=3Dy
+CONFIG_COMPAT=3Dy
+CONFIG_KUSER_HELPERS=3Dy
+CONFIG_ARMV8_DEPRECATED=3Dy
+CONFIG_SWP_EMULATION=3Dy
+CONFIG_CP15_BARRIER_EMULATION=3Dy
+CONFIG_SETEND_EMULATION=3Dy
+
+#
+# ARMv8.1 architectural features
+#
+CONFIG_ARM64_HW_AFDBM=3Dy
+CONFIG_ARM64_PAN=3Dy
+# CONFIG_ARM64_LSE_ATOMICS is not set
+CONFIG_ARM64_VHE=3Dy
+# end of ARMv8.1 architectural features
+
+#
+# ARMv8.2 architectural features
+#
+CONFIG_ARM64_UAO=3Dy
+CONFIG_ARM64_PMEM=3Dy
+CONFIG_ARM64_RAS_EXTN=3Dy
+CONFIG_ARM64_CNP=3Dy
+# end of ARMv8.2 architectural features
+
+#
+# ARMv8.3 architectural features
+#
+CONFIG_ARM64_PTR_AUTH=3Dy
+# end of ARMv8.3 architectural features
+
+CONFIG_ARM64_SVE=3Dy
+CONFIG_ARM64_MODULE_PLTS=3Dy
+# CONFIG_ARM64_PSEUDO_NMI is not set
+CONFIG_RELOCATABLE=3Dy
+CONFIG_RANDOMIZE_BASE=3Dy
+CONFIG_RANDOMIZE_MODULE_REGION_FULL=3Dy
+# end of Kernel Features
+
+#
+# Boot options
+#
+CONFIG_ARM64_ACPI_PARKING_PROTOCOL=3Dy
+CONFIG_CMDLINE=3D""
+# CONFIG_CMDLINE_FORCE is not set
+CONFIG_EFI_STUB=3Dy
+CONFIG_EFI=3Dy
+CONFIG_DMI=3Dy
+# end of Boot options
+
+CONFIG_SYSVIPC_COMPAT=3Dy
+CONFIG_ARCH_ENABLE_HUGEPAGE_MIGRATION=3Dy
+
+#
+# Power management options
+#
+CONFIG_SUSPEND=3Dy
+CONFIG_SUSPEND_FREEZER=3Dy
+# CONFIG_SUSPEND_SKIP_SYNC is not set
+CONFIG_HIBERNATE_CALLBACKS=3Dy
+CONFIG_HIBERNATION=3Dy
+CONFIG_PM_STD_PARTITION=3D""
+CONFIG_PM_SLEEP=3Dy
+CONFIG_PM_SLEEP_SMP=3Dy
+# CONFIG_PM_AUTOSLEEP is not set
+# CONFIG_PM_WAKELOCKS is not set
+CONFIG_PM=3Dy
+CONFIG_PM_DEBUG=3Dy
+CONFIG_PM_ADVANCED_DEBUG=3Dy
+# CONFIG_PM_TEST_SUSPEND is not set
+CONFIG_PM_SLEEP_DEBUG=3Dy
+# CONFIG_DPM_WATCHDOG is not set
+CONFIG_PM_CLK=3Dy
+CONFIG_PM_GENERIC_DOMAINS=3Dy
+# CONFIG_WQ_POWER_EFFICIENT_DEFAULT is not set
+CONFIG_PM_GENERIC_DOMAINS_SLEEP=3Dy
+CONFIG_PM_GENERIC_DOMAINS_OF=3Dy
+CONFIG_CPU_PM=3Dy
+CONFIG_ENERGY_MODEL=3Dy
+CONFIG_ARCH_HIBERNATION_POSSIBLE=3Dy
+CONFIG_ARCH_HIBERNATION_HEADER=3Dy
+CONFIG_ARCH_SUSPEND_POSSIBLE=3Dy
+# end of Power management options
+
+#
+# CPU Power Management
+#
+
+#
+# CPU Idle
+#
+CONFIG_CPU_IDLE=3Dy
+CONFIG_CPU_IDLE_MULTIPLE_DRIVERS=3Dy
+CONFIG_CPU_IDLE_GOV_LADDER=3Dy
+CONFIG_CPU_IDLE_GOV_MENU=3Dy
+CONFIG_CPU_IDLE_GOV_TEO=3Dy
+CONFIG_DT_IDLE_STATES=3Dy
+
+#
+# ARM CPU Idle Drivers
+#
+CONFIG_ARM_CPUIDLE=3Dy
+# CONFIG_ARM_PSCI_CPUIDLE is not set
+# end of ARM CPU Idle Drivers
+# end of CPU Idle
+
+#
+# CPU Frequency scaling
+#
+CONFIG_CPU_FREQ=3Dy
+CONFIG_CPU_FREQ_GOV_ATTR_SET=3Dy
+CONFIG_CPU_FREQ_GOV_COMMON=3Dy
+CONFIG_CPU_FREQ_STAT=3Dy
+CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=3Dy
+# CONFIG_CPU_FREQ_DEFAULT_GOV_POWERSAVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_CONSERVATIVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL is not set
+CONFIG_CPU_FREQ_GOV_PERFORMANCE=3Dy
+CONFIG_CPU_FREQ_GOV_POWERSAVE=3Dm
+CONFIG_CPU_FREQ_GOV_USERSPACE=3Dm
+CONFIG_CPU_FREQ_GOV_ONDEMAND=3Dm
+CONFIG_CPU_FREQ_GOV_CONSERVATIVE=3Dm
+CONFIG_CPU_FREQ_GOV_SCHEDUTIL=3Dy
+
+#
+# CPU frequency scaling drivers
+#
+CONFIG_CPUFREQ_DT=3Dm
+CONFIG_CPUFREQ_DT_PLATDEV=3Dy
+CONFIG_ACPI_CPPC_CPUFREQ=3Dm
+CONFIG_ARM_ALLWINNER_SUN50I_CPUFREQ_NVMEM=3Dm
+# CONFIG_ARM_ARMADA_37XX_CPUFREQ is not set
+# CONFIG_ARM_ARMADA_8K_CPUFREQ is not set
+CONFIG_ARM_IMX_CPUFREQ_DT=3Dm
+# CONFIG_ARM_QCOM_CPUFREQ_HW is not set
+CONFIG_ARM_RASPBERRYPI_CPUFREQ=3Dm
+CONFIG_ARM_SCMI_CPUFREQ=3Dm
+CONFIG_ARM_TEGRA20_CPUFREQ=3Dy
+CONFIG_ARM_TEGRA124_CPUFREQ=3Dy
+# CONFIG_ARM_TEGRA186_CPUFREQ is not set
+# CONFIG_QORIQ_CPUFREQ is not set
+# end of CPU Frequency scaling
+# end of CPU Power Management
+
+#
+# Firmware Drivers
+#
+CONFIG_ARM_SCMI_PROTOCOL=3Dy
+CONFIG_ARM_SCMI_POWER_DOMAIN=3Dm
+# CONFIG_ARM_SCPI_PROTOCOL is not set
+# CONFIG_ARM_SDE_INTERFACE is not set
+# CONFIG_FIRMWARE_MEMMAP is not set
+CONFIG_DMIID=3Dy
+CONFIG_DMI_SYSFS=3Dy
+CONFIG_ISCSI_IBFT=3Dm
+CONFIG_RASPBERRYPI_FIRMWARE=3Dy
+# CONFIG_FW_CFG_SYSFS is not set
+CONFIG_QCOM_SCM=3Dy
+CONFIG_QCOM_SCM_64=3Dy
+# CONFIG_QCOM_SCM_DOWNLOAD_MODE_DEFAULT is not set
+# CONFIG_TURRIS_MOX_RWTM is not set
+CONFIG_HAVE_ARM_SMCCC=3Dy
+CONFIG_ARM_PSCI_FW=3Dy
+# CONFIG_ARM_PSCI_CHECKER is not set
+# CONFIG_GOOGLE_FIRMWARE is not set
+
+#
+# EFI (Extensible Firmware Interface) Support
+#
+CONFIG_EFI_VARS=3Dm
+CONFIG_EFI_ESRT=3Dy
+CONFIG_EFI_VARS_PSTORE=3Dm
+# CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE is not set
+CONFIG_EFI_PARAMS_FROM_FDT=3Dy
+CONFIG_EFI_RUNTIME_WRAPPERS=3Dy
+CONFIG_EFI_ARMSTUB=3Dy
+CONFIG_EFI_ARMSTUB_DTB_LOADER=3Dy
+# CONFIG_EFI_BOOTLOADER_CONTROL is not set
+# CONFIG_EFI_CAPSULE_LOADER is not set
+# CONFIG_EFI_TEST is not set
+# CONFIG_RESET_ATTACK_MITIGATION is not set
+# end of EFI (Extensible Firmware Interface) Support
+
+CONFIG_EFI_EARLYCON=3Dy
+# CONFIG_IMX_DSP is not set
+CONFIG_IMX_SCU=3Dy
+CONFIG_IMX_SCU_PD=3Dy
+CONFIG_MESON_SM=3Dy
+
+#
+# Tegra firmware driver
+#
+CONFIG_TEGRA_IVC=3Dy
+CONFIG_TEGRA_BPMP=3Dy
+# end of Tegra firmware driver
+# end of Firmware Drivers
+
+CONFIG_ARCH_SUPPORTS_ACPI=3Dy
+CONFIG_ACPI=3Dy
+CONFIG_ACPI_GENERIC_GSI=3Dy
+CONFIG_ACPI_CCA_REQUIRED=3Dy
+# CONFIG_ACPI_DEBUGGER is not set
+CONFIG_ACPI_SPCR_TABLE=3Dy
+# CONFIG_ACPI_EC_DEBUGFS is not set
+CONFIG_ACPI_AC=3Dm
+CONFIG_ACPI_BATTERY=3Dm
+CONFIG_ACPI_BUTTON=3Dy
+CONFIG_ACPI_FAN=3Dy
+CONFIG_ACPI_TAD=3Dm
+# CONFIG_ACPI_DOCK is not set
+CONFIG_ACPI_PROCESSOR_IDLE=3Dy
+CONFIG_ACPI_MCFG=3Dy
+CONFIG_ACPI_CPPC_LIB=3Dy
+CONFIG_ACPI_PROCESSOR=3Dy
+# CONFIG_ACPI_IPMI is not set
+CONFIG_ACPI_HOTPLUG_CPU=3Dy
+CONFIG_ACPI_THERMAL=3Dy
+CONFIG_ACPI_NUMA=3Dy
+CONFIG_ARCH_HAS_ACPI_TABLE_UPGRADE=3Dy
+CONFIG_ACPI_TABLE_UPGRADE=3Dy
+# CONFIG_ACPI_DEBUG is not set
+# CONFIG_ACPI_PCI_SLOT is not set
+CONFIG_ACPI_CONTAINER=3Dy
+# CONFIG_ACPI_HED is not set
+# CONFIG_ACPI_CUSTOM_METHOD is not set
+# CONFIG_ACPI_BGRT is not set
+CONFIG_ACPI_REDUCED_HARDWARE_ONLY=3Dy
+CONFIG_ACPI_NFIT=3Dy
+# CONFIG_NFIT_SECURITY_DEBUG is not set
+CONFIG_ACPI_HMAT=3Dy
+CONFIG_HAVE_ACPI_APEI=3Dy
+# CONFIG_ACPI_APEI is not set
+# CONFIG_PMIC_OPREGION is not set
+# CONFIG_ACPI_CONFIGFS is not set
+CONFIG_ACPI_IORT=3Dy
+CONFIG_ACPI_GTDT=3Dy
+CONFIG_ACPI_PPTT=3Dy
+CONFIG_HAVE_KVM_IRQCHIP=3Dy
+CONFIG_HAVE_KVM_IRQFD=3Dy
+CONFIG_HAVE_KVM_IRQ_ROUTING=3Dy
+CONFIG_HAVE_KVM_EVENTFD=3Dy
+CONFIG_KVM_MMIO=3Dy
+CONFIG_HAVE_KVM_MSI=3Dy
+CONFIG_HAVE_KVM_CPU_RELAX_INTERCEPT=3Dy
+CONFIG_KVM_VFIO=3Dy
+CONFIG_HAVE_KVM_ARCH_TLB_FLUSH_ALL=3Dy
+CONFIG_KVM_GENERIC_DIRTYLOG_READ_PROTECT=3Dy
+CONFIG_HAVE_KVM_IRQ_BYPASS=3Dy
+CONFIG_HAVE_KVM_VCPU_RUN_PID_CHANGE=3Dy
+CONFIG_IRQ_BYPASS_MANAGER=3Dy
+CONFIG_VIRTUALIZATION=3Dy
+CONFIG_KVM=3Dy
+CONFIG_KVM_ARM_HOST=3Dy
+CONFIG_KVM_ARM_PMU=3Dy
+CONFIG_KVM_INDIRECT_VECTORS=3Dy
+CONFIG_VHOST_NET=3Dm
+CONFIG_VHOST_SCSI=3Dm
+CONFIG_VHOST_VSOCK=3Dm
+CONFIG_VHOST=3Dm
+# CONFIG_VHOST_CROSS_ENDIAN_LEGACY is not set
+CONFIG_ARM64_CRYPTO=3Dy
+CONFIG_CRYPTO_SHA256_ARM64=3Dm
+# CONFIG_CRYPTO_SHA512_ARM64 is not set
+CONFIG_CRYPTO_SHA1_ARM64_CE=3Dm
+CONFIG_CRYPTO_SHA2_ARM64_CE=3Dm
+# CONFIG_CRYPTO_SHA512_ARM64_CE is not set
+# CONFIG_CRYPTO_SHA3_ARM64 is not set
+# CONFIG_CRYPTO_SM3_ARM64_CE is not set
+# CONFIG_CRYPTO_SM4_ARM64_CE is not set
+CONFIG_CRYPTO_GHASH_ARM64_CE=3Dm
+# CONFIG_CRYPTO_CRCT10DIF_ARM64_CE is not set
+CONFIG_CRYPTO_AES_ARM64=3Dm
+CONFIG_CRYPTO_AES_ARM64_CE=3Dm
+CONFIG_CRYPTO_AES_ARM64_CE_CCM=3Dm
+CONFIG_CRYPTO_AES_ARM64_CE_BLK=3Dm
+# CONFIG_CRYPTO_AES_ARM64_NEON_BLK is not set
+# CONFIG_CRYPTO_CHACHA20_NEON is not set
+CONFIG_CRYPTO_NHPOLY1305_NEON=3Dm
+# CONFIG_CRYPTO_AES_ARM64_BS is not set
+
+#
+# General architecture-dependent options
+#
+CONFIG_CRASH_CORE=3Dy
+CONFIG_KEXEC_CORE=3Dy
+CONFIG_KPROBES=3Dy
+CONFIG_JUMP_LABEL=3Dy
+# CONFIG_STATIC_KEYS_SELFTEST is not set
+CONFIG_UPROBES=3Dy
+CONFIG_HAVE_EFFICIENT_UNALIGNED_ACCESS=3Dy
+CONFIG_KRETPROBES=3Dy
+CONFIG_HAVE_KPROBES=3Dy
+CONFIG_HAVE_KRETPROBES=3Dy
+CONFIG_HAVE_FUNCTION_ERROR_INJECTION=3Dy
+CONFIG_HAVE_NMI=3Dy
+CONFIG_HAVE_ARCH_TRACEHOOK=3Dy
+CONFIG_HAVE_DMA_CONTIGUOUS=3Dy
+CONFIG_GENERIC_SMP_IDLE_THREAD=3Dy
+CONFIG_GENERIC_IDLE_POLL_SETUP=3Dy
+CONFIG_ARCH_HAS_FORTIFY_SOURCE=3Dy
+CONFIG_ARCH_HAS_KEEPINITRD=3Dy
+CONFIG_ARCH_HAS_SET_MEMORY=3Dy
+CONFIG_ARCH_HAS_SET_DIRECT_MAP=3Dy
+CONFIG_HAVE_ARCH_THREAD_STRUCT_WHITELIST=3Dy
+CONFIG_HAVE_ASM_MODVERSIONS=3Dy
+CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=3Dy
+CONFIG_HAVE_RSEQ=3Dy
+CONFIG_HAVE_FUNCTION_ARG_ACCESS_API=3Dy
+CONFIG_HAVE_CLK=3Dy
+CONFIG_HAVE_HW_BREAKPOINT=3Dy
+CONFIG_HAVE_PERF_REGS=3Dy
+CONFIG_HAVE_PERF_USER_STACK_DUMP=3Dy
+CONFIG_HAVE_ARCH_JUMP_LABEL=3Dy
+CONFIG_HAVE_ARCH_JUMP_LABEL_RELATIVE=3Dy
+CONFIG_HAVE_RCU_TABLE_FREE=3Dy
+CONFIG_ARCH_HAVE_NMI_SAFE_CMPXCHG=3Dy
+CONFIG_HAVE_ALIGNED_STRUCT_PAGE=3Dy
+CONFIG_HAVE_CMPXCHG_LOCAL=3Dy
+CONFIG_HAVE_CMPXCHG_DOUBLE=3Dy
+CONFIG_ARCH_WANT_COMPAT_IPC_PARSE_VERSION=3Dy
+CONFIG_HAVE_ARCH_SECCOMP_FILTER=3Dy
+CONFIG_SECCOMP_FILTER=3Dy
+CONFIG_HAVE_ARCH_STACKLEAK=3Dy
+CONFIG_HAVE_STACKPROTECTOR=3Dy
+CONFIG_CC_HAS_STACKPROTECTOR_NONE=3Dy
+CONFIG_STACKPROTECTOR=3Dy
+CONFIG_STACKPROTECTOR_STRONG=3Dy
+CONFIG_HAVE_CONTEXT_TRACKING=3Dy
+CONFIG_HAVE_VIRT_CPU_ACCOUNTING_GEN=3Dy
+CONFIG_HAVE_IRQ_TIME_ACCOUNTING=3Dy
+CONFIG_HAVE_ARCH_TRANSPARENT_HUGEPAGE=3Dy
+CONFIG_HAVE_ARCH_HUGE_VMAP=3Dy
+CONFIG_HAVE_MOD_ARCH_SPECIFIC=3Dy
+CONFIG_MODULES_USE_ELF_RELA=3Dy
+CONFIG_ARCH_HAS_ELF_RANDOMIZE=3Dy
+CONFIG_HAVE_ARCH_MMAP_RND_BITS=3Dy
+CONFIG_ARCH_MMAP_RND_BITS=3D18
+CONFIG_HAVE_ARCH_MMAP_RND_COMPAT_BITS=3Dy
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS=3D11
+CONFIG_ARCH_WANT_DEFAULT_TOPDOWN_MMAP_LAYOUT=3Dy
+CONFIG_CLONE_BACKWARDS=3Dy
+CONFIG_OLD_SIGSUSPEND3=3Dy
+CONFIG_COMPAT_OLD_SIGACTION=3Dy
+CONFIG_64BIT_TIME=3Dy
+CONFIG_COMPAT_32BIT_TIME=3Dy
+CONFIG_HAVE_ARCH_VMAP_STACK=3Dy
+CONFIG_VMAP_STACK=3Dy
+CONFIG_ARCH_HAS_STRICT_KERNEL_RWX=3Dy
+CONFIG_STRICT_KERNEL_RWX=3Dy
+CONFIG_ARCH_HAS_STRICT_MODULE_RWX=3Dy
+CONFIG_STRICT_MODULE_RWX=3Dy
+CONFIG_REFCOUNT_FULL=3Dy
+CONFIG_HAVE_ARCH_PREL32_RELOCATIONS=3Dy
+CONFIG_ARCH_USE_MEMREMAP_PROT=3Dy
+# CONFIG_LOCK_EVENT_COUNTS is not set
+CONFIG_ARCH_HAS_RELR=3Dy
+
+#
+# GCOV-based kernel profiling
+#
+# CONFIG_GCOV_KERNEL is not set
+CONFIG_ARCH_HAS_GCOV_PROFILE_ALL=3Dy
+# end of GCOV-based kernel profiling
+
+CONFIG_PLUGIN_HOSTCC=3D"g++"
+CONFIG_HAVE_GCC_PLUGINS=3Dy
+CONFIG_GCC_PLUGINS=3Dy
+
+#
+# GCC plugins
+#
+# CONFIG_GCC_PLUGIN_CYC_COMPLEXITY is not set
+# CONFIG_GCC_PLUGIN_LATENT_ENTROPY is not set
+# CONFIG_GCC_PLUGIN_RANDSTRUCT is not set
+# end of GCC plugins
+# end of General architecture-dependent options
+
+CONFIG_RT_MUTEXES=3Dy
+CONFIG_BASE_SMALL=3D0
+CONFIG_MODULES=3Dy
+CONFIG_MODULE_FORCE_LOAD=3Dy
+CONFIG_MODULE_UNLOAD=3Dy
+CONFIG_MODULE_FORCE_UNLOAD=3Dy
+CONFIG_MODVERSIONS=3Dy
+CONFIG_ASM_MODVERSIONS=3Dy
+# CONFIG_MODULE_SRCVERSION_ALL is not set
+# CONFIG_MODULE_SIG is not set
+# CONFIG_MODULE_COMPRESS is not set
+# CONFIG_MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS is not set
+# CONFIG_UNUSED_SYMBOLS is not set
+# CONFIG_TRIM_UNUSED_KSYMS is not set
+CONFIG_MODULES_TREE_LOOKUP=3Dy
+CONFIG_BLOCK=3Dy
+CONFIG_BLK_RQ_ALLOC_TIME=3Dy
+CONFIG_BLK_SCSI_REQUEST=3Dy
+CONFIG_BLK_DEV_BSG=3Dy
+CONFIG_BLK_DEV_BSGLIB=3Dy
+CONFIG_BLK_DEV_INTEGRITY=3Dy
+# CONFIG_BLK_DEV_ZONED is not set
+CONFIG_BLK_DEV_THROTTLING=3Dy
+# CONFIG_BLK_DEV_THROTTLING_LOW is not set
+# CONFIG_BLK_CMDLINE_PARSER is not set
+CONFIG_BLK_WBT=3Dy
+# CONFIG_BLK_CGROUP_IOLATENCY is not set
+CONFIG_BLK_CGROUP_IOCOST=3Dy
+CONFIG_BLK_WBT_MQ=3Dy
+CONFIG_BLK_DEBUG_FS=3Dy
+CONFIG_BLK_SED_OPAL=3Dy
+
+#
+# Partition Types
+#
+CONFIG_PARTITION_ADVANCED=3Dy
+# CONFIG_ACORN_PARTITION is not set
+# CONFIG_AIX_PARTITION is not set
+# CONFIG_OSF_PARTITION is not set
+# CONFIG_AMIGA_PARTITION is not set
+# CONFIG_ATARI_PARTITION is not set
+# CONFIG_MAC_PARTITION is not set
+CONFIG_MSDOS_PARTITION=3Dy
+# CONFIG_BSD_DISKLABEL is not set
+# CONFIG_MINIX_SUBPARTITION is not set
+# CONFIG_SOLARIS_X86_PARTITION is not set
+# CONFIG_UNIXWARE_DISKLABEL is not set
+# CONFIG_LDM_PARTITION is not set
+# CONFIG_SGI_PARTITION is not set
+# CONFIG_ULTRIX_PARTITION is not set
+# CONFIG_SUN_PARTITION is not set
+CONFIG_KARMA_PARTITION=3Dy
+CONFIG_EFI_PARTITION=3Dy
+# CONFIG_SYSV68_PARTITION is not set
+# CONFIG_CMDLINE_PARTITION is not set
+# end of Partition Types
+
+CONFIG_BLOCK_COMPAT=3Dy
+CONFIG_BLK_MQ_PCI=3Dy
+CONFIG_BLK_MQ_VIRTIO=3Dy
+CONFIG_BLK_MQ_RDMA=3Dy
+CONFIG_BLK_PM=3Dy
+
+#
+# IO Schedulers
+#
+CONFIG_MQ_IOSCHED_DEADLINE=3Dy
+CONFIG_MQ_IOSCHED_KYBER=3Dm
+CONFIG_IOSCHED_BFQ=3Dm
+CONFIG_BFQ_GROUP_IOSCHED=3Dy
+# CONFIG_BFQ_CGROUP_DEBUG is not set
+# end of IO Schedulers
+
+CONFIG_PREEMPT_NOTIFIERS=3Dy
+CONFIG_PADATA=3Dy
+CONFIG_ASN1=3Dy
+CONFIG_ARCH_INLINE_SPIN_TRYLOCK=3Dy
+CONFIG_ARCH_INLINE_SPIN_TRYLOCK_BH=3Dy
+CONFIG_ARCH_INLINE_SPIN_LOCK=3Dy
+CONFIG_ARCH_INLINE_SPIN_LOCK_BH=3Dy
+CONFIG_ARCH_INLINE_SPIN_LOCK_IRQ=3Dy
+CONFIG_ARCH_INLINE_SPIN_LOCK_IRQSAVE=3Dy
+CONFIG_ARCH_INLINE_SPIN_UNLOCK=3Dy
+CONFIG_ARCH_INLINE_SPIN_UNLOCK_BH=3Dy
+CONFIG_ARCH_INLINE_SPIN_UNLOCK_IRQ=3Dy
+CONFIG_ARCH_INLINE_SPIN_UNLOCK_IRQRESTORE=3Dy
+CONFIG_ARCH_INLINE_READ_LOCK=3Dy
+CONFIG_ARCH_INLINE_READ_LOCK_BH=3Dy
+CONFIG_ARCH_INLINE_READ_LOCK_IRQ=3Dy
+CONFIG_ARCH_INLINE_READ_LOCK_IRQSAVE=3Dy
+CONFIG_ARCH_INLINE_READ_UNLOCK=3Dy
+CONFIG_ARCH_INLINE_READ_UNLOCK_BH=3Dy
+CONFIG_ARCH_INLINE_READ_UNLOCK_IRQ=3Dy
+CONFIG_ARCH_INLINE_READ_UNLOCK_IRQRESTORE=3Dy
+CONFIG_ARCH_INLINE_WRITE_LOCK=3Dy
+CONFIG_ARCH_INLINE_WRITE_LOCK_BH=3Dy
+CONFIG_ARCH_INLINE_WRITE_LOCK_IRQ=3Dy
+CONFIG_ARCH_INLINE_WRITE_LOCK_IRQSAVE=3Dy
+CONFIG_ARCH_INLINE_WRITE_UNLOCK=3Dy
+CONFIG_ARCH_INLINE_WRITE_UNLOCK_BH=3Dy
+CONFIG_ARCH_INLINE_WRITE_UNLOCK_IRQ=3Dy
+CONFIG_ARCH_INLINE_WRITE_UNLOCK_IRQRESTORE=3Dy
+CONFIG_INLINE_SPIN_TRYLOCK=3Dy
+CONFIG_INLINE_SPIN_TRYLOCK_BH=3Dy
+CONFIG_INLINE_SPIN_LOCK=3Dy
+CONFIG_INLINE_SPIN_LOCK_BH=3Dy
+CONFIG_INLINE_SPIN_LOCK_IRQ=3Dy
+CONFIG_INLINE_SPIN_LOCK_IRQSAVE=3Dy
+CONFIG_INLINE_SPIN_UNLOCK_BH=3Dy
+CONFIG_INLINE_SPIN_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_SPIN_UNLOCK_IRQRESTORE=3Dy
+CONFIG_INLINE_READ_LOCK=3Dy
+CONFIG_INLINE_READ_LOCK_BH=3Dy
+CONFIG_INLINE_READ_LOCK_IRQ=3Dy
+CONFIG_INLINE_READ_LOCK_IRQSAVE=3Dy
+CONFIG_INLINE_READ_UNLOCK=3Dy
+CONFIG_INLINE_READ_UNLOCK_BH=3Dy
+CONFIG_INLINE_READ_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_READ_UNLOCK_IRQRESTORE=3Dy
+CONFIG_INLINE_WRITE_LOCK=3Dy
+CONFIG_INLINE_WRITE_LOCK_BH=3Dy
+CONFIG_INLINE_WRITE_LOCK_IRQ=3Dy
+CONFIG_INLINE_WRITE_LOCK_IRQSAVE=3Dy
+CONFIG_INLINE_WRITE_UNLOCK=3Dy
+CONFIG_INLINE_WRITE_UNLOCK_BH=3Dy
+CONFIG_INLINE_WRITE_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_WRITE_UNLOCK_IRQRESTORE=3Dy
+CONFIG_ARCH_SUPPORTS_ATOMIC_RMW=3Dy
+CONFIG_MUTEX_SPIN_ON_OWNER=3Dy
+CONFIG_RWSEM_SPIN_ON_OWNER=3Dy
+CONFIG_LOCK_SPIN_ON_OWNER=3Dy
+CONFIG_ARCH_USE_QUEUED_SPINLOCKS=3Dy
+CONFIG_QUEUED_SPINLOCKS=3Dy
+CONFIG_ARCH_USE_QUEUED_RWLOCKS=3Dy
+CONFIG_QUEUED_RWLOCKS=3Dy
+CONFIG_ARCH_HAS_SYSCALL_WRAPPER=3Dy
+CONFIG_FREEZER=3Dy
+
+#
+# Executable file formats
+#
+CONFIG_BINFMT_ELF=3Dy
+CONFIG_COMPAT_BINFMT_ELF=3Dy
+CONFIG_ELFCORE=3Dy
+CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS=3Dy
+CONFIG_BINFMT_SCRIPT=3Dy
+CONFIG_BINFMT_MISC=3Dm
+CONFIG_COREDUMP=3Dy
+# end of Executable file formats
+
+#
+# Memory Management options
+#
+CONFIG_SELECT_MEMORY_MODEL=3Dy
+CONFIG_SPARSEMEM_MANUAL=3Dy
+CONFIG_SPARSEMEM=3Dy
+CONFIG_NEED_MULTIPLE_NODES=3Dy
+CONFIG_HAVE_MEMORY_PRESENT=3Dy
+CONFIG_SPARSEMEM_EXTREME=3Dy
+CONFIG_SPARSEMEM_VMEMMAP_ENABLE=3Dy
+CONFIG_SPARSEMEM_VMEMMAP=3Dy
+CONFIG_HAVE_MEMBLOCK_NODE_MAP=3Dy
+CONFIG_HAVE_FAST_GUP=3Dy
+CONFIG_ARCH_KEEP_MEMBLOCK=3Dy
+CONFIG_MEMORY_ISOLATION=3Dy
+# CONFIG_MEMORY_HOTPLUG is not set
+CONFIG_SPLIT_PTLOCK_CPUS=3D4
+CONFIG_MEMORY_BALLOON=3Dy
+CONFIG_BALLOON_COMPACTION=3Dy
+CONFIG_COMPACTION=3Dy
+CONFIG_MIGRATION=3Dy
+CONFIG_CONTIG_ALLOC=3Dy
+CONFIG_PHYS_ADDR_T_64BIT=3Dy
+CONFIG_MMU_NOTIFIER=3Dy
+CONFIG_KSM=3Dy
+CONFIG_DEFAULT_MMAP_MIN_ADDR=3D4096
+CONFIG_ARCH_SUPPORTS_MEMORY_FAILURE=3Dy
+CONFIG_MEMORY_FAILURE=3Dy
+CONFIG_HWPOISON_INJECT=3Dm
+CONFIG_TRANSPARENT_HUGEPAGE=3Dy
+CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS=3Dy
+# CONFIG_TRANSPARENT_HUGEPAGE_MADVISE is not set
+CONFIG_TRANSPARENT_HUGE_PAGECACHE=3Dy
+# CONFIG_CLEANCACHE is not set
+CONFIG_FRONTSWAP=3Dy
+CONFIG_CMA=3Dy
+# CONFIG_CMA_DEBUG is not set
+# CONFIG_CMA_DEBUGFS is not set
+CONFIG_CMA_AREAS=3D7
+CONFIG_ZSWAP=3Dy
+CONFIG_ZPOOL=3Dy
+CONFIG_ZBUD=3Dy
+# CONFIG_Z3FOLD is not set
+CONFIG_ZSMALLOC=3Dm
+# CONFIG_PGTABLE_MAPPING is not set
+# CONFIG_ZSMALLOC_STAT is not set
+CONFIG_GENERIC_EARLY_IOREMAP=3Dy
+# CONFIG_DEFERRED_STRUCT_PAGE_INIT is not set
+# CONFIG_IDLE_PAGE_TRACKING is not set
+CONFIG_ARCH_HAS_PTE_DEVMAP=3Dy
+CONFIG_HMM_MIRROR=3Dy
+CONFIG_FRAME_VECTOR=3Dy
+# CONFIG_PERCPU_STATS is not set
+# CONFIG_GUP_BENCHMARK is not set
+# CONFIG_READ_ONLY_THP_FOR_FS is not set
+CONFIG_ARCH_HAS_PTE_SPECIAL=3Dy
+# end of Memory Management options
+
+CONFIG_NET=3Dy
+CONFIG_COMPAT_NETLINK_MESSAGES=3Dy
+CONFIG_NET_INGRESS=3Dy
+CONFIG_NET_EGRESS=3Dy
+CONFIG_SKB_EXTENSIONS=3Dy
+
+#
+# Networking options
+#
+CONFIG_PACKET=3Dy
+CONFIG_PACKET_DIAG=3Dm
+CONFIG_UNIX=3Dy
+CONFIG_UNIX_SCM=3Dy
+CONFIG_UNIX_DIAG=3Dm
+# CONFIG_TLS is not set
+CONFIG_XFRM=3Dy
+CONFIG_XFRM_OFFLOAD=3Dy
+CONFIG_XFRM_ALGO=3Dm
+CONFIG_XFRM_USER=3Dm
+CONFIG_XFRM_INTERFACE=3Dm
+CONFIG_XFRM_SUB_POLICY=3Dy
+CONFIG_XFRM_MIGRATE=3Dy
+# CONFIG_XFRM_STATISTICS is not set
+CONFIG_XFRM_IPCOMP=3Dm
+CONFIG_NET_KEY=3Dm
+CONFIG_NET_KEY_MIGRATE=3Dy
+# CONFIG_SMC is not set
+# CONFIG_XDP_SOCKETS is not set
+CONFIG_INET=3Dy
+CONFIG_IP_MULTICAST=3Dy
+CONFIG_IP_ADVANCED_ROUTER=3Dy
+CONFIG_IP_FIB_TRIE_STATS=3Dy
+CONFIG_IP_MULTIPLE_TABLES=3Dy
+CONFIG_IP_ROUTE_MULTIPATH=3Dy
+CONFIG_IP_ROUTE_VERBOSE=3Dy
+CONFIG_IP_ROUTE_CLASSID=3Dy
+# CONFIG_IP_PNP is not set
+CONFIG_NET_IPIP=3Dm
+CONFIG_NET_IPGRE_DEMUX=3Dm
+CONFIG_NET_IP_TUNNEL=3Dm
+CONFIG_NET_IPGRE=3Dm
+CONFIG_NET_IPGRE_BROADCAST=3Dy
+CONFIG_IP_MROUTE_COMMON=3Dy
+CONFIG_IP_MROUTE=3Dy
+CONFIG_IP_MROUTE_MULTIPLE_TABLES=3Dy
+CONFIG_IP_PIMSM_V1=3Dy
+CONFIG_IP_PIMSM_V2=3Dy
+CONFIG_SYN_COOKIES=3Dy
+CONFIG_NET_IPVTI=3Dm
+CONFIG_NET_UDP_TUNNEL=3Dm
+CONFIG_NET_FOU=3Dm
+CONFIG_NET_FOU_IP_TUNNELS=3Dy
+CONFIG_INET_AH=3Dm
+CONFIG_INET_ESP=3Dm
+CONFIG_INET_ESP_OFFLOAD=3Dm
+CONFIG_INET_IPCOMP=3Dm
+CONFIG_INET_XFRM_TUNNEL=3Dm
+CONFIG_INET_TUNNEL=3Dm
+CONFIG_INET_DIAG=3Dm
+CONFIG_INET_TCP_DIAG=3Dm
+CONFIG_INET_UDP_DIAG=3Dm
+# CONFIG_INET_RAW_DIAG is not set
+CONFIG_INET_DIAG_DESTROY=3Dy
+CONFIG_TCP_CONG_ADVANCED=3Dy
+CONFIG_TCP_CONG_BIC=3Dm
+CONFIG_TCP_CONG_CUBIC=3Dy
+CONFIG_TCP_CONG_WESTWOOD=3Dm
+CONFIG_TCP_CONG_HTCP=3Dm
+CONFIG_TCP_CONG_HSTCP=3Dm
+CONFIG_TCP_CONG_HYBLA=3Dm
+CONFIG_TCP_CONG_VEGAS=3Dm
+CONFIG_TCP_CONG_NV=3Dm
+CONFIG_TCP_CONG_SCALABLE=3Dm
+CONFIG_TCP_CONG_LP=3Dm
+CONFIG_TCP_CONG_VENO=3Dm
+CONFIG_TCP_CONG_YEAH=3Dm
+CONFIG_TCP_CONG_ILLINOIS=3Dm
+CONFIG_TCP_CONG_DCTCP=3Dm
+CONFIG_TCP_CONG_CDG=3Dm
+CONFIG_TCP_CONG_BBR=3Dm
+CONFIG_DEFAULT_CUBIC=3Dy
+# CONFIG_DEFAULT_RENO is not set
+CONFIG_DEFAULT_TCP_CONG=3D"cubic"
+CONFIG_TCP_MD5SIG=3Dy
+CONFIG_IPV6=3Dy
+CONFIG_IPV6_ROUTER_PREF=3Dy
+CONFIG_IPV6_ROUTE_INFO=3Dy
+CONFIG_IPV6_OPTIMISTIC_DAD=3Dy
+CONFIG_INET6_AH=3Dm
+CONFIG_INET6_ESP=3Dm
+CONFIG_INET6_ESP_OFFLOAD=3Dm
+CONFIG_INET6_IPCOMP=3Dm
+CONFIG_IPV6_MIP6=3Dy
+CONFIG_IPV6_ILA=3Dm
+CONFIG_INET6_XFRM_TUNNEL=3Dm
+CONFIG_INET6_TUNNEL=3Dm
+CONFIG_IPV6_VTI=3Dm
+CONFIG_IPV6_SIT=3Dm
+CONFIG_IPV6_SIT_6RD=3Dy
+CONFIG_IPV6_NDISC_NODETYPE=3Dy
+CONFIG_IPV6_TUNNEL=3Dm
+CONFIG_IPV6_GRE=3Dm
+CONFIG_IPV6_FOU=3Dm
+CONFIG_IPV6_FOU_TUNNEL=3Dm
+CONFIG_IPV6_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_SUBTREES=3Dy
+CONFIG_IPV6_MROUTE=3Dy
+CONFIG_IPV6_MROUTE_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_PIMSM_V2=3Dy
+CONFIG_IPV6_SEG6_LWTUNNEL=3Dy
+CONFIG_IPV6_SEG6_HMAC=3Dy
+CONFIG_IPV6_SEG6_BPF=3Dy
+# CONFIG_NETLABEL is not set
+CONFIG_NETWORK_SECMARK=3Dy
+CONFIG_NET_PTP_CLASSIFY=3Dy
+# CONFIG_NETWORK_PHY_TIMESTAMPING is not set
+CONFIG_NETFILTER=3Dy
+CONFIG_NETFILTER_ADVANCED=3Dy
+CONFIG_BRIDGE_NETFILTER=3Dm
+
+#
+# Core Netfilter Configuration
+#
+CONFIG_NETFILTER_INGRESS=3Dy
+CONFIG_NETFILTER_NETLINK=3Dm
+CONFIG_NETFILTER_FAMILY_BRIDGE=3Dy
+CONFIG_NETFILTER_FAMILY_ARP=3Dy
+CONFIG_NETFILTER_NETLINK_ACCT=3Dm
+CONFIG_NETFILTER_NETLINK_QUEUE=3Dm
+CONFIG_NETFILTER_NETLINK_LOG=3Dm
+CONFIG_NETFILTER_NETLINK_OSF=3Dm
+CONFIG_NF_CONNTRACK=3Dm
+CONFIG_NF_LOG_COMMON=3Dm
+CONFIG_NF_LOG_NETDEV=3Dm
+CONFIG_NETFILTER_CONNCOUNT=3Dm
+CONFIG_NF_CONNTRACK_MARK=3Dy
+CONFIG_NF_CONNTRACK_SECMARK=3Dy
+CONFIG_NF_CONNTRACK_ZONES=3Dy
+CONFIG_NF_CONNTRACK_PROCFS=3Dy
+CONFIG_NF_CONNTRACK_EVENTS=3Dy
+CONFIG_NF_CONNTRACK_TIMEOUT=3Dy
+CONFIG_NF_CONNTRACK_TIMESTAMP=3Dy
+CONFIG_NF_CONNTRACK_LABELS=3Dy
+CONFIG_NF_CT_PROTO_DCCP=3Dy
+CONFIG_NF_CT_PROTO_GRE=3Dy
+CONFIG_NF_CT_PROTO_SCTP=3Dy
+CONFIG_NF_CT_PROTO_UDPLITE=3Dy
+CONFIG_NF_CONNTRACK_AMANDA=3Dm
+CONFIG_NF_CONNTRACK_FTP=3Dm
+CONFIG_NF_CONNTRACK_H323=3Dm
+CONFIG_NF_CONNTRACK_IRC=3Dm
+CONFIG_NF_CONNTRACK_BROADCAST=3Dm
+CONFIG_NF_CONNTRACK_NETBIOS_NS=3Dm
+CONFIG_NF_CONNTRACK_SNMP=3Dm
+CONFIG_NF_CONNTRACK_PPTP=3Dm
+CONFIG_NF_CONNTRACK_SANE=3Dm
+CONFIG_NF_CONNTRACK_SIP=3Dm
+CONFIG_NF_CONNTRACK_TFTP=3Dm
+CONFIG_NF_CT_NETLINK=3Dm
+CONFIG_NF_CT_NETLINK_TIMEOUT=3Dm
+CONFIG_NF_CT_NETLINK_HELPER=3Dm
+CONFIG_NETFILTER_NETLINK_GLUE_CT=3Dy
+CONFIG_NF_NAT=3Dm
+CONFIG_NF_NAT_AMANDA=3Dm
+CONFIG_NF_NAT_FTP=3Dm
+CONFIG_NF_NAT_IRC=3Dm
+CONFIG_NF_NAT_SIP=3Dm
+CONFIG_NF_NAT_TFTP=3Dm
+CONFIG_NF_NAT_REDIRECT=3Dy
+CONFIG_NF_NAT_MASQUERADE=3Dy
+CONFIG_NETFILTER_SYNPROXY=3Dm
+CONFIG_NF_TABLES=3Dm
+CONFIG_NF_TABLES_SET=3Dm
+CONFIG_NF_TABLES_INET=3Dy
+CONFIG_NF_TABLES_NETDEV=3Dy
+CONFIG_NFT_NUMGEN=3Dm
+CONFIG_NFT_CT=3Dm
+# CONFIG_NFT_FLOW_OFFLOAD is not set
+CONFIG_NFT_COUNTER=3Dm
+CONFIG_NFT_CONNLIMIT=3Dm
+CONFIG_NFT_LOG=3Dm
+CONFIG_NFT_LIMIT=3Dm
+CONFIG_NFT_MASQ=3Dm
+CONFIG_NFT_REDIR=3Dm
+CONFIG_NFT_NAT=3Dm
+CONFIG_NFT_TUNNEL=3Dm
+CONFIG_NFT_OBJREF=3Dm
+CONFIG_NFT_QUEUE=3Dm
+CONFIG_NFT_QUOTA=3Dm
+CONFIG_NFT_REJECT=3Dm
+CONFIG_NFT_REJECT_INET=3Dm
+CONFIG_NFT_COMPAT=3Dm
+CONFIG_NFT_HASH=3Dm
+CONFIG_NFT_FIB=3Dm
+CONFIG_NFT_FIB_INET=3Dm
+CONFIG_NFT_XFRM=3Dm
+CONFIG_NFT_SOCKET=3Dm
+CONFIG_NFT_OSF=3Dm
+CONFIG_NFT_TPROXY=3Dm
+CONFIG_NFT_SYNPROXY=3Dm
+CONFIG_NF_DUP_NETDEV=3Dm
+CONFIG_NFT_DUP_NETDEV=3Dm
+CONFIG_NFT_FWD_NETDEV=3Dm
+CONFIG_NFT_FIB_NETDEV=3Dm
+CONFIG_NF_FLOW_TABLE_INET=3Dm
+CONFIG_NF_FLOW_TABLE=3Dm
+CONFIG_NETFILTER_XTABLES=3Dm
+
+#
+# Xtables combined modules
+#
+CONFIG_NETFILTER_XT_MARK=3Dm
+CONFIG_NETFILTER_XT_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_SET=3Dm
+
+#
+# Xtables targets
+#
+CONFIG_NETFILTER_XT_TARGET_AUDIT=3Dm
+CONFIG_NETFILTER_XT_TARGET_CHECKSUM=3Dm
+CONFIG_NETFILTER_XT_TARGET_CLASSIFY=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CT=3Dm
+CONFIG_NETFILTER_XT_TARGET_DSCP=3Dm
+CONFIG_NETFILTER_XT_TARGET_HL=3Dm
+CONFIG_NETFILTER_XT_TARGET_HMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_IDLETIMER=3Dm
+CONFIG_NETFILTER_XT_TARGET_LED=3Dm
+CONFIG_NETFILTER_XT_TARGET_LOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_MARK=3Dm
+CONFIG_NETFILTER_XT_NAT=3Dm
+CONFIG_NETFILTER_XT_TARGET_NETMAP=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFLOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFQUEUE=3Dm
+# CONFIG_NETFILTER_XT_TARGET_NOTRACK is not set
+CONFIG_NETFILTER_XT_TARGET_RATEEST=3Dm
+CONFIG_NETFILTER_XT_TARGET_REDIRECT=3Dm
+CONFIG_NETFILTER_XT_TARGET_MASQUERADE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TEE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TPROXY=3Dm
+CONFIG_NETFILTER_XT_TARGET_TRACE=3Dm
+CONFIG_NETFILTER_XT_TARGET_SECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP=3Dm
+
+#
+# Xtables matches
+#
+CONFIG_NETFILTER_XT_MATCH_ADDRTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_BPF=3Dm
+CONFIG_NETFILTER_XT_MATCH_CGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_CLUSTER=3Dm
+CONFIG_NETFILTER_XT_MATCH_COMMENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNBYTES=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLABEL=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNTRACK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CPU=3Dm
+CONFIG_NETFILTER_XT_MATCH_DCCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DEVGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DSCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_ECN=3Dm
+CONFIG_NETFILTER_XT_MATCH_ESP=3Dm
+CONFIG_NETFILTER_XT_MATCH_HASHLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_HELPER=3Dm
+CONFIG_NETFILTER_XT_MATCH_HL=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPCOMP=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPRANGE=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPVS=3Dm
+CONFIG_NETFILTER_XT_MATCH_L2TP=3Dm
+CONFIG_NETFILTER_XT_MATCH_LENGTH=3Dm
+CONFIG_NETFILTER_XT_MATCH_LIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_MAC=3Dm
+CONFIG_NETFILTER_XT_MATCH_MARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_MULTIPORT=3Dm
+CONFIG_NETFILTER_XT_MATCH_NFACCT=3Dm
+CONFIG_NETFILTER_XT_MATCH_OSF=3Dm
+CONFIG_NETFILTER_XT_MATCH_OWNER=3Dm
+CONFIG_NETFILTER_XT_MATCH_POLICY=3Dm
+CONFIG_NETFILTER_XT_MATCH_PHYSDEV=3Dm
+CONFIG_NETFILTER_XT_MATCH_PKTTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_QUOTA=3Dm
+CONFIG_NETFILTER_XT_MATCH_RATEEST=3Dm
+CONFIG_NETFILTER_XT_MATCH_REALM=3Dm
+CONFIG_NETFILTER_XT_MATCH_RECENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_SCTP=3Dm
+CONFIG_NETFILTER_XT_MATCH_SOCKET=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATE=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATISTIC=3Dm
+CONFIG_NETFILTER_XT_MATCH_STRING=3Dm
+CONFIG_NETFILTER_XT_MATCH_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_MATCH_TIME=3Dm
+CONFIG_NETFILTER_XT_MATCH_U32=3Dm
+# end of Core Netfilter Configuration
+
+CONFIG_IP_SET=3Dm
+CONFIG_IP_SET_MAX=3D256
+CONFIG_IP_SET_BITMAP_IP=3Dm
+CONFIG_IP_SET_BITMAP_IPMAC=3Dm
+CONFIG_IP_SET_BITMAP_PORT=3Dm
+CONFIG_IP_SET_HASH_IP=3Dm
+CONFIG_IP_SET_HASH_IPMARK=3Dm
+CONFIG_IP_SET_HASH_IPPORT=3Dm
+CONFIG_IP_SET_HASH_IPPORTIP=3Dm
+CONFIG_IP_SET_HASH_IPPORTNET=3Dm
+CONFIG_IP_SET_HASH_IPMAC=3Dm
+CONFIG_IP_SET_HASH_MAC=3Dm
+CONFIG_IP_SET_HASH_NETPORTNET=3Dm
+CONFIG_IP_SET_HASH_NET=3Dm
+CONFIG_IP_SET_HASH_NETNET=3Dm
+CONFIG_IP_SET_HASH_NETPORT=3Dm
+CONFIG_IP_SET_HASH_NETIFACE=3Dm
+CONFIG_IP_SET_LIST_SET=3Dm
+CONFIG_IP_VS=3Dm
+CONFIG_IP_VS_IPV6=3Dy
+# CONFIG_IP_VS_DEBUG is not set
+CONFIG_IP_VS_TAB_BITS=3D12
+
+#
+# IPVS transport protocol load balancing support
+#
+CONFIG_IP_VS_PROTO_TCP=3Dy
+CONFIG_IP_VS_PROTO_UDP=3Dy
+CONFIG_IP_VS_PROTO_AH_ESP=3Dy
+CONFIG_IP_VS_PROTO_ESP=3Dy
+CONFIG_IP_VS_PROTO_AH=3Dy
+CONFIG_IP_VS_PROTO_SCTP=3Dy
+
+#
+# IPVS scheduler
+#
+CONFIG_IP_VS_RR=3Dm
+CONFIG_IP_VS_WRR=3Dm
+CONFIG_IP_VS_LC=3Dm
+CONFIG_IP_VS_WLC=3Dm
+CONFIG_IP_VS_FO=3Dm
+CONFIG_IP_VS_OVF=3Dm
+CONFIG_IP_VS_LBLC=3Dm
+CONFIG_IP_VS_LBLCR=3Dm
+CONFIG_IP_VS_DH=3Dm
+CONFIG_IP_VS_SH=3Dm
+CONFIG_IP_VS_MH=3Dm
+CONFIG_IP_VS_SED=3Dm
+CONFIG_IP_VS_NQ=3Dm
+
+#
+# IPVS SH scheduler
+#
+CONFIG_IP_VS_SH_TAB_BITS=3D8
+
+#
+# IPVS MH scheduler
+#
+CONFIG_IP_VS_MH_TAB_INDEX=3D12
+
+#
+# IPVS application helper
+#
+CONFIG_IP_VS_FTP=3Dm
+CONFIG_IP_VS_NFCT=3Dy
+CONFIG_IP_VS_PE_SIP=3Dm
+
+#
+# IP: Netfilter Configuration
+#
+CONFIG_NF_DEFRAG_IPV4=3Dm
+CONFIG_NF_SOCKET_IPV4=3Dm
+CONFIG_NF_TPROXY_IPV4=3Dm
+CONFIG_NF_TABLES_IPV4=3Dy
+CONFIG_NFT_REJECT_IPV4=3Dm
+CONFIG_NFT_DUP_IPV4=3Dm
+CONFIG_NFT_FIB_IPV4=3Dm
+CONFIG_NF_TABLES_ARP=3Dy
+CONFIG_NF_FLOW_TABLE_IPV4=3Dm
+CONFIG_NF_DUP_IPV4=3Dm
+CONFIG_NF_LOG_ARP=3Dm
+CONFIG_NF_LOG_IPV4=3Dm
+CONFIG_NF_REJECT_IPV4=3Dm
+CONFIG_NF_NAT_SNMP_BASIC=3Dm
+CONFIG_NF_NAT_PPTP=3Dm
+CONFIG_NF_NAT_H323=3Dm
+CONFIG_IP_NF_IPTABLES=3Dm
+CONFIG_IP_NF_MATCH_AH=3Dm
+CONFIG_IP_NF_MATCH_ECN=3Dm
+CONFIG_IP_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP_NF_MATCH_TTL=3Dm
+CONFIG_IP_NF_FILTER=3Dm
+CONFIG_IP_NF_TARGET_REJECT=3Dm
+CONFIG_IP_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP_NF_NAT=3Dm
+CONFIG_IP_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP_NF_TARGET_NETMAP=3Dm
+CONFIG_IP_NF_TARGET_REDIRECT=3Dm
+CONFIG_IP_NF_MANGLE=3Dm
+CONFIG_IP_NF_TARGET_CLUSTERIP=3Dm
+CONFIG_IP_NF_TARGET_ECN=3Dm
+CONFIG_IP_NF_TARGET_TTL=3Dm
+CONFIG_IP_NF_RAW=3Dm
+CONFIG_IP_NF_SECURITY=3Dm
+CONFIG_IP_NF_ARPTABLES=3Dm
+CONFIG_IP_NF_ARPFILTER=3Dm
+CONFIG_IP_NF_ARP_MANGLE=3Dm
+# end of IP: Netfilter Configuration
+
+#
+# IPv6: Netfilter Configuration
+#
+CONFIG_NF_SOCKET_IPV6=3Dm
+CONFIG_NF_TPROXY_IPV6=3Dm
+CONFIG_NF_TABLES_IPV6=3Dy
+CONFIG_NFT_REJECT_IPV6=3Dm
+CONFIG_NFT_DUP_IPV6=3Dm
+CONFIG_NFT_FIB_IPV6=3Dm
+CONFIG_NF_FLOW_TABLE_IPV6=3Dm
+CONFIG_NF_DUP_IPV6=3Dm
+CONFIG_NF_REJECT_IPV6=3Dm
+CONFIG_NF_LOG_IPV6=3Dm
+CONFIG_IP6_NF_IPTABLES=3Dm
+CONFIG_IP6_NF_MATCH_AH=3Dm
+CONFIG_IP6_NF_MATCH_EUI64=3Dm
+CONFIG_IP6_NF_MATCH_FRAG=3Dm
+CONFIG_IP6_NF_MATCH_OPTS=3Dm
+CONFIG_IP6_NF_MATCH_HL=3Dm
+CONFIG_IP6_NF_MATCH_IPV6HEADER=3Dm
+CONFIG_IP6_NF_MATCH_MH=3Dm
+CONFIG_IP6_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP6_NF_MATCH_RT=3Dm
+CONFIG_IP6_NF_MATCH_SRH=3Dm
+CONFIG_IP6_NF_TARGET_HL=3Dm
+CONFIG_IP6_NF_FILTER=3Dm
+CONFIG_IP6_NF_TARGET_REJECT=3Dm
+CONFIG_IP6_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP6_NF_MANGLE=3Dm
+CONFIG_IP6_NF_RAW=3Dm
+CONFIG_IP6_NF_SECURITY=3Dm
+CONFIG_IP6_NF_NAT=3Dm
+CONFIG_IP6_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP6_NF_TARGET_NPT=3Dm
+# end of IPv6: Netfilter Configuration
+
+CONFIG_NF_DEFRAG_IPV6=3Dm
+CONFIG_NF_TABLES_BRIDGE=3Dm
+CONFIG_NFT_BRIDGE_META=3Dm
+CONFIG_NFT_BRIDGE_REJECT=3Dm
+CONFIG_NF_LOG_BRIDGE=3Dm
+CONFIG_NF_CONNTRACK_BRIDGE=3Dm
+CONFIG_BRIDGE_NF_EBTABLES=3Dm
+CONFIG_BRIDGE_EBT_BROUTE=3Dm
+CONFIG_BRIDGE_EBT_T_FILTER=3Dm
+CONFIG_BRIDGE_EBT_T_NAT=3Dm
+CONFIG_BRIDGE_EBT_802_3=3Dm
+CONFIG_BRIDGE_EBT_AMONG=3Dm
+CONFIG_BRIDGE_EBT_ARP=3Dm
+CONFIG_BRIDGE_EBT_IP=3Dm
+CONFIG_BRIDGE_EBT_IP6=3Dm
+CONFIG_BRIDGE_EBT_LIMIT=3Dm
+CONFIG_BRIDGE_EBT_MARK=3Dm
+CONFIG_BRIDGE_EBT_PKTTYPE=3Dm
+CONFIG_BRIDGE_EBT_STP=3Dm
+CONFIG_BRIDGE_EBT_VLAN=3Dm
+CONFIG_BRIDGE_EBT_ARPREPLY=3Dm
+CONFIG_BRIDGE_EBT_DNAT=3Dm
+CONFIG_BRIDGE_EBT_MARK_T=3Dm
+CONFIG_BRIDGE_EBT_REDIRECT=3Dm
+CONFIG_BRIDGE_EBT_SNAT=3Dm
+CONFIG_BRIDGE_EBT_LOG=3Dm
+CONFIG_BRIDGE_EBT_NFLOG=3Dm
+# CONFIG_BPFILTER is not set
+CONFIG_IP_DCCP=3Dm
+CONFIG_INET_DCCP_DIAG=3Dm
+
+#
+# DCCP CCIDs Configuration
+#
+# CONFIG_IP_DCCP_CCID2_DEBUG is not set
+CONFIG_IP_DCCP_CCID3=3Dy
+# CONFIG_IP_DCCP_CCID3_DEBUG is not set
+CONFIG_IP_DCCP_TFRC_LIB=3Dy
+# end of DCCP CCIDs Configuration
+
+#
+# DCCP Kernel Hacking
+#
+# CONFIG_IP_DCCP_DEBUG is not set
+# end of DCCP Kernel Hacking
+
+CONFIG_IP_SCTP=3Dm
+# CONFIG_SCTP_DBG_OBJCNT is not set
+CONFIG_SCTP_DEFAULT_COOKIE_HMAC_MD5=3Dy
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_SHA1 is not set
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_NONE is not set
+CONFIG_SCTP_COOKIE_HMAC_MD5=3Dy
+CONFIG_SCTP_COOKIE_HMAC_SHA1=3Dy
+CONFIG_INET_SCTP_DIAG=3Dm
+CONFIG_RDS=3Dm
+CONFIG_RDS_RDMA=3Dm
+CONFIG_RDS_TCP=3Dm
+# CONFIG_RDS_DEBUG is not set
+CONFIG_TIPC=3Dm
+CONFIG_TIPC_MEDIA_IB=3Dy
+CONFIG_TIPC_MEDIA_UDP=3Dy
+CONFIG_TIPC_DIAG=3Dm
+CONFIG_ATM=3Dm
+CONFIG_ATM_CLIP=3Dm
+# CONFIG_ATM_CLIP_NO_ICMP is not set
+CONFIG_ATM_LANE=3Dm
+CONFIG_ATM_MPOA=3Dm
+CONFIG_ATM_BR2684=3Dm
+# CONFIG_ATM_BR2684_IPFILTER is not set
+CONFIG_L2TP=3Dm
+CONFIG_L2TP_DEBUGFS=3Dm
+CONFIG_L2TP_V3=3Dy
+CONFIG_L2TP_IP=3Dm
+CONFIG_L2TP_ETH=3Dm
+CONFIG_STP=3Dm
+CONFIG_GARP=3Dm
+CONFIG_MRP=3Dm
+CONFIG_BRIDGE=3Dm
+CONFIG_BRIDGE_IGMP_SNOOPING=3Dy
+CONFIG_BRIDGE_VLAN_FILTERING=3Dy
+CONFIG_HAVE_NET_DSA=3Dy
+CONFIG_NET_DSA=3Dm
+CONFIG_NET_DSA_TAG_8021Q=3Dm
+CONFIG_NET_DSA_TAG_BRCM_COMMON=3Dm
+CONFIG_NET_DSA_TAG_BRCM=3Dm
+CONFIG_NET_DSA_TAG_BRCM_PREPEND=3Dm
+CONFIG_NET_DSA_TAG_GSWIP=3Dm
+CONFIG_NET_DSA_TAG_DSA=3Dm
+CONFIG_NET_DSA_TAG_EDSA=3Dm
+CONFIG_NET_DSA_TAG_MTK=3Dm
+CONFIG_NET_DSA_TAG_KSZ=3Dm
+CONFIG_NET_DSA_TAG_QCA=3Dm
+CONFIG_NET_DSA_TAG_LAN9303=3Dm
+CONFIG_NET_DSA_TAG_SJA1105=3Dm
+CONFIG_NET_DSA_TAG_TRAILER=3Dm
+CONFIG_VLAN_8021Q=3Dm
+CONFIG_VLAN_8021Q_GVRP=3Dy
+CONFIG_VLAN_8021Q_MVRP=3Dy
+# CONFIG_DECNET is not set
+CONFIG_LLC=3Dm
+CONFIG_LLC2=3Dm
+CONFIG_ATALK=3Dm
+CONFIG_DEV_APPLETALK=3Dm
+CONFIG_IPDDP=3Dm
+CONFIG_IPDDP_ENCAP=3Dy
+# CONFIG_X25 is not set
+# CONFIG_LAPB is not set
+CONFIG_PHONET=3Dm
+CONFIG_6LOWPAN=3Dm
+# CONFIG_6LOWPAN_DEBUGFS is not set
+CONFIG_6LOWPAN_NHC=3Dm
+CONFIG_6LOWPAN_NHC_DEST=3Dm
+CONFIG_6LOWPAN_NHC_FRAGMENT=3Dm
+CONFIG_6LOWPAN_NHC_HOP=3Dm
+CONFIG_6LOWPAN_NHC_IPV6=3Dm
+CONFIG_6LOWPAN_NHC_MOBILITY=3Dm
+CONFIG_6LOWPAN_NHC_ROUTING=3Dm
+CONFIG_6LOWPAN_NHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_HOP=3Dm
+CONFIG_6LOWPAN_GHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_ICMPV6=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_DEST=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_FRAG=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_ROUTE=3Dm
+CONFIG_IEEE802154=3Dm
+# CONFIG_IEEE802154_NL802154_EXPERIMENTAL is not set
+CONFIG_IEEE802154_SOCKET=3Dm
+CONFIG_IEEE802154_6LOWPAN=3Dm
+CONFIG_MAC802154=3Dm
+CONFIG_NET_SCHED=3Dy
+
+#
+# Queueing/Scheduling
+#
+CONFIG_NET_SCH_CBQ=3Dm
+CONFIG_NET_SCH_HTB=3Dm
+CONFIG_NET_SCH_HFSC=3Dm
+CONFIG_NET_SCH_ATM=3Dm
+CONFIG_NET_SCH_PRIO=3Dm
+CONFIG_NET_SCH_MULTIQ=3Dm
+CONFIG_NET_SCH_RED=3Dm
+CONFIG_NET_SCH_SFB=3Dm
+CONFIG_NET_SCH_SFQ=3Dm
+CONFIG_NET_SCH_TEQL=3Dm
+CONFIG_NET_SCH_TBF=3Dm
+# CONFIG_NET_SCH_CBS is not set
+CONFIG_NET_SCH_ETF=3Dm
+CONFIG_NET_SCH_TAPRIO=3Dm
+CONFIG_NET_SCH_GRED=3Dm
+CONFIG_NET_SCH_DSMARK=3Dm
+CONFIG_NET_SCH_NETEM=3Dm
+CONFIG_NET_SCH_DRR=3Dm
+CONFIG_NET_SCH_MQPRIO=3Dm
+CONFIG_NET_SCH_SKBPRIO=3Dm
+CONFIG_NET_SCH_CHOKE=3Dm
+CONFIG_NET_SCH_QFQ=3Dm
+CONFIG_NET_SCH_CODEL=3Dm
+CONFIG_NET_SCH_FQ_CODEL=3Dm
+CONFIG_NET_SCH_CAKE=3Dm
+CONFIG_NET_SCH_FQ=3Dm
+CONFIG_NET_SCH_HHF=3Dm
+CONFIG_NET_SCH_PIE=3Dm
+CONFIG_NET_SCH_INGRESS=3Dm
+CONFIG_NET_SCH_PLUG=3Dm
+# CONFIG_NET_SCH_DEFAULT is not set
+
+#
+# Classification
+#
+CONFIG_NET_CLS=3Dy
+CONFIG_NET_CLS_BASIC=3Dm
+CONFIG_NET_CLS_TCINDEX=3Dm
+CONFIG_NET_CLS_ROUTE4=3Dm
+CONFIG_NET_CLS_FW=3Dm
+CONFIG_NET_CLS_U32=3Dm
+CONFIG_CLS_U32_PERF=3Dy
+CONFIG_CLS_U32_MARK=3Dy
+CONFIG_NET_CLS_RSVP=3Dm
+CONFIG_NET_CLS_RSVP6=3Dm
+CONFIG_NET_CLS_FLOW=3Dm
+CONFIG_NET_CLS_CGROUP=3Dm
+CONFIG_NET_CLS_BPF=3Dm
+CONFIG_NET_CLS_FLOWER=3Dm
+CONFIG_NET_CLS_MATCHALL=3Dm
+CONFIG_NET_EMATCH=3Dy
+CONFIG_NET_EMATCH_STACK=3D32
+CONFIG_NET_EMATCH_CMP=3Dm
+CONFIG_NET_EMATCH_NBYTE=3Dm
+CONFIG_NET_EMATCH_U32=3Dm
+CONFIG_NET_EMATCH_META=3Dm
+CONFIG_NET_EMATCH_TEXT=3Dm
+CONFIG_NET_EMATCH_CANID=3Dm
+CONFIG_NET_EMATCH_IPSET=3Dm
+CONFIG_NET_EMATCH_IPT=3Dm
+CONFIG_NET_CLS_ACT=3Dy
+CONFIG_NET_ACT_POLICE=3Dm
+CONFIG_NET_ACT_GACT=3Dm
+CONFIG_GACT_PROB=3Dy
+CONFIG_NET_ACT_MIRRED=3Dm
+CONFIG_NET_ACT_SAMPLE=3Dm
+CONFIG_NET_ACT_IPT=3Dm
+CONFIG_NET_ACT_NAT=3Dm
+CONFIG_NET_ACT_PEDIT=3Dm
+CONFIG_NET_ACT_SIMP=3Dm
+CONFIG_NET_ACT_SKBEDIT=3Dm
+CONFIG_NET_ACT_CSUM=3Dm
+CONFIG_NET_ACT_MPLS=3Dm
+CONFIG_NET_ACT_VLAN=3Dm
+CONFIG_NET_ACT_BPF=3Dm
+CONFIG_NET_ACT_CONNMARK=3Dm
+CONFIG_NET_ACT_CTINFO=3Dm
+CONFIG_NET_ACT_SKBMOD=3Dm
+CONFIG_NET_ACT_IFE=3Dm
+CONFIG_NET_ACT_TUNNEL_KEY=3Dm
+CONFIG_NET_ACT_CT=3Dm
+CONFIG_NET_IFE_SKBMARK=3Dm
+CONFIG_NET_IFE_SKBPRIO=3Dm
+CONFIG_NET_IFE_SKBTCINDEX=3Dm
+# CONFIG_NET_TC_SKB_EXT is not set
+CONFIG_NET_SCH_FIFO=3Dy
+CONFIG_DCB=3Dy
+CONFIG_DNS_RESOLVER=3Dm
+CONFIG_BATMAN_ADV=3Dm
+# CONFIG_BATMAN_ADV_BATMAN_V is not set
+CONFIG_BATMAN_ADV_BLA=3Dy
+CONFIG_BATMAN_ADV_DAT=3Dy
+CONFIG_BATMAN_ADV_NC=3Dy
+CONFIG_BATMAN_ADV_MCAST=3Dy
+CONFIG_BATMAN_ADV_DEBUGFS=3Dy
+# CONFIG_BATMAN_ADV_DEBUG is not set
+CONFIG_BATMAN_ADV_SYSFS=3Dy
+# CONFIG_BATMAN_ADV_TRACING is not set
+CONFIG_OPENVSWITCH=3Dm
+CONFIG_OPENVSWITCH_GRE=3Dm
+CONFIG_OPENVSWITCH_VXLAN=3Dm
+CONFIG_OPENVSWITCH_GENEVE=3Dm
+CONFIG_VSOCKETS=3Dm
+CONFIG_VSOCKETS_DIAG=3Dm
+CONFIG_VIRTIO_VSOCKETS=3Dm
+CONFIG_VIRTIO_VSOCKETS_COMMON=3Dm
+CONFIG_NETLINK_DIAG=3Dm
+CONFIG_MPLS=3Dy
+CONFIG_NET_MPLS_GSO=3Dy
+CONFIG_MPLS_ROUTING=3Dm
+CONFIG_MPLS_IPTUNNEL=3Dm
+CONFIG_NET_NSH=3Dm
+# CONFIG_HSR is not set
+CONFIG_NET_SWITCHDEV=3Dy
+CONFIG_NET_L3_MASTER_DEV=3Dy
+# CONFIG_QRTR is not set
+# CONFIG_NET_NCSI is not set
+CONFIG_RPS=3Dy
+CONFIG_RFS_ACCEL=3Dy
+CONFIG_XPS=3Dy
+CONFIG_CGROUP_NET_PRIO=3Dy
+CONFIG_CGROUP_NET_CLASSID=3Dy
+CONFIG_NET_RX_BUSY_POLL=3Dy
+CONFIG_BQL=3Dy
+CONFIG_BPF_JIT=3Dy
+# CONFIG_BPF_STREAM_PARSER is not set
+CONFIG_NET_FLOW_LIMIT=3Dy
+
+#
+# Network testing
+#
+CONFIG_NET_PKTGEN=3Dm
+CONFIG_NET_DROP_MONITOR=3Dy
+# end of Network testing
+# end of Networking options
+
+# CONFIG_HAMRADIO is not set
+CONFIG_CAN=3Dm
+CONFIG_CAN_RAW=3Dm
+CONFIG_CAN_BCM=3Dm
+CONFIG_CAN_GW=3Dm
+CONFIG_CAN_J1939=3Dm
+
+#
+# CAN Device Drivers
+#
+CONFIG_CAN_VCAN=3Dm
+# CONFIG_CAN_VXCAN is not set
+CONFIG_CAN_SLCAN=3Dm
+CONFIG_CAN_DEV=3Dm
+CONFIG_CAN_CALC_BITTIMING=3Dy
+CONFIG_CAN_FLEXCAN=3Dm
+# CONFIG_CAN_GRCAN is not set
+CONFIG_CAN_KVASER_PCIEFD=3Dm
+# CONFIG_CAN_XILINXCAN is not set
+# CONFIG_CAN_C_CAN is not set
+# CONFIG_CAN_CC770 is not set
+# CONFIG_CAN_IFI_CANFD is not set
+# CONFIG_CAN_M_CAN is not set
+# CONFIG_CAN_PEAK_PCIEFD is not set
+CONFIG_CAN_SJA1000=3Dm
+CONFIG_CAN_EMS_PCI=3Dm
+CONFIG_CAN_F81601=3Dm
+CONFIG_CAN_KVASER_PCI=3Dm
+CONFIG_CAN_PEAK_PCI=3Dm
+CONFIG_CAN_PEAK_PCIEC=3Dy
+CONFIG_CAN_PLX_PCI=3Dm
+CONFIG_CAN_SJA1000_ISA=3Dm
+# CONFIG_CAN_SJA1000_PLATFORM is not set
+CONFIG_CAN_SOFTING=3Dm
+
+#
+# CAN SPI interfaces
+#
+# CONFIG_CAN_HI311X is not set
+# CONFIG_CAN_MCP251X is not set
+# end of CAN SPI interfaces
+
+#
+# CAN USB interfaces
+#
+CONFIG_CAN_8DEV_USB=3Dm
+CONFIG_CAN_EMS_USB=3Dm
+CONFIG_CAN_ESD_USB2=3Dm
+CONFIG_CAN_GS_USB=3Dm
+CONFIG_CAN_KVASER_USB=3Dm
+# CONFIG_CAN_MCBA_USB is not set
+CONFIG_CAN_PEAK_USB=3Dm
+CONFIG_CAN_UCAN=3Dm
+# end of CAN USB interfaces
+
+# CONFIG_CAN_DEBUG_DEVICES is not set
+# end of CAN Device Drivers
+
+CONFIG_BT=3Dm
+CONFIG_BT_BREDR=3Dy
+CONFIG_BT_RFCOMM=3Dm
+CONFIG_BT_RFCOMM_TTY=3Dy
+CONFIG_BT_BNEP=3Dm
+CONFIG_BT_BNEP_MC_FILTER=3Dy
+CONFIG_BT_BNEP_PROTO_FILTER=3Dy
+CONFIG_BT_HIDP=3Dm
+CONFIG_BT_HS=3Dy
+CONFIG_BT_LE=3Dy
+CONFIG_BT_6LOWPAN=3Dm
+CONFIG_BT_LEDS=3Dy
+# CONFIG_BT_SELFTEST is not set
+CONFIG_BT_DEBUGFS=3Dy
+
+#
+# Bluetooth device drivers
+#
+CONFIG_BT_INTEL=3Dm
+CONFIG_BT_BCM=3Dm
+CONFIG_BT_RTL=3Dm
+CONFIG_BT_QCA=3Dm
+CONFIG_BT_HCIBTUSB=3Dm
+# CONFIG_BT_HCIBTUSB_AUTOSUSPEND is not set
+CONFIG_BT_HCIBTUSB_BCM=3Dy
+CONFIG_BT_HCIBTUSB_MTK=3Dy
+CONFIG_BT_HCIBTUSB_RTL=3Dy
+CONFIG_BT_HCIBTSDIO=3Dm
+CONFIG_BT_HCIUART=3Dm
+CONFIG_BT_HCIUART_SERDEV=3Dy
+CONFIG_BT_HCIUART_H4=3Dy
+# CONFIG_BT_HCIUART_NOKIA is not set
+# CONFIG_BT_HCIUART_BCSP is not set
+CONFIG_BT_HCIUART_ATH3K=3Dy
+CONFIG_BT_HCIUART_LL=3Dy
+CONFIG_BT_HCIUART_3WIRE=3Dy
+CONFIG_BT_HCIUART_INTEL=3Dy
+CONFIG_BT_HCIUART_RTL=3Dy
+CONFIG_BT_HCIUART_QCA=3Dy
+CONFIG_BT_HCIUART_AG6XX=3Dy
+CONFIG_BT_HCIUART_MRVL=3Dy
+# CONFIG_BT_HCIBCM203X is not set
+# CONFIG_BT_HCIBPA10X is not set
+# CONFIG_BT_HCIBFUSB is not set
+# CONFIG_BT_HCIVHCI is not set
+CONFIG_BT_MRVL=3Dm
+CONFIG_BT_MRVL_SDIO=3Dm
+CONFIG_BT_ATH3K=3Dm
+CONFIG_BT_WILINK=3Dm
+CONFIG_BT_MTKSDIO=3Dm
+CONFIG_BT_MTKUART=3Dm
+CONFIG_BT_QCOMSMD=3Dm
+CONFIG_BT_HCIRSI=3Dm
+# end of Bluetooth device drivers
+
+CONFIG_AF_RXRPC=3Dm
+CONFIG_AF_RXRPC_IPV6=3Dy
+# CONFIG_AF_RXRPC_INJECT_LOSS is not set
+# CONFIG_AF_RXRPC_DEBUG is not set
+CONFIG_RXKAD=3Dy
+# CONFIG_AF_KCM is not set
+CONFIG_FIB_RULES=3Dy
+CONFIG_WIRELESS=3Dy
+CONFIG_WIRELESS_EXT=3Dy
+CONFIG_WEXT_CORE=3Dy
+CONFIG_WEXT_PROC=3Dy
+CONFIG_WEXT_SPY=3Dy
+CONFIG_WEXT_PRIV=3Dy
+CONFIG_CFG80211=3Dm
+# CONFIG_NL80211_TESTMODE is not set
+# CONFIG_CFG80211_DEVELOPER_WARNINGS is not set
+# CONFIG_CFG80211_CERTIFICATION_ONUS is not set
+CONFIG_CFG80211_REQUIRE_SIGNED_REGDB=3Dy
+CONFIG_CFG80211_USE_KERNEL_REGDB_KEYS=3Dy
+CONFIG_CFG80211_DEFAULT_PS=3Dy
+# CONFIG_CFG80211_DEBUGFS is not set
+CONFIG_CFG80211_CRDA_SUPPORT=3Dy
+CONFIG_CFG80211_WEXT=3Dy
+CONFIG_CFG80211_WEXT_EXPORT=3Dy
+CONFIG_LIB80211=3Dm
+CONFIG_LIB80211_CRYPT_WEP=3Dm
+CONFIG_LIB80211_CRYPT_CCMP=3Dm
+CONFIG_LIB80211_CRYPT_TKIP=3Dm
+# CONFIG_LIB80211_DEBUG is not set
+CONFIG_MAC80211=3Dm
+CONFIG_MAC80211_HAS_RC=3Dy
+CONFIG_MAC80211_RC_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT=3D"minstrel_ht"
+CONFIG_MAC80211_MESH=3Dy
+CONFIG_MAC80211_LEDS=3Dy
+# CONFIG_MAC80211_DEBUGFS is not set
+# CONFIG_MAC80211_MESSAGE_TRACING is not set
+# CONFIG_MAC80211_DEBUG_MENU is not set
+CONFIG_MAC80211_STA_HASH_MAX_SIZE=3D0
+CONFIG_WIMAX=3Dm
+CONFIG_WIMAX_DEBUG_LEVEL=3D8
+CONFIG_RFKILL=3Dm
+CONFIG_RFKILL_LEDS=3Dy
+CONFIG_RFKILL_INPUT=3Dy
+# CONFIG_RFKILL_GPIO is not set
+CONFIG_NET_9P=3Dm
+CONFIG_NET_9P_VIRTIO=3Dm
+# CONFIG_NET_9P_XEN is not set
+CONFIG_NET_9P_RDMA=3Dm
+# CONFIG_NET_9P_DEBUG is not set
+# CONFIG_CAIF is not set
+CONFIG_CEPH_LIB=3Dm
+# CONFIG_CEPH_LIB_PRETTYDEBUG is not set
+# CONFIG_CEPH_LIB_USE_DNS_RESOLVER is not set
+CONFIG_NFC=3Dm
+CONFIG_NFC_DIGITAL=3Dm
+# CONFIG_NFC_NCI is not set
+# CONFIG_NFC_HCI is not set
+
+#
+# Near Field Communication (NFC) devices
+#
+# CONFIG_NFC_TRF7970A is not set
+CONFIG_NFC_SIM=3Dm
+CONFIG_NFC_PORT100=3Dm
+CONFIG_NFC_PN533=3Dm
+CONFIG_NFC_PN533_USB=3Dm
+# CONFIG_NFC_PN533_I2C is not set
+# CONFIG_NFC_ST95HF is not set
+# end of Near Field Communication (NFC) devices
+
+CONFIG_PSAMPLE=3Dm
+CONFIG_NET_IFE=3Dm
+CONFIG_LWTUNNEL=3Dy
+CONFIG_LWTUNNEL_BPF=3Dy
+CONFIG_DST_CACHE=3Dy
+CONFIG_GRO_CELLS=3Dy
+CONFIG_NET_DEVLINK=3Dy
+CONFIG_PAGE_POOL=3Dy
+CONFIG_FAILOVER=3Dm
+CONFIG_HAVE_EBPF_JIT=3Dy
+
+#
+# Device Drivers
+#
+CONFIG_ARM_AMBA=3Dy
+CONFIG_TEGRA_AHB=3Dy
+CONFIG_HAVE_PCI=3Dy
+CONFIG_PCI=3Dy
+CONFIG_PCI_DOMAINS=3Dy
+CONFIG_PCI_DOMAINS_GENERIC=3Dy
+CONFIG_PCI_SYSCALL=3Dy
+CONFIG_PCIEPORTBUS=3Dy
+CONFIG_HOTPLUG_PCI_PCIE=3Dy
+CONFIG_PCIEAER=3Dy
+CONFIG_PCIEAER_INJECT=3Dm
+# CONFIG_PCIE_ECRC is not set
+CONFIG_PCIEASPM=3Dy
+# CONFIG_PCIEASPM_DEBUG is not set
+CONFIG_PCIEASPM_DEFAULT=3Dy
+# CONFIG_PCIEASPM_POWERSAVE is not set
+# CONFIG_PCIEASPM_POWER_SUPERSAVE is not set
+# CONFIG_PCIEASPM_PERFORMANCE is not set
+CONFIG_PCIE_PME=3Dy
+CONFIG_PCIE_DPC=3Dy
+CONFIG_PCIE_PTM=3Dy
+# CONFIG_PCIE_BW is not set
+CONFIG_PCI_MSI=3Dy
+CONFIG_PCI_MSI_IRQ_DOMAIN=3Dy
+CONFIG_PCI_QUIRKS=3Dy
+# CONFIG_PCI_DEBUG is not set
+CONFIG_PCI_REALLOC_ENABLE_AUTO=3Dy
+CONFIG_PCI_STUB=3Dm
+# CONFIG_PCI_PF_STUB is not set
+CONFIG_PCI_ATS=3Dy
+CONFIG_PCI_ECAM=3Dy
+CONFIG_PCI_BRIDGE_EMUL=3Dy
+CONFIG_PCI_IOV=3Dy
+# CONFIG_PCI_PRI is not set
+# CONFIG_PCI_PASID is not set
+CONFIG_PCI_LABEL=3Dy
+CONFIG_HOTPLUG_PCI=3Dy
+CONFIG_HOTPLUG_PCI_ACPI=3Dy
+CONFIG_HOTPLUG_PCI_ACPI_IBM=3Dm
+CONFIG_HOTPLUG_PCI_CPCI=3Dy
+CONFIG_HOTPLUG_PCI_SHPC=3Dy
+
+#
+# PCI controller drivers
+#
+CONFIG_PCI_AARDVARK=3Dy
+
+#
+# Cadence PCIe controllers support
+#
+# CONFIG_PCIE_CADENCE_HOST is not set
+# end of Cadence PCIe controllers support
+
+# CONFIG_PCI_FTPCI100 is not set
+CONFIG_PCI_TEGRA=3Dy
+CONFIG_PCI_HOST_COMMON=3Dy
+CONFIG_PCI_HOST_GENERIC=3Dy
+# CONFIG_PCIE_XILINX is not set
+CONFIG_PCI_XGENE=3Dy
+CONFIG_PCI_XGENE_MSI=3Dy
+# CONFIG_PCIE_ALTERA is not set
+CONFIG_PCI_HOST_THUNDER_PEM=3Dy
+CONFIG_PCI_HOST_THUNDER_ECAM=3Dy
+CONFIG_PCIE_ROCKCHIP=3Dy
+CONFIG_PCIE_ROCKCHIP_HOST=3Dm
+
+#
+# DesignWare PCI Core Support
+#
+CONFIG_PCIE_DW=3Dy
+CONFIG_PCIE_DW_HOST=3Dy
+# CONFIG_PCIE_DW_PLAT_HOST is not set
+CONFIG_PCI_IMX6=3Dy
+CONFIG_PCI_HISI=3Dy
+CONFIG_PCIE_QCOM=3Dy
+CONFIG_PCIE_ARMADA_8K=3Dy
+CONFIG_PCIE_KIRIN=3Dy
+# CONFIG_PCIE_HISI_STB is not set
+# CONFIG_PCI_MESON is not set
+CONFIG_PCIE_TEGRA194=3Dm
+# CONFIG_PCIE_AL is not set
+# end of DesignWare PCI Core Support
+# end of PCI controller drivers
+
+#
+# PCI Endpoint
+#
+# CONFIG_PCI_ENDPOINT is not set
+# end of PCI Endpoint
+
+#
+# PCI switch controller drivers
+#
+# CONFIG_PCI_SW_SWITCHTEC is not set
+# end of PCI switch controller drivers
+
+# CONFIG_PCCARD is not set
+# CONFIG_RAPIDIO is not set
+
+#
+# Generic Driver Options
+#
+# CONFIG_UEVENT_HELPER is not set
+CONFIG_DEVTMPFS=3Dy
+# CONFIG_DEVTMPFS_MOUNT is not set
+CONFIG_STANDALONE=3Dy
+CONFIG_PREVENT_FIRMWARE_BUILD=3Dy
+
+#
+# Firmware loader
+#
+CONFIG_FW_LOADER=3Dy
+CONFIG_FW_LOADER_PAGED_BUF=3Dy
+CONFIG_EXTRA_FIRMWARE=3D""
+CONFIG_FW_LOADER_USER_HELPER=3Dy
+# CONFIG_FW_LOADER_USER_HELPER_FALLBACK is not set
+CONFIG_FW_LOADER_COMPRESS=3Dy
+# end of Firmware loader
+
+CONFIG_WANT_DEV_COREDUMP=3Dy
+CONFIG_ALLOW_DEV_COREDUMP=3Dy
+CONFIG_DEV_COREDUMP=3Dy
+# CONFIG_DEBUG_DRIVER is not set
+# CONFIG_DEBUG_DEVRES is not set
+# CONFIG_DEBUG_TEST_DRIVER_REMOVE is not set
+CONFIG_HMEM_REPORTING=3Dy
+# CONFIG_TEST_ASYNC_DRIVER_PROBE is not set
+CONFIG_SYS_HYPERVISOR=3Dy
+CONFIG_GENERIC_CPU_AUTOPROBE=3Dy
+CONFIG_GENERIC_CPU_VULNERABILITIES=3Dy
+CONFIG_SOC_BUS=3Dy
+CONFIG_REGMAP=3Dy
+CONFIG_REGMAP_I2C=3Dy
+CONFIG_REGMAP_SPI=3Dy
+CONFIG_REGMAP_SPMI=3Dy
+CONFIG_REGMAP_MMIO=3Dy
+CONFIG_REGMAP_IRQ=3Dy
+CONFIG_REGMAP_SCCB=3Dm
+CONFIG_DMA_SHARED_BUFFER=3Dy
+# CONFIG_DMA_FENCE_TRACE is not set
+CONFIG_GENERIC_ARCH_TOPOLOGY=3Dy
+# end of Generic Driver Options
+
+#
+# Bus devices
+#
+# CONFIG_BRCMSTB_GISB_ARB is not set
+CONFIG_MOXTET=3Dm
+# CONFIG_HISILICON_LPC is not set
+# CONFIG_IMX_WEIM is not set
+CONFIG_QCOM_EBI2=3Dy
+# CONFIG_SIMPLE_PM_BUS is not set
+CONFIG_SUN50I_DE2_BUS=3Dy
+CONFIG_SUNXI_RSB=3Dy
+CONFIG_TEGRA_ACONNECT=3Dy
+# CONFIG_TEGRA_GMI is not set
+CONFIG_VEXPRESS_CONFIG=3Dy
+# end of Bus devices
+
+CONFIG_CONNECTOR=3Dy
+CONFIG_PROC_EVENTS=3Dy
+CONFIG_GNSS=3Dm
+CONFIG_GNSS_SERIAL=3Dm
+CONFIG_GNSS_MTK_SERIAL=3Dm
+CONFIG_GNSS_SIRF_SERIAL=3Dm
+CONFIG_GNSS_UBX_SERIAL=3Dm
+CONFIG_MTD=3Dm
+# CONFIG_MTD_TESTS is not set
+
+#
+# Partition parsers
+#
+CONFIG_MTD_AR7_PARTS=3Dm
+# CONFIG_MTD_CMDLINE_PARTS is not set
+CONFIG_MTD_OF_PARTS=3Dm
+# CONFIG_MTD_AFS_PARTS is not set
+# CONFIG_MTD_REDBOOT_PARTS is not set
+# end of Partition parsers
+
+#
+# User Modules And Translation Layers
+#
+CONFIG_MTD_BLKDEVS=3Dm
+CONFIG_MTD_BLOCK=3Dm
+CONFIG_MTD_BLOCK_RO=3Dm
+# CONFIG_FTL is not set
+# CONFIG_NFTL is not set
+# CONFIG_INFTL is not set
+CONFIG_RFD_FTL=3Dm
+CONFIG_SSFDC=3Dm
+# CONFIG_SM_FTL is not set
+CONFIG_MTD_OOPS=3Dm
+CONFIG_MTD_SWAP=3Dm
+# CONFIG_MTD_PARTITIONED_MASTER is not set
+
+#
+# RAM/ROM/Flash chip drivers
+#
+CONFIG_MTD_CFI=3Dm
+# CONFIG_MTD_JEDECPROBE is not set
+CONFIG_MTD_GEN_PROBE=3Dm
+# CONFIG_MTD_CFI_ADV_OPTIONS is not set
+CONFIG_MTD_MAP_BANK_WIDTH_1=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_2=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_4=3Dy
+CONFIG_MTD_CFI_I1=3Dy
+CONFIG_MTD_CFI_I2=3Dy
+CONFIG_MTD_CFI_INTELEXT=3Dm
+CONFIG_MTD_CFI_AMDSTD=3Dm
+CONFIG_MTD_CFI_STAA=3Dm
+CONFIG_MTD_CFI_UTIL=3Dm
+CONFIG_MTD_RAM=3Dm
+# CONFIG_MTD_ROM is not set
+# CONFIG_MTD_ABSENT is not set
+# end of RAM/ROM/Flash chip drivers
+
+#
+# Mapping drivers for chip access
+#
+CONFIG_MTD_COMPLEX_MAPPINGS=3Dy
+# CONFIG_MTD_PHYSMAP is not set
+CONFIG_MTD_PCI=3Dm
+CONFIG_MTD_INTEL_VR_NOR=3Dm
+CONFIG_MTD_PLATRAM=3Dm
+# end of Mapping drivers for chip access
+
+#
+# Self-contained MTD device drivers
+#
+# CONFIG_MTD_PMC551 is not set
+CONFIG_MTD_DATAFLASH=3Dm
+# CONFIG_MTD_DATAFLASH_WRITE_VERIFY is not set
+# CONFIG_MTD_DATAFLASH_OTP is not set
+# CONFIG_MTD_MCHP23K256 is not set
+CONFIG_MTD_SST25L=3Dm
+# CONFIG_MTD_SLRAM is not set
+# CONFIG_MTD_PHRAM is not set
+# CONFIG_MTD_MTDRAM is not set
+# CONFIG_MTD_BLOCK2MTD is not set
+
+#
+# Disk-On-Chip Device Drivers
+#
+# CONFIG_MTD_DOCG3 is not set
+# end of Self-contained MTD device drivers
+
+CONFIG_MTD_NAND_CORE=3Dm
+CONFIG_MTD_ONENAND=3Dm
+CONFIG_MTD_ONENAND_VERIFY_WRITE=3Dy
+# CONFIG_MTD_ONENAND_GENERIC is not set
+# CONFIG_MTD_ONENAND_OTP is not set
+CONFIG_MTD_ONENAND_2X_PROGRAM=3Dy
+CONFIG_MTD_NAND_ECC_SW_HAMMING=3Dm
+# CONFIG_MTD_NAND_ECC_SW_HAMMING_SMC is not set
+CONFIG_MTD_RAW_NAND=3Dm
+# CONFIG_MTD_NAND_ECC_SW_BCH is not set
+
+#
+# Raw/parallel NAND flash controllers
+#
+CONFIG_MTD_NAND_DENALI=3Dm
+# CONFIG_MTD_NAND_DENALI_PCI is not set
+CONFIG_MTD_NAND_DENALI_DT=3Dm
+# CONFIG_MTD_NAND_CAFE is not set
+CONFIG_MTD_NAND_MARVELL=3Dm
+CONFIG_MTD_NAND_BRCMNAND=3Dm
+CONFIG_MTD_NAND_MXC=3Dm
+CONFIG_MTD_NAND_SUNXI=3Dm
+CONFIG_MTD_NAND_HISI504=3Dm
+CONFIG_MTD_NAND_QCOM=3Dm
+CONFIG_MTD_NAND_MXIC=3Dm
+CONFIG_MTD_NAND_TEGRA=3Dm
+CONFIG_MTD_NAND_MESON=3Dm
+CONFIG_MTD_NAND_GPIO=3Dm
+CONFIG_MTD_NAND_PLATFORM=3Dm
+
+#
+# Misc
+#
+CONFIG_MTD_SM_COMMON=3Dm
+CONFIG_MTD_NAND_NANDSIM=3Dm
+CONFIG_MTD_NAND_RICOH=3Dm
+CONFIG_MTD_NAND_DISKONCHIP=3Dm
+# CONFIG_MTD_NAND_DISKONCHIP_PROBE_ADVANCED is not set
+CONFIG_MTD_NAND_DISKONCHIP_PROBE_ADDRESS=3D0
+# CONFIG_MTD_NAND_DISKONCHIP_BBTWRITE is not set
+CONFIG_MTD_SPI_NAND=3Dm
+
+#
+# LPDDR & LPDDR2 PCM memory drivers
+#
+CONFIG_MTD_LPDDR=3Dm
+CONFIG_MTD_QINFO_PROBE=3Dm
+# end of LPDDR & LPDDR2 PCM memory drivers
+
+CONFIG_MTD_SPI_NOR=3Dm
+CONFIG_MTD_SPI_NOR_USE_4K_SECTORS=3Dy
+# CONFIG_SPI_CADENCE_QUADSPI is not set
+CONFIG_SPI_HISI_SFC=3Dm
+# CONFIG_SPI_MTK_QUADSPI is not set
+CONFIG_MTD_UBI=3Dm
+CONFIG_MTD_UBI_WL_THRESHOLD=3D4096
+CONFIG_MTD_UBI_BEB_LIMIT=3D20
+# CONFIG_MTD_UBI_FASTMAP is not set
+# CONFIG_MTD_UBI_GLUEBI is not set
+CONFIG_MTD_UBI_BLOCK=3Dy
+CONFIG_MTD_HYPERBUS=3Dm
+CONFIG_HBMC_AM654=3Dm
+CONFIG_DTC=3Dy
+CONFIG_OF=3Dy
+# CONFIG_OF_UNITTEST is not set
+CONFIG_OF_FLATTREE=3Dy
+CONFIG_OF_EARLY_FLATTREE=3Dy
+CONFIG_OF_KOBJ=3Dy
+CONFIG_OF_ADDRESS=3Dy
+CONFIG_OF_IRQ=3Dy
+CONFIG_OF_NET=3Dy
+CONFIG_OF_MDIO=3Dm
+CONFIG_OF_RESERVED_MEM=3Dy
+# CONFIG_OF_OVERLAY is not set
+CONFIG_OF_NUMA=3Dy
+CONFIG_PARPORT=3Dm
+# CONFIG_PARPORT_AX88796 is not set
+CONFIG_PARPORT_1284=3Dy
+CONFIG_PARPORT_NOT_PC=3Dy
+CONFIG_PNP=3Dy
+# CONFIG_PNP_DEBUG_MESSAGES is not set
+
+#
+# Protocols
+#
+CONFIG_PNPACPI=3Dy
+CONFIG_BLK_DEV=3Dy
+CONFIG_BLK_DEV_NULL_BLK=3Dm
+CONFIG_CDROM=3Dm
+CONFIG_BLK_DEV_PCIESSD_MTIP32XX=3Dm
+CONFIG_ZRAM=3Dm
+# CONFIG_ZRAM_WRITEBACK is not set
+# CONFIG_ZRAM_MEMORY_TRACKING is not set
+# CONFIG_BLK_DEV_UMEM is not set
+CONFIG_BLK_DEV_LOOP=3Dm
+CONFIG_BLK_DEV_LOOP_MIN_COUNT=3D8
+# CONFIG_BLK_DEV_CRYPTOLOOP is not set
+CONFIG_BLK_DEV_DRBD=3Dm
+# CONFIG_DRBD_FAULT_INJECTION is not set
+CONFIG_BLK_DEV_NBD=3Dm
+CONFIG_BLK_DEV_SKD=3Dm
+# CONFIG_BLK_DEV_SX8 is not set
+CONFIG_BLK_DEV_RAM=3Dm
+CONFIG_BLK_DEV_RAM_COUNT=3D16
+CONFIG_BLK_DEV_RAM_SIZE=3D16384
+# CONFIG_CDROM_PKTCDVD is not set
+CONFIG_ATA_OVER_ETH=3Dm
+CONFIG_XEN_BLKDEV_FRONTEND=3Dm
+CONFIG_XEN_BLKDEV_BACKEND=3Dm
+CONFIG_VIRTIO_BLK=3Dm
+# CONFIG_VIRTIO_BLK_SCSI is not set
+CONFIG_BLK_DEV_RBD=3Dm
+# CONFIG_BLK_DEV_RSXX is not set
+
+#
+# NVME Support
+#
+CONFIG_NVME_CORE=3Dm
+CONFIG_BLK_DEV_NVME=3Dm
+CONFIG_NVME_MULTIPATH=3Dy
+CONFIG_NVME_FABRICS=3Dm
+CONFIG_NVME_RDMA=3Dm
+CONFIG_NVME_FC=3Dm
+CONFIG_NVME_TCP=3Dm
+CONFIG_NVME_TARGET=3Dm
+# CONFIG_NVME_TARGET_LOOP is not set
+CONFIG_NVME_TARGET_RDMA=3Dm
+CONFIG_NVME_TARGET_FC=3Dm
+# CONFIG_NVME_TARGET_FCLOOP is not set
+CONFIG_NVME_TARGET_TCP=3Dm
+# end of NVME Support
+
+#
+# Misc devices
+#
+CONFIG_SENSORS_LIS3LV02D=3Dm
+CONFIG_AD525X_DPOT=3Dm
+CONFIG_AD525X_DPOT_I2C=3Dm
+CONFIG_AD525X_DPOT_SPI=3Dm
+# CONFIG_DUMMY_IRQ is not set
+# CONFIG_PHANTOM is not set
+CONFIG_TIFM_CORE=3Dm
+CONFIG_TIFM_7XX1=3Dm
+CONFIG_ICS932S401=3Dm
+CONFIG_ENCLOSURE_SERVICES=3Dm
+# CONFIG_HP_ILO is not set
+CONFIG_QCOM_COINCELL=3Dm
+# CONFIG_QCOM_FASTRPC is not set
+CONFIG_APDS9802ALS=3Dm
+CONFIG_ISL29003=3Dm
+CONFIG_ISL29020=3Dm
+CONFIG_SENSORS_TSL2550=3Dm
+CONFIG_SENSORS_BH1770=3Dm
+CONFIG_SENSORS_APDS990X=3Dm
+CONFIG_HMC6352=3Dm
+CONFIG_DS1682=3Dm
+# CONFIG_LATTICE_ECP3_CONFIG is not set
+CONFIG_SRAM=3Dy
+CONFIG_VEXPRESS_SYSCFG=3Dy
+# CONFIG_PCI_ENDPOINT_TEST is not set
+CONFIG_XILINX_SDFEC=3Dm
+CONFIG_MISC_RTSX=3Dm
+CONFIG_PVPANIC=3Dm
+CONFIG_C2PORT=3Dm
+
+#
+# EEPROM support
+#
+CONFIG_EEPROM_AT24=3Dm
+CONFIG_EEPROM_AT25=3Dm
+CONFIG_EEPROM_LEGACY=3Dm
+CONFIG_EEPROM_MAX6875=3Dm
+CONFIG_EEPROM_93CX6=3Dm
+# CONFIG_EEPROM_93XX46 is not set
+# CONFIG_EEPROM_IDT_89HPESX is not set
+# CONFIG_EEPROM_EE1004 is not set
+# end of EEPROM support
+
+CONFIG_CB710_CORE=3Dm
+# CONFIG_CB710_DEBUG is not set
+CONFIG_CB710_DEBUG_ASSUMPTIONS=3Dy
+
+#
+# Texas Instruments shared transport line discipline
+#
+CONFIG_TI_ST=3Dm
+# end of Texas Instruments shared transport line discipline
+
+CONFIG_SENSORS_LIS3_I2C=3Dm
+CONFIG_ALTERA_STAPL=3Dm
+
+#
+# Intel MIC & related support
+#
+
+#
+# Intel MIC Bus Driver
+#
+
+#
+# SCIF Bus Driver
+#
+
+#
+# VOP Bus Driver
+#
+# CONFIG_VOP_BUS is not set
+
+#
+# Intel MIC Host Driver
+#
+
+#
+# Intel MIC Card Driver
+#
+
+#
+# SCIF Driver
+#
+
+#
+# Intel MIC Coprocessor State Management (COSM) Drivers
+#
+
+#
+# VOP Driver
+#
+# end of Intel MIC & related support
+
+# CONFIG_GENWQE is not set
+# CONFIG_ECHO is not set
+CONFIG_MISC_ALCOR_PCI=3Dm
+CONFIG_MISC_RTSX_PCI=3Dm
+CONFIG_MISC_RTSX_USB=3Dm
+CONFIG_HABANA_AI=3Dm
+# end of Misc devices
+
+#
+# SCSI device support
+#
+CONFIG_SCSI_MOD=3Dm
+CONFIG_RAID_ATTRS=3Dm
+CONFIG_SCSI=3Dm
+CONFIG_SCSI_DMA=3Dy
+CONFIG_SCSI_NETLINK=3Dy
+# CONFIG_SCSI_PROC_FS is not set
+
+#
+# SCSI support type (disk, tape, CD-ROM)
+#
+CONFIG_BLK_DEV_SD=3Dm
+CONFIG_CHR_DEV_ST=3Dm
+CONFIG_BLK_DEV_SR=3Dm
+CONFIG_BLK_DEV_SR_VENDOR=3Dy
+CONFIG_CHR_DEV_SG=3Dm
+CONFIG_CHR_DEV_SCH=3Dm
+CONFIG_SCSI_ENCLOSURE=3Dm
+CONFIG_SCSI_CONSTANTS=3Dy
+CONFIG_SCSI_LOGGING=3Dy
+CONFIG_SCSI_SCAN_ASYNC=3Dy
+
+#
+# SCSI Transports
+#
+CONFIG_SCSI_SPI_ATTRS=3Dm
+CONFIG_SCSI_FC_ATTRS=3Dm
+CONFIG_SCSI_ISCSI_ATTRS=3Dm
+CONFIG_SCSI_SAS_ATTRS=3Dm
+CONFIG_SCSI_SAS_LIBSAS=3Dm
+CONFIG_SCSI_SAS_ATA=3Dy
+CONFIG_SCSI_SAS_HOST_SMP=3Dy
+CONFIG_SCSI_SRP_ATTRS=3Dm
+# end of SCSI Transports
+
+CONFIG_SCSI_LOWLEVEL=3Dy
+CONFIG_ISCSI_TCP=3Dm
+CONFIG_ISCSI_BOOT_SYSFS=3Dm
+CONFIG_SCSI_CXGB3_ISCSI=3Dm
+CONFIG_SCSI_CXGB4_ISCSI=3Dm
+CONFIG_SCSI_BNX2_ISCSI=3Dm
+CONFIG_SCSI_BNX2X_FCOE=3Dm
+CONFIG_BE2ISCSI=3Dm
+CONFIG_BLK_DEV_3W_XXXX_RAID=3Dm
+CONFIG_SCSI_HPSA=3Dm
+CONFIG_SCSI_3W_9XXX=3Dm
+CONFIG_SCSI_3W_SAS=3Dm
+CONFIG_SCSI_ACARD=3Dm
+CONFIG_SCSI_AACRAID=3Dm
+CONFIG_SCSI_AIC7XXX=3Dm
+CONFIG_AIC7XXX_CMDS_PER_DEVICE=3D32
+CONFIG_AIC7XXX_RESET_DELAY_MS=3D15000
+CONFIG_AIC7XXX_DEBUG_ENABLE=3Dy
+CONFIG_AIC7XXX_DEBUG_MASK=3D0
+CONFIG_AIC7XXX_REG_PRETTY_PRINT=3Dy
+CONFIG_SCSI_AIC79XX=3Dm
+CONFIG_AIC79XX_CMDS_PER_DEVICE=3D32
+CONFIG_AIC79XX_RESET_DELAY_MS=3D15000
+CONFIG_AIC79XX_DEBUG_ENABLE=3Dy
+CONFIG_AIC79XX_DEBUG_MASK=3D0
+CONFIG_AIC79XX_REG_PRETTY_PRINT=3Dy
+CONFIG_SCSI_AIC94XX=3Dm
+# CONFIG_AIC94XX_DEBUG is not set
+CONFIG_SCSI_HISI_SAS=3Dm
+CONFIG_SCSI_HISI_SAS_PCI=3Dm
+CONFIG_SCSI_MVSAS=3Dm
+# CONFIG_SCSI_MVSAS_DEBUG is not set
+# CONFIG_SCSI_MVSAS_TASKLET is not set
+CONFIG_SCSI_MVUMI=3Dm
+CONFIG_SCSI_ADVANSYS=3Dm
+# CONFIG_SCSI_ARCMSR is not set
+CONFIG_SCSI_ESAS2R=3Dm
+# CONFIG_MEGARAID_NEWGEN is not set
+# CONFIG_MEGARAID_LEGACY is not set
+CONFIG_MEGARAID_SAS=3Dm
+CONFIG_SCSI_MPT3SAS=3Dm
+CONFIG_SCSI_MPT2SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT3SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT2SAS=3Dm
+CONFIG_SCSI_SMARTPQI=3Dm
+CONFIG_SCSI_UFSHCD=3Dm
+CONFIG_SCSI_UFSHCD_PCI=3Dm
+# CONFIG_SCSI_UFS_DWC_TC_PCI is not set
+# CONFIG_SCSI_UFSHCD_PLATFORM is not set
+# CONFIG_SCSI_UFS_BSG is not set
+CONFIG_SCSI_HPTIOP=3Dm
+# CONFIG_SCSI_MYRB is not set
+# CONFIG_SCSI_MYRS is not set
+CONFIG_XEN_SCSI_FRONTEND=3Dm
+CONFIG_LIBFC=3Dm
+CONFIG_LIBFCOE=3Dm
+CONFIG_FCOE=3Dm
+CONFIG_SCSI_SNIC=3Dm
+# CONFIG_SCSI_SNIC_DEBUG_FS is not set
+CONFIG_SCSI_DMX3191D=3Dm
+CONFIG_SCSI_FDOMAIN=3Dm
+CONFIG_SCSI_FDOMAIN_PCI=3Dm
+# CONFIG_SCSI_GDTH is not set
+# CONFIG_SCSI_IPS is not set
+# CONFIG_SCSI_INITIO is not set
+# CONFIG_SCSI_INIA100 is not set
+CONFIG_SCSI_STEX=3Dm
+CONFIG_SCSI_SYM53C8XX_2=3Dm
+CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE=3D1
+CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS=3D16
+CONFIG_SCSI_SYM53C8XX_MAX_TAGS=3D64
+CONFIG_SCSI_SYM53C8XX_MMIO=3Dy
+# CONFIG_SCSI_IPR is not set
+# CONFIG_SCSI_QLOGIC_1280 is not set
+CONFIG_SCSI_QLA_FC=3Dm
+CONFIG_TCM_QLA2XXX=3Dm
+# CONFIG_TCM_QLA2XXX_DEBUG is not set
+CONFIG_SCSI_QLA_ISCSI=3Dm
+# CONFIG_QEDI is not set
+# CONFIG_QEDF is not set
+CONFIG_SCSI_LPFC=3Dm
+# CONFIG_SCSI_LPFC_DEBUG_FS is not set
+# CONFIG_SCSI_DC395x is not set
+# CONFIG_SCSI_AM53C974 is not set
+CONFIG_SCSI_WD719X=3Dm
+# CONFIG_SCSI_DEBUG is not set
+CONFIG_SCSI_PMCRAID=3Dm
+CONFIG_SCSI_PM8001=3Dm
+CONFIG_SCSI_BFA_FC=3Dm
+CONFIG_SCSI_VIRTIO=3Dm
+CONFIG_SCSI_CHELSIO_FCOE=3Dm
+CONFIG_SCSI_DH=3Dy
+CONFIG_SCSI_DH_RDAC=3Dm
+CONFIG_SCSI_DH_HP_SW=3Dm
+CONFIG_SCSI_DH_EMC=3Dm
+CONFIG_SCSI_DH_ALUA=3Dm
+# end of SCSI device support
+
+CONFIG_HAVE_PATA_PLATFORM=3Dy
+CONFIG_ATA=3Dm
+CONFIG_ATA_VERBOSE_ERROR=3Dy
+CONFIG_ATA_ACPI=3Dy
+CONFIG_SATA_ZPODD=3Dy
+CONFIG_SATA_PMP=3Dy
+
+#
+# Controllers with non-SFF native interface
+#
+CONFIG_SATA_AHCI=3Dm
+CONFIG_SATA_MOBILE_LPM_POLICY=3D0
+CONFIG_SATA_AHCI_PLATFORM=3Dm
+CONFIG_AHCI_IMX=3Dm
+# CONFIG_AHCI_CEVA is not set
+CONFIG_AHCI_MVEBU=3Dm
+# CONFIG_AHCI_SUNXI is not set
+CONFIG_AHCI_TEGRA=3Dm
+CONFIG_AHCI_XGENE=3Dm
+# CONFIG_AHCI_QORIQ is not set
+CONFIG_SATA_AHCI_SEATTLE=3Dm
+# CONFIG_SATA_INIC162X is not set
+CONFIG_SATA_ACARD_AHCI=3Dm
+CONFIG_SATA_SIL24=3Dm
+CONFIG_ATA_SFF=3Dy
+
+#
+# SFF controllers with custom DMA interface
+#
+CONFIG_PDC_ADMA=3Dm
+CONFIG_SATA_QSTOR=3Dm
+CONFIG_SATA_SX4=3Dm
+CONFIG_ATA_BMDMA=3Dy
+
+#
+# SATA SFF controllers with BMDMA
+#
+CONFIG_ATA_PIIX=3Dm
+# CONFIG_SATA_DWC is not set
+CONFIG_SATA_MV=3Dm
+CONFIG_SATA_NV=3Dm
+CONFIG_SATA_PROMISE=3Dm
+CONFIG_SATA_SIL=3Dm
+CONFIG_SATA_SIS=3Dm
+CONFIG_SATA_SVW=3Dm
+CONFIG_SATA_ULI=3Dm
+CONFIG_SATA_VIA=3Dm
+CONFIG_SATA_VITESSE=3Dm
+
+#
+# PATA SFF controllers with BMDMA
+#
+# CONFIG_PATA_ALI is not set
+# CONFIG_PATA_AMD is not set
+CONFIG_PATA_ARTOP=3Dm
+# CONFIG_PATA_ATIIXP is not set
+CONFIG_PATA_ATP867X=3Dm
+CONFIG_PATA_CMD64X=3Dm
+# CONFIG_PATA_CYPRESS is not set
+# CONFIG_PATA_EFAR is not set
+# CONFIG_PATA_HPT366 is not set
+# CONFIG_PATA_HPT37X is not set
+# CONFIG_PATA_HPT3X2N is not set
+# CONFIG_PATA_HPT3X3 is not set
+# CONFIG_PATA_IMX is not set
+CONFIG_PATA_IT8213=3Dm
+CONFIG_PATA_IT821X=3Dm
+CONFIG_PATA_JMICRON=3Dm
+CONFIG_PATA_MARVELL=3Dm
+# CONFIG_PATA_NETCELL is not set
+CONFIG_PATA_NINJA32=3Dm
+# CONFIG_PATA_NS87415 is not set
+# CONFIG_PATA_OLDPIIX is not set
+# CONFIG_PATA_OPTIDMA is not set
+# CONFIG_PATA_PDC2027X is not set
+# CONFIG_PATA_PDC_OLD is not set
+# CONFIG_PATA_RADISYS is not set
+CONFIG_PATA_RDC=3Dm
+CONFIG_PATA_SCH=3Dm
+# CONFIG_PATA_SERVERWORKS is not set
+# CONFIG_PATA_SIL680 is not set
+CONFIG_PATA_SIS=3Dm
+CONFIG_PATA_TOSHIBA=3Dm
+# CONFIG_PATA_TRIFLEX is not set
+# CONFIG_PATA_VIA is not set
+# CONFIG_PATA_WINBOND is not set
+
+#
+# PIO-only SFF controllers
+#
+# CONFIG_PATA_CMD640_PCI is not set
+# CONFIG_PATA_MPIIX is not set
+# CONFIG_PATA_NS87410 is not set
+# CONFIG_PATA_OPTI is not set
+# CONFIG_PATA_PLATFORM is not set
+# CONFIG_PATA_RZ1000 is not set
+
+#
+# Generic fallback / legacy drivers
+#
+# CONFIG_PATA_ACPI is not set
+CONFIG_ATA_GENERIC=3Dm
+# CONFIG_PATA_LEGACY is not set
+CONFIG_MD=3Dy
+CONFIG_BLK_DEV_MD=3Dm
+CONFIG_MD_LINEAR=3Dm
+CONFIG_MD_RAID0=3Dm
+CONFIG_MD_RAID1=3Dm
+CONFIG_MD_RAID10=3Dm
+CONFIG_MD_RAID456=3Dm
+CONFIG_MD_MULTIPATH=3Dm
+CONFIG_MD_FAULTY=3Dm
+# CONFIG_MD_CLUSTER is not set
+CONFIG_BCACHE=3Dm
+# CONFIG_BCACHE_DEBUG is not set
+# CONFIG_BCACHE_CLOSURES_DEBUG is not set
+CONFIG_BLK_DEV_DM_BUILTIN=3Dy
+CONFIG_BLK_DEV_DM=3Dm
+# CONFIG_DM_DEBUG is not set
+CONFIG_DM_BUFIO=3Dm
+# CONFIG_DM_DEBUG_BLOCK_MANAGER_LOCKING is not set
+CONFIG_DM_BIO_PRISON=3Dm
+CONFIG_DM_PERSISTENT_DATA=3Dm
+# CONFIG_DM_UNSTRIPED is not set
+CONFIG_DM_CRYPT=3Dm
+CONFIG_DM_SNAPSHOT=3Dm
+CONFIG_DM_THIN_PROVISIONING=3Dm
+CONFIG_DM_CACHE=3Dm
+CONFIG_DM_CACHE_SMQ=3Dm
+CONFIG_DM_WRITECACHE=3Dm
+CONFIG_DM_ERA=3Dm
+CONFIG_DM_CLONE=3Dm
+CONFIG_DM_MIRROR=3Dm
+CONFIG_DM_LOG_USERSPACE=3Dm
+CONFIG_DM_RAID=3Dm
+CONFIG_DM_ZERO=3Dm
+CONFIG_DM_MULTIPATH=3Dm
+CONFIG_DM_MULTIPATH_QL=3Dm
+CONFIG_DM_MULTIPATH_ST=3Dm
+CONFIG_DM_DELAY=3Dm
+CONFIG_DM_DUST=3Dm
+CONFIG_DM_UEVENT=3Dy
+CONFIG_DM_FLAKEY=3Dm
+CONFIG_DM_VERITY=3Dm
+CONFIG_DM_VERITY_VERIFY_ROOTHASH_SIG=3Dy
+# CONFIG_DM_VERITY_FEC is not set
+CONFIG_DM_SWITCH=3Dm
+CONFIG_DM_LOG_WRITES=3Dm
+# CONFIG_DM_INTEGRITY is not set
+CONFIG_TARGET_CORE=3Dm
+CONFIG_TCM_IBLOCK=3Dm
+CONFIG_TCM_FILEIO=3Dm
+CONFIG_TCM_PSCSI=3Dm
+CONFIG_TCM_USER2=3Dm
+CONFIG_LOOPBACK_TARGET=3Dm
+CONFIG_TCM_FC=3Dm
+CONFIG_ISCSI_TARGET=3Dm
+CONFIG_ISCSI_TARGET_CXGB4=3Dm
+CONFIG_SBP_TARGET=3Dm
+CONFIG_FUSION=3Dy
+CONFIG_FUSION_SPI=3Dm
+CONFIG_FUSION_FC=3Dm
+CONFIG_FUSION_SAS=3Dm
+CONFIG_FUSION_MAX_SGE=3D128
+CONFIG_FUSION_CTL=3Dm
+# CONFIG_FUSION_LOGGING is not set
+
+#
+# IEEE 1394 (FireWire) support
+#
+CONFIG_FIREWIRE=3Dm
+CONFIG_FIREWIRE_OHCI=3Dm
+CONFIG_FIREWIRE_SBP2=3Dm
+CONFIG_FIREWIRE_NET=3Dm
+CONFIG_FIREWIRE_NOSY=3Dm
+# end of IEEE 1394 (FireWire) support
+
+CONFIG_NETDEVICES=3Dy
+CONFIG_MII=3Dm
+CONFIG_NET_CORE=3Dy
+CONFIG_BONDING=3Dm
+CONFIG_DUMMY=3Dm
+CONFIG_EQUALIZER=3Dm
+# CONFIG_NET_FC is not set
+CONFIG_IFB=3Dm
+CONFIG_NET_TEAM=3Dm
+CONFIG_NET_TEAM_MODE_BROADCAST=3Dm
+CONFIG_NET_TEAM_MODE_ROUNDROBIN=3Dm
+CONFIG_NET_TEAM_MODE_RANDOM=3Dm
+CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=3Dm
+CONFIG_NET_TEAM_MODE_LOADBALANCE=3Dm
+CONFIG_MACVLAN=3Dm
+CONFIG_MACVTAP=3Dm
+CONFIG_IPVLAN_L3S=3Dy
+CONFIG_IPVLAN=3Dm
+CONFIG_IPVTAP=3Dm
+CONFIG_VXLAN=3Dm
+CONFIG_GENEVE=3Dm
+CONFIG_GTP=3Dm
+CONFIG_MACSEC=3Dm
+CONFIG_NETCONSOLE=3Dm
+CONFIG_NETCONSOLE_DYNAMIC=3Dy
+CONFIG_NETPOLL=3Dy
+CONFIG_NET_POLL_CONTROLLER=3Dy
+CONFIG_TUN=3Dm
+CONFIG_TAP=3Dm
+# CONFIG_TUN_VNET_CROSS_LE is not set
+CONFIG_VETH=3Dm
+CONFIG_VIRTIO_NET=3Dm
+CONFIG_NLMON=3Dm
+CONFIG_NET_VRF=3Dm
+# CONFIG_VSOCKMON is not set
+# CONFIG_ARCNET is not set
+CONFIG_ATM_DRIVERS=3Dy
+CONFIG_ATM_DUMMY=3Dm
+# CONFIG_ATM_TCP is not set
+# CONFIG_ATM_LANAI is not set
+# CONFIG_ATM_ENI is not set
+CONFIG_ATM_NICSTAR=3Dm
+CONFIG_ATM_NICSTAR_USE_SUNI=3Dy
+CONFIG_ATM_NICSTAR_USE_IDT77105=3Dy
+# CONFIG_ATM_IDT77252 is not set
+CONFIG_ATM_IA=3Dm
+# CONFIG_ATM_IA_DEBUG is not set
+CONFIG_ATM_FORE200E=3Dm
+# CONFIG_ATM_FORE200E_USE_TASKLET is not set
+CONFIG_ATM_FORE200E_TX_RETRY=3D16
+CONFIG_ATM_FORE200E_DEBUG=3D0
+# CONFIG_ATM_HE is not set
+CONFIG_ATM_SOLOS=3Dm
+
+#
+# CAIF transport drivers
+#
+
+#
+# Distributed Switch Architecture drivers
+#
+# CONFIG_B53 is not set
+# CONFIG_NET_DSA_BCM_SF2 is not set
+# CONFIG_NET_DSA_LOOP is not set
+# CONFIG_NET_DSA_LANTIQ_GSWIP is not set
+# CONFIG_NET_DSA_MT7530 is not set
+CONFIG_NET_DSA_MV88E6060=3Dm
+# CONFIG_NET_DSA_MICROCHIP_KSZ9477 is not set
+# CONFIG_NET_DSA_MICROCHIP_KSZ8795 is not set
+CONFIG_NET_DSA_MV88E6XXX=3Dm
+CONFIG_NET_DSA_MV88E6XXX_GLOBAL2=3Dy
+# CONFIG_NET_DSA_MV88E6XXX_PTP is not set
+CONFIG_NET_DSA_SJA1105=3Dm
+CONFIG_NET_DSA_SJA1105_PTP=3Dy
+# CONFIG_NET_DSA_SJA1105_TAS is not set
+# CONFIG_NET_DSA_QCA8K is not set
+CONFIG_NET_DSA_REALTEK_SMI=3Dm
+# CONFIG_NET_DSA_SMSC_LAN9303_I2C is not set
+# CONFIG_NET_DSA_SMSC_LAN9303_MDIO is not set
+CONFIG_NET_DSA_VITESSE_VSC73XX=3Dm
+CONFIG_NET_DSA_VITESSE_VSC73XX_SPI=3Dm
+CONFIG_NET_DSA_VITESSE_VSC73XX_PLATFORM=3Dm
+# end of Distributed Switch Architecture drivers
+
+CONFIG_ETHERNET=3Dy
+CONFIG_MDIO=3Dm
+CONFIG_NET_VENDOR_3COM=3Dy
+CONFIG_VORTEX=3Dm
+CONFIG_TYPHOON=3Dm
+CONFIG_NET_VENDOR_ADAPTEC=3Dy
+CONFIG_ADAPTEC_STARFIRE=3Dm
+CONFIG_NET_VENDOR_AGERE=3Dy
+CONFIG_ET131X=3Dm
+CONFIG_NET_VENDOR_ALACRITECH=3Dy
+# CONFIG_SLICOSS is not set
+CONFIG_NET_VENDOR_ALLWINNER=3Dy
+# CONFIG_SUN4I_EMAC is not set
+CONFIG_NET_VENDOR_ALTEON=3Dy
+CONFIG_ACENIC=3Dm
+# CONFIG_ACENIC_OMIT_TIGON_I is not set
+# CONFIG_ALTERA_TSE is not set
+CONFIG_NET_VENDOR_AMAZON=3Dy
+CONFIG_ENA_ETHERNET=3Dm
+CONFIG_NET_VENDOR_AMD=3Dy
+# CONFIG_AMD8111_ETH is not set
+CONFIG_PCNET32=3Dm
+CONFIG_AMD_XGBE=3Dm
+# CONFIG_AMD_XGBE_DCB is not set
+CONFIG_NET_XGENE=3Dm
+CONFIG_NET_XGENE_V2=3Dm
+CONFIG_NET_VENDOR_AQUANTIA=3Dy
+CONFIG_AQTION=3Dm
+# CONFIG_NET_VENDOR_ARC is not set
+CONFIG_NET_VENDOR_ATHEROS=3Dy
+CONFIG_ATL2=3Dm
+CONFIG_ATL1=3Dm
+CONFIG_ATL1E=3Dm
+CONFIG_ATL1C=3Dm
+CONFIG_ALX=3Dm
+# CONFIG_NET_VENDOR_AURORA is not set
+CONFIG_NET_VENDOR_BROADCOM=3Dy
+# CONFIG_B44 is not set
+# CONFIG_BCMGENET is not set
+CONFIG_BNX2=3Dm
+CONFIG_CNIC=3Dm
+CONFIG_TIGON3=3Dm
+CONFIG_TIGON3_HWMON=3Dy
+CONFIG_BNX2X=3Dm
+CONFIG_BNX2X_SRIOV=3Dy
+# CONFIG_SYSTEMPORT is not set
+CONFIG_BNXT=3Dm
+CONFIG_BNXT_SRIOV=3Dy
+CONFIG_BNXT_FLOWER_OFFLOAD=3Dy
+# CONFIG_BNXT_DCB is not set
+CONFIG_BNXT_HWMON=3Dy
+CONFIG_NET_VENDOR_BROCADE=3Dy
+CONFIG_BNA=3Dm
+CONFIG_NET_VENDOR_CADENCE=3Dy
+# CONFIG_MACB is not set
+CONFIG_NET_VENDOR_CAVIUM=3Dy
+CONFIG_THUNDER_NIC_PF=3Dm
+CONFIG_THUNDER_NIC_VF=3Dm
+CONFIG_THUNDER_NIC_BGX=3Dm
+CONFIG_THUNDER_NIC_RGX=3Dm
+CONFIG_CAVIUM_PTP=3Dy
+CONFIG_LIQUIDIO=3Dm
+# CONFIG_LIQUIDIO_VF is not set
+CONFIG_NET_VENDOR_CHELSIO=3Dy
+CONFIG_CHELSIO_T1=3Dm
+CONFIG_CHELSIO_T1_1G=3Dy
+CONFIG_CHELSIO_T3=3Dm
+CONFIG_CHELSIO_T4=3Dm
+CONFIG_CHELSIO_T4_DCB=3Dy
+CONFIG_CHELSIO_T4_FCOE=3Dy
+CONFIG_CHELSIO_T4VF=3Dm
+CONFIG_CHELSIO_LIB=3Dm
+CONFIG_NET_VENDOR_CISCO=3Dy
+CONFIG_ENIC=3Dm
+CONFIG_NET_VENDOR_CORTINA=3Dy
+# CONFIG_GEMINI_ETHERNET is not set
+# CONFIG_DNET is not set
+CONFIG_NET_VENDOR_DEC=3Dy
+CONFIG_NET_TULIP=3Dy
+CONFIG_DE2104X=3Dm
+CONFIG_DE2104X_DSL=3D0
+CONFIG_TULIP=3Dm
+# CONFIG_TULIP_MWI is not set
+# CONFIG_TULIP_MMIO is not set
+CONFIG_TULIP_NAPI=3Dy
+CONFIG_TULIP_NAPI_HW_MITIGATION=3Dy
+CONFIG_WINBOND_840=3Dm
+CONFIG_DM9102=3Dm
+CONFIG_ULI526X=3Dm
+CONFIG_NET_VENDOR_DLINK=3Dy
+CONFIG_DL2K=3Dm
+CONFIG_SUNDANCE=3Dm
+# CONFIG_SUNDANCE_MMIO is not set
+CONFIG_NET_VENDOR_EMULEX=3Dy
+CONFIG_BE2NET=3Dm
+CONFIG_BE2NET_HWMON=3Dy
+CONFIG_BE2NET_BE2=3Dy
+CONFIG_BE2NET_BE3=3Dy
+CONFIG_BE2NET_LANCER=3Dy
+CONFIG_BE2NET_SKYHAWK=3Dy
+CONFIG_NET_VENDOR_EZCHIP=3Dy
+# CONFIG_EZCHIP_NPS_MANAGEMENT_ENET is not set
+CONFIG_NET_VENDOR_FREESCALE=3Dy
+CONFIG_FEC=3Dm
+CONFIG_FSL_PQ_MDIO=3Dm
+CONFIG_FSL_XGMAC_MDIO=3Dm
+CONFIG_GIANFAR=3Dm
+CONFIG_NET_VENDOR_GOOGLE=3Dy
+CONFIG_GVE=3Dm
+CONFIG_NET_VENDOR_HISILICON=3Dy
+CONFIG_HIX5HD2_GMAC=3Dm
+CONFIG_HISI_FEMAC=3Dm
+CONFIG_HIP04_ETH=3Dm
+CONFIG_HI13X1_GMAC=3Dy
+CONFIG_HNS_MDIO=3Dm
+CONFIG_HNS=3Dm
+CONFIG_HNS_DSAF=3Dm
+CONFIG_HNS_ENET=3Dm
+# CONFIG_HNS3 is not set
+CONFIG_NET_VENDOR_HP=3Dy
+# CONFIG_HP100 is not set
+CONFIG_NET_VENDOR_HUAWEI=3Dy
+CONFIG_HINIC=3Dm
+CONFIG_NET_VENDOR_I825XX=3Dy
+CONFIG_NET_VENDOR_INTEL=3Dy
+CONFIG_E100=3Dm
+CONFIG_E1000=3Dm
+CONFIG_E1000E=3Dm
+CONFIG_IGB=3Dm
+CONFIG_IGB_HWMON=3Dy
+CONFIG_IGBVF=3Dm
+CONFIG_IXGB=3Dm
+CONFIG_IXGBE=3Dm
+CONFIG_IXGBE_HWMON=3Dy
+CONFIG_IXGBE_DCB=3Dy
+CONFIG_IXGBE_IPSEC=3Dy
+CONFIG_IXGBEVF=3Dm
+CONFIG_IXGBEVF_IPSEC=3Dy
+CONFIG_I40E=3Dm
+CONFIG_I40E_DCB=3Dy
+# CONFIG_I40EVF is not set
+# CONFIG_ICE is not set
+# CONFIG_FM10K is not set
+# CONFIG_IGC is not set
+CONFIG_JME=3Dm
+CONFIG_NET_VENDOR_MARVELL=3Dy
+CONFIG_MVMDIO=3Dm
+CONFIG_MVNETA=3Dm
+CONFIG_MVPP2=3Dm
+CONFIG_SKGE=3Dm
+# CONFIG_SKGE_DEBUG is not set
+CONFIG_SKGE_GENESIS=3Dy
+CONFIG_SKY2=3Dm
+# CONFIG_SKY2_DEBUG is not set
+# CONFIG_OCTEONTX2_AF is not set
+CONFIG_NET_VENDOR_MELLANOX=3Dy
+CONFIG_MLX4_EN=3Dm
+CONFIG_MLX4_EN_DCB=3Dy
+CONFIG_MLX4_CORE=3Dm
+CONFIG_MLX4_DEBUG=3Dy
+CONFIG_MLX4_CORE_GEN2=3Dy
+CONFIG_MLX5_CORE=3Dm
+# CONFIG_MLX5_FPGA is not set
+CONFIG_MLX5_CORE_EN=3Dy
+CONFIG_MLX5_EN_ARFS=3Dy
+CONFIG_MLX5_EN_RXNFC=3Dy
+CONFIG_MLX5_MPFS=3Dy
+CONFIG_MLX5_ESWITCH=3Dy
+CONFIG_MLX5_CORE_EN_DCB=3Dy
+# CONFIG_MLX5_CORE_IPOIB is not set
+CONFIG_MLX5_SW_STEERING=3Dy
+# CONFIG_MLXSW_CORE is not set
+# CONFIG_MLXFW is not set
+CONFIG_NET_VENDOR_MICREL=3Dy
+# CONFIG_KS8842 is not set
+# CONFIG_KS8851 is not set
+# CONFIG_KS8851_MLL is not set
+CONFIG_KSZ884X_PCI=3Dm
+CONFIG_NET_VENDOR_MICROCHIP=3Dy
+# CONFIG_ENC28J60 is not set
+# CONFIG_ENCX24J600 is not set
+# CONFIG_LAN743X is not set
+CONFIG_NET_VENDOR_MICROSEMI=3Dy
+CONFIG_MSCC_OCELOT_SWITCH=3Dm
+CONFIG_MSCC_OCELOT_SWITCH_OCELOT=3Dm
+CONFIG_NET_VENDOR_MYRI=3Dy
+CONFIG_MYRI10GE=3Dm
+CONFIG_FEALNX=3Dm
+CONFIG_NET_VENDOR_NATSEMI=3Dy
+CONFIG_NATSEMI=3Dm
+CONFIG_NS83820=3Dm
+CONFIG_NET_VENDOR_NETERION=3Dy
+CONFIG_S2IO=3Dm
+CONFIG_VXGE=3Dm
+# CONFIG_VXGE_DEBUG_TRACE_ALL is not set
+CONFIG_NET_VENDOR_NETRONOME=3Dy
+CONFIG_NFP=3Dm
+CONFIG_NFP_APP_FLOWER=3Dy
+CONFIG_NFP_APP_ABM_NIC=3Dy
+# CONFIG_NFP_DEBUG is not set
+CONFIG_NET_VENDOR_NI=3Dy
+# CONFIG_NI_XGE_MANAGEMENT_ENET is not set
+CONFIG_NET_VENDOR_8390=3Dy
+CONFIG_NE2K_PCI=3Dm
+CONFIG_NET_VENDOR_NVIDIA=3Dy
+# CONFIG_FORCEDETH is not set
+CONFIG_NET_VENDOR_OKI=3Dy
+# CONFIG_ETHOC is not set
+CONFIG_NET_VENDOR_PACKET_ENGINES=3Dy
+CONFIG_HAMACHI=3Dm
+CONFIG_YELLOWFIN=3Dm
+CONFIG_NET_VENDOR_PENSANDO=3Dy
+CONFIG_IONIC=3Dm
+CONFIG_NET_VENDOR_QLOGIC=3Dy
+CONFIG_QLA3XXX=3Dm
+CONFIG_QLCNIC=3Dm
+CONFIG_QLCNIC_SRIOV=3Dy
+CONFIG_QLCNIC_DCB=3Dy
+CONFIG_QLCNIC_HWMON=3Dy
+CONFIG_NETXEN_NIC=3Dm
+CONFIG_QED=3Dm
+CONFIG_QED_LL2=3Dy
+CONFIG_QED_SRIOV=3Dy
+CONFIG_QEDE=3Dm
+CONFIG_QED_RDMA=3Dy
+CONFIG_QED_OOO=3Dy
+CONFIG_NET_VENDOR_QUALCOMM=3Dy
+# CONFIG_QCA7000_SPI is not set
+# CONFIG_QCA7000_UART is not set
+CONFIG_QCOM_EMAC=3Dm
+# CONFIG_RMNET is not set
+CONFIG_NET_VENDOR_RDC=3Dy
+CONFIG_R6040=3Dm
+CONFIG_NET_VENDOR_REALTEK=3Dy
+CONFIG_8139CP=3Dm
+CONFIG_8139TOO=3Dm
+# CONFIG_8139TOO_PIO is not set
+CONFIG_8139TOO_TUNE_TWISTER=3Dy
+CONFIG_8139TOO_8129=3Dy
+# CONFIG_8139_OLD_RX_RESET is not set
+CONFIG_R8169=3Dm
+CONFIG_NET_VENDOR_RENESAS=3Dy
+CONFIG_NET_VENDOR_ROCKER=3Dy
+# CONFIG_ROCKER is not set
+CONFIG_NET_VENDOR_SAMSUNG=3Dy
+# CONFIG_SXGBE_ETH is not set
+# CONFIG_NET_VENDOR_SEEQ is not set
+CONFIG_NET_VENDOR_SOLARFLARE=3Dy
+CONFIG_SFC=3Dm
+CONFIG_SFC_MTD=3Dy
+CONFIG_SFC_MCDI_MON=3Dy
+CONFIG_SFC_SRIOV=3Dy
+CONFIG_SFC_MCDI_LOGGING=3Dy
+CONFIG_SFC_FALCON=3Dm
+CONFIG_SFC_FALCON_MTD=3Dy
+CONFIG_NET_VENDOR_SILAN=3Dy
+CONFIG_SC92031=3Dm
+CONFIG_NET_VENDOR_SIS=3Dy
+# CONFIG_SIS900 is not set
+CONFIG_SIS190=3Dm
+CONFIG_NET_VENDOR_SMSC=3Dy
+CONFIG_SMC91X=3Dm
+CONFIG_EPIC100=3Dm
+CONFIG_SMSC911X=3Dm
+CONFIG_SMSC9420=3Dm
+CONFIG_NET_VENDOR_SOCIONEXT=3Dy
+CONFIG_SNI_NETSEC=3Dm
+CONFIG_NET_VENDOR_STMICRO=3Dy
+CONFIG_STMMAC_ETH=3Dm
+# CONFIG_STMMAC_SELFTESTS is not set
+CONFIG_STMMAC_PLATFORM=3Dm
+# CONFIG_DWMAC_DWC_QOS_ETH is not set
+CONFIG_DWMAC_GENERIC=3Dm
+CONFIG_DWMAC_IPQ806X=3Dm
+CONFIG_DWMAC_MESON=3Dm
+CONFIG_DWMAC_QCOM_ETHQOS=3Dm
+CONFIG_DWMAC_ROCKCHIP=3Dm
+CONFIG_DWMAC_SUNXI=3Dm
+CONFIG_DWMAC_SUN8I=3Dm
+# CONFIG_STMMAC_PCI is not set
+CONFIG_NET_VENDOR_SUN=3Dy
+# CONFIG_HAPPYMEAL is not set
+# CONFIG_SUNGEM is not set
+CONFIG_CASSINI=3Dm
+CONFIG_NIU=3Dm
+CONFIG_NET_VENDOR_SYNOPSYS=3Dy
+# CONFIG_DWC_XLGMAC is not set
+CONFIG_NET_VENDOR_TEHUTI=3Dy
+CONFIG_TEHUTI=3Dm
+CONFIG_NET_VENDOR_TI=3Dy
+# CONFIG_TI_CPSW_PHY_SEL is not set
+CONFIG_TLAN=3Dm
+CONFIG_NET_VENDOR_VIA=3Dy
+# CONFIG_VIA_RHINE is not set
+CONFIG_VIA_VELOCITY=3Dm
+CONFIG_NET_VENDOR_WIZNET=3Dy
+# CONFIG_WIZNET_W5100 is not set
+# CONFIG_WIZNET_W5300 is not set
+CONFIG_FDDI=3Dy
+CONFIG_DEFXX=3Dm
+# CONFIG_DEFXX_MMIO is not set
+CONFIG_SKFP=3Dm
+# CONFIG_HIPPI is not set
+# CONFIG_NET_SB1000 is not set
+CONFIG_MDIO_DEVICE=3Dm
+CONFIG_MDIO_BUS=3Dm
+# CONFIG_MDIO_BCM_UNIMAC is not set
+# CONFIG_MDIO_BITBANG is not set
+CONFIG_MDIO_BUS_MUX=3Dm
+# CONFIG_MDIO_BUS_MUX_GPIO is not set
+CONFIG_MDIO_BUS_MUX_MESON_G12A=3Dm
+CONFIG_MDIO_BUS_MUX_MMIOREG=3Dm
+# CONFIG_MDIO_BUS_MUX_MULTIPLEXER is not set
+CONFIG_MDIO_CAVIUM=3Dm
+CONFIG_MDIO_HISI_FEMAC=3Dm
+CONFIG_MDIO_MSCC_MIIM=3Dm
+# CONFIG_MDIO_OCTEON is not set
+# CONFIG_MDIO_SUN4I is not set
+CONFIG_MDIO_THUNDER=3Dm
+CONFIG_MDIO_XGENE=3Dm
+CONFIG_PHYLINK=3Dm
+CONFIG_PHYLIB=3Dm
+CONFIG_SWPHY=3Dy
+# CONFIG_LED_TRIGGER_PHY is not set
+
+#
+# MII PHY device drivers
+#
+# CONFIG_SFP is not set
+CONFIG_ADIN_PHY=3Dm
+CONFIG_AMD_PHY=3Dm
+CONFIG_AQUANTIA_PHY=3Dm
+CONFIG_AX88796B_PHY=3Dm
+CONFIG_AT803X_PHY=3Dm
+# CONFIG_BCM7XXX_PHY is not set
+CONFIG_BCM87XX_PHY=3Dm
+CONFIG_BCM_NET_PHYLIB=3Dm
+CONFIG_BROADCOM_PHY=3Dm
+CONFIG_CICADA_PHY=3Dm
+# CONFIG_CORTINA_PHY is not set
+CONFIG_DAVICOM_PHY=3Dm
+# CONFIG_DP83822_PHY is not set
+CONFIG_DP83TC811_PHY=3Dm
+CONFIG_DP83848_PHY=3Dm
+CONFIG_DP83867_PHY=3Dm
+CONFIG_FIXED_PHY=3Dm
+CONFIG_ICPLUS_PHY=3Dm
+# CONFIG_INTEL_XWAY_PHY is not set
+CONFIG_LSI_ET1011C_PHY=3Dm
+CONFIG_LXT_PHY=3Dm
+CONFIG_MARVELL_PHY=3Dm
+CONFIG_MARVELL_10G_PHY=3Dm
+CONFIG_MESON_GXL_PHY=3Dm
+CONFIG_MICREL_PHY=3Dm
+CONFIG_MICROCHIP_PHY=3Dm
+CONFIG_MICROCHIP_T1_PHY=3Dm
+CONFIG_MICROSEMI_PHY=3Dm
+CONFIG_NATIONAL_PHY=3Dm
+CONFIG_NXP_TJA11XX_PHY=3Dm
+CONFIG_QSEMI_PHY=3Dm
+CONFIG_REALTEK_PHY=3Dm
+# CONFIG_RENESAS_PHY is not set
+# CONFIG_ROCKCHIP_PHY is not set
+CONFIG_SMSC_PHY=3Dm
+CONFIG_STE10XP=3Dm
+CONFIG_TERANETICS_PHY=3Dm
+CONFIG_VITESSE_PHY=3Dm
+# CONFIG_XILINX_GMII2RGMII is not set
+# CONFIG_MICREL_KS8995MA is not set
+# CONFIG_PLIP is not set
+CONFIG_PPP=3Dm
+CONFIG_PPP_BSDCOMP=3Dm
+CONFIG_PPP_DEFLATE=3Dm
+CONFIG_PPP_FILTER=3Dy
+CONFIG_PPP_MPPE=3Dm
+CONFIG_PPP_MULTILINK=3Dy
+CONFIG_PPPOATM=3Dm
+CONFIG_PPPOE=3Dm
+CONFIG_PPTP=3Dm
+CONFIG_PPPOL2TP=3Dm
+CONFIG_PPP_ASYNC=3Dm
+CONFIG_PPP_SYNC_TTY=3Dm
+CONFIG_SLIP=3Dm
+CONFIG_SLHC=3Dm
+CONFIG_SLIP_COMPRESSED=3Dy
+CONFIG_SLIP_SMART=3Dy
+CONFIG_SLIP_MODE_SLIP6=3Dy
+
+#
+# Host-side USB support is needed for USB Network Adapter support
+#
+CONFIG_USB_NET_DRIVERS=3Dm
+CONFIG_USB_CATC=3Dm
+CONFIG_USB_KAWETH=3Dm
+CONFIG_USB_PEGASUS=3Dm
+CONFIG_USB_RTL8150=3Dm
+CONFIG_USB_RTL8152=3Dm
+CONFIG_USB_LAN78XX=3Dm
+CONFIG_USB_USBNET=3Dm
+CONFIG_USB_NET_AX8817X=3Dm
+CONFIG_USB_NET_AX88179_178A=3Dm
+CONFIG_USB_NET_CDCETHER=3Dm
+CONFIG_USB_NET_CDC_EEM=3Dm
+CONFIG_USB_NET_CDC_NCM=3Dm
+CONFIG_USB_NET_HUAWEI_CDC_NCM=3Dm
+CONFIG_USB_NET_CDC_MBIM=3Dm
+CONFIG_USB_NET_DM9601=3Dm
+CONFIG_USB_NET_SR9700=3Dm
+CONFIG_USB_NET_SR9800=3Dm
+CONFIG_USB_NET_SMSC75XX=3Dm
+CONFIG_USB_NET_SMSC95XX=3Dm
+CONFIG_USB_NET_GL620A=3Dm
+CONFIG_USB_NET_NET1080=3Dm
+CONFIG_USB_NET_PLUSB=3Dm
+CONFIG_USB_NET_MCS7830=3Dm
+CONFIG_USB_NET_RNDIS_HOST=3Dm
+CONFIG_USB_NET_CDC_SUBSET_ENABLE=3Dm
+CONFIG_USB_NET_CDC_SUBSET=3Dm
+CONFIG_USB_ALI_M5632=3Dy
+CONFIG_USB_AN2720=3Dy
+CONFIG_USB_BELKIN=3Dy
+CONFIG_USB_ARMLINUX=3Dy
+CONFIG_USB_EPSON2888=3Dy
+CONFIG_USB_KC2190=3Dy
+CONFIG_USB_NET_ZAURUS=3Dm
+CONFIG_USB_NET_CX82310_ETH=3Dm
+CONFIG_USB_NET_KALMIA=3Dm
+CONFIG_USB_NET_QMI_WWAN=3Dm
+CONFIG_USB_HSO=3Dm
+CONFIG_USB_NET_INT51X1=3Dm
+CONFIG_USB_CDC_PHONET=3Dm
+CONFIG_USB_IPHETH=3Dm
+CONFIG_USB_SIERRA_NET=3Dm
+CONFIG_USB_VL600=3Dm
+CONFIG_USB_NET_CH9200=3Dm
+CONFIG_USB_NET_AQC111=3Dm
+CONFIG_WLAN=3Dy
+# CONFIG_WIRELESS_WDS is not set
+CONFIG_WLAN_VENDOR_ADMTEK=3Dy
+CONFIG_ADM8211=3Dm
+CONFIG_ATH_COMMON=3Dm
+CONFIG_WLAN_VENDOR_ATH=3Dy
+# CONFIG_ATH_DEBUG is not set
+CONFIG_ATH5K=3Dm
+# CONFIG_ATH5K_DEBUG is not set
+# CONFIG_ATH5K_TRACER is not set
+CONFIG_ATH5K_PCI=3Dy
+CONFIG_ATH9K_HW=3Dm
+CONFIG_ATH9K_COMMON=3Dm
+CONFIG_ATH9K_BTCOEX_SUPPORT=3Dy
+CONFIG_ATH9K=3Dm
+CONFIG_ATH9K_PCI=3Dy
+# CONFIG_ATH9K_AHB is not set
+# CONFIG_ATH9K_DEBUGFS is not set
+# CONFIG_ATH9K_DYNACK is not set
+# CONFIG_ATH9K_WOW is not set
+CONFIG_ATH9K_RFKILL=3Dy
+# CONFIG_ATH9K_CHANNEL_CONTEXT is not set
+CONFIG_ATH9K_PCOEM=3Dy
+CONFIG_ATH9K_PCI_NO_EEPROM=3Dm
+CONFIG_ATH9K_HTC=3Dm
+# CONFIG_ATH9K_HTC_DEBUGFS is not set
+# CONFIG_ATH9K_HWRNG is not set
+CONFIG_CARL9170=3Dm
+CONFIG_CARL9170_LEDS=3Dy
+CONFIG_CARL9170_WPC=3Dy
+# CONFIG_CARL9170_HWRNG is not set
+CONFIG_ATH6KL=3Dm
+CONFIG_ATH6KL_SDIO=3Dm
+CONFIG_ATH6KL_USB=3Dm
+# CONFIG_ATH6KL_DEBUG is not set
+# CONFIG_ATH6KL_TRACING is not set
+CONFIG_AR5523=3Dm
+CONFIG_WIL6210=3Dm
+CONFIG_WIL6210_ISR_COR=3Dy
+CONFIG_WIL6210_TRACING=3Dy
+CONFIG_WIL6210_DEBUGFS=3Dy
+CONFIG_ATH10K=3Dm
+CONFIG_ATH10K_CE=3Dy
+CONFIG_ATH10K_PCI=3Dm
+# CONFIG_ATH10K_AHB is not set
+# CONFIG_ATH10K_SDIO is not set
+# CONFIG_ATH10K_USB is not set
+# CONFIG_ATH10K_SNOC is not set
+# CONFIG_ATH10K_DEBUG is not set
+# CONFIG_ATH10K_DEBUGFS is not set
+# CONFIG_ATH10K_TRACING is not set
+CONFIG_WCN36XX=3Dm
+# CONFIG_WCN36XX_DEBUGFS is not set
+CONFIG_WLAN_VENDOR_ATMEL=3Dy
+# CONFIG_ATMEL is not set
+CONFIG_AT76C50X_USB=3Dm
+CONFIG_WLAN_VENDOR_BROADCOM=3Dy
+CONFIG_B43=3Dm
+CONFIG_B43_BCMA=3Dy
+CONFIG_B43_SSB=3Dy
+CONFIG_B43_BUSES_BCMA_AND_SSB=3Dy
+# CONFIG_B43_BUSES_BCMA is not set
+# CONFIG_B43_BUSES_SSB is not set
+CONFIG_B43_PCI_AUTOSELECT=3Dy
+CONFIG_B43_PCICORE_AUTOSELECT=3Dy
+CONFIG_B43_SDIO=3Dy
+CONFIG_B43_BCMA_PIO=3Dy
+CONFIG_B43_PIO=3Dy
+CONFIG_B43_PHY_G=3Dy
+CONFIG_B43_PHY_N=3Dy
+CONFIG_B43_PHY_LP=3Dy
+CONFIG_B43_PHY_HT=3Dy
+CONFIG_B43_LEDS=3Dy
+CONFIG_B43_HWRNG=3Dy
+# CONFIG_B43_DEBUG is not set
+CONFIG_B43LEGACY=3Dm
+CONFIG_B43LEGACY_PCI_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_PCICORE_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_LEDS=3Dy
+CONFIG_B43LEGACY_HWRNG=3Dy
+CONFIG_B43LEGACY_DEBUG=3Dy
+CONFIG_B43LEGACY_DMA=3Dy
+CONFIG_B43LEGACY_PIO=3Dy
+CONFIG_B43LEGACY_DMA_AND_PIO_MODE=3Dy
+# CONFIG_B43LEGACY_DMA_MODE is not set
+# CONFIG_B43LEGACY_PIO_MODE is not set
+CONFIG_BRCMUTIL=3Dm
+CONFIG_BRCMSMAC=3Dm
+CONFIG_BRCMFMAC=3Dm
+CONFIG_BRCMFMAC_PROTO_BCDC=3Dy
+CONFIG_BRCMFMAC_PROTO_MSGBUF=3Dy
+CONFIG_BRCMFMAC_SDIO=3Dy
+CONFIG_BRCMFMAC_USB=3Dy
+CONFIG_BRCMFMAC_PCIE=3Dy
+# CONFIG_BRCM_TRACING is not set
+# CONFIG_BRCMDBG is not set
+CONFIG_WLAN_VENDOR_CISCO=3Dy
+CONFIG_WLAN_VENDOR_INTEL=3Dy
+# CONFIG_IPW2100 is not set
+CONFIG_IPW2200=3Dm
+CONFIG_IPW2200_MONITOR=3Dy
+CONFIG_IPW2200_RADIOTAP=3Dy
+CONFIG_IPW2200_PROMISCUOUS=3Dy
+CONFIG_IPW2200_QOS=3Dy
+# CONFIG_IPW2200_DEBUG is not set
+CONFIG_LIBIPW=3Dm
+# CONFIG_LIBIPW_DEBUG is not set
+CONFIG_IWLEGACY=3Dm
+CONFIG_IWL4965=3Dm
+CONFIG_IWL3945=3Dm
+
+#
+# iwl3945 / iwl4965 Debugging Options
+#
+# CONFIG_IWLEGACY_DEBUG is not set
+# end of iwl3945 / iwl4965 Debugging Options
+
+CONFIG_IWLWIFI=3Dm
+CONFIG_IWLWIFI_LEDS=3Dy
+CONFIG_IWLDVM=3Dm
+CONFIG_IWLMVM=3Dm
+CONFIG_IWLWIFI_OPMODE_MODULAR=3Dy
+# CONFIG_IWLWIFI_BCAST_FILTERING is not set
+
+#
+# Debugging Options
+#
+# CONFIG_IWLWIFI_DEBUG is not set
+# CONFIG_IWLWIFI_DEVICE_TRACING is not set
+# end of Debugging Options
+
+CONFIG_WLAN_VENDOR_INTERSIL=3Dy
+CONFIG_HOSTAP=3Dm
+CONFIG_HOSTAP_FIRMWARE=3Dy
+# CONFIG_HOSTAP_FIRMWARE_NVRAM is not set
+CONFIG_HOSTAP_PLX=3Dm
+CONFIG_HOSTAP_PCI=3Dm
+# CONFIG_HERMES is not set
+CONFIG_P54_COMMON=3Dm
+CONFIG_P54_USB=3Dm
+CONFIG_P54_PCI=3Dm
+# CONFIG_P54_SPI is not set
+CONFIG_P54_LEDS=3Dy
+# CONFIG_PRISM54 is not set
+CONFIG_WLAN_VENDOR_MARVELL=3Dy
+CONFIG_LIBERTAS=3Dm
+CONFIG_LIBERTAS_USB=3Dm
+CONFIG_LIBERTAS_SDIO=3Dm
+# CONFIG_LIBERTAS_SPI is not set
+# CONFIG_LIBERTAS_DEBUG is not set
+CONFIG_LIBERTAS_MESH=3Dy
+CONFIG_LIBERTAS_THINFIRM=3Dm
+# CONFIG_LIBERTAS_THINFIRM_DEBUG is not set
+CONFIG_LIBERTAS_THINFIRM_USB=3Dm
+# CONFIG_MWIFIEX is not set
+CONFIG_MWL8K=3Dm
+CONFIG_WLAN_VENDOR_MEDIATEK=3Dy
+CONFIG_MT7601U=3Dm
+# CONFIG_MT76x0U is not set
+# CONFIG_MT76x0E is not set
+# CONFIG_MT76x2E is not set
+# CONFIG_MT76x2U is not set
+# CONFIG_MT7603E is not set
+# CONFIG_MT7615E is not set
+CONFIG_WLAN_VENDOR_RALINK=3Dy
+CONFIG_RT2X00=3Dm
+CONFIG_RT2400PCI=3Dm
+CONFIG_RT2500PCI=3Dm
+CONFIG_RT61PCI=3Dm
+CONFIG_RT2800PCI=3Dm
+CONFIG_RT2800PCI_RT33XX=3Dy
+CONFIG_RT2800PCI_RT35XX=3Dy
+CONFIG_RT2800PCI_RT53XX=3Dy
+CONFIG_RT2800PCI_RT3290=3Dy
+CONFIG_RT2500USB=3Dm
+CONFIG_RT73USB=3Dm
+CONFIG_RT2800USB=3Dm
+CONFIG_RT2800USB_RT33XX=3Dy
+CONFIG_RT2800USB_RT35XX=3Dy
+CONFIG_RT2800USB_RT3573=3Dy
+CONFIG_RT2800USB_RT53XX=3Dy
+CONFIG_RT2800USB_RT55XX=3Dy
+# CONFIG_RT2800USB_UNKNOWN is not set
+CONFIG_RT2800_LIB=3Dm
+CONFIG_RT2800_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_PCI=3Dm
+CONFIG_RT2X00_LIB_USB=3Dm
+CONFIG_RT2X00_LIB=3Dm
+CONFIG_RT2X00_LIB_FIRMWARE=3Dy
+CONFIG_RT2X00_LIB_CRYPTO=3Dy
+CONFIG_RT2X00_LIB_LEDS=3Dy
+# CONFIG_RT2X00_DEBUG is not set
+CONFIG_WLAN_VENDOR_REALTEK=3Dy
+CONFIG_RTL8180=3Dm
+CONFIG_RTL8187=3Dm
+CONFIG_RTL8187_LEDS=3Dy
+CONFIG_RTL_CARDS=3Dm
+CONFIG_RTL8192CE=3Dm
+CONFIG_RTL8192SE=3Dm
+CONFIG_RTL8192DE=3Dm
+CONFIG_RTL8723AE=3Dm
+CONFIG_RTL8723BE=3Dm
+CONFIG_RTL8188EE=3Dm
+CONFIG_RTL8192EE=3Dm
+CONFIG_RTL8821AE=3Dm
+CONFIG_RTL8192CU=3Dm
+CONFIG_RTLWIFI=3Dm
+CONFIG_RTLWIFI_PCI=3Dm
+CONFIG_RTLWIFI_USB=3Dm
+# CONFIG_RTLWIFI_DEBUG is not set
+CONFIG_RTL8192C_COMMON=3Dm
+CONFIG_RTL8723_COMMON=3Dm
+CONFIG_RTLBTCOEXIST=3Dm
+CONFIG_RTL8XXXU=3Dm
+# CONFIG_RTL8XXXU_UNTESTED is not set
+# CONFIG_RTW88 is not set
+CONFIG_WLAN_VENDOR_RSI=3Dy
+CONFIG_RSI_91X=3Dm
+CONFIG_RSI_DEBUGFS=3Dy
+# CONFIG_RSI_SDIO is not set
+CONFIG_RSI_USB=3Dm
+CONFIG_RSI_COEX=3Dy
+CONFIG_WLAN_VENDOR_ST=3Dy
+# CONFIG_CW1200 is not set
+CONFIG_WLAN_VENDOR_TI=3Dy
+CONFIG_WL1251=3Dm
+CONFIG_WL1251_SPI=3Dm
+CONFIG_WL1251_SDIO=3Dm
+CONFIG_WL12XX=3Dm
+CONFIG_WL18XX=3Dm
+CONFIG_WLCORE=3Dm
+CONFIG_WLCORE_SPI=3Dm
+CONFIG_WLCORE_SDIO=3Dm
+CONFIG_WILINK_PLATFORM_DATA=3Dy
+CONFIG_WLAN_VENDOR_ZYDAS=3Dy
+# CONFIG_USB_ZD1201 is not set
+CONFIG_ZD1211RW=3Dm
+# CONFIG_ZD1211RW_DEBUG is not set
+CONFIG_WLAN_VENDOR_QUANTENNA=3Dy
+CONFIG_QTNFMAC=3Dm
+CONFIG_QTNFMAC_PCIE=3Dm
+CONFIG_MAC80211_HWSIM=3Dm
+CONFIG_USB_NET_RNDIS_WLAN=3Dm
+CONFIG_VIRT_WIFI=3Dm
+
+#
+# WiMAX Wireless Broadband devices
+#
+CONFIG_WIMAX_I2400M=3Dm
+CONFIG_WIMAX_I2400M_USB=3Dm
+CONFIG_WIMAX_I2400M_DEBUG_LEVEL=3D8
+# end of WiMAX Wireless Broadband devices
+
+# CONFIG_WAN is not set
+CONFIG_IEEE802154_DRIVERS=3Dm
+CONFIG_IEEE802154_FAKELB=3Dm
+CONFIG_IEEE802154_AT86RF230=3Dm
+# CONFIG_IEEE802154_AT86RF230_DEBUGFS is not set
+CONFIG_IEEE802154_MRF24J40=3Dm
+CONFIG_IEEE802154_CC2520=3Dm
+CONFIG_IEEE802154_ATUSB=3Dm
+CONFIG_IEEE802154_ADF7242=3Dm
+# CONFIG_IEEE802154_CA8210 is not set
+CONFIG_IEEE802154_MCR20A=3Dm
+# CONFIG_IEEE802154_HWSIM is not set
+CONFIG_XEN_NETDEV_FRONTEND=3Dm
+CONFIG_XEN_NETDEV_BACKEND=3Dm
+# CONFIG_VMXNET3 is not set
+# CONFIG_FUJITSU_ES is not set
+# CONFIG_NETDEVSIM is not set
+CONFIG_NET_FAILOVER=3Dm
+# CONFIG_ISDN is not set
+# CONFIG_NVM is not set
+
+#
+# Input device support
+#
+CONFIG_INPUT=3Dy
+CONFIG_INPUT_LEDS=3Dy
+CONFIG_INPUT_FF_MEMLESS=3Dm
+CONFIG_INPUT_POLLDEV=3Dm
+CONFIG_INPUT_SPARSEKMAP=3Dm
+CONFIG_INPUT_MATRIXKMAP=3Dm
+
+#
+# Userland interfaces
+#
+CONFIG_INPUT_MOUSEDEV=3Dy
+CONFIG_INPUT_MOUSEDEV_PSAUX=3Dy
+CONFIG_INPUT_MOUSEDEV_SCREEN_X=3D1024
+CONFIG_INPUT_MOUSEDEV_SCREEN_Y=3D768
+CONFIG_INPUT_JOYDEV=3Dm
+CONFIG_INPUT_EVDEV=3Dm
+# CONFIG_INPUT_EVBUG is not set
+
+#
+# Input Device Drivers
+#
+CONFIG_INPUT_KEYBOARD=3Dy
+# CONFIG_KEYBOARD_ADC is not set
+CONFIG_KEYBOARD_ADP5588=3Dm
+# CONFIG_KEYBOARD_ADP5589 is not set
+CONFIG_KEYBOARD_ATKBD=3Dy
+CONFIG_KEYBOARD_QT1050=3Dm
+# CONFIG_KEYBOARD_QT1070 is not set
+CONFIG_KEYBOARD_QT2160=3Dm
+# CONFIG_KEYBOARD_DLINK_DIR685 is not set
+# CONFIG_KEYBOARD_LKKBD is not set
+CONFIG_KEYBOARD_GPIO=3Dm
+# CONFIG_KEYBOARD_GPIO_POLLED is not set
+# CONFIG_KEYBOARD_TCA6416 is not set
+# CONFIG_KEYBOARD_TCA8418 is not set
+# CONFIG_KEYBOARD_MATRIX is not set
+CONFIG_KEYBOARD_LM8323=3Dm
+# CONFIG_KEYBOARD_LM8333 is not set
+CONFIG_KEYBOARD_MAX7359=3Dm
+# CONFIG_KEYBOARD_MCS is not set
+# CONFIG_KEYBOARD_MPR121 is not set
+CONFIG_KEYBOARD_SNVS_PWRKEY=3Dm
+CONFIG_KEYBOARD_IMX=3Dm
+# CONFIG_KEYBOARD_NEWTON is not set
+CONFIG_KEYBOARD_TEGRA=3Dm
+CONFIG_KEYBOARD_OPENCORES=3Dm
+# CONFIG_KEYBOARD_SAMSUNG is not set
+CONFIG_KEYBOARD_STOWAWAY=3Dm
+# CONFIG_KEYBOARD_SUNKBD is not set
+# CONFIG_KEYBOARD_SUN4I_LRADC is not set
+# CONFIG_KEYBOARD_OMAP4 is not set
+# CONFIG_KEYBOARD_TM2_TOUCHKEY is not set
+# CONFIG_KEYBOARD_XTKBD is not set
+# CONFIG_KEYBOARD_CROS_EC is not set
+# CONFIG_KEYBOARD_CAP11XX is not set
+# CONFIG_KEYBOARD_BCM is not set
+CONFIG_INPUT_MOUSE=3Dy
+CONFIG_MOUSE_PS2=3Dy
+CONFIG_MOUSE_PS2_ALPS=3Dy
+CONFIG_MOUSE_PS2_BYD=3Dy
+CONFIG_MOUSE_PS2_LOGIPS2PP=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS_SMBUS=3Dy
+CONFIG_MOUSE_PS2_CYPRESS=3Dy
+CONFIG_MOUSE_PS2_TRACKPOINT=3Dy
+CONFIG_MOUSE_PS2_ELANTECH=3Dy
+CONFIG_MOUSE_PS2_ELANTECH_SMBUS=3Dy
+CONFIG_MOUSE_PS2_SENTELIC=3Dy
+# CONFIG_MOUSE_PS2_TOUCHKIT is not set
+CONFIG_MOUSE_PS2_FOCALTECH=3Dy
+CONFIG_MOUSE_PS2_SMBUS=3Dy
+# CONFIG_MOUSE_SERIAL is not set
+# CONFIG_MOUSE_APPLETOUCH is not set
+# CONFIG_MOUSE_BCM5974 is not set
+# CONFIG_MOUSE_CYAPA is not set
+# CONFIG_MOUSE_ELAN_I2C is not set
+# CONFIG_MOUSE_VSXXXAA is not set
+# CONFIG_MOUSE_GPIO is not set
+CONFIG_MOUSE_SYNAPTICS_I2C=3Dm
+CONFIG_MOUSE_SYNAPTICS_USB=3Dm
+# CONFIG_INPUT_JOYSTICK is not set
+CONFIG_INPUT_TABLET=3Dy
+CONFIG_TABLET_USB_ACECAD=3Dm
+CONFIG_TABLET_USB_AIPTEK=3Dm
+CONFIG_TABLET_USB_GTCO=3Dm
+CONFIG_TABLET_USB_HANWANG=3Dm
+CONFIG_TABLET_USB_KBTAB=3Dm
+CONFIG_TABLET_USB_PEGASUS=3Dm
+CONFIG_TABLET_SERIAL_WACOM4=3Dm
+# CONFIG_INPUT_TOUCHSCREEN is not set
+CONFIG_INPUT_MISC=3Dy
+# CONFIG_INPUT_AD714X is not set
+# CONFIG_INPUT_ATMEL_CAPTOUCH is not set
+# CONFIG_INPUT_BMA150 is not set
+# CONFIG_INPUT_E3X0_BUTTON is not set
+# CONFIG_INPUT_MSM_VIBRATOR is not set
+CONFIG_INPUT_PM8941_PWRKEY=3Dm
+# CONFIG_INPUT_PM8XXX_VIBRATOR is not set
+# CONFIG_INPUT_MMA8450 is not set
+# CONFIG_INPUT_GP2A is not set
+# CONFIG_INPUT_GPIO_BEEPER is not set
+# CONFIG_INPUT_GPIO_DECODER is not set
+# CONFIG_INPUT_GPIO_VIBRA is not set
+CONFIG_INPUT_ATI_REMOTE2=3Dm
+CONFIG_INPUT_KEYSPAN_REMOTE=3Dm
+# CONFIG_INPUT_KXTJ9 is not set
+CONFIG_INPUT_POWERMATE=3Dm
+CONFIG_INPUT_YEALINK=3Dm
+CONFIG_INPUT_CM109=3Dm
+# CONFIG_INPUT_REGULATOR_HAPTIC is not set
+CONFIG_INPUT_AXP20X_PEK=3Dm
+CONFIG_INPUT_UINPUT=3Dm
+# CONFIG_INPUT_PCF8574 is not set
+# CONFIG_INPUT_PWM_BEEPER is not set
+# CONFIG_INPUT_PWM_VIBRA is not set
+# CONFIG_INPUT_RK805_PWRKEY is not set
+# CONFIG_INPUT_GPIO_ROTARY_ENCODER is not set
+# CONFIG_INPUT_ADXL34X is not set
+# CONFIG_INPUT_IMS_PCU is not set
+# CONFIG_INPUT_CMA3000 is not set
+CONFIG_INPUT_XEN_KBDDEV_FRONTEND=3Dy
+# CONFIG_INPUT_SOC_BUTTON_ARRAY is not set
+# CONFIG_INPUT_DRV260X_HAPTICS is not set
+# CONFIG_INPUT_DRV2665_HAPTICS is not set
+# CONFIG_INPUT_DRV2667_HAPTICS is not set
+CONFIG_INPUT_HISI_POWERKEY=3Dm
+CONFIG_RMI4_CORE=3Dm
+# CONFIG_RMI4_I2C is not set
+# CONFIG_RMI4_SPI is not set
+# CONFIG_RMI4_SMB is not set
+CONFIG_RMI4_F03=3Dy
+CONFIG_RMI4_F03_SERIO=3Dm
+CONFIG_RMI4_2D_SENSOR=3Dy
+CONFIG_RMI4_F11=3Dy
+CONFIG_RMI4_F12=3Dy
+CONFIG_RMI4_F30=3Dy
+# CONFIG_RMI4_F34 is not set
+# CONFIG_RMI4_F54 is not set
+# CONFIG_RMI4_F55 is not set
+
+#
+# Hardware I/O ports
+#
+CONFIG_SERIO=3Dy
+CONFIG_SERIO_SERPORT=3Dy
+# CONFIG_SERIO_PARKBD is not set
+# CONFIG_SERIO_AMBAKMI is not set
+# CONFIG_SERIO_PCIPS2 is not set
+CONFIG_SERIO_LIBPS2=3Dy
+# CONFIG_SERIO_RAW is not set
+CONFIG_SERIO_ALTERA_PS2=3Dm
+# CONFIG_SERIO_PS2MULT is not set
+# CONFIG_SERIO_ARC_PS2 is not set
+# CONFIG_SERIO_APBPS2 is not set
+# CONFIG_SERIO_SUN4I_PS2 is not set
+# CONFIG_SERIO_GPIO_PS2 is not set
+# CONFIG_USERIO is not set
+# CONFIG_GAMEPORT is not set
+# end of Hardware I/O ports
+# end of Input device support
+
+#
+# Character devices
+#
+CONFIG_TTY=3Dy
+CONFIG_VT=3Dy
+CONFIG_CONSOLE_TRANSLATIONS=3Dy
+CONFIG_VT_CONSOLE=3Dy
+CONFIG_VT_CONSOLE_SLEEP=3Dy
+CONFIG_HW_CONSOLE=3Dy
+CONFIG_VT_HW_CONSOLE_BINDING=3Dy
+CONFIG_UNIX98_PTYS=3Dy
+# CONFIG_LEGACY_PTYS is not set
+# CONFIG_SERIAL_NONSTANDARD is not set
+CONFIG_NOZOMI=3Dm
+CONFIG_N_GSM=3Dm
+# CONFIG_TRACE_SINK is not set
+CONFIG_NULL_TTY=3Dm
+CONFIG_LDISC_AUTOLOAD=3Dy
+CONFIG_DEVMEM=3Dy
+
+#
+# Serial drivers
+#
+CONFIG_SERIAL_EARLYCON=3Dy
+CONFIG_SERIAL_8250=3Dy
+CONFIG_SERIAL_8250_DEPRECATED_OPTIONS=3Dy
+CONFIG_SERIAL_8250_PNP=3Dy
+# CONFIG_SERIAL_8250_FINTEK is not set
+CONFIG_SERIAL_8250_CONSOLE=3Dy
+CONFIG_SERIAL_8250_DMA=3Dy
+CONFIG_SERIAL_8250_PCI=3Dy
+CONFIG_SERIAL_8250_EXAR=3Dy
+CONFIG_SERIAL_8250_NR_UARTS=3D4
+CONFIG_SERIAL_8250_RUNTIME_UARTS=3D4
+CONFIG_SERIAL_8250_EXTENDED=3Dy
+# CONFIG_SERIAL_8250_MANY_PORTS is not set
+# CONFIG_SERIAL_8250_ASPEED_VUART is not set
+CONFIG_SERIAL_8250_SHARE_IRQ=3Dy
+# CONFIG_SERIAL_8250_DETECT_IRQ is not set
+# CONFIG_SERIAL_8250_RSA is not set
+CONFIG_SERIAL_8250_DWLIB=3Dy
+CONFIG_SERIAL_8250_BCM2835AUX=3Dy
+CONFIG_SERIAL_8250_FSL=3Dy
+CONFIG_SERIAL_8250_DW=3Dy
+# CONFIG_SERIAL_8250_RT288X is not set
+CONFIG_SERIAL_OF_PLATFORM=3Dy
+
+#
+# Non-8250 serial port support
+#
+CONFIG_SERIAL_AMBA_PL010=3Dy
+CONFIG_SERIAL_AMBA_PL010_CONSOLE=3Dy
+CONFIG_SERIAL_AMBA_PL011=3Dy
+CONFIG_SERIAL_AMBA_PL011_CONSOLE=3Dy
+# CONFIG_SERIAL_EARLYCON_ARM_SEMIHOST is not set
+CONFIG_SERIAL_MESON=3Dy
+CONFIG_SERIAL_MESON_CONSOLE=3Dy
+CONFIG_SERIAL_TEGRA=3Dy
+CONFIG_SERIAL_TEGRA_TCU=3Dm
+# CONFIG_SERIAL_MAX3100 is not set
+# CONFIG_SERIAL_MAX310X is not set
+CONFIG_SERIAL_IMX=3Dm
+# CONFIG_SERIAL_UARTLITE is not set
+CONFIG_SERIAL_CORE=3Dy
+CONFIG_SERIAL_CORE_CONSOLE=3Dy
+# CONFIG_SERIAL_JSM is not set
+CONFIG_SERIAL_MSM=3Dy
+CONFIG_SERIAL_MSM_CONSOLE=3Dy
+CONFIG_SERIAL_QCOM_GENI=3Dm
+# CONFIG_SERIAL_SIFIVE is not set
+# CONFIG_SERIAL_SCCNXP is not set
+# CONFIG_SERIAL_SC16IS7XX is not set
+# CONFIG_SERIAL_ALTERA_JTAGUART is not set
+# CONFIG_SERIAL_ALTERA_UART is not set
+# CONFIG_SERIAL_IFX6X60 is not set
+# CONFIG_SERIAL_XILINX_PS_UART is not set
+# CONFIG_SERIAL_ARC is not set
+CONFIG_SERIAL_RP2=3Dm
+CONFIG_SERIAL_RP2_NR_UARTS=3D32
+# CONFIG_SERIAL_FSL_LPUART is not set
+# CONFIG_SERIAL_FSL_LINFLEXUART is not set
+# CONFIG_SERIAL_CONEXANT_DIGICOLOR is not set
+CONFIG_SERIAL_MVEBU_UART=3Dy
+CONFIG_SERIAL_MVEBU_CONSOLE=3Dy
+# end of Serial drivers
+
+CONFIG_SERIAL_MCTRL_GPIO=3Dy
+CONFIG_SERIAL_DEV_BUS=3Dm
+CONFIG_TTY_PRINTK=3Dm
+CONFIG_TTY_PRINTK_LEVEL=3D6
+# CONFIG_PRINTER is not set
+# CONFIG_PPDEV is not set
+CONFIG_HVC_DRIVER=3Dy
+CONFIG_HVC_IRQ=3Dy
+CONFIG_HVC_XEN=3Dy
+CONFIG_HVC_XEN_FRONTEND=3Dy
+# CONFIG_HVC_DCC is not set
+CONFIG_VIRTIO_CONSOLE=3Dm
+CONFIG_IPMI_HANDLER=3Dm
+CONFIG_IPMI_DMI_DECODE=3Dy
+CONFIG_IPMI_PLAT_DATA=3Dy
+# CONFIG_IPMI_PANIC_EVENT is not set
+CONFIG_IPMI_DEVICE_INTERFACE=3Dm
+CONFIG_IPMI_SI=3Dm
+CONFIG_IPMI_SSIF=3Dm
+# CONFIG_IPMI_WATCHDOG is not set
+# CONFIG_IPMI_POWEROFF is not set
+CONFIG_HW_RANDOM=3Dm
+# CONFIG_HW_RANDOM_TIMERIOMEM is not set
+CONFIG_HW_RANDOM_BCM2835=3Dm
+# CONFIG_HW_RANDOM_OMAP is not set
+CONFIG_HW_RANDOM_VIRTIO=3Dm
+CONFIG_HW_RANDOM_IMX_RNGC=3Dm
+CONFIG_HW_RANDOM_HISI=3Dm
+CONFIG_HW_RANDOM_XGENE=3Dm
+CONFIG_HW_RANDOM_MESON=3Dm
+CONFIG_HW_RANDOM_CAVIUM=3Dm
+CONFIG_HW_RANDOM_OPTEE=3Dm
+# CONFIG_APPLICOM is not set
+# CONFIG_RAW_DRIVER is not set
+# CONFIG_TCG_TPM is not set
+CONFIG_DEVPORT=3Dy
+# CONFIG_XILLYBUS is not set
+# end of Character devices
+
+# CONFIG_RANDOM_TRUST_BOOTLOADER is not set
+
+#
+# I2C support
+#
+CONFIG_I2C=3Dy
+CONFIG_ACPI_I2C_OPREGION=3Dy
+CONFIG_I2C_BOARDINFO=3Dy
+CONFIG_I2C_COMPAT=3Dy
+CONFIG_I2C_CHARDEV=3Dm
+CONFIG_I2C_MUX=3Dm
+
+#
+# Multiplexer I2C Chip support
+#
+# CONFIG_I2C_ARB_GPIO_CHALLENGE is not set
+# CONFIG_I2C_MUX_GPIO is not set
+# CONFIG_I2C_MUX_GPMUX is not set
+# CONFIG_I2C_MUX_LTC4306 is not set
+# CONFIG_I2C_MUX_PCA9541 is not set
+# CONFIG_I2C_MUX_PCA954x is not set
+# CONFIG_I2C_MUX_PINCTRL is not set
+# CONFIG_I2C_MUX_REG is not set
+# CONFIG_I2C_DEMUX_PINCTRL is not set
+# CONFIG_I2C_MUX_MLXCPLD is not set
+# end of Multiplexer I2C Chip support
+
+CONFIG_I2C_HELPER_AUTO=3Dy
+CONFIG_I2C_SMBUS=3Dm
+CONFIG_I2C_ALGOBIT=3Dm
+CONFIG_I2C_ALGOPCA=3Dm
+
+#
+# I2C Hardware Bus support
+#
+
+#
+# PC SMBus host controller drivers
+#
+# CONFIG_I2C_ALI1535 is not set
+# CONFIG_I2C_ALI1563 is not set
+# CONFIG_I2C_ALI15X3 is not set
+# CONFIG_I2C_AMD756 is not set
+# CONFIG_I2C_AMD8111 is not set
+# CONFIG_I2C_AMD_MP2 is not set
+# CONFIG_I2C_HIX5HD2 is not set
+# CONFIG_I2C_I801 is not set
+CONFIG_I2C_ISCH=3Dm
+# CONFIG_I2C_PIIX4 is not set
+# CONFIG_I2C_NFORCE2 is not set
+# CONFIG_I2C_NVIDIA_GPU is not set
+# CONFIG_I2C_SIS5595 is not set
+# CONFIG_I2C_SIS630 is not set
+# CONFIG_I2C_SIS96X is not set
+# CONFIG_I2C_VIA is not set
+# CONFIG_I2C_VIAPRO is not set
+
+#
+# ACPI drivers
+#
+# CONFIG_I2C_SCMI is not set
+
+#
+# I2C system bus drivers (mostly embedded / system-on-chip)
+#
+CONFIG_I2C_BCM2835=3Dm
+# CONFIG_I2C_CADENCE is not set
+# CONFIG_I2C_CBUS_GPIO is not set
+CONFIG_I2C_DESIGNWARE_CORE=3Dm
+CONFIG_I2C_DESIGNWARE_PLATFORM=3Dm
+# CONFIG_I2C_DESIGNWARE_SLAVE is not set
+# CONFIG_I2C_DESIGNWARE_PCI is not set
+# CONFIG_I2C_EMEV2 is not set
+# CONFIG_I2C_GPIO is not set
+CONFIG_I2C_IMX=3Dm
+CONFIG_I2C_IMX_LPI2C=3Dm
+CONFIG_I2C_MESON=3Dm
+CONFIG_I2C_MV64XXX=3Dm
+# CONFIG_I2C_NOMADIK is not set
+CONFIG_I2C_OCORES=3Dm
+CONFIG_I2C_PCA_PLATFORM=3Dm
+CONFIG_I2C_PXA=3Dm
+# CONFIG_I2C_PXA_SLAVE is not set
+CONFIG_I2C_QCOM_GENI=3Dm
+CONFIG_I2C_QUP=3Dm
+CONFIG_I2C_RK3X=3Dm
+CONFIG_I2C_SIMTEC=3Dm
+CONFIG_I2C_SYNQUACER=3Dm
+CONFIG_I2C_TEGRA=3Dm
+CONFIG_I2C_TEGRA_BPMP=3Dy
+# CONFIG_I2C_VERSATILE is not set
+CONFIG_I2C_THUNDERX=3Dm
+# CONFIG_I2C_XILINX is not set
+CONFIG_I2C_XLP9XX=3Dm
+
+#
+# External I2C/SMBus adapter drivers
+#
+CONFIG_I2C_DIOLAN_U2C=3Dm
+# CONFIG_I2C_PARPORT is not set
+# CONFIG_I2C_PARPORT_LIGHT is not set
+CONFIG_I2C_ROBOTFUZZ_OSIF=3Dm
+CONFIG_I2C_TAOS_EVM=3Dm
+CONFIG_I2C_TINY_USB=3Dm
+CONFIG_I2C_VIPERBOARD=3Dm
+
+#
+# Other I2C/SMBus bus drivers
+#
+CONFIG_I2C_CROS_EC_TUNNEL=3Dm
+CONFIG_I2C_XGENE_SLIMPRO=3Dm
+# end of I2C Hardware Bus support
+
+# CONFIG_I2C_STUB is not set
+# CONFIG_I2C_SLAVE is not set
+# CONFIG_I2C_DEBUG_CORE is not set
+# CONFIG_I2C_DEBUG_ALGO is not set
+# CONFIG_I2C_DEBUG_BUS is not set
+# end of I2C support
+
+CONFIG_I3C=3Dm
+CONFIG_CDNS_I3C_MASTER=3Dm
+CONFIG_DW_I3C_MASTER=3Dm
+CONFIG_SPI=3Dy
+# CONFIG_SPI_DEBUG is not set
+CONFIG_SPI_MASTER=3Dy
+CONFIG_SPI_MEM=3Dy
+
+#
+# SPI Master Controller Drivers
+#
+# CONFIG_SPI_ALTERA is not set
+CONFIG_SPI_ARMADA_3700=3Dm
+# CONFIG_SPI_AXI_SPI_ENGINE is not set
+CONFIG_SPI_BCM2835=3Dm
+CONFIG_SPI_BCM2835AUX=3Dm
+CONFIG_SPI_BITBANG=3Dm
+CONFIG_SPI_BUTTERFLY=3Dm
+# CONFIG_SPI_CADENCE is not set
+# CONFIG_SPI_DESIGNWARE is not set
+CONFIG_SPI_FSL_LPSPI=3Dm
+CONFIG_SPI_FSL_QUADSPI=3Dm
+CONFIG_SPI_NXP_FLEXSPI=3Dm
+# CONFIG_SPI_GPIO is not set
+CONFIG_SPI_IMX=3Dm
+CONFIG_SPI_LM70_LLP=3Dm
+# CONFIG_SPI_FSL_SPI is not set
+# CONFIG_SPI_MESON_SPICC is not set
+CONFIG_SPI_MESON_SPIFC=3Dm
+# CONFIG_SPI_OC_TINY is not set
+# CONFIG_SPI_ORION is not set
+# CONFIG_SPI_PL022 is not set
+# CONFIG_SPI_PXA2XX is not set
+# CONFIG_SPI_ROCKCHIP is not set
+# CONFIG_SPI_QCOM_QSPI is not set
+CONFIG_SPI_QUP=3Dm
+# CONFIG_SPI_QCOM_GENI is not set
+# CONFIG_SPI_SC18IS602 is not set
+# CONFIG_SPI_SIFIVE is not set
+# CONFIG_SPI_SUN4I is not set
+# CONFIG_SPI_SUN6I is not set
+CONFIG_SPI_SYNQUACER=3Dm
+# CONFIG_SPI_MXIC is not set
+CONFIG_SPI_TEGRA114=3Dm
+CONFIG_SPI_TEGRA20_SFLASH=3Dm
+CONFIG_SPI_TEGRA20_SLINK=3Dm
+CONFIG_SPI_THUNDERX=3Dm
+# CONFIG_SPI_XCOMM is not set
+# CONFIG_SPI_XILINX is not set
+CONFIG_SPI_XLP=3Dm
+# CONFIG_SPI_ZYNQMP_GQSPI is not set
+
+#
+# SPI Protocol Masters
+#
+# CONFIG_SPI_SPIDEV is not set
+# CONFIG_SPI_LOOPBACK_TEST is not set
+# CONFIG_SPI_TLE62X0 is not set
+# CONFIG_SPI_SLAVE is not set
+CONFIG_SPMI=3Dy
+CONFIG_SPMI_MSM_PMIC_ARB=3Dy
+# CONFIG_HSI is not set
+CONFIG_PPS=3Dy
+# CONFIG_PPS_DEBUG is not set
+
+#
+# PPS clients support
+#
+# CONFIG_PPS_CLIENT_KTIMER is not set
+CONFIG_PPS_CLIENT_LDISC=3Dm
+CONFIG_PPS_CLIENT_PARPORT=3Dm
+# CONFIG_PPS_CLIENT_GPIO is not set
+
+#
+# PPS generators support
+#
+
+#
+# PTP clock support
+#
+CONFIG_PTP_1588_CLOCK=3Dy
+CONFIG_PTP_1588_CLOCK_QORIQ=3Dm
+
+#
+# Enable PHYLIB and NETWORK_PHY_TIMESTAMPING to see the additional clocks.
+#
+# end of PTP clock support
+
+CONFIG_PINCTRL=3Dy
+CONFIG_GENERIC_PINCTRL_GROUPS=3Dy
+CONFIG_PINMUX=3Dy
+CONFIG_GENERIC_PINMUX_FUNCTIONS=3Dy
+CONFIG_PINCONF=3Dy
+CONFIG_GENERIC_PINCONF=3Dy
+# CONFIG_DEBUG_PINCTRL is not set
+CONFIG_PINCTRL_AXP209=3Dm
+CONFIG_PINCTRL_AMD=3Dy
+CONFIG_PINCTRL_BM1880=3Dy
+# CONFIG_PINCTRL_MCP23S08 is not set
+CONFIG_PINCTRL_ROCKCHIP=3Dy
+CONFIG_PINCTRL_SINGLE=3Dy
+# CONFIG_PINCTRL_SX150X is not set
+# CONFIG_PINCTRL_STMFX is not set
+CONFIG_PINCTRL_MAX77620=3Dy
+# CONFIG_PINCTRL_RK805 is not set
+# CONFIG_PINCTRL_OCELOT is not set
+CONFIG_PINCTRL_BCM2835=3Dy
+CONFIG_PINCTRL_IMX=3Dy
+CONFIG_PINCTRL_IMX_SCU=3Dy
+CONFIG_PINCTRL_IMX8MM=3Dy
+CONFIG_PINCTRL_IMX8MN=3Dy
+CONFIG_PINCTRL_IMX8MQ=3Dy
+CONFIG_PINCTRL_IMX8QM=3Dy
+CONFIG_PINCTRL_IMX8QXP=3Dy
+CONFIG_PINCTRL_MVEBU=3Dy
+CONFIG_PINCTRL_ARMADA_AP806=3Dy
+CONFIG_PINCTRL_ARMADA_CP110=3Dy
+CONFIG_PINCTRL_ARMADA_37XX=3Dy
+CONFIG_PINCTRL_MSM=3Dy
+# CONFIG_PINCTRL_APQ8064 is not set
+# CONFIG_PINCTRL_APQ8084 is not set
+# CONFIG_PINCTRL_IPQ4019 is not set
+# CONFIG_PINCTRL_IPQ8064 is not set
+# CONFIG_PINCTRL_IPQ8074 is not set
+# CONFIG_PINCTRL_MSM8660 is not set
+# CONFIG_PINCTRL_MSM8960 is not set
+# CONFIG_PINCTRL_MDM9615 is not set
+# CONFIG_PINCTRL_MSM8X74 is not set
+CONFIG_PINCTRL_MSM8916=3Dy
+# CONFIG_PINCTRL_MSM8994 is not set
+CONFIG_PINCTRL_MSM8996=3Dy
+# CONFIG_PINCTRL_MSM8998 is not set
+# CONFIG_PINCTRL_QCS404 is not set
+# CONFIG_PINCTRL_QDF2XXX is not set
+CONFIG_PINCTRL_QCOM_SPMI_PMIC=3Dy
+CONFIG_PINCTRL_QCOM_SSBI_PMIC=3Dy
+# CONFIG_PINCTRL_SC7180 is not set
+# CONFIG_PINCTRL_SDM660 is not set
+# CONFIG_PINCTRL_SDM845 is not set
+CONFIG_PINCTRL_SM8150=3Dm
+CONFIG_PINCTRL_SUNXI=3Dy
+# CONFIG_PINCTRL_SUN4I_A10 is not set
+# CONFIG_PINCTRL_SUN5I is not set
+# CONFIG_PINCTRL_SUN6I_A31 is not set
+# CONFIG_PINCTRL_SUN6I_A31_R is not set
+# CONFIG_PINCTRL_SUN8I_A23 is not set
+# CONFIG_PINCTRL_SUN8I_A33 is not set
+# CONFIG_PINCTRL_SUN8I_A83T is not set
+# CONFIG_PINCTRL_SUN8I_A83T_R is not set
+# CONFIG_PINCTRL_SUN8I_A23_R is not set
+# CONFIG_PINCTRL_SUN8I_H3 is not set
+CONFIG_PINCTRL_SUN8I_H3_R=3Dy
+# CONFIG_PINCTRL_SUN8I_V3S is not set
+# CONFIG_PINCTRL_SUN9I_A80 is not set
+# CONFIG_PINCTRL_SUN9I_A80_R is not set
+CONFIG_PINCTRL_SUN50I_A64=3Dy
+CONFIG_PINCTRL_SUN50I_A64_R=3Dy
+CONFIG_PINCTRL_SUN50I_H5=3Dy
+CONFIG_PINCTRL_SUN50I_H6=3Dy
+CONFIG_PINCTRL_SUN50I_H6_R=3Dy
+CONFIG_PINCTRL_TEGRA=3Dy
+CONFIG_PINCTRL_TEGRA124=3Dy
+CONFIG_PINCTRL_TEGRA210=3Dy
+CONFIG_PINCTRL_TEGRA194=3Dy
+CONFIG_PINCTRL_TEGRA_XUSB=3Dy
+CONFIG_PINCTRL_MESON=3Dy
+CONFIG_PINCTRL_MESON_GXBB=3Dy
+CONFIG_PINCTRL_MESON_GXL=3Dy
+CONFIG_PINCTRL_MESON8_PMX=3Dy
+CONFIG_PINCTRL_MESON_AXG=3Dy
+CONFIG_PINCTRL_MESON_AXG_PMX=3Dy
+CONFIG_PINCTRL_MESON_G12A=3Dy
+CONFIG_PINCTRL_MADERA=3Dm
+CONFIG_GPIOLIB=3Dy
+CONFIG_GPIOLIB_FASTPATH_LIMIT=3D512
+CONFIG_OF_GPIO=3Dy
+CONFIG_GPIO_ACPI=3Dy
+CONFIG_GPIOLIB_IRQCHIP=3Dy
+# CONFIG_DEBUG_GPIO is not set
+CONFIG_GPIO_SYSFS=3Dy
+CONFIG_GPIO_GENERIC=3Dy
+
+#
+# Memory mapped GPIO drivers
+#
+# CONFIG_GPIO_74XX_MMIO is not set
+# CONFIG_GPIO_ALTERA is not set
+# CONFIG_GPIO_AMDPT is not set
+CONFIG_GPIO_RASPBERRYPI_EXP=3Dm
+CONFIG_GPIO_CADENCE=3Dm
+# CONFIG_GPIO_DWAPB is not set
+# CONFIG_GPIO_EXAR is not set
+# CONFIG_GPIO_FTGPIO010 is not set
+CONFIG_GPIO_GENERIC_PLATFORM=3Dy
+# CONFIG_GPIO_GRGPIO is not set
+# CONFIG_GPIO_HLWD is not set
+CONFIG_GPIO_MB86S7X=3Dm
+CONFIG_GPIO_MVEBU=3Dy
+CONFIG_GPIO_MXC=3Dy
+CONFIG_GPIO_PL061=3Dy
+# CONFIG_GPIO_SAMA5D2_PIOBU is not set
+# CONFIG_GPIO_SYSCON is not set
+CONFIG_GPIO_TEGRA=3Dy
+# CONFIG_GPIO_THUNDERX is not set
+CONFIG_GPIO_XGENE=3Dy
+CONFIG_GPIO_XGENE_SB=3Dm
+CONFIG_GPIO_XILINX=3Dm
+CONFIG_GPIO_XLP=3Dy
+# CONFIG_GPIO_AMD_FCH is not set
+# end of Memory mapped GPIO drivers
+
+#
+# I2C GPIO expanders
+#
+# CONFIG_GPIO_ADP5588 is not set
+# CONFIG_GPIO_ADNP is not set
+# CONFIG_GPIO_GW_PLD is not set
+# CONFIG_GPIO_MAX7300 is not set
+# CONFIG_GPIO_MAX732X is not set
+CONFIG_GPIO_PCA953X=3Dy
+CONFIG_GPIO_PCA953X_IRQ=3Dy
+# CONFIG_GPIO_PCF857X is not set
+# CONFIG_GPIO_TPIC2810 is not set
+# end of I2C GPIO expanders
+
+#
+# MFD GPIO expanders
+#
+CONFIG_GPIO_BD70528=3Dm
+CONFIG_GPIO_MADERA=3Dm
+CONFIG_GPIO_MAX77620=3Dy
+# end of MFD GPIO expanders
+
+#
+# PCI GPIO expanders
+#
+# CONFIG_GPIO_PCI_IDIO_16 is not set
+# CONFIG_GPIO_PCIE_IDIO_24 is not set
+# CONFIG_GPIO_RDC321X is not set
+# end of PCI GPIO expanders
+
+#
+# SPI GPIO expanders
+#
+# CONFIG_GPIO_74X164 is not set
+# CONFIG_GPIO_MAX3191X is not set
+# CONFIG_GPIO_MAX7301 is not set
+# CONFIG_GPIO_MC33880 is not set
+# CONFIG_GPIO_PISOSR is not set
+# CONFIG_GPIO_XRA1403 is not set
+CONFIG_GPIO_MOXTET=3Dm
+# end of SPI GPIO expanders
+
+#
+# USB GPIO expanders
+#
+CONFIG_GPIO_VIPERBOARD=3Dm
+# end of USB GPIO expanders
+
+# CONFIG_GPIO_MOCKUP is not set
+CONFIG_W1=3Dm
+CONFIG_W1_CON=3Dy
+
+#
+# 1-wire Bus Masters
+#
+# CONFIG_W1_MASTER_MATROX is not set
+CONFIG_W1_MASTER_DS2490=3Dm
+CONFIG_W1_MASTER_DS2482=3Dm
+CONFIG_W1_MASTER_MXC=3Dm
+# CONFIG_W1_MASTER_DS1WM is not set
+CONFIG_W1_MASTER_GPIO=3Dm
+# CONFIG_W1_MASTER_SGI is not set
+# end of 1-wire Bus Masters
+
+#
+# 1-wire Slaves
+#
+CONFIG_W1_SLAVE_THERM=3Dm
+CONFIG_W1_SLAVE_SMEM=3Dm
+CONFIG_W1_SLAVE_DS2405=3Dm
+CONFIG_W1_SLAVE_DS2408=3Dm
+CONFIG_W1_SLAVE_DS2408_READBACK=3Dy
+CONFIG_W1_SLAVE_DS2413=3Dm
+CONFIG_W1_SLAVE_DS2406=3Dm
+CONFIG_W1_SLAVE_DS2423=3Dm
+CONFIG_W1_SLAVE_DS2805=3Dm
+CONFIG_W1_SLAVE_DS2431=3Dm
+CONFIG_W1_SLAVE_DS2433=3Dm
+# CONFIG_W1_SLAVE_DS2433_CRC is not set
+CONFIG_W1_SLAVE_DS2438=3Dm
+# CONFIG_W1_SLAVE_DS250X is not set
+CONFIG_W1_SLAVE_DS2780=3Dm
+CONFIG_W1_SLAVE_DS2781=3Dm
+CONFIG_W1_SLAVE_DS28E04=3Dm
+CONFIG_W1_SLAVE_DS28E17=3Dm
+# end of 1-wire Slaves
+
+CONFIG_POWER_AVS=3Dy
+CONFIG_ROCKCHIP_IODOMAIN=3Dm
+CONFIG_POWER_RESET=3Dy
+# CONFIG_POWER_RESET_BRCMSTB is not set
+# CONFIG_POWER_RESET_GPIO is not set
+# CONFIG_POWER_RESET_GPIO_RESTART is not set
+CONFIG_POWER_RESET_HISI=3Dy
+CONFIG_POWER_RESET_MSM=3Dy
+CONFIG_POWER_RESET_QCOM_PON=3Dm
+# CONFIG_POWER_RESET_LTC2952 is not set
+# CONFIG_POWER_RESET_RESTART is not set
+CONFIG_POWER_RESET_VEXPRESS=3Dy
+CONFIG_POWER_RESET_XGENE=3Dy
+CONFIG_POWER_RESET_SYSCON=3Dy
+CONFIG_POWER_RESET_SYSCON_POWEROFF=3Dy
+CONFIG_REBOOT_MODE=3Dm
+# CONFIG_SYSCON_REBOOT_MODE is not set
+CONFIG_NVMEM_REBOOT_MODE=3Dm
+CONFIG_POWER_SUPPLY=3Dy
+# CONFIG_POWER_SUPPLY_DEBUG is not set
+CONFIG_POWER_SUPPLY_HWMON=3Dy
+# CONFIG_PDA_POWER is not set
+# CONFIG_GENERIC_ADC_BATTERY is not set
+# CONFIG_TEST_POWER is not set
+CONFIG_CHARGER_ADP5061=3Dm
+# CONFIG_BATTERY_DS2760 is not set
+# CONFIG_BATTERY_DS2780 is not set
+# CONFIG_BATTERY_DS2781 is not set
+# CONFIG_BATTERY_DS2782 is not set
+# CONFIG_BATTERY_LEGO_EV3 is not set
+# CONFIG_BATTERY_SBS is not set
+# CONFIG_CHARGER_SBS is not set
+# CONFIG_MANAGER_SBS is not set
+CONFIG_BATTERY_BQ27XXX=3Dm
+# CONFIG_BATTERY_BQ27XXX_I2C is not set
+CONFIG_BATTERY_BQ27XXX_HDQ=3Dm
+CONFIG_CHARGER_AXP20X=3Dm
+CONFIG_BATTERY_AXP20X=3Dm
+CONFIG_AXP20X_POWER=3Dm
+CONFIG_AXP288_FUEL_GAUGE=3Dm
+# CONFIG_BATTERY_MAX17040 is not set
+# CONFIG_BATTERY_MAX17042 is not set
+# CONFIG_BATTERY_MAX1721X is not set
+# CONFIG_CHARGER_ISP1704 is not set
+# CONFIG_CHARGER_MAX8903 is not set
+# CONFIG_CHARGER_LP8727 is not set
+# CONFIG_CHARGER_GPIO is not set
+# CONFIG_CHARGER_MANAGER is not set
+# CONFIG_CHARGER_LT3651 is not set
+# CONFIG_CHARGER_DETECTOR_MAX14656 is not set
+CONFIG_CHARGER_QCOM_SMBB=3Dm
+# CONFIG_CHARGER_BQ2415X is not set
+# CONFIG_CHARGER_BQ24190 is not set
+# CONFIG_CHARGER_BQ24257 is not set
+# CONFIG_CHARGER_BQ24735 is not set
+# CONFIG_CHARGER_BQ25890 is not set
+# CONFIG_CHARGER_SMB347 is not set
+# CONFIG_BATTERY_GAUGE_LTC2941 is not set
+# CONFIG_CHARGER_RT9455 is not set
+CONFIG_CHARGER_CROS_USBPD=3Dm
+# CONFIG_CHARGER_UCS1002 is not set
+# CONFIG_CHARGER_BD70528 is not set
+CONFIG_HWMON=3Dy
+CONFIG_HWMON_VID=3Dm
+# CONFIG_HWMON_DEBUG_CHIP is not set
+
+#
+# Native drivers
+#
+# CONFIG_SENSORS_AD7314 is not set
+CONFIG_SENSORS_AD7414=3Dm
+CONFIG_SENSORS_AD7418=3Dm
+# CONFIG_SENSORS_ADM1021 is not set
+# CONFIG_SENSORS_ADM1025 is not set
+# CONFIG_SENSORS_ADM1026 is not set
+CONFIG_SENSORS_ADM1029=3Dm
+# CONFIG_SENSORS_ADM1031 is not set
+CONFIG_SENSORS_ADM9240=3Dm
+# CONFIG_SENSORS_ADT7310 is not set
+# CONFIG_SENSORS_ADT7410 is not set
+CONFIG_SENSORS_ADT7411=3Dm
+CONFIG_SENSORS_ADT7462=3Dm
+CONFIG_SENSORS_ADT7470=3Dm
+CONFIG_SENSORS_ADT7475=3Dm
+# CONFIG_SENSORS_AS370 is not set
+CONFIG_SENSORS_ASC7621=3Dm
+CONFIG_SENSORS_ARM_SCMI=3Dm
+# CONFIG_SENSORS_ASPEED is not set
+CONFIG_SENSORS_ATXP1=3Dm
+CONFIG_SENSORS_DS620=3Dm
+# CONFIG_SENSORS_DS1621 is not set
+CONFIG_SENSORS_I5K_AMB=3Dm
+# CONFIG_SENSORS_F71805F is not set
+CONFIG_SENSORS_F71882FG=3Dm
+CONFIG_SENSORS_F75375S=3Dm
+CONFIG_SENSORS_FTSTEUTATES=3Dm
+# CONFIG_SENSORS_GL518SM is not set
+# CONFIG_SENSORS_GL520SM is not set
+CONFIG_SENSORS_G760A=3Dm
+# CONFIG_SENSORS_G762 is not set
+# CONFIG_SENSORS_GPIO_FAN is not set
+# CONFIG_SENSORS_HIH6130 is not set
+CONFIG_SENSORS_IBMAEM=3Dm
+CONFIG_SENSORS_IBMPEX=3Dm
+# CONFIG_SENSORS_IIO_HWMON is not set
+# CONFIG_SENSORS_IT87 is not set
+CONFIG_SENSORS_JC42=3Dm
+# CONFIG_SENSORS_POWR1220 is not set
+CONFIG_SENSORS_LINEAGE=3Dm
+# CONFIG_SENSORS_LTC2945 is not set
+# CONFIG_SENSORS_LTC2990 is not set
+CONFIG_SENSORS_LTC4151=3Dm
+CONFIG_SENSORS_LTC4215=3Dm
+# CONFIG_SENSORS_LTC4222 is not set
+CONFIG_SENSORS_LTC4245=3Dm
+# CONFIG_SENSORS_LTC4260 is not set
+CONFIG_SENSORS_LTC4261=3Dm
+CONFIG_SENSORS_MAX1111=3Dm
+CONFIG_SENSORS_MAX16065=3Dm
+# CONFIG_SENSORS_MAX1619 is not set
+CONFIG_SENSORS_MAX1668=3Dm
+# CONFIG_SENSORS_MAX197 is not set
+# CONFIG_SENSORS_MAX31722 is not set
+# CONFIG_SENSORS_MAX6621 is not set
+CONFIG_SENSORS_MAX6639=3Dm
+CONFIG_SENSORS_MAX6642=3Dm
+CONFIG_SENSORS_MAX6650=3Dm
+# CONFIG_SENSORS_MAX6697 is not set
+# CONFIG_SENSORS_MAX31790 is not set
+# CONFIG_SENSORS_MCP3021 is not set
+# CONFIG_SENSORS_TC654 is not set
+CONFIG_SENSORS_ADCXX=3Dm
+# CONFIG_SENSORS_LM63 is not set
+CONFIG_SENSORS_LM70=3Dm
+CONFIG_SENSORS_LM73=3Dm
+# CONFIG_SENSORS_LM75 is not set
+# CONFIG_SENSORS_LM77 is not set
+# CONFIG_SENSORS_LM78 is not set
+# CONFIG_SENSORS_LM80 is not set
+# CONFIG_SENSORS_LM83 is not set
+# CONFIG_SENSORS_LM85 is not set
+# CONFIG_SENSORS_LM87 is not set
+# CONFIG_SENSORS_LM90 is not set
+# CONFIG_SENSORS_LM92 is not set
+CONFIG_SENSORS_LM93=3Dm
+# CONFIG_SENSORS_LM95234 is not set
+CONFIG_SENSORS_LM95241=3Dm
+CONFIG_SENSORS_LM95245=3Dm
+# CONFIG_SENSORS_PC87360 is not set
+CONFIG_SENSORS_PC87427=3Dm
+CONFIG_SENSORS_NTC_THERMISTOR=3Dm
+CONFIG_SENSORS_NCT6683=3Dm
+CONFIG_SENSORS_NCT6775=3Dm
+# CONFIG_SENSORS_NCT7802 is not set
+# CONFIG_SENSORS_NCT7904 is not set
+# CONFIG_SENSORS_NPCM7XX is not set
+# CONFIG_SENSORS_OCC_P8_I2C is not set
+# CONFIG_SENSORS_PCF8591 is not set
+# CONFIG_PMBUS is not set
+# CONFIG_SENSORS_PWM_FAN is not set
+CONFIG_SENSORS_RASPBERRYPI_HWMON=3Dm
+# CONFIG_SENSORS_SHT15 is not set
+CONFIG_SENSORS_SHT21=3Dm
+# CONFIG_SENSORS_SHT3x is not set
+# CONFIG_SENSORS_SHTC1 is not set
+# CONFIG_SENSORS_SIS5595 is not set
+CONFIG_SENSORS_DME1737=3Dm
+CONFIG_SENSORS_EMC1403=3Dm
+CONFIG_SENSORS_EMC2103=3Dm
+CONFIG_SENSORS_EMC6W201=3Dm
+# CONFIG_SENSORS_SMSC47M1 is not set
+CONFIG_SENSORS_SMSC47M192=3Dm
+# CONFIG_SENSORS_SMSC47B397 is not set
+CONFIG_SENSORS_SCH56XX_COMMON=3Dm
+CONFIG_SENSORS_SCH5627=3Dm
+# CONFIG_SENSORS_SCH5636 is not set
+# CONFIG_SENSORS_STTS751 is not set
+CONFIG_SENSORS_SMM665=3Dm
+# CONFIG_SENSORS_ADC128D818 is not set
+CONFIG_SENSORS_ADS7828=3Dm
+CONFIG_SENSORS_ADS7871=3Dm
+CONFIG_SENSORS_AMC6821=3Dm
+# CONFIG_SENSORS_INA209 is not set
+# CONFIG_SENSORS_INA2XX is not set
+# CONFIG_SENSORS_INA3221 is not set
+# CONFIG_SENSORS_TC74 is not set
+CONFIG_SENSORS_THMC50=3Dm
+CONFIG_SENSORS_TMP102=3Dm
+# CONFIG_SENSORS_TMP103 is not set
+# CONFIG_SENSORS_TMP108 is not set
+CONFIG_SENSORS_TMP401=3Dm
+CONFIG_SENSORS_TMP421=3Dm
+# CONFIG_SENSORS_VEXPRESS is not set
+# CONFIG_SENSORS_VIA686A is not set
+CONFIG_SENSORS_VT1211=3Dm
+CONFIG_SENSORS_VT8231=3Dm
+# CONFIG_SENSORS_W83773G is not set
+# CONFIG_SENSORS_W83781D is not set
+CONFIG_SENSORS_W83791D=3Dm
+CONFIG_SENSORS_W83792D=3Dm
+CONFIG_SENSORS_W83793=3Dm
+CONFIG_SENSORS_W83795=3Dm
+# CONFIG_SENSORS_W83795_FANCTRL is not set
+# CONFIG_SENSORS_W83L785TS is not set
+CONFIG_SENSORS_W83L786NG=3Dm
+# CONFIG_SENSORS_W83627HF is not set
+CONFIG_SENSORS_W83627EHF=3Dm
+CONFIG_SENSORS_XGENE=3Dm
+
+#
+# ACPI drivers
+#
+# CONFIG_SENSORS_ACPI_POWER is not set
+CONFIG_THERMAL=3Dy
+# CONFIG_THERMAL_STATISTICS is not set
+CONFIG_THERMAL_EMERGENCY_POWEROFF_DELAY_MS=3D0
+CONFIG_THERMAL_HWMON=3Dy
+CONFIG_THERMAL_OF=3Dy
+# CONFIG_THERMAL_WRITABLE_TRIPS is not set
+CONFIG_THERMAL_DEFAULT_GOV_STEP_WISE=3Dy
+# CONFIG_THERMAL_DEFAULT_GOV_FAIR_SHARE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_USER_SPACE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_POWER_ALLOCATOR is not set
+CONFIG_THERMAL_GOV_FAIR_SHARE=3Dy
+CONFIG_THERMAL_GOV_STEP_WISE=3Dy
+# CONFIG_THERMAL_GOV_BANG_BANG is not set
+# CONFIG_THERMAL_GOV_USER_SPACE is not set
+# CONFIG_THERMAL_GOV_POWER_ALLOCATOR is not set
+CONFIG_CPU_THERMAL=3Dy
+# CONFIG_CLOCK_THERMAL is not set
+# CONFIG_DEVFREQ_THERMAL is not set
+# CONFIG_THERMAL_EMULATION is not set
+# CONFIG_THERMAL_MMIO is not set
+CONFIG_HISI_THERMAL=3Dm
+CONFIG_IMX_THERMAL=3Dm
+# CONFIG_MAX77620_THERMAL is not set
+# CONFIG_QORIQ_THERMAL is not set
+# CONFIG_ROCKCHIP_THERMAL is not set
+CONFIG_ARMADA_THERMAL=3Dm
+
+#
+# Broadcom thermal drivers
+#
+CONFIG_BCM2835_THERMAL=3Dm
+# end of Broadcom thermal drivers
+
+#
+# NVIDIA Tegra thermal drivers
+#
+CONFIG_TEGRA_SOCTHERM=3Dy
+# CONFIG_TEGRA_BPMP_THERMAL is not set
+# end of NVIDIA Tegra thermal drivers
+
+# CONFIG_GENERIC_ADC_THERMAL is not set
+
+#
+# Qualcomm thermal drivers
+#
+CONFIG_QCOM_TSENS=3Dm
+CONFIG_QCOM_SPMI_TEMP_ALARM=3Dm
+# end of Qualcomm thermal drivers
+
+CONFIG_WATCHDOG=3Dy
+CONFIG_WATCHDOG_CORE=3Dy
+# CONFIG_WATCHDOG_NOWAYOUT is not set
+CONFIG_WATCHDOG_HANDLE_BOOT_ENABLED=3Dy
+CONFIG_WATCHDOG_OPEN_TIMEOUT=3D0
+CONFIG_WATCHDOG_SYSFS=3Dy
+
+#
+# Watchdog Pretimeout Governors
+#
+# CONFIG_WATCHDOG_PRETIMEOUT_GOV is not set
+
+#
+# Watchdog Device Drivers
+#
+CONFIG_SOFT_WATCHDOG=3Dm
+CONFIG_BD70528_WATCHDOG=3Dm
+CONFIG_GPIO_WATCHDOG=3Dm
+# CONFIG_WDAT_WDT is not set
+# CONFIG_XILINX_WATCHDOG is not set
+# CONFIG_ZIIRAVE_WATCHDOG is not set
+CONFIG_ARM_SP805_WATCHDOG=3Dm
+CONFIG_ARM_SBSA_WATCHDOG=3Dm
+# CONFIG_ARMADA_37XX_WATCHDOG is not set
+# CONFIG_CADENCE_WATCHDOG is not set
+CONFIG_DW_WATCHDOG=3Dm
+CONFIG_SUNXI_WATCHDOG=3Dm
+# CONFIG_MAX63XX_WATCHDOG is not set
+# CONFIG_MAX77620_WATCHDOG is not set
+CONFIG_IMX2_WDT=3Dm
+CONFIG_IMX_SC_WDT=3Dm
+CONFIG_IMX7ULP_WDT=3Dm
+CONFIG_TEGRA_WATCHDOG=3Dm
+CONFIG_QCOM_WDT=3Dm
+CONFIG_MESON_GXBB_WATCHDOG=3Dm
+CONFIG_MESON_WATCHDOG=3Dm
+CONFIG_PM8916_WATCHDOG=3Dm
+# CONFIG_ALIM7101_WDT is not set
+# CONFIG_I6300ESB_WDT is not set
+CONFIG_BCM2835_WDT=3Dm
+# CONFIG_MEN_A21_WDT is not set
+CONFIG_XEN_WDT=3Dm
+
+#
+# PCI-based Watchdog Cards
+#
+# CONFIG_PCIPCWATCHDOG is not set
+# CONFIG_WDTPCI is not set
+
+#
+# USB-based Watchdog Cards
+#
+# CONFIG_USBPCWATCHDOG is not set
+CONFIG_SSB_POSSIBLE=3Dy
+CONFIG_SSB=3Dm
+CONFIG_SSB_SPROM=3Dy
+CONFIG_SSB_BLOCKIO=3Dy
+CONFIG_SSB_PCIHOST_POSSIBLE=3Dy
+CONFIG_SSB_PCIHOST=3Dy
+CONFIG_SSB_B43_PCI_BRIDGE=3Dy
+CONFIG_SSB_SDIOHOST_POSSIBLE=3Dy
+CONFIG_SSB_SDIOHOST=3Dy
+CONFIG_SSB_DRIVER_PCICORE_POSSIBLE=3Dy
+CONFIG_SSB_DRIVER_PCICORE=3Dy
+# CONFIG_SSB_DRIVER_GPIO is not set
+CONFIG_BCMA_POSSIBLE=3Dy
+CONFIG_BCMA=3Dm
+CONFIG_BCMA_BLOCKIO=3Dy
+CONFIG_BCMA_HOST_PCI_POSSIBLE=3Dy
+CONFIG_BCMA_HOST_PCI=3Dy
+# CONFIG_BCMA_HOST_SOC is not set
+CONFIG_BCMA_DRIVER_PCI=3Dy
+# CONFIG_BCMA_DRIVER_GMAC_CMN is not set
+# CONFIG_BCMA_DRIVER_GPIO is not set
+# CONFIG_BCMA_DEBUG is not set
+
+#
+# Multifunction device drivers
+#
+CONFIG_MFD_CORE=3Dy
+# CONFIG_MFD_ACT8945A is not set
+# CONFIG_MFD_SUN4I_GPADC is not set
+# CONFIG_MFD_AS3711 is not set
+# CONFIG_MFD_AS3722 is not set
+# CONFIG_PMIC_ADP5520 is not set
+# CONFIG_MFD_AAT2870_CORE is not set
+# CONFIG_MFD_ATMEL_FLEXCOM is not set
+# CONFIG_MFD_ATMEL_HLCDC is not set
+# CONFIG_MFD_BCM590XX is not set
+# CONFIG_MFD_BD9571MWV is not set
+# CONFIG_MFD_AC100 is not set
+CONFIG_MFD_AXP20X=3Dm
+# CONFIG_MFD_AXP20X_I2C is not set
+CONFIG_MFD_AXP20X_RSB=3Dm
+CONFIG_MFD_CROS_EC_DEV=3Dm
+CONFIG_MFD_MADERA=3Dm
+CONFIG_MFD_MADERA_I2C=3Dm
+CONFIG_MFD_MADERA_SPI=3Dm
+# CONFIG_MFD_CS47L15 is not set
+# CONFIG_MFD_CS47L35 is not set
+# CONFIG_MFD_CS47L85 is not set
+# CONFIG_MFD_CS47L90 is not set
+# CONFIG_MFD_CS47L92 is not set
+# CONFIG_PMIC_DA903X is not set
+# CONFIG_MFD_DA9052_SPI is not set
+# CONFIG_MFD_DA9052_I2C is not set
+# CONFIG_MFD_DA9055 is not set
+# CONFIG_MFD_DA9062 is not set
+# CONFIG_MFD_DA9063 is not set
+# CONFIG_MFD_DA9150 is not set
+# CONFIG_MFD_DLN2 is not set
+# CONFIG_MFD_MC13XXX_SPI is not set
+# CONFIG_MFD_MC13XXX_I2C is not set
+# CONFIG_MFD_HI6421_PMIC is not set
+CONFIG_MFD_HI655X_PMIC=3Dm
+# CONFIG_HTC_PASIC3 is not set
+# CONFIG_HTC_I2CPLD is not set
+# CONFIG_LPC_ICH is not set
+CONFIG_LPC_SCH=3Dm
+# CONFIG_MFD_JANZ_CMODIO is not set
+# CONFIG_MFD_KEMPLD is not set
+# CONFIG_MFD_88PM800 is not set
+# CONFIG_MFD_88PM805 is not set
+# CONFIG_MFD_88PM860X is not set
+# CONFIG_MFD_MAX14577 is not set
+CONFIG_MFD_MAX77620=3Dy
+# CONFIG_MFD_MAX77650 is not set
+# CONFIG_MFD_MAX77686 is not set
+# CONFIG_MFD_MAX77693 is not set
+# CONFIG_MFD_MAX77843 is not set
+# CONFIG_MFD_MAX8907 is not set
+# CONFIG_MFD_MAX8925 is not set
+# CONFIG_MFD_MAX8997 is not set
+# CONFIG_MFD_MAX8998 is not set
+# CONFIG_MFD_MT6397 is not set
+# CONFIG_MFD_MENF21BMC is not set
+# CONFIG_EZX_PCAP is not set
+# CONFIG_MFD_CPCAP is not set
+CONFIG_MFD_VIPERBOARD=3Dm
+# CONFIG_MFD_RETU is not set
+# CONFIG_MFD_PCF50633 is not set
+# CONFIG_UCB1400_CORE is not set
+CONFIG_MFD_QCOM_RPM=3Dm
+CONFIG_MFD_SPMI_PMIC=3Dm
+# CONFIG_MFD_RDC321X is not set
+# CONFIG_MFD_RT5033 is not set
+# CONFIG_MFD_RC5T583 is not set
+CONFIG_MFD_RK808=3Dm
+# CONFIG_MFD_RN5T618 is not set
+# CONFIG_MFD_SEC_CORE is not set
+# CONFIG_MFD_SI476X_CORE is not set
+# CONFIG_MFD_SM501 is not set
+# CONFIG_MFD_SKY81452 is not set
+# CONFIG_MFD_SMSC is not set
+# CONFIG_ABX500_CORE is not set
+# CONFIG_MFD_STMPE is not set
+CONFIG_MFD_SUN6I_PRCM=3Dy
+CONFIG_MFD_SYSCON=3Dy
+# CONFIG_MFD_TI_AM335X_TSCADC is not set
+# CONFIG_MFD_LP3943 is not set
+# CONFIG_MFD_LP8788 is not set
+# CONFIG_MFD_TI_LMU is not set
+# CONFIG_MFD_PALMAS is not set
+# CONFIG_TPS6105X is not set
+# CONFIG_TPS65010 is not set
+# CONFIG_TPS6507X is not set
+# CONFIG_MFD_TPS65086 is not set
+# CONFIG_MFD_TPS65090 is not set
+# CONFIG_MFD_TPS65217 is not set
+# CONFIG_MFD_TI_LP873X is not set
+# CONFIG_MFD_TI_LP87565 is not set
+# CONFIG_MFD_TPS65218 is not set
+# CONFIG_MFD_TPS6586X is not set
+# CONFIG_MFD_TPS65910 is not set
+# CONFIG_MFD_TPS65912_I2C is not set
+# CONFIG_MFD_TPS65912_SPI is not set
+# CONFIG_MFD_TPS80031 is not set
+# CONFIG_TWL4030_CORE is not set
+# CONFIG_TWL6040_CORE is not set
+# CONFIG_MFD_WL1273_CORE is not set
+# CONFIG_MFD_LM3533 is not set
+# CONFIG_MFD_TC3589X is not set
+# CONFIG_MFD_TQMX86 is not set
+# CONFIG_MFD_VX855 is not set
+# CONFIG_MFD_LOCHNAGAR is not set
+# CONFIG_MFD_ARIZONA_I2C is not set
+# CONFIG_MFD_ARIZONA_SPI is not set
+# CONFIG_MFD_WM8400 is not set
+# CONFIG_MFD_WM831X_I2C is not set
+# CONFIG_MFD_WM831X_SPI is not set
+# CONFIG_MFD_WM8350_I2C is not set
+# CONFIG_MFD_WM8994 is not set
+CONFIG_MFD_ROHM_BD718XX=3Dm
+CONFIG_MFD_ROHM_BD70528=3Dm
+# CONFIG_MFD_STPMIC1 is not set
+# CONFIG_MFD_STMFX is not set
+CONFIG_MFD_VEXPRESS_SYSREG=3Dy
+# CONFIG_RAVE_SP_CORE is not set
+# end of Multifunction device drivers
+
+CONFIG_REGULATOR=3Dy
+# CONFIG_REGULATOR_DEBUG is not set
+CONFIG_REGULATOR_FIXED_VOLTAGE=3Dm
+# CONFIG_REGULATOR_VIRTUAL_CONSUMER is not set
+# CONFIG_REGULATOR_USERSPACE_CONSUMER is not set
+# CONFIG_REGULATOR_88PG86X is not set
+# CONFIG_REGULATOR_ACT8865 is not set
+# CONFIG_REGULATOR_AD5398 is not set
+# CONFIG_REGULATOR_ANATOP is not set
+CONFIG_REGULATOR_ARIZONA_LDO1=3Dm
+CONFIG_REGULATOR_ARIZONA_MICSUPP=3Dm
+CONFIG_REGULATOR_AXP20X=3Dm
+CONFIG_REGULATOR_BD70528=3Dm
+CONFIG_REGULATOR_BD718XX=3Dm
+# CONFIG_REGULATOR_DA9210 is not set
+# CONFIG_REGULATOR_DA9211 is not set
+CONFIG_REGULATOR_FAN53555=3Dm
+CONFIG_REGULATOR_GPIO=3Dm
+CONFIG_REGULATOR_HI655X=3Dm
+# CONFIG_REGULATOR_ISL9305 is not set
+# CONFIG_REGULATOR_ISL6271A is not set
+# CONFIG_REGULATOR_LP3971 is not set
+# CONFIG_REGULATOR_LP3972 is not set
+# CONFIG_REGULATOR_LP872X is not set
+# CONFIG_REGULATOR_LP8755 is not set
+# CONFIG_REGULATOR_LTC3589 is not set
+# CONFIG_REGULATOR_LTC3676 is not set
+# CONFIG_REGULATOR_MAX1586 is not set
+CONFIG_REGULATOR_MAX77620=3Dm
+# CONFIG_REGULATOR_MAX8649 is not set
+# CONFIG_REGULATOR_MAX8660 is not set
+# CONFIG_REGULATOR_MAX8952 is not set
+# CONFIG_REGULATOR_MAX8973 is not set
+# CONFIG_REGULATOR_MCP16502 is not set
+# CONFIG_REGULATOR_MT6311 is not set
+# CONFIG_REGULATOR_PFUZE100 is not set
+# CONFIG_REGULATOR_PV88060 is not set
+# CONFIG_REGULATOR_PV88080 is not set
+# CONFIG_REGULATOR_PV88090 is not set
+CONFIG_REGULATOR_PWM=3Dm
+CONFIG_REGULATOR_QCOM_RPM=3Dm
+CONFIG_REGULATOR_QCOM_SMD_RPM=3Dm
+CONFIG_REGULATOR_QCOM_SPMI=3Dm
+CONFIG_REGULATOR_RK808=3Dm
+CONFIG_REGULATOR_SLG51000=3Dm
+CONFIG_REGULATOR_SY8106A=3Dm
+CONFIG_REGULATOR_SY8824X=3Dm
+# CONFIG_REGULATOR_TPS51632 is not set
+# CONFIG_REGULATOR_TPS62360 is not set
+# CONFIG_REGULATOR_TPS65023 is not set
+# CONFIG_REGULATOR_TPS6507X is not set
+# CONFIG_REGULATOR_TPS65132 is not set
+# CONFIG_REGULATOR_TPS6524X is not set
+# CONFIG_REGULATOR_VCTRL is not set
+# CONFIG_REGULATOR_VEXPRESS is not set
+CONFIG_CEC_CORE=3Dm
+CONFIG_RC_CORE=3Dm
+CONFIG_RC_MAP=3Dm
+CONFIG_LIRC=3Dy
+CONFIG_RC_DECODERS=3Dy
+CONFIG_IR_NEC_DECODER=3Dm
+CONFIG_IR_RC5_DECODER=3Dm
+CONFIG_IR_RC6_DECODER=3Dm
+CONFIG_IR_JVC_DECODER=3Dm
+CONFIG_IR_SONY_DECODER=3Dm
+CONFIG_IR_SANYO_DECODER=3Dm
+CONFIG_IR_SHARP_DECODER=3Dm
+CONFIG_IR_MCE_KBD_DECODER=3Dm
+CONFIG_IR_XMP_DECODER=3Dm
+CONFIG_IR_IMON_DECODER=3Dm
+CONFIG_IR_RCMM_DECODER=3Dm
+CONFIG_RC_DEVICES=3Dy
+CONFIG_RC_ATI_REMOTE=3Dm
+CONFIG_IR_ENE=3Dm
+# CONFIG_IR_HIX5HD2 is not set
+CONFIG_IR_IMON=3Dm
+CONFIG_IR_IMON_RAW=3Dm
+CONFIG_IR_MCEUSB=3Dm
+# CONFIG_IR_ITE_CIR is not set
+# CONFIG_IR_FINTEK is not set
+# CONFIG_IR_MESON is not set
+# CONFIG_IR_NUVOTON is not set
+CONFIG_IR_REDRAT3=3Dm
+# CONFIG_IR_SPI is not set
+CONFIG_IR_STREAMZAP=3Dm
+CONFIG_IR_IGORPLUGUSB=3Dm
+CONFIG_IR_IGUANA=3Dm
+CONFIG_IR_TTUSBIR=3Dm
+CONFIG_RC_LOOPBACK=3Dm
+# CONFIG_IR_GPIO_CIR is not set
+# CONFIG_IR_GPIO_TX is not set
+# CONFIG_IR_PWM_TX is not set
+# CONFIG_IR_SUNXI is not set
+# CONFIG_IR_SERIAL is not set
+# CONFIG_IR_SIR is not set
+CONFIG_RC_XBOX_DVD=3Dm
+CONFIG_MEDIA_SUPPORT=3Dm
+
+#
+# Multimedia core support
+#
+CONFIG_MEDIA_CAMERA_SUPPORT=3Dy
+CONFIG_MEDIA_ANALOG_TV_SUPPORT=3Dy
+CONFIG_MEDIA_DIGITAL_TV_SUPPORT=3Dy
+CONFIG_MEDIA_RADIO_SUPPORT=3Dy
+CONFIG_MEDIA_SDR_SUPPORT=3Dy
+CONFIG_MEDIA_CEC_SUPPORT=3Dy
+# CONFIG_MEDIA_CEC_RC is not set
+CONFIG_MEDIA_CONTROLLER=3Dy
+CONFIG_MEDIA_CONTROLLER_DVB=3Dy
+CONFIG_VIDEO_DEV=3Dm
+# CONFIG_VIDEO_V4L2_SUBDEV_API is not set
+CONFIG_VIDEO_V4L2=3Dm
+CONFIG_VIDEO_V4L2_I2C=3Dy
+# CONFIG_VIDEO_ADV_DEBUG is not set
+# CONFIG_VIDEO_FIXED_MINOR_RANGES is not set
+CONFIG_VIDEO_TUNER=3Dm
+CONFIG_V4L2_MEM2MEM_DEV=3Dm
+CONFIG_V4L2_FWNODE=3Dm
+CONFIG_VIDEOBUF_GEN=3Dm
+CONFIG_VIDEOBUF_DMA_SG=3Dm
+CONFIG_VIDEOBUF_VMALLOC=3Dm
+CONFIG_DVB_CORE=3Dm
+# CONFIG_DVB_MMAP is not set
+CONFIG_DVB_NET=3Dy
+CONFIG_TTPCI_EEPROM=3Dm
+CONFIG_DVB_MAX_ADAPTERS=3D16
+CONFIG_DVB_DYNAMIC_MINORS=3Dy
+# CONFIG_DVB_DEMUX_SECTION_LOSS_LOG is not set
+# CONFIG_DVB_ULE_DEBUG is not set
+
+#
+# Media drivers
+#
+CONFIG_MEDIA_USB_SUPPORT=3Dy
+
+#
+# Webcam devices
+#
+CONFIG_USB_VIDEO_CLASS=3Dm
+CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=3Dy
+CONFIG_USB_GSPCA=3Dm
+CONFIG_USB_M5602=3Dm
+CONFIG_USB_STV06XX=3Dm
+CONFIG_USB_GL860=3Dm
+CONFIG_USB_GSPCA_BENQ=3Dm
+CONFIG_USB_GSPCA_CONEX=3Dm
+CONFIG_USB_GSPCA_CPIA1=3Dm
+CONFIG_USB_GSPCA_DTCS033=3Dm
+CONFIG_USB_GSPCA_ETOMS=3Dm
+CONFIG_USB_GSPCA_FINEPIX=3Dm
+CONFIG_USB_GSPCA_JEILINJ=3Dm
+CONFIG_USB_GSPCA_JL2005BCD=3Dm
+CONFIG_USB_GSPCA_KINECT=3Dm
+CONFIG_USB_GSPCA_KONICA=3Dm
+CONFIG_USB_GSPCA_MARS=3Dm
+CONFIG_USB_GSPCA_MR97310A=3Dm
+CONFIG_USB_GSPCA_NW80X=3Dm
+CONFIG_USB_GSPCA_OV519=3Dm
+CONFIG_USB_GSPCA_OV534=3Dm
+CONFIG_USB_GSPCA_OV534_9=3Dm
+CONFIG_USB_GSPCA_PAC207=3Dm
+CONFIG_USB_GSPCA_PAC7302=3Dm
+CONFIG_USB_GSPCA_PAC7311=3Dm
+CONFIG_USB_GSPCA_SE401=3Dm
+CONFIG_USB_GSPCA_SN9C2028=3Dm
+CONFIG_USB_GSPCA_SN9C20X=3Dm
+CONFIG_USB_GSPCA_SONIXB=3Dm
+CONFIG_USB_GSPCA_SONIXJ=3Dm
+CONFIG_USB_GSPCA_SPCA500=3Dm
+CONFIG_USB_GSPCA_SPCA501=3Dm
+CONFIG_USB_GSPCA_SPCA505=3Dm
+CONFIG_USB_GSPCA_SPCA506=3Dm
+CONFIG_USB_GSPCA_SPCA508=3Dm
+CONFIG_USB_GSPCA_SPCA561=3Dm
+CONFIG_USB_GSPCA_SPCA1528=3Dm
+CONFIG_USB_GSPCA_SQ905=3Dm
+CONFIG_USB_GSPCA_SQ905C=3Dm
+CONFIG_USB_GSPCA_SQ930X=3Dm
+CONFIG_USB_GSPCA_STK014=3Dm
+CONFIG_USB_GSPCA_STK1135=3Dm
+CONFIG_USB_GSPCA_STV0680=3Dm
+CONFIG_USB_GSPCA_SUNPLUS=3Dm
+CONFIG_USB_GSPCA_T613=3Dm
+CONFIG_USB_GSPCA_TOPRO=3Dm
+CONFIG_USB_GSPCA_TOUPTEK=3Dm
+CONFIG_USB_GSPCA_TV8532=3Dm
+CONFIG_USB_GSPCA_VC032X=3Dm
+CONFIG_USB_GSPCA_VICAM=3Dm
+CONFIG_USB_GSPCA_XIRLINK_CIT=3Dm
+CONFIG_USB_GSPCA_ZC3XX=3Dm
+CONFIG_USB_PWC=3Dm
+# CONFIG_USB_PWC_DEBUG is not set
+CONFIG_USB_PWC_INPUT_EVDEV=3Dy
+CONFIG_VIDEO_CPIA2=3Dm
+CONFIG_USB_ZR364XX=3Dm
+CONFIG_USB_STKWEBCAM=3Dm
+CONFIG_USB_S2255=3Dm
+CONFIG_VIDEO_USBTV=3Dm
+
+#
+# Analog TV USB devices
+#
+CONFIG_VIDEO_PVRUSB2=3Dm
+CONFIG_VIDEO_PVRUSB2_SYSFS=3Dy
+CONFIG_VIDEO_PVRUSB2_DVB=3Dy
+# CONFIG_VIDEO_PVRUSB2_DEBUGIFC is not set
+CONFIG_VIDEO_HDPVR=3Dm
+CONFIG_VIDEO_USBVISION=3Dm
+CONFIG_VIDEO_STK1160_COMMON=3Dm
+CONFIG_VIDEO_STK1160=3Dm
+CONFIG_VIDEO_GO7007=3Dm
+CONFIG_VIDEO_GO7007_USB=3Dm
+CONFIG_VIDEO_GO7007_LOADER=3Dm
+CONFIG_VIDEO_GO7007_USB_S2250_BOARD=3Dm
+
+#
+# Analog/digital TV USB devices
+#
+CONFIG_VIDEO_AU0828=3Dm
+CONFIG_VIDEO_AU0828_V4L2=3Dy
+CONFIG_VIDEO_AU0828_RC=3Dy
+CONFIG_VIDEO_CX231XX=3Dm
+CONFIG_VIDEO_CX231XX_RC=3Dy
+CONFIG_VIDEO_CX231XX_ALSA=3Dm
+CONFIG_VIDEO_CX231XX_DVB=3Dm
+# CONFIG_VIDEO_TM6000 is not set
+
+#
+# Digital TV USB devices
+#
+CONFIG_DVB_USB=3Dm
+# CONFIG_DVB_USB_DEBUG is not set
+CONFIG_DVB_USB_DIB3000MC=3Dm
+CONFIG_DVB_USB_A800=3Dm
+CONFIG_DVB_USB_DIBUSB_MB=3Dm
+CONFIG_DVB_USB_DIBUSB_MB_FAULTY=3Dy
+CONFIG_DVB_USB_DIBUSB_MC=3Dm
+CONFIG_DVB_USB_DIB0700=3Dm
+CONFIG_DVB_USB_UMT_010=3Dm
+CONFIG_DVB_USB_CXUSB=3Dm
+CONFIG_DVB_USB_CXUSB_ANALOG=3Dy
+CONFIG_DVB_USB_M920X=3Dm
+CONFIG_DVB_USB_DIGITV=3Dm
+CONFIG_DVB_USB_VP7045=3Dm
+CONFIG_DVB_USB_VP702X=3Dm
+CONFIG_DVB_USB_GP8PSK=3Dm
+CONFIG_DVB_USB_NOVA_T_USB2=3Dm
+CONFIG_DVB_USB_TTUSB2=3Dm
+CONFIG_DVB_USB_DTT200U=3Dm
+CONFIG_DVB_USB_OPERA1=3Dm
+CONFIG_DVB_USB_AF9005=3Dm
+CONFIG_DVB_USB_AF9005_REMOTE=3Dm
+CONFIG_DVB_USB_PCTV452E=3Dm
+CONFIG_DVB_USB_DW2102=3Dm
+CONFIG_DVB_USB_CINERGY_T2=3Dm
+CONFIG_DVB_USB_DTV5100=3Dm
+CONFIG_DVB_USB_AZ6027=3Dm
+CONFIG_DVB_USB_TECHNISAT_USB2=3Dm
+CONFIG_DVB_USB_V2=3Dm
+CONFIG_DVB_USB_AF9015=3Dm
+CONFIG_DVB_USB_AF9035=3Dm
+CONFIG_DVB_USB_ANYSEE=3Dm
+CONFIG_DVB_USB_AU6610=3Dm
+CONFIG_DVB_USB_AZ6007=3Dm
+CONFIG_DVB_USB_CE6230=3Dm
+CONFIG_DVB_USB_EC168=3Dm
+CONFIG_DVB_USB_GL861=3Dm
+CONFIG_DVB_USB_LME2510=3Dm
+CONFIG_DVB_USB_MXL111SF=3Dm
+CONFIG_DVB_USB_RTL28XXU=3Dm
+CONFIG_DVB_USB_DVBSKY=3Dm
+# CONFIG_DVB_USB_ZD1301 is not set
+CONFIG_DVB_TTUSB_BUDGET=3Dm
+CONFIG_DVB_TTUSB_DEC=3Dm
+CONFIG_SMS_USB_DRV=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_USB=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_USB_DEBUG is not set
+CONFIG_DVB_AS102=3Dm
+
+#
+# Webcam, TV (analog/digital) USB devices
+#
+CONFIG_VIDEO_EM28XX=3Dm
+CONFIG_VIDEO_EM28XX_V4L2=3Dm
+CONFIG_VIDEO_EM28XX_ALSA=3Dm
+CONFIG_VIDEO_EM28XX_DVB=3Dm
+CONFIG_VIDEO_EM28XX_RC=3Dm
+
+#
+# Software defined radio USB devices
+#
+CONFIG_USB_AIRSPY=3Dm
+CONFIG_USB_HACKRF=3Dm
+CONFIG_USB_MSI2500=3Dm
+
+#
+# USB HDMI CEC adapters
+#
+CONFIG_USB_PULSE8_CEC=3Dm
+CONFIG_USB_RAINSHADOW_CEC=3Dm
+CONFIG_MEDIA_PCI_SUPPORT=3Dy
+
+#
+# Media capture support
+#
+CONFIG_VIDEO_SOLO6X10=3Dm
+CONFIG_VIDEO_TW5864=3Dm
+CONFIG_VIDEO_TW68=3Dm
+CONFIG_VIDEO_TW686X=3Dm
+
+#
+# Media capture/analog TV support
+#
+CONFIG_VIDEO_IVTV=3Dm
+# CONFIG_VIDEO_IVTV_DEPRECATED_IOCTLS is not set
+CONFIG_VIDEO_IVTV_ALSA=3Dm
+CONFIG_VIDEO_FB_IVTV=3Dm
+CONFIG_VIDEO_HEXIUM_GEMINI=3Dm
+CONFIG_VIDEO_HEXIUM_ORION=3Dm
+CONFIG_VIDEO_MXB=3Dm
+CONFIG_VIDEO_DT3155=3Dm
+
+#
+# Media capture/analog/hybrid TV support
+#
+CONFIG_VIDEO_CX18=3Dm
+CONFIG_VIDEO_CX18_ALSA=3Dm
+CONFIG_VIDEO_CX23885=3Dm
+CONFIG_MEDIA_ALTERA_CI=3Dm
+# CONFIG_VIDEO_CX25821 is not set
+CONFIG_VIDEO_CX88=3Dm
+CONFIG_VIDEO_CX88_ALSA=3Dm
+CONFIG_VIDEO_CX88_BLACKBIRD=3Dm
+CONFIG_VIDEO_CX88_DVB=3Dm
+CONFIG_VIDEO_CX88_ENABLE_VP3054=3Dy
+CONFIG_VIDEO_CX88_VP3054=3Dm
+CONFIG_VIDEO_CX88_MPEG=3Dm
+CONFIG_VIDEO_BT848=3Dm
+CONFIG_DVB_BT8XX=3Dm
+CONFIG_VIDEO_SAA7134=3Dm
+CONFIG_VIDEO_SAA7134_ALSA=3Dm
+CONFIG_VIDEO_SAA7134_RC=3Dy
+CONFIG_VIDEO_SAA7134_DVB=3Dm
+# CONFIG_VIDEO_SAA7134_GO7007 is not set
+CONFIG_VIDEO_SAA7164=3Dm
+
+#
+# Media digital TV PCI Adapters
+#
+CONFIG_DVB_AV7110_IR=3Dy
+CONFIG_DVB_AV7110=3Dm
+CONFIG_DVB_AV7110_OSD=3Dy
+CONFIG_DVB_BUDGET_CORE=3Dm
+CONFIG_DVB_BUDGET=3Dm
+CONFIG_DVB_BUDGET_CI=3Dm
+CONFIG_DVB_BUDGET_AV=3Dm
+CONFIG_DVB_BUDGET_PATCH=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_PCI=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_PCI_DEBUG is not set
+CONFIG_DVB_PLUTO2=3Dm
+CONFIG_DVB_DM1105=3Dm
+CONFIG_DVB_PT1=3Dm
+CONFIG_DVB_PT3=3Dm
+CONFIG_MANTIS_CORE=3Dm
+CONFIG_DVB_MANTIS=3Dm
+CONFIG_DVB_HOPPER=3Dm
+CONFIG_DVB_NGENE=3Dm
+CONFIG_DVB_DDBRIDGE=3Dm
+# CONFIG_DVB_DDBRIDGE_MSIENABLE is not set
+CONFIG_DVB_SMIPCIE=3Dm
+CONFIG_DVB_NETUP_UNIDVB=3Dm
+CONFIG_V4L_PLATFORM_DRIVERS=3Dy
+CONFIG_VIDEO_CAFE_CCIC=3Dm
+CONFIG_VIDEO_CADENCE=3Dy
+# CONFIG_VIDEO_ASPEED is not set
+CONFIG_V4L_MEM2MEM_DRIVERS=3Dy
+CONFIG_VIDEO_CODA=3Dm
+CONFIG_VIDEO_IMX_PXP=3Dm
+# CONFIG_VIDEO_MEM2MEM_DEINTERLACE is not set
+# CONFIG_VIDEO_SH_VEU is not set
+# CONFIG_VIDEO_ROCKCHIP_RGA is not set
+CONFIG_VIDEO_QCOM_VENUS=3Dm
+CONFIG_V4L_TEST_DRIVERS=3Dy
+CONFIG_VIDEO_VIVID=3Dm
+CONFIG_VIDEO_VIVID_CEC=3Dy
+CONFIG_VIDEO_VIVID_MAX_DEVS=3D64
+# CONFIG_VIDEO_VIM2M is not set
+# CONFIG_VIDEO_VICODEC is not set
+# CONFIG_DVB_PLATFORM_DRIVERS is not set
+# CONFIG_CEC_PLATFORM_DRIVERS is not set
+# CONFIG_SDR_PLATFORM_DRIVERS is not set
+
+#
+# Supported MMC/SDIO adapters
+#
+CONFIG_SMS_SDIO_DRV=3Dm
+CONFIG_RADIO_ADAPTERS=3Dy
+CONFIG_RADIO_TEA575X=3Dm
+CONFIG_RADIO_SI470X=3Dm
+CONFIG_USB_SI470X=3Dm
+# CONFIG_I2C_SI470X is not set
+# CONFIG_RADIO_SI4713 is not set
+CONFIG_USB_MR800=3Dm
+# CONFIG_USB_DSBR is not set
+# CONFIG_RADIO_MAXIRADIO is not set
+CONFIG_RADIO_SHARK=3Dm
+CONFIG_RADIO_SHARK2=3Dm
+CONFIG_USB_KEENE=3Dm
+CONFIG_USB_RAREMONO=3Dm
+CONFIG_USB_MA901=3Dm
+# CONFIG_RADIO_TEA5764 is not set
+# CONFIG_RADIO_SAA7706H is not set
+# CONFIG_RADIO_TEF6862 is not set
+# CONFIG_RADIO_WL1273 is not set
+
+#
+# Texas Instruments WL128x FM driver (ST based)
+#
+# CONFIG_RADIO_WL128X is not set
+# end of Texas Instruments WL128x FM driver (ST based)
+
+#
+# Supported FireWire (IEEE 1394) Adapters
+#
+CONFIG_DVB_FIREDTV=3Dm
+CONFIG_DVB_FIREDTV_INPUT=3Dy
+CONFIG_MEDIA_COMMON_OPTIONS=3Dy
+
+#
+# common driver options
+#
+CONFIG_VIDEO_CX2341X=3Dm
+CONFIG_VIDEO_TVEEPROM=3Dm
+CONFIG_CYPRESS_FIRMWARE=3Dm
+CONFIG_VIDEOBUF2_CORE=3Dm
+CONFIG_VIDEOBUF2_V4L2=3Dm
+CONFIG_VIDEOBUF2_MEMOPS=3Dm
+CONFIG_VIDEOBUF2_DMA_CONTIG=3Dm
+CONFIG_VIDEOBUF2_VMALLOC=3Dm
+CONFIG_VIDEOBUF2_DMA_SG=3Dm
+CONFIG_VIDEOBUF2_DVB=3Dm
+CONFIG_DVB_B2C2_FLEXCOP=3Dm
+CONFIG_VIDEO_SAA7146=3Dm
+CONFIG_VIDEO_SAA7146_VV=3Dm
+CONFIG_SMS_SIANO_MDTV=3Dm
+CONFIG_SMS_SIANO_RC=3Dy
+# CONFIG_SMS_SIANO_DEBUGFS is not set
+CONFIG_VIDEO_V4L2_TPG=3Dm
+
+#
+# Media ancillary drivers (tuners, sensors, i2c, spi, frontends)
+#
+CONFIG_MEDIA_SUBDRV_AUTOSELECT=3Dy
+CONFIG_MEDIA_ATTACH=3Dy
+CONFIG_VIDEO_IR_I2C=3Dm
+
+#
+# I2C Encoders, decoders, sensors and other helper chips
+#
+
+#
+# Audio decoders, processors and mixers
+#
+CONFIG_VIDEO_TVAUDIO=3Dm
+CONFIG_VIDEO_TDA7432=3Dm
+CONFIG_VIDEO_TDA9840=3Dm
+CONFIG_VIDEO_TEA6415C=3Dm
+CONFIG_VIDEO_TEA6420=3Dm
+CONFIG_VIDEO_MSP3400=3Dm
+CONFIG_VIDEO_CS3308=3Dm
+CONFIG_VIDEO_CS5345=3Dm
+CONFIG_VIDEO_CS53L32A=3Dm
+CONFIG_VIDEO_TLV320AIC23B=3Dm
+CONFIG_VIDEO_UDA1342=3Dm
+CONFIG_VIDEO_WM8775=3Dm
+CONFIG_VIDEO_WM8739=3Dm
+CONFIG_VIDEO_VP27SMPX=3Dm
+CONFIG_VIDEO_SONY_BTF_MPX=3Dm
+
+#
+# RDS decoders
+#
+CONFIG_VIDEO_SAA6588=3Dm
+
+#
+# Video decoders
+#
+CONFIG_VIDEO_ADV7183=3Dm
+CONFIG_VIDEO_BT819=3Dm
+CONFIG_VIDEO_BT856=3Dm
+CONFIG_VIDEO_BT866=3Dm
+CONFIG_VIDEO_KS0127=3Dm
+CONFIG_VIDEO_ML86V7667=3Dm
+CONFIG_VIDEO_SAA7110=3Dm
+CONFIG_VIDEO_SAA711X=3Dm
+CONFIG_VIDEO_TVP514X=3Dm
+CONFIG_VIDEO_TVP5150=3Dm
+CONFIG_VIDEO_TVP7002=3Dm
+CONFIG_VIDEO_TW2804=3Dm
+CONFIG_VIDEO_TW9903=3Dm
+CONFIG_VIDEO_TW9906=3Dm
+CONFIG_VIDEO_TW9910=3Dm
+CONFIG_VIDEO_VPX3220=3Dm
+
+#
+# Video and audio decoders
+#
+CONFIG_VIDEO_SAA717X=3Dm
+CONFIG_VIDEO_CX25840=3Dm
+
+#
+# Video encoders
+#
+CONFIG_VIDEO_SAA7127=3Dm
+CONFIG_VIDEO_SAA7185=3Dm
+CONFIG_VIDEO_ADV7170=3Dm
+CONFIG_VIDEO_ADV7175=3Dm
+CONFIG_VIDEO_ADV7343=3Dm
+CONFIG_VIDEO_ADV7393=3Dm
+CONFIG_VIDEO_AK881X=3Dm
+CONFIG_VIDEO_THS8200=3Dm
+
+#
+# Camera sensor devices
+#
+CONFIG_VIDEO_OV2640=3Dm
+CONFIG_VIDEO_OV2659=3Dm
+CONFIG_VIDEO_OV2680=3Dm
+CONFIG_VIDEO_OV2685=3Dm
+CONFIG_VIDEO_OV6650=3Dm
+CONFIG_VIDEO_OV5695=3Dm
+CONFIG_VIDEO_OV772X=3Dm
+CONFIG_VIDEO_OV7640=3Dm
+CONFIG_VIDEO_OV7670=3Dm
+CONFIG_VIDEO_OV7740=3Dm
+CONFIG_VIDEO_OV9640=3Dm
+CONFIG_VIDEO_VS6624=3Dm
+CONFIG_VIDEO_MT9M111=3Dm
+CONFIG_VIDEO_MT9T112=3Dm
+CONFIG_VIDEO_MT9V011=3Dm
+CONFIG_VIDEO_MT9V111=3Dm
+CONFIG_VIDEO_SR030PC30=3Dm
+CONFIG_VIDEO_RJ54N1=3Dm
+
+#
+# Lens drivers
+#
+CONFIG_VIDEO_AD5820=3Dm
+
+#
+# Flash devices
+#
+CONFIG_VIDEO_ADP1653=3Dm
+CONFIG_VIDEO_LM3560=3Dm
+CONFIG_VIDEO_LM3646=3Dm
+
+#
+# Video improvement chips
+#
+CONFIG_VIDEO_UPD64031A=3Dm
+CONFIG_VIDEO_UPD64083=3Dm
+
+#
+# Audio/Video compression chips
+#
+CONFIG_VIDEO_SAA6752HS=3Dm
+
+#
+# SDR tuner chips
+#
+CONFIG_SDR_MAX2175=3Dm
+
+#
+# Miscellaneous helper chips
+#
+CONFIG_VIDEO_THS7303=3Dm
+CONFIG_VIDEO_M52790=3Dm
+CONFIG_VIDEO_I2C=3Dm
+# end of I2C Encoders, decoders, sensors and other helper chips
+
+#
+# SPI helper chips
+#
+# end of SPI helper chips
+
+#
+# Media SPI Adapters
+#
+CONFIG_CXD2880_SPI_DRV=3Dm
+# end of Media SPI Adapters
+
+CONFIG_MEDIA_TUNER=3Dm
+
+#
+# Customize TV tuners
+#
+CONFIG_MEDIA_TUNER_SIMPLE=3Dm
+CONFIG_MEDIA_TUNER_TDA18250=3Dm
+CONFIG_MEDIA_TUNER_TDA8290=3Dm
+CONFIG_MEDIA_TUNER_TDA827X=3Dm
+CONFIG_MEDIA_TUNER_TDA18271=3Dm
+CONFIG_MEDIA_TUNER_TDA9887=3Dm
+CONFIG_MEDIA_TUNER_TEA5761=3Dm
+CONFIG_MEDIA_TUNER_TEA5767=3Dm
+CONFIG_MEDIA_TUNER_MSI001=3Dm
+CONFIG_MEDIA_TUNER_MT20XX=3Dm
+CONFIG_MEDIA_TUNER_MT2060=3Dm
+CONFIG_MEDIA_TUNER_MT2063=3Dm
+CONFIG_MEDIA_TUNER_MT2266=3Dm
+CONFIG_MEDIA_TUNER_MT2131=3Dm
+CONFIG_MEDIA_TUNER_QT1010=3Dm
+CONFIG_MEDIA_TUNER_XC2028=3Dm
+CONFIG_MEDIA_TUNER_XC5000=3Dm
+CONFIG_MEDIA_TUNER_XC4000=3Dm
+CONFIG_MEDIA_TUNER_MXL5005S=3Dm
+CONFIG_MEDIA_TUNER_MXL5007T=3Dm
+CONFIG_MEDIA_TUNER_MC44S803=3Dm
+CONFIG_MEDIA_TUNER_MAX2165=3Dm
+CONFIG_MEDIA_TUNER_TDA18218=3Dm
+CONFIG_MEDIA_TUNER_FC0011=3Dm
+CONFIG_MEDIA_TUNER_FC0012=3Dm
+CONFIG_MEDIA_TUNER_FC0013=3Dm
+CONFIG_MEDIA_TUNER_TDA18212=3Dm
+CONFIG_MEDIA_TUNER_E4000=3Dm
+CONFIG_MEDIA_TUNER_FC2580=3Dm
+CONFIG_MEDIA_TUNER_M88RS6000T=3Dm
+CONFIG_MEDIA_TUNER_TUA9001=3Dm
+CONFIG_MEDIA_TUNER_SI2157=3Dm
+CONFIG_MEDIA_TUNER_IT913X=3Dm
+CONFIG_MEDIA_TUNER_R820T=3Dm
+CONFIG_MEDIA_TUNER_MXL301RF=3Dm
+CONFIG_MEDIA_TUNER_QM1D1C0042=3Dm
+CONFIG_MEDIA_TUNER_QM1D1B0004=3Dm
+# end of Customize TV tuners
+
+#
+# Customise DVB Frontends
+#
+
+#
+# Multistandard (satellite) frontends
+#
+CONFIG_DVB_STB0899=3Dm
+CONFIG_DVB_STB6100=3Dm
+CONFIG_DVB_STV090x=3Dm
+CONFIG_DVB_STV0910=3Dm
+CONFIG_DVB_STV6110x=3Dm
+CONFIG_DVB_STV6111=3Dm
+CONFIG_DVB_MXL5XX=3Dm
+CONFIG_DVB_M88DS3103=3Dm
+
+#
+# Multistandard (cable + terrestrial) frontends
+#
+CONFIG_DVB_DRXK=3Dm
+CONFIG_DVB_TDA18271C2DD=3Dm
+CONFIG_DVB_SI2165=3Dm
+CONFIG_DVB_MN88472=3Dm
+CONFIG_DVB_MN88473=3Dm
+
+#
+# DVB-S (satellite) frontends
+#
+CONFIG_DVB_CX24110=3Dm
+CONFIG_DVB_CX24123=3Dm
+CONFIG_DVB_MT312=3Dm
+CONFIG_DVB_ZL10036=3Dm
+CONFIG_DVB_ZL10039=3Dm
+CONFIG_DVB_S5H1420=3Dm
+CONFIG_DVB_STV0288=3Dm
+CONFIG_DVB_STB6000=3Dm
+CONFIG_DVB_STV0299=3Dm
+CONFIG_DVB_STV6110=3Dm
+CONFIG_DVB_STV0900=3Dm
+CONFIG_DVB_TDA8083=3Dm
+CONFIG_DVB_TDA10086=3Dm
+CONFIG_DVB_TDA8261=3Dm
+CONFIG_DVB_VES1X93=3Dm
+CONFIG_DVB_TUNER_ITD1000=3Dm
+CONFIG_DVB_TUNER_CX24113=3Dm
+CONFIG_DVB_TDA826X=3Dm
+CONFIG_DVB_TUA6100=3Dm
+CONFIG_DVB_CX24116=3Dm
+CONFIG_DVB_CX24117=3Dm
+CONFIG_DVB_CX24120=3Dm
+CONFIG_DVB_SI21XX=3Dm
+CONFIG_DVB_TS2020=3Dm
+CONFIG_DVB_DS3000=3Dm
+CONFIG_DVB_MB86A16=3Dm
+CONFIG_DVB_TDA10071=3Dm
+
+#
+# DVB-T (terrestrial) frontends
+#
+CONFIG_DVB_SP8870=3Dm
+CONFIG_DVB_SP887X=3Dm
+CONFIG_DVB_CX22700=3Dm
+CONFIG_DVB_CX22702=3Dm
+CONFIG_DVB_S5H1432=3Dm
+CONFIG_DVB_DRXD=3Dm
+CONFIG_DVB_L64781=3Dm
+CONFIG_DVB_TDA1004X=3Dm
+CONFIG_DVB_NXT6000=3Dm
+CONFIG_DVB_MT352=3Dm
+CONFIG_DVB_ZL10353=3Dm
+CONFIG_DVB_DIB3000MB=3Dm
+CONFIG_DVB_DIB3000MC=3Dm
+CONFIG_DVB_DIB7000M=3Dm
+CONFIG_DVB_DIB7000P=3Dm
+CONFIG_DVB_DIB9000=3Dm
+CONFIG_DVB_TDA10048=3Dm
+CONFIG_DVB_AF9013=3Dm
+CONFIG_DVB_EC100=3Dm
+CONFIG_DVB_STV0367=3Dm
+CONFIG_DVB_CXD2820R=3Dm
+CONFIG_DVB_CXD2841ER=3Dm
+CONFIG_DVB_RTL2830=3Dm
+CONFIG_DVB_RTL2832=3Dm
+CONFIG_DVB_RTL2832_SDR=3Dm
+CONFIG_DVB_SI2168=3Dm
+CONFIG_DVB_AS102_FE=3Dm
+CONFIG_DVB_ZD1301_DEMOD=3Dm
+CONFIG_DVB_GP8PSK_FE=3Dm
+CONFIG_DVB_CXD2880=3Dm
+
+#
+# DVB-C (cable) frontends
+#
+CONFIG_DVB_VES1820=3Dm
+CONFIG_DVB_TDA10021=3Dm
+CONFIG_DVB_TDA10023=3Dm
+CONFIG_DVB_STV0297=3Dm
+
+#
+# ATSC (North American/Korean Terrestrial/Cable DTV) frontends
+#
+CONFIG_DVB_NXT200X=3Dm
+CONFIG_DVB_OR51211=3Dm
+CONFIG_DVB_OR51132=3Dm
+CONFIG_DVB_BCM3510=3Dm
+CONFIG_DVB_LGDT330X=3Dm
+CONFIG_DVB_LGDT3305=3Dm
+CONFIG_DVB_LGDT3306A=3Dm
+CONFIG_DVB_LG2160=3Dm
+CONFIG_DVB_S5H1409=3Dm
+CONFIG_DVB_AU8522=3Dm
+CONFIG_DVB_AU8522_DTV=3Dm
+CONFIG_DVB_AU8522_V4L=3Dm
+CONFIG_DVB_S5H1411=3Dm
+
+#
+# ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_S921=3Dm
+CONFIG_DVB_DIB8000=3Dm
+CONFIG_DVB_MB86A20S=3Dm
+
+#
+# ISDB-S (satellite) & ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_TC90522=3Dm
+CONFIG_DVB_MN88443X=3Dm
+
+#
+# Digital terrestrial only tuners/PLL
+#
+CONFIG_DVB_PLL=3Dm
+CONFIG_DVB_TUNER_DIB0070=3Dm
+CONFIG_DVB_TUNER_DIB0090=3Dm
+
+#
+# SEC control devices for DVB-S
+#
+CONFIG_DVB_DRX39XYJ=3Dm
+CONFIG_DVB_LNBH25=3Dm
+CONFIG_DVB_LNBH29=3Dm
+CONFIG_DVB_LNBP21=3Dm
+CONFIG_DVB_LNBP22=3Dm
+CONFIG_DVB_ISL6405=3Dm
+CONFIG_DVB_ISL6421=3Dm
+CONFIG_DVB_ISL6423=3Dm
+CONFIG_DVB_A8293=3Dm
+CONFIG_DVB_LGS8GL5=3Dm
+CONFIG_DVB_LGS8GXX=3Dm
+CONFIG_DVB_ATBM8830=3Dm
+CONFIG_DVB_TDA665x=3Dm
+CONFIG_DVB_IX2505V=3Dm
+CONFIG_DVB_M88RS2000=3Dm
+CONFIG_DVB_AF9033=3Dm
+CONFIG_DVB_HORUS3A=3Dm
+CONFIG_DVB_ASCOT2E=3Dm
+CONFIG_DVB_HELENE=3Dm
+
+#
+# Common Interface (EN50221) controller drivers
+#
+CONFIG_DVB_CXD2099=3Dm
+CONFIG_DVB_SP2=3Dm
+
+#
+# Tools to develop new frontends
+#
+CONFIG_DVB_DUMMY_FE=3Dm
+# end of Customise DVB Frontends
+
+#
+# Graphics support
+#
+CONFIG_VGA_ARB=3Dy
+CONFIG_VGA_ARB_MAX_GPUS=3D16
+CONFIG_TEGRA_HOST1X=3Dm
+CONFIG_TEGRA_HOST1X_FIREWALL=3Dy
+CONFIG_DRM=3Dm
+CONFIG_DRM_MIPI_DSI=3Dy
+CONFIG_DRM_DP_AUX_CHARDEV=3Dy
+# CONFIG_DRM_DEBUG_SELFTEST is not set
+CONFIG_DRM_KMS_HELPER=3Dm
+CONFIG_DRM_KMS_FB_HELPER=3Dy
+CONFIG_DRM_FBDEV_EMULATION=3Dy
+CONFIG_DRM_FBDEV_OVERALLOC=3D100
+# CONFIG_DRM_FBDEV_LEAK_PHYS_SMEM is not set
+CONFIG_DRM_LOAD_EDID_FIRMWARE=3Dy
+# CONFIG_DRM_DP_CEC is not set
+CONFIG_DRM_TTM=3Dm
+CONFIG_DRM_VRAM_HELPER=3Dm
+CONFIG_DRM_GEM_CMA_HELPER=3Dy
+CONFIG_DRM_KMS_CMA_HELPER=3Dy
+CONFIG_DRM_GEM_SHMEM_HELPER=3Dy
+CONFIG_DRM_VM=3Dy
+CONFIG_DRM_SCHED=3Dm
+
+#
+# I2C encoder or helper chips
+#
+# CONFIG_DRM_I2C_CH7006 is not set
+# CONFIG_DRM_I2C_SIL164 is not set
+# CONFIG_DRM_I2C_NXP_TDA998X is not set
+# CONFIG_DRM_I2C_NXP_TDA9950 is not set
+# end of I2C encoder or helper chips
+
+#
+# ARM devices
+#
+CONFIG_DRM_HDLCD=3Dm
+# CONFIG_DRM_HDLCD_SHOW_UNDERRUN is not set
+CONFIG_DRM_MALI_DISPLAY=3Dm
+CONFIG_DRM_KOMEDA=3Dm
+# end of ARM devices
+
+CONFIG_DRM_RADEON=3Dm
+# CONFIG_DRM_RADEON_USERPTR is not set
+CONFIG_DRM_AMDGPU=3Dm
+CONFIG_DRM_AMDGPU_SI=3Dy
+CONFIG_DRM_AMDGPU_CIK=3Dy
+CONFIG_DRM_AMDGPU_USERPTR=3Dy
+# CONFIG_DRM_AMDGPU_GART_DEBUGFS is not set
+
+#
+# ACP (Audio CoProcessor) Configuration
+#
+# CONFIG_DRM_AMD_ACP is not set
+# end of ACP (Audio CoProcessor) Configuration
+
+#
+# Display Engine Configuration
+#
+CONFIG_DRM_AMD_DC=3Dy
+# CONFIG_DEBUG_KERNEL_DC is not set
+# end of Display Engine Configuration
+
+# CONFIG_HSA_AMD is not set
+CONFIG_DRM_NOUVEAU=3Dm
+# CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT is not set
+CONFIG_NOUVEAU_PLATFORM_DRIVER=3Dy
+CONFIG_NOUVEAU_DEBUG=3D5
+CONFIG_NOUVEAU_DEBUG_DEFAULT=3D3
+# CONFIG_NOUVEAU_DEBUG_MMU is not set
+CONFIG_DRM_NOUVEAU_BACKLIGHT=3Dy
+CONFIG_DRM_VGEM=3Dm
+# CONFIG_DRM_VKMS is not set
+CONFIG_DRM_ATI_PCIGART=3Dy
+CONFIG_DRM_UDL=3Dm
+CONFIG_DRM_AST=3Dm
+# CONFIG_DRM_MGAG200 is not set
+CONFIG_DRM_CIRRUS_QEMU=3Dm
+# CONFIG_DRM_RCAR_DW_HDMI is not set
+# CONFIG_DRM_RCAR_LVDS is not set
+CONFIG_DRM_RCAR_WRITEBACK=3Dy
+# CONFIG_DRM_SUN4I is not set
+CONFIG_DRM_QXL=3Dm
+CONFIG_DRM_BOCHS=3Dm
+CONFIG_DRM_VIRTIO_GPU=3Dm
+CONFIG_DRM_MSM=3Dm
+CONFIG_DRM_MSM_GPU_STATE=3Dy
+# CONFIG_DRM_MSM_REGISTER_LOGGING is not set
+# CONFIG_DRM_MSM_GPU_SUDO is not set
+CONFIG_DRM_MSM_HDMI_HDCP=3Dy
+CONFIG_DRM_MSM_DSI=3Dy
+CONFIG_DRM_MSM_DSI_PLL=3Dy
+CONFIG_DRM_MSM_DSI_28NM_PHY=3Dy
+CONFIG_DRM_MSM_DSI_20NM_PHY=3Dy
+CONFIG_DRM_MSM_DSI_28NM_8960_PHY=3Dy
+CONFIG_DRM_MSM_DSI_14NM_PHY=3Dy
+CONFIG_DRM_MSM_DSI_10NM_PHY=3Dy
+CONFIG_DRM_TEGRA=3Dm
+# CONFIG_DRM_TEGRA_DEBUG is not set
+CONFIG_DRM_TEGRA_STAGING=3Dy
+CONFIG_DRM_PANEL=3Dy
+
+#
+# Display Panels
+#
+CONFIG_DRM_PANEL_ARM_VERSATILE=3Dm
+# CONFIG_DRM_PANEL_LVDS is not set
+CONFIG_DRM_PANEL_SIMPLE=3Dm
+# CONFIG_DRM_PANEL_FEIYANG_FY07024DI26A30D is not set
+# CONFIG_DRM_PANEL_ILITEK_IL9322 is not set
+# CONFIG_DRM_PANEL_ILITEK_ILI9881C is not set
+# CONFIG_DRM_PANEL_INNOLUX_P079ZCA is not set
+# CONFIG_DRM_PANEL_JDI_LT070ME05000 is not set
+# CONFIG_DRM_PANEL_KINGDISPLAY_KD097D04 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_LD9040 is not set
+# CONFIG_DRM_PANEL_LG_LB035Q02 is not set
+# CONFIG_DRM_PANEL_LG_LG4573 is not set
+# CONFIG_DRM_PANEL_NEC_NL8048HL11 is not set
+# CONFIG_DRM_PANEL_NOVATEK_NT39016 is not set
+# CONFIG_DRM_PANEL_OLIMEX_LCD_OLINUXINO is not set
+# CONFIG_DRM_PANEL_ORISETECH_OTM8009A is not set
+CONFIG_DRM_PANEL_OSD_OSD101T2587_53TS=3Dm
+# CONFIG_DRM_PANEL_PANASONIC_VVX10F034N00 is not set
+# CONFIG_DRM_PANEL_RASPBERRYPI_TOUCHSCREEN is not set
+# CONFIG_DRM_PANEL_RAYDIUM_RM67191 is not set
+# CONFIG_DRM_PANEL_RAYDIUM_RM68200 is not set
+# CONFIG_DRM_PANEL_ROCKTECH_JH057N00900 is not set
+# CONFIG_DRM_PANEL_RONBO_RB070D30 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6D16D0 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E3HA2 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E63J0X03 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E63M0 is not set
+# CONFIG_DRM_PANEL_SAMSUNG_S6E8AA0 is not set
+# CONFIG_DRM_PANEL_SEIKO_43WVF1G is not set
+# CONFIG_DRM_PANEL_SHARP_LQ101R1SX01 is not set
+# CONFIG_DRM_PANEL_SHARP_LS037V7DW01 is not set
+# CONFIG_DRM_PANEL_SHARP_LS043T1LE01 is not set
+# CONFIG_DRM_PANEL_SITRONIX_ST7701 is not set
+# CONFIG_DRM_PANEL_SITRONIX_ST7789V is not set
+# CONFIG_DRM_PANEL_SONY_ACX565AKM is not set
+# CONFIG_DRM_PANEL_TPO_TD028TTEC1 is not set
+# CONFIG_DRM_PANEL_TPO_TD043MTEA1 is not set
+# CONFIG_DRM_PANEL_TPO_TPG110 is not set
+# CONFIG_DRM_PANEL_TRULY_NT35597_WQXGA is not set
+# end of Display Panels
+
+CONFIG_DRM_BRIDGE=3Dy
+CONFIG_DRM_PANEL_BRIDGE=3Dy
+
+#
+# Display Interface Bridges
+#
+# CONFIG_DRM_ANALOGIX_ANX78XX is not set
+CONFIG_DRM_CDNS_DSI=3Dm
+# CONFIG_DRM_DUMB_VGA_DAC is not set
+# CONFIG_DRM_LVDS_ENCODER is not set
+# CONFIG_DRM_MEGACHIPS_STDPXXXX_GE_B850V3_FW is not set
+# CONFIG_DRM_NXP_PTN3460 is not set
+# CONFIG_DRM_PARADE_PS8622 is not set
+# CONFIG_DRM_SIL_SII8620 is not set
+# CONFIG_DRM_SII902X is not set
+# CONFIG_DRM_SII9234 is not set
+# CONFIG_DRM_THINE_THC63LVD1024 is not set
+# CONFIG_DRM_TOSHIBA_TC358764 is not set
+# CONFIG_DRM_TOSHIBA_TC358767 is not set
+# CONFIG_DRM_TI_TFP410 is not set
+# CONFIG_DRM_TI_SN65DSI86 is not set
+CONFIG_DRM_I2C_ADV7511=3Dm
+CONFIG_DRM_I2C_ADV7511_AUDIO=3Dy
+CONFIG_DRM_I2C_ADV7533=3Dy
+CONFIG_DRM_I2C_ADV7511_CEC=3Dy
+CONFIG_DRM_DW_HDMI=3Dm
+# CONFIG_DRM_DW_HDMI_AHB_AUDIO is not set
+# CONFIG_DRM_DW_HDMI_I2S_AUDIO is not set
+# CONFIG_DRM_DW_HDMI_CEC is not set
+# end of Display Interface Bridges
+
+CONFIG_DRM_VC4=3Dm
+# CONFIG_DRM_VC4_HDMI_CEC is not set
+CONFIG_DRM_ETNAVIV=3Dm
+CONFIG_DRM_ETNAVIV_THERMAL=3Dy
+# CONFIG_DRM_ARCPGU is not set
+CONFIG_DRM_HISI_HIBMC=3Dm
+CONFIG_DRM_HISI_KIRIN=3Dm
+# CONFIG_DRM_MXSFB is not set
+CONFIG_DRM_MESON=3Dm
+CONFIG_DRM_MESON_DW_HDMI=3Dm
+CONFIG_DRM_GM12U320=3Dm
+# CONFIG_TINYDRM_HX8357D is not set
+# CONFIG_TINYDRM_ILI9225 is not set
+# CONFIG_TINYDRM_ILI9341 is not set
+# CONFIG_TINYDRM_MI0283QT is not set
+# CONFIG_TINYDRM_REPAPER is not set
+# CONFIG_TINYDRM_ST7586 is not set
+# CONFIG_TINYDRM_ST7735R is not set
+# CONFIG_DRM_PL111 is not set
+# CONFIG_DRM_XEN is not set
+CONFIG_DRM_LIMA=3Dm
+CONFIG_DRM_PANFROST=3Dm
+CONFIG_DRM_LEGACY=3Dy
+# CONFIG_DRM_TDFX is not set
+# CONFIG_DRM_R128 is not set
+# CONFIG_DRM_MGA is not set
+CONFIG_DRM_VIA=3Dm
+CONFIG_DRM_SAVAGE=3Dm
+CONFIG_DRM_PANEL_ORIENTATION_QUIRKS=3Dy
+
+#
+# Frame buffer Devices
+#
+CONFIG_FB_CMDLINE=3Dy
+CONFIG_FB_NOTIFY=3Dy
+CONFIG_FB=3Dy
+CONFIG_FIRMWARE_EDID=3Dy
+CONFIG_FB_DDC=3Dm
+CONFIG_FB_CFB_FILLRECT=3Dy
+CONFIG_FB_CFB_COPYAREA=3Dy
+CONFIG_FB_CFB_IMAGEBLIT=3Dy
+CONFIG_FB_SYS_FILLRECT=3Dy
+CONFIG_FB_SYS_COPYAREA=3Dy
+CONFIG_FB_SYS_IMAGEBLIT=3Dy
+# CONFIG_FB_FOREIGN_ENDIAN is not set
+CONFIG_FB_SYS_FOPS=3Dy
+CONFIG_FB_DEFERRED_IO=3Dy
+CONFIG_FB_SVGALIB=3Dm
+CONFIG_FB_MODE_HELPERS=3Dy
+CONFIG_FB_TILEBLITTING=3Dy
+
+#
+# Frame buffer hardware drivers
+#
+# CONFIG_FB_CIRRUS is not set
+# CONFIG_FB_PM2 is not set
+CONFIG_FB_ARMCLCD=3Dy
+CONFIG_FB_IMX=3Dm
+# CONFIG_FB_CYBER2000 is not set
+# CONFIG_FB_ASILIANT is not set
+# CONFIG_FB_IMSTT is not set
+# CONFIG_FB_UVESA is not set
+CONFIG_FB_EFI=3Dy
+# CONFIG_FB_OPENCORES is not set
+# CONFIG_FB_S1D13XXX is not set
+# CONFIG_FB_NVIDIA is not set
+# CONFIG_FB_RIVA is not set
+# CONFIG_FB_I740 is not set
+# CONFIG_FB_MATROX is not set
+# CONFIG_FB_RADEON is not set
+# CONFIG_FB_ATY128 is not set
+# CONFIG_FB_ATY is not set
+CONFIG_FB_S3=3Dm
+CONFIG_FB_S3_DDC=3Dy
+# CONFIG_FB_SAVAGE is not set
+# CONFIG_FB_SIS is not set
+# CONFIG_FB_NEOMAGIC is not set
+# CONFIG_FB_KYRO is not set
+CONFIG_FB_3DFX=3Dm
+# CONFIG_FB_3DFX_ACCEL is not set
+CONFIG_FB_3DFX_I2C=3Dy
+# CONFIG_FB_VOODOO1 is not set
+CONFIG_FB_VT8623=3Dm
+# CONFIG_FB_TRIDENT is not set
+CONFIG_FB_ARK=3Dm
+CONFIG_FB_PM3=3Dm
+# CONFIG_FB_CARMINE is not set
+CONFIG_FB_SMSCUFX=3Dm
+CONFIG_FB_UDL=3Dm
+# CONFIG_FB_IBM_GXT4500 is not set
+# CONFIG_FB_VIRTUAL is not set
+CONFIG_XEN_FBDEV_FRONTEND=3Dy
+# CONFIG_FB_METRONOME is not set
+CONFIG_FB_MB862XX=3Dm
+CONFIG_FB_MB862XX_PCI_GDC=3Dy
+CONFIG_FB_MB862XX_I2C=3Dy
+# CONFIG_FB_MX3 is not set
+CONFIG_FB_SIMPLE=3Dy
+# CONFIG_FB_SSD1307 is not set
+# CONFIG_FB_SM712 is not set
+# end of Frame buffer Devices
+
+#
+# Backlight & LCD device support
+#
+CONFIG_LCD_CLASS_DEVICE=3Dm
+CONFIG_LCD_L4F00242T03=3Dm
+CONFIG_LCD_LMS283GF05=3Dm
+CONFIG_LCD_LTV350QV=3Dm
+CONFIG_LCD_ILI922X=3Dm
+CONFIG_LCD_ILI9320=3Dm
+CONFIG_LCD_TDO24M=3Dm
+CONFIG_LCD_VGG2432A4=3Dm
+CONFIG_LCD_PLATFORM=3Dm
+CONFIG_LCD_AMS369FG06=3Dm
+CONFIG_LCD_LMS501KF03=3Dm
+CONFIG_LCD_HX8357=3Dm
+CONFIG_LCD_OTM3225A=3Dm
+CONFIG_BACKLIGHT_CLASS_DEVICE=3Dy
+CONFIG_BACKLIGHT_GENERIC=3Dm
+CONFIG_BACKLIGHT_PWM=3Dm
+# CONFIG_BACKLIGHT_PM8941_WLED is not set
+# CONFIG_BACKLIGHT_ADP8860 is not set
+# CONFIG_BACKLIGHT_ADP8870 is not set
+# CONFIG_BACKLIGHT_LM3630A is not set
+# CONFIG_BACKLIGHT_LM3639 is not set
+CONFIG_BACKLIGHT_LP855X=3Dm
+# CONFIG_BACKLIGHT_GPIO is not set
+# CONFIG_BACKLIGHT_LV5207LP is not set
+# CONFIG_BACKLIGHT_BD6107 is not set
+# CONFIG_BACKLIGHT_ARCXCNN is not set
+# end of Backlight & LCD device support
+
+CONFIG_VGASTATE=3Dm
+CONFIG_VIDEOMODE_HELPERS=3Dy
+CONFIG_HDMI=3Dy
+
+#
+# Console display driver support
+#
+CONFIG_DUMMY_CONSOLE=3Dy
+CONFIG_DUMMY_CONSOLE_COLUMNS=3D80
+CONFIG_DUMMY_CONSOLE_ROWS=3D25
+CONFIG_FRAMEBUFFER_CONSOLE=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=3Dy
+# CONFIG_FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER is not set
+# end of Console display driver support
+
+# CONFIG_LOGO is not set
+# end of Graphics support
+
+CONFIG_SOUND=3Dm
+CONFIG_SOUND_OSS_CORE=3Dy
+# CONFIG_SOUND_OSS_CORE_PRECLAIM is not set
+CONFIG_SND=3Dm
+CONFIG_SND_TIMER=3Dm
+CONFIG_SND_PCM=3Dm
+CONFIG_SND_PCM_ELD=3Dy
+CONFIG_SND_PCM_IEC958=3Dy
+CONFIG_SND_DMAENGINE_PCM=3Dm
+CONFIG_SND_HWDEP=3Dm
+CONFIG_SND_SEQ_DEVICE=3Dm
+CONFIG_SND_RAWMIDI=3Dm
+CONFIG_SND_COMPRESS_OFFLOAD=3Dm
+CONFIG_SND_JACK=3Dy
+CONFIG_SND_JACK_INPUT_DEV=3Dy
+CONFIG_SND_OSSEMUL=3Dy
+CONFIG_SND_MIXER_OSS=3Dm
+CONFIG_SND_PCM_OSS=3Dm
+CONFIG_SND_PCM_OSS_PLUGINS=3Dy
+CONFIG_SND_PCM_TIMER=3Dy
+CONFIG_SND_HRTIMER=3Dm
+CONFIG_SND_DYNAMIC_MINORS=3Dy
+CONFIG_SND_MAX_CARDS=3D32
+CONFIG_SND_SUPPORT_OLD_API=3Dy
+CONFIG_SND_PROC_FS=3Dy
+CONFIG_SND_VERBOSE_PROCFS=3Dy
+# CONFIG_SND_VERBOSE_PRINTK is not set
+# CONFIG_SND_DEBUG is not set
+CONFIG_SND_VMASTER=3Dy
+CONFIG_SND_SEQUENCER=3Dm
+CONFIG_SND_SEQ_DUMMY=3Dm
+# CONFIG_SND_SEQUENCER_OSS is not set
+CONFIG_SND_SEQ_HRTIMER_DEFAULT=3Dy
+CONFIG_SND_SEQ_MIDI_EVENT=3Dm
+CONFIG_SND_SEQ_MIDI=3Dm
+CONFIG_SND_SEQ_MIDI_EMUL=3Dm
+CONFIG_SND_MPU401_UART=3Dm
+CONFIG_SND_OPL3_LIB=3Dm
+CONFIG_SND_OPL3_LIB_SEQ=3Dm
+CONFIG_SND_AC97_CODEC=3Dm
+CONFIG_SND_DRIVERS=3Dy
+# CONFIG_SND_DUMMY is not set
+CONFIG_SND_ALOOP=3Dm
+# CONFIG_SND_VIRMIDI is not set
+# CONFIG_SND_MTPAV is not set
+CONFIG_SND_MTS64=3Dm
+# CONFIG_SND_SERIAL_U16550 is not set
+# CONFIG_SND_MPU401 is not set
+CONFIG_SND_PORTMAN2X4=3Dm
+CONFIG_SND_AC97_POWER_SAVE=3Dy
+CONFIG_SND_AC97_POWER_SAVE_DEFAULT=3D0
+CONFIG_SND_PCI=3Dy
+CONFIG_SND_AD1889=3Dm
+# CONFIG_SND_ATIIXP is not set
+# CONFIG_SND_ATIIXP_MODEM is not set
+# CONFIG_SND_AU8810 is not set
+# CONFIG_SND_AU8820 is not set
+# CONFIG_SND_AU8830 is not set
+# CONFIG_SND_AW2 is not set
+# CONFIG_SND_BT87X is not set
+# CONFIG_SND_CA0106 is not set
+# CONFIG_SND_CMIPCI is not set
+CONFIG_SND_OXYGEN_LIB=3Dm
+CONFIG_SND_OXYGEN=3Dm
+# CONFIG_SND_CS4281 is not set
+# CONFIG_SND_CS46XX is not set
+CONFIG_SND_CTXFI=3Dm
+CONFIG_SND_DARLA20=3Dm
+CONFIG_SND_GINA20=3Dm
+CONFIG_SND_LAYLA20=3Dm
+CONFIG_SND_DARLA24=3Dm
+CONFIG_SND_GINA24=3Dm
+CONFIG_SND_LAYLA24=3Dm
+CONFIG_SND_MONA=3Dm
+CONFIG_SND_MIA=3Dm
+CONFIG_SND_ECHO3G=3Dm
+CONFIG_SND_INDIGO=3Dm
+CONFIG_SND_INDIGOIO=3Dm
+CONFIG_SND_INDIGODJ=3Dm
+CONFIG_SND_INDIGOIOX=3Dm
+CONFIG_SND_INDIGODJX=3Dm
+# CONFIG_SND_ENS1370 is not set
+# CONFIG_SND_ENS1371 is not set
+# CONFIG_SND_FM801 is not set
+# CONFIG_SND_HDSP is not set
+CONFIG_SND_HDSPM=3Dm
+# CONFIG_SND_ICE1724 is not set
+# CONFIG_SND_INTEL8X0 is not set
+# CONFIG_SND_INTEL8X0M is not set
+# CONFIG_SND_KORG1212 is not set
+CONFIG_SND_LOLA=3Dm
+CONFIG_SND_LX6464ES=3Dm
+# CONFIG_SND_MIXART is not set
+# CONFIG_SND_NM256 is not set
+CONFIG_SND_PCXHR=3Dm
+CONFIG_SND_RIPTIDE=3Dm
+# CONFIG_SND_RME32 is not set
+# CONFIG_SND_RME96 is not set
+# CONFIG_SND_RME9652 is not set
+# CONFIG_SND_VIA82XX is not set
+# CONFIG_SND_VIA82XX_MODEM is not set
+CONFIG_SND_VIRTUOSO=3Dm
+# CONFIG_SND_VX222 is not set
+# CONFIG_SND_YMFPCI is not set
+
+#
+# HD-Audio
+#
+CONFIG_SND_HDA=3Dm
+CONFIG_SND_HDA_INTEL=3Dm
+# CONFIG_SND_HDA_INTEL_DETECT_DMIC is not set
+CONFIG_SND_HDA_TEGRA=3Dm
+CONFIG_SND_HDA_HWDEP=3Dy
+CONFIG_SND_HDA_RECONFIG=3Dy
+CONFIG_SND_HDA_INPUT_BEEP=3Dy
+CONFIG_SND_HDA_INPUT_BEEP_MODE=3D1
+CONFIG_SND_HDA_PATCH_LOADER=3Dy
+CONFIG_SND_HDA_CODEC_REALTEK=3Dm
+CONFIG_SND_HDA_CODEC_ANALOG=3Dm
+CONFIG_SND_HDA_CODEC_SIGMATEL=3Dm
+CONFIG_SND_HDA_CODEC_VIA=3Dm
+CONFIG_SND_HDA_CODEC_HDMI=3Dm
+CONFIG_SND_HDA_CODEC_CIRRUS=3Dm
+CONFIG_SND_HDA_CODEC_CONEXANT=3Dm
+CONFIG_SND_HDA_CODEC_CA0110=3Dm
+CONFIG_SND_HDA_CODEC_CA0132=3Dm
+CONFIG_SND_HDA_CODEC_CA0132_DSP=3Dy
+CONFIG_SND_HDA_CODEC_CMEDIA=3Dm
+CONFIG_SND_HDA_CODEC_SI3054=3Dm
+CONFIG_SND_HDA_GENERIC=3Dm
+CONFIG_SND_HDA_POWER_SAVE_DEFAULT=3D0
+# end of HD-Audio
+
+CONFIG_SND_HDA_CORE=3Dm
+CONFIG_SND_HDA_DSP_LOADER=3Dy
+CONFIG_SND_HDA_ALIGNED_MMIO=3Dy
+CONFIG_SND_HDA_COMPONENT=3Dy
+CONFIG_SND_HDA_PREALLOC_SIZE=3D2048
+CONFIG_SND_INTEL_NHLT=3Dm
+CONFIG_SND_SPI=3Dy
+CONFIG_SND_USB=3Dy
+CONFIG_SND_USB_AUDIO=3Dm
+CONFIG_SND_USB_AUDIO_USE_MEDIA_CONTROLLER=3Dy
+CONFIG_SND_USB_UA101=3Dm
+CONFIG_SND_USB_CAIAQ=3Dm
+CONFIG_SND_USB_CAIAQ_INPUT=3Dy
+CONFIG_SND_USB_6FIRE=3Dm
+CONFIG_SND_USB_HIFACE=3Dm
+CONFIG_SND_BCD2000=3Dm
+CONFIG_SND_USB_LINE6=3Dm
+CONFIG_SND_USB_POD=3Dm
+CONFIG_SND_USB_PODHD=3Dm
+CONFIG_SND_USB_TONEPORT=3Dm
+CONFIG_SND_USB_VARIAX=3Dm
+CONFIG_SND_FIREWIRE=3Dy
+CONFIG_SND_FIREWIRE_LIB=3Dm
+CONFIG_SND_DICE=3Dm
+CONFIG_SND_OXFW=3Dm
+CONFIG_SND_ISIGHT=3Dm
+CONFIG_SND_FIREWORKS=3Dm
+CONFIG_SND_BEBOB=3Dm
+CONFIG_SND_FIREWIRE_DIGI00X=3Dm
+CONFIG_SND_FIREWIRE_TASCAM=3Dm
+# CONFIG_SND_FIREWIRE_MOTU is not set
+# CONFIG_SND_FIREFACE is not set
+CONFIG_SND_SOC=3Dm
+CONFIG_SND_SOC_GENERIC_DMAENGINE_PCM=3Dy
+CONFIG_SND_SOC_COMPRESS=3Dy
+# CONFIG_SND_SOC_AMD_ACP is not set
+# CONFIG_SND_ATMEL_SOC is not set
+CONFIG_SND_BCM2835_SOC_I2S=3Dm
+# CONFIG_SND_DESIGNWARE_I2S is not set
+
+#
+# SoC Audio for Freescale CPUs
+#
+
+#
+# Common SoC Audio options for Freescale CPUs:
+#
+# CONFIG_SND_SOC_FSL_ASRC is not set
+CONFIG_SND_SOC_FSL_SAI=3Dm
+CONFIG_SND_SOC_FSL_AUDMIX=3Dm
+CONFIG_SND_SOC_FSL_SSI=3Dm
+CONFIG_SND_SOC_FSL_SPDIF=3Dm
+CONFIG_SND_SOC_FSL_ESAI=3Dm
+CONFIG_SND_SOC_FSL_MICFIL=3Dm
+CONFIG_SND_SOC_IMX_PCM_DMA=3Dm
+CONFIG_SND_SOC_IMX_AUDMUX=3Dm
+CONFIG_SND_IMX_SOC=3Dm
+
+#
+# SoC Audio support for Freescale i.MX boards:
+#
+CONFIG_SND_SOC_IMX_ES8328=3Dm
+CONFIG_SND_SOC_IMX_SGTL5000=3Dm
+CONFIG_SND_SOC_IMX_SPDIF=3Dm
+CONFIG_SND_SOC_FSL_ASOC_CARD=3Dm
+CONFIG_SND_SOC_IMX_AUDMIX=3Dm
+# end of SoC Audio for Freescale CPUs
+
+CONFIG_SND_I2S_HI6210_I2S=3Dm
+# CONFIG_SND_KIRKWOOD_SOC is not set
+# CONFIG_SND_SOC_IMG is not set
+# CONFIG_SND_SOC_MTK_BTCVSD is not set
+
+#
+# ASoC support for Amlogic platforms
+#
+# CONFIG_SND_MESON_AXG_FRDDR is not set
+# CONFIG_SND_MESON_AXG_TODDR is not set
+# CONFIG_SND_MESON_AXG_TDMIN is not set
+# CONFIG_SND_MESON_AXG_TDMOUT is not set
+# CONFIG_SND_MESON_AXG_SOUND_CARD is not set
+# CONFIG_SND_MESON_AXG_SPDIFOUT is not set
+# CONFIG_SND_MESON_AXG_SPDIFIN is not set
+# CONFIG_SND_MESON_AXG_PDM is not set
+# CONFIG_SND_MESON_G12A_TOHDMITX is not set
+# end of ASoC support for Amlogic platforms
+
+CONFIG_SND_SOC_QCOM=3Dm
+CONFIG_SND_SOC_LPASS_CPU=3Dm
+CONFIG_SND_SOC_LPASS_PLATFORM=3Dm
+CONFIG_SND_SOC_LPASS_APQ8016=3Dm
+# CONFIG_SND_SOC_STORM is not set
+CONFIG_SND_SOC_APQ8016_SBC=3Dm
+CONFIG_SND_SOC_QCOM_COMMON=3Dm
+CONFIG_SND_SOC_QDSP6_COMMON=3Dm
+CONFIG_SND_SOC_QDSP6_CORE=3Dm
+CONFIG_SND_SOC_QDSP6_AFE=3Dm
+CONFIG_SND_SOC_QDSP6_AFE_DAI=3Dm
+CONFIG_SND_SOC_QDSP6_ADM=3Dm
+CONFIG_SND_SOC_QDSP6_ROUTING=3Dm
+CONFIG_SND_SOC_QDSP6_ASM=3Dm
+CONFIG_SND_SOC_QDSP6_ASM_DAI=3Dm
+CONFIG_SND_SOC_QDSP6=3Dm
+CONFIG_SND_SOC_MSM8996=3Dm
+CONFIG_SND_SOC_SDM845=3Dm
+# CONFIG_SND_SOC_ROCKCHIP is not set
+# CONFIG_SND_SOC_SOF_TOPLEVEL is not set
+
+#
+# STMicroelectronics STM32 SOC audio support
+#
+# end of STMicroelectronics STM32 SOC audio support
+
+#
+# Allwinner SoC Audio support
+#
+# CONFIG_SND_SUN4I_CODEC is not set
+# CONFIG_SND_SUN8I_CODEC is not set
+# CONFIG_SND_SUN8I_CODEC_ANALOG is not set
+# CONFIG_SND_SUN50I_CODEC_ANALOG is not set
+# CONFIG_SND_SUN4I_I2S is not set
+# CONFIG_SND_SUN4I_SPDIF is not set
+# end of Allwinner SoC Audio support
+
+CONFIG_SND_SOC_TEGRA=3Dm
+# CONFIG_SND_SOC_TEGRA20_AC97 is not set
+# CONFIG_SND_SOC_TEGRA20_DAS is not set
+# CONFIG_SND_SOC_TEGRA20_I2S is not set
+CONFIG_SND_SOC_TEGRA20_SPDIF=3Dm
+# CONFIG_SND_SOC_TEGRA30_AHUB is not set
+# CONFIG_SND_SOC_TEGRA30_I2S is not set
+CONFIG_SND_SOC_TEGRA_RT5640=3Dm
+CONFIG_SND_SOC_TEGRA_WM8753=3Dm
+CONFIG_SND_SOC_TEGRA_WM8903=3Dm
+# CONFIG_SND_SOC_TEGRA_WM9712 is not set
+CONFIG_SND_SOC_TEGRA_TRIMSLICE=3Dm
+CONFIG_SND_SOC_TEGRA_ALC5632=3Dm
+CONFIG_SND_SOC_TEGRA_MAX98090=3Dm
+CONFIG_SND_SOC_TEGRA_RT5677=3Dm
+# CONFIG_SND_SOC_TEGRA_SGTL5000 is not set
+CONFIG_SND_SOC_XILINX_I2S=3Dm
+# CONFIG_SND_SOC_XILINX_AUDIO_FORMATTER is not set
+# CONFIG_SND_SOC_XILINX_SPDIF is not set
+# CONFIG_SND_SOC_XTFPGA_I2S is not set
+# CONFIG_ZX_TDM is not set
+CONFIG_SND_SOC_I2C_AND_SPI=3Dm
+
+#
+# CODEC drivers
+#
+# CONFIG_SND_SOC_AC97_CODEC is not set
+# CONFIG_SND_SOC_ADAU1701 is not set
+# CONFIG_SND_SOC_ADAU1761_I2C is not set
+# CONFIG_SND_SOC_ADAU1761_SPI is not set
+# CONFIG_SND_SOC_ADAU7002 is not set
+# CONFIG_SND_SOC_AK4104 is not set
+# CONFIG_SND_SOC_AK4118 is not set
+# CONFIG_SND_SOC_AK4458 is not set
+# CONFIG_SND_SOC_AK4554 is not set
+# CONFIG_SND_SOC_AK4613 is not set
+# CONFIG_SND_SOC_AK4642 is not set
+# CONFIG_SND_SOC_AK5386 is not set
+# CONFIG_SND_SOC_AK5558 is not set
+# CONFIG_SND_SOC_ALC5623 is not set
+CONFIG_SND_SOC_ALC5632=3Dm
+# CONFIG_SND_SOC_BD28623 is not set
+# CONFIG_SND_SOC_BT_SCO is not set
+CONFIG_SND_SOC_CROS_EC_CODEC=3Dm
+# CONFIG_SND_SOC_CS35L32 is not set
+# CONFIG_SND_SOC_CS35L33 is not set
+# CONFIG_SND_SOC_CS35L34 is not set
+# CONFIG_SND_SOC_CS35L35 is not set
+# CONFIG_SND_SOC_CS35L36 is not set
+# CONFIG_SND_SOC_CS42L42 is not set
+# CONFIG_SND_SOC_CS42L51_I2C is not set
+# CONFIG_SND_SOC_CS42L52 is not set
+# CONFIG_SND_SOC_CS42L56 is not set
+# CONFIG_SND_SOC_CS42L73 is not set
+# CONFIG_SND_SOC_CS4265 is not set
+# CONFIG_SND_SOC_CS4270 is not set
+# CONFIG_SND_SOC_CS4271_I2C is not set
+# CONFIG_SND_SOC_CS4271_SPI is not set
+# CONFIG_SND_SOC_CS42XX8_I2C is not set
+# CONFIG_SND_SOC_CS43130 is not set
+# CONFIG_SND_SOC_CS4341 is not set
+# CONFIG_SND_SOC_CS4349 is not set
+# CONFIG_SND_SOC_CS53L30 is not set
+# CONFIG_SND_SOC_CX2072X is not set
+# CONFIG_SND_SOC_DMIC is not set
+CONFIG_SND_SOC_HDMI_CODEC=3Dm
+# CONFIG_SND_SOC_ES7134 is not set
+# CONFIG_SND_SOC_ES7241 is not set
+# CONFIG_SND_SOC_ES8316 is not set
+CONFIG_SND_SOC_ES8328=3Dm
+CONFIG_SND_SOC_ES8328_I2C=3Dm
+CONFIG_SND_SOC_ES8328_SPI=3Dm
+# CONFIG_SND_SOC_GTM601 is not set
+# CONFIG_SND_SOC_INNO_RK3036 is not set
+# CONFIG_SND_SOC_MAX98088 is not set
+CONFIG_SND_SOC_MAX98090=3Dm
+# CONFIG_SND_SOC_MAX98357A is not set
+# CONFIG_SND_SOC_MAX98504 is not set
+# CONFIG_SND_SOC_MAX9867 is not set
+CONFIG_SND_SOC_MAX98927=3Dm
+# CONFIG_SND_SOC_MAX98373 is not set
+# CONFIG_SND_SOC_MAX9860 is not set
+# CONFIG_SND_SOC_MSM8916_WCD_ANALOG is not set
+# CONFIG_SND_SOC_MSM8916_WCD_DIGITAL is not set
+# CONFIG_SND_SOC_PCM1681 is not set
+# CONFIG_SND_SOC_PCM1789_I2C is not set
+# CONFIG_SND_SOC_PCM179X_I2C is not set
+# CONFIG_SND_SOC_PCM179X_SPI is not set
+# CONFIG_SND_SOC_PCM186X_I2C is not set
+# CONFIG_SND_SOC_PCM186X_SPI is not set
+# CONFIG_SND_SOC_PCM3060_I2C is not set
+# CONFIG_SND_SOC_PCM3060_SPI is not set
+# CONFIG_SND_SOC_PCM3168A_I2C is not set
+# CONFIG_SND_SOC_PCM3168A_SPI is not set
+# CONFIG_SND_SOC_PCM512x_I2C is not set
+# CONFIG_SND_SOC_PCM512x_SPI is not set
+CONFIG_SND_SOC_RK3328=3Dm
+CONFIG_SND_SOC_RL6231=3Dm
+# CONFIG_SND_SOC_RT5616 is not set
+# CONFIG_SND_SOC_RT5631 is not set
+CONFIG_SND_SOC_RT5640=3Dm
+CONFIG_SND_SOC_RT5663=3Dm
+CONFIG_SND_SOC_RT5677=3Dm
+CONFIG_SND_SOC_RT5677_SPI=3Dm
+CONFIG_SND_SOC_SGTL5000=3Dm
+# CONFIG_SND_SOC_SIMPLE_AMPLIFIER is not set
+# CONFIG_SND_SOC_SIRF_AUDIO_CODEC is not set
+# CONFIG_SND_SOC_SPDIF is not set
+# CONFIG_SND_SOC_SSM2305 is not set
+# CONFIG_SND_SOC_SSM2602_SPI is not set
+# CONFIG_SND_SOC_SSM2602_I2C is not set
+# CONFIG_SND_SOC_SSM4567 is not set
+# CONFIG_SND_SOC_STA32X is not set
+# CONFIG_SND_SOC_STA350 is not set
+# CONFIG_SND_SOC_STI_SAS is not set
+# CONFIG_SND_SOC_TAS2552 is not set
+# CONFIG_SND_SOC_TAS5086 is not set
+# CONFIG_SND_SOC_TAS571X is not set
+# CONFIG_SND_SOC_TAS5720 is not set
+# CONFIG_SND_SOC_TAS6424 is not set
+# CONFIG_SND_SOC_TDA7419 is not set
+# CONFIG_SND_SOC_TFA9879 is not set
+CONFIG_SND_SOC_TLV320AIC23=3Dm
+CONFIG_SND_SOC_TLV320AIC23_I2C=3Dm
+# CONFIG_SND_SOC_TLV320AIC23_SPI is not set
+# CONFIG_SND_SOC_TLV320AIC31XX is not set
+# CONFIG_SND_SOC_TLV320AIC32X4_I2C is not set
+# CONFIG_SND_SOC_TLV320AIC32X4_SPI is not set
+# CONFIG_SND_SOC_TLV320AIC3X is not set
+# CONFIG_SND_SOC_TS3A227E is not set
+# CONFIG_SND_SOC_TSCS42XX is not set
+# CONFIG_SND_SOC_TSCS454 is not set
+# CONFIG_SND_SOC_UDA1334 is not set
+# CONFIG_SND_SOC_WM8510 is not set
+# CONFIG_SND_SOC_WM8523 is not set
+# CONFIG_SND_SOC_WM8524 is not set
+# CONFIG_SND_SOC_WM8580 is not set
+# CONFIG_SND_SOC_WM8711 is not set
+# CONFIG_SND_SOC_WM8728 is not set
+# CONFIG_SND_SOC_WM8731 is not set
+# CONFIG_SND_SOC_WM8737 is not set
+# CONFIG_SND_SOC_WM8741 is not set
+# CONFIG_SND_SOC_WM8750 is not set
+CONFIG_SND_SOC_WM8753=3Dm
+# CONFIG_SND_SOC_WM8770 is not set
+# CONFIG_SND_SOC_WM8776 is not set
+# CONFIG_SND_SOC_WM8782 is not set
+# CONFIG_SND_SOC_WM8804_I2C is not set
+# CONFIG_SND_SOC_WM8804_SPI is not set
+CONFIG_SND_SOC_WM8903=3Dm
+CONFIG_SND_SOC_WM8904=3Dm
+# CONFIG_SND_SOC_WM8960 is not set
+# CONFIG_SND_SOC_WM8962 is not set
+# CONFIG_SND_SOC_WM8974 is not set
+# CONFIG_SND_SOC_WM8978 is not set
+# CONFIG_SND_SOC_WM8985 is not set
+# CONFIG_SND_SOC_ZX_AUD96P22 is not set
+# CONFIG_SND_SOC_MAX9759 is not set
+# CONFIG_SND_SOC_MT6351 is not set
+# CONFIG_SND_SOC_MT6358 is not set
+# CONFIG_SND_SOC_NAU8540 is not set
+# CONFIG_SND_SOC_NAU8810 is not set
+# CONFIG_SND_SOC_NAU8822 is not set
+# CONFIG_SND_SOC_NAU8824 is not set
+# CONFIG_SND_SOC_TPA6130A2 is not set
+# end of CODEC drivers
+
+# CONFIG_SND_SIMPLE_CARD is not set
+# CONFIG_SND_AUDIO_GRAPH_CARD is not set
+# CONFIG_SND_XEN_FRONTEND is not set
+CONFIG_AC97_BUS=3Dm
+
+#
+# HID support
+#
+CONFIG_HID=3Dm
+CONFIG_HID_BATTERY_STRENGTH=3Dy
+CONFIG_HIDRAW=3Dy
+CONFIG_UHID=3Dm
+CONFIG_HID_GENERIC=3Dm
+
+#
+# Special HID drivers
+#
+CONFIG_HID_A4TECH=3Dm
+# CONFIG_HID_ACCUTOUCH is not set
+CONFIG_HID_ACRUX=3Dm
+CONFIG_HID_ACRUX_FF=3Dy
+CONFIG_HID_APPLE=3Dm
+# CONFIG_HID_APPLEIR is not set
+CONFIG_HID_ASUS=3Dm
+CONFIG_HID_AUREAL=3Dm
+CONFIG_HID_BELKIN=3Dm
+CONFIG_HID_BETOP_FF=3Dm
+# CONFIG_HID_BIGBEN_FF is not set
+CONFIG_HID_CHERRY=3Dm
+CONFIG_HID_CHICONY=3Dm
+CONFIG_HID_CORSAIR=3Dm
+CONFIG_HID_COUGAR=3Dm
+CONFIG_HID_MACALLY=3Dm
+CONFIG_HID_PRODIKEYS=3Dm
+CONFIG_HID_CMEDIA=3Dm
+CONFIG_HID_CP2112=3Dm
+CONFIG_HID_CREATIVE_SB0540=3Dm
+CONFIG_HID_CYPRESS=3Dm
+CONFIG_HID_DRAGONRISE=3Dm
+CONFIG_DRAGONRISE_FF=3Dy
+CONFIG_HID_EMS_FF=3Dm
+# CONFIG_HID_ELAN is not set
+CONFIG_HID_ELECOM=3Dm
+CONFIG_HID_ELO=3Dm
+CONFIG_HID_EZKEY=3Dm
+CONFIG_HID_GEMBIRD=3Dm
+# CONFIG_HID_GFRM is not set
+CONFIG_HID_HOLTEK=3Dm
+CONFIG_HOLTEK_FF=3Dy
+# CONFIG_HID_GOOGLE_HAMMER is not set
+# CONFIG_HID_GT683R is not set
+CONFIG_HID_KEYTOUCH=3Dm
+CONFIG_HID_KYE=3Dm
+CONFIG_HID_UCLOGIC=3Dm
+CONFIG_HID_WALTOP=3Dm
+# CONFIG_HID_VIEWSONIC is not set
+CONFIG_HID_GYRATION=3Dm
+CONFIG_HID_ICADE=3Dm
+# CONFIG_HID_ITE is not set
+# CONFIG_HID_JABRA is not set
+CONFIG_HID_TWINHAN=3Dm
+CONFIG_HID_KENSINGTON=3Dm
+CONFIG_HID_LCPOWER=3Dm
+CONFIG_HID_LED=3Dm
+CONFIG_HID_LENOVO=3Dm
+CONFIG_HID_LOGITECH=3Dm
+CONFIG_HID_LOGITECH_DJ=3Dm
+CONFIG_HID_LOGITECH_HIDPP=3Dm
+CONFIG_LOGITECH_FF=3Dy
+CONFIG_LOGIRUMBLEPAD2_FF=3Dy
+CONFIG_LOGIG940_FF=3Dy
+CONFIG_LOGIWHEELS_FF=3Dy
+CONFIG_HID_MAGICMOUSE=3Dm
+CONFIG_HID_MALTRON=3Dm
+# CONFIG_HID_MAYFLASH is not set
+# CONFIG_HID_REDRAGON is not set
+CONFIG_HID_MICROSOFT=3Dm
+CONFIG_HID_MONTEREY=3Dm
+CONFIG_HID_MULTITOUCH=3Dm
+# CONFIG_HID_NTI is not set
+CONFIG_HID_NTRIG=3Dm
+CONFIG_HID_ORTEK=3Dm
+CONFIG_HID_PANTHERLORD=3Dm
+CONFIG_PANTHERLORD_FF=3Dy
+CONFIG_HID_PENMOUNT=3Dm
+CONFIG_HID_PETALYNX=3Dm
+CONFIG_HID_PICOLCD=3Dm
+CONFIG_HID_PICOLCD_FB=3Dy
+CONFIG_HID_PICOLCD_BACKLIGHT=3Dy
+# CONFIG_HID_PICOLCD_LCD is not set
+CONFIG_HID_PICOLCD_LEDS=3Dy
+CONFIG_HID_PICOLCD_CIR=3Dy
+CONFIG_HID_PLANTRONICS=3Dm
+CONFIG_HID_PRIMAX=3Dm
+# CONFIG_HID_RETRODE is not set
+CONFIG_HID_ROCCAT=3Dm
+CONFIG_HID_SAITEK=3Dm
+CONFIG_HID_SAMSUNG=3Dm
+CONFIG_HID_SONY=3Dm
+CONFIG_SONY_FF=3Dy
+CONFIG_HID_SPEEDLINK=3Dm
+# CONFIG_HID_STEAM is not set
+CONFIG_HID_STEELSERIES=3Dm
+CONFIG_HID_SUNPLUS=3Dm
+CONFIG_HID_RMI=3Dm
+CONFIG_HID_GREENASIA=3Dm
+CONFIG_GREENASIA_FF=3Dy
+CONFIG_HID_SMARTJOYPLUS=3Dm
+CONFIG_SMARTJOYPLUS_FF=3Dy
+CONFIG_HID_TIVO=3Dm
+CONFIG_HID_TOPSEED=3Dm
+CONFIG_HID_THINGM=3Dm
+CONFIG_HID_THRUSTMASTER=3Dm
+CONFIG_THRUSTMASTER_FF=3Dy
+# CONFIG_HID_UDRAW_PS3 is not set
+CONFIG_HID_U2FZERO=3Dm
+CONFIG_HID_WACOM=3Dm
+CONFIG_HID_WIIMOTE=3Dm
+CONFIG_HID_XINMO=3Dm
+CONFIG_HID_ZEROPLUS=3Dm
+CONFIG_ZEROPLUS_FF=3Dy
+CONFIG_HID_ZYDACRON=3Dm
+CONFIG_HID_SENSOR_HUB=3Dm
+CONFIG_HID_SENSOR_CUSTOM_SENSOR=3Dm
+CONFIG_HID_ALPS=3Dm
+# end of Special HID drivers
+
+#
+# USB HID support
+#
+CONFIG_USB_HID=3Dm
+CONFIG_HID_PID=3Dy
+CONFIG_USB_HIDDEV=3Dy
+
+#
+# USB HID Boot Protocol drivers
+#
+# CONFIG_USB_KBD is not set
+# CONFIG_USB_MOUSE is not set
+# end of USB HID Boot Protocol drivers
+# end of USB HID support
+
+#
+# I2C HID support
+#
+# CONFIG_I2C_HID is not set
+# end of I2C HID support
+# end of HID support
+
+CONFIG_USB_OHCI_LITTLE_ENDIAN=3Dy
+CONFIG_USB_SUPPORT=3Dy
+CONFIG_USB_COMMON=3Dy
+CONFIG_USB_LED_TRIG=3Dy
+CONFIG_USB_ULPI_BUS=3Dm
+CONFIG_USB_CONN_GPIO=3Dm
+CONFIG_USB_ARCH_HAS_HCD=3Dy
+CONFIG_USB=3Dm
+CONFIG_USB_PCI=3Dy
+CONFIG_USB_ANNOUNCE_NEW_DEVICES=3Dy
+
+#
+# Miscellaneous USB options
+#
+CONFIG_USB_DEFAULT_PERSIST=3Dy
+CONFIG_USB_DYNAMIC_MINORS=3Dy
+# CONFIG_USB_OTG is not set
+# CONFIG_USB_OTG_WHITELIST is not set
+# CONFIG_USB_OTG_BLACKLIST_HUB is not set
+CONFIG_USB_LEDS_TRIGGER_USBPORT=3Dm
+CONFIG_USB_AUTOSUSPEND_DELAY=3D2
+CONFIG_USB_MON=3Dm
+
+#
+# USB Host Controller Drivers
+#
+# CONFIG_USB_C67X00_HCD is not set
+CONFIG_USB_XHCI_HCD=3Dm
+# CONFIG_USB_XHCI_DBGCAP is not set
+CONFIG_USB_XHCI_PCI=3Dm
+CONFIG_USB_XHCI_PLATFORM=3Dm
+CONFIG_USB_XHCI_HISTB=3Dm
+# CONFIG_USB_XHCI_MVEBU is not set
+CONFIG_USB_XHCI_TEGRA=3Dm
+CONFIG_USB_EHCI_HCD=3Dm
+CONFIG_USB_EHCI_ROOT_HUB_TT=3Dy
+CONFIG_USB_EHCI_TT_NEWSCHED=3Dy
+CONFIG_USB_EHCI_PCI=3Dm
+CONFIG_USB_EHCI_FSL=3Dm
+CONFIG_USB_EHCI_MXC=3Dm
+CONFIG_USB_EHCI_HCD_ORION=3Dm
+CONFIG_USB_EHCI_TEGRA=3Dm
+CONFIG_USB_EHCI_HCD_PLATFORM=3Dm
+# CONFIG_USB_OXU210HP_HCD is not set
+# CONFIG_USB_ISP116X_HCD is not set
+# CONFIG_USB_FOTG210_HCD is not set
+# CONFIG_USB_MAX3421_HCD is not set
+CONFIG_USB_OHCI_HCD=3Dm
+CONFIG_USB_OHCI_HCD_PCI=3Dm
+# CONFIG_USB_OHCI_HCD_SSB is not set
+CONFIG_USB_OHCI_HCD_PLATFORM=3Dm
+# CONFIG_USB_UHCI_HCD is not set
+CONFIG_USB_U132_HCD=3Dm
+# CONFIG_USB_SL811_HCD is not set
+# CONFIG_USB_R8A66597_HCD is not set
+# CONFIG_USB_HCD_BCMA is not set
+# CONFIG_USB_HCD_SSB is not set
+# CONFIG_USB_HCD_TEST_MODE is not set
+
+#
+# USB Device Class drivers
+#
+CONFIG_USB_ACM=3Dm
+CONFIG_USB_PRINTER=3Dm
+CONFIG_USB_WDM=3Dm
+CONFIG_USB_TMC=3Dm
+
+#
+# NOTE: USB_STORAGE depends on SCSI but BLK_DEV_SD may
+#
+
+#
+# also be needed; see USB_STORAGE Help for more info
+#
+CONFIG_USB_STORAGE=3Dm
+# CONFIG_USB_STORAGE_DEBUG is not set
+CONFIG_USB_STORAGE_REALTEK=3Dm
+CONFIG_REALTEK_AUTOPM=3Dy
+CONFIG_USB_STORAGE_DATAFAB=3Dm
+CONFIG_USB_STORAGE_FREECOM=3Dm
+CONFIG_USB_STORAGE_ISD200=3Dm
+CONFIG_USB_STORAGE_USBAT=3Dm
+CONFIG_USB_STORAGE_SDDR09=3Dm
+CONFIG_USB_STORAGE_SDDR55=3Dm
+CONFIG_USB_STORAGE_JUMPSHOT=3Dm
+CONFIG_USB_STORAGE_ALAUDA=3Dm
+CONFIG_USB_STORAGE_ONETOUCH=3Dm
+CONFIG_USB_STORAGE_KARMA=3Dm
+CONFIG_USB_STORAGE_CYPRESS_ATACB=3Dm
+CONFIG_USB_STORAGE_ENE_UB6250=3Dm
+CONFIG_USB_UAS=3Dm
+
+#
+# USB Imaging devices
+#
+CONFIG_USB_MDC800=3Dm
+CONFIG_USB_MICROTEK=3Dm
+CONFIG_USBIP_CORE=3Dm
+CONFIG_USBIP_VHCI_HCD=3Dm
+CONFIG_USBIP_VHCI_HC_PORTS=3D15
+CONFIG_USBIP_VHCI_NR_HCS=3D8
+CONFIG_USBIP_HOST=3Dm
+CONFIG_USBIP_VUDC=3Dm
+# CONFIG_USBIP_DEBUG is not set
+CONFIG_USB_CDNS3=3Dm
+# CONFIG_USB_CDNS3_GADGET is not set
+# CONFIG_USB_CDNS3_HOST is not set
+CONFIG_USB_CDNS3_PCI_WRAP=3Dm
+CONFIG_USB_MUSB_HDRC=3Dm
+# CONFIG_USB_MUSB_HOST is not set
+# CONFIG_USB_MUSB_GADGET is not set
+CONFIG_USB_MUSB_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Layer
+#
+CONFIG_USB_MUSB_SUNXI=3Dm
+
+#
+# MUSB DMA mode
+#
+# CONFIG_MUSB_PIO_ONLY is not set
+CONFIG_USB_DWC3=3Dm
+# CONFIG_USB_DWC3_ULPI is not set
+# CONFIG_USB_DWC3_HOST is not set
+# CONFIG_USB_DWC3_GADGET is not set
+CONFIG_USB_DWC3_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Driver Support
+#
+CONFIG_USB_DWC3_PCI=3Dm
+CONFIG_USB_DWC3_HAPS=3Dm
+CONFIG_USB_DWC3_MESON_G12A=3Dm
+CONFIG_USB_DWC3_OF_SIMPLE=3Dm
+CONFIG_USB_DWC3_QCOM=3Dm
+CONFIG_USB_DWC2=3Dm
+# CONFIG_USB_DWC2_HOST is not set
+
+#
+# Gadget/Dual-role mode requires USB Gadget support to be enabled
+#
+# CONFIG_USB_DWC2_PERIPHERAL is not set
+CONFIG_USB_DWC2_DUAL_ROLE=3Dy
+# CONFIG_USB_DWC2_PCI is not set
+# CONFIG_USB_DWC2_DEBUG is not set
+# CONFIG_USB_DWC2_TRACK_MISSED_SOFS is not set
+CONFIG_USB_CHIPIDEA=3Dm
+CONFIG_USB_CHIPIDEA_OF=3Dm
+CONFIG_USB_CHIPIDEA_PCI=3Dm
+CONFIG_USB_CHIPIDEA_UDC=3Dy
+CONFIG_USB_CHIPIDEA_HOST=3Dy
+CONFIG_USB_ISP1760=3Dm
+CONFIG_USB_ISP1760_HCD=3Dy
+CONFIG_USB_ISP1761_UDC=3Dy
+# CONFIG_USB_ISP1760_HOST_ROLE is not set
+# CONFIG_USB_ISP1760_GADGET_ROLE is not set
+CONFIG_USB_ISP1760_DUAL_ROLE=3Dy
+
+#
+# USB port drivers
+#
+# CONFIG_USB_USS720 is not set
+CONFIG_USB_SERIAL=3Dm
+CONFIG_USB_SERIAL_GENERIC=3Dy
+CONFIG_USB_SERIAL_SIMPLE=3Dm
+CONFIG_USB_SERIAL_AIRCABLE=3Dm
+CONFIG_USB_SERIAL_ARK3116=3Dm
+CONFIG_USB_SERIAL_BELKIN=3Dm
+CONFIG_USB_SERIAL_CH341=3Dm
+CONFIG_USB_SERIAL_WHITEHEAT=3Dm
+CONFIG_USB_SERIAL_DIGI_ACCELEPORT=3Dm
+CONFIG_USB_SERIAL_CP210X=3Dm
+CONFIG_USB_SERIAL_CYPRESS_M8=3Dm
+CONFIG_USB_SERIAL_EMPEG=3Dm
+CONFIG_USB_SERIAL_FTDI_SIO=3Dm
+CONFIG_USB_SERIAL_VISOR=3Dm
+CONFIG_USB_SERIAL_IPAQ=3Dm
+CONFIG_USB_SERIAL_IR=3Dm
+CONFIG_USB_SERIAL_EDGEPORT=3Dm
+CONFIG_USB_SERIAL_EDGEPORT_TI=3Dm
+CONFIG_USB_SERIAL_F81232=3Dm
+# CONFIG_USB_SERIAL_F8153X is not set
+CONFIG_USB_SERIAL_GARMIN=3Dm
+CONFIG_USB_SERIAL_IPW=3Dm
+CONFIG_USB_SERIAL_IUU=3Dm
+CONFIG_USB_SERIAL_KEYSPAN_PDA=3Dm
+CONFIG_USB_SERIAL_KEYSPAN=3Dm
+CONFIG_USB_SERIAL_KLSI=3Dm
+CONFIG_USB_SERIAL_KOBIL_SCT=3Dm
+CONFIG_USB_SERIAL_MCT_U232=3Dm
+CONFIG_USB_SERIAL_METRO=3Dm
+CONFIG_USB_SERIAL_MOS7720=3Dm
+CONFIG_USB_SERIAL_MOS7715_PARPORT=3Dy
+CONFIG_USB_SERIAL_MOS7840=3Dm
+CONFIG_USB_SERIAL_MXUPORT=3Dm
+CONFIG_USB_SERIAL_NAVMAN=3Dm
+CONFIG_USB_SERIAL_PL2303=3Dm
+CONFIG_USB_SERIAL_OTI6858=3Dm
+CONFIG_USB_SERIAL_QCAUX=3Dm
+CONFIG_USB_SERIAL_QUALCOMM=3Dm
+CONFIG_USB_SERIAL_SPCP8X5=3Dm
+CONFIG_USB_SERIAL_SAFE=3Dm
+# CONFIG_USB_SERIAL_SAFE_PADDED is not set
+CONFIG_USB_SERIAL_SIERRAWIRELESS=3Dm
+CONFIG_USB_SERIAL_SYMBOL=3Dm
+CONFIG_USB_SERIAL_TI=3Dm
+CONFIG_USB_SERIAL_CYBERJACK=3Dm
+CONFIG_USB_SERIAL_XIRCOM=3Dm
+CONFIG_USB_SERIAL_WWAN=3Dm
+CONFIG_USB_SERIAL_OPTION=3Dm
+CONFIG_USB_SERIAL_OMNINET=3Dm
+CONFIG_USB_SERIAL_OPTICON=3Dm
+CONFIG_USB_SERIAL_XSENS_MT=3Dm
+CONFIG_USB_SERIAL_WISHBONE=3Dm
+CONFIG_USB_SERIAL_SSU100=3Dm
+CONFIG_USB_SERIAL_QT2=3Dm
+# CONFIG_USB_SERIAL_UPD78F0730 is not set
+CONFIG_USB_SERIAL_DEBUG=3Dm
+
+#
+# USB Miscellaneous drivers
+#
+CONFIG_USB_EMI62=3Dm
+CONFIG_USB_EMI26=3Dm
+CONFIG_USB_ADUTUX=3Dm
+CONFIG_USB_SEVSEG=3Dm
+CONFIG_USB_LEGOTOWER=3Dm
+CONFIG_USB_LCD=3Dm
+CONFIG_USB_CYPRESS_CY7C63=3Dm
+CONFIG_USB_CYTHERM=3Dm
+CONFIG_USB_IDMOUSE=3Dm
+CONFIG_USB_FTDI_ELAN=3Dm
+CONFIG_USB_APPLEDISPLAY=3Dm
+CONFIG_USB_SISUSBVGA=3Dm
+CONFIG_USB_SISUSBVGA_CON=3Dy
+CONFIG_USB_LD=3Dm
+CONFIG_USB_TRANCEVIBRATOR=3Dm
+CONFIG_USB_IOWARRIOR=3Dm
+CONFIG_USB_TEST=3Dm
+CONFIG_USB_EHSET_TEST_FIXTURE=3Dm
+CONFIG_USB_ISIGHTFW=3Dm
+CONFIG_USB_YUREX=3Dm
+CONFIG_USB_EZUSB_FX2=3Dm
+# CONFIG_USB_HUB_USB251XB is not set
+CONFIG_USB_HSIC_USB3503=3Dm
+# CONFIG_USB_HSIC_USB4604 is not set
+# CONFIG_USB_LINK_LAYER_TEST is not set
+CONFIG_USB_CHAOSKEY=3Dm
+# CONFIG_USB_ATM is not set
+
+#
+# USB Physical Layer drivers
+#
+CONFIG_USB_PHY=3Dy
+CONFIG_NOP_USB_XCEIV=3Dm
+# CONFIG_USB_GPIO_VBUS is not set
+# CONFIG_USB_ISP1301 is not set
+CONFIG_USB_MXS_PHY=3Dm
+CONFIG_USB_TEGRA_PHY=3Dm
+CONFIG_USB_ULPI=3Dy
+CONFIG_USB_ULPI_VIEWPORT=3Dy
+# end of USB Physical Layer drivers
+
+CONFIG_USB_GADGET=3Dm
+# CONFIG_USB_GADGET_DEBUG is not set
+# CONFIG_USB_GADGET_DEBUG_FILES is not set
+# CONFIG_USB_GADGET_DEBUG_FS is not set
+CONFIG_USB_GADGET_VBUS_DRAW=3D2
+CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=3D2
+# CONFIG_U_SERIAL_CONSOLE is not set
+
+#
+# USB Peripheral Controller
+#
+CONFIG_USB_FSL_USB2=3Dm
+# CONFIG_USB_FOTG210_UDC is not set
+# CONFIG_USB_GR_UDC is not set
+# CONFIG_USB_R8A66597 is not set
+# CONFIG_USB_PXA27X is not set
+# CONFIG_USB_MV_UDC is not set
+# CONFIG_USB_MV_U3D is not set
+# CONFIG_USB_SNP_UDC_PLAT is not set
+# CONFIG_USB_M66592 is not set
+# CONFIG_USB_BDC_UDC is not set
+# CONFIG_USB_AMD5536UDC is not set
+# CONFIG_USB_NET2272 is not set
+CONFIG_USB_NET2280=3Dm
+# CONFIG_USB_GOKU is not set
+# CONFIG_USB_EG20T is not set
+# CONFIG_USB_GADGET_XILINX is not set
+# CONFIG_USB_DUMMY_HCD is not set
+# end of USB Peripheral Controller
+
+CONFIG_USB_LIBCOMPOSITE=3Dm
+CONFIG_USB_F_ACM=3Dm
+CONFIG_USB_F_SS_LB=3Dm
+CONFIG_USB_U_SERIAL=3Dm
+CONFIG_USB_U_ETHER=3Dm
+CONFIG_USB_U_AUDIO=3Dm
+CONFIG_USB_F_SERIAL=3Dm
+CONFIG_USB_F_OBEX=3Dm
+CONFIG_USB_F_NCM=3Dm
+CONFIG_USB_F_ECM=3Dm
+CONFIG_USB_F_PHONET=3Dm
+CONFIG_USB_F_EEM=3Dm
+CONFIG_USB_F_SUBSET=3Dm
+CONFIG_USB_F_RNDIS=3Dm
+CONFIG_USB_F_MASS_STORAGE=3Dm
+CONFIG_USB_F_FS=3Dm
+CONFIG_USB_F_UAC1=3Dm
+CONFIG_USB_F_UAC2=3Dm
+CONFIG_USB_F_UVC=3Dm
+CONFIG_USB_F_MIDI=3Dm
+CONFIG_USB_F_HID=3Dm
+CONFIG_USB_F_PRINTER=3Dm
+CONFIG_USB_CONFIGFS=3Dm
+CONFIG_USB_CONFIGFS_SERIAL=3Dy
+CONFIG_USB_CONFIGFS_ACM=3Dy
+CONFIG_USB_CONFIGFS_OBEX=3Dy
+CONFIG_USB_CONFIGFS_NCM=3Dy
+CONFIG_USB_CONFIGFS_ECM=3Dy
+CONFIG_USB_CONFIGFS_ECM_SUBSET=3Dy
+CONFIG_USB_CONFIGFS_RNDIS=3Dy
+CONFIG_USB_CONFIGFS_EEM=3Dy
+CONFIG_USB_CONFIGFS_PHONET=3Dy
+CONFIG_USB_CONFIGFS_MASS_STORAGE=3Dy
+CONFIG_USB_CONFIGFS_F_LB_SS=3Dy
+CONFIG_USB_CONFIGFS_F_FS=3Dy
+CONFIG_USB_CONFIGFS_F_UAC1=3Dy
+# CONFIG_USB_CONFIGFS_F_UAC1_LEGACY is not set
+CONFIG_USB_CONFIGFS_F_UAC2=3Dy
+CONFIG_USB_CONFIGFS_F_MIDI=3Dy
+CONFIG_USB_CONFIGFS_F_HID=3Dy
+CONFIG_USB_CONFIGFS_F_UVC=3Dy
+CONFIG_USB_CONFIGFS_F_PRINTER=3Dy
+# CONFIG_USB_CONFIGFS_F_TCM is not set
+# CONFIG_USB_ZERO is not set
+# CONFIG_USB_AUDIO is not set
+CONFIG_USB_ETH=3Dm
+CONFIG_USB_ETH_RNDIS=3Dy
+# CONFIG_USB_ETH_EEM is not set
+# CONFIG_USB_G_NCM is not set
+CONFIG_USB_GADGETFS=3Dm
+CONFIG_USB_FUNCTIONFS=3Dm
+CONFIG_USB_FUNCTIONFS_ETH=3Dy
+CONFIG_USB_FUNCTIONFS_RNDIS=3Dy
+CONFIG_USB_FUNCTIONFS_GENERIC=3Dy
+# CONFIG_USB_MASS_STORAGE is not set
+# CONFIG_USB_GADGET_TARGET is not set
+CONFIG_USB_G_SERIAL=3Dm
+# CONFIG_USB_MIDI_GADGET is not set
+# CONFIG_USB_G_PRINTER is not set
+# CONFIG_USB_CDC_COMPOSITE is not set
+# CONFIG_USB_G_NOKIA is not set
+# CONFIG_USB_G_ACM_MS is not set
+# CONFIG_USB_G_MULTI is not set
+# CONFIG_USB_G_HID is not set
+# CONFIG_USB_G_DBGP is not set
+# CONFIG_USB_G_WEBCAM is not set
+# CONFIG_TYPEC is not set
+CONFIG_USB_ROLE_SWITCH=3Dm
+CONFIG_MMC=3Dy
+CONFIG_PWRSEQ_EMMC=3Dy
+# CONFIG_PWRSEQ_SD8787 is not set
+CONFIG_PWRSEQ_SIMPLE=3Dy
+CONFIG_MMC_BLOCK=3Dy
+CONFIG_MMC_BLOCK_MINORS=3D256
+CONFIG_SDIO_UART=3Dm
+# CONFIG_MMC_TEST is not set
+
+#
+# MMC/SD/SDIO Host Controller Drivers
+#
+# CONFIG_MMC_DEBUG is not set
+CONFIG_MMC_ARMMMCI=3Dm
+CONFIG_MMC_QCOM_DML=3Dy
+CONFIG_MMC_STM32_SDMMC=3Dy
+CONFIG_MMC_SDHCI=3Dm
+CONFIG_MMC_SDHCI_IO_ACCESSORS=3Dy
+CONFIG_MMC_SDHCI_PCI=3Dm
+CONFIG_MMC_RICOH_MMC=3Dy
+CONFIG_MMC_SDHCI_ACPI=3Dm
+CONFIG_MMC_SDHCI_PLTFM=3Dm
+CONFIG_MMC_SDHCI_OF_ARASAN=3Dm
+CONFIG_MMC_SDHCI_OF_ASPEED=3Dm
+# CONFIG_MMC_SDHCI_OF_AT91 is not set
+CONFIG_MMC_SDHCI_OF_ESDHC=3Dm
+# CONFIG_MMC_SDHCI_OF_DWCMSHC is not set
+# CONFIG_MMC_SDHCI_CADENCE is not set
+CONFIG_MMC_SDHCI_ESDHC_IMX=3Dm
+CONFIG_MMC_SDHCI_TEGRA=3Dm
+# CONFIG_MMC_SDHCI_PXAV3 is not set
+CONFIG_MMC_SDHCI_F_SDH30=3Dm
+CONFIG_MMC_SDHCI_IPROC=3Dm
+CONFIG_MMC_MESON_GX=3Dm
+# CONFIG_MMC_MESON_MX_SDIO is not set
+CONFIG_MMC_ALCOR=3Dm
+CONFIG_MMC_SDHCI_MSM=3Dm
+CONFIG_MMC_MXC=3Dm
+CONFIG_MMC_TIFM_SD=3Dm
+CONFIG_MMC_SPI=3Dm
+CONFIG_MMC_CB710=3Dm
+CONFIG_MMC_VIA_SDMMC=3Dm
+CONFIG_MMC_DW=3Dm
+CONFIG_MMC_DW_PLTFM=3Dm
+# CONFIG_MMC_DW_BLUEFIELD is not set
+# CONFIG_MMC_DW_EXYNOS is not set
+# CONFIG_MMC_DW_HI3798CV200 is not set
+CONFIG_MMC_DW_K3=3Dm
+# CONFIG_MMC_DW_PCI is not set
+CONFIG_MMC_DW_ROCKCHIP=3Dm
+CONFIG_MMC_VUB300=3Dm
+CONFIG_MMC_USHC=3Dm
+# CONFIG_MMC_USDHI6ROL0 is not set
+CONFIG_MMC_REALTEK_PCI=3Dm
+CONFIG_MMC_REALTEK_USB=3Dm
+CONFIG_MMC_SUNXI=3Dm
+CONFIG_MMC_CQHCI=3Dm
+CONFIG_MMC_TOSHIBA_PCI=3Dm
+CONFIG_MMC_BCM2835=3Dm
+# CONFIG_MMC_MTK is not set
+CONFIG_MMC_SDHCI_XENON=3Dm
+# CONFIG_MMC_SDHCI_OMAP is not set
+CONFIG_MMC_SDHCI_AM654=3Dm
+CONFIG_MEMSTICK=3Dm
+# CONFIG_MEMSTICK_DEBUG is not set
+
+#
+# MemoryStick drivers
+#
+# CONFIG_MEMSTICK_UNSAFE_RESUME is not set
+CONFIG_MSPRO_BLOCK=3Dm
+# CONFIG_MS_BLOCK is not set
+
+#
+# MemoryStick Host Controller Drivers
+#
+CONFIG_MEMSTICK_TIFM_MS=3Dm
+CONFIG_MEMSTICK_JMICRON_38X=3Dm
+CONFIG_MEMSTICK_R592=3Dm
+CONFIG_MEMSTICK_REALTEK_PCI=3Dm
+CONFIG_MEMSTICK_REALTEK_USB=3Dm
+CONFIG_NEW_LEDS=3Dy
+CONFIG_LEDS_CLASS=3Dy
+# CONFIG_LEDS_CLASS_FLASH is not set
+CONFIG_LEDS_BRIGHTNESS_HW_CHANGED=3Dy
+
+#
+# LED drivers
+#
+# CONFIG_LEDS_AN30259A is not set
+# CONFIG_LEDS_BCM6328 is not set
+# CONFIG_LEDS_BCM6358 is not set
+# CONFIG_LEDS_CR0014114 is not set
+# CONFIG_LEDS_LM3530 is not set
+# CONFIG_LEDS_LM3532 is not set
+# CONFIG_LEDS_LM3642 is not set
+# CONFIG_LEDS_LM3692X is not set
+# CONFIG_LEDS_PCA9532 is not set
+CONFIG_LEDS_GPIO=3Dm
+CONFIG_LEDS_LP3944=3Dm
+# CONFIG_LEDS_LP3952 is not set
+# CONFIG_LEDS_LP5521 is not set
+# CONFIG_LEDS_LP5523 is not set
+# CONFIG_LEDS_LP5562 is not set
+# CONFIG_LEDS_LP8501 is not set
+# CONFIG_LEDS_LP8860 is not set
+CONFIG_LEDS_PCA955X=3Dm
+# CONFIG_LEDS_PCA955X_GPIO is not set
+# CONFIG_LEDS_PCA963X is not set
+CONFIG_LEDS_DAC124S085=3Dm
+CONFIG_LEDS_PWM=3Dm
+CONFIG_LEDS_REGULATOR=3Dm
+CONFIG_LEDS_BD2802=3Dm
+CONFIG_LEDS_LT3593=3Dm
+# CONFIG_LEDS_TCA6507 is not set
+# CONFIG_LEDS_TLC591XX is not set
+# CONFIG_LEDS_LM355x is not set
+# CONFIG_LEDS_IS31FL319X is not set
+# CONFIG_LEDS_IS31FL32XX is not set
+
+#
+# LED driver for blink(1) USB RGB LED is under Special HID drivers (HID_TH=
INGM)
+#
+# CONFIG_LEDS_BLINKM is not set
+# CONFIG_LEDS_SYSCON is not set
+# CONFIG_LEDS_MLXREG is not set
+# CONFIG_LEDS_USER is not set
+CONFIG_LEDS_SPI_BYTE=3Dm
+CONFIG_LEDS_TI_LMU_COMMON=3Dm
+CONFIG_LEDS_LM3697=3Dm
+
+#
+# LED Triggers
+#
+CONFIG_LEDS_TRIGGERS=3Dy
+CONFIG_LEDS_TRIGGER_TIMER=3Dm
+CONFIG_LEDS_TRIGGER_ONESHOT=3Dm
+CONFIG_LEDS_TRIGGER_DISK=3Dy
+CONFIG_LEDS_TRIGGER_MTD=3Dy
+CONFIG_LEDS_TRIGGER_HEARTBEAT=3Dm
+CONFIG_LEDS_TRIGGER_BACKLIGHT=3Dm
+CONFIG_LEDS_TRIGGER_CPU=3Dy
+# CONFIG_LEDS_TRIGGER_ACTIVITY is not set
+CONFIG_LEDS_TRIGGER_GPIO=3Dm
+CONFIG_LEDS_TRIGGER_DEFAULT_ON=3Dm
+
+#
+# iptables trigger is under Netfilter config (LED target)
+#
+CONFIG_LEDS_TRIGGER_TRANSIENT=3Dm
+CONFIG_LEDS_TRIGGER_CAMERA=3Dm
+CONFIG_LEDS_TRIGGER_PANIC=3Dy
+# CONFIG_LEDS_TRIGGER_NETDEV is not set
+# CONFIG_LEDS_TRIGGER_PATTERN is not set
+CONFIG_LEDS_TRIGGER_AUDIO=3Dm
+CONFIG_ACCESSIBILITY=3Dy
+CONFIG_A11Y_BRAILLE_CONSOLE=3Dy
+CONFIG_INFINIBAND=3Dm
+CONFIG_INFINIBAND_USER_MAD=3Dm
+CONFIG_INFINIBAND_USER_ACCESS=3Dm
+# CONFIG_INFINIBAND_EXP_LEGACY_VERBS_NEW_UAPI is not set
+CONFIG_INFINIBAND_USER_MEM=3Dy
+CONFIG_INFINIBAND_ON_DEMAND_PAGING=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS_CONFIGFS=3Dy
+CONFIG_INFINIBAND_MTHCA=3Dm
+CONFIG_INFINIBAND_MTHCA_DEBUG=3Dy
+CONFIG_INFINIBAND_CXGB3=3Dm
+CONFIG_INFINIBAND_CXGB4=3Dm
+CONFIG_INFINIBAND_EFA=3Dm
+CONFIG_INFINIBAND_I40IW=3Dm
+CONFIG_MLX4_INFINIBAND=3Dm
+CONFIG_MLX5_INFINIBAND=3Dm
+CONFIG_INFINIBAND_OCRDMA=3Dm
+# CONFIG_INFINIBAND_HNS is not set
+# CONFIG_INFINIBAND_BNXT_RE is not set
+CONFIG_INFINIBAND_QEDR=3Dm
+CONFIG_RDMA_RXE=3Dm
+CONFIG_RDMA_SIW=3Dm
+CONFIG_INFINIBAND_IPOIB=3Dm
+CONFIG_INFINIBAND_IPOIB_CM=3Dy
+CONFIG_INFINIBAND_IPOIB_DEBUG=3Dy
+# CONFIG_INFINIBAND_IPOIB_DEBUG_DATA is not set
+CONFIG_INFINIBAND_SRP=3Dm
+CONFIG_INFINIBAND_SRPT=3Dm
+CONFIG_INFINIBAND_ISER=3Dm
+CONFIG_INFINIBAND_ISERT=3Dm
+CONFIG_EDAC_SUPPORT=3Dy
+CONFIG_EDAC=3Dy
+CONFIG_EDAC_LEGACY_SYSFS=3Dy
+# CONFIG_EDAC_DEBUG is not set
+CONFIG_EDAC_THUNDERX=3Dm
+CONFIG_EDAC_XGENE=3Dm
+# CONFIG_EDAC_QCOM is not set
+CONFIG_RTC_LIB=3Dy
+CONFIG_RTC_CLASS=3Dy
+CONFIG_RTC_HCTOSYS=3Dy
+CONFIG_RTC_HCTOSYS_DEVICE=3D"rtc0"
+CONFIG_RTC_SYSTOHC=3Dy
+CONFIG_RTC_SYSTOHC_DEVICE=3D"rtc0"
+# CONFIG_RTC_DEBUG is not set
+CONFIG_RTC_NVMEM=3Dy
+
+#
+# RTC interfaces
+#
+CONFIG_RTC_INTF_SYSFS=3Dy
+CONFIG_RTC_INTF_PROC=3Dy
+CONFIG_RTC_INTF_DEV=3Dy
+# CONFIG_RTC_INTF_DEV_UIE_EMUL is not set
+# CONFIG_RTC_DRV_TEST is not set
+
+#
+# I2C RTC drivers
+#
+# CONFIG_RTC_DRV_ABB5ZES3 is not set
+# CONFIG_RTC_DRV_ABEOZ9 is not set
+# CONFIG_RTC_DRV_ABX80X is not set
+CONFIG_RTC_DRV_DS1307=3Dy
+# CONFIG_RTC_DRV_DS1307_CENTURY is not set
+# CONFIG_RTC_DRV_DS1374 is not set
+# CONFIG_RTC_DRV_DS1672 is not set
+# CONFIG_RTC_DRV_HYM8563 is not set
+# CONFIG_RTC_DRV_MAX6900 is not set
+CONFIG_RTC_DRV_MAX77686=3Dy
+CONFIG_RTC_DRV_MESON_VRTC=3Dm
+CONFIG_RTC_DRV_RK808=3Dm
+# CONFIG_RTC_DRV_RS5C372 is not set
+# CONFIG_RTC_DRV_ISL1208 is not set
+# CONFIG_RTC_DRV_ISL12022 is not set
+# CONFIG_RTC_DRV_ISL12026 is not set
+# CONFIG_RTC_DRV_X1205 is not set
+# CONFIG_RTC_DRV_PCF8523 is not set
+# CONFIG_RTC_DRV_PCF85063 is not set
+# CONFIG_RTC_DRV_PCF85363 is not set
+# CONFIG_RTC_DRV_PCF8563 is not set
+# CONFIG_RTC_DRV_PCF8583 is not set
+# CONFIG_RTC_DRV_M41T80 is not set
+CONFIG_RTC_DRV_BD70528=3Dm
+# CONFIG_RTC_DRV_BQ32K is not set
+# CONFIG_RTC_DRV_S35390A is not set
+# CONFIG_RTC_DRV_FM3130 is not set
+# CONFIG_RTC_DRV_RX8010 is not set
+# CONFIG_RTC_DRV_RX8581 is not set
+# CONFIG_RTC_DRV_RX8025 is not set
+# CONFIG_RTC_DRV_EM3027 is not set
+# CONFIG_RTC_DRV_RV3028 is not set
+# CONFIG_RTC_DRV_RV8803 is not set
+# CONFIG_RTC_DRV_SD3078 is not set
+
+#
+# SPI RTC drivers
+#
+# CONFIG_RTC_DRV_M41T93 is not set
+# CONFIG_RTC_DRV_M41T94 is not set
+# CONFIG_RTC_DRV_DS1302 is not set
+# CONFIG_RTC_DRV_DS1305 is not set
+# CONFIG_RTC_DRV_DS1343 is not set
+# CONFIG_RTC_DRV_DS1347 is not set
+# CONFIG_RTC_DRV_DS1390 is not set
+# CONFIG_RTC_DRV_MAX6916 is not set
+# CONFIG_RTC_DRV_R9701 is not set
+# CONFIG_RTC_DRV_RX4581 is not set
+# CONFIG_RTC_DRV_RX6110 is not set
+# CONFIG_RTC_DRV_RS5C348 is not set
+# CONFIG_RTC_DRV_MAX6902 is not set
+# CONFIG_RTC_DRV_PCF2123 is not set
+# CONFIG_RTC_DRV_MCP795 is not set
+CONFIG_RTC_I2C_AND_SPI=3Dy
+
+#
+# SPI and I2C RTC drivers
+#
+# CONFIG_RTC_DRV_DS3232 is not set
+# CONFIG_RTC_DRV_PCF2127 is not set
+# CONFIG_RTC_DRV_RV3029C2 is not set
+
+#
+# Platform RTC drivers
+#
+# CONFIG_RTC_DRV_DS1286 is not set
+# CONFIG_RTC_DRV_DS1511 is not set
+# CONFIG_RTC_DRV_DS1553 is not set
+# CONFIG_RTC_DRV_DS1685_FAMILY is not set
+# CONFIG_RTC_DRV_DS1742 is not set
+# CONFIG_RTC_DRV_DS2404 is not set
+CONFIG_RTC_DRV_EFI=3Dy
+# CONFIG_RTC_DRV_STK17TA8 is not set
+# CONFIG_RTC_DRV_M48T86 is not set
+# CONFIG_RTC_DRV_M48T35 is not set
+# CONFIG_RTC_DRV_M48T59 is not set
+# CONFIG_RTC_DRV_MSM6242 is not set
+# CONFIG_RTC_DRV_BQ4802 is not set
+# CONFIG_RTC_DRV_RP5C01 is not set
+# CONFIG_RTC_DRV_V3020 is not set
+# CONFIG_RTC_DRV_ZYNQMP is not set
+# CONFIG_RTC_DRV_CROS_EC is not set
+
+#
+# on-CPU RTC drivers
+#
+CONFIG_RTC_DRV_IMXDI=3Dm
+# CONFIG_RTC_DRV_PL030 is not set
+CONFIG_RTC_DRV_PL031=3Dy
+CONFIG_RTC_DRV_SUN6I=3Dy
+CONFIG_RTC_DRV_MV=3Dm
+CONFIG_RTC_DRV_ARMADA38X=3Dm
+CONFIG_RTC_DRV_CADENCE=3Dm
+# CONFIG_RTC_DRV_FTRTC010 is not set
+CONFIG_RTC_DRV_PM8XXX=3Dm
+CONFIG_RTC_DRV_TEGRA=3Dy
+CONFIG_RTC_DRV_MXC=3Dm
+CONFIG_RTC_DRV_MXC_V2=3Dm
+# CONFIG_RTC_DRV_SNVS is not set
+CONFIG_RTC_DRV_IMX_SC=3Dm
+CONFIG_RTC_DRV_XGENE=3Dy
+# CONFIG_RTC_DRV_R7301 is not set
+
+#
+# HID Sensor RTC drivers
+#
+# CONFIG_RTC_DRV_HID_SENSOR_TIME is not set
+CONFIG_DMADEVICES=3Dy
+# CONFIG_DMADEVICES_DEBUG is not set
+
+#
+# DMA Devices
+#
+CONFIG_ASYNC_TX_ENABLE_CHANNEL_SWITCH=3Dy
+CONFIG_DMA_ENGINE=3Dy
+CONFIG_DMA_VIRTUAL_CHANNELS=3Dy
+CONFIG_DMA_ACPI=3Dy
+CONFIG_DMA_OF=3Dy
+# CONFIG_ALTERA_MSGDMA is not set
+# CONFIG_AMBA_PL08X is not set
+# CONFIG_BCM_SBA_RAID is not set
+CONFIG_DMA_BCM2835=3Dy
+CONFIG_DMA_SUN6I=3Dm
+# CONFIG_DW_AXI_DMAC is not set
+# CONFIG_FSL_EDMA is not set
+CONFIG_FSL_QDMA=3Dm
+CONFIG_IMX_DMA=3Dm
+CONFIG_IMX_SDMA=3Dm
+# CONFIG_INTEL_IDMA64 is not set
+CONFIG_K3_DMA=3Dm
+CONFIG_MV_XOR=3Dy
+CONFIG_MV_XOR_V2=3Dy
+# CONFIG_MXS_DMA is not set
+CONFIG_MX3_IPU=3Dy
+CONFIG_MX3_IPU_IRQS=3D4
+CONFIG_PL330_DMA=3Dm
+CONFIG_TEGRA20_APB_DMA=3Dy
+CONFIG_TEGRA210_ADMA=3Dy
+CONFIG_XGENE_DMA=3Dm
+# CONFIG_XILINX_DMA is not set
+# CONFIG_XILINX_ZYNQMP_DMA is not set
+CONFIG_QCOM_BAM_DMA=3Dm
+CONFIG_QCOM_HIDMA_MGMT=3Dm
+CONFIG_QCOM_HIDMA=3Dm
+# CONFIG_DW_DMAC is not set
+# CONFIG_DW_DMAC_PCI is not set
+CONFIG_DW_EDMA=3Dm
+CONFIG_DW_EDMA_PCIE=3Dm
+
+#
+# DMA Clients
+#
+CONFIG_ASYNC_TX_DMA=3Dy
+# CONFIG_DMATEST is not set
+CONFIG_DMA_ENGINE_RAID=3Dy
+
+#
+# DMABUF options
+#
+CONFIG_SYNC_FILE=3Dy
+# CONFIG_SW_SYNC is not set
+# CONFIG_UDMABUF is not set
+# CONFIG_DMABUF_SELFTESTS is not set
+# end of DMABUF options
+
+# CONFIG_AUXDISPLAY is not set
+# CONFIG_PANEL is not set
+CONFIG_UIO=3Dm
+CONFIG_UIO_CIF=3Dm
+# CONFIG_UIO_PDRV_GENIRQ is not set
+# CONFIG_UIO_DMEM_GENIRQ is not set
+CONFIG_UIO_AEC=3Dm
+CONFIG_UIO_SERCOS3=3Dm
+CONFIG_UIO_PCI_GENERIC=3Dm
+CONFIG_UIO_NETX=3Dm
+# CONFIG_UIO_PRUSS is not set
+CONFIG_UIO_MF624=3Dm
+CONFIG_VFIO_IOMMU_TYPE1=3Dm
+CONFIG_VFIO_VIRQFD=3Dm
+CONFIG_VFIO=3Dm
+CONFIG_VFIO_NOIOMMU=3Dy
+CONFIG_VFIO_PCI=3Dm
+CONFIG_VFIO_PCI_MMAP=3Dy
+CONFIG_VFIO_PCI_INTX=3Dy
+# CONFIG_VFIO_PLATFORM is not set
+# CONFIG_VFIO_MDEV is not set
+CONFIG_VIRT_DRIVERS=3Dy
+CONFIG_VIRTIO=3Dm
+CONFIG_VIRTIO_MENU=3Dy
+CONFIG_VIRTIO_PCI=3Dm
+CONFIG_VIRTIO_PCI_LEGACY=3Dy
+CONFIG_VIRTIO_PMEM=3Dm
+CONFIG_VIRTIO_BALLOON=3Dm
+CONFIG_VIRTIO_INPUT=3Dm
+CONFIG_VIRTIO_MMIO=3Dm
+# CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES is not set
+
+#
+# Microsoft Hyper-V guest support
+#
+# end of Microsoft Hyper-V guest support
+
+#
+# Xen driver support
+#
+CONFIG_XEN_BALLOON=3Dy
+CONFIG_XEN_SCRUB_PAGES_DEFAULT=3Dy
+CONFIG_XEN_DEV_EVTCHN=3Dm
+CONFIG_XEN_BACKEND=3Dy
+CONFIG_XENFS=3Dm
+CONFIG_XEN_COMPAT_XENFS=3Dy
+CONFIG_XEN_SYS_HYPERVISOR=3Dy
+CONFIG_XEN_XENBUS_FRONTEND=3Dy
+CONFIG_XEN_GNTDEV=3Dm
+CONFIG_XEN_GRANT_DEV_ALLOC=3Dm
+# CONFIG_XEN_GRANT_DMA_ALLOC is not set
+CONFIG_SWIOTLB_XEN=3Dy
+# CONFIG_XEN_PVCALLS_FRONTEND is not set
+# CONFIG_XEN_PVCALLS_BACKEND is not set
+CONFIG_XEN_SCSI_BACKEND=3Dm
+CONFIG_XEN_PRIVCMD=3Dm
+CONFIG_XEN_EFI=3Dy
+CONFIG_XEN_AUTO_XLATE=3Dy
+# end of Xen driver support
+
+# CONFIG_GREYBUS is not set
+CONFIG_STAGING=3Dy
+# CONFIG_PRISM2_USB is not set
+# CONFIG_COMEDI is not set
+# CONFIG_RTL8192U is not set
+# CONFIG_RTLLIB is not set
+CONFIG_RTL8723BS=3Dm
+CONFIG_R8712U=3Dm
+CONFIG_R8188EU=3Dm
+CONFIG_88EU_AP_MODE=3Dy
+# CONFIG_RTS5208 is not set
+# CONFIG_VT6655 is not set
+# CONFIG_VT6656 is not set
+
+#
+# IIO staging drivers
+#
+
+#
+# Accelerometers
+#
+# CONFIG_ADIS16203 is not set
+# CONFIG_ADIS16240 is not set
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+# CONFIG_AD7816 is not set
+# CONFIG_AD7192 is not set
+# CONFIG_AD7280 is not set
+# end of Analog to digital converters
+
+#
+# Analog digital bi-direction converters
+#
+# CONFIG_ADT7316 is not set
+# end of Analog digital bi-direction converters
+
+#
+# Capacitance to digital converters
+#
+# CONFIG_AD7150 is not set
+# CONFIG_AD7746 is not set
+# end of Capacitance to digital converters
+
+#
+# Direct Digital Synthesis
+#
+# CONFIG_AD9832 is not set
+# CONFIG_AD9834 is not set
+# end of Direct Digital Synthesis
+
+#
+# Network Analyzer, Impedance Converters
+#
+# CONFIG_AD5933 is not set
+# end of Network Analyzer, Impedance Converters
+
+#
+# Active energy metering IC
+#
+# CONFIG_ADE7854 is not set
+# end of Active energy metering IC
+
+#
+# Resolver to digital converters
+#
+# CONFIG_AD2S1210 is not set
+# end of Resolver to digital converters
+# end of IIO staging drivers
+
+# CONFIG_FB_SM750 is not set
+
+#
+# Speakup console speech
+#
+CONFIG_SPEAKUP=3Dm
+CONFIG_SPEAKUP_SYNTH_ACNTSA=3Dm
+CONFIG_SPEAKUP_SYNTH_APOLLO=3Dm
+CONFIG_SPEAKUP_SYNTH_AUDPTR=3Dm
+CONFIG_SPEAKUP_SYNTH_BNS=3Dm
+CONFIG_SPEAKUP_SYNTH_DECTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_DECEXT=3Dm
+CONFIG_SPEAKUP_SYNTH_LTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_SOFT=3Dm
+CONFIG_SPEAKUP_SYNTH_SPKOUT=3Dm
+CONFIG_SPEAKUP_SYNTH_TXPRT=3Dm
+CONFIG_SPEAKUP_SYNTH_DUMMY=3Dm
+# end of Speakup console speech
+
+# CONFIG_MFD_NVEC is not set
+# CONFIG_STAGING_MEDIA is not set
+
+#
+# Android
+#
+# end of Android
+
+# CONFIG_STAGING_BOARD is not set
+# CONFIG_LTE_GDM724X is not set
+# CONFIG_FIREWIRE_SERIAL is not set
+# CONFIG_GS_FPGABOOT is not set
+# CONFIG_UNISYSSPAR is not set
+# CONFIG_COMMON_CLK_XLNX_CLKWZRD is not set
+# CONFIG_FB_TFT is not set
+# CONFIG_WILC1000_SDIO is not set
+# CONFIG_WILC1000_SPI is not set
+# CONFIG_MOST is not set
+# CONFIG_KS7010 is not set
+CONFIG_BCM_VIDEOCORE=3Dy
+# CONFIG_BCM2835_VCHIQ is not set
+# CONFIG_SND_BCM2835 is not set
+# CONFIG_VIDEO_BCM2835 is not set
+# CONFIG_PI433 is not set
+
+#
+# Gasket devices
+#
+# CONFIG_STAGING_GASKET_FRAMEWORK is not set
+# end of Gasket devices
+
+# CONFIG_XIL_AXIS_FIFO is not set
+# CONFIG_FIELDBUS_DEV is not set
+# CONFIG_KPC2000 is not set
+CONFIG_USB_WUSB=3Dm
+CONFIG_USB_WUSB_CBAF=3Dm
+# CONFIG_USB_WUSB_CBAF_DEBUG is not set
+CONFIG_USB_WHCI_HCD=3Dm
+CONFIG_USB_HWA_HCD=3Dm
+CONFIG_UWB=3Dm
+CONFIG_UWB_HWA=3Dm
+CONFIG_UWB_WHCI=3Dm
+CONFIG_UWB_I1480U=3Dm
+CONFIG_EXFAT_FS=3Dm
+CONFIG_EXFAT_DONT_MOUNT_VFAT=3Dy
+CONFIG_EXFAT_DISCARD=3Dy
+# CONFIG_EXFAT_DELAYED_SYNC is not set
+# CONFIG_EXFAT_KERNEL_DEBUG is not set
+# CONFIG_EXFAT_DEBUG_MSG is not set
+CONFIG_EXFAT_DEFAULT_CODEPAGE=3D437
+CONFIG_EXFAT_DEFAULT_IOCHARSET=3D"utf8"
+CONFIG_QLGE=3Dm
+# CONFIG_GOLDFISH is not set
+CONFIG_MFD_CROS_EC=3Dy
+CONFIG_CHROME_PLATFORMS=3Dy
+CONFIG_CHROMEOS_TBMC=3Dm
+CONFIG_CROS_EC=3Dy
+CONFIG_CROS_EC_I2C=3Dm
+CONFIG_CROS_EC_RPMSG=3Dm
+CONFIG_CROS_EC_SPI=3Dm
+CONFIG_CROS_EC_PROTO=3Dy
+CONFIG_CROS_KBD_LED_BACKLIGHT=3Dm
+CONFIG_CROS_EC_CHARDEV=3Dm
+CONFIG_CROS_EC_LIGHTBAR=3Dm
+CONFIG_CROS_EC_VBC=3Dm
+CONFIG_CROS_EC_DEBUGFS=3Dm
+CONFIG_CROS_EC_SYSFS=3Dm
+CONFIG_CROS_USBPD_LOGGER=3Dm
+# CONFIG_MELLANOX_PLATFORM is not set
+CONFIG_CLKDEV_LOOKUP=3Dy
+CONFIG_HAVE_CLK_PREPARE=3Dy
+CONFIG_COMMON_CLK=3Dy
+
+#
+# Common Clock Framework
+#
+CONFIG_COMMON_CLK_VERSATILE=3Dy
+CONFIG_CLK_SP810=3Dy
+CONFIG_CLK_VEXPRESS_OSC=3Dy
+# CONFIG_CLK_HSDK is not set
+# CONFIG_COMMON_CLK_MAX77686 is not set
+CONFIG_COMMON_CLK_MAX9485=3Dm
+CONFIG_COMMON_CLK_RK808=3Dm
+CONFIG_COMMON_CLK_HI655X=3Dm
+CONFIG_COMMON_CLK_SCMI=3Dm
+CONFIG_COMMON_CLK_SI5341=3Dm
+# CONFIG_COMMON_CLK_SI5351 is not set
+# CONFIG_COMMON_CLK_SI514 is not set
+# CONFIG_COMMON_CLK_SI544 is not set
+# CONFIG_COMMON_CLK_SI570 is not set
+# CONFIG_COMMON_CLK_CDCE706 is not set
+# CONFIG_COMMON_CLK_CDCE925 is not set
+# CONFIG_COMMON_CLK_CS2000_CP is not set
+# CONFIG_CLK_QORIQ is not set
+CONFIG_COMMON_CLK_XGENE=3Dy
+# CONFIG_COMMON_CLK_PWM is not set
+# CONFIG_COMMON_CLK_VC5 is not set
+# CONFIG_COMMON_CLK_BD718XX is not set
+# CONFIG_COMMON_CLK_FIXED_MMIO is not set
+# CONFIG_CLK_BCM2835 is not set
+CONFIG_CLK_RASPBERRYPI=3Dm
+CONFIG_COMMON_CLK_HI3516CV300=3Dy
+CONFIG_COMMON_CLK_HI3519=3Dy
+CONFIG_COMMON_CLK_HI3660=3Dy
+CONFIG_COMMON_CLK_HI3670=3Dy
+CONFIG_COMMON_CLK_HI3798CV200=3Dy
+CONFIG_COMMON_CLK_HI6220=3Dy
+CONFIG_RESET_HISI=3Dy
+CONFIG_STUB_CLK_HI6220=3Dy
+# CONFIG_STUB_CLK_HI3660 is not set
+CONFIG_MXC_CLK=3Dy
+CONFIG_MXC_CLK_SCU=3Dy
+CONFIG_CLK_IMX8MM=3Dy
+CONFIG_CLK_IMX8MN=3Dy
+CONFIG_CLK_IMX8MQ=3Dy
+CONFIG_CLK_IMX8QXP=3Dy
+CONFIG_COMMON_CLK_MESON_REGMAP=3Dy
+CONFIG_COMMON_CLK_MESON_DUALDIV=3Dy
+CONFIG_COMMON_CLK_MESON_MPLL=3Dy
+CONFIG_COMMON_CLK_MESON_PHASE=3Dm
+CONFIG_COMMON_CLK_MESON_PLL=3Dy
+CONFIG_COMMON_CLK_MESON_SCLK_DIV=3Dm
+CONFIG_COMMON_CLK_MESON_VID_PLL_DIV=3Dy
+CONFIG_COMMON_CLK_MESON_AO_CLKC=3Dy
+CONFIG_COMMON_CLK_MESON_EE_CLKC=3Dy
+CONFIG_COMMON_CLK_MESON_CPU_DYNDIV=3Dy
+CONFIG_COMMON_CLK_GXBB=3Dy
+CONFIG_COMMON_CLK_AXG=3Dy
+CONFIG_COMMON_CLK_AXG_AUDIO=3Dm
+CONFIG_COMMON_CLK_G12A=3Dy
+CONFIG_ARMADA_AP_CP_HELPER=3Dy
+CONFIG_ARMADA_37XX_CLK=3Dy
+CONFIG_ARMADA_AP806_SYSCON=3Dy
+CONFIG_ARMADA_CP110_SYSCON=3Dy
+CONFIG_QCOM_GDSC=3Dy
+CONFIG_QCOM_RPMCC=3Dy
+CONFIG_COMMON_CLK_QCOM=3Dy
+CONFIG_QCOM_A53PLL=3Dy
+CONFIG_QCOM_CLK_APCS_MSM8916=3Dm
+CONFIG_QCOM_CLK_RPM=3Dm
+CONFIG_QCOM_CLK_SMD_RPM=3Dm
+# CONFIG_APQ_GCC_8084 is not set
+# CONFIG_APQ_MMCC_8084 is not set
+# CONFIG_IPQ_GCC_4019 is not set
+# CONFIG_IPQ_GCC_806X is not set
+# CONFIG_IPQ_LCC_806X is not set
+# CONFIG_IPQ_GCC_8074 is not set
+# CONFIG_MSM_GCC_8660 is not set
+CONFIG_MSM_GCC_8916=3Dy
+# CONFIG_MSM_GCC_8960 is not set
+# CONFIG_MSM_LCC_8960 is not set
+# CONFIG_MDM_GCC_9615 is not set
+# CONFIG_MDM_LCC_9615 is not set
+# CONFIG_MSM_MMCC_8960 is not set
+# CONFIG_MSM_GCC_8974 is not set
+# CONFIG_MSM_MMCC_8974 is not set
+# CONFIG_MSM_GCC_8994 is not set
+CONFIG_MSM_GCC_8996=3Dy
+CONFIG_MSM_MMCC_8996=3Dy
+# CONFIG_MSM_GCC_8998 is not set
+# CONFIG_QCS_GCC_404 is not set
+# CONFIG_SDM_CAMCC_845 is not set
+# CONFIG_SDM_GCC_660 is not set
+# CONFIG_QCS_TURING_404 is not set
+CONFIG_SDM_GCC_845=3Dm
+CONFIG_SDM_GPUCC_845=3Dm
+CONFIG_SDM_VIDEOCC_845=3Dm
+CONFIG_SDM_DISPCC_845=3Dm
+CONFIG_SDM_LPASSCC_845=3Dm
+# CONFIG_SM_GCC_8150 is not set
+# CONFIG_SPMI_PMIC_CLKDIV is not set
+# CONFIG_QCOM_HFPLL is not set
+# CONFIG_KPSS_XCC is not set
+CONFIG_CLK_SUNXI=3Dy
+CONFIG_CLK_SUNXI_CLOCKS=3Dy
+CONFIG_CLK_SUNXI_PRCM_SUN6I=3Dy
+CONFIG_CLK_SUNXI_PRCM_SUN8I=3Dy
+CONFIG_CLK_SUNXI_PRCM_SUN9I=3Dy
+CONFIG_SUNXI_CCU=3Dy
+CONFIG_SUN50I_A64_CCU=3Dy
+CONFIG_SUN50I_H6_CCU=3Dy
+CONFIG_SUN50I_H6_R_CCU=3Dy
+# CONFIG_SUN8I_A83T_CCU is not set
+CONFIG_SUN8I_H3_CCU=3Dy
+CONFIG_SUN8I_DE2_CCU=3Dy
+CONFIG_SUN8I_R_CCU=3Dy
+CONFIG_CLK_TEGRA_BPMP=3Dy
+CONFIG_TEGRA_CLK_DFLL=3Dy
+# end of Common Clock Framework
+
+# CONFIG_HWSPINLOCK is not set
+
+#
+# Clock Source drivers
+#
+CONFIG_TIMER_OF=3Dy
+CONFIG_TIMER_ACPI=3Dy
+CONFIG_TIMER_PROBE=3Dy
+CONFIG_CLKSRC_MMIO=3Dy
+CONFIG_ROCKCHIP_TIMER=3Dy
+CONFIG_TEGRA_TIMER=3Dy
+CONFIG_ARM_ARCH_TIMER=3Dy
+CONFIG_ARM_ARCH_TIMER_EVTSTREAM=3Dy
+CONFIG_ARM_ARCH_TIMER_OOL_WORKAROUND=3Dy
+CONFIG_FSL_ERRATUM_A008585=3Dy
+CONFIG_HISILICON_ERRATUM_161010101=3Dy
+CONFIG_ARM64_ERRATUM_858921=3Dy
+CONFIG_SUN50I_ERRATUM_UNKNOWN1=3Dy
+CONFIG_ARM_TIMER_SP804=3Dy
+CONFIG_CLKSRC_VERSATILE=3Dy
+CONFIG_TIMER_IMX_SYS_CTR=3Dy
+# end of Clock Source drivers
+
+CONFIG_MAILBOX=3Dy
+# CONFIG_ARM_MHU is not set
+CONFIG_IMX_MBOX=3Dm
+# CONFIG_PLATFORM_MHU is not set
+# CONFIG_PL320_MBOX is not set
+CONFIG_ARMADA_37XX_RWTM_MBOX=3Dm
+# CONFIG_ROCKCHIP_MBOX is not set
+CONFIG_PCC=3Dy
+# CONFIG_ALTERA_MBOX is not set
+CONFIG_BCM2835_MBOX=3Dy
+# CONFIG_HI3660_MBOX is not set
+CONFIG_HI6220_MBOX=3Dy
+# CONFIG_MAILBOX_TEST is not set
+CONFIG_QCOM_APCS_IPC=3Dm
+CONFIG_TEGRA_HSP_MBOX=3Dy
+CONFIG_XGENE_SLIMPRO_MBOX=3Dm
+CONFIG_IOMMU_IOVA=3Dy
+CONFIG_IOMMU_API=3Dy
+CONFIG_IOMMU_SUPPORT=3Dy
+
+#
+# Generic IOMMU Pagetable Support
+#
+CONFIG_IOMMU_IO_PGTABLE=3Dy
+CONFIG_IOMMU_IO_PGTABLE_LPAE=3Dy
+# CONFIG_IOMMU_IO_PGTABLE_LPAE_SELFTEST is not set
+# CONFIG_IOMMU_IO_PGTABLE_ARMV7S is not set
+# end of Generic IOMMU Pagetable Support
+
+# CONFIG_IOMMU_DEBUGFS is not set
+# CONFIG_IOMMU_DEFAULT_PASSTHROUGH is not set
+CONFIG_OF_IOMMU=3Dy
+CONFIG_IOMMU_DMA=3Dy
+# CONFIG_ROCKCHIP_IOMMU is not set
+CONFIG_TEGRA_IOMMU_SMMU=3Dy
+CONFIG_ARM_SMMU=3Dy
+CONFIG_ARM_SMMU_DISABLE_BYPASS_BY_DEFAULT=3Dy
+CONFIG_ARM_SMMU_V3=3Dy
+CONFIG_QCOM_IOMMU=3Dy
+
+#
+# Remoteproc drivers
+#
+# CONFIG_REMOTEPROC is not set
+# end of Remoteproc drivers
+
+#
+# Rpmsg drivers
+#
+CONFIG_RPMSG=3Dm
+# CONFIG_RPMSG_CHAR is not set
+CONFIG_RPMSG_QCOM_GLINK_NATIVE=3Dm
+CONFIG_RPMSG_QCOM_GLINK_RPM=3Dm
+# CONFIG_RPMSG_VIRTIO is not set
+# end of Rpmsg drivers
+
+# CONFIG_SOUNDWIRE is not set
+
+#
+# SOC (System On Chip) specific Drivers
+#
+
+#
+# Amlogic SoC drivers
+#
+CONFIG_MESON_CANVAS=3Dm
+CONFIG_MESON_CLK_MEASURE=3Dy
+CONFIG_MESON_GX_SOCINFO=3Dy
+CONFIG_MESON_GX_PM_DOMAINS=3Dy
+CONFIG_MESON_EE_PM_DOMAINS=3Dy
+CONFIG_MESON_MX_SOCINFO=3Dy
+# end of Amlogic SoC drivers
+
+#
+# Aspeed SoC drivers
+#
+# end of Aspeed SoC drivers
+
+#
+# Broadcom SoC drivers
+#
+CONFIG_BCM2835_POWER=3Dy
+CONFIG_RASPBERRYPI_POWER=3Dy
+# CONFIG_SOC_BRCMSTB is not set
+# end of Broadcom SoC drivers
+
+#
+# NXP/Freescale QorIQ SoC drivers
+#
+CONFIG_FSL_GUTS=3Dy
+# end of NXP/Freescale QorIQ SoC drivers
+
+#
+# i.MX SoC drivers
+#
+CONFIG_IMX_GPCV2_PM_DOMAINS=3Dy
+# CONFIG_IMX_SCU_SOC is not set
+# end of i.MX SoC drivers
+
+#
+# Qualcomm SoC drivers
+#
+CONFIG_QCOM_AOSS_QMP=3Dm
+CONFIG_QCOM_COMMAND_DB=3Dy
+CONFIG_QCOM_GENI_SE=3Dm
+CONFIG_QCOM_GSBI=3Dm
+CONFIG_QCOM_LLCC=3Dm
+CONFIG_QCOM_SDM845_LLCC=3Dm
+CONFIG_QCOM_MDT_LOADER=3Dm
+# CONFIG_QCOM_RMTFS_MEM is not set
+# CONFIG_QCOM_RPMH is not set
+CONFIG_QCOM_SMD_RPM=3Dm
+CONFIG_QCOM_WCNSS_CTRL=3Dm
+CONFIG_QCOM_APR=3Dm
+# end of Qualcomm SoC drivers
+
+CONFIG_ROCKCHIP_GRF=3Dy
+CONFIG_ROCKCHIP_PM_DOMAINS=3Dy
+CONFIG_SUNXI_SRAM=3Dy
+CONFIG_ARCH_TEGRA_132_SOC=3Dy
+CONFIG_ARCH_TEGRA_210_SOC=3Dy
+# CONFIG_ARCH_TEGRA_186_SOC is not set
+CONFIG_ARCH_TEGRA_194_SOC=3Dy
+CONFIG_SOC_TEGRA_FUSE=3Dy
+CONFIG_SOC_TEGRA_FLOWCTRL=3Dy
+CONFIG_SOC_TEGRA_PMC=3Dy
+CONFIG_SOC_TEGRA_POWERGATE_BPMP=3Dy
+# CONFIG_SOC_TI is not set
+
+#
+# Xilinx SoC drivers
+#
+# CONFIG_XILINX_VCU is not set
+# end of Xilinx SoC drivers
+# end of SOC (System On Chip) specific Drivers
+
+CONFIG_PM_DEVFREQ=3Dy
+
+#
+# DEVFREQ Governors
+#
+CONFIG_DEVFREQ_GOV_SIMPLE_ONDEMAND=3Dm
+# CONFIG_DEVFREQ_GOV_PERFORMANCE is not set
+# CONFIG_DEVFREQ_GOV_POWERSAVE is not set
+# CONFIG_DEVFREQ_GOV_USERSPACE is not set
+# CONFIG_DEVFREQ_GOV_PASSIVE is not set
+
+#
+# DEVFREQ Drivers
+#
+CONFIG_ARM_TEGRA_DEVFREQ=3Dm
+# CONFIG_ARM_RK3399_DMC_DEVFREQ is not set
+# CONFIG_PM_DEVFREQ_EVENT is not set
+CONFIG_EXTCON=3Dy
+
+#
+# Extcon Device Drivers
+#
+# CONFIG_EXTCON_ADC_JACK is not set
+CONFIG_EXTCON_FSA9480=3Dm
+# CONFIG_EXTCON_GPIO is not set
+# CONFIG_EXTCON_MAX3355 is not set
+CONFIG_EXTCON_PTN5150=3Dm
+CONFIG_EXTCON_QCOM_SPMI_MISC=3Dm
+# CONFIG_EXTCON_RT8973A is not set
+# CONFIG_EXTCON_SM5502 is not set
+CONFIG_EXTCON_USB_GPIO=3Dm
+# CONFIG_EXTCON_USBC_CROS_EC is not set
+CONFIG_MEMORY=3Dy
+# CONFIG_ARM_PL172_MPMC is not set
+CONFIG_TEGRA_MC=3Dy
+CONFIG_IIO=3Dm
+CONFIG_IIO_BUFFER=3Dy
+# CONFIG_IIO_BUFFER_CB is not set
+# CONFIG_IIO_BUFFER_HW_CONSUMER is not set
+CONFIG_IIO_KFIFO_BUF=3Dm
+CONFIG_IIO_TRIGGERED_BUFFER=3Dm
+# CONFIG_IIO_CONFIGFS is not set
+CONFIG_IIO_TRIGGER=3Dy
+CONFIG_IIO_CONSUMERS_PER_TRIGGER=3D2
+# CONFIG_IIO_SW_DEVICE is not set
+# CONFIG_IIO_SW_TRIGGER is not set
+
+#
+# Accelerometers
+#
+# CONFIG_ADIS16201 is not set
+# CONFIG_ADIS16209 is not set
+# CONFIG_ADXL345_I2C is not set
+# CONFIG_ADXL345_SPI is not set
+# CONFIG_ADXL372_SPI is not set
+# CONFIG_ADXL372_I2C is not set
+# CONFIG_BMA180 is not set
+# CONFIG_BMA220 is not set
+# CONFIG_BMC150_ACCEL is not set
+# CONFIG_DA280 is not set
+# CONFIG_DA311 is not set
+# CONFIG_DMARD06 is not set
+# CONFIG_DMARD09 is not set
+# CONFIG_DMARD10 is not set
+CONFIG_HID_SENSOR_ACCEL_3D=3Dm
+# CONFIG_IIO_ST_ACCEL_3AXIS is not set
+# CONFIG_KXSD9 is not set
+# CONFIG_KXCJK1013 is not set
+# CONFIG_MC3230 is not set
+# CONFIG_MMA7455_I2C is not set
+# CONFIG_MMA7455_SPI is not set
+# CONFIG_MMA7660 is not set
+# CONFIG_MMA8452 is not set
+# CONFIG_MMA9551 is not set
+# CONFIG_MMA9553 is not set
+# CONFIG_MXC4005 is not set
+# CONFIG_MXC6255 is not set
+# CONFIG_SCA3000 is not set
+# CONFIG_STK8312 is not set
+# CONFIG_STK8BA50 is not set
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+CONFIG_AD_SIGMA_DELTA=3Dm
+CONFIG_AD7124=3Dm
+# CONFIG_AD7266 is not set
+# CONFIG_AD7291 is not set
+# CONFIG_AD7298 is not set
+# CONFIG_AD7476 is not set
+# CONFIG_AD7606_IFACE_PARALLEL is not set
+# CONFIG_AD7606_IFACE_SPI is not set
+# CONFIG_AD7766 is not set
+# CONFIG_AD7768_1 is not set
+# CONFIG_AD7780 is not set
+# CONFIG_AD7791 is not set
+# CONFIG_AD7793 is not set
+# CONFIG_AD7887 is not set
+# CONFIG_AD7923 is not set
+# CONFIG_AD7949 is not set
+# CONFIG_AD799X is not set
+CONFIG_AXP20X_ADC=3Dm
+CONFIG_AXP288_ADC=3Dm
+# CONFIG_CC10001_ADC is not set
+# CONFIG_ENVELOPE_DETECTOR is not set
+# CONFIG_HI8435 is not set
+# CONFIG_HX711 is not set
+# CONFIG_INA2XX_ADC is not set
+CONFIG_IMX7D_ADC=3Dm
+# CONFIG_LTC2471 is not set
+# CONFIG_LTC2485 is not set
+# CONFIG_LTC2497 is not set
+# CONFIG_MAX1027 is not set
+# CONFIG_MAX11100 is not set
+# CONFIG_MAX1118 is not set
+# CONFIG_MAX1363 is not set
+# CONFIG_MAX9611 is not set
+# CONFIG_MCP320X is not set
+# CONFIG_MCP3422 is not set
+# CONFIG_MCP3911 is not set
+CONFIG_MESON_SARADC=3Dm
+# CONFIG_NAU7802 is not set
+CONFIG_QCOM_VADC_COMMON=3Dm
+CONFIG_QCOM_SPMI_IADC=3Dm
+CONFIG_QCOM_SPMI_VADC=3Dm
+# CONFIG_QCOM_SPMI_ADC5 is not set
+# CONFIG_ROCKCHIP_SARADC is not set
+# CONFIG_SD_ADC_MODULATOR is not set
+# CONFIG_TI_ADC081C is not set
+# CONFIG_TI_ADC0832 is not set
+# CONFIG_TI_ADC084S021 is not set
+# CONFIG_TI_ADC12138 is not set
+# CONFIG_TI_ADC108S102 is not set
+# CONFIG_TI_ADC128S052 is not set
+# CONFIG_TI_ADC161S626 is not set
+# CONFIG_TI_ADS1015 is not set
+# CONFIG_TI_ADS7950 is not set
+# CONFIG_TI_ADS8344 is not set
+# CONFIG_TI_ADS8688 is not set
+# CONFIG_TI_ADS124S08 is not set
+# CONFIG_TI_TLC4541 is not set
+# CONFIG_VF610_ADC is not set
+CONFIG_VIPERBOARD_ADC=3Dm
+CONFIG_XILINX_XADC=3Dm
+# end of Analog to digital converters
+
+#
+# Analog Front Ends
+#
+# CONFIG_IIO_RESCALE is not set
+# end of Analog Front Ends
+
+#
+# Amplifiers
+#
+# CONFIG_AD8366 is not set
+# end of Amplifiers
+
+#
+# Chemical Sensors
+#
+# CONFIG_ATLAS_PH_SENSOR is not set
+# CONFIG_BME680 is not set
+# CONFIG_CCS811 is not set
+# CONFIG_IAQCORE is not set
+# CONFIG_PMS7003 is not set
+# CONFIG_SENSIRION_SGP30 is not set
+# CONFIG_SPS30 is not set
+# CONFIG_VZ89X is not set
+# end of Chemical Sensors
+
+# CONFIG_IIO_CROS_EC_SENSORS_CORE is not set
+
+#
+# Hid Sensor IIO Common
+#
+CONFIG_HID_SENSOR_IIO_COMMON=3Dm
+CONFIG_HID_SENSOR_IIO_TRIGGER=3Dm
+# end of Hid Sensor IIO Common
+
+#
+# SSP Sensor Common
+#
+# CONFIG_IIO_SSP_SENSORHUB is not set
+# end of SSP Sensor Common
+
+#
+# Digital to analog converters
+#
+# CONFIG_AD5064 is not set
+# CONFIG_AD5360 is not set
+# CONFIG_AD5380 is not set
+# CONFIG_AD5421 is not set
+CONFIG_AD5446=3Dm
+# CONFIG_AD5449 is not set
+# CONFIG_AD5592R is not set
+# CONFIG_AD5593R is not set
+# CONFIG_AD5504 is not set
+# CONFIG_AD5624R_SPI is not set
+# CONFIG_LTC1660 is not set
+# CONFIG_LTC2632 is not set
+# CONFIG_AD5686_SPI is not set
+# CONFIG_AD5696_I2C is not set
+# CONFIG_AD5755 is not set
+# CONFIG_AD5758 is not set
+# CONFIG_AD5761 is not set
+# CONFIG_AD5764 is not set
+# CONFIG_AD5791 is not set
+# CONFIG_AD7303 is not set
+# CONFIG_AD8801 is not set
+# CONFIG_DPOT_DAC is not set
+# CONFIG_DS4424 is not set
+# CONFIG_M62332 is not set
+# CONFIG_MAX517 is not set
+# CONFIG_MAX5821 is not set
+# CONFIG_MCP4725 is not set
+# CONFIG_MCP4922 is not set
+# CONFIG_TI_DAC082S085 is not set
+# CONFIG_TI_DAC5571 is not set
+# CONFIG_TI_DAC7311 is not set
+# CONFIG_TI_DAC7612 is not set
+# CONFIG_VF610_DAC is not set
+# end of Digital to analog converters
+
+#
+# IIO dummy driver
+#
+# end of IIO dummy driver
+
+#
+# Frequency Synthesizers DDS/PLL
+#
+
+#
+# Clock Generator/Distribution
+#
+# CONFIG_AD9523 is not set
+# end of Clock Generator/Distribution
+
+#
+# Phase-Locked Loop (PLL) frequency synthesizers
+#
+# CONFIG_ADF4350 is not set
+CONFIG_ADF4371=3Dm
+# end of Phase-Locked Loop (PLL) frequency synthesizers
+# end of Frequency Synthesizers DDS/PLL
+
+#
+# Digital gyroscope sensors
+#
+# CONFIG_ADIS16080 is not set
+# CONFIG_ADIS16130 is not set
+# CONFIG_ADIS16136 is not set
+# CONFIG_ADIS16260 is not set
+# CONFIG_ADXRS450 is not set
+# CONFIG_BMG160 is not set
+# CONFIG_FXAS21002C is not set
+CONFIG_HID_SENSOR_GYRO_3D=3Dm
+# CONFIG_MPU3050_I2C is not set
+# CONFIG_IIO_ST_GYRO_3AXIS is not set
+# CONFIG_ITG3200 is not set
+# end of Digital gyroscope sensors
+
+#
+# Health Sensors
+#
+
+#
+# Heart Rate Monitors
+#
+# CONFIG_AFE4403 is not set
+# CONFIG_AFE4404 is not set
+# CONFIG_MAX30100 is not set
+# CONFIG_MAX30102 is not set
+# end of Heart Rate Monitors
+# end of Health Sensors
+
+#
+# Humidity sensors
+#
+# CONFIG_AM2315 is not set
+CONFIG_DHT11=3Dm
+# CONFIG_HDC100X is not set
+# CONFIG_HID_SENSOR_HUMIDITY is not set
+# CONFIG_HTS221 is not set
+# CONFIG_HTU21 is not set
+# CONFIG_SI7005 is not set
+# CONFIG_SI7020 is not set
+# end of Humidity sensors
+
+#
+# Inertial measurement units
+#
+# CONFIG_ADIS16400 is not set
+# CONFIG_ADIS16460 is not set
+# CONFIG_ADIS16480 is not set
+# CONFIG_BMI160_I2C is not set
+# CONFIG_BMI160_SPI is not set
+# CONFIG_KMX61 is not set
+# CONFIG_INV_MPU6050_I2C is not set
+# CONFIG_INV_MPU6050_SPI is not set
+# CONFIG_IIO_ST_LSM6DSX is not set
+# end of Inertial measurement units
+
+#
+# Light sensors
+#
+CONFIG_ACPI_ALS=3Dm
+# CONFIG_ADJD_S311 is not set
+# CONFIG_AL3320A is not set
+# CONFIG_APDS9300 is not set
+# CONFIG_APDS9960 is not set
+# CONFIG_BH1750 is not set
+CONFIG_BH1780=3Dm
+# CONFIG_CM32181 is not set
+# CONFIG_CM3232 is not set
+# CONFIG_CM3323 is not set
+# CONFIG_CM3605 is not set
+# CONFIG_CM36651 is not set
+# CONFIG_GP2AP020A00F is not set
+# CONFIG_SENSORS_ISL29018 is not set
+# CONFIG_SENSORS_ISL29028 is not set
+# CONFIG_ISL29125 is not set
+CONFIG_HID_SENSOR_ALS=3Dm
+CONFIG_HID_SENSOR_PROX=3Dm
+# CONFIG_JSA1212 is not set
+# CONFIG_RPR0521 is not set
+# CONFIG_LTR501 is not set
+# CONFIG_LV0104CS is not set
+# CONFIG_MAX44000 is not set
+# CONFIG_MAX44009 is not set
+# CONFIG_NOA1305 is not set
+# CONFIG_OPT3001 is not set
+# CONFIG_PA12203001 is not set
+# CONFIG_SI1133 is not set
+# CONFIG_SI1145 is not set
+# CONFIG_STK3310 is not set
+# CONFIG_ST_UVIS25 is not set
+# CONFIG_TCS3414 is not set
+# CONFIG_TCS3472 is not set
+# CONFIG_SENSORS_TSL2563 is not set
+# CONFIG_TSL2583 is not set
+# CONFIG_TSL2772 is not set
+# CONFIG_TSL4531 is not set
+# CONFIG_US5182D is not set
+# CONFIG_VCNL4000 is not set
+# CONFIG_VCNL4035 is not set
+# CONFIG_VEML6070 is not set
+# CONFIG_VL6180 is not set
+# CONFIG_ZOPT2201 is not set
+# end of Light sensors
+
+#
+# Magnetometer sensors
+#
+# CONFIG_AK8974 is not set
+# CONFIG_AK8975 is not set
+# CONFIG_AK09911 is not set
+# CONFIG_BMC150_MAGN_I2C is not set
+# CONFIG_BMC150_MAGN_SPI is not set
+# CONFIG_MAG3110 is not set
+CONFIG_HID_SENSOR_MAGNETOMETER_3D=3Dm
+# CONFIG_MMC35240 is not set
+# CONFIG_IIO_ST_MAGN_3AXIS is not set
+# CONFIG_SENSORS_HMC5843_I2C is not set
+# CONFIG_SENSORS_HMC5843_SPI is not set
+# CONFIG_SENSORS_RM3100_I2C is not set
+# CONFIG_SENSORS_RM3100_SPI is not set
+# end of Magnetometer sensors
+
+#
+# Multiplexers
+#
+# CONFIG_IIO_MUX is not set
+# end of Multiplexers
+
+#
+# Inclinometer sensors
+#
+CONFIG_HID_SENSOR_INCLINOMETER_3D=3Dm
+CONFIG_HID_SENSOR_DEVICE_ROTATION=3Dm
+# end of Inclinometer sensors
+
+#
+# Triggers - standalone
+#
+# CONFIG_IIO_INTERRUPT_TRIGGER is not set
+# CONFIG_IIO_SYSFS_TRIGGER is not set
+# end of Triggers - standalone
+
+#
+# Digital potentiometers
+#
+# CONFIG_AD5272 is not set
+# CONFIG_DS1803 is not set
+# CONFIG_MAX5432 is not set
+# CONFIG_MAX5481 is not set
+# CONFIG_MAX5487 is not set
+# CONFIG_MCP4018 is not set
+# CONFIG_MCP4131 is not set
+# CONFIG_MCP4531 is not set
+# CONFIG_MCP41010 is not set
+# CONFIG_TPL0102 is not set
+# end of Digital potentiometers
+
+#
+# Digital potentiostats
+#
+# CONFIG_LMP91000 is not set
+# end of Digital potentiostats
+
+#
+# Pressure sensors
+#
+# CONFIG_ABP060MG is not set
+# CONFIG_BMP280 is not set
+CONFIG_DPS310=3Dm
+CONFIG_HID_SENSOR_PRESS=3Dm
+# CONFIG_HP03 is not set
+# CONFIG_MPL115_I2C is not set
+# CONFIG_MPL115_SPI is not set
+# CONFIG_MPL3115 is not set
+# CONFIG_MS5611 is not set
+# CONFIG_MS5637 is not set
+# CONFIG_IIO_ST_PRESS is not set
+# CONFIG_T5403 is not set
+# CONFIG_HP206C is not set
+# CONFIG_ZPA2326 is not set
+# end of Pressure sensors
+
+#
+# Lightning sensors
+#
+# CONFIG_AS3935 is not set
+# end of Lightning sensors
+
+#
+# Proximity and distance sensors
+#
+# CONFIG_ISL29501 is not set
+# CONFIG_LIDAR_LITE_V2 is not set
+# CONFIG_MB1232 is not set
+# CONFIG_RFD77402 is not set
+# CONFIG_SRF04 is not set
+# CONFIG_SX9500 is not set
+# CONFIG_SRF08 is not set
+# CONFIG_VL53L0X_I2C is not set
+# end of Proximity and distance sensors
+
+#
+# Resolver to digital converters
+#
+# CONFIG_AD2S90 is not set
+# CONFIG_AD2S1200 is not set
+# end of Resolver to digital converters
+
+#
+# Temperature sensors
+#
+# CONFIG_MAXIM_THERMOCOUPLE is not set
+# CONFIG_HID_SENSOR_TEMP is not set
+# CONFIG_MLX90614 is not set
+# CONFIG_MLX90632 is not set
+# CONFIG_TMP006 is not set
+# CONFIG_TMP007 is not set
+# CONFIG_TSYS01 is not set
+# CONFIG_TSYS02D is not set
+# CONFIG_MAX31856 is not set
+# end of Temperature sensors
+
+# CONFIG_NTB is not set
+# CONFIG_VME_BUS is not set
+CONFIG_PWM=3Dy
+CONFIG_PWM_SYSFS=3Dy
+CONFIG_PWM_BCM2835=3Dm
+# CONFIG_PWM_CROS_EC is not set
+# CONFIG_PWM_FSL_FTM is not set
+# CONFIG_PWM_HIBVT is not set
+# CONFIG_PWM_IMX1 is not set
+# CONFIG_PWM_IMX27 is not set
+# CONFIG_PWM_IMX_TPM is not set
+CONFIG_PWM_MESON=3Dm
+# CONFIG_PWM_PCA9685 is not set
+CONFIG_PWM_ROCKCHIP=3Dm
+CONFIG_PWM_SUN4I=3Dm
+CONFIG_PWM_TEGRA=3Dm
+
+#
+# IRQ chip support
+#
+CONFIG_IRQCHIP=3Dy
+CONFIG_ARM_GIC=3Dy
+CONFIG_ARM_GIC_PM=3Dy
+CONFIG_ARM_GIC_MAX_NR=3D1
+CONFIG_ARM_GIC_V2M=3Dy
+CONFIG_ARM_GIC_V3=3Dy
+CONFIG_ARM_GIC_V3_ITS=3Dy
+CONFIG_ARM_GIC_V3_ITS_PCI=3Dy
+# CONFIG_AL_FIC is not set
+CONFIG_HISILICON_IRQ_MBIGEN=3Dy
+CONFIG_MADERA_IRQ=3Dm
+CONFIG_IMX_GPCV2=3Dy
+CONFIG_MVEBU_GICP=3Dy
+CONFIG_MVEBU_ICU=3Dy
+CONFIG_MVEBU_ODMI=3Dy
+CONFIG_MVEBU_PIC=3Dy
+CONFIG_MVEBU_SEI=3Dy
+CONFIG_PARTITION_PERCPU=3Dy
+CONFIG_QCOM_IRQ_COMBINER=3Dy
+CONFIG_MESON_IRQ_GPIO=3Dy
+# CONFIG_QCOM_PDC is not set
+CONFIG_IMX_IRQSTEER=3Dy
+# end of IRQ chip support
+
+# CONFIG_IPACK_BUS is not set
+CONFIG_ARCH_HAS_RESET_CONTROLLER=3Dy
+CONFIG_RESET_CONTROLLER=3Dy
+CONFIG_RESET_IMX7=3Dy
+CONFIG_RESET_MESON=3Dy
+# CONFIG_RESET_MESON_AUDIO_ARB is not set
+# CONFIG_RESET_QCOM_AOSS is not set
+# CONFIG_RESET_QCOM_PDC is not set
+CONFIG_RESET_SCMI=3Dy
+CONFIG_RESET_SIMPLE=3Dy
+CONFIG_RESET_SUNXI=3Dy
+# CONFIG_RESET_TI_SYSCON is not set
+CONFIG_COMMON_RESET_HI3660=3Dy
+CONFIG_COMMON_RESET_HI6220=3Dy
+CONFIG_RESET_TEGRA_BPMP=3Dy
+
+#
+# PHY Subsystem
+#
+CONFIG_GENERIC_PHY=3Dy
+CONFIG_GENERIC_PHY_MIPI_DPHY=3Dy
+CONFIG_PHY_XGENE=3Dm
+CONFIG_PHY_SUN4I_USB=3Dm
+# CONFIG_PHY_SUN6I_MIPI_DPHY is not set
+# CONFIG_PHY_SUN9I_USB is not set
+CONFIG_PHY_MESON8B_USB2=3Dm
+CONFIG_PHY_MESON_GXL_USB2=3Dy
+CONFIG_PHY_MESON_GXL_USB3=3Dy
+CONFIG_PHY_MESON_G12A_USB2=3Dy
+CONFIG_PHY_MESON_G12A_USB3_PCIE=3Dy
+# CONFIG_BCM_KONA_USB2_PHY is not set
+# CONFIG_PHY_CADENCE_DP is not set
+# CONFIG_PHY_CADENCE_DPHY is not set
+# CONFIG_PHY_CADENCE_SIERRA is not set
+CONFIG_PHY_FSL_IMX8MQ_USB=3Dm
+CONFIG_PHY_MIXEL_MIPI_DPHY=3Dm
+CONFIG_PHY_HI6220_USB=3Dm
+CONFIG_PHY_HI3660_USB=3Dm
+# CONFIG_PHY_HISTB_COMBPHY is not set
+# CONFIG_PHY_HISI_INNO_USB2 is not set
+CONFIG_PHY_MVEBU_A3700_COMPHY=3Dm
+CONFIG_PHY_MVEBU_A3700_UTMI=3Dm
+CONFIG_PHY_MVEBU_A38X_COMPHY=3Dm
+CONFIG_PHY_MVEBU_CP110_COMPHY=3Dm
+# CONFIG_PHY_PXA_28NM_HSIC is not set
+# CONFIG_PHY_PXA_28NM_USB2 is not set
+# CONFIG_PHY_CPCAP_USB is not set
+# CONFIG_PHY_MAPPHONE_MDM6600 is not set
+# CONFIG_PHY_OCELOT_SERDES is not set
+CONFIG_PHY_QCOM_APQ8064_SATA=3Dm
+CONFIG_PHY_QCOM_IPQ806X_SATA=3Dm
+CONFIG_PHY_QCOM_PCIE2=3Dm
+CONFIG_PHY_QCOM_QMP=3Dm
+CONFIG_PHY_QCOM_QUSB2=3Dm
+CONFIG_PHY_QCOM_UFS=3Dm
+CONFIG_PHY_QCOM_UFS_14NM=3Dm
+CONFIG_PHY_QCOM_USB_HS=3Dm
+CONFIG_PHY_QCOM_USB_HSIC=3Dm
+# CONFIG_PHY_ROCKCHIP_DP is not set
+CONFIG_PHY_ROCKCHIP_EMMC=3Dm
+# CONFIG_PHY_ROCKCHIP_INNO_HDMI is not set
+CONFIG_PHY_ROCKCHIP_INNO_USB2=3Dm
+CONFIG_PHY_ROCKCHIP_PCIE=3Dm
+# CONFIG_PHY_ROCKCHIP_TYPEC is not set
+# CONFIG_PHY_ROCKCHIP_USB is not set
+# CONFIG_PHY_SAMSUNG_USB2 is not set
+CONFIG_PHY_TEGRA_XUSB=3Dm
+CONFIG_PHY_TEGRA194_P2U=3Dm
+CONFIG_PHY_TUSB1210=3Dm
+# end of PHY Subsystem
+
+# CONFIG_POWERCAP is not set
+# CONFIG_MCB is not set
+
+#
+# Performance monitor support
+#
+# CONFIG_ARM_CCI_PMU is not set
+# CONFIG_ARM_CCN is not set
+CONFIG_ARM_PMU=3Dy
+CONFIG_ARM_PMU_ACPI=3Dy
+CONFIG_ARM_SMMU_V3_PMU=3Dm
+# CONFIG_ARM_DSU_PMU is not set
+CONFIG_FSL_IMX8_DDR_PMU=3Dm
+# CONFIG_HISI_PMU is not set
+# CONFIG_QCOM_L2_PMU is not set
+# CONFIG_QCOM_L3_PMU is not set
+CONFIG_THUNDERX2_PMU=3Dm
+# CONFIG_XGENE_PMU is not set
+# CONFIG_ARM_SPE_PMU is not set
+# end of Performance monitor support
+
+CONFIG_RAS=3Dy
+
+#
+# Android
+#
+# CONFIG_ANDROID is not set
+# end of Android
+
+CONFIG_LIBNVDIMM=3Dy
+CONFIG_BLK_DEV_PMEM=3Dy
+CONFIG_ND_BLK=3Dy
+CONFIG_ND_CLAIM=3Dy
+CONFIG_ND_BTT=3Dy
+CONFIG_BTT=3Dy
+CONFIG_OF_PMEM=3Dy
+CONFIG_DAX_DRIVER=3Dy
+CONFIG_DAX=3Dy
+CONFIG_DEV_DAX=3Dm
+CONFIG_NVMEM=3Dy
+CONFIG_NVMEM_SYSFS=3Dy
+CONFIG_NVMEM_IMX_IIM=3Dm
+CONFIG_NVMEM_IMX_OCOTP=3Dm
+CONFIG_NVMEM_IMX_OCOTP_SCU=3Dm
+CONFIG_QCOM_QFPROM=3Dm
+# CONFIG_ROCKCHIP_EFUSE is not set
+CONFIG_NVMEM_SUNXI_SID=3Dm
+# CONFIG_MESON_EFUSE is not set
+# CONFIG_MESON_MX_EFUSE is not set
+CONFIG_NVMEM_SNVS_LPGPR=3Dm
+
+#
+# HW tracing support
+#
+# CONFIG_STM is not set
+# CONFIG_INTEL_TH is not set
+# end of HW tracing support
+
+# CONFIG_FPGA is not set
+# CONFIG_FSI is not set
+CONFIG_TEE=3Dm
+
+#
+# TEE drivers
+#
+CONFIG_OPTEE=3Dm
+CONFIG_OPTEE_SHM_NUM_PRIV_PAGES=3D1
+# end of TEE drivers
+
+CONFIG_MULTIPLEXER=3Dm
+
+#
+# Multiplexer drivers
+#
+CONFIG_MUX_ADG792A=3Dm
+CONFIG_MUX_ADGS1408=3Dm
+CONFIG_MUX_GPIO=3Dm
+CONFIG_MUX_MMIO=3Dm
+# end of Multiplexer drivers
+
+CONFIG_PM_OPP=3Dy
+# CONFIG_SIOX is not set
+# CONFIG_SLIMBUS is not set
+# CONFIG_INTERCONNECT is not set
+# CONFIG_COUNTER is not set
+# end of Device Drivers
+
+#
+# File systems
+#
+CONFIG_DCACHE_WORD_ACCESS=3Dy
+CONFIG_VALIDATE_FS_PARSER=3Dy
+CONFIG_FS_IOMAP=3Dy
+# CONFIG_EXT2_FS is not set
+# CONFIG_EXT3_FS is not set
+CONFIG_EXT4_FS=3Dy
+CONFIG_EXT4_USE_FOR_EXT2=3Dy
+CONFIG_EXT4_FS_POSIX_ACL=3Dy
+CONFIG_EXT4_FS_SECURITY=3Dy
+# CONFIG_EXT4_DEBUG is not set
+CONFIG_JBD2=3Dy
+# CONFIG_JBD2_DEBUG is not set
+CONFIG_FS_MBCACHE=3Dy
+CONFIG_REISERFS_FS=3Dm
+# CONFIG_REISERFS_CHECK is not set
+# CONFIG_REISERFS_PROC_INFO is not set
+CONFIG_REISERFS_FS_XATTR=3Dy
+CONFIG_REISERFS_FS_POSIX_ACL=3Dy
+CONFIG_REISERFS_FS_SECURITY=3Dy
+CONFIG_JFS_FS=3Dm
+CONFIG_JFS_POSIX_ACL=3Dy
+CONFIG_JFS_SECURITY=3Dy
+# CONFIG_JFS_DEBUG is not set
+# CONFIG_JFS_STATISTICS is not set
+CONFIG_XFS_FS=3Dm
+CONFIG_XFS_QUOTA=3Dy
+CONFIG_XFS_POSIX_ACL=3Dy
+CONFIG_XFS_RT=3Dy
+# CONFIG_XFS_ONLINE_SCRUB is not set
+# CONFIG_XFS_WARN is not set
+# CONFIG_XFS_DEBUG is not set
+CONFIG_GFS2_FS=3Dm
+CONFIG_GFS2_FS_LOCKING_DLM=3Dy
+CONFIG_OCFS2_FS=3Dm
+CONFIG_OCFS2_FS_O2CB=3Dm
+CONFIG_OCFS2_FS_USERSPACE_CLUSTER=3Dm
+CONFIG_OCFS2_FS_STATS=3Dy
+CONFIG_OCFS2_DEBUG_MASKLOG=3Dy
+# CONFIG_OCFS2_DEBUG_FS is not set
+CONFIG_BTRFS_FS=3Dm
+CONFIG_BTRFS_FS_POSIX_ACL=3Dy
+# CONFIG_BTRFS_FS_CHECK_INTEGRITY is not set
+# CONFIG_BTRFS_FS_RUN_SANITY_TESTS is not set
+# CONFIG_BTRFS_DEBUG is not set
+# CONFIG_BTRFS_ASSERT is not set
+# CONFIG_BTRFS_FS_REF_VERIFY is not set
+CONFIG_NILFS2_FS=3Dm
+CONFIG_F2FS_FS=3Dm
+CONFIG_F2FS_STAT_FS=3Dy
+CONFIG_F2FS_FS_XATTR=3Dy
+CONFIG_F2FS_FS_POSIX_ACL=3Dy
+CONFIG_F2FS_FS_SECURITY=3Dy
+# CONFIG_F2FS_CHECK_FS is not set
+# CONFIG_F2FS_IO_TRACE is not set
+# CONFIG_F2FS_FAULT_INJECTION is not set
+CONFIG_FS_DAX=3Dy
+CONFIG_FS_POSIX_ACL=3Dy
+CONFIG_EXPORTFS=3Dy
+CONFIG_EXPORTFS_BLOCK_OPS=3Dy
+CONFIG_FILE_LOCKING=3Dy
+CONFIG_MANDATORY_FILE_LOCKING=3Dy
+# CONFIG_FS_ENCRYPTION is not set
+CONFIG_FS_VERITY=3Dy
+# CONFIG_FS_VERITY_DEBUG is not set
+# CONFIG_FS_VERITY_BUILTIN_SIGNATURES is not set
+CONFIG_FSNOTIFY=3Dy
+CONFIG_DNOTIFY=3Dy
+CONFIG_INOTIFY_USER=3Dy
+CONFIG_FANOTIFY=3Dy
+CONFIG_FANOTIFY_ACCESS_PERMISSIONS=3Dy
+CONFIG_QUOTA=3Dy
+CONFIG_QUOTA_NETLINK_INTERFACE=3Dy
+CONFIG_PRINT_QUOTA_WARNING=3Dy
+# CONFIG_QUOTA_DEBUG is not set
+CONFIG_QUOTA_TREE=3Dm
+CONFIG_QFMT_V1=3Dm
+CONFIG_QFMT_V2=3Dm
+CONFIG_QUOTACTL=3Dy
+CONFIG_AUTOFS4_FS=3Dm
+CONFIG_AUTOFS_FS=3Dm
+CONFIG_FUSE_FS=3Dm
+CONFIG_CUSE=3Dm
+CONFIG_VIRTIO_FS=3Dm
+CONFIG_OVERLAY_FS=3Dm
+# CONFIG_OVERLAY_FS_REDIRECT_DIR is not set
+CONFIG_OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW=3Dy
+# CONFIG_OVERLAY_FS_INDEX is not set
+# CONFIG_OVERLAY_FS_XINO_AUTO is not set
+# CONFIG_OVERLAY_FS_METACOPY is not set
+
+#
+# Caches
+#
+CONFIG_FSCACHE=3Dm
+CONFIG_FSCACHE_STATS=3Dy
+# CONFIG_FSCACHE_HISTOGRAM is not set
+# CONFIG_FSCACHE_DEBUG is not set
+# CONFIG_FSCACHE_OBJECT_LIST is not set
+CONFIG_CACHEFILES=3Dm
+# CONFIG_CACHEFILES_DEBUG is not set
+# CONFIG_CACHEFILES_HISTOGRAM is not set
+# end of Caches
+
+#
+# CD-ROM/DVD Filesystems
+#
+CONFIG_ISO9660_FS=3Dm
+CONFIG_JOLIET=3Dy
+CONFIG_ZISOFS=3Dy
+CONFIG_UDF_FS=3Dm
+# end of CD-ROM/DVD Filesystems
+
+#
+# DOS/FAT/NT Filesystems
+#
+CONFIG_FAT_FS=3Dm
+CONFIG_MSDOS_FS=3Dm
+CONFIG_VFAT_FS=3Dm
+CONFIG_FAT_DEFAULT_CODEPAGE=3D437
+CONFIG_FAT_DEFAULT_IOCHARSET=3D"ascii"
+CONFIG_FAT_DEFAULT_UTF8=3Dy
+CONFIG_NTFS_FS=3Dm
+# CONFIG_NTFS_DEBUG is not set
+# CONFIG_NTFS_RW is not set
+# end of DOS/FAT/NT Filesystems
+
+#
+# Pseudo filesystems
+#
+CONFIG_PROC_FS=3Dy
+CONFIG_PROC_KCORE=3Dy
+CONFIG_PROC_VMCORE=3Dy
+# CONFIG_PROC_VMCORE_DEVICE_DUMP is not set
+CONFIG_PROC_SYSCTL=3Dy
+CONFIG_PROC_PAGE_MONITOR=3Dy
+CONFIG_PROC_CHILDREN=3Dy
+CONFIG_KERNFS=3Dy
+CONFIG_SYSFS=3Dy
+CONFIG_TMPFS=3Dy
+CONFIG_TMPFS_POSIX_ACL=3Dy
+CONFIG_TMPFS_XATTR=3Dy
+CONFIG_HUGETLBFS=3Dy
+CONFIG_HUGETLB_PAGE=3Dy
+CONFIG_MEMFD_CREATE=3Dy
+CONFIG_ARCH_HAS_GIGANTIC_PAGE=3Dy
+CONFIG_CONFIGFS_FS=3Dm
+CONFIG_EFIVAR_FS=3Dm
+# end of Pseudo filesystems
+
+CONFIG_MISC_FILESYSTEMS=3Dy
+# CONFIG_ORANGEFS_FS is not set
+CONFIG_ADFS_FS=3Dm
+# CONFIG_ADFS_FS_RW is not set
+CONFIG_AFFS_FS=3Dm
+CONFIG_ECRYPT_FS=3Dm
+CONFIG_ECRYPT_FS_MESSAGING=3Dy
+CONFIG_HFS_FS=3Dm
+CONFIG_HFSPLUS_FS=3Dm
+CONFIG_BEFS_FS=3Dm
+# CONFIG_BEFS_DEBUG is not set
+CONFIG_BFS_FS=3Dm
+CONFIG_EFS_FS=3Dm
+CONFIG_JFFS2_FS=3Dm
+CONFIG_JFFS2_FS_DEBUG=3D0
+CONFIG_JFFS2_FS_WRITEBUFFER=3Dy
+# CONFIG_JFFS2_FS_WBUF_VERIFY is not set
+CONFIG_JFFS2_SUMMARY=3Dy
+CONFIG_JFFS2_FS_XATTR=3Dy
+CONFIG_JFFS2_FS_POSIX_ACL=3Dy
+CONFIG_JFFS2_FS_SECURITY=3Dy
+CONFIG_JFFS2_COMPRESSION_OPTIONS=3Dy
+CONFIG_JFFS2_ZLIB=3Dy
+CONFIG_JFFS2_LZO=3Dy
+CONFIG_JFFS2_RTIME=3Dy
+# CONFIG_JFFS2_RUBIN is not set
+# CONFIG_JFFS2_CMODE_NONE is not set
+CONFIG_JFFS2_CMODE_PRIORITY=3Dy
+# CONFIG_JFFS2_CMODE_SIZE is not set
+# CONFIG_JFFS2_CMODE_FAVOURLZO is not set
+CONFIG_UBIFS_FS=3Dm
+CONFIG_UBIFS_FS_ADVANCED_COMPR=3Dy
+CONFIG_UBIFS_FS_LZO=3Dy
+CONFIG_UBIFS_FS_ZLIB=3Dy
+CONFIG_UBIFS_FS_ZSTD=3Dy
+# CONFIG_UBIFS_ATIME_SUPPORT is not set
+CONFIG_UBIFS_FS_XATTR=3Dy
+CONFIG_UBIFS_FS_SECURITY=3Dy
+CONFIG_UBIFS_FS_AUTHENTICATION=3Dy
+# CONFIG_CRAMFS is not set
+CONFIG_SQUASHFS=3Dm
+CONFIG_SQUASHFS_FILE_CACHE=3Dy
+# CONFIG_SQUASHFS_FILE_DIRECT is not set
+CONFIG_SQUASHFS_DECOMP_SINGLE=3Dy
+# CONFIG_SQUASHFS_DECOMP_MULTI is not set
+# CONFIG_SQUASHFS_DECOMP_MULTI_PERCPU is not set
+CONFIG_SQUASHFS_XATTR=3Dy
+CONFIG_SQUASHFS_ZLIB=3Dy
+CONFIG_SQUASHFS_LZ4=3Dy
+CONFIG_SQUASHFS_LZO=3Dy
+CONFIG_SQUASHFS_XZ=3Dy
+CONFIG_SQUASHFS_ZSTD=3Dy
+# CONFIG_SQUASHFS_4K_DEVBLK_SIZE is not set
+# CONFIG_SQUASHFS_EMBEDDED is not set
+CONFIG_SQUASHFS_FRAGMENT_CACHE_SIZE=3D3
+CONFIG_VXFS_FS=3Dm
+CONFIG_MINIX_FS=3Dm
+CONFIG_OMFS_FS=3Dm
+CONFIG_HPFS_FS=3Dm
+CONFIG_QNX4FS_FS=3Dm
+CONFIG_QNX6FS_FS=3Dm
+# CONFIG_QNX6FS_DEBUG is not set
+CONFIG_ROMFS_FS=3Dm
+# CONFIG_ROMFS_BACKED_BY_BLOCK is not set
+# CONFIG_ROMFS_BACKED_BY_MTD is not set
+CONFIG_ROMFS_BACKED_BY_BOTH=3Dy
+CONFIG_ROMFS_ON_BLOCK=3Dy
+CONFIG_ROMFS_ON_MTD=3Dy
+CONFIG_PSTORE=3Dy
+CONFIG_PSTORE_DEFLATE_COMPRESS=3Dm
+# CONFIG_PSTORE_LZO_COMPRESS is not set
+# CONFIG_PSTORE_LZ4_COMPRESS is not set
+# CONFIG_PSTORE_LZ4HC_COMPRESS is not set
+# CONFIG_PSTORE_842_COMPRESS is not set
+# CONFIG_PSTORE_ZSTD_COMPRESS is not set
+CONFIG_PSTORE_COMPRESS=3Dy
+CONFIG_PSTORE_DEFLATE_COMPRESS_DEFAULT=3Dy
+CONFIG_PSTORE_COMPRESS_DEFAULT=3D"deflate"
+# CONFIG_PSTORE_CONSOLE is not set
+# CONFIG_PSTORE_PMSG is not set
+# CONFIG_PSTORE_FTRACE is not set
+CONFIG_PSTORE_RAM=3Dm
+CONFIG_SYSV_FS=3Dm
+CONFIG_UFS_FS=3Dm
+# CONFIG_UFS_FS_WRITE is not set
+# CONFIG_UFS_DEBUG is not set
+CONFIG_EROFS_FS=3Dm
+# CONFIG_EROFS_FS_DEBUG is not set
+CONFIG_EROFS_FS_XATTR=3Dy
+CONFIG_EROFS_FS_POSIX_ACL=3Dy
+CONFIG_EROFS_FS_SECURITY=3Dy
+# CONFIG_EROFS_FS_ZIP is not set
+CONFIG_NETWORK_FILESYSTEMS=3Dy
+CONFIG_NFS_FS=3Dm
+CONFIG_NFS_V2=3Dm
+CONFIG_NFS_V3=3Dm
+CONFIG_NFS_V3_ACL=3Dy
+CONFIG_NFS_V4=3Dm
+CONFIG_NFS_SWAP=3Dy
+CONFIG_NFS_V4_1=3Dy
+CONFIG_NFS_V4_2=3Dy
+CONFIG_PNFS_FILE_LAYOUT=3Dm
+CONFIG_PNFS_BLOCK=3Dm
+CONFIG_PNFS_FLEXFILE_LAYOUT=3Dm
+CONFIG_NFS_V4_1_IMPLEMENTATION_ID_DOMAIN=3D"kernel.org"
+# CONFIG_NFS_V4_1_MIGRATION is not set
+CONFIG_NFS_V4_SECURITY_LABEL=3Dy
+CONFIG_NFS_FSCACHE=3Dy
+# CONFIG_NFS_USE_LEGACY_DNS is not set
+CONFIG_NFS_USE_KERNEL_DNS=3Dy
+CONFIG_NFS_DEBUG=3Dy
+CONFIG_NFSD=3Dm
+CONFIG_NFSD_V2_ACL=3Dy
+CONFIG_NFSD_V3=3Dy
+CONFIG_NFSD_V3_ACL=3Dy
+CONFIG_NFSD_V4=3Dy
+CONFIG_NFSD_PNFS=3Dy
+CONFIG_NFSD_BLOCKLAYOUT=3Dy
+# CONFIG_NFSD_SCSILAYOUT is not set
+# CONFIG_NFSD_FLEXFILELAYOUT is not set
+CONFIG_NFSD_V4_SECURITY_LABEL=3Dy
+CONFIG_GRACE_PERIOD=3Dm
+CONFIG_LOCKD=3Dm
+CONFIG_LOCKD_V4=3Dy
+CONFIG_NFS_ACL_SUPPORT=3Dm
+CONFIG_NFS_COMMON=3Dy
+CONFIG_SUNRPC=3Dm
+CONFIG_SUNRPC_GSS=3Dm
+CONFIG_SUNRPC_BACKCHANNEL=3Dy
+CONFIG_SUNRPC_SWAP=3Dy
+CONFIG_RPCSEC_GSS_KRB5=3Dm
+CONFIG_SUNRPC_DISABLE_INSECURE_ENCTYPES=3Dy
+CONFIG_SUNRPC_DEBUG=3Dy
+CONFIG_SUNRPC_XPRT_RDMA=3Dm
+CONFIG_CEPH_FS=3Dm
+CONFIG_CEPH_FSCACHE=3Dy
+CONFIG_CEPH_FS_POSIX_ACL=3Dy
+CONFIG_CEPH_FS_SECURITY_LABEL=3Dy
+CONFIG_CIFS=3Dm
+# CONFIG_CIFS_STATS2 is not set
+CONFIG_CIFS_ALLOW_INSECURE_LEGACY=3Dy
+CONFIG_CIFS_WEAK_PW_HASH=3Dy
+CONFIG_CIFS_UPCALL=3Dy
+CONFIG_CIFS_XATTR=3Dy
+CONFIG_CIFS_POSIX=3Dy
+CONFIG_CIFS_DEBUG=3Dy
+# CONFIG_CIFS_DEBUG2 is not set
+# CONFIG_CIFS_DEBUG_DUMP_KEYS is not set
+CONFIG_CIFS_DFS_UPCALL=3Dy
+# CONFIG_CIFS_SMB_DIRECT is not set
+CONFIG_CIFS_FSCACHE=3Dy
+CONFIG_CODA_FS=3Dm
+CONFIG_AFS_FS=3Dm
+# CONFIG_AFS_DEBUG is not set
+CONFIG_AFS_FSCACHE=3Dy
+# CONFIG_AFS_DEBUG_CURSOR is not set
+CONFIG_9P_FS=3Dm
+CONFIG_9P_FSCACHE=3Dy
+CONFIG_9P_FS_POSIX_ACL=3Dy
+CONFIG_9P_FS_SECURITY=3Dy
+CONFIG_NLS=3Dy
+CONFIG_NLS_DEFAULT=3D"utf8"
+CONFIG_NLS_CODEPAGE_437=3Dm
+CONFIG_NLS_CODEPAGE_737=3Dm
+CONFIG_NLS_CODEPAGE_775=3Dm
+CONFIG_NLS_CODEPAGE_850=3Dm
+CONFIG_NLS_CODEPAGE_852=3Dm
+CONFIG_NLS_CODEPAGE_855=3Dm
+CONFIG_NLS_CODEPAGE_857=3Dm
+CONFIG_NLS_CODEPAGE_860=3Dm
+CONFIG_NLS_CODEPAGE_861=3Dm
+CONFIG_NLS_CODEPAGE_862=3Dm
+CONFIG_NLS_CODEPAGE_863=3Dm
+CONFIG_NLS_CODEPAGE_864=3Dm
+CONFIG_NLS_CODEPAGE_865=3Dm
+CONFIG_NLS_CODEPAGE_866=3Dm
+CONFIG_NLS_CODEPAGE_869=3Dm
+CONFIG_NLS_CODEPAGE_936=3Dm
+CONFIG_NLS_CODEPAGE_950=3Dm
+CONFIG_NLS_CODEPAGE_932=3Dm
+CONFIG_NLS_CODEPAGE_949=3Dm
+CONFIG_NLS_CODEPAGE_874=3Dm
+CONFIG_NLS_ISO8859_8=3Dm
+CONFIG_NLS_CODEPAGE_1250=3Dm
+CONFIG_NLS_CODEPAGE_1251=3Dm
+CONFIG_NLS_ASCII=3Dm
+CONFIG_NLS_ISO8859_1=3Dm
+CONFIG_NLS_ISO8859_2=3Dm
+CONFIG_NLS_ISO8859_3=3Dm
+CONFIG_NLS_ISO8859_4=3Dm
+CONFIG_NLS_ISO8859_5=3Dm
+CONFIG_NLS_ISO8859_6=3Dm
+CONFIG_NLS_ISO8859_7=3Dm
+CONFIG_NLS_ISO8859_9=3Dm
+CONFIG_NLS_ISO8859_13=3Dm
+CONFIG_NLS_ISO8859_14=3Dm
+CONFIG_NLS_ISO8859_15=3Dm
+CONFIG_NLS_KOI8_R=3Dm
+CONFIG_NLS_KOI8_U=3Dm
+CONFIG_NLS_MAC_ROMAN=3Dm
+CONFIG_NLS_MAC_CELTIC=3Dm
+CONFIG_NLS_MAC_CENTEURO=3Dm
+CONFIG_NLS_MAC_CROATIAN=3Dm
+CONFIG_NLS_MAC_CYRILLIC=3Dm
+CONFIG_NLS_MAC_GAELIC=3Dm
+CONFIG_NLS_MAC_GREEK=3Dm
+CONFIG_NLS_MAC_ICELAND=3Dm
+CONFIG_NLS_MAC_INUIT=3Dm
+CONFIG_NLS_MAC_ROMANIAN=3Dm
+CONFIG_NLS_MAC_TURKISH=3Dm
+CONFIG_NLS_UTF8=3Dm
+CONFIG_DLM=3Dm
+CONFIG_DLM_DEBUG=3Dy
+# CONFIG_UNICODE is not set
+# end of File systems
+
+#
+# Security options
+#
+CONFIG_KEYS=3Dy
+CONFIG_KEYS_COMPAT=3Dy
+CONFIG_KEYS_REQUEST_CACHE=3Dy
+# CONFIG_PERSISTENT_KEYRINGS is not set
+# CONFIG_BIG_KEYS is not set
+# CONFIG_ENCRYPTED_KEYS is not set
+# CONFIG_KEY_DH_OPERATIONS is not set
+CONFIG_SECURITY_DMESG_RESTRICT=3Dy
+CONFIG_SECURITY=3Dy
+CONFIG_SECURITYFS=3Dy
+CONFIG_SECURITY_NETWORK=3Dy
+# CONFIG_SECURITY_INFINIBAND is not set
+CONFIG_SECURITY_NETWORK_XFRM=3Dy
+CONFIG_SECURITY_PATH=3Dy
+CONFIG_LSM_MMAP_MIN_ADDR=3D32768
+CONFIG_HAVE_HARDENED_USERCOPY_ALLOCATOR=3Dy
+CONFIG_HARDENED_USERCOPY=3Dy
+CONFIG_HARDENED_USERCOPY_FALLBACK=3Dy
+# CONFIG_HARDENED_USERCOPY_PAGESPAN is not set
+# CONFIG_FORTIFY_SOURCE is not set
+# CONFIG_STATIC_USERMODEHELPER is not set
+CONFIG_SECURITY_SELINUX=3Dy
+# CONFIG_SECURITY_SELINUX_BOOTPARAM is not set
+# CONFIG_SECURITY_SELINUX_DISABLE is not set
+CONFIG_SECURITY_SELINUX_DEVELOP=3Dy
+CONFIG_SECURITY_SELINUX_AVC_STATS=3Dy
+CONFIG_SECURITY_SELINUX_CHECKREQPROT_VALUE=3D0
+# CONFIG_SECURITY_SMACK is not set
+CONFIG_SECURITY_TOMOYO=3Dy
+CONFIG_SECURITY_TOMOYO_MAX_ACCEPT_ENTRY=3D2048
+CONFIG_SECURITY_TOMOYO_MAX_AUDIT_LOG=3D1024
+# CONFIG_SECURITY_TOMOYO_OMIT_USERSPACE_LOADER is not set
+CONFIG_SECURITY_TOMOYO_POLICY_LOADER=3D"/sbin/tomoyo-init"
+CONFIG_SECURITY_TOMOYO_ACTIVATION_TRIGGER=3D"/sbin/init"
+# CONFIG_SECURITY_TOMOYO_INSECURE_BUILTIN_SETTING is not set
+CONFIG_SECURITY_APPARMOR=3Dy
+CONFIG_SECURITY_APPARMOR_HASH=3Dy
+CONFIG_SECURITY_APPARMOR_HASH_DEFAULT=3Dy
+# CONFIG_SECURITY_APPARMOR_DEBUG is not set
+# CONFIG_SECURITY_LOADPIN is not set
+CONFIG_SECURITY_YAMA=3Dy
+# CONFIG_SECURITY_SAFESETID is not set
+# CONFIG_SECURITY_LOCKDOWN_LSM is not set
+CONFIG_INTEGRITY=3Dy
+CONFIG_INTEGRITY_SIGNATURE=3Dy
+CONFIG_INTEGRITY_ASYMMETRIC_KEYS=3Dy
+CONFIG_INTEGRITY_TRUSTED_KEYRING=3Dy
+CONFIG_INTEGRITY_AUDIT=3Dy
+# CONFIG_IMA is not set
+# CONFIG_EVM is not set
+# CONFIG_DEFAULT_SECURITY_SELINUX is not set
+# CONFIG_DEFAULT_SECURITY_TOMOYO is not set
+CONFIG_DEFAULT_SECURITY_APPARMOR=3Dy
+# CONFIG_DEFAULT_SECURITY_DAC is not set
+CONFIG_LSM=3D"yama,loadpin,safesetid,integrity,apparmor,selinux,smack,tomo=
yo"
+
+#
+# Kernel hardening options
+#
+CONFIG_GCC_PLUGIN_STRUCTLEAK=3Dy
+
+#
+# Memory initialization
+#
+# CONFIG_INIT_STACK_NONE is not set
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_USER is not set
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_BYREF is not set
+CONFIG_GCC_PLUGIN_STRUCTLEAK_BYREF_ALL=3Dy
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_VERBOSE is not set
+CONFIG_GCC_PLUGIN_STACKLEAK=3Dy
+CONFIG_STACKLEAK_TRACK_MIN_SIZE=3D100
+# CONFIG_STACKLEAK_METRICS is not set
+CONFIG_STACKLEAK_RUNTIME_DISABLE=3Dy
+CONFIG_INIT_ON_ALLOC_DEFAULT_ON=3Dy
+# CONFIG_INIT_ON_FREE_DEFAULT_ON is not set
+# end of Memory initialization
+# end of Kernel hardening options
+# end of Security options
+
+CONFIG_XOR_BLOCKS=3Dm
+CONFIG_ASYNC_CORE=3Dm
+CONFIG_ASYNC_MEMCPY=3Dm
+CONFIG_ASYNC_XOR=3Dm
+CONFIG_ASYNC_PQ=3Dm
+CONFIG_ASYNC_RAID6_RECOV=3Dm
+CONFIG_CRYPTO=3Dy
+
+#
+# Crypto core or helper
+#
+CONFIG_CRYPTO_ALGAPI=3Dy
+CONFIG_CRYPTO_ALGAPI2=3Dy
+CONFIG_CRYPTO_AEAD=3Dm
+CONFIG_CRYPTO_AEAD2=3Dy
+CONFIG_CRYPTO_BLKCIPHER=3Dm
+CONFIG_CRYPTO_BLKCIPHER2=3Dy
+CONFIG_CRYPTO_HASH=3Dy
+CONFIG_CRYPTO_HASH2=3Dy
+CONFIG_CRYPTO_RNG=3Dm
+CONFIG_CRYPTO_RNG2=3Dy
+CONFIG_CRYPTO_RNG_DEFAULT=3Dm
+CONFIG_CRYPTO_AKCIPHER2=3Dy
+CONFIG_CRYPTO_AKCIPHER=3Dy
+CONFIG_CRYPTO_KPP2=3Dy
+CONFIG_CRYPTO_KPP=3Dm
+CONFIG_CRYPTO_ACOMP2=3Dy
+CONFIG_CRYPTO_MANAGER=3Dy
+CONFIG_CRYPTO_MANAGER2=3Dy
+CONFIG_CRYPTO_USER=3Dm
+# CONFIG_CRYPTO_MANAGER_DISABLE_TESTS is not set
+# CONFIG_CRYPTO_MANAGER_EXTRA_TESTS is not set
+CONFIG_CRYPTO_GF128MUL=3Dm
+CONFIG_CRYPTO_NULL=3Dm
+CONFIG_CRYPTO_NULL2=3Dy
+CONFIG_CRYPTO_PCRYPT=3Dm
+CONFIG_CRYPTO_CRYPTD=3Dm
+CONFIG_CRYPTO_AUTHENC=3Dm
+CONFIG_CRYPTO_TEST=3Dm
+CONFIG_CRYPTO_SIMD=3Dm
+CONFIG_CRYPTO_ENGINE=3Dm
+
+#
+# Public-key cryptography
+#
+CONFIG_CRYPTO_RSA=3Dy
+CONFIG_CRYPTO_DH=3Dm
+CONFIG_CRYPTO_ECC=3Dm
+CONFIG_CRYPTO_ECDH=3Dm
+CONFIG_CRYPTO_ECRDSA=3Dm
+
+#
+# Authenticated Encryption with Associated Data
+#
+CONFIG_CRYPTO_CCM=3Dm
+CONFIG_CRYPTO_GCM=3Dm
+CONFIG_CRYPTO_CHACHA20POLY1305=3Dm
+CONFIG_CRYPTO_AEGIS128=3Dm
+CONFIG_CRYPTO_AEGIS128_SIMD=3Dy
+CONFIG_CRYPTO_SEQIV=3Dm
+CONFIG_CRYPTO_ECHAINIV=3Dm
+
+#
+# Block modes
+#
+CONFIG_CRYPTO_CBC=3Dm
+CONFIG_CRYPTO_CFB=3Dm
+CONFIG_CRYPTO_CTR=3Dm
+CONFIG_CRYPTO_CTS=3Dm
+CONFIG_CRYPTO_ECB=3Dm
+CONFIG_CRYPTO_LRW=3Dm
+CONFIG_CRYPTO_OFB=3Dm
+CONFIG_CRYPTO_PCBC=3Dm
+CONFIG_CRYPTO_XTS=3Dm
+# CONFIG_CRYPTO_KEYWRAP is not set
+CONFIG_CRYPTO_NHPOLY1305=3Dm
+CONFIG_CRYPTO_ADIANTUM=3Dm
+CONFIG_CRYPTO_ESSIV=3Dm
+
+#
+# Hash modes
+#
+CONFIG_CRYPTO_CMAC=3Dm
+CONFIG_CRYPTO_HMAC=3Dy
+CONFIG_CRYPTO_XCBC=3Dm
+CONFIG_CRYPTO_VMAC=3Dm
+
+#
+# Digest
+#
+CONFIG_CRYPTO_CRC32C=3Dy
+CONFIG_CRYPTO_CRC32=3Dm
+CONFIG_CRYPTO_XXHASH=3Dm
+CONFIG_CRYPTO_CRCT10DIF=3Dy
+CONFIG_CRYPTO_GHASH=3Dm
+CONFIG_CRYPTO_POLY1305=3Dm
+CONFIG_CRYPTO_MD4=3Dm
+CONFIG_CRYPTO_MD5=3Dy
+CONFIG_CRYPTO_MICHAEL_MIC=3Dm
+CONFIG_CRYPTO_RMD128=3Dm
+CONFIG_CRYPTO_RMD160=3Dm
+CONFIG_CRYPTO_RMD256=3Dm
+CONFIG_CRYPTO_RMD320=3Dm
+CONFIG_CRYPTO_SHA1=3Dy
+CONFIG_CRYPTO_LIB_SHA256=3Dy
+CONFIG_CRYPTO_SHA256=3Dy
+CONFIG_CRYPTO_SHA512=3Dm
+CONFIG_CRYPTO_SHA3=3Dm
+# CONFIG_CRYPTO_SM3 is not set
+CONFIG_CRYPTO_STREEBOG=3Dm
+CONFIG_CRYPTO_TGR192=3Dm
+CONFIG_CRYPTO_WP512=3Dm
+
+#
+# Ciphers
+#
+CONFIG_CRYPTO_LIB_AES=3Dy
+CONFIG_CRYPTO_AES=3Dy
+# CONFIG_CRYPTO_AES_TI is not set
+CONFIG_CRYPTO_ANUBIS=3Dm
+CONFIG_CRYPTO_LIB_ARC4=3Dm
+CONFIG_CRYPTO_ARC4=3Dm
+CONFIG_CRYPTO_BLOWFISH=3Dm
+CONFIG_CRYPTO_BLOWFISH_COMMON=3Dm
+CONFIG_CRYPTO_CAMELLIA=3Dm
+CONFIG_CRYPTO_CAST_COMMON=3Dm
+CONFIG_CRYPTO_CAST5=3Dm
+CONFIG_CRYPTO_CAST6=3Dm
+CONFIG_CRYPTO_LIB_DES=3Dm
+CONFIG_CRYPTO_DES=3Dm
+CONFIG_CRYPTO_FCRYPT=3Dm
+CONFIG_CRYPTO_KHAZAD=3Dm
+CONFIG_CRYPTO_SALSA20=3Dm
+CONFIG_CRYPTO_CHACHA20=3Dm
+CONFIG_CRYPTO_SEED=3Dm
+CONFIG_CRYPTO_SERPENT=3Dm
+CONFIG_CRYPTO_SM4=3Dm
+CONFIG_CRYPTO_TEA=3Dm
+CONFIG_CRYPTO_TWOFISH=3Dm
+CONFIG_CRYPTO_TWOFISH_COMMON=3Dm
+
+#
+# Compression
+#
+CONFIG_CRYPTO_DEFLATE=3Dm
+CONFIG_CRYPTO_LZO=3Dy
+# CONFIG_CRYPTO_842 is not set
+CONFIG_CRYPTO_LZ4=3Dm
+CONFIG_CRYPTO_LZ4HC=3Dm
+CONFIG_CRYPTO_ZSTD=3Dm
+
+#
+# Random Number Generation
+#
+CONFIG_CRYPTO_ANSI_CPRNG=3Dm
+CONFIG_CRYPTO_DRBG_MENU=3Dm
+CONFIG_CRYPTO_DRBG_HMAC=3Dy
+# CONFIG_CRYPTO_DRBG_HASH is not set
+# CONFIG_CRYPTO_DRBG_CTR is not set
+CONFIG_CRYPTO_DRBG=3Dm
+CONFIG_CRYPTO_JITTERENTROPY=3Dm
+CONFIG_CRYPTO_USER_API=3Dm
+CONFIG_CRYPTO_USER_API_HASH=3Dm
+CONFIG_CRYPTO_USER_API_SKCIPHER=3Dm
+CONFIG_CRYPTO_USER_API_RNG=3Dm
+CONFIG_CRYPTO_USER_API_AEAD=3Dm
+# CONFIG_CRYPTO_STATS is not set
+CONFIG_CRYPTO_HASH_INFO=3Dy
+CONFIG_CRYPTO_HW=3Dy
+CONFIG_CRYPTO_DEV_MARVELL_CESA=3Dm
+CONFIG_CRYPTO_DEV_FSL_CAAM_COMMON=3Dm
+CONFIG_CRYPTO_DEV_FSL_CAAM_CRYPTO_API_DESC=3Dm
+CONFIG_CRYPTO_DEV_FSL_CAAM_AHASH_API_DESC=3Dm
+CONFIG_CRYPTO_DEV_FSL_CAAM=3Dm
+# CONFIG_CRYPTO_DEV_FSL_CAAM_DEBUG is not set
+CONFIG_CRYPTO_DEV_FSL_CAAM_JR=3Dm
+CONFIG_CRYPTO_DEV_FSL_CAAM_RINGSIZE=3D9
+# CONFIG_CRYPTO_DEV_FSL_CAAM_INTC is not set
+CONFIG_CRYPTO_DEV_FSL_CAAM_CRYPTO_API=3Dy
+CONFIG_CRYPTO_DEV_FSL_CAAM_AHASH_API=3Dy
+CONFIG_CRYPTO_DEV_FSL_CAAM_PKC_API=3Dy
+CONFIG_CRYPTO_DEV_FSL_CAAM_RNG_API=3Dy
+CONFIG_CRYPTO_DEV_SAHARA=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_I2C=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_ECC=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_SHA204A=3Dm
+# CONFIG_CRYPTO_DEV_CCP is not set
+# CONFIG_CRYPTO_DEV_MXS_DCP is not set
+CONFIG_CRYPTO_DEV_CPT=3Dm
+CONFIG_CAVIUM_CPT=3Dm
+CONFIG_CRYPTO_DEV_NITROX=3Dm
+CONFIG_CRYPTO_DEV_NITROX_CNN55XX=3Dm
+# CONFIG_CRYPTO_DEV_CAVIUM_ZIP is not set
+CONFIG_CRYPTO_DEV_QCE=3Dm
+CONFIG_CRYPTO_DEV_QCOM_RNG=3Dm
+# CONFIG_CRYPTO_DEV_ROCKCHIP is not set
+CONFIG_CRYPTO_DEV_CHELSIO=3Dm
+# CONFIG_CHELSIO_IPSEC_INLINE is not set
+CONFIG_CRYPTO_DEV_VIRTIO=3Dm
+CONFIG_CRYPTO_DEV_SAFEXCEL=3Dm
+# CONFIG_CRYPTO_DEV_CCREE is not set
+CONFIG_CRYPTO_DEV_HISI_SEC=3Dm
+# CONFIG_CRYPTO_DEV_HISI_ZIP is not set
+CONFIG_ASYMMETRIC_KEY_TYPE=3Dy
+CONFIG_ASYMMETRIC_PUBLIC_KEY_SUBTYPE=3Dy
+CONFIG_X509_CERTIFICATE_PARSER=3Dy
+CONFIG_PKCS8_PRIVATE_KEY_PARSER=3Dm
+CONFIG_PKCS7_MESSAGE_PARSER=3Dy
+# CONFIG_PKCS7_TEST_KEY is not set
+# CONFIG_SIGNED_PE_FILE_VERIFICATION is not set
+
+#
+# Certificates for signature checking
+#
+CONFIG_SYSTEM_TRUSTED_KEYRING=3Dy
+CONFIG_SYSTEM_TRUSTED_KEYS=3D""
+# CONFIG_SYSTEM_EXTRA_CERTIFICATE is not set
+# CONFIG_SECONDARY_TRUSTED_KEYRING is not set
+# CONFIG_SYSTEM_BLACKLIST_KEYRING is not set
+# end of Certificates for signature checking
+
+CONFIG_BINARY_PRINTF=3Dy
+
+#
+# Library routines
+#
+CONFIG_RAID6_PQ=3Dm
+CONFIG_RAID6_PQ_BENCHMARK=3Dy
+CONFIG_PACKING=3Dy
+CONFIG_BITREVERSE=3Dy
+CONFIG_HAVE_ARCH_BITREVERSE=3Dy
+CONFIG_GENERIC_STRNCPY_FROM_USER=3Dy
+CONFIG_GENERIC_STRNLEN_USER=3Dy
+CONFIG_GENERIC_NET_UTILS=3Dy
+CONFIG_CORDIC=3Dm
+CONFIG_RATIONAL=3Dy
+CONFIG_GENERIC_PCI_IOMAP=3Dy
+CONFIG_STMP_DEVICE=3Dy
+CONFIG_ARCH_USE_CMPXCHG_LOCKREF=3Dy
+CONFIG_ARCH_HAS_FAST_MULTIPLIER=3Dy
+# CONFIG_INDIRECT_PIO is not set
+CONFIG_CRC_CCITT=3Dm
+CONFIG_CRC16=3Dy
+CONFIG_CRC_T10DIF=3Dy
+CONFIG_CRC_ITU_T=3Dm
+CONFIG_CRC32=3Dy
+# CONFIG_CRC32_SELFTEST is not set
+CONFIG_CRC32_SLICEBY8=3Dy
+# CONFIG_CRC32_SLICEBY4 is not set
+# CONFIG_CRC32_SARWATE is not set
+# CONFIG_CRC32_BIT is not set
+CONFIG_CRC64=3Dm
+# CONFIG_CRC4 is not set
+CONFIG_CRC7=3Dm
+CONFIG_LIBCRC32C=3Dm
+CONFIG_CRC8=3Dm
+CONFIG_XXHASH=3Dy
+CONFIG_AUDIT_GENERIC=3Dy
+CONFIG_AUDIT_ARCH_COMPAT_GENERIC=3Dy
+CONFIG_AUDIT_COMPAT_GENERIC=3Dy
+# CONFIG_RANDOM32_SELFTEST is not set
+CONFIG_ZLIB_INFLATE=3Dy
+CONFIG_ZLIB_DEFLATE=3Dm
+CONFIG_LZO_COMPRESS=3Dy
+CONFIG_LZO_DECOMPRESS=3Dy
+CONFIG_LZ4_COMPRESS=3Dm
+CONFIG_LZ4HC_COMPRESS=3Dm
+CONFIG_LZ4_DECOMPRESS=3Dy
+CONFIG_ZSTD_COMPRESS=3Dm
+CONFIG_ZSTD_DECOMPRESS=3Dm
+CONFIG_XZ_DEC=3Dy
+# CONFIG_XZ_DEC_X86 is not set
+# CONFIG_XZ_DEC_POWERPC is not set
+# CONFIG_XZ_DEC_IA64 is not set
+# CONFIG_XZ_DEC_ARM is not set
+# CONFIG_XZ_DEC_ARMTHUMB is not set
+# CONFIG_XZ_DEC_SPARC is not set
+# CONFIG_XZ_DEC_TEST is not set
+CONFIG_DECOMPRESS_GZIP=3Dy
+CONFIG_DECOMPRESS_BZIP2=3Dy
+CONFIG_DECOMPRESS_LZMA=3Dy
+CONFIG_DECOMPRESS_XZ=3Dy
+CONFIG_DECOMPRESS_LZO=3Dy
+CONFIG_DECOMPRESS_LZ4=3Dy
+CONFIG_GENERIC_ALLOCATOR=3Dy
+CONFIG_REED_SOLOMON=3Dm
+CONFIG_REED_SOLOMON_ENC8=3Dy
+CONFIG_REED_SOLOMON_DEC8=3Dy
+CONFIG_REED_SOLOMON_DEC16=3Dy
+CONFIG_TEXTSEARCH=3Dy
+CONFIG_TEXTSEARCH_KMP=3Dm
+CONFIG_TEXTSEARCH_BM=3Dm
+CONFIG_TEXTSEARCH_FSM=3Dm
+CONFIG_BTREE=3Dy
+CONFIG_INTERVAL_TREE=3Dy
+CONFIG_XARRAY_MULTI=3Dy
+CONFIG_ASSOCIATIVE_ARRAY=3Dy
+CONFIG_HAS_IOMEM=3Dy
+CONFIG_HAS_IOPORT_MAP=3Dy
+CONFIG_HAS_DMA=3Dy
+CONFIG_NEED_SG_DMA_LENGTH=3Dy
+CONFIG_NEED_DMA_MAP_STATE=3Dy
+CONFIG_ARCH_DMA_ADDR_T_64BIT=3Dy
+CONFIG_DMA_DECLARE_COHERENT=3Dy
+CONFIG_ARCH_HAS_SETUP_DMA_OPS=3Dy
+CONFIG_ARCH_HAS_TEARDOWN_DMA_OPS=3Dy
+CONFIG_ARCH_HAS_SYNC_DMA_FOR_DEVICE=3Dy
+CONFIG_ARCH_HAS_SYNC_DMA_FOR_CPU=3Dy
+CONFIG_ARCH_HAS_DMA_PREP_COHERENT=3Dy
+CONFIG_ARCH_HAS_DMA_COHERENT_TO_PFN=3Dy
+CONFIG_DMA_VIRT_OPS=3Dy
+CONFIG_SWIOTLB=3Dy
+CONFIG_DMA_REMAP=3Dy
+CONFIG_DMA_DIRECT_REMAP=3Dy
+CONFIG_DMA_CMA=3Dy
+
+#
+# Default contiguous memory area size:
+#
+CONFIG_CMA_SIZE_MBYTES=3D64
+CONFIG_CMA_SIZE_SEL_MBYTES=3Dy
+# CONFIG_CMA_SIZE_SEL_PERCENTAGE is not set
+# CONFIG_CMA_SIZE_SEL_MIN is not set
+# CONFIG_CMA_SIZE_SEL_MAX is not set
+CONFIG_CMA_ALIGNMENT=3D8
+# CONFIG_DMA_API_DEBUG is not set
+CONFIG_SGL_ALLOC=3Dy
+CONFIG_CHECK_SIGNATURE=3Dy
+CONFIG_CPU_RMAP=3Dy
+CONFIG_DQL=3Dy
+CONFIG_GLOB=3Dy
+# CONFIG_GLOB_SELFTEST is not set
+CONFIG_NLATTR=3Dy
+CONFIG_LRU_CACHE=3Dm
+CONFIG_CLZ_TAB=3Dy
+CONFIG_IRQ_POLL=3Dy
+CONFIG_MPILIB=3Dy
+CONFIG_SIGNATURE=3Dy
+CONFIG_DIMLIB=3Dy
+CONFIG_LIBFDT=3Dy
+CONFIG_OID_REGISTRY=3Dy
+CONFIG_UCS2_STRING=3Dy
+CONFIG_HAVE_GENERIC_VDSO=3Dy
+CONFIG_GENERIC_GETTIMEOFDAY=3Dy
+CONFIG_FONT_SUPPORT=3Dy
+CONFIG_FONTS=3Dy
+CONFIG_FONT_8x8=3Dy
+CONFIG_FONT_8x16=3Dy
+# CONFIG_FONT_6x11 is not set
+# CONFIG_FONT_7x14 is not set
+# CONFIG_FONT_PEARL_8x8 is not set
+# CONFIG_FONT_ACORN_8x8 is not set
+# CONFIG_FONT_MINI_4x6 is not set
+CONFIG_FONT_6x10=3Dy
+# CONFIG_FONT_10x18 is not set
+# CONFIG_FONT_SUN8x16 is not set
+# CONFIG_FONT_SUN12x22 is not set
+CONFIG_FONT_TER16x32=3Dy
+CONFIG_SG_SPLIT=3Dy
+CONFIG_SG_POOL=3Dy
+CONFIG_ARCH_HAS_PMEM_API=3Dy
+CONFIG_ARCH_HAS_UACCESS_FLUSHCACHE=3Dy
+CONFIG_SBITMAP=3Dy
+# CONFIG_STRING_SELFTEST is not set
+# end of Library routines
+
+#
+# Kernel hacking
+#
+
+#
+# printk and dmesg options
+#
+CONFIG_PRINTK_TIME=3Dy
+# CONFIG_PRINTK_CALLER is not set
+CONFIG_CONSOLE_LOGLEVEL_DEFAULT=3D7
+CONFIG_CONSOLE_LOGLEVEL_QUIET=3D4
+CONFIG_MESSAGE_LOGLEVEL_DEFAULT=3D4
+CONFIG_BOOT_PRINTK_DELAY=3Dy
+CONFIG_DYNAMIC_DEBUG=3Dy
+# end of printk and dmesg options
+
+#
+# Compile-time checks and compiler options
+#
+CONFIG_DEBUG_INFO=3Dy
+# CONFIG_DEBUG_INFO_REDUCED is not set
+# CONFIG_DEBUG_INFO_SPLIT is not set
+# CONFIG_DEBUG_INFO_DWARF4 is not set
+# CONFIG_DEBUG_INFO_BTF is not set
+# CONFIG_GDB_SCRIPTS is not set
+CONFIG_ENABLE_MUST_CHECK=3Dy
+CONFIG_FRAME_WARN=3D2048
+CONFIG_STRIP_ASM_SYMS=3Dy
+# CONFIG_READABLE_ASM is not set
+CONFIG_DEBUG_FS=3Dy
+# CONFIG_HEADERS_INSTALL is not set
+CONFIG_OPTIMIZE_INLINING=3Dy
+# CONFIG_DEBUG_SECTION_MISMATCH is not set
+CONFIG_SECTION_MISMATCH_WARN_ONLY=3Dy
+CONFIG_ARCH_WANT_FRAME_POINTERS=3Dy
+CONFIG_FRAME_POINTER=3Dy
+# CONFIG_DEBUG_FORCE_WEAK_PER_CPU is not set
+# end of Compile-time checks and compiler options
+
+CONFIG_MAGIC_SYSRQ=3Dy
+CONFIG_MAGIC_SYSRQ_DEFAULT_ENABLE=3D0x01b6
+CONFIG_MAGIC_SYSRQ_SERIAL=3Dy
+CONFIG_DEBUG_KERNEL=3Dy
+CONFIG_DEBUG_MISC=3Dy
+
+#
+# Memory Debugging
+#
+CONFIG_PAGE_EXTENSION=3Dy
+# CONFIG_DEBUG_PAGEALLOC is not set
+# CONFIG_PAGE_OWNER is not set
+CONFIG_PAGE_POISONING=3Dy
+CONFIG_PAGE_POISONING_NO_SANITY=3Dy
+# CONFIG_PAGE_POISONING_ZERO is not set
+# CONFIG_DEBUG_PAGE_REF is not set
+# CONFIG_DEBUG_RODATA_TEST is not set
+# CONFIG_DEBUG_OBJECTS is not set
+# CONFIG_SLUB_DEBUG_ON is not set
+# CONFIG_SLUB_STATS is not set
+CONFIG_HAVE_DEBUG_KMEMLEAK=3Dy
+# CONFIG_DEBUG_KMEMLEAK is not set
+# CONFIG_DEBUG_STACK_USAGE is not set
+# CONFIG_DEBUG_VM is not set
+CONFIG_ARCH_HAS_DEBUG_VIRTUAL=3Dy
+# CONFIG_DEBUG_VIRTUAL is not set
+CONFIG_DEBUG_MEMORY_INIT=3Dy
+# CONFIG_DEBUG_PER_CPU_MAPS is not set
+CONFIG_HAVE_ARCH_KASAN=3Dy
+CONFIG_HAVE_ARCH_KASAN_SW_TAGS=3Dy
+CONFIG_CC_HAS_KASAN_GENERIC=3Dy
+# CONFIG_KASAN is not set
+CONFIG_KASAN_STACK=3D1
+# end of Memory Debugging
+
+CONFIG_ARCH_HAS_KCOV=3Dy
+CONFIG_CC_HAS_SANCOV_TRACE_PC=3Dy
+# CONFIG_KCOV is not set
+# CONFIG_DEBUG_SHIRQ is not set
+
+#
+# Debug Lockups and Hangs
+#
+CONFIG_LOCKUP_DETECTOR=3Dy
+CONFIG_SOFTLOCKUP_DETECTOR=3Dy
+# CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC is not set
+CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC_VALUE=3D0
+CONFIG_DETECT_HUNG_TASK=3Dy
+CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=3D120
+# CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
+CONFIG_BOOTPARAM_HUNG_TASK_PANIC_VALUE=3D0
+# CONFIG_WQ_WATCHDOG is not set
+# end of Debug Lockups and Hangs
+
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=3D0
+CONFIG_PANIC_TIMEOUT=3D0
+CONFIG_SCHED_DEBUG=3Dy
+CONFIG_SCHED_INFO=3Dy
+CONFIG_SCHEDSTATS=3Dy
+CONFIG_SCHED_STACK_END_CHECK=3Dy
+# CONFIG_DEBUG_TIMEKEEPING is not set
+
+#
+# Lock Debugging (spinlocks, mutexes, etc...)
+#
+CONFIG_LOCK_DEBUGGING_SUPPORT=3Dy
+# CONFIG_PROVE_LOCKING is not set
+# CONFIG_LOCK_STAT is not set
+# CONFIG_DEBUG_RT_MUTEXES is not set
+# CONFIG_DEBUG_SPINLOCK is not set
+# CONFIG_DEBUG_MUTEXES is not set
+# CONFIG_DEBUG_WW_MUTEX_SLOWPATH is not set
+# CONFIG_DEBUG_RWSEMS is not set
+# CONFIG_DEBUG_LOCK_ALLOC is not set
+# CONFIG_DEBUG_ATOMIC_SLEEP is not set
+# CONFIG_DEBUG_LOCKING_API_SELFTESTS is not set
+# CONFIG_LOCK_TORTURE_TEST is not set
+# CONFIG_WW_MUTEX_SELFTEST is not set
+# end of Lock Debugging (spinlocks, mutexes, etc...)
+
+CONFIG_STACKTRACE=3Dy
+# CONFIG_WARN_ALL_UNSEEDED_RANDOM is not set
+# CONFIG_DEBUG_KOBJECT is not set
+CONFIG_HAVE_DEBUG_BUGVERBOSE=3Dy
+CONFIG_DEBUG_BUGVERBOSE=3Dy
+CONFIG_DEBUG_LIST=3Dy
+# CONFIG_DEBUG_PLIST is not set
+# CONFIG_DEBUG_SG is not set
+# CONFIG_DEBUG_NOTIFIERS is not set
+# CONFIG_DEBUG_CREDENTIALS is not set
+
+#
+# RCU Debugging
+#
+# CONFIG_RCU_PERF_TEST is not set
+# CONFIG_RCU_TORTURE_TEST is not set
+CONFIG_RCU_CPU_STALL_TIMEOUT=3D21
+# CONFIG_RCU_TRACE is not set
+# CONFIG_RCU_EQS_DEBUG is not set
+# end of RCU Debugging
+
+# CONFIG_DEBUG_WQ_FORCE_RR_CPU is not set
+# CONFIG_DEBUG_BLOCK_EXT_DEVT is not set
+# CONFIG_CPU_HOTPLUG_STATE_CONTROL is not set
+CONFIG_NOTIFIER_ERROR_INJECTION=3Dm
+CONFIG_PM_NOTIFIER_ERROR_INJECT=3Dm
+# CONFIG_NETDEV_NOTIFIER_ERROR_INJECT is not set
+CONFIG_FUNCTION_ERROR_INJECTION=3Dy
+# CONFIG_FAULT_INJECTION is not set
+# CONFIG_LATENCYTOP is not set
+CONFIG_NOP_TRACER=3Dy
+CONFIG_HAVE_FUNCTION_TRACER=3Dy
+CONFIG_HAVE_FUNCTION_GRAPH_TRACER=3Dy
+CONFIG_HAVE_DYNAMIC_FTRACE=3Dy
+CONFIG_HAVE_FTRACE_MCOUNT_RECORD=3Dy
+CONFIG_HAVE_SYSCALL_TRACEPOINTS=3Dy
+CONFIG_HAVE_C_RECORDMCOUNT=3Dy
+CONFIG_TRACER_MAX_TRACE=3Dy
+CONFIG_TRACE_CLOCK=3Dy
+CONFIG_RING_BUFFER=3Dy
+CONFIG_EVENT_TRACING=3Dy
+CONFIG_CONTEXT_SWITCH_TRACER=3Dy
+CONFIG_TRACING=3Dy
+CONFIG_GENERIC_TRACER=3Dy
+CONFIG_TRACING_SUPPORT=3Dy
+CONFIG_FTRACE=3Dy
+CONFIG_FUNCTION_TRACER=3Dy
+CONFIG_FUNCTION_GRAPH_TRACER=3Dy
+# CONFIG_PREEMPTIRQ_EVENTS is not set
+# CONFIG_IRQSOFF_TRACER is not set
+# CONFIG_SCHED_TRACER is not set
+# CONFIG_HWLAT_TRACER is not set
+CONFIG_FTRACE_SYSCALLS=3Dy
+CONFIG_TRACER_SNAPSHOT=3Dy
+# CONFIG_TRACER_SNAPSHOT_PER_CPU_SWAP is not set
+CONFIG_BRANCH_PROFILE_NONE=3Dy
+# CONFIG_PROFILE_ANNOTATED_BRANCHES is not set
+# CONFIG_PROFILE_ALL_BRANCHES is not set
+CONFIG_STACK_TRACER=3Dy
+CONFIG_BLK_DEV_IO_TRACE=3Dy
+CONFIG_KPROBE_EVENTS=3Dy
+CONFIG_UPROBE_EVENTS=3Dy
+CONFIG_BPF_EVENTS=3Dy
+CONFIG_DYNAMIC_EVENTS=3Dy
+CONFIG_PROBE_EVENTS=3Dy
+CONFIG_DYNAMIC_FTRACE=3Dy
+# CONFIG_FUNCTION_PROFILER is not set
+# CONFIG_BPF_KPROBE_OVERRIDE is not set
+CONFIG_FTRACE_MCOUNT_RECORD=3Dy
+# CONFIG_FTRACE_STARTUP_TEST is not set
+# CONFIG_HIST_TRIGGERS is not set
+# CONFIG_TRACEPOINT_BENCHMARK is not set
+# CONFIG_RING_BUFFER_BENCHMARK is not set
+# CONFIG_RING_BUFFER_STARTUP_TEST is not set
+# CONFIG_PREEMPTIRQ_DELAY_TEST is not set
+# CONFIG_TRACE_EVAL_MAP_FILE is not set
+CONFIG_RUNTIME_TESTING_MENU=3Dy
+# CONFIG_LKDTM is not set
+# CONFIG_TEST_LIST_SORT is not set
+# CONFIG_TEST_SORT is not set
+# CONFIG_KPROBES_SANITY_TEST is not set
+# CONFIG_BACKTRACE_SELF_TEST is not set
+# CONFIG_RBTREE_TEST is not set
+# CONFIG_REED_SOLOMON_TEST is not set
+# CONFIG_INTERVAL_TREE_TEST is not set
+# CONFIG_PERCPU_TEST is not set
+# CONFIG_ATOMIC64_SELFTEST is not set
+# CONFIG_ASYNC_RAID6_TEST is not set
+# CONFIG_TEST_HEXDUMP is not set
+# CONFIG_TEST_STRING_HELPERS is not set
+CONFIG_TEST_STRSCPY=3Dm
+# CONFIG_TEST_KSTRTOX is not set
+# CONFIG_TEST_PRINTF is not set
+# CONFIG_TEST_BITMAP is not set
+# CONFIG_TEST_BITFIELD is not set
+# CONFIG_TEST_UUID is not set
+CONFIG_TEST_XARRAY=3Dm
+# CONFIG_TEST_OVERFLOW is not set
+# CONFIG_TEST_RHASHTABLE is not set
+# CONFIG_TEST_HASH is not set
+# CONFIG_TEST_IDA is not set
+# CONFIG_TEST_LKM is not set
+CONFIG_TEST_VMALLOC=3Dm
+CONFIG_TEST_USER_COPY=3Dm
+CONFIG_TEST_BPF=3Dm
+CONFIG_TEST_BLACKHOLE_DEV=3Dm
+# CONFIG_FIND_BIT_BENCHMARK is not set
+CONFIG_TEST_FIRMWARE=3Dm
+# CONFIG_TEST_SYSCTL is not set
+# CONFIG_TEST_UDELAY is not set
+CONFIG_TEST_STATIC_KEYS=3Dm
+# CONFIG_TEST_KMOD is not set
+# CONFIG_TEST_MEMCAT_P is not set
+# CONFIG_TEST_STACKINIT is not set
+# CONFIG_TEST_MEMINIT is not set
+# CONFIG_MEMTEST is not set
+CONFIG_BUG_ON_DATA_CORRUPTION=3Dy
+# CONFIG_SAMPLES is not set
+CONFIG_HAVE_ARCH_KGDB=3Dy
+# CONFIG_KGDB is not set
+CONFIG_ARCH_HAS_UBSAN_SANITIZE_ALL=3Dy
+# CONFIG_UBSAN is not set
+CONFIG_UBSAN_ALIGNMENT=3Dy
+CONFIG_ARCH_HAS_DEVMEM_IS_ALLOWED=3Dy
+CONFIG_STRICT_DEVMEM=3Dy
+CONFIG_IO_STRICT_DEVMEM=3Dy
+# CONFIG_ARM64_PTDUMP_DEBUGFS is not set
+# CONFIG_PID_IN_CONTEXTIDR is not set
+# CONFIG_ARM64_RANDOMIZE_TEXT_OFFSET is not set
+# CONFIG_DEBUG_WX is not set
+# CONFIG_DEBUG_ALIGN_RODATA is not set
+# CONFIG_DEBUG_EFI is not set
+# CONFIG_ARM64_RELOC_TEST is not set
+# CONFIG_CORESIGHT is not set
+# end of Kernel hacking
diff --git a/gnu/packages/aux-files/linux-libre/5.6-i686.conf b/gnu/package=
s/aux-files/linux-libre/5.6-i686.conf
new file mode 100644
index 0000000000..50a41f6cc9
=2D-- /dev/null
+++ b/gnu/packages/aux-files/linux-libre/5.6-i686.conf
@@ -0,0 +1,10317 @@
+#
+# Automatically generated file; DO NOT EDIT.
+# Linux/i386 5.4.5 Kernel Configuration
+#
+
+#
+# Compiler: gcc (GCC) 7.4.0
+#
+CONFIG_CC_IS_GCC=3Dy
+CONFIG_GCC_VERSION=3D70400
+CONFIG_CLANG_VERSION=3D0
+CONFIG_CC_CAN_LINK=3Dy
+CONFIG_CC_HAS_ASM_GOTO=3Dy
+CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=3Dy
+CONFIG_IRQ_WORK=3Dy
+CONFIG_BUILDTIME_EXTABLE_SORT=3Dy
+CONFIG_THREAD_INFO_IN_TASK=3Dy
+
+#
+# General setup
+#
+CONFIG_INIT_ENV_ARG_LIMIT=3D32
+# CONFIG_COMPILE_TEST is not set
+# CONFIG_HEADER_TEST is not set
+CONFIG_LOCALVERSION=3D""
+# CONFIG_LOCALVERSION_AUTO is not set
+CONFIG_BUILD_SALT=3D""
+CONFIG_HAVE_KERNEL_GZIP=3Dy
+CONFIG_HAVE_KERNEL_BZIP2=3Dy
+CONFIG_HAVE_KERNEL_LZMA=3Dy
+CONFIG_HAVE_KERNEL_XZ=3Dy
+CONFIG_HAVE_KERNEL_LZO=3Dy
+CONFIG_HAVE_KERNEL_LZ4=3Dy
+CONFIG_KERNEL_GZIP=3Dy
+# CONFIG_KERNEL_BZIP2 is not set
+# CONFIG_KERNEL_LZMA is not set
+# CONFIG_KERNEL_XZ is not set
+# CONFIG_KERNEL_LZO is not set
+# CONFIG_KERNEL_LZ4 is not set
+CONFIG_DEFAULT_HOSTNAME=3D"(none)"
+CONFIG_SWAP=3Dy
+CONFIG_SYSVIPC=3Dy
+CONFIG_SYSVIPC_SYSCTL=3Dy
+CONFIG_POSIX_MQUEUE=3Dy
+CONFIG_POSIX_MQUEUE_SYSCTL=3Dy
+CONFIG_CROSS_MEMORY_ATTACH=3Dy
+CONFIG_USELIB=3Dy
+CONFIG_AUDIT=3Dy
+CONFIG_HAVE_ARCH_AUDITSYSCALL=3Dy
+CONFIG_AUDITSYSCALL=3Dy
+
+#
+# IRQ subsystem
+#
+CONFIG_GENERIC_IRQ_PROBE=3Dy
+CONFIG_GENERIC_IRQ_SHOW=3Dy
+CONFIG_GENERIC_IRQ_EFFECTIVE_AFF_MASK=3Dy
+CONFIG_GENERIC_PENDING_IRQ=3Dy
+CONFIG_GENERIC_IRQ_MIGRATION=3Dy
+CONFIG_GENERIC_IRQ_CHIP=3Dy
+CONFIG_IRQ_DOMAIN=3Dy
+CONFIG_IRQ_DOMAIN_HIERARCHY=3Dy
+CONFIG_GENERIC_MSI_IRQ=3Dy
+CONFIG_GENERIC_MSI_IRQ_DOMAIN=3Dy
+CONFIG_GENERIC_IRQ_MATRIX_ALLOCATOR=3Dy
+CONFIG_GENERIC_IRQ_RESERVATION_MODE=3Dy
+CONFIG_IRQ_FORCED_THREADING=3Dy
+CONFIG_SPARSE_IRQ=3Dy
+# CONFIG_GENERIC_IRQ_DEBUGFS is not set
+# end of IRQ subsystem
+
+CONFIG_CLOCKSOURCE_WATCHDOG=3Dy
+CONFIG_ARCH_CLOCKSOURCE_DATA=3Dy
+CONFIG_ARCH_CLOCKSOURCE_INIT=3Dy
+CONFIG_CLOCKSOURCE_VALIDATE_LAST_CYCLE=3Dy
+CONFIG_GENERIC_TIME_VSYSCALL=3Dy
+CONFIG_GENERIC_CLOCKEVENTS=3Dy
+CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=3Dy
+CONFIG_GENERIC_CLOCKEVENTS_MIN_ADJUST=3Dy
+CONFIG_GENERIC_CMOS_UPDATE=3Dy
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=3Dy
+CONFIG_NO_HZ_COMMON=3Dy
+# CONFIG_HZ_PERIODIC is not set
+CONFIG_NO_HZ_IDLE=3Dy
+CONFIG_NO_HZ=3Dy
+CONFIG_HIGH_RES_TIMERS=3Dy
+# end of Timers subsystem
+
+# CONFIG_PREEMPT_NONE is not set
+CONFIG_PREEMPT_VOLUNTARY=3Dy
+# CONFIG_PREEMPT is not set
+
+#
+# CPU/Task time and stats accounting
+#
+CONFIG_TICK_CPU_ACCOUNTING=3Dy
+# CONFIG_IRQ_TIME_ACCOUNTING is not set
+CONFIG_BSD_PROCESS_ACCT=3Dy
+CONFIG_BSD_PROCESS_ACCT_V3=3Dy
+CONFIG_TASKSTATS=3Dy
+CONFIG_TASK_DELAY_ACCT=3Dy
+CONFIG_TASK_XACCT=3Dy
+CONFIG_TASK_IO_ACCOUNTING=3Dy
+CONFIG_PSI=3Dy
+# CONFIG_PSI_DEFAULT_DISABLED is not set
+# end of CPU/Task time and stats accounting
+
+CONFIG_CPU_ISOLATION=3Dy
+
+#
+# RCU Subsystem
+#
+CONFIG_TREE_RCU=3Dy
+# CONFIG_RCU_EXPERT is not set
+CONFIG_SRCU=3Dy
+CONFIG_TREE_SRCU=3Dy
+CONFIG_RCU_STALL_COMMON=3Dy
+CONFIG_RCU_NEED_SEGCBLIST=3Dy
+# end of RCU Subsystem
+
+CONFIG_BUILD_BIN2C=3Dy
+# CONFIG_IKCONFIG is not set
+# CONFIG_IKHEADERS is not set
+CONFIG_LOG_BUF_SHIFT=3D17
+CONFIG_LOG_CPU_MAX_BUF_SHIFT=3D12
+CONFIG_PRINTK_SAFE_LOG_BUF_SHIFT=3D13
+CONFIG_HAVE_UNSTABLE_SCHED_CLOCK=3Dy
+
+#
+# Scheduler features
+#
+# CONFIG_UCLAMP_TASK is not set
+# end of Scheduler features
+
+CONFIG_ARCH_WANT_BATCHED_UNMAP_TLB_FLUSH=3Dy
+CONFIG_CGROUPS=3Dy
+CONFIG_PAGE_COUNTER=3Dy
+CONFIG_MEMCG=3Dy
+CONFIG_MEMCG_SWAP=3Dy
+# CONFIG_MEMCG_SWAP_ENABLED is not set
+CONFIG_MEMCG_KMEM=3Dy
+CONFIG_BLK_CGROUP=3Dy
+CONFIG_CGROUP_WRITEBACK=3Dy
+CONFIG_CGROUP_SCHED=3Dy
+CONFIG_FAIR_GROUP_SCHED=3Dy
+CONFIG_CFS_BANDWIDTH=3Dy
+# CONFIG_RT_GROUP_SCHED is not set
+CONFIG_CGROUP_PIDS=3Dy
+# CONFIG_CGROUP_RDMA is not set
+CONFIG_CGROUP_FREEZER=3Dy
+CONFIG_CGROUP_HUGETLB=3Dy
+CONFIG_CPUSETS=3Dy
+CONFIG_PROC_PID_CPUSET=3Dy
+CONFIG_CGROUP_DEVICE=3Dy
+CONFIG_CGROUP_CPUACCT=3Dy
+CONFIG_CGROUP_PERF=3Dy
+CONFIG_CGROUP_BPF=3Dy
+# CONFIG_CGROUP_DEBUG is not set
+CONFIG_SOCK_CGROUP_DATA=3Dy
+CONFIG_NAMESPACES=3Dy
+CONFIG_UTS_NS=3Dy
+CONFIG_IPC_NS=3Dy
+CONFIG_USER_NS=3Dy
+CONFIG_PID_NS=3Dy
+CONFIG_NET_NS=3Dy
+CONFIG_CHECKPOINT_RESTORE=3Dy
+CONFIG_SCHED_AUTOGROUP=3Dy
+# CONFIG_SYSFS_DEPRECATED is not set
+CONFIG_RELAY=3Dy
+CONFIG_BLK_DEV_INITRD=3Dy
+CONFIG_INITRAMFS_SOURCE=3D""
+CONFIG_RD_GZIP=3Dy
+CONFIG_RD_BZIP2=3Dy
+CONFIG_RD_LZMA=3Dy
+CONFIG_RD_XZ=3Dy
+CONFIG_RD_LZO=3Dy
+CONFIG_RD_LZ4=3Dy
+CONFIG_CC_OPTIMIZE_FOR_PERFORMANCE=3Dy
+# CONFIG_CC_OPTIMIZE_FOR_SIZE is not set
+CONFIG_SYSCTL=3Dy
+CONFIG_HAVE_UID16=3Dy
+CONFIG_SYSCTL_EXCEPTION_TRACE=3Dy
+CONFIG_HAVE_PCSPKR_PLATFORM=3Dy
+CONFIG_BPF=3Dy
+CONFIG_EXPERT=3Dy
+CONFIG_UID16=3Dy
+CONFIG_MULTIUSER=3Dy
+CONFIG_SGETMASK_SYSCALL=3Dy
+CONFIG_SYSFS_SYSCALL=3Dy
+CONFIG_SYSCTL_SYSCALL=3Dy
+CONFIG_FHANDLE=3Dy
+CONFIG_POSIX_TIMERS=3Dy
+CONFIG_PRINTK=3Dy
+CONFIG_PRINTK_NMI=3Dy
+CONFIG_BUG=3Dy
+CONFIG_ELF_CORE=3Dy
+CONFIG_PCSPKR_PLATFORM=3Dy
+CONFIG_BASE_FULL=3Dy
+CONFIG_FUTEX=3Dy
+CONFIG_FUTEX_PI=3Dy
+CONFIG_EPOLL=3Dy
+CONFIG_SIGNALFD=3Dy
+CONFIG_TIMERFD=3Dy
+CONFIG_EVENTFD=3Dy
+CONFIG_SHMEM=3Dy
+CONFIG_AIO=3Dy
+CONFIG_IO_URING=3Dy
+CONFIG_ADVISE_SYSCALLS=3Dy
+CONFIG_MEMBARRIER=3Dy
+CONFIG_KALLSYMS=3Dy
+CONFIG_KALLSYMS_ALL=3Dy
+CONFIG_KALLSYMS_BASE_RELATIVE=3Dy
+CONFIG_BPF_SYSCALL=3Dy
+CONFIG_USERFAULTFD=3Dy
+CONFIG_ARCH_HAS_MEMBARRIER_SYNC_CORE=3Dy
+CONFIG_RSEQ=3Dy
+# CONFIG_DEBUG_RSEQ is not set
+# CONFIG_EMBEDDED is not set
+CONFIG_HAVE_PERF_EVENTS=3Dy
+# CONFIG_PC104 is not set
+
+#
+# Kernel Performance Events And Counters
+#
+CONFIG_PERF_EVENTS=3Dy
+# CONFIG_DEBUG_PERF_USE_VMALLOC is not set
+# end of Kernel Performance Events And Counters
+
+CONFIG_VM_EVENT_COUNTERS=3Dy
+CONFIG_SLUB_DEBUG=3Dy
+# CONFIG_SLUB_MEMCG_SYSFS_ON is not set
+# CONFIG_COMPAT_BRK is not set
+# CONFIG_SLAB is not set
+CONFIG_SLUB=3Dy
+# CONFIG_SLOB is not set
+CONFIG_SLAB_MERGE_DEFAULT=3Dy
+CONFIG_SLAB_FREELIST_RANDOM=3Dy
+CONFIG_SLAB_FREELIST_HARDENED=3Dy
+CONFIG_SHUFFLE_PAGE_ALLOCATOR=3Dy
+CONFIG_SLUB_CPU_PARTIAL=3Dy
+CONFIG_SYSTEM_DATA_VERIFICATION=3Dy
+CONFIG_PROFILING=3Dy
+CONFIG_TRACEPOINTS=3Dy
+# end of General setup
+
+CONFIG_X86_32=3Dy
+CONFIG_FORCE_DYNAMIC_FTRACE=3Dy
+CONFIG_X86=3Dy
+CONFIG_INSTRUCTION_DECODER=3Dy
+CONFIG_OUTPUT_FORMAT=3D"elf32-i386"
+CONFIG_ARCH_DEFCONFIG=3D"arch/x86/configs/i386_defconfig"
+CONFIG_LOCKDEP_SUPPORT=3Dy
+CONFIG_STACKTRACE_SUPPORT=3Dy
+CONFIG_MMU=3Dy
+CONFIG_ARCH_MMAP_RND_BITS_MIN=3D8
+CONFIG_ARCH_MMAP_RND_BITS_MAX=3D16
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MIN=3D8
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MAX=3D16
+CONFIG_GENERIC_ISA_DMA=3Dy
+CONFIG_GENERIC_BUG=3Dy
+CONFIG_ARCH_MAY_HAVE_PC_FDC=3Dy
+CONFIG_GENERIC_CALIBRATE_DELAY=3Dy
+CONFIG_ARCH_HAS_CPU_RELAX=3Dy
+CONFIG_ARCH_HAS_CACHE_LINE_SIZE=3Dy
+CONFIG_ARCH_HAS_FILTER_PGPROT=3Dy
+CONFIG_HAVE_SETUP_PER_CPU_AREA=3Dy
+CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=3Dy
+CONFIG_NEED_PER_CPU_PAGE_FIRST_CHUNK=3Dy
+CONFIG_ARCH_HIBERNATION_POSSIBLE=3Dy
+CONFIG_ARCH_SUSPEND_POSSIBLE=3Dy
+CONFIG_ARCH_WANT_GENERAL_HUGETLB=3Dy
+CONFIG_ARCH_SUPPORTS_DEBUG_PAGEALLOC=3Dy
+CONFIG_HAVE_INTEL_TXT=3Dy
+CONFIG_X86_32_SMP=3Dy
+CONFIG_ARCH_SUPPORTS_UPROBES=3Dy
+CONFIG_FIX_EARLYCON_MEM=3Dy
+CONFIG_PGTABLE_LEVELS=3D3
+CONFIG_CC_HAS_SANE_STACKPROTECTOR=3Dy
+
+#
+# Processor type and features
+#
+CONFIG_ZONE_DMA=3Dy
+CONFIG_SMP=3Dy
+CONFIG_X86_FEATURE_NAMES=3Dy
+CONFIG_X86_MPPARSE=3Dy
+# CONFIG_GOLDFISH is not set
+CONFIG_RETPOLINE=3Dy
+# CONFIG_X86_CPU_RESCTRL is not set
+# CONFIG_X86_BIGSMP is not set
+CONFIG_X86_EXTENDED_PLATFORM=3Dy
+# CONFIG_X86_GOLDFISH is not set
+CONFIG_X86_INTEL_MID=3Dy
+# CONFIG_X86_INTEL_QUARK is not set
+CONFIG_X86_INTEL_LPSS=3Dy
+CONFIG_X86_AMD_PLATFORM_DEVICE=3Dy
+CONFIG_IOSF_MBI=3Dy
+CONFIG_IOSF_MBI_DEBUG=3Dy
+# CONFIG_X86_RDC321X is not set
+# CONFIG_X86_32_NON_STANDARD is not set
+CONFIG_X86_32_IRIS=3Dm
+CONFIG_SCHED_OMIT_FRAME_POINTER=3Dy
+CONFIG_HYPERVISOR_GUEST=3Dy
+CONFIG_PARAVIRT=3Dy
+CONFIG_PARAVIRT_XXL=3Dy
+# CONFIG_PARAVIRT_DEBUG is not set
+CONFIG_PARAVIRT_SPINLOCKS=3Dy
+CONFIG_X86_HV_CALLBACK_VECTOR=3Dy
+CONFIG_XEN=3Dy
+CONFIG_XEN_PV=3Dy
+CONFIG_XEN_PV_SMP=3Dy
+CONFIG_XEN_DOM0=3Dy
+CONFIG_XEN_PVHVM=3Dy
+CONFIG_XEN_PVHVM_SMP=3Dy
+CONFIG_XEN_SAVE_RESTORE=3Dy
+# CONFIG_XEN_DEBUG_FS is not set
+CONFIG_XEN_PVH=3Dy
+CONFIG_KVM_GUEST=3Dy
+CONFIG_ARCH_CPUIDLE_HALTPOLL=3Dy
+CONFIG_PVH=3Dy
+CONFIG_KVM_DEBUG_FS=3Dy
+# CONFIG_PARAVIRT_TIME_ACCOUNTING is not set
+CONFIG_PARAVIRT_CLOCK=3Dy
+# CONFIG_M486 is not set
+# CONFIG_M586 is not set
+# CONFIG_M586TSC is not set
+# CONFIG_M586MMX is not set
+CONFIG_M686=3Dy
+# CONFIG_MPENTIUMII is not set
+# CONFIG_MPENTIUMIII is not set
+# CONFIG_MPENTIUMM is not set
+# CONFIG_MPENTIUM4 is not set
+# CONFIG_MK6 is not set
+# CONFIG_MK7 is not set
+# CONFIG_MK8 is not set
+# CONFIG_MCRUSOE is not set
+# CONFIG_MEFFICEON is not set
+# CONFIG_MWINCHIPC6 is not set
+# CONFIG_MWINCHIP3D is not set
+# CONFIG_MELAN is not set
+# CONFIG_MGEODEGX1 is not set
+# CONFIG_MGEODE_LX is not set
+# CONFIG_MCYRIXIII is not set
+# CONFIG_MVIAC3_2 is not set
+# CONFIG_MVIAC7 is not set
+# CONFIG_MCORE2 is not set
+# CONFIG_MATOM is not set
+CONFIG_X86_GENERIC=3Dy
+CONFIG_X86_INTERNODE_CACHE_SHIFT=3D6
+CONFIG_X86_L1_CACHE_SHIFT=3D6
+CONFIG_X86_INTEL_USERCOPY=3Dy
+CONFIG_X86_USE_PPRO_CHECKSUM=3Dy
+CONFIG_X86_TSC=3Dy
+CONFIG_X86_CMPXCHG64=3Dy
+CONFIG_X86_CMOV=3Dy
+CONFIG_X86_MINIMUM_CPU_FAMILY=3D6
+CONFIG_X86_DEBUGCTLMSR=3Dy
+CONFIG_PROCESSOR_SELECT=3Dy
+CONFIG_CPU_SUP_INTEL=3Dy
+CONFIG_CPU_SUP_CYRIX_32=3Dy
+CONFIG_CPU_SUP_AMD=3Dy
+CONFIG_CPU_SUP_HYGON=3Dy
+CONFIG_CPU_SUP_CENTAUR=3Dy
+CONFIG_CPU_SUP_TRANSMETA_32=3Dy
+CONFIG_CPU_SUP_UMC_32=3Dy
+CONFIG_CPU_SUP_ZHAOXIN=3Dy
+CONFIG_HPET_TIMER=3Dy
+CONFIG_HPET_EMULATE_RTC=3Dy
+CONFIG_APB_TIMER=3Dy
+CONFIG_DMI=3Dy
+CONFIG_NR_CPUS_RANGE_BEGIN=3D2
+CONFIG_NR_CPUS_RANGE_END=3D8
+CONFIG_NR_CPUS_DEFAULT=3D8
+CONFIG_NR_CPUS=3D8
+CONFIG_SCHED_SMT=3Dy
+CONFIG_SCHED_MC=3Dy
+CONFIG_SCHED_MC_PRIO=3Dy
+CONFIG_X86_LOCAL_APIC=3Dy
+CONFIG_X86_IO_APIC=3Dy
+CONFIG_X86_REROUTE_FOR_BROKEN_BOOT_IRQS=3Dy
+CONFIG_X86_MCE=3Dy
+# CONFIG_X86_MCELOG_LEGACY is not set
+CONFIG_X86_MCE_INTEL=3Dy
+CONFIG_X86_MCE_AMD=3Dy
+# CONFIG_X86_ANCIENT_MCE is not set
+CONFIG_X86_MCE_THRESHOLD=3Dy
+# CONFIG_X86_MCE_INJECT is not set
+CONFIG_X86_THERMAL_VECTOR=3Dy
+
+#
+# Performance monitoring
+#
+CONFIG_PERF_EVENTS_INTEL_UNCORE=3Dy
+CONFIG_PERF_EVENTS_INTEL_RAPL=3Dy
+CONFIG_PERF_EVENTS_INTEL_CSTATE=3Dy
+CONFIG_PERF_EVENTS_AMD_POWER=3Dm
+# end of Performance monitoring
+
+# CONFIG_X86_LEGACY_VM86 is not set
+CONFIG_X86_16BIT=3Dy
+CONFIG_X86_ESPFIX32=3Dy
+# CONFIG_TOSHIBA is not set
+CONFIG_I8K=3Dm
+CONFIG_X86_REBOOTFIXUPS=3Dy
+CONFIG_MICROCODE=3Dy
+CONFIG_MICROCODE_INTEL=3Dy
+CONFIG_MICROCODE_AMD=3Dy
+CONFIG_MICROCODE_OLD_INTERFACE=3Dy
+CONFIG_X86_MSR=3Dm
+CONFIG_X86_CPUID=3Dm
+# CONFIG_NOHIGHMEM is not set
+# CONFIG_HIGHMEM4G is not set
+CONFIG_HIGHMEM64G=3Dy
+CONFIG_VMSPLIT_3G=3Dy
+# CONFIG_VMSPLIT_2G is not set
+# CONFIG_VMSPLIT_1G is not set
+CONFIG_PAGE_OFFSET=3D0xC0000000
+CONFIG_HIGHMEM=3Dy
+CONFIG_X86_PAE=3Dy
+# CONFIG_X86_CPA_STATISTICS is not set
+CONFIG_ARCH_FLATMEM_ENABLE=3Dy
+CONFIG_ARCH_SPARSEMEM_ENABLE=3Dy
+CONFIG_ARCH_SELECT_MEMORY_MODEL=3Dy
+CONFIG_ILLEGAL_POINTER_VALUE=3D0
+CONFIG_X86_PMEM_LEGACY_DEVICE=3Dy
+CONFIG_X86_PMEM_LEGACY=3Dy
+CONFIG_HIGHPTE=3Dy
+CONFIG_X86_CHECK_BIOS_CORRUPTION=3Dy
+CONFIG_X86_BOOTPARAM_MEMORY_CORRUPTION_CHECK=3Dy
+CONFIG_X86_RESERVE_LOW=3D64
+# CONFIG_MATH_EMULATION is not set
+CONFIG_MTRR=3Dy
+CONFIG_MTRR_SANITIZER=3Dy
+CONFIG_MTRR_SANITIZER_ENABLE_DEFAULT=3D1
+CONFIG_MTRR_SANITIZER_SPARE_REG_NR_DEFAULT=3D1
+CONFIG_X86_PAT=3Dy
+CONFIG_ARCH_USES_PG_UNCACHED=3Dy
+CONFIG_ARCH_RANDOM=3Dy
+CONFIG_X86_SMAP=3Dy
+CONFIG_X86_INTEL_UMIP=3Dy
+CONFIG_X86_INTEL_TSX_MODE_OFF=3Dy
+# CONFIG_X86_INTEL_TSX_MODE_ON is not set
+# CONFIG_X86_INTEL_TSX_MODE_AUTO is not set
+CONFIG_EFI=3Dy
+CONFIG_EFI_STUB=3Dy
+CONFIG_SECCOMP=3Dy
+# CONFIG_HZ_100 is not set
+CONFIG_HZ_250=3Dy
+# CONFIG_HZ_300 is not set
+# CONFIG_HZ_1000 is not set
+CONFIG_HZ=3D250
+CONFIG_SCHED_HRTICK=3Dy
+CONFIG_KEXEC=3Dy
+CONFIG_CRASH_DUMP=3Dy
+CONFIG_KEXEC_JUMP=3Dy
+CONFIG_PHYSICAL_START=3D0x1000000
+CONFIG_RELOCATABLE=3Dy
+CONFIG_RANDOMIZE_BASE=3Dy
+CONFIG_X86_NEED_RELOCS=3Dy
+CONFIG_PHYSICAL_ALIGN=3D0x1000000
+CONFIG_HOTPLUG_CPU=3Dy
+# CONFIG_BOOTPARAM_HOTPLUG_CPU0 is not set
+# CONFIG_DEBUG_HOTPLUG_CPU0 is not set
+# CONFIG_COMPAT_VDSO is not set
+# CONFIG_CMDLINE_BOOL is not set
+CONFIG_MODIFY_LDT_SYSCALL=3Dy
+# end of Processor type and features
+
+CONFIG_ARCH_ENABLE_MEMORY_HOTPLUG=3Dy
+CONFIG_ARCH_ENABLE_MEMORY_HOTREMOVE=3Dy
+CONFIG_ARCH_ENABLE_SPLIT_PMD_PTLOCK=3Dy
+
+#
+# Power management and ACPI options
+#
+CONFIG_ARCH_HIBERNATION_HEADER=3Dy
+CONFIG_SUSPEND=3Dy
+CONFIG_SUSPEND_FREEZER=3Dy
+# CONFIG_SUSPEND_SKIP_SYNC is not set
+CONFIG_HIBERNATE_CALLBACKS=3Dy
+CONFIG_HIBERNATION=3Dy
+CONFIG_PM_STD_PARTITION=3D""
+CONFIG_PM_SLEEP=3Dy
+CONFIG_PM_SLEEP_SMP=3Dy
+# CONFIG_PM_AUTOSLEEP is not set
+CONFIG_PM_WAKELOCKS=3Dy
+CONFIG_PM_WAKELOCKS_LIMIT=3D100
+CONFIG_PM_WAKELOCKS_GC=3Dy
+CONFIG_PM=3Dy
+CONFIG_PM_DEBUG=3Dy
+CONFIG_PM_ADVANCED_DEBUG=3Dy
+# CONFIG_PM_TEST_SUSPEND is not set
+CONFIG_PM_SLEEP_DEBUG=3Dy
+# CONFIG_DPM_WATCHDOG is not set
+CONFIG_PM_TRACE=3Dy
+CONFIG_PM_TRACE_RTC=3Dy
+CONFIG_PM_CLK=3Dy
+CONFIG_WQ_POWER_EFFICIENT_DEFAULT=3Dy
+# CONFIG_ENERGY_MODEL is not set
+CONFIG_ARCH_SUPPORTS_ACPI=3Dy
+CONFIG_ACPI=3Dy
+CONFIG_ACPI_LEGACY_TABLES_LOOKUP=3Dy
+CONFIG_ARCH_MIGHT_HAVE_ACPI_PDC=3Dy
+CONFIG_ACPI_SYSTEM_POWER_STATES_SUPPORT=3Dy
+# CONFIG_ACPI_DEBUGGER is not set
+CONFIG_ACPI_SPCR_TABLE=3Dy
+CONFIG_ACPI_SLEEP=3Dy
+# CONFIG_ACPI_PROCFS_POWER is not set
+CONFIG_ACPI_REV_OVERRIDE_POSSIBLE=3Dy
+CONFIG_ACPI_EC_DEBUGFS=3Dm
+CONFIG_ACPI_AC=3Dm
+CONFIG_ACPI_BATTERY=3Dm
+CONFIG_ACPI_BUTTON=3Dy
+CONFIG_ACPI_VIDEO=3Dm
+CONFIG_ACPI_FAN=3Dy
+CONFIG_ACPI_TAD=3Dm
+CONFIG_ACPI_DOCK=3Dy
+CONFIG_ACPI_CPU_FREQ_PSS=3Dy
+CONFIG_ACPI_PROCESSOR_CSTATE=3Dy
+CONFIG_ACPI_PROCESSOR_IDLE=3Dy
+CONFIG_ACPI_PROCESSOR=3Dy
+CONFIG_ACPI_IPMI=3Dm
+CONFIG_ACPI_HOTPLUG_CPU=3Dy
+CONFIG_ACPI_PROCESSOR_AGGREGATOR=3Dm
+CONFIG_ACPI_THERMAL=3Dy
+CONFIG_ACPI_CUSTOM_DSDT_FILE=3D""
+CONFIG_ARCH_HAS_ACPI_TABLE_UPGRADE=3Dy
+CONFIG_ACPI_TABLE_UPGRADE=3Dy
+# CONFIG_ACPI_DEBUG is not set
+CONFIG_ACPI_PCI_SLOT=3Dy
+CONFIG_ACPI_CONTAINER=3Dy
+CONFIG_ACPI_HOTPLUG_MEMORY=3Dy
+CONFIG_ACPI_HOTPLUG_IOAPIC=3Dy
+CONFIG_ACPI_SBS=3Dm
+CONFIG_ACPI_HED=3Dy
+# CONFIG_ACPI_CUSTOM_METHOD is not set
+CONFIG_ACPI_BGRT=3Dy
+# CONFIG_ACPI_REDUCED_HARDWARE_ONLY is not set
+CONFIG_HAVE_ACPI_APEI=3Dy
+CONFIG_HAVE_ACPI_APEI_NMI=3Dy
+CONFIG_ACPI_APEI=3Dy
+CONFIG_ACPI_APEI_GHES=3Dy
+CONFIG_ACPI_APEI_PCIEAER=3Dy
+CONFIG_ACPI_APEI_EINJ=3Dm
+# CONFIG_ACPI_APEI_ERST_DEBUG is not set
+CONFIG_DPTF_POWER=3Dm
+CONFIG_ACPI_WATCHDOG=3Dy
+CONFIG_ACPI_EXTLOG=3Dm
+# CONFIG_PMIC_OPREGION is not set
+CONFIG_ACPI_CONFIGFS=3Dm
+CONFIG_X86_PM_TIMER=3Dy
+CONFIG_SFI=3Dy
+CONFIG_X86_APM_BOOT=3Dy
+CONFIG_APM=3Dm
+# CONFIG_APM_IGNORE_USER_SUSPEND is not set
+# CONFIG_APM_DO_ENABLE is not set
+# CONFIG_APM_CPU_IDLE is not set
+# CONFIG_APM_DISPLAY_BLANK is not set
+# CONFIG_APM_ALLOW_INTS is not set
+
+#
+# CPU Frequency scaling
+#
+CONFIG_CPU_FREQ=3Dy
+CONFIG_CPU_FREQ_GOV_ATTR_SET=3Dy
+CONFIG_CPU_FREQ_GOV_COMMON=3Dy
+CONFIG_CPU_FREQ_STAT=3Dy
+CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=3Dy
+# CONFIG_CPU_FREQ_DEFAULT_GOV_POWERSAVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_CONSERVATIVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL is not set
+CONFIG_CPU_FREQ_GOV_PERFORMANCE=3Dy
+CONFIG_CPU_FREQ_GOV_POWERSAVE=3Dy
+CONFIG_CPU_FREQ_GOV_USERSPACE=3Dy
+CONFIG_CPU_FREQ_GOV_ONDEMAND=3Dy
+CONFIG_CPU_FREQ_GOV_CONSERVATIVE=3Dy
+CONFIG_CPU_FREQ_GOV_SCHEDUTIL=3Dy
+
+#
+# CPU frequency scaling drivers
+#
+CONFIG_X86_INTEL_PSTATE=3Dy
+CONFIG_X86_PCC_CPUFREQ=3Dy
+CONFIG_X86_ACPI_CPUFREQ=3Dy
+CONFIG_X86_ACPI_CPUFREQ_CPB=3Dy
+CONFIG_X86_SFI_CPUFREQ=3Dm
+CONFIG_X86_POWERNOW_K6=3Dm
+CONFIG_X86_POWERNOW_K7=3Dm
+CONFIG_X86_POWERNOW_K7_ACPI=3Dy
+CONFIG_X86_POWERNOW_K8=3Dy
+CONFIG_X86_AMD_FREQ_SENSITIVITY=3Dm
+CONFIG_X86_GX_SUSPMOD=3Dm
+CONFIG_X86_SPEEDSTEP_CENTRINO=3Dy
+CONFIG_X86_SPEEDSTEP_CENTRINO_TABLE=3Dy
+CONFIG_X86_SPEEDSTEP_ICH=3Dy
+CONFIG_X86_SPEEDSTEP_SMI=3Dy
+CONFIG_X86_P4_CLOCKMOD=3Dm
+CONFIG_X86_CPUFREQ_NFORCE2=3Dy
+CONFIG_X86_LONGRUN=3Dm
+CONFIG_X86_LONGHAUL=3Dm
+# CONFIG_X86_E_POWERSAVER is not set
+
+#
+# shared options
+#
+CONFIG_X86_SPEEDSTEP_LIB=3Dy
+CONFIG_X86_SPEEDSTEP_RELAXED_CAP_CHECK=3Dy
+# end of CPU Frequency scaling
+
+#
+# CPU Idle
+#
+CONFIG_CPU_IDLE=3Dy
+CONFIG_CPU_IDLE_GOV_LADDER=3Dy
+CONFIG_CPU_IDLE_GOV_MENU=3Dy
+CONFIG_CPU_IDLE_GOV_TEO=3Dy
+CONFIG_CPU_IDLE_GOV_HALTPOLL=3Dy
+CONFIG_HALTPOLL_CPUIDLE=3Dm
+# end of CPU Idle
+
+CONFIG_INTEL_IDLE=3Dy
+# end of Power management and ACPI options
+
+#
+# Bus options (PCI etc.)
+#
+# CONFIG_PCI_GOBIOS is not set
+# CONFIG_PCI_GOMMCONFIG is not set
+# CONFIG_PCI_GODIRECT is not set
+CONFIG_PCI_GOANY=3Dy
+CONFIG_PCI_BIOS=3Dy
+CONFIG_PCI_DIRECT=3Dy
+CONFIG_PCI_MMCONFIG=3Dy
+CONFIG_PCI_XEN=3Dy
+# CONFIG_PCI_CNB20LE_QUIRK is not set
+# CONFIG_ISA_BUS is not set
+CONFIG_ISA_DMA_API=3Dy
+CONFIG_ISA=3Dy
+CONFIG_SCx200=3Dm
+CONFIG_SCx200HR_TIMER=3Dm
+CONFIG_ALIX=3Dy
+CONFIG_NET5501=3Dy
+CONFIG_GEOS=3Dy
+CONFIG_AMD_NB=3Dy
+# CONFIG_X86_SYSFB is not set
+# end of Bus options (PCI etc.)
+
+#
+# Binary Emulations
+#
+CONFIG_COMPAT_32=3Dy
+# end of Binary Emulations
+
+CONFIG_HAVE_ATOMIC_IOMAP=3Dy
+
+#
+# Firmware Drivers
+#
+CONFIG_EDD=3Dy
+CONFIG_EDD_OFF=3Dy
+CONFIG_FIRMWARE_MEMMAP=3Dy
+CONFIG_DMIID=3Dy
+CONFIG_DMI_SYSFS=3Dm
+CONFIG_DMI_SCAN_MACHINE_NON_EFI_FALLBACK=3Dy
+CONFIG_ISCSI_IBFT_FIND=3Dy
+CONFIG_ISCSI_IBFT=3Dm
+CONFIG_FW_CFG_SYSFS=3Dm
+# CONFIG_FW_CFG_SYSFS_CMDLINE is not set
+# CONFIG_GOOGLE_FIRMWARE is not set
+
+#
+# EFI (Extensible Firmware Interface) Support
+#
+CONFIG_EFI_VARS=3Dy
+CONFIG_EFI_ESRT=3Dy
+CONFIG_EFI_VARS_PSTORE=3Dm
+# CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE is not set
+CONFIG_EFI_RUNTIME_MAP=3Dy
+# CONFIG_EFI_FAKE_MEMMAP is not set
+CONFIG_EFI_RUNTIME_WRAPPERS=3Dy
+CONFIG_EFI_BOOTLOADER_CONTROL=3Dm
+CONFIG_EFI_CAPSULE_LOADER=3Dy
+CONFIG_EFI_CAPSULE_QUIRK_QUARK_CSH=3Dy
+# CONFIG_EFI_TEST is not set
+CONFIG_APPLE_PROPERTIES=3Dy
+CONFIG_RESET_ATTACK_MITIGATION=3Dy
+# CONFIG_EFI_RCI2_TABLE is not set
+# end of EFI (Extensible Firmware Interface) Support
+
+CONFIG_UEFI_CPER=3Dy
+CONFIG_UEFI_CPER_X86=3Dy
+CONFIG_EFI_DEV_PATH_PARSER=3Dy
+CONFIG_EFI_EARLYCON=3Dy
+
+#
+# Tegra firmware driver
+#
+# end of Tegra firmware driver
+# end of Firmware Drivers
+
+CONFIG_HAVE_KVM=3Dy
+CONFIG_HAVE_KVM_IRQCHIP=3Dy
+CONFIG_HAVE_KVM_IRQFD=3Dy
+CONFIG_HAVE_KVM_IRQ_ROUTING=3Dy
+CONFIG_HAVE_KVM_EVENTFD=3Dy
+CONFIG_KVM_MMIO=3Dy
+CONFIG_KVM_ASYNC_PF=3Dy
+CONFIG_HAVE_KVM_MSI=3Dy
+CONFIG_HAVE_KVM_CPU_RELAX_INTERCEPT=3Dy
+CONFIG_KVM_VFIO=3Dy
+CONFIG_KVM_GENERIC_DIRTYLOG_READ_PROTECT=3Dy
+CONFIG_HAVE_KVM_IRQ_BYPASS=3Dy
+CONFIG_HAVE_KVM_NO_POLL=3Dy
+CONFIG_VIRTUALIZATION=3Dy
+CONFIG_KVM=3Dm
+CONFIG_KVM_INTEL=3Dm
+CONFIG_KVM_AMD=3Dm
+# CONFIG_KVM_MMU_AUDIT is not set
+CONFIG_VHOST_NET=3Dm
+CONFIG_VHOST_SCSI=3Dm
+CONFIG_VHOST_VSOCK=3Dm
+CONFIG_VHOST=3Dm
+# CONFIG_VHOST_CROSS_ENDIAN_LEGACY is not set
+
+#
+# General architecture-dependent options
+#
+CONFIG_CRASH_CORE=3Dy
+CONFIG_KEXEC_CORE=3Dy
+CONFIG_HOTPLUG_SMT=3Dy
+CONFIG_OPROFILE=3Dm
+# CONFIG_OPROFILE_EVENT_MULTIPLEX is not set
+CONFIG_HAVE_OPROFILE=3Dy
+CONFIG_OPROFILE_NMI_TIMER=3Dy
+CONFIG_KPROBES=3Dy
+CONFIG_JUMP_LABEL=3Dy
+# CONFIG_STATIC_KEYS_SELFTEST is not set
+CONFIG_OPTPROBES=3Dy
+CONFIG_KPROBES_ON_FTRACE=3Dy
+CONFIG_HAVE_EFFICIENT_UNALIGNED_ACCESS=3Dy
+CONFIG_ARCH_USE_BUILTIN_BSWAP=3Dy
+CONFIG_KRETPROBES=3Dy
+CONFIG_USER_RETURN_NOTIFIER=3Dy
+CONFIG_HAVE_IOREMAP_PROT=3Dy
+CONFIG_HAVE_KPROBES=3Dy
+CONFIG_HAVE_KRETPROBES=3Dy
+CONFIG_HAVE_OPTPROBES=3Dy
+CONFIG_HAVE_KPROBES_ON_FTRACE=3Dy
+CONFIG_HAVE_FUNCTION_ERROR_INJECTION=3Dy
+CONFIG_HAVE_NMI=3Dy
+CONFIG_HAVE_ARCH_TRACEHOOK=3Dy
+CONFIG_HAVE_DMA_CONTIGUOUS=3Dy
+CONFIG_GENERIC_SMP_IDLE_THREAD=3Dy
+CONFIG_ARCH_HAS_FORTIFY_SOURCE=3Dy
+CONFIG_ARCH_HAS_SET_MEMORY=3Dy
+CONFIG_ARCH_HAS_SET_DIRECT_MAP=3Dy
+CONFIG_HAVE_ARCH_THREAD_STRUCT_WHITELIST=3Dy
+CONFIG_ARCH_WANTS_DYNAMIC_TASK_STRUCT=3Dy
+CONFIG_ARCH_32BIT_OFF_T=3Dy
+CONFIG_HAVE_ASM_MODVERSIONS=3Dy
+CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=3Dy
+CONFIG_HAVE_RSEQ=3Dy
+CONFIG_HAVE_FUNCTION_ARG_ACCESS_API=3Dy
+CONFIG_HAVE_CLK=3Dy
+CONFIG_HAVE_HW_BREAKPOINT=3Dy
+CONFIG_HAVE_MIXED_BREAKPOINTS_REGS=3Dy
+CONFIG_HAVE_USER_RETURN_NOTIFIER=3Dy
+CONFIG_HAVE_PERF_EVENTS_NMI=3Dy
+CONFIG_HAVE_HARDLOCKUP_DETECTOR_PERF=3Dy
+CONFIG_HAVE_PERF_REGS=3Dy
+CONFIG_HAVE_PERF_USER_STACK_DUMP=3Dy
+CONFIG_HAVE_ARCH_JUMP_LABEL=3Dy
+CONFIG_HAVE_ARCH_JUMP_LABEL_RELATIVE=3Dy
+CONFIG_HAVE_RCU_TABLE_FREE=3Dy
+CONFIG_ARCH_HAVE_NMI_SAFE_CMPXCHG=3Dy
+CONFIG_HAVE_ALIGNED_STRUCT_PAGE=3Dy
+CONFIG_HAVE_CMPXCHG_LOCAL=3Dy
+CONFIG_HAVE_CMPXCHG_DOUBLE=3Dy
+CONFIG_ARCH_WANT_IPC_PARSE_VERSION=3Dy
+CONFIG_HAVE_ARCH_SECCOMP_FILTER=3Dy
+CONFIG_SECCOMP_FILTER=3Dy
+CONFIG_HAVE_ARCH_STACKLEAK=3Dy
+CONFIG_HAVE_STACKPROTECTOR=3Dy
+CONFIG_CC_HAS_STACKPROTECTOR_NONE=3Dy
+CONFIG_STACKPROTECTOR=3Dy
+CONFIG_STACKPROTECTOR_STRONG=3Dy
+CONFIG_HAVE_ARCH_WITHIN_STACK_FRAMES=3Dy
+CONFIG_HAVE_IRQ_TIME_ACCOUNTING=3Dy
+CONFIG_HAVE_MOVE_PMD=3Dy
+CONFIG_HAVE_ARCH_TRANSPARENT_HUGEPAGE=3Dy
+CONFIG_HAVE_ARCH_HUGE_VMAP=3Dy
+CONFIG_ARCH_WANT_HUGE_PMD_SHARE=3Dy
+CONFIG_HAVE_MOD_ARCH_SPECIFIC=3Dy
+CONFIG_MODULES_USE_ELF_REL=3Dy
+CONFIG_ARCH_HAS_ELF_RANDOMIZE=3Dy
+CONFIG_HAVE_ARCH_MMAP_RND_BITS=3Dy
+CONFIG_HAVE_EXIT_THREAD=3Dy
+CONFIG_ARCH_MMAP_RND_BITS=3D8
+CONFIG_HAVE_COPY_THREAD_TLS=3Dy
+CONFIG_ISA_BUS_API=3Dy
+CONFIG_CLONE_BACKWARDS=3Dy
+CONFIG_OLD_SIGSUSPEND3=3Dy
+CONFIG_OLD_SIGACTION=3Dy
+CONFIG_64BIT_TIME=3Dy
+CONFIG_COMPAT_32BIT_TIME=3Dy
+CONFIG_ARCH_HAS_STRICT_KERNEL_RWX=3Dy
+CONFIG_STRICT_KERNEL_RWX=3Dy
+CONFIG_ARCH_HAS_STRICT_MODULE_RWX=3Dy
+CONFIG_STRICT_MODULE_RWX=3Dy
+CONFIG_ARCH_HAS_REFCOUNT=3Dy
+CONFIG_REFCOUNT_FULL=3Dy
+CONFIG_HAVE_ARCH_PREL32_RELOCATIONS=3Dy
+CONFIG_ARCH_USE_MEMREMAP_PROT=3Dy
+# CONFIG_LOCK_EVENT_COUNTS is not set
+CONFIG_ARCH_HAS_MEM_ENCRYPT=3Dy
+
+#
+# GCOV-based kernel profiling
+#
+# CONFIG_GCOV_KERNEL is not set
+CONFIG_ARCH_HAS_GCOV_PROFILE_ALL=3Dy
+# end of GCOV-based kernel profiling
+
+CONFIG_PLUGIN_HOSTCC=3D"g++"
+CONFIG_HAVE_GCC_PLUGINS=3Dy
+CONFIG_GCC_PLUGINS=3Dy
+
+#
+# GCC plugins
+#
+# CONFIG_GCC_PLUGIN_CYC_COMPLEXITY is not set
+# CONFIG_GCC_PLUGIN_LATENT_ENTROPY is not set
+# CONFIG_GCC_PLUGIN_RANDSTRUCT is not set
+# end of GCC plugins
+# end of General architecture-dependent options
+
+CONFIG_RT_MUTEXES=3Dy
+CONFIG_BASE_SMALL=3D0
+CONFIG_MODULES=3Dy
+# CONFIG_MODULE_FORCE_LOAD is not set
+CONFIG_MODULE_UNLOAD=3Dy
+# CONFIG_MODULE_FORCE_UNLOAD is not set
+CONFIG_MODVERSIONS=3Dy
+CONFIG_ASM_MODVERSIONS=3Dy
+CONFIG_MODULE_SRCVERSION_ALL=3Dy
+# CONFIG_MODULE_SIG is not set
+# CONFIG_MODULE_COMPRESS is not set
+# CONFIG_MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS is not set
+CONFIG_UNUSED_SYMBOLS=3Dy
+CONFIG_MODULES_TREE_LOOKUP=3Dy
+CONFIG_BLOCK=3Dy
+CONFIG_BLK_RQ_ALLOC_TIME=3Dy
+CONFIG_BLK_SCSI_REQUEST=3Dy
+CONFIG_BLK_DEV_BSG=3Dy
+CONFIG_BLK_DEV_BSGLIB=3Dy
+CONFIG_BLK_DEV_INTEGRITY=3Dy
+CONFIG_BLK_DEV_ZONED=3Dy
+CONFIG_BLK_DEV_THROTTLING=3Dy
+# CONFIG_BLK_DEV_THROTTLING_LOW is not set
+CONFIG_BLK_CMDLINE_PARSER=3Dy
+CONFIG_BLK_WBT=3Dy
+# CONFIG_BLK_CGROUP_IOLATENCY is not set
+CONFIG_BLK_CGROUP_IOCOST=3Dy
+CONFIG_BLK_WBT_MQ=3Dy
+CONFIG_BLK_DEBUG_FS=3Dy
+CONFIG_BLK_DEBUG_FS_ZONED=3Dy
+# CONFIG_BLK_SED_OPAL is not set
+
+#
+# Partition Types
+#
+CONFIG_PARTITION_ADVANCED=3Dy
+# CONFIG_ACORN_PARTITION is not set
+CONFIG_AIX_PARTITION=3Dy
+CONFIG_OSF_PARTITION=3Dy
+CONFIG_AMIGA_PARTITION=3Dy
+CONFIG_ATARI_PARTITION=3Dy
+CONFIG_MAC_PARTITION=3Dy
+CONFIG_MSDOS_PARTITION=3Dy
+CONFIG_BSD_DISKLABEL=3Dy
+CONFIG_MINIX_SUBPARTITION=3Dy
+CONFIG_SOLARIS_X86_PARTITION=3Dy
+CONFIG_UNIXWARE_DISKLABEL=3Dy
+CONFIG_LDM_PARTITION=3Dy
+# CONFIG_LDM_DEBUG is not set
+CONFIG_SGI_PARTITION=3Dy
+CONFIG_ULTRIX_PARTITION=3Dy
+CONFIG_SUN_PARTITION=3Dy
+CONFIG_KARMA_PARTITION=3Dy
+CONFIG_EFI_PARTITION=3Dy
+CONFIG_SYSV68_PARTITION=3Dy
+CONFIG_CMDLINE_PARTITION=3Dy
+# end of Partition Types
+
+CONFIG_BLK_MQ_PCI=3Dy
+CONFIG_BLK_MQ_VIRTIO=3Dy
+CONFIG_BLK_MQ_RDMA=3Dy
+CONFIG_BLK_PM=3Dy
+
+#
+# IO Schedulers
+#
+CONFIG_MQ_IOSCHED_DEADLINE=3Dy
+CONFIG_MQ_IOSCHED_KYBER=3Dm
+CONFIG_IOSCHED_BFQ=3Dm
+# CONFIG_BFQ_GROUP_IOSCHED is not set
+# end of IO Schedulers
+
+CONFIG_PREEMPT_NOTIFIERS=3Dy
+CONFIG_PADATA=3Dy
+CONFIG_ASN1=3Dy
+CONFIG_INLINE_SPIN_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_READ_UNLOCK=3Dy
+CONFIG_INLINE_READ_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_WRITE_UNLOCK=3Dy
+CONFIG_INLINE_WRITE_UNLOCK_IRQ=3Dy
+CONFIG_ARCH_SUPPORTS_ATOMIC_RMW=3Dy
+CONFIG_MUTEX_SPIN_ON_OWNER=3Dy
+CONFIG_RWSEM_SPIN_ON_OWNER=3Dy
+CONFIG_LOCK_SPIN_ON_OWNER=3Dy
+CONFIG_ARCH_USE_QUEUED_SPINLOCKS=3Dy
+CONFIG_QUEUED_SPINLOCKS=3Dy
+CONFIG_ARCH_USE_QUEUED_RWLOCKS=3Dy
+CONFIG_QUEUED_RWLOCKS=3Dy
+CONFIG_ARCH_HAS_SYNC_CORE_BEFORE_USERMODE=3Dy
+CONFIG_FREEZER=3Dy
+
+#
+# Executable file formats
+#
+CONFIG_BINFMT_ELF=3Dy
+CONFIG_ELFCORE=3Dy
+CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS=3Dy
+CONFIG_BINFMT_SCRIPT=3Dy
+CONFIG_BINFMT_MISC=3Dm
+CONFIG_COREDUMP=3Dy
+# end of Executable file formats
+
+#
+# Memory Management options
+#
+CONFIG_SELECT_MEMORY_MODEL=3Dy
+# CONFIG_FLATMEM_MANUAL is not set
+CONFIG_SPARSEMEM_MANUAL=3Dy
+CONFIG_SPARSEMEM=3Dy
+CONFIG_HAVE_MEMORY_PRESENT=3Dy
+CONFIG_SPARSEMEM_STATIC=3Dy
+CONFIG_HAVE_MEMBLOCK_NODE_MAP=3Dy
+CONFIG_HAVE_FAST_GUP=3Dy
+CONFIG_MEMORY_ISOLATION=3Dy
+CONFIG_MEMORY_HOTPLUG=3Dy
+CONFIG_MEMORY_HOTPLUG_SPARSE=3Dy
+# CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE is not set
+CONFIG_MEMORY_HOTREMOVE=3Dy
+CONFIG_SPLIT_PTLOCK_CPUS=3D4
+CONFIG_MEMORY_BALLOON=3Dy
+CONFIG_BALLOON_COMPACTION=3Dy
+CONFIG_COMPACTION=3Dy
+CONFIG_MIGRATION=3Dy
+CONFIG_CONTIG_ALLOC=3Dy
+CONFIG_PHYS_ADDR_T_64BIT=3Dy
+CONFIG_BOUNCE=3Dy
+CONFIG_VIRT_TO_BUS=3Dy
+CONFIG_MMU_NOTIFIER=3Dy
+CONFIG_KSM=3Dy
+CONFIG_DEFAULT_MMAP_MIN_ADDR=3D65536
+CONFIG_TRANSPARENT_HUGEPAGE=3Dy
+CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS=3Dy
+# CONFIG_TRANSPARENT_HUGEPAGE_MADVISE is not set
+CONFIG_TRANSPARENT_HUGE_PAGECACHE=3Dy
+CONFIG_CLEANCACHE=3Dy
+CONFIG_FRONTSWAP=3Dy
+CONFIG_CMA=3Dy
+# CONFIG_CMA_DEBUG is not set
+# CONFIG_CMA_DEBUGFS is not set
+CONFIG_CMA_AREAS=3D7
+CONFIG_ZSWAP=3Dy
+CONFIG_ZPOOL=3Dy
+CONFIG_ZBUD=3Dy
+CONFIG_Z3FOLD=3Dm
+CONFIG_ZSMALLOC=3Dy
+CONFIG_PGTABLE_MAPPING=3Dy
+# CONFIG_ZSMALLOC_STAT is not set
+CONFIG_GENERIC_EARLY_IOREMAP=3Dy
+CONFIG_IDLE_PAGE_TRACKING=3Dy
+CONFIG_HMM_MIRROR=3Dy
+CONFIG_FRAME_VECTOR=3Dy
+# CONFIG_PERCPU_STATS is not set
+# CONFIG_GUP_BENCHMARK is not set
+CONFIG_GUP_GET_PTE_LOW_HIGH=3Dy
+# CONFIG_READ_ONLY_THP_FOR_FS is not set
+CONFIG_ARCH_HAS_PTE_SPECIAL=3Dy
+# end of Memory Management options
+
+CONFIG_NET=3Dy
+CONFIG_NET_INGRESS=3Dy
+CONFIG_NET_EGRESS=3Dy
+CONFIG_SKB_EXTENSIONS=3Dy
+
+#
+# Networking options
+#
+CONFIG_PACKET=3Dy
+CONFIG_PACKET_DIAG=3Dm
+CONFIG_UNIX=3Dy
+CONFIG_UNIX_SCM=3Dy
+CONFIG_UNIX_DIAG=3Dm
+CONFIG_TLS=3Dm
+# CONFIG_TLS_DEVICE is not set
+CONFIG_XFRM=3Dy
+CONFIG_XFRM_OFFLOAD=3Dy
+CONFIG_XFRM_ALGO=3Dm
+CONFIG_XFRM_USER=3Dm
+CONFIG_XFRM_INTERFACE=3Dm
+# CONFIG_XFRM_SUB_POLICY is not set
+# CONFIG_XFRM_MIGRATE is not set
+CONFIG_XFRM_STATISTICS=3Dy
+CONFIG_XFRM_IPCOMP=3Dm
+CONFIG_NET_KEY=3Dm
+# CONFIG_NET_KEY_MIGRATE is not set
+# CONFIG_SMC is not set
+# CONFIG_XDP_SOCKETS is not set
+CONFIG_INET=3Dy
+CONFIG_IP_MULTICAST=3Dy
+CONFIG_IP_ADVANCED_ROUTER=3Dy
+CONFIG_IP_FIB_TRIE_STATS=3Dy
+CONFIG_IP_MULTIPLE_TABLES=3Dy
+CONFIG_IP_ROUTE_MULTIPATH=3Dy
+CONFIG_IP_ROUTE_VERBOSE=3Dy
+CONFIG_IP_ROUTE_CLASSID=3Dy
+CONFIG_IP_PNP=3Dy
+CONFIG_IP_PNP_DHCP=3Dy
+# CONFIG_IP_PNP_BOOTP is not set
+# CONFIG_IP_PNP_RARP is not set
+CONFIG_NET_IPIP=3Dm
+CONFIG_NET_IPGRE_DEMUX=3Dm
+CONFIG_NET_IP_TUNNEL=3Dm
+CONFIG_NET_IPGRE=3Dm
+CONFIG_NET_IPGRE_BROADCAST=3Dy
+CONFIG_IP_MROUTE_COMMON=3Dy
+CONFIG_IP_MROUTE=3Dy
+# CONFIG_IP_MROUTE_MULTIPLE_TABLES is not set
+CONFIG_IP_PIMSM_V1=3Dy
+CONFIG_IP_PIMSM_V2=3Dy
+CONFIG_SYN_COOKIES=3Dy
+CONFIG_NET_IPVTI=3Dm
+CONFIG_NET_UDP_TUNNEL=3Dm
+CONFIG_NET_FOU=3Dm
+CONFIG_NET_FOU_IP_TUNNELS=3Dy
+CONFIG_INET_AH=3Dm
+CONFIG_INET_ESP=3Dm
+CONFIG_INET_ESP_OFFLOAD=3Dm
+CONFIG_INET_IPCOMP=3Dm
+CONFIG_INET_XFRM_TUNNEL=3Dm
+CONFIG_INET_TUNNEL=3Dm
+CONFIG_INET_DIAG=3Dm
+CONFIG_INET_TCP_DIAG=3Dm
+CONFIG_INET_UDP_DIAG=3Dm
+CONFIG_INET_RAW_DIAG=3Dm
+# CONFIG_INET_DIAG_DESTROY is not set
+CONFIG_TCP_CONG_ADVANCED=3Dy
+CONFIG_TCP_CONG_BIC=3Dm
+CONFIG_TCP_CONG_CUBIC=3Dy
+CONFIG_TCP_CONG_WESTWOOD=3Dm
+CONFIG_TCP_CONG_HTCP=3Dm
+CONFIG_TCP_CONG_HSTCP=3Dm
+CONFIG_TCP_CONG_HYBLA=3Dm
+CONFIG_TCP_CONG_VEGAS=3Dm
+CONFIG_TCP_CONG_NV=3Dm
+CONFIG_TCP_CONG_SCALABLE=3Dm
+CONFIG_TCP_CONG_LP=3Dm
+CONFIG_TCP_CONG_VENO=3Dm
+CONFIG_TCP_CONG_YEAH=3Dm
+CONFIG_TCP_CONG_ILLINOIS=3Dm
+CONFIG_TCP_CONG_DCTCP=3Dm
+CONFIG_TCP_CONG_CDG=3Dm
+CONFIG_TCP_CONG_BBR=3Dm
+CONFIG_DEFAULT_CUBIC=3Dy
+# CONFIG_DEFAULT_RENO is not set
+CONFIG_DEFAULT_TCP_CONG=3D"cubic"
+CONFIG_TCP_MD5SIG=3Dy
+CONFIG_IPV6=3Dy
+CONFIG_IPV6_ROUTER_PREF=3Dy
+CONFIG_IPV6_ROUTE_INFO=3Dy
+# CONFIG_IPV6_OPTIMISTIC_DAD is not set
+CONFIG_INET6_AH=3Dm
+CONFIG_INET6_ESP=3Dm
+CONFIG_INET6_ESP_OFFLOAD=3Dm
+CONFIG_INET6_IPCOMP=3Dm
+CONFIG_IPV6_MIP6=3Dm
+CONFIG_IPV6_ILA=3Dm
+CONFIG_INET6_XFRM_TUNNEL=3Dm
+CONFIG_INET6_TUNNEL=3Dm
+CONFIG_IPV6_VTI=3Dm
+CONFIG_IPV6_SIT=3Dm
+CONFIG_IPV6_SIT_6RD=3Dy
+CONFIG_IPV6_NDISC_NODETYPE=3Dy
+CONFIG_IPV6_TUNNEL=3Dm
+CONFIG_IPV6_GRE=3Dm
+CONFIG_IPV6_FOU=3Dm
+CONFIG_IPV6_FOU_TUNNEL=3Dm
+CONFIG_IPV6_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_SUBTREES=3Dy
+CONFIG_IPV6_MROUTE=3Dy
+CONFIG_IPV6_MROUTE_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_PIMSM_V2=3Dy
+# CONFIG_IPV6_SEG6_LWTUNNEL is not set
+# CONFIG_IPV6_SEG6_HMAC is not set
+CONFIG_NETLABEL=3Dy
+CONFIG_NETWORK_SECMARK=3Dy
+CONFIG_NET_PTP_CLASSIFY=3Dy
+# CONFIG_NETWORK_PHY_TIMESTAMPING is not set
+CONFIG_NETFILTER=3Dy
+CONFIG_NETFILTER_ADVANCED=3Dy
+CONFIG_BRIDGE_NETFILTER=3Dm
+
+#
+# Core Netfilter Configuration
+#
+CONFIG_NETFILTER_INGRESS=3Dy
+CONFIG_NETFILTER_NETLINK=3Dm
+CONFIG_NETFILTER_FAMILY_BRIDGE=3Dy
+CONFIG_NETFILTER_FAMILY_ARP=3Dy
+CONFIG_NETFILTER_NETLINK_ACCT=3Dm
+CONFIG_NETFILTER_NETLINK_QUEUE=3Dm
+CONFIG_NETFILTER_NETLINK_LOG=3Dm
+CONFIG_NETFILTER_NETLINK_OSF=3Dm
+CONFIG_NF_CONNTRACK=3Dm
+CONFIG_NF_LOG_COMMON=3Dm
+CONFIG_NF_LOG_NETDEV=3Dm
+CONFIG_NETFILTER_CONNCOUNT=3Dm
+CONFIG_NF_CONNTRACK_MARK=3Dy
+CONFIG_NF_CONNTRACK_SECMARK=3Dy
+CONFIG_NF_CONNTRACK_ZONES=3Dy
+# CONFIG_NF_CONNTRACK_PROCFS is not set
+CONFIG_NF_CONNTRACK_EVENTS=3Dy
+CONFIG_NF_CONNTRACK_TIMEOUT=3Dy
+CONFIG_NF_CONNTRACK_TIMESTAMP=3Dy
+CONFIG_NF_CONNTRACK_LABELS=3Dy
+CONFIG_NF_CT_PROTO_DCCP=3Dy
+CONFIG_NF_CT_PROTO_GRE=3Dy
+CONFIG_NF_CT_PROTO_SCTP=3Dy
+CONFIG_NF_CT_PROTO_UDPLITE=3Dy
+CONFIG_NF_CONNTRACK_AMANDA=3Dm
+CONFIG_NF_CONNTRACK_FTP=3Dm
+CONFIG_NF_CONNTRACK_H323=3Dm
+CONFIG_NF_CONNTRACK_IRC=3Dm
+CONFIG_NF_CONNTRACK_BROADCAST=3Dm
+CONFIG_NF_CONNTRACK_NETBIOS_NS=3Dm
+CONFIG_NF_CONNTRACK_SNMP=3Dm
+CONFIG_NF_CONNTRACK_PPTP=3Dm
+CONFIG_NF_CONNTRACK_SANE=3Dm
+CONFIG_NF_CONNTRACK_SIP=3Dm
+CONFIG_NF_CONNTRACK_TFTP=3Dm
+CONFIG_NF_CT_NETLINK=3Dm
+CONFIG_NF_CT_NETLINK_TIMEOUT=3Dm
+CONFIG_NF_CT_NETLINK_HELPER=3Dm
+CONFIG_NETFILTER_NETLINK_GLUE_CT=3Dy
+CONFIG_NF_NAT=3Dm
+CONFIG_NF_NAT_AMANDA=3Dm
+CONFIG_NF_NAT_FTP=3Dm
+CONFIG_NF_NAT_IRC=3Dm
+CONFIG_NF_NAT_SIP=3Dm
+CONFIG_NF_NAT_TFTP=3Dm
+CONFIG_NF_NAT_REDIRECT=3Dy
+CONFIG_NF_NAT_MASQUERADE=3Dy
+CONFIG_NETFILTER_SYNPROXY=3Dm
+CONFIG_NF_TABLES=3Dm
+CONFIG_NF_TABLES_SET=3Dm
+CONFIG_NF_TABLES_INET=3Dy
+CONFIG_NF_TABLES_NETDEV=3Dy
+CONFIG_NFT_NUMGEN=3Dm
+CONFIG_NFT_CT=3Dm
+CONFIG_NFT_FLOW_OFFLOAD=3Dm
+CONFIG_NFT_COUNTER=3Dm
+CONFIG_NFT_CONNLIMIT=3Dm
+CONFIG_NFT_LOG=3Dm
+CONFIG_NFT_LIMIT=3Dm
+CONFIG_NFT_MASQ=3Dm
+CONFIG_NFT_REDIR=3Dm
+CONFIG_NFT_NAT=3Dm
+CONFIG_NFT_TUNNEL=3Dm
+CONFIG_NFT_OBJREF=3Dm
+CONFIG_NFT_QUEUE=3Dm
+CONFIG_NFT_QUOTA=3Dm
+CONFIG_NFT_REJECT=3Dm
+CONFIG_NFT_REJECT_INET=3Dm
+CONFIG_NFT_COMPAT=3Dm
+CONFIG_NFT_HASH=3Dm
+CONFIG_NFT_FIB=3Dm
+CONFIG_NFT_FIB_INET=3Dm
+CONFIG_NFT_XFRM=3Dm
+CONFIG_NFT_SOCKET=3Dm
+CONFIG_NFT_OSF=3Dm
+CONFIG_NFT_TPROXY=3Dm
+CONFIG_NFT_SYNPROXY=3Dm
+CONFIG_NF_DUP_NETDEV=3Dm
+CONFIG_NFT_DUP_NETDEV=3Dm
+CONFIG_NFT_FWD_NETDEV=3Dm
+CONFIG_NFT_FIB_NETDEV=3Dm
+CONFIG_NF_FLOW_TABLE_INET=3Dm
+CONFIG_NF_FLOW_TABLE=3Dm
+CONFIG_NETFILTER_XTABLES=3Dm
+
+#
+# Xtables combined modules
+#
+CONFIG_NETFILTER_XT_MARK=3Dm
+CONFIG_NETFILTER_XT_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_SET=3Dm
+
+#
+# Xtables targets
+#
+CONFIG_NETFILTER_XT_TARGET_AUDIT=3Dm
+CONFIG_NETFILTER_XT_TARGET_CHECKSUM=3Dm
+CONFIG_NETFILTER_XT_TARGET_CLASSIFY=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CT=3Dm
+CONFIG_NETFILTER_XT_TARGET_DSCP=3Dm
+CONFIG_NETFILTER_XT_TARGET_HL=3Dm
+CONFIG_NETFILTER_XT_TARGET_HMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_IDLETIMER=3Dm
+CONFIG_NETFILTER_XT_TARGET_LED=3Dm
+CONFIG_NETFILTER_XT_TARGET_LOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_MARK=3Dm
+CONFIG_NETFILTER_XT_NAT=3Dm
+CONFIG_NETFILTER_XT_TARGET_NETMAP=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFLOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFQUEUE=3Dm
+# CONFIG_NETFILTER_XT_TARGET_NOTRACK is not set
+CONFIG_NETFILTER_XT_TARGET_RATEEST=3Dm
+CONFIG_NETFILTER_XT_TARGET_REDIRECT=3Dm
+CONFIG_NETFILTER_XT_TARGET_MASQUERADE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TEE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TPROXY=3Dm
+CONFIG_NETFILTER_XT_TARGET_TRACE=3Dm
+CONFIG_NETFILTER_XT_TARGET_SECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP=3Dm
+
+#
+# Xtables matches
+#
+CONFIG_NETFILTER_XT_MATCH_ADDRTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_BPF=3Dm
+CONFIG_NETFILTER_XT_MATCH_CGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_CLUSTER=3Dm
+CONFIG_NETFILTER_XT_MATCH_COMMENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNBYTES=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLABEL=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNTRACK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CPU=3Dm
+CONFIG_NETFILTER_XT_MATCH_DCCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DEVGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DSCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_ECN=3Dm
+CONFIG_NETFILTER_XT_MATCH_ESP=3Dm
+CONFIG_NETFILTER_XT_MATCH_HASHLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_HELPER=3Dm
+CONFIG_NETFILTER_XT_MATCH_HL=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPCOMP=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPRANGE=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPVS=3Dm
+CONFIG_NETFILTER_XT_MATCH_L2TP=3Dm
+CONFIG_NETFILTER_XT_MATCH_LENGTH=3Dm
+CONFIG_NETFILTER_XT_MATCH_LIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_MAC=3Dm
+CONFIG_NETFILTER_XT_MATCH_MARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_MULTIPORT=3Dm
+CONFIG_NETFILTER_XT_MATCH_NFACCT=3Dm
+CONFIG_NETFILTER_XT_MATCH_OSF=3Dm
+CONFIG_NETFILTER_XT_MATCH_OWNER=3Dm
+CONFIG_NETFILTER_XT_MATCH_POLICY=3Dm
+CONFIG_NETFILTER_XT_MATCH_PHYSDEV=3Dm
+CONFIG_NETFILTER_XT_MATCH_PKTTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_QUOTA=3Dm
+CONFIG_NETFILTER_XT_MATCH_RATEEST=3Dm
+CONFIG_NETFILTER_XT_MATCH_REALM=3Dm
+CONFIG_NETFILTER_XT_MATCH_RECENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_SCTP=3Dm
+CONFIG_NETFILTER_XT_MATCH_SOCKET=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATE=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATISTIC=3Dm
+CONFIG_NETFILTER_XT_MATCH_STRING=3Dm
+CONFIG_NETFILTER_XT_MATCH_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_MATCH_TIME=3Dm
+CONFIG_NETFILTER_XT_MATCH_U32=3Dm
+# end of Core Netfilter Configuration
+
+CONFIG_IP_SET=3Dm
+CONFIG_IP_SET_MAX=3D256
+CONFIG_IP_SET_BITMAP_IP=3Dm
+CONFIG_IP_SET_BITMAP_IPMAC=3Dm
+CONFIG_IP_SET_BITMAP_PORT=3Dm
+CONFIG_IP_SET_HASH_IP=3Dm
+CONFIG_IP_SET_HASH_IPMARK=3Dm
+CONFIG_IP_SET_HASH_IPPORT=3Dm
+CONFIG_IP_SET_HASH_IPPORTIP=3Dm
+CONFIG_IP_SET_HASH_IPPORTNET=3Dm
+CONFIG_IP_SET_HASH_IPMAC=3Dm
+CONFIG_IP_SET_HASH_MAC=3Dm
+CONFIG_IP_SET_HASH_NETPORTNET=3Dm
+CONFIG_IP_SET_HASH_NET=3Dm
+CONFIG_IP_SET_HASH_NETNET=3Dm
+CONFIG_IP_SET_HASH_NETPORT=3Dm
+CONFIG_IP_SET_HASH_NETIFACE=3Dm
+CONFIG_IP_SET_LIST_SET=3Dm
+CONFIG_IP_VS=3Dm
+CONFIG_IP_VS_IPV6=3Dy
+# CONFIG_IP_VS_DEBUG is not set
+CONFIG_IP_VS_TAB_BITS=3D12
+
+#
+# IPVS transport protocol load balancing support
+#
+CONFIG_IP_VS_PROTO_TCP=3Dy
+CONFIG_IP_VS_PROTO_UDP=3Dy
+CONFIG_IP_VS_PROTO_AH_ESP=3Dy
+CONFIG_IP_VS_PROTO_ESP=3Dy
+CONFIG_IP_VS_PROTO_AH=3Dy
+CONFIG_IP_VS_PROTO_SCTP=3Dy
+
+#
+# IPVS scheduler
+#
+CONFIG_IP_VS_RR=3Dm
+CONFIG_IP_VS_WRR=3Dm
+CONFIG_IP_VS_LC=3Dm
+CONFIG_IP_VS_WLC=3Dm
+CONFIG_IP_VS_FO=3Dm
+CONFIG_IP_VS_OVF=3Dm
+CONFIG_IP_VS_LBLC=3Dm
+CONFIG_IP_VS_LBLCR=3Dm
+CONFIG_IP_VS_DH=3Dm
+CONFIG_IP_VS_SH=3Dm
+CONFIG_IP_VS_MH=3Dm
+CONFIG_IP_VS_SED=3Dm
+CONFIG_IP_VS_NQ=3Dm
+
+#
+# IPVS SH scheduler
+#
+CONFIG_IP_VS_SH_TAB_BITS=3D8
+
+#
+# IPVS MH scheduler
+#
+CONFIG_IP_VS_MH_TAB_INDEX=3D12
+
+#
+# IPVS application helper
+#
+CONFIG_IP_VS_FTP=3Dm
+CONFIG_IP_VS_NFCT=3Dy
+CONFIG_IP_VS_PE_SIP=3Dm
+
+#
+# IP: Netfilter Configuration
+#
+CONFIG_NF_DEFRAG_IPV4=3Dm
+CONFIG_NF_SOCKET_IPV4=3Dm
+CONFIG_NF_TPROXY_IPV4=3Dm
+CONFIG_NF_TABLES_IPV4=3Dy
+CONFIG_NFT_REJECT_IPV4=3Dm
+CONFIG_NFT_DUP_IPV4=3Dm
+CONFIG_NFT_FIB_IPV4=3Dm
+CONFIG_NF_TABLES_ARP=3Dy
+CONFIG_NF_FLOW_TABLE_IPV4=3Dm
+CONFIG_NF_DUP_IPV4=3Dm
+CONFIG_NF_LOG_ARP=3Dm
+CONFIG_NF_LOG_IPV4=3Dm
+CONFIG_NF_REJECT_IPV4=3Dm
+CONFIG_NF_NAT_SNMP_BASIC=3Dm
+CONFIG_NF_NAT_PPTP=3Dm
+CONFIG_NF_NAT_H323=3Dm
+CONFIG_IP_NF_IPTABLES=3Dm
+CONFIG_IP_NF_MATCH_AH=3Dm
+CONFIG_IP_NF_MATCH_ECN=3Dm
+CONFIG_IP_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP_NF_MATCH_TTL=3Dm
+CONFIG_IP_NF_FILTER=3Dm
+CONFIG_IP_NF_TARGET_REJECT=3Dm
+CONFIG_IP_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP_NF_NAT=3Dm
+CONFIG_IP_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP_NF_TARGET_NETMAP=3Dm
+CONFIG_IP_NF_TARGET_REDIRECT=3Dm
+CONFIG_IP_NF_MANGLE=3Dm
+CONFIG_IP_NF_TARGET_CLUSTERIP=3Dm
+CONFIG_IP_NF_TARGET_ECN=3Dm
+CONFIG_IP_NF_TARGET_TTL=3Dm
+CONFIG_IP_NF_RAW=3Dm
+CONFIG_IP_NF_SECURITY=3Dm
+CONFIG_IP_NF_ARPTABLES=3Dm
+CONFIG_IP_NF_ARPFILTER=3Dm
+CONFIG_IP_NF_ARP_MANGLE=3Dm
+# end of IP: Netfilter Configuration
+
+#
+# IPv6: Netfilter Configuration
+#
+CONFIG_NF_SOCKET_IPV6=3Dm
+CONFIG_NF_TPROXY_IPV6=3Dm
+CONFIG_NF_TABLES_IPV6=3Dy
+CONFIG_NFT_REJECT_IPV6=3Dm
+CONFIG_NFT_DUP_IPV6=3Dm
+CONFIG_NFT_FIB_IPV6=3Dm
+CONFIG_NF_FLOW_TABLE_IPV6=3Dm
+CONFIG_NF_DUP_IPV6=3Dm
+CONFIG_NF_REJECT_IPV6=3Dm
+CONFIG_NF_LOG_IPV6=3Dm
+CONFIG_IP6_NF_IPTABLES=3Dm
+CONFIG_IP6_NF_MATCH_AH=3Dm
+CONFIG_IP6_NF_MATCH_EUI64=3Dm
+CONFIG_IP6_NF_MATCH_FRAG=3Dm
+CONFIG_IP6_NF_MATCH_OPTS=3Dm
+CONFIG_IP6_NF_MATCH_HL=3Dm
+CONFIG_IP6_NF_MATCH_IPV6HEADER=3Dm
+CONFIG_IP6_NF_MATCH_MH=3Dm
+CONFIG_IP6_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP6_NF_MATCH_RT=3Dm
+CONFIG_IP6_NF_MATCH_SRH=3Dm
+CONFIG_IP6_NF_TARGET_HL=3Dm
+CONFIG_IP6_NF_FILTER=3Dm
+CONFIG_IP6_NF_TARGET_REJECT=3Dm
+CONFIG_IP6_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP6_NF_MANGLE=3Dm
+CONFIG_IP6_NF_RAW=3Dm
+CONFIG_IP6_NF_SECURITY=3Dm
+CONFIG_IP6_NF_NAT=3Dm
+CONFIG_IP6_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP6_NF_TARGET_NPT=3Dm
+# end of IPv6: Netfilter Configuration
+
+CONFIG_NF_DEFRAG_IPV6=3Dm
+
+#
+# DECnet: Netfilter Configuration
+#
+CONFIG_DECNET_NF_GRABULATOR=3Dm
+# end of DECnet: Netfilter Configuration
+
+CONFIG_NF_TABLES_BRIDGE=3Dm
+CONFIG_NFT_BRIDGE_META=3Dm
+CONFIG_NFT_BRIDGE_REJECT=3Dm
+CONFIG_NF_LOG_BRIDGE=3Dm
+CONFIG_NF_CONNTRACK_BRIDGE=3Dm
+CONFIG_BRIDGE_NF_EBTABLES=3Dm
+CONFIG_BRIDGE_EBT_BROUTE=3Dm
+CONFIG_BRIDGE_EBT_T_FILTER=3Dm
+CONFIG_BRIDGE_EBT_T_NAT=3Dm
+CONFIG_BRIDGE_EBT_802_3=3Dm
+CONFIG_BRIDGE_EBT_AMONG=3Dm
+CONFIG_BRIDGE_EBT_ARP=3Dm
+CONFIG_BRIDGE_EBT_IP=3Dm
+CONFIG_BRIDGE_EBT_IP6=3Dm
+CONFIG_BRIDGE_EBT_LIMIT=3Dm
+CONFIG_BRIDGE_EBT_MARK=3Dm
+CONFIG_BRIDGE_EBT_PKTTYPE=3Dm
+CONFIG_BRIDGE_EBT_STP=3Dm
+CONFIG_BRIDGE_EBT_VLAN=3Dm
+CONFIG_BRIDGE_EBT_ARPREPLY=3Dm
+CONFIG_BRIDGE_EBT_DNAT=3Dm
+CONFIG_BRIDGE_EBT_MARK_T=3Dm
+CONFIG_BRIDGE_EBT_REDIRECT=3Dm
+CONFIG_BRIDGE_EBT_SNAT=3Dm
+CONFIG_BRIDGE_EBT_LOG=3Dm
+CONFIG_BRIDGE_EBT_NFLOG=3Dm
+# CONFIG_BPFILTER is not set
+CONFIG_IP_DCCP=3Dm
+CONFIG_INET_DCCP_DIAG=3Dm
+
+#
+# DCCP CCIDs Configuration
+#
+# CONFIG_IP_DCCP_CCID2_DEBUG is not set
+# CONFIG_IP_DCCP_CCID3 is not set
+# end of DCCP CCIDs Configuration
+
+#
+# DCCP Kernel Hacking
+#
+# CONFIG_IP_DCCP_DEBUG is not set
+# end of DCCP Kernel Hacking
+
+CONFIG_IP_SCTP=3Dm
+# CONFIG_SCTP_DBG_OBJCNT is not set
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_MD5 is not set
+CONFIG_SCTP_DEFAULT_COOKIE_HMAC_SHA1=3Dy
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_NONE is not set
+CONFIG_SCTP_COOKIE_HMAC_MD5=3Dy
+CONFIG_SCTP_COOKIE_HMAC_SHA1=3Dy
+CONFIG_INET_SCTP_DIAG=3Dm
+CONFIG_RDS=3Dm
+CONFIG_RDS_RDMA=3Dm
+CONFIG_RDS_TCP=3Dm
+# CONFIG_RDS_DEBUG is not set
+CONFIG_TIPC=3Dm
+CONFIG_TIPC_MEDIA_IB=3Dy
+CONFIG_TIPC_MEDIA_UDP=3Dy
+CONFIG_TIPC_DIAG=3Dm
+CONFIG_ATM=3Dm
+CONFIG_ATM_CLIP=3Dm
+# CONFIG_ATM_CLIP_NO_ICMP is not set
+CONFIG_ATM_LANE=3Dm
+CONFIG_ATM_MPOA=3Dm
+CONFIG_ATM_BR2684=3Dm
+# CONFIG_ATM_BR2684_IPFILTER is not set
+CONFIG_L2TP=3Dm
+CONFIG_L2TP_DEBUGFS=3Dm
+CONFIG_L2TP_V3=3Dy
+CONFIG_L2TP_IP=3Dm
+CONFIG_L2TP_ETH=3Dm
+CONFIG_STP=3Dm
+CONFIG_GARP=3Dm
+CONFIG_MRP=3Dm
+CONFIG_BRIDGE=3Dm
+CONFIG_BRIDGE_IGMP_SNOOPING=3Dy
+CONFIG_BRIDGE_VLAN_FILTERING=3Dy
+CONFIG_HAVE_NET_DSA=3Dy
+CONFIG_NET_DSA=3Dm
+CONFIG_NET_DSA_TAG_8021Q=3Dm
+CONFIG_NET_DSA_TAG_BRCM_COMMON=3Dm
+CONFIG_NET_DSA_TAG_BRCM=3Dm
+CONFIG_NET_DSA_TAG_BRCM_PREPEND=3Dm
+CONFIG_NET_DSA_TAG_GSWIP=3Dm
+CONFIG_NET_DSA_TAG_DSA=3Dm
+CONFIG_NET_DSA_TAG_EDSA=3Dm
+CONFIG_NET_DSA_TAG_MTK=3Dm
+CONFIG_NET_DSA_TAG_KSZ=3Dm
+CONFIG_NET_DSA_TAG_QCA=3Dm
+CONFIG_NET_DSA_TAG_LAN9303=3Dm
+CONFIG_NET_DSA_TAG_SJA1105=3Dm
+CONFIG_NET_DSA_TAG_TRAILER=3Dm
+CONFIG_VLAN_8021Q=3Dm
+CONFIG_VLAN_8021Q_GVRP=3Dy
+CONFIG_VLAN_8021Q_MVRP=3Dy
+CONFIG_DECNET=3Dm
+# CONFIG_DECNET_ROUTER is not set
+CONFIG_LLC=3Dm
+CONFIG_LLC2=3Dm
+CONFIG_ATALK=3Dm
+CONFIG_DEV_APPLETALK=3Dm
+CONFIG_LTPC=3Dm
+CONFIG_COPS=3Dm
+CONFIG_COPS_DAYNA=3Dy
+CONFIG_COPS_TANGENT=3Dy
+CONFIG_IPDDP=3Dm
+CONFIG_IPDDP_ENCAP=3Dy
+CONFIG_X25=3Dm
+CONFIG_LAPB=3Dm
+CONFIG_PHONET=3Dm
+CONFIG_6LOWPAN=3Dm
+# CONFIG_6LOWPAN_DEBUGFS is not set
+CONFIG_6LOWPAN_NHC=3Dm
+CONFIG_6LOWPAN_NHC_DEST=3Dm
+CONFIG_6LOWPAN_NHC_FRAGMENT=3Dm
+CONFIG_6LOWPAN_NHC_HOP=3Dm
+CONFIG_6LOWPAN_NHC_IPV6=3Dm
+CONFIG_6LOWPAN_NHC_MOBILITY=3Dm
+CONFIG_6LOWPAN_NHC_ROUTING=3Dm
+CONFIG_6LOWPAN_NHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_HOP=3Dm
+CONFIG_6LOWPAN_GHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_ICMPV6=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_DEST=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_FRAG=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_ROUTE=3Dm
+CONFIG_IEEE802154=3Dm
+CONFIG_IEEE802154_NL802154_EXPERIMENTAL=3Dy
+CONFIG_IEEE802154_SOCKET=3Dm
+CONFIG_IEEE802154_6LOWPAN=3Dm
+CONFIG_MAC802154=3Dm
+CONFIG_NET_SCHED=3Dy
+
+#
+# Queueing/Scheduling
+#
+CONFIG_NET_SCH_CBQ=3Dm
+CONFIG_NET_SCH_HTB=3Dm
+CONFIG_NET_SCH_HFSC=3Dm
+CONFIG_NET_SCH_ATM=3Dm
+CONFIG_NET_SCH_PRIO=3Dm
+CONFIG_NET_SCH_MULTIQ=3Dm
+CONFIG_NET_SCH_RED=3Dm
+CONFIG_NET_SCH_SFB=3Dm
+CONFIG_NET_SCH_SFQ=3Dm
+CONFIG_NET_SCH_TEQL=3Dm
+CONFIG_NET_SCH_TBF=3Dm
+CONFIG_NET_SCH_CBS=3Dm
+CONFIG_NET_SCH_ETF=3Dm
+CONFIG_NET_SCH_TAPRIO=3Dm
+CONFIG_NET_SCH_GRED=3Dm
+CONFIG_NET_SCH_DSMARK=3Dm
+CONFIG_NET_SCH_NETEM=3Dm
+CONFIG_NET_SCH_DRR=3Dm
+CONFIG_NET_SCH_MQPRIO=3Dm
+CONFIG_NET_SCH_SKBPRIO=3Dm
+CONFIG_NET_SCH_CHOKE=3Dm
+CONFIG_NET_SCH_QFQ=3Dm
+CONFIG_NET_SCH_CODEL=3Dm
+CONFIG_NET_SCH_FQ_CODEL=3Dm
+CONFIG_NET_SCH_CAKE=3Dm
+CONFIG_NET_SCH_FQ=3Dm
+CONFIG_NET_SCH_HHF=3Dm
+CONFIG_NET_SCH_PIE=3Dm
+CONFIG_NET_SCH_INGRESS=3Dm
+CONFIG_NET_SCH_PLUG=3Dm
+# CONFIG_NET_SCH_DEFAULT is not set
+
+#
+# Classification
+#
+CONFIG_NET_CLS=3Dy
+CONFIG_NET_CLS_BASIC=3Dm
+CONFIG_NET_CLS_TCINDEX=3Dm
+CONFIG_NET_CLS_ROUTE4=3Dm
+CONFIG_NET_CLS_FW=3Dm
+CONFIG_NET_CLS_U32=3Dm
+# CONFIG_CLS_U32_PERF is not set
+CONFIG_CLS_U32_MARK=3Dy
+CONFIG_NET_CLS_RSVP=3Dm
+CONFIG_NET_CLS_RSVP6=3Dm
+CONFIG_NET_CLS_FLOW=3Dm
+CONFIG_NET_CLS_CGROUP=3Dm
+CONFIG_NET_CLS_BPF=3Dm
+CONFIG_NET_CLS_FLOWER=3Dm
+CONFIG_NET_CLS_MATCHALL=3Dm
+CONFIG_NET_EMATCH=3Dy
+CONFIG_NET_EMATCH_STACK=3D32
+CONFIG_NET_EMATCH_CMP=3Dm
+CONFIG_NET_EMATCH_NBYTE=3Dm
+CONFIG_NET_EMATCH_U32=3Dm
+CONFIG_NET_EMATCH_META=3Dm
+CONFIG_NET_EMATCH_TEXT=3Dm
+CONFIG_NET_EMATCH_CANID=3Dm
+CONFIG_NET_EMATCH_IPSET=3Dm
+CONFIG_NET_EMATCH_IPT=3Dm
+CONFIG_NET_CLS_ACT=3Dy
+CONFIG_NET_ACT_POLICE=3Dm
+CONFIG_NET_ACT_GACT=3Dm
+CONFIG_GACT_PROB=3Dy
+CONFIG_NET_ACT_MIRRED=3Dm
+CONFIG_NET_ACT_SAMPLE=3Dm
+CONFIG_NET_ACT_IPT=3Dm
+CONFIG_NET_ACT_NAT=3Dm
+CONFIG_NET_ACT_PEDIT=3Dm
+CONFIG_NET_ACT_SIMP=3Dm
+CONFIG_NET_ACT_SKBEDIT=3Dm
+CONFIG_NET_ACT_CSUM=3Dm
+CONFIG_NET_ACT_MPLS=3Dm
+CONFIG_NET_ACT_VLAN=3Dm
+CONFIG_NET_ACT_BPF=3Dm
+CONFIG_NET_ACT_CONNMARK=3Dm
+CONFIG_NET_ACT_CTINFO=3Dm
+CONFIG_NET_ACT_SKBMOD=3Dm
+CONFIG_NET_ACT_IFE=3Dm
+CONFIG_NET_ACT_TUNNEL_KEY=3Dm
+CONFIG_NET_ACT_CT=3Dm
+CONFIG_NET_IFE_SKBMARK=3Dm
+CONFIG_NET_IFE_SKBPRIO=3Dm
+CONFIG_NET_IFE_SKBTCINDEX=3Dm
+# CONFIG_NET_TC_SKB_EXT is not set
+CONFIG_NET_SCH_FIFO=3Dy
+CONFIG_DCB=3Dy
+CONFIG_DNS_RESOLVER=3Dy
+CONFIG_BATMAN_ADV=3Dm
+# CONFIG_BATMAN_ADV_BATMAN_V is not set
+CONFIG_BATMAN_ADV_BLA=3Dy
+CONFIG_BATMAN_ADV_DAT=3Dy
+CONFIG_BATMAN_ADV_NC=3Dy
+CONFIG_BATMAN_ADV_MCAST=3Dy
+CONFIG_BATMAN_ADV_DEBUGFS=3Dy
+# CONFIG_BATMAN_ADV_DEBUG is not set
+CONFIG_BATMAN_ADV_SYSFS=3Dy
+# CONFIG_BATMAN_ADV_TRACING is not set
+CONFIG_OPENVSWITCH=3Dm
+CONFIG_OPENVSWITCH_GRE=3Dm
+CONFIG_OPENVSWITCH_VXLAN=3Dm
+CONFIG_OPENVSWITCH_GENEVE=3Dm
+CONFIG_VSOCKETS=3Dm
+CONFIG_VSOCKETS_DIAG=3Dm
+CONFIG_VMWARE_VMCI_VSOCKETS=3Dm
+CONFIG_VIRTIO_VSOCKETS=3Dm
+CONFIG_VIRTIO_VSOCKETS_COMMON=3Dm
+CONFIG_HYPERV_VSOCKETS=3Dm
+CONFIG_NETLINK_DIAG=3Dm
+CONFIG_MPLS=3Dy
+CONFIG_NET_MPLS_GSO=3Dm
+CONFIG_MPLS_ROUTING=3Dm
+CONFIG_MPLS_IPTUNNEL=3Dm
+CONFIG_NET_NSH=3Dm
+CONFIG_HSR=3Dm
+CONFIG_NET_SWITCHDEV=3Dy
+CONFIG_NET_L3_MASTER_DEV=3Dy
+CONFIG_NET_NCSI=3Dy
+# CONFIG_NCSI_OEM_CMD_GET_MAC is not set
+CONFIG_RPS=3Dy
+CONFIG_RFS_ACCEL=3Dy
+CONFIG_XPS=3Dy
+CONFIG_CGROUP_NET_PRIO=3Dy
+CONFIG_CGROUP_NET_CLASSID=3Dy
+CONFIG_NET_RX_BUSY_POLL=3Dy
+CONFIG_BQL=3Dy
+# CONFIG_BPF_JIT is not set
+# CONFIG_BPF_STREAM_PARSER is not set
+CONFIG_NET_FLOW_LIMIT=3Dy
+
+#
+# Network testing
+#
+CONFIG_NET_PKTGEN=3Dm
+# CONFIG_NET_DROP_MONITOR is not set
+# end of Network testing
+# end of Networking options
+
+CONFIG_HAMRADIO=3Dy
+
+#
+# Packet Radio protocols
+#
+CONFIG_AX25=3Dm
+CONFIG_AX25_DAMA_SLAVE=3Dy
+CONFIG_NETROM=3Dm
+CONFIG_ROSE=3Dm
+
+#
+# AX.25 network device drivers
+#
+CONFIG_MKISS=3Dm
+CONFIG_6PACK=3Dm
+CONFIG_BPQETHER=3Dm
+CONFIG_SCC=3Dm
+# CONFIG_SCC_DELAY is not set
+# CONFIG_SCC_TRXECHO is not set
+CONFIG_BAYCOM_SER_FDX=3Dm
+CONFIG_BAYCOM_SER_HDX=3Dm
+CONFIG_BAYCOM_PAR=3Dm
+CONFIG_BAYCOM_EPP=3Dm
+CONFIG_YAM=3Dm
+# end of AX.25 network device drivers
+
+CONFIG_CAN=3Dm
+CONFIG_CAN_RAW=3Dm
+CONFIG_CAN_BCM=3Dm
+CONFIG_CAN_GW=3Dm
+CONFIG_CAN_J1939=3Dm
+
+#
+# CAN Device Drivers
+#
+CONFIG_CAN_VCAN=3Dm
+CONFIG_CAN_VXCAN=3Dm
+CONFIG_CAN_SLCAN=3Dm
+CONFIG_CAN_DEV=3Dm
+CONFIG_CAN_CALC_BITTIMING=3Dy
+CONFIG_CAN_JANZ_ICAN3=3Dm
+CONFIG_CAN_KVASER_PCIEFD=3Dm
+CONFIG_PCH_CAN=3Dm
+CONFIG_CAN_C_CAN=3Dm
+CONFIG_CAN_C_CAN_PLATFORM=3Dm
+CONFIG_CAN_C_CAN_PCI=3Dm
+CONFIG_CAN_CC770=3Dm
+CONFIG_CAN_CC770_ISA=3Dm
+CONFIG_CAN_CC770_PLATFORM=3Dm
+CONFIG_CAN_IFI_CANFD=3Dm
+CONFIG_CAN_M_CAN=3Dm
+CONFIG_CAN_M_CAN_PLATFORM=3Dm
+CONFIG_CAN_M_CAN_TCAN4X5X=3Dm
+CONFIG_CAN_PEAK_PCIEFD=3Dm
+CONFIG_CAN_SJA1000=3Dm
+CONFIG_CAN_EMS_PCI=3Dm
+CONFIG_CAN_EMS_PCMCIA=3Dm
+CONFIG_CAN_F81601=3Dm
+CONFIG_CAN_KVASER_PCI=3Dm
+CONFIG_CAN_PEAK_PCI=3Dm
+CONFIG_CAN_PEAK_PCIEC=3Dy
+CONFIG_CAN_PEAK_PCMCIA=3Dm
+CONFIG_CAN_PLX_PCI=3Dm
+CONFIG_CAN_SJA1000_ISA=3Dm
+CONFIG_CAN_SJA1000_PLATFORM=3Dm
+CONFIG_CAN_TSCAN1=3Dm
+CONFIG_CAN_SOFTING=3Dm
+CONFIG_CAN_SOFTING_CS=3Dm
+
+#
+# CAN SPI interfaces
+#
+CONFIG_CAN_HI311X=3Dm
+CONFIG_CAN_MCP251X=3Dm
+# end of CAN SPI interfaces
+
+#
+# CAN USB interfaces
+#
+CONFIG_CAN_8DEV_USB=3Dm
+CONFIG_CAN_EMS_USB=3Dm
+CONFIG_CAN_ESD_USB2=3Dm
+CONFIG_CAN_GS_USB=3Dm
+CONFIG_CAN_KVASER_USB=3Dm
+CONFIG_CAN_MCBA_USB=3Dm
+CONFIG_CAN_PEAK_USB=3Dm
+CONFIG_CAN_UCAN=3Dm
+# end of CAN USB interfaces
+
+# CONFIG_CAN_DEBUG_DEVICES is not set
+# end of CAN Device Drivers
+
+CONFIG_BT=3Dm
+CONFIG_BT_BREDR=3Dy
+CONFIG_BT_RFCOMM=3Dm
+CONFIG_BT_RFCOMM_TTY=3Dy
+CONFIG_BT_BNEP=3Dm
+CONFIG_BT_BNEP_MC_FILTER=3Dy
+CONFIG_BT_BNEP_PROTO_FILTER=3Dy
+CONFIG_BT_CMTP=3Dm
+CONFIG_BT_HIDP=3Dm
+CONFIG_BT_HS=3Dy
+CONFIG_BT_LE=3Dy
+CONFIG_BT_6LOWPAN=3Dm
+# CONFIG_BT_LEDS is not set
+# CONFIG_BT_SELFTEST is not set
+CONFIG_BT_DEBUGFS=3Dy
+
+#
+# Bluetooth device drivers
+#
+CONFIG_BT_INTEL=3Dm
+CONFIG_BT_BCM=3Dm
+CONFIG_BT_RTL=3Dm
+CONFIG_BT_QCA=3Dm
+CONFIG_BT_HCIBTUSB=3Dm
+# CONFIG_BT_HCIBTUSB_AUTOSUSPEND is not set
+CONFIG_BT_HCIBTUSB_BCM=3Dy
+CONFIG_BT_HCIBTUSB_MTK=3Dy
+CONFIG_BT_HCIBTUSB_RTL=3Dy
+CONFIG_BT_HCIBTSDIO=3Dm
+CONFIG_BT_HCIUART=3Dm
+CONFIG_BT_HCIUART_SERDEV=3Dy
+CONFIG_BT_HCIUART_H4=3Dy
+CONFIG_BT_HCIUART_NOKIA=3Dm
+CONFIG_BT_HCIUART_BCSP=3Dy
+CONFIG_BT_HCIUART_ATH3K=3Dy
+CONFIG_BT_HCIUART_LL=3Dy
+CONFIG_BT_HCIUART_3WIRE=3Dy
+CONFIG_BT_HCIUART_INTEL=3Dy
+CONFIG_BT_HCIUART_BCM=3Dy
+CONFIG_BT_HCIUART_RTL=3Dy
+CONFIG_BT_HCIUART_QCA=3Dy
+CONFIG_BT_HCIUART_AG6XX=3Dy
+CONFIG_BT_HCIUART_MRVL=3Dy
+CONFIG_BT_HCIBCM203X=3Dm
+CONFIG_BT_HCIBPA10X=3Dm
+CONFIG_BT_HCIBFUSB=3Dm
+CONFIG_BT_HCIDTL1=3Dm
+CONFIG_BT_HCIBT3C=3Dm
+CONFIG_BT_HCIBLUECARD=3Dm
+CONFIG_BT_HCIVHCI=3Dm
+CONFIG_BT_MRVL=3Dm
+CONFIG_BT_MRVL_SDIO=3Dm
+CONFIG_BT_ATH3K=3Dm
+CONFIG_BT_WILINK=3Dm
+CONFIG_BT_MTKSDIO=3Dm
+CONFIG_BT_MTKUART=3Dm
+CONFIG_BT_HCIRSI=3Dm
+# end of Bluetooth device drivers
+
+CONFIG_AF_RXRPC=3Dm
+CONFIG_AF_RXRPC_IPV6=3Dy
+# CONFIG_AF_RXRPC_INJECT_LOSS is not set
+# CONFIG_AF_RXRPC_DEBUG is not set
+# CONFIG_RXKAD is not set
+CONFIG_AF_KCM=3Dm
+CONFIG_STREAM_PARSER=3Dy
+CONFIG_FIB_RULES=3Dy
+CONFIG_WIRELESS=3Dy
+CONFIG_WIRELESS_EXT=3Dy
+CONFIG_WEXT_CORE=3Dy
+CONFIG_WEXT_PROC=3Dy
+CONFIG_WEXT_SPY=3Dy
+CONFIG_WEXT_PRIV=3Dy
+CONFIG_CFG80211=3Dm
+# CONFIG_NL80211_TESTMODE is not set
+# CONFIG_CFG80211_DEVELOPER_WARNINGS is not set
+# CONFIG_CFG80211_CERTIFICATION_ONUS is not set
+CONFIG_CFG80211_REQUIRE_SIGNED_REGDB=3Dy
+CONFIG_CFG80211_USE_KERNEL_REGDB_KEYS=3Dy
+CONFIG_CFG80211_DEFAULT_PS=3Dy
+CONFIG_CFG80211_DEBUGFS=3Dy
+CONFIG_CFG80211_CRDA_SUPPORT=3Dy
+CONFIG_CFG80211_WEXT=3Dy
+CONFIG_CFG80211_WEXT_EXPORT=3Dy
+CONFIG_LIB80211=3Dm
+CONFIG_LIB80211_CRYPT_WEP=3Dm
+CONFIG_LIB80211_CRYPT_CCMP=3Dm
+CONFIG_LIB80211_CRYPT_TKIP=3Dm
+# CONFIG_LIB80211_DEBUG is not set
+CONFIG_MAC80211=3Dm
+CONFIG_MAC80211_HAS_RC=3Dy
+CONFIG_MAC80211_RC_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT=3D"minstrel_ht"
+CONFIG_MAC80211_MESH=3Dy
+CONFIG_MAC80211_LEDS=3Dy
+CONFIG_MAC80211_DEBUGFS=3Dy
+CONFIG_MAC80211_MESSAGE_TRACING=3Dy
+# CONFIG_MAC80211_DEBUG_MENU is not set
+CONFIG_MAC80211_STA_HASH_MAX_SIZE=3D0
+CONFIG_WIMAX=3Dm
+CONFIG_WIMAX_DEBUG_LEVEL=3D8
+CONFIG_RFKILL=3Dy
+CONFIG_RFKILL_LEDS=3Dy
+CONFIG_RFKILL_INPUT=3Dy
+CONFIG_RFKILL_GPIO=3Dm
+CONFIG_NET_9P=3Dm
+CONFIG_NET_9P_VIRTIO=3Dm
+CONFIG_NET_9P_XEN=3Dm
+CONFIG_NET_9P_RDMA=3Dm
+# CONFIG_NET_9P_DEBUG is not set
+CONFIG_CAIF=3Dm
+# CONFIG_CAIF_DEBUG is not set
+CONFIG_CAIF_NETDEV=3Dm
+CONFIG_CAIF_USB=3Dm
+CONFIG_CEPH_LIB=3Dm
+# CONFIG_CEPH_LIB_PRETTYDEBUG is not set
+CONFIG_CEPH_LIB_USE_DNS_RESOLVER=3Dy
+CONFIG_NFC=3Dm
+CONFIG_NFC_DIGITAL=3Dm
+CONFIG_NFC_NCI=3Dm
+CONFIG_NFC_NCI_SPI=3Dm
+CONFIG_NFC_NCI_UART=3Dm
+CONFIG_NFC_HCI=3Dm
+CONFIG_NFC_SHDLC=3Dy
+
+#
+# Near Field Communication (NFC) devices
+#
+CONFIG_NFC_TRF7970A=3Dm
+CONFIG_NFC_SIM=3Dm
+CONFIG_NFC_PORT100=3Dm
+CONFIG_NFC_FDP=3Dm
+CONFIG_NFC_FDP_I2C=3Dm
+CONFIG_NFC_PN544=3Dm
+CONFIG_NFC_PN544_I2C=3Dm
+CONFIG_NFC_PN533=3Dm
+CONFIG_NFC_PN533_USB=3Dm
+CONFIG_NFC_PN533_I2C=3Dm
+CONFIG_NFC_MICROREAD=3Dm
+CONFIG_NFC_MICROREAD_I2C=3Dm
+CONFIG_NFC_MRVL=3Dm
+CONFIG_NFC_MRVL_USB=3Dm
+CONFIG_NFC_MRVL_UART=3Dm
+CONFIG_NFC_MRVL_I2C=3Dm
+CONFIG_NFC_MRVL_SPI=3Dm
+CONFIG_NFC_ST21NFCA=3Dm
+CONFIG_NFC_ST21NFCA_I2C=3Dm
+CONFIG_NFC_ST_NCI=3Dm
+CONFIG_NFC_ST_NCI_I2C=3Dm
+CONFIG_NFC_ST_NCI_SPI=3Dm
+CONFIG_NFC_NXP_NCI=3Dm
+CONFIG_NFC_NXP_NCI_I2C=3Dm
+CONFIG_NFC_S3FWRN5=3Dm
+CONFIG_NFC_S3FWRN5_I2C=3Dm
+CONFIG_NFC_ST95HF=3Dm
+# end of Near Field Communication (NFC) devices
+
+CONFIG_PSAMPLE=3Dm
+CONFIG_NET_IFE=3Dm
+CONFIG_LWTUNNEL=3Dy
+CONFIG_LWTUNNEL_BPF=3Dy
+CONFIG_DST_CACHE=3Dy
+CONFIG_GRO_CELLS=3Dy
+CONFIG_NET_SOCK_MSG=3Dy
+CONFIG_NET_DEVLINK=3Dy
+CONFIG_PAGE_POOL=3Dy
+CONFIG_FAILOVER=3Dy
+CONFIG_HAVE_EBPF_JIT=3Dy
+
+#
+# Device Drivers
+#
+CONFIG_HAVE_EISA=3Dy
+CONFIG_EISA=3Dy
+CONFIG_EISA_VLB_PRIMING=3Dy
+CONFIG_EISA_PCI_EISA=3Dy
+CONFIG_EISA_VIRTUAL_ROOT=3Dy
+CONFIG_EISA_NAMES=3Dy
+CONFIG_HAVE_PCI=3Dy
+CONFIG_PCI=3Dy
+CONFIG_PCI_DOMAINS=3Dy
+CONFIG_PCIEPORTBUS=3Dy
+CONFIG_HOTPLUG_PCI_PCIE=3Dy
+CONFIG_PCIEAER=3Dy
+# CONFIG_PCIEAER_INJECT is not set
+# CONFIG_PCIE_ECRC is not set
+CONFIG_PCIEASPM=3Dy
+CONFIG_PCIEASPM_DEBUG=3Dy
+CONFIG_PCIEASPM_DEFAULT=3Dy
+# CONFIG_PCIEASPM_POWERSAVE is not set
+# CONFIG_PCIEASPM_POWER_SUPERSAVE is not set
+# CONFIG_PCIEASPM_PERFORMANCE is not set
+CONFIG_PCIE_PME=3Dy
+CONFIG_PCIE_DPC=3Dy
+CONFIG_PCIE_PTM=3Dy
+# CONFIG_PCIE_BW is not set
+CONFIG_PCI_MSI=3Dy
+CONFIG_PCI_MSI_IRQ_DOMAIN=3Dy
+CONFIG_PCI_QUIRKS=3Dy
+# CONFIG_PCI_DEBUG is not set
+CONFIG_PCI_REALLOC_ENABLE_AUTO=3Dy
+CONFIG_PCI_STUB=3Dm
+# CONFIG_PCI_PF_STUB is not set
+CONFIG_XEN_PCIDEV_FRONTEND=3Dm
+CONFIG_PCI_ATS=3Dy
+CONFIG_PCI_LOCKLESS_CONFIG=3Dy
+CONFIG_PCI_IOV=3Dy
+CONFIG_PCI_PRI=3Dy
+CONFIG_PCI_PASID=3Dy
+CONFIG_PCI_LABEL=3Dy
+CONFIG_HOTPLUG_PCI=3Dy
+CONFIG_HOTPLUG_PCI_COMPAQ=3Dm
+CONFIG_HOTPLUG_PCI_COMPAQ_NVRAM=3Dy
+CONFIG_HOTPLUG_PCI_IBM=3Dm
+CONFIG_HOTPLUG_PCI_ACPI=3Dy
+CONFIG_HOTPLUG_PCI_ACPI_IBM=3Dm
+CONFIG_HOTPLUG_PCI_CPCI=3Dy
+CONFIG_HOTPLUG_PCI_CPCI_ZT5550=3Dm
+CONFIG_HOTPLUG_PCI_CPCI_GENERIC=3Dm
+CONFIG_HOTPLUG_PCI_SHPC=3Dy
+
+#
+# PCI controller drivers
+#
+
+#
+# Cadence PCIe controllers support
+#
+# end of Cadence PCIe controllers support
+
+#
+# DesignWare PCI Core Support
+#
+# CONFIG_PCIE_DW_PLAT_HOST is not set
+# CONFIG_PCI_MESON is not set
+# end of DesignWare PCI Core Support
+# end of PCI controller drivers
+
+#
+# PCI Endpoint
+#
+# CONFIG_PCI_ENDPOINT is not set
+# end of PCI Endpoint
+
+#
+# PCI switch controller drivers
+#
+CONFIG_PCI_SW_SWITCHTEC=3Dm
+# end of PCI switch controller drivers
+
+CONFIG_PCCARD=3Dm
+CONFIG_PCMCIA=3Dm
+CONFIG_PCMCIA_LOAD_CIS=3Dy
+CONFIG_CARDBUS=3Dy
+
+#
+# PC-card bridges
+#
+CONFIG_YENTA=3Dm
+CONFIG_YENTA_O2=3Dy
+CONFIG_YENTA_RICOH=3Dy
+CONFIG_YENTA_TI=3Dy
+CONFIG_YENTA_ENE_TUNE=3Dy
+CONFIG_YENTA_TOSHIBA=3Dy
+CONFIG_PD6729=3Dm
+CONFIG_I82092=3Dm
+CONFIG_I82365=3Dm
+CONFIG_TCIC=3Dm
+CONFIG_PCMCIA_PROBE=3Dy
+CONFIG_PCCARD_NONSTATIC=3Dy
+CONFIG_RAPIDIO=3Dy
+CONFIG_RAPIDIO_TSI721=3Dm
+CONFIG_RAPIDIO_DISC_TIMEOUT=3D30
+# CONFIG_RAPIDIO_ENABLE_RX_TX_PORTS is not set
+CONFIG_RAPIDIO_DMA_ENGINE=3Dy
+# CONFIG_RAPIDIO_DEBUG is not set
+CONFIG_RAPIDIO_ENUM_BASIC=3Dm
+CONFIG_RAPIDIO_CHMAN=3Dm
+CONFIG_RAPIDIO_MPORT_CDEV=3Dm
+
+#
+# RapidIO Switch drivers
+#
+CONFIG_RAPIDIO_TSI57X=3Dm
+CONFIG_RAPIDIO_CPS_XX=3Dm
+CONFIG_RAPIDIO_TSI568=3Dm
+CONFIG_RAPIDIO_CPS_GEN2=3Dm
+CONFIG_RAPIDIO_RXS_GEN3=3Dm
+# end of RapidIO Switch drivers
+
+#
+# Generic Driver Options
+#
+CONFIG_UEVENT_HELPER=3Dy
+CONFIG_UEVENT_HELPER_PATH=3D""
+CONFIG_DEVTMPFS=3Dy
+CONFIG_DEVTMPFS_MOUNT=3Dy
+# CONFIG_STANDALONE is not set
+CONFIG_PREVENT_FIRMWARE_BUILD=3Dy
+
+#
+# Firmware loader
+#
+CONFIG_FW_LOADER=3Dy
+CONFIG_FW_LOADER_PAGED_BUF=3Dy
+CONFIG_EXTRA_FIRMWARE=3D""
+CONFIG_FW_LOADER_USER_HELPER=3Dy
+# CONFIG_FW_LOADER_USER_HELPER_FALLBACK is not set
+CONFIG_FW_LOADER_COMPRESS=3Dy
+# end of Firmware loader
+
+CONFIG_WANT_DEV_COREDUMP=3Dy
+CONFIG_ALLOW_DEV_COREDUMP=3Dy
+CONFIG_DEV_COREDUMP=3Dy
+# CONFIG_DEBUG_DRIVER is not set
+# CONFIG_DEBUG_DEVRES is not set
+# CONFIG_DEBUG_TEST_DRIVER_REMOVE is not set
+# CONFIG_TEST_ASYNC_DRIVER_PROBE is not set
+CONFIG_SYS_HYPERVISOR=3Dy
+CONFIG_GENERIC_CPU_AUTOPROBE=3Dy
+CONFIG_GENERIC_CPU_VULNERABILITIES=3Dy
+CONFIG_REGMAP=3Dy
+CONFIG_REGMAP_I2C=3Dy
+CONFIG_REGMAP_SPI=3Dy
+CONFIG_REGMAP_SPMI=3Dm
+CONFIG_REGMAP_W1=3Dm
+CONFIG_REGMAP_MMIO=3Dy
+CONFIG_REGMAP_IRQ=3Dy
+CONFIG_REGMAP_SCCB=3Dm
+CONFIG_REGMAP_I3C=3Dm
+CONFIG_DMA_SHARED_BUFFER=3Dy
+# CONFIG_DMA_FENCE_TRACE is not set
+# end of Generic Driver Options
+
+#
+# Bus devices
+#
+# end of Bus devices
+
+CONFIG_CONNECTOR=3Dy
+CONFIG_PROC_EVENTS=3Dy
+CONFIG_GNSS=3Dm
+CONFIG_GNSS_SERIAL=3Dm
+CONFIG_GNSS_MTK_SERIAL=3Dm
+CONFIG_GNSS_SIRF_SERIAL=3Dm
+CONFIG_GNSS_UBX_SERIAL=3Dm
+CONFIG_MTD=3Dm
+# CONFIG_MTD_TESTS is not set
+
+#
+# Partition parsers
+#
+CONFIG_MTD_AR7_PARTS=3Dm
+CONFIG_MTD_CMDLINE_PARTS=3Dm
+CONFIG_MTD_REDBOOT_PARTS=3Dm
+CONFIG_MTD_REDBOOT_DIRECTORY_BLOCK=3D-1
+# CONFIG_MTD_REDBOOT_PARTS_UNALLOCATED is not set
+# CONFIG_MTD_REDBOOT_PARTS_READONLY is not set
+# end of Partition parsers
+
+#
+# User Modules And Translation Layers
+#
+CONFIG_MTD_BLKDEVS=3Dm
+CONFIG_MTD_BLOCK=3Dm
+CONFIG_MTD_BLOCK_RO=3Dm
+CONFIG_FTL=3Dm
+CONFIG_NFTL=3Dm
+CONFIG_NFTL_RW=3Dy
+CONFIG_INFTL=3Dm
+CONFIG_RFD_FTL=3Dm
+CONFIG_SSFDC=3Dm
+CONFIG_SM_FTL=3Dm
+CONFIG_MTD_OOPS=3Dm
+CONFIG_MTD_SWAP=3Dm
+# CONFIG_MTD_PARTITIONED_MASTER is not set
+
+#
+# RAM/ROM/Flash chip drivers
+#
+CONFIG_MTD_CFI=3Dm
+CONFIG_MTD_JEDECPROBE=3Dm
+CONFIG_MTD_GEN_PROBE=3Dm
+# CONFIG_MTD_CFI_ADV_OPTIONS is not set
+CONFIG_MTD_MAP_BANK_WIDTH_1=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_2=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_4=3Dy
+CONFIG_MTD_CFI_I1=3Dy
+CONFIG_MTD_CFI_I2=3Dy
+CONFIG_MTD_CFI_INTELEXT=3Dm
+CONFIG_MTD_CFI_AMDSTD=3Dm
+CONFIG_MTD_CFI_STAA=3Dm
+CONFIG_MTD_CFI_UTIL=3Dm
+CONFIG_MTD_RAM=3Dm
+CONFIG_MTD_ROM=3Dm
+CONFIG_MTD_ABSENT=3Dm
+# end of RAM/ROM/Flash chip drivers
+
+#
+# Mapping drivers for chip access
+#
+CONFIG_MTD_COMPLEX_MAPPINGS=3Dy
+CONFIG_MTD_PHYSMAP=3Dm
+# CONFIG_MTD_PHYSMAP_COMPAT is not set
+CONFIG_MTD_PHYSMAP_GPIO_ADDR=3Dy
+CONFIG_MTD_SBC_GXX=3Dm
+CONFIG_MTD_SCx200_DOCFLASH=3Dm
+CONFIG_MTD_AMD76XROM=3Dm
+CONFIG_MTD_ICHXROM=3Dm
+CONFIG_MTD_ESB2ROM=3Dm
+CONFIG_MTD_CK804XROM=3Dm
+CONFIG_MTD_SCB2_FLASH=3Dm
+CONFIG_MTD_NETtel=3Dm
+CONFIG_MTD_L440GX=3Dm
+CONFIG_MTD_PCI=3Dm
+CONFIG_MTD_PCMCIA=3Dm
+# CONFIG_MTD_PCMCIA_ANONYMOUS is not set
+CONFIG_MTD_INTEL_VR_NOR=3Dm
+CONFIG_MTD_PLATRAM=3Dm
+# end of Mapping drivers for chip access
+
+#
+# Self-contained MTD device drivers
+#
+CONFIG_MTD_PMC551=3Dm
+# CONFIG_MTD_PMC551_BUGFIX is not set
+# CONFIG_MTD_PMC551_DEBUG is not set
+CONFIG_MTD_DATAFLASH=3Dm
+# CONFIG_MTD_DATAFLASH_WRITE_VERIFY is not set
+CONFIG_MTD_DATAFLASH_OTP=3Dy
+CONFIG_MTD_MCHP23K256=3Dm
+CONFIG_MTD_SST25L=3Dm
+CONFIG_MTD_SLRAM=3Dm
+CONFIG_MTD_PHRAM=3Dm
+CONFIG_MTD_MTDRAM=3Dm
+CONFIG_MTDRAM_TOTAL_SIZE=3D4096
+CONFIG_MTDRAM_ERASE_SIZE=3D128
+CONFIG_MTD_BLOCK2MTD=3Dm
+
+#
+# Disk-On-Chip Device Drivers
+#
+CONFIG_MTD_DOCG3=3Dm
+CONFIG_BCH_CONST_M=3D14
+CONFIG_BCH_CONST_T=3D4
+# end of Self-contained MTD device drivers
+
+CONFIG_MTD_NAND_CORE=3Dm
+CONFIG_MTD_ONENAND=3Dm
+CONFIG_MTD_ONENAND_VERIFY_WRITE=3Dy
+CONFIG_MTD_ONENAND_GENERIC=3Dm
+# CONFIG_MTD_ONENAND_OTP is not set
+CONFIG_MTD_ONENAND_2X_PROGRAM=3Dy
+CONFIG_MTD_NAND_ECC_SW_HAMMING=3Dm
+# CONFIG_MTD_NAND_ECC_SW_HAMMING_SMC is not set
+CONFIG_MTD_RAW_NAND=3Dm
+# CONFIG_MTD_NAND_ECC_SW_BCH is not set
+
+#
+# Raw/parallel NAND flash controllers
+#
+CONFIG_MTD_NAND_DENALI=3Dm
+CONFIG_MTD_NAND_DENALI_PCI=3Dm
+CONFIG_MTD_NAND_CAFE=3Dm
+CONFIG_MTD_NAND_CS553X=3Dm
+CONFIG_MTD_NAND_MXIC=3Dm
+CONFIG_MTD_NAND_GPIO=3Dm
+CONFIG_MTD_NAND_PLATFORM=3Dm
+
+#
+# Misc
+#
+CONFIG_MTD_SM_COMMON=3Dm
+CONFIG_MTD_NAND_NANDSIM=3Dm
+CONFIG_MTD_NAND_RICOH=3Dm
+CONFIG_MTD_NAND_DISKONCHIP=3Dm
+# CONFIG_MTD_NAND_DISKONCHIP_PROBE_ADVANCED is not set
+CONFIG_MTD_NAND_DISKONCHIP_PROBE_ADDRESS=3D0
+# CONFIG_MTD_NAND_DISKONCHIP_BBTWRITE is not set
+CONFIG_MTD_SPI_NAND=3Dm
+
+#
+# LPDDR & LPDDR2 PCM memory drivers
+#
+CONFIG_MTD_LPDDR=3Dm
+CONFIG_MTD_QINFO_PROBE=3Dm
+# end of LPDDR & LPDDR2 PCM memory drivers
+
+CONFIG_MTD_SPI_NOR=3Dm
+CONFIG_MTD_SPI_NOR_USE_4K_SECTORS=3Dy
+CONFIG_SPI_MTK_QUADSPI=3Dm
+CONFIG_SPI_INTEL_SPI=3Dm
+CONFIG_SPI_INTEL_SPI_PCI=3Dm
+CONFIG_SPI_INTEL_SPI_PLATFORM=3Dm
+CONFIG_MTD_UBI=3Dm
+CONFIG_MTD_UBI_WL_THRESHOLD=3D4096
+CONFIG_MTD_UBI_BEB_LIMIT=3D20
+CONFIG_MTD_UBI_FASTMAP=3Dy
+CONFIG_MTD_UBI_GLUEBI=3Dm
+CONFIG_MTD_UBI_BLOCK=3Dy
+CONFIG_MTD_HYPERBUS=3Dm
+# CONFIG_OF is not set
+CONFIG_ARCH_MIGHT_HAVE_PC_PARPORT=3Dy
+CONFIG_PARPORT=3Dm
+CONFIG_PARPORT_PC=3Dm
+CONFIG_PARPORT_SERIAL=3Dm
+CONFIG_PARPORT_PC_FIFO=3Dy
+# CONFIG_PARPORT_PC_SUPERIO is not set
+CONFIG_PARPORT_PC_PCMCIA=3Dm
+CONFIG_PARPORT_AX88796=3Dm
+CONFIG_PARPORT_1284=3Dy
+CONFIG_PARPORT_NOT_PC=3Dy
+CONFIG_PNP=3Dy
+# CONFIG_PNP_DEBUG_MESSAGES is not set
+
+#
+# Protocols
+#
+CONFIG_ISAPNP=3Dy
+CONFIG_PNPBIOS=3Dy
+CONFIG_PNPBIOS_PROC_FS=3Dy
+CONFIG_PNPACPI=3Dy
+CONFIG_BLK_DEV=3Dy
+CONFIG_BLK_DEV_NULL_BLK=3Dm
+CONFIG_BLK_DEV_FD=3Dm
+CONFIG_CDROM=3Dy
+CONFIG_PARIDE=3Dm
+
+#
+# Parallel IDE high-level drivers
+#
+CONFIG_PARIDE_PD=3Dm
+CONFIG_PARIDE_PCD=3Dm
+CONFIG_PARIDE_PF=3Dm
+CONFIG_PARIDE_PT=3Dm
+CONFIG_PARIDE_PG=3Dm
+
+#
+# Parallel IDE protocol modules
+#
+CONFIG_PARIDE_ATEN=3Dm
+CONFIG_PARIDE_BPCK=3Dm
+CONFIG_PARIDE_BPCK6=3Dm
+CONFIG_PARIDE_COMM=3Dm
+CONFIG_PARIDE_DSTR=3Dm
+CONFIG_PARIDE_FIT2=3Dm
+CONFIG_PARIDE_FIT3=3Dm
+CONFIG_PARIDE_EPAT=3Dm
+CONFIG_PARIDE_EPATC8=3Dy
+CONFIG_PARIDE_EPIA=3Dm
+CONFIG_PARIDE_FRIQ=3Dm
+CONFIG_PARIDE_FRPW=3Dm
+CONFIG_PARIDE_KBIC=3Dm
+CONFIG_PARIDE_KTTI=3Dm
+CONFIG_PARIDE_ON20=3Dm
+CONFIG_PARIDE_ON26=3Dm
+CONFIG_BLK_DEV_PCIESSD_MTIP32XX=3Dm
+CONFIG_ZRAM=3Dm
+# CONFIG_ZRAM_WRITEBACK is not set
+# CONFIG_ZRAM_MEMORY_TRACKING is not set
+CONFIG_BLK_DEV_UMEM=3Dm
+CONFIG_BLK_DEV_LOOP=3Dy
+CONFIG_BLK_DEV_LOOP_MIN_COUNT=3D8
+CONFIG_BLK_DEV_CRYPTOLOOP=3Dm
+CONFIG_BLK_DEV_DRBD=3Dm
+# CONFIG_DRBD_FAULT_INJECTION is not set
+CONFIG_BLK_DEV_NBD=3Dm
+CONFIG_BLK_DEV_SX8=3Dm
+CONFIG_BLK_DEV_RAM=3Dy
+CONFIG_BLK_DEV_RAM_COUNT=3D16
+CONFIG_BLK_DEV_RAM_SIZE=3D65536
+CONFIG_CDROM_PKTCDVD=3Dm
+CONFIG_CDROM_PKTCDVD_BUFFERS=3D8
+# CONFIG_CDROM_PKTCDVD_WCACHE is not set
+CONFIG_ATA_OVER_ETH=3Dm
+CONFIG_XEN_BLKDEV_FRONTEND=3Dy
+CONFIG_XEN_BLKDEV_BACKEND=3Dm
+CONFIG_VIRTIO_BLK=3Dy
+# CONFIG_VIRTIO_BLK_SCSI is not set
+CONFIG_BLK_DEV_RBD=3Dm
+CONFIG_BLK_DEV_RSXX=3Dm
+
+#
+# NVME Support
+#
+CONFIG_NVME_CORE=3Dy
+CONFIG_BLK_DEV_NVME=3Dy
+# CONFIG_NVME_MULTIPATH is not set
+CONFIG_NVME_FABRICS=3Dm
+CONFIG_NVME_RDMA=3Dm
+CONFIG_NVME_FC=3Dm
+CONFIG_NVME_TCP=3Dm
+CONFIG_NVME_TARGET=3Dm
+CONFIG_NVME_TARGET_LOOP=3Dm
+CONFIG_NVME_TARGET_RDMA=3Dm
+CONFIG_NVME_TARGET_FC=3Dm
+CONFIG_NVME_TARGET_FCLOOP=3Dm
+CONFIG_NVME_TARGET_TCP=3Dm
+# end of NVME Support
+
+#
+# Misc devices
+#
+CONFIG_SENSORS_LIS3LV02D=3Dm
+CONFIG_AD525X_DPOT=3Dm
+CONFIG_AD525X_DPOT_I2C=3Dm
+CONFIG_AD525X_DPOT_SPI=3Dm
+CONFIG_DUMMY_IRQ=3Dm
+CONFIG_IBM_ASM=3Dm
+CONFIG_PHANTOM=3Dm
+CONFIG_INTEL_MID_PTI=3Dm
+CONFIG_TIFM_CORE=3Dm
+CONFIG_TIFM_7XX1=3Dm
+CONFIG_ICS932S401=3Dm
+CONFIG_ENCLOSURE_SERVICES=3Dm
+# CONFIG_CS5535_MFGPT is not set
+CONFIG_HP_ILO=3Dm
+CONFIG_APDS9802ALS=3Dm
+CONFIG_ISL29003=3Dm
+CONFIG_ISL29020=3Dm
+CONFIG_SENSORS_TSL2550=3Dm
+CONFIG_SENSORS_BH1770=3Dm
+CONFIG_SENSORS_APDS990X=3Dm
+CONFIG_HMC6352=3Dm
+CONFIG_DS1682=3Dm
+CONFIG_VMWARE_BALLOON=3Dm
+CONFIG_PCH_PHUB=3Dm
+CONFIG_LATTICE_ECP3_CONFIG=3Dm
+CONFIG_SRAM=3Dy
+# CONFIG_PCI_ENDPOINT_TEST is not set
+CONFIG_XILINX_SDFEC=3Dm
+CONFIG_MISC_RTSX=3Dm
+CONFIG_PVPANIC=3Dm
+CONFIG_C2PORT=3Dm
+CONFIG_C2PORT_DURAMAR_2150=3Dm
+
+#
+# EEPROM support
+#
+CONFIG_EEPROM_AT24=3Dm
+CONFIG_EEPROM_AT25=3Dm
+CONFIG_EEPROM_LEGACY=3Dm
+CONFIG_EEPROM_MAX6875=3Dm
+CONFIG_EEPROM_93CX6=3Dm
+CONFIG_EEPROM_93XX46=3Dm
+CONFIG_EEPROM_IDT_89HPESX=3Dm
+CONFIG_EEPROM_EE1004=3Dm
+# end of EEPROM support
+
+CONFIG_CB710_CORE=3Dm
+# CONFIG_CB710_DEBUG is not set
+CONFIG_CB710_DEBUG_ASSUMPTIONS=3Dy
+
+#
+# Texas Instruments shared transport line discipline
+#
+CONFIG_TI_ST=3Dm
+# end of Texas Instruments shared transport line discipline
+
+CONFIG_SENSORS_LIS3_I2C=3Dm
+CONFIG_ALTERA_STAPL=3Dm
+# CONFIG_INTEL_MEI is not set
+# CONFIG_INTEL_MEI_ME is not set
+# CONFIG_INTEL_MEI_TXE is not set
+# CONFIG_INTEL_MEI_HDCP is not set
+CONFIG_VMWARE_VMCI=3Dm
+
+#
+# Intel MIC & related support
+#
+
+#
+# Intel MIC Bus Driver
+#
+
+#
+# SCIF Bus Driver
+#
+
+#
+# VOP Bus Driver
+#
+CONFIG_VOP_BUS=3Dm
+
+#
+# Intel MIC Host Driver
+#
+
+#
+# Intel MIC Card Driver
+#
+
+#
+# SCIF Driver
+#
+
+#
+# Intel MIC Coprocessor State Management (COSM) Drivers
+#
+
+#
+# VOP Driver
+#
+CONFIG_VOP=3Dm
+CONFIG_VHOST_RING=3Dm
+# end of Intel MIC & related support
+
+CONFIG_ECHO=3Dm
+CONFIG_MISC_ALCOR_PCI=3Dm
+CONFIG_MISC_RTSX_PCI=3Dm
+CONFIG_MISC_RTSX_USB=3Dm
+CONFIG_HABANA_AI=3Dm
+# end of Misc devices
+
+CONFIG_HAVE_IDE=3Dy
+# CONFIG_IDE is not set
+
+#
+# SCSI device support
+#
+CONFIG_SCSI_MOD=3Dy
+CONFIG_RAID_ATTRS=3Dm
+CONFIG_SCSI=3Dy
+CONFIG_SCSI_DMA=3Dy
+CONFIG_SCSI_NETLINK=3Dy
+CONFIG_SCSI_PROC_FS=3Dy
+
+#
+# SCSI support type (disk, tape, CD-ROM)
+#
+CONFIG_BLK_DEV_SD=3Dy
+CONFIG_CHR_DEV_ST=3Dm
+CONFIG_BLK_DEV_SR=3Dy
+# CONFIG_BLK_DEV_SR_VENDOR is not set
+CONFIG_CHR_DEV_SG=3Dy
+CONFIG_CHR_DEV_SCH=3Dm
+CONFIG_SCSI_ENCLOSURE=3Dm
+CONFIG_SCSI_CONSTANTS=3Dy
+CONFIG_SCSI_LOGGING=3Dy
+CONFIG_SCSI_SCAN_ASYNC=3Dy
+
+#
+# SCSI Transports
+#
+CONFIG_SCSI_SPI_ATTRS=3Dm
+CONFIG_SCSI_FC_ATTRS=3Dm
+CONFIG_SCSI_ISCSI_ATTRS=3Dm
+CONFIG_SCSI_SAS_ATTRS=3Dm
+CONFIG_SCSI_SAS_LIBSAS=3Dm
+CONFIG_SCSI_SAS_ATA=3Dy
+CONFIG_SCSI_SAS_HOST_SMP=3Dy
+CONFIG_SCSI_SRP_ATTRS=3Dm
+# end of SCSI Transports
+
+CONFIG_SCSI_LOWLEVEL=3Dy
+CONFIG_ISCSI_TCP=3Dm
+CONFIG_ISCSI_BOOT_SYSFS=3Dm
+CONFIG_SCSI_CXGB3_ISCSI=3Dm
+CONFIG_SCSI_CXGB4_ISCSI=3Dm
+CONFIG_SCSI_BNX2_ISCSI=3Dm
+CONFIG_SCSI_BNX2X_FCOE=3Dm
+CONFIG_BE2ISCSI=3Dm
+CONFIG_BLK_DEV_3W_XXXX_RAID=3Dm
+CONFIG_SCSI_HPSA=3Dm
+CONFIG_SCSI_3W_9XXX=3Dm
+CONFIG_SCSI_3W_SAS=3Dm
+CONFIG_SCSI_ACARD=3Dm
+CONFIG_SCSI_AHA152X=3Dm
+CONFIG_SCSI_AHA1542=3Dm
+CONFIG_SCSI_AHA1740=3Dm
+CONFIG_SCSI_AACRAID=3Dm
+CONFIG_SCSI_AIC7XXX=3Dm
+CONFIG_AIC7XXX_CMDS_PER_DEVICE=3D8
+CONFIG_AIC7XXX_RESET_DELAY_MS=3D5000
+# CONFIG_AIC7XXX_DEBUG_ENABLE is not set
+CONFIG_AIC7XXX_DEBUG_MASK=3D0
+CONFIG_AIC7XXX_REG_PRETTY_PRINT=3Dy
+CONFIG_SCSI_AIC79XX=3Dm
+CONFIG_AIC79XX_CMDS_PER_DEVICE=3D32
+CONFIG_AIC79XX_RESET_DELAY_MS=3D5000
+# CONFIG_AIC79XX_DEBUG_ENABLE is not set
+CONFIG_AIC79XX_DEBUG_MASK=3D0
+CONFIG_AIC79XX_REG_PRETTY_PRINT=3Dy
+CONFIG_SCSI_AIC94XX=3Dm
+# CONFIG_AIC94XX_DEBUG is not set
+CONFIG_SCSI_MVSAS=3Dm
+# CONFIG_SCSI_MVSAS_DEBUG is not set
+# CONFIG_SCSI_MVSAS_TASKLET is not set
+CONFIG_SCSI_MVUMI=3Dm
+CONFIG_SCSI_DPT_I2O=3Dm
+CONFIG_SCSI_ADVANSYS=3Dm
+CONFIG_SCSI_ARCMSR=3Dm
+CONFIG_SCSI_ESAS2R=3Dm
+CONFIG_MEGARAID_NEWGEN=3Dy
+CONFIG_MEGARAID_MM=3Dm
+CONFIG_MEGARAID_MAILBOX=3Dm
+CONFIG_MEGARAID_LEGACY=3Dm
+CONFIG_MEGARAID_SAS=3Dm
+CONFIG_SCSI_MPT3SAS=3Dm
+CONFIG_SCSI_MPT2SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT3SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT2SAS=3Dm
+CONFIG_SCSI_SMARTPQI=3Dm
+CONFIG_SCSI_UFSHCD=3Dm
+CONFIG_SCSI_UFSHCD_PCI=3Dm
+# CONFIG_SCSI_UFS_DWC_TC_PCI is not set
+CONFIG_SCSI_UFSHCD_PLATFORM=3Dm
+CONFIG_SCSI_UFS_CDNS_PLATFORM=3Dm
+# CONFIG_SCSI_UFS_DWC_TC_PLATFORM is not set
+# CONFIG_SCSI_UFS_BSG is not set
+CONFIG_SCSI_HPTIOP=3Dm
+CONFIG_SCSI_BUSLOGIC=3Dm
+CONFIG_SCSI_FLASHPOINT=3Dy
+CONFIG_SCSI_MYRB=3Dm
+CONFIG_SCSI_MYRS=3Dm
+CONFIG_VMWARE_PVSCSI=3Dm
+CONFIG_XEN_SCSI_FRONTEND=3Dm
+CONFIG_HYPERV_STORAGE=3Dm
+CONFIG_LIBFC=3Dm
+CONFIG_LIBFCOE=3Dm
+CONFIG_FCOE=3Dm
+CONFIG_FCOE_FNIC=3Dm
+CONFIG_SCSI_SNIC=3Dm
+# CONFIG_SCSI_SNIC_DEBUG_FS is not set
+CONFIG_SCSI_DMX3191D=3Dm
+CONFIG_SCSI_FDOMAIN=3Dm
+CONFIG_SCSI_FDOMAIN_PCI=3Dm
+CONFIG_SCSI_FDOMAIN_ISA=3Dm
+CONFIG_SCSI_GDTH=3Dm
+CONFIG_SCSI_ISCI=3Dm
+CONFIG_SCSI_GENERIC_NCR5380=3Dm
+CONFIG_SCSI_IPS=3Dm
+CONFIG_SCSI_INITIO=3Dm
+CONFIG_SCSI_INIA100=3Dm
+CONFIG_SCSI_PPA=3Dm
+CONFIG_SCSI_IMM=3Dm
+# CONFIG_SCSI_IZIP_EPP16 is not set
+# CONFIG_SCSI_IZIP_SLOW_CTR is not set
+CONFIG_SCSI_STEX=3Dm
+CONFIG_SCSI_SYM53C8XX_2=3Dm
+CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE=3D1
+CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS=3D16
+CONFIG_SCSI_SYM53C8XX_MAX_TAGS=3D64
+CONFIG_SCSI_SYM53C8XX_MMIO=3Dy
+CONFIG_SCSI_IPR=3Dm
+CONFIG_SCSI_IPR_TRACE=3Dy
+CONFIG_SCSI_IPR_DUMP=3Dy
+CONFIG_SCSI_QLOGIC_FAS=3Dm
+CONFIG_SCSI_QLOGIC_1280=3Dm
+CONFIG_SCSI_QLA_FC=3Dm
+CONFIG_TCM_QLA2XXX=3Dm
+# CONFIG_TCM_QLA2XXX_DEBUG is not set
+CONFIG_SCSI_QLA_ISCSI=3Dm
+CONFIG_QEDI=3Dm
+CONFIG_QEDF=3Dm
+CONFIG_SCSI_LPFC=3Dm
+# CONFIG_SCSI_LPFC_DEBUG_FS is not set
+CONFIG_SCSI_SIM710=3Dm
+CONFIG_SCSI_DC395x=3Dm
+CONFIG_SCSI_AM53C974=3Dm
+CONFIG_SCSI_NSP32=3Dm
+CONFIG_SCSI_WD719X=3Dm
+CONFIG_SCSI_DEBUG=3Dm
+CONFIG_SCSI_PMCRAID=3Dm
+CONFIG_SCSI_PM8001=3Dm
+CONFIG_SCSI_BFA_FC=3Dm
+CONFIG_SCSI_VIRTIO=3Dm
+CONFIG_SCSI_CHELSIO_FCOE=3Dm
+CONFIG_SCSI_LOWLEVEL_PCMCIA=3Dy
+CONFIG_PCMCIA_AHA152X=3Dm
+CONFIG_PCMCIA_FDOMAIN=3Dm
+CONFIG_PCMCIA_NINJA_SCSI=3Dm
+CONFIG_PCMCIA_QLOGIC=3Dm
+CONFIG_PCMCIA_SYM53C500=3Dm
+CONFIG_SCSI_DH=3Dy
+CONFIG_SCSI_DH_RDAC=3Dm
+CONFIG_SCSI_DH_HP_SW=3Dm
+CONFIG_SCSI_DH_EMC=3Dm
+CONFIG_SCSI_DH_ALUA=3Dm
+# end of SCSI device support
+
+CONFIG_ATA=3Dy
+CONFIG_ATA_VERBOSE_ERROR=3Dy
+CONFIG_ATA_ACPI=3Dy
+CONFIG_SATA_ZPODD=3Dy
+CONFIG_SATA_PMP=3Dy
+
+#
+# Controllers with non-SFF native interface
+#
+CONFIG_SATA_AHCI=3Dm
+CONFIG_SATA_MOBILE_LPM_POLICY=3D0
+CONFIG_SATA_AHCI_PLATFORM=3Dm
+CONFIG_SATA_INIC162X=3Dm
+CONFIG_SATA_ACARD_AHCI=3Dm
+CONFIG_SATA_SIL24=3Dm
+CONFIG_ATA_SFF=3Dy
+
+#
+# SFF controllers with custom DMA interface
+#
+CONFIG_PDC_ADMA=3Dm
+CONFIG_SATA_QSTOR=3Dm
+CONFIG_SATA_SX4=3Dm
+CONFIG_ATA_BMDMA=3Dy
+
+#
+# SATA SFF controllers with BMDMA
+#
+CONFIG_ATA_PIIX=3Dy
+CONFIG_SATA_DWC=3Dm
+# CONFIG_SATA_DWC_OLD_DMA is not set
+# CONFIG_SATA_DWC_DEBUG is not set
+CONFIG_SATA_MV=3Dm
+CONFIG_SATA_NV=3Dm
+CONFIG_SATA_PROMISE=3Dm
+CONFIG_SATA_SIL=3Dm
+CONFIG_SATA_SIS=3Dm
+CONFIG_SATA_SVW=3Dm
+CONFIG_SATA_ULI=3Dm
+CONFIG_SATA_VIA=3Dm
+CONFIG_SATA_VITESSE=3Dm
+
+#
+# PATA SFF controllers with BMDMA
+#
+CONFIG_PATA_ALI=3Dm
+CONFIG_PATA_AMD=3Dm
+CONFIG_PATA_ARTOP=3Dm
+CONFIG_PATA_ATIIXP=3Dm
+CONFIG_PATA_ATP867X=3Dm
+CONFIG_PATA_CMD64X=3Dm
+CONFIG_PATA_CS5520=3Dm
+CONFIG_PATA_CS5530=3Dm
+CONFIG_PATA_CS5535=3Dm
+CONFIG_PATA_CS5536=3Dm
+CONFIG_PATA_CYPRESS=3Dm
+CONFIG_PATA_EFAR=3Dm
+CONFIG_PATA_HPT366=3Dm
+CONFIG_PATA_HPT37X=3Dm
+CONFIG_PATA_HPT3X2N=3Dm
+CONFIG_PATA_HPT3X3=3Dm
+# CONFIG_PATA_HPT3X3_DMA is not set
+CONFIG_PATA_IT8213=3Dm
+CONFIG_PATA_IT821X=3Dm
+CONFIG_PATA_JMICRON=3Dm
+CONFIG_PATA_MARVELL=3Dm
+CONFIG_PATA_NETCELL=3Dm
+CONFIG_PATA_NINJA32=3Dm
+CONFIG_PATA_NS87415=3Dm
+CONFIG_PATA_OLDPIIX=3Dm
+CONFIG_PATA_OPTIDMA=3Dm
+CONFIG_PATA_PDC2027X=3Dm
+CONFIG_PATA_PDC_OLD=3Dm
+CONFIG_PATA_RADISYS=3Dm
+CONFIG_PATA_RDC=3Dm
+CONFIG_PATA_SC1200=3Dm
+CONFIG_PATA_SCH=3Dm
+CONFIG_PATA_SERVERWORKS=3Dm
+CONFIG_PATA_SIL680=3Dm
+CONFIG_PATA_SIS=3Dy
+CONFIG_PATA_TOSHIBA=3Dm
+CONFIG_PATA_TRIFLEX=3Dm
+CONFIG_PATA_VIA=3Dm
+CONFIG_PATA_WINBOND=3Dm
+
+#
+# PIO-only SFF controllers
+#
+CONFIG_PATA_CMD640_PCI=3Dm
+CONFIG_PATA_ISAPNP=3Dm
+CONFIG_PATA_MPIIX=3Dm
+CONFIG_PATA_NS87410=3Dm
+CONFIG_PATA_OPTI=3Dm
+CONFIG_PATA_PCMCIA=3Dm
+CONFIG_PATA_PLATFORM=3Dm
+CONFIG_PATA_QDI=3Dm
+CONFIG_PATA_RZ1000=3Dm
+CONFIG_PATA_WINBOND_VLB=3Dm
+
+#
+# Generic fallback / legacy drivers
+#
+CONFIG_PATA_ACPI=3Dm
+CONFIG_ATA_GENERIC=3Dy
+CONFIG_PATA_LEGACY=3Dm
+CONFIG_MD=3Dy
+CONFIG_BLK_DEV_MD=3Dy
+CONFIG_MD_AUTODETECT=3Dy
+CONFIG_MD_LINEAR=3Dm
+CONFIG_MD_RAID0=3Dm
+CONFIG_MD_RAID1=3Dm
+CONFIG_MD_RAID10=3Dm
+CONFIG_MD_RAID456=3Dm
+CONFIG_MD_MULTIPATH=3Dm
+CONFIG_MD_FAULTY=3Dm
+CONFIG_MD_CLUSTER=3Dm
+CONFIG_BCACHE=3Dm
+# CONFIG_BCACHE_DEBUG is not set
+# CONFIG_BCACHE_CLOSURES_DEBUG is not set
+CONFIG_BLK_DEV_DM_BUILTIN=3Dy
+CONFIG_BLK_DEV_DM=3Dy
+# CONFIG_DM_DEBUG is not set
+CONFIG_DM_BUFIO=3Dm
+# CONFIG_DM_DEBUG_BLOCK_MANAGER_LOCKING is not set
+CONFIG_DM_BIO_PRISON=3Dm
+CONFIG_DM_PERSISTENT_DATA=3Dm
+CONFIG_DM_UNSTRIPED=3Dm
+CONFIG_DM_CRYPT=3Dm
+CONFIG_DM_SNAPSHOT=3Dm
+CONFIG_DM_THIN_PROVISIONING=3Dm
+CONFIG_DM_CACHE=3Dm
+CONFIG_DM_CACHE_SMQ=3Dm
+CONFIG_DM_WRITECACHE=3Dm
+CONFIG_DM_ERA=3Dm
+CONFIG_DM_CLONE=3Dm
+CONFIG_DM_MIRROR=3Dm
+CONFIG_DM_LOG_USERSPACE=3Dm
+CONFIG_DM_RAID=3Dm
+CONFIG_DM_ZERO=3Dm
+CONFIG_DM_MULTIPATH=3Dm
+CONFIG_DM_MULTIPATH_QL=3Dm
+CONFIG_DM_MULTIPATH_ST=3Dm
+CONFIG_DM_DELAY=3Dm
+CONFIG_DM_DUST=3Dm
+# CONFIG_DM_INIT is not set
+CONFIG_DM_UEVENT=3Dy
+CONFIG_DM_FLAKEY=3Dm
+CONFIG_DM_VERITY=3Dm
+CONFIG_DM_VERITY_VERIFY_ROOTHASH_SIG=3Dy
+# CONFIG_DM_VERITY_FEC is not set
+CONFIG_DM_SWITCH=3Dm
+CONFIG_DM_LOG_WRITES=3Dm
+CONFIG_DM_INTEGRITY=3Dm
+CONFIG_DM_ZONED=3Dm
+CONFIG_TARGET_CORE=3Dm
+CONFIG_TCM_IBLOCK=3Dm
+CONFIG_TCM_FILEIO=3Dm
+CONFIG_TCM_PSCSI=3Dm
+CONFIG_TCM_USER2=3Dm
+CONFIG_LOOPBACK_TARGET=3Dm
+CONFIG_TCM_FC=3Dm
+CONFIG_ISCSI_TARGET=3Dm
+CONFIG_ISCSI_TARGET_CXGB4=3Dm
+CONFIG_SBP_TARGET=3Dm
+CONFIG_FUSION=3Dy
+CONFIG_FUSION_SPI=3Dm
+CONFIG_FUSION_FC=3Dm
+CONFIG_FUSION_SAS=3Dm
+CONFIG_FUSION_MAX_SGE=3D128
+CONFIG_FUSION_CTL=3Dm
+CONFIG_FUSION_LAN=3Dm
+CONFIG_FUSION_LOGGING=3Dy
+
+#
+# IEEE 1394 (FireWire) support
+#
+CONFIG_FIREWIRE=3Dm
+CONFIG_FIREWIRE_OHCI=3Dm
+CONFIG_FIREWIRE_SBP2=3Dm
+CONFIG_FIREWIRE_NET=3Dm
+CONFIG_FIREWIRE_NOSY=3Dm
+# end of IEEE 1394 (FireWire) support
+
+CONFIG_MACINTOSH_DRIVERS=3Dy
+CONFIG_MAC_EMUMOUSEBTN=3Dm
+CONFIG_NETDEVICES=3Dy
+CONFIG_MII=3Dm
+CONFIG_NET_CORE=3Dy
+CONFIG_BONDING=3Dm
+CONFIG_DUMMY=3Dm
+CONFIG_EQUALIZER=3Dm
+CONFIG_NET_FC=3Dy
+CONFIG_IFB=3Dm
+CONFIG_NET_TEAM=3Dm
+CONFIG_NET_TEAM_MODE_BROADCAST=3Dm
+CONFIG_NET_TEAM_MODE_ROUNDROBIN=3Dm
+CONFIG_NET_TEAM_MODE_RANDOM=3Dm
+CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=3Dm
+CONFIG_NET_TEAM_MODE_LOADBALANCE=3Dm
+CONFIG_MACVLAN=3Dm
+CONFIG_MACVTAP=3Dm
+CONFIG_IPVLAN_L3S=3Dy
+CONFIG_IPVLAN=3Dm
+CONFIG_IPVTAP=3Dm
+CONFIG_VXLAN=3Dm
+CONFIG_GENEVE=3Dm
+CONFIG_GTP=3Dm
+CONFIG_MACSEC=3Dm
+CONFIG_NETCONSOLE=3Dm
+CONFIG_NETCONSOLE_DYNAMIC=3Dy
+CONFIG_NETPOLL=3Dy
+CONFIG_NET_POLL_CONTROLLER=3Dy
+CONFIG_NTB_NETDEV=3Dm
+CONFIG_RIONET=3Dm
+CONFIG_RIONET_TX_SIZE=3D128
+CONFIG_RIONET_RX_SIZE=3D128
+CONFIG_TUN=3Dy
+CONFIG_TAP=3Dm
+# CONFIG_TUN_VNET_CROSS_LE is not set
+CONFIG_VETH=3Dm
+CONFIG_VIRTIO_NET=3Dy
+CONFIG_NLMON=3Dm
+CONFIG_NET_VRF=3Dm
+CONFIG_VSOCKMON=3Dm
+CONFIG_SUNGEM_PHY=3Dm
+CONFIG_ARCNET=3Dm
+CONFIG_ARCNET_1201=3Dm
+CONFIG_ARCNET_1051=3Dm
+CONFIG_ARCNET_RAW=3Dm
+CONFIG_ARCNET_CAP=3Dm
+CONFIG_ARCNET_COM90xx=3Dm
+CONFIG_ARCNET_COM90xxIO=3Dm
+CONFIG_ARCNET_RIM_I=3Dm
+CONFIG_ARCNET_COM20020=3Dm
+CONFIG_ARCNET_COM20020_ISA=3Dm
+CONFIG_ARCNET_COM20020_PCI=3Dm
+CONFIG_ARCNET_COM20020_CS=3Dm
+CONFIG_ATM_DRIVERS=3Dy
+CONFIG_ATM_DUMMY=3Dm
+CONFIG_ATM_TCP=3Dm
+CONFIG_ATM_LANAI=3Dm
+CONFIG_ATM_ENI=3Dm
+# CONFIG_ATM_ENI_DEBUG is not set
+# CONFIG_ATM_ENI_TUNE_BURST is not set
+CONFIG_ATM_FIRESTREAM=3Dm
+CONFIG_ATM_ZATM=3Dm
+# CONFIG_ATM_ZATM_DEBUG is not set
+CONFIG_ATM_NICSTAR=3Dm
+# CONFIG_ATM_NICSTAR_USE_SUNI is not set
+# CONFIG_ATM_NICSTAR_USE_IDT77105 is not set
+CONFIG_ATM_IDT77252=3Dm
+# CONFIG_ATM_IDT77252_DEBUG is not set
+# CONFIG_ATM_IDT77252_RCV_ALL is not set
+CONFIG_ATM_IDT77252_USE_SUNI=3Dy
+CONFIG_ATM_AMBASSADOR=3Dm
+# CONFIG_ATM_AMBASSADOR_DEBUG is not set
+CONFIG_ATM_HORIZON=3Dm
+# CONFIG_ATM_HORIZON_DEBUG is not set
+CONFIG_ATM_IA=3Dm
+# CONFIG_ATM_IA_DEBUG is not set
+CONFIG_ATM_FORE200E=3Dm
+# CONFIG_ATM_FORE200E_USE_TASKLET is not set
+CONFIG_ATM_FORE200E_TX_RETRY=3D16
+CONFIG_ATM_FORE200E_DEBUG=3D0
+CONFIG_ATM_HE=3Dm
+CONFIG_ATM_HE_USE_SUNI=3Dy
+CONFIG_ATM_SOLOS=3Dm
+
+#
+# CAIF transport drivers
+#
+CONFIG_CAIF_TTY=3Dm
+CONFIG_CAIF_SPI_SLAVE=3Dm
+# CONFIG_CAIF_SPI_SYNC is not set
+CONFIG_CAIF_HSI=3Dm
+CONFIG_CAIF_VIRTIO=3Dm
+
+#
+# Distributed Switch Architecture drivers
+#
+CONFIG_B53=3Dm
+CONFIG_B53_SPI_DRIVER=3Dm
+CONFIG_B53_MDIO_DRIVER=3Dm
+CONFIG_B53_MMAP_DRIVER=3Dm
+CONFIG_B53_SRAB_DRIVER=3Dm
+CONFIG_B53_SERDES=3Dm
+CONFIG_NET_DSA_BCM_SF2=3Dm
+# CONFIG_NET_DSA_LOOP is not set
+CONFIG_NET_DSA_LANTIQ_GSWIP=3Dm
+CONFIG_NET_DSA_MT7530=3Dm
+CONFIG_NET_DSA_MV88E6060=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ_COMMON=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ9477=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ9477_I2C=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ9477_SPI=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ8795=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ8795_SPI=3Dm
+CONFIG_NET_DSA_MV88E6XXX=3Dm
+CONFIG_NET_DSA_MV88E6XXX_GLOBAL2=3Dy
+# CONFIG_NET_DSA_MV88E6XXX_PTP is not set
+CONFIG_NET_DSA_SJA1105=3Dm
+CONFIG_NET_DSA_SJA1105_PTP=3Dy
+# CONFIG_NET_DSA_SJA1105_TAS is not set
+CONFIG_NET_DSA_QCA8K=3Dm
+CONFIG_NET_DSA_REALTEK_SMI=3Dm
+CONFIG_NET_DSA_SMSC_LAN9303=3Dm
+CONFIG_NET_DSA_SMSC_LAN9303_I2C=3Dm
+CONFIG_NET_DSA_SMSC_LAN9303_MDIO=3Dm
+# end of Distributed Switch Architecture drivers
+
+CONFIG_ETHERNET=3Dy
+CONFIG_MDIO=3Dm
+CONFIG_NET_VENDOR_3COM=3Dy
+CONFIG_EL3=3Dm
+CONFIG_3C515=3Dm
+CONFIG_PCMCIA_3C574=3Dm
+CONFIG_PCMCIA_3C589=3Dm
+CONFIG_VORTEX=3Dm
+CONFIG_TYPHOON=3Dm
+CONFIG_NET_VENDOR_ADAPTEC=3Dy
+CONFIG_ADAPTEC_STARFIRE=3Dm
+CONFIG_NET_VENDOR_AGERE=3Dy
+CONFIG_ET131X=3Dm
+CONFIG_NET_VENDOR_ALACRITECH=3Dy
+CONFIG_SLICOSS=3Dm
+CONFIG_NET_VENDOR_ALTEON=3Dy
+CONFIG_ACENIC=3Dm
+# CONFIG_ACENIC_OMIT_TIGON_I is not set
+CONFIG_ALTERA_TSE=3Dm
+CONFIG_NET_VENDOR_AMAZON=3Dy
+CONFIG_ENA_ETHERNET=3Dm
+CONFIG_NET_VENDOR_AMD=3Dy
+CONFIG_AMD8111_ETH=3Dm
+CONFIG_LANCE=3Dm
+CONFIG_PCNET32=3Dm
+CONFIG_PCMCIA_NMCLAN=3Dm
+CONFIG_NI65=3Dm
+CONFIG_AMD_XGBE=3Dm
+# CONFIG_AMD_XGBE_DCB is not set
+CONFIG_AMD_XGBE_HAVE_ECC=3Dy
+CONFIG_NET_VENDOR_AQUANTIA=3Dy
+CONFIG_NET_VENDOR_ARC=3Dy
+CONFIG_NET_VENDOR_ATHEROS=3Dy
+CONFIG_ATL2=3Dm
+CONFIG_ATL1=3Dm
+CONFIG_ATL1E=3Dm
+CONFIG_ATL1C=3Dm
+CONFIG_ALX=3Dm
+CONFIG_NET_VENDOR_AURORA=3Dy
+CONFIG_AURORA_NB8800=3Dm
+CONFIG_NET_VENDOR_BROADCOM=3Dy
+CONFIG_B44=3Dm
+CONFIG_B44_PCI_AUTOSELECT=3Dy
+CONFIG_B44_PCICORE_AUTOSELECT=3Dy
+CONFIG_B44_PCI=3Dy
+CONFIG_BCMGENET=3Dm
+CONFIG_BNX2=3Dm
+CONFIG_CNIC=3Dm
+CONFIG_TIGON3=3Dm
+CONFIG_TIGON3_HWMON=3Dy
+CONFIG_BNX2X=3Dm
+CONFIG_BNX2X_SRIOV=3Dy
+# CONFIG_SYSTEMPORT is not set
+CONFIG_BNXT=3Dm
+CONFIG_BNXT_SRIOV=3Dy
+CONFIG_BNXT_FLOWER_OFFLOAD=3Dy
+# CONFIG_BNXT_DCB is not set
+CONFIG_BNXT_HWMON=3Dy
+CONFIG_NET_VENDOR_BROCADE=3Dy
+CONFIG_BNA=3Dm
+CONFIG_NET_VENDOR_CADENCE=3Dy
+CONFIG_MACB=3Dm
+CONFIG_MACB_USE_HWSTAMP=3Dy
+CONFIG_MACB_PCI=3Dm
+CONFIG_NET_VENDOR_CAVIUM=3Dy
+CONFIG_NET_VENDOR_CHELSIO=3Dy
+CONFIG_CHELSIO_T1=3Dm
+CONFIG_CHELSIO_T1_1G=3Dy
+CONFIG_CHELSIO_T3=3Dm
+CONFIG_CHELSIO_T4=3Dm
+CONFIG_CHELSIO_T4_DCB=3Dy
+CONFIG_CHELSIO_T4_FCOE=3Dy
+CONFIG_CHELSIO_T4VF=3Dm
+CONFIG_CHELSIO_LIB=3Dm
+CONFIG_NET_VENDOR_CIRRUS=3Dy
+CONFIG_CS89x0=3Dm
+CONFIG_CS89x0_PLATFORM=3Dy
+CONFIG_NET_VENDOR_CISCO=3Dy
+CONFIG_ENIC=3Dm
+# CONFIG_NET_VENDOR_CORTINA is not set
+CONFIG_CX_ECAT=3Dm
+CONFIG_DNET=3Dm
+CONFIG_NET_VENDOR_DEC=3Dy
+CONFIG_NET_TULIP=3Dy
+CONFIG_DE2104X=3Dm
+CONFIG_DE2104X_DSL=3D0
+CONFIG_TULIP=3Dm
+# CONFIG_TULIP_MWI is not set
+# CONFIG_TULIP_MMIO is not set
+# CONFIG_TULIP_NAPI is not set
+CONFIG_DE4X5=3Dm
+CONFIG_WINBOND_840=3Dm
+CONFIG_DM9102=3Dm
+CONFIG_ULI526X=3Dm
+CONFIG_PCMCIA_XIRCOM=3Dm
+CONFIG_NET_VENDOR_DLINK=3Dy
+CONFIG_DL2K=3Dm
+CONFIG_SUNDANCE=3Dm
+# CONFIG_SUNDANCE_MMIO is not set
+CONFIG_NET_VENDOR_EMULEX=3Dy
+CONFIG_BE2NET=3Dm
+CONFIG_BE2NET_HWMON=3Dy
+CONFIG_BE2NET_BE2=3Dy
+CONFIG_BE2NET_BE3=3Dy
+CONFIG_BE2NET_LANCER=3Dy
+CONFIG_BE2NET_SKYHAWK=3Dy
+CONFIG_NET_VENDOR_EZCHIP=3Dy
+CONFIG_NET_VENDOR_FUJITSU=3Dy
+CONFIG_PCMCIA_FMVJ18X=3Dm
+CONFIG_NET_VENDOR_GOOGLE=3Dy
+CONFIG_GVE=3Dm
+CONFIG_NET_VENDOR_HP=3Dy
+CONFIG_HP100=3Dm
+CONFIG_NET_VENDOR_HUAWEI=3Dy
+CONFIG_HINIC=3Dm
+CONFIG_NET_VENDOR_I825XX=3Dy
+CONFIG_NET_VENDOR_INTEL=3Dy
+CONFIG_E100=3Dm
+CONFIG_E1000=3Dm
+CONFIG_E1000E=3Dm
+CONFIG_E1000E_HWTS=3Dy
+CONFIG_IGB=3Dm
+CONFIG_IGB_HWMON=3Dy
+CONFIG_IGBVF=3Dm
+CONFIG_IXGB=3Dm
+CONFIG_IXGBE=3Dm
+CONFIG_IXGBE_HWMON=3Dy
+CONFIG_IXGBE_DCB=3Dy
+CONFIG_IXGBE_IPSEC=3Dy
+CONFIG_IXGBEVF=3Dm
+CONFIG_IXGBEVF_IPSEC=3Dy
+CONFIG_I40E=3Dm
+CONFIG_I40E_DCB=3Dy
+CONFIG_IAVF=3Dm
+CONFIG_I40EVF=3Dm
+CONFIG_ICE=3Dm
+CONFIG_FM10K=3Dm
+CONFIG_IGC=3Dm
+CONFIG_JME=3Dm
+CONFIG_NET_VENDOR_MARVELL=3Dy
+CONFIG_MVMDIO=3Dm
+CONFIG_SKGE=3Dm
+# CONFIG_SKGE_DEBUG is not set
+CONFIG_SKGE_GENESIS=3Dy
+CONFIG_SKY2=3Dm
+# CONFIG_SKY2_DEBUG is not set
+CONFIG_NET_VENDOR_MELLANOX=3Dy
+CONFIG_MLX4_EN=3Dm
+CONFIG_MLX4_EN_DCB=3Dy
+CONFIG_MLX4_CORE=3Dm
+CONFIG_MLX4_DEBUG=3Dy
+CONFIG_MLX4_CORE_GEN2=3Dy
+CONFIG_MLX5_CORE=3Dm
+# CONFIG_MLX5_FPGA is not set
+CONFIG_MLX5_CORE_EN=3Dy
+CONFIG_MLX5_EN_ARFS=3Dy
+CONFIG_MLX5_EN_RXNFC=3Dy
+CONFIG_MLX5_MPFS=3Dy
+CONFIG_MLX5_ESWITCH=3Dy
+CONFIG_MLX5_CORE_EN_DCB=3Dy
+# CONFIG_MLX5_CORE_IPOIB is not set
+CONFIG_MLX5_SW_STEERING=3Dy
+CONFIG_MLXSW_CORE=3Dm
+CONFIG_MLXSW_CORE_HWMON=3Dy
+CONFIG_MLXSW_CORE_THERMAL=3Dy
+CONFIG_MLXSW_PCI=3Dm
+CONFIG_MLXSW_I2C=3Dm
+CONFIG_MLXSW_SWITCHIB=3Dm
+CONFIG_MLXSW_SWITCHX2=3Dm
+CONFIG_MLXSW_SPECTRUM=3Dm
+CONFIG_MLXSW_SPECTRUM_DCB=3Dy
+CONFIG_MLXSW_MINIMAL=3Dm
+CONFIG_MLXFW=3Dm
+CONFIG_NET_VENDOR_MICREL=3Dy
+CONFIG_KS8842=3Dm
+CONFIG_KS8851=3Dm
+CONFIG_KS8851_MLL=3Dm
+CONFIG_KSZ884X_PCI=3Dm
+CONFIG_NET_VENDOR_MICROCHIP=3Dy
+CONFIG_ENC28J60=3Dm
+# CONFIG_ENC28J60_WRITEVERIFY is not set
+CONFIG_ENCX24J600=3Dm
+CONFIG_LAN743X=3Dm
+CONFIG_NET_VENDOR_MICROSEMI=3Dy
+CONFIG_MSCC_OCELOT_SWITCH=3Dm
+CONFIG_NET_VENDOR_MYRI=3Dy
+CONFIG_MYRI10GE=3Dm
+CONFIG_FEALNX=3Dm
+CONFIG_NET_VENDOR_NATSEMI=3Dy
+CONFIG_NATSEMI=3Dm
+CONFIG_NS83820=3Dm
+CONFIG_NET_VENDOR_NETERION=3Dy
+CONFIG_S2IO=3Dm
+CONFIG_VXGE=3Dm
+# CONFIG_VXGE_DEBUG_TRACE_ALL is not set
+CONFIG_NET_VENDOR_NETRONOME=3Dy
+CONFIG_NFP=3Dm
+# CONFIG_NFP_APP_FLOWER is not set
+CONFIG_NFP_APP_ABM_NIC=3Dy
+# CONFIG_NFP_DEBUG is not set
+CONFIG_NET_VENDOR_NI=3Dy
+CONFIG_NI_XGE_MANAGEMENT_ENET=3Dm
+CONFIG_NET_VENDOR_8390=3Dy
+CONFIG_PCMCIA_AXNET=3Dm
+CONFIG_NE2000=3Dm
+CONFIG_NE2K_PCI=3Dm
+CONFIG_PCMCIA_PCNET=3Dm
+CONFIG_ULTRA=3Dm
+CONFIG_WD80x3=3Dm
+CONFIG_NET_VENDOR_NVIDIA=3Dy
+CONFIG_FORCEDETH=3Dm
+CONFIG_NET_VENDOR_OKI=3Dy
+CONFIG_PCH_GBE=3Dm
+CONFIG_ETHOC=3Dm
+CONFIG_NET_VENDOR_PACKET_ENGINES=3Dy
+CONFIG_HAMACHI=3Dm
+CONFIG_YELLOWFIN=3Dm
+CONFIG_NET_VENDOR_PENSANDO=3Dy
+CONFIG_NET_VENDOR_QLOGIC=3Dy
+CONFIG_QLA3XXX=3Dm
+CONFIG_QLCNIC=3Dm
+CONFIG_QLCNIC_SRIOV=3Dy
+CONFIG_QLCNIC_DCB=3Dy
+CONFIG_QLCNIC_HWMON=3Dy
+CONFIG_NETXEN_NIC=3Dm
+CONFIG_QED=3Dm
+CONFIG_QED_LL2=3Dy
+CONFIG_QED_SRIOV=3Dy
+CONFIG_QEDE=3Dm
+CONFIG_QED_ISCSI=3Dy
+CONFIG_QED_FCOE=3Dy
+CONFIG_QED_OOO=3Dy
+CONFIG_NET_VENDOR_QUALCOMM=3Dy
+CONFIG_QCOM_EMAC=3Dm
+CONFIG_RMNET=3Dm
+CONFIG_NET_VENDOR_RDC=3Dy
+CONFIG_R6040=3Dm
+CONFIG_NET_VENDOR_REALTEK=3Dy
+CONFIG_ATP=3Dm
+CONFIG_8139CP=3Dm
+CONFIG_8139TOO=3Dm
+CONFIG_8139TOO_PIO=3Dy
+# CONFIG_8139TOO_TUNE_TWISTER is not set
+CONFIG_8139TOO_8129=3Dy
+# CONFIG_8139_OLD_RX_RESET is not set
+CONFIG_R8169=3Dm
+CONFIG_NET_VENDOR_RENESAS=3Dy
+CONFIG_NET_VENDOR_ROCKER=3Dy
+CONFIG_ROCKER=3Dm
+CONFIG_NET_VENDOR_SAMSUNG=3Dy
+CONFIG_SXGBE_ETH=3Dm
+CONFIG_NET_VENDOR_SEEQ=3Dy
+CONFIG_NET_VENDOR_SOLARFLARE=3Dy
+CONFIG_SFC=3Dm
+CONFIG_SFC_MTD=3Dy
+CONFIG_SFC_MCDI_MON=3Dy
+CONFIG_SFC_SRIOV=3Dy
+CONFIG_SFC_MCDI_LOGGING=3Dy
+CONFIG_SFC_FALCON=3Dm
+CONFIG_SFC_FALCON_MTD=3Dy
+CONFIG_NET_VENDOR_SILAN=3Dy
+CONFIG_SC92031=3Dm
+CONFIG_NET_VENDOR_SIS=3Dy
+CONFIG_SIS900=3Dm
+CONFIG_SIS190=3Dm
+CONFIG_NET_VENDOR_SMSC=3Dy
+CONFIG_SMC9194=3Dm
+CONFIG_PCMCIA_SMC91C92=3Dm
+CONFIG_EPIC100=3Dm
+CONFIG_SMSC911X=3Dm
+CONFIG_SMSC9420=3Dm
+# CONFIG_NET_VENDOR_SOCIONEXT is not set
+CONFIG_NET_VENDOR_STMICRO=3Dy
+CONFIG_STMMAC_ETH=3Dm
+# CONFIG_STMMAC_SELFTESTS is not set
+CONFIG_STMMAC_PLATFORM=3Dm
+CONFIG_DWMAC_GENERIC=3Dm
+# CONFIG_STMMAC_PCI is not set
+CONFIG_NET_VENDOR_SUN=3Dy
+CONFIG_HAPPYMEAL=3Dm
+CONFIG_SUNGEM=3Dm
+CONFIG_CASSINI=3Dm
+CONFIG_NIU=3Dm
+CONFIG_NET_VENDOR_SYNOPSYS=3Dy
+CONFIG_DWC_XLGMAC=3Dm
+CONFIG_DWC_XLGMAC_PCI=3Dm
+CONFIG_NET_VENDOR_TEHUTI=3Dy
+CONFIG_TEHUTI=3Dm
+CONFIG_NET_VENDOR_TI=3Dy
+# CONFIG_TI_CPSW_PHY_SEL is not set
+CONFIG_TLAN=3Dm
+CONFIG_NET_VENDOR_VIA=3Dy
+CONFIG_VIA_RHINE=3Dm
+CONFIG_VIA_RHINE_MMIO=3Dy
+CONFIG_VIA_VELOCITY=3Dm
+CONFIG_NET_VENDOR_WIZNET=3Dy
+CONFIG_WIZNET_W5100=3Dm
+CONFIG_WIZNET_W5300=3Dm
+# CONFIG_WIZNET_BUS_DIRECT is not set
+# CONFIG_WIZNET_BUS_INDIRECT is not set
+CONFIG_WIZNET_BUS_ANY=3Dy
+# CONFIG_WIZNET_W5100_SPI is not set
+CONFIG_NET_VENDOR_XILINX=3Dy
+CONFIG_XILINX_AXI_EMAC=3Dm
+CONFIG_XILINX_LL_TEMAC=3Dm
+CONFIG_NET_VENDOR_XIRCOM=3Dy
+CONFIG_PCMCIA_XIRC2PS=3Dm
+CONFIG_FDDI=3Dy
+CONFIG_DEFXX=3Dm
+# CONFIG_DEFXX_MMIO is not set
+CONFIG_SKFP=3Dm
+# CONFIG_HIPPI is not set
+CONFIG_NET_SB1000=3Dm
+CONFIG_MDIO_DEVICE=3Dy
+CONFIG_MDIO_BUS=3Dy
+CONFIG_MDIO_BCM_UNIMAC=3Dm
+CONFIG_MDIO_BITBANG=3Dm
+CONFIG_MDIO_GPIO=3Dm
+CONFIG_MDIO_I2C=3Dm
+CONFIG_MDIO_MSCC_MIIM=3Dm
+CONFIG_PHYLINK=3Dm
+CONFIG_PHYLIB=3Dy
+CONFIG_SWPHY=3Dy
+# CONFIG_LED_TRIGGER_PHY is not set
+
+#
+# MII PHY device drivers
+#
+CONFIG_SFP=3Dm
+CONFIG_ADIN_PHY=3Dm
+CONFIG_AMD_PHY=3Dm
+CONFIG_AQUANTIA_PHY=3Dm
+CONFIG_AX88796B_PHY=3Dm
+CONFIG_AT803X_PHY=3Dm
+CONFIG_BCM7XXX_PHY=3Dm
+CONFIG_BCM87XX_PHY=3Dm
+CONFIG_BCM_NET_PHYLIB=3Dm
+CONFIG_BROADCOM_PHY=3Dm
+CONFIG_CICADA_PHY=3Dm
+CONFIG_CORTINA_PHY=3Dm
+CONFIG_DAVICOM_PHY=3Dm
+CONFIG_DP83822_PHY=3Dm
+CONFIG_DP83TC811_PHY=3Dm
+CONFIG_DP83848_PHY=3Dm
+CONFIG_DP83867_PHY=3Dm
+CONFIG_FIXED_PHY=3Dy
+CONFIG_ICPLUS_PHY=3Dm
+CONFIG_INTEL_XWAY_PHY=3Dm
+CONFIG_LSI_ET1011C_PHY=3Dm
+CONFIG_LXT_PHY=3Dm
+CONFIG_MARVELL_PHY=3Dm
+CONFIG_MARVELL_10G_PHY=3Dm
+CONFIG_MICREL_PHY=3Dm
+CONFIG_MICROCHIP_PHY=3Dm
+CONFIG_MICROCHIP_T1_PHY=3Dm
+CONFIG_MICROSEMI_PHY=3Dm
+CONFIG_NATIONAL_PHY=3Dm
+CONFIG_NXP_TJA11XX_PHY=3Dm
+CONFIG_QSEMI_PHY=3Dm
+CONFIG_REALTEK_PHY=3Dm
+CONFIG_RENESAS_PHY=3Dm
+CONFIG_ROCKCHIP_PHY=3Dm
+CONFIG_SMSC_PHY=3Dm
+CONFIG_STE10XP=3Dm
+CONFIG_TERANETICS_PHY=3Dm
+CONFIG_VITESSE_PHY=3Dm
+CONFIG_XILINX_GMII2RGMII=3Dm
+CONFIG_MICREL_KS8995MA=3Dm
+CONFIG_PLIP=3Dm
+CONFIG_PPP=3Dy
+CONFIG_PPP_BSDCOMP=3Dm
+CONFIG_PPP_DEFLATE=3Dm
+CONFIG_PPP_FILTER=3Dy
+CONFIG_PPP_MPPE=3Dm
+CONFIG_PPP_MULTILINK=3Dy
+CONFIG_PPPOATM=3Dm
+CONFIG_PPPOE=3Dm
+CONFIG_PPTP=3Dm
+CONFIG_PPPOL2TP=3Dm
+CONFIG_PPP_ASYNC=3Dm
+CONFIG_PPP_SYNC_TTY=3Dm
+CONFIG_SLIP=3Dm
+CONFIG_SLHC=3Dy
+CONFIG_SLIP_COMPRESSED=3Dy
+CONFIG_SLIP_SMART=3Dy
+CONFIG_SLIP_MODE_SLIP6=3Dy
+CONFIG_USB_NET_DRIVERS=3Dm
+CONFIG_USB_CATC=3Dm
+CONFIG_USB_KAWETH=3Dm
+CONFIG_USB_PEGASUS=3Dm
+CONFIG_USB_RTL8150=3Dm
+CONFIG_USB_RTL8152=3Dm
+CONFIG_USB_LAN78XX=3Dm
+CONFIG_USB_USBNET=3Dm
+CONFIG_USB_NET_AX8817X=3Dm
+CONFIG_USB_NET_AX88179_178A=3Dm
+CONFIG_USB_NET_CDCETHER=3Dm
+CONFIG_USB_NET_CDC_EEM=3Dm
+CONFIG_USB_NET_CDC_NCM=3Dm
+CONFIG_USB_NET_HUAWEI_CDC_NCM=3Dm
+CONFIG_USB_NET_CDC_MBIM=3Dm
+CONFIG_USB_NET_DM9601=3Dm
+CONFIG_USB_NET_SR9700=3Dm
+CONFIG_USB_NET_SR9800=3Dm
+CONFIG_USB_NET_SMSC75XX=3Dm
+CONFIG_USB_NET_SMSC95XX=3Dm
+CONFIG_USB_NET_GL620A=3Dm
+CONFIG_USB_NET_NET1080=3Dm
+CONFIG_USB_NET_PLUSB=3Dm
+CONFIG_USB_NET_MCS7830=3Dm
+CONFIG_USB_NET_RNDIS_HOST=3Dm
+CONFIG_USB_NET_CDC_SUBSET_ENABLE=3Dm
+CONFIG_USB_NET_CDC_SUBSET=3Dm
+CONFIG_USB_ALI_M5632=3Dy
+CONFIG_USB_AN2720=3Dy
+CONFIG_USB_BELKIN=3Dy
+CONFIG_USB_ARMLINUX=3Dy
+CONFIG_USB_EPSON2888=3Dy
+CONFIG_USB_KC2190=3Dy
+CONFIG_USB_NET_ZAURUS=3Dm
+CONFIG_USB_NET_CX82310_ETH=3Dm
+CONFIG_USB_NET_KALMIA=3Dm
+CONFIG_USB_NET_QMI_WWAN=3Dm
+CONFIG_USB_HSO=3Dm
+CONFIG_USB_NET_INT51X1=3Dm
+CONFIG_USB_CDC_PHONET=3Dm
+CONFIG_USB_IPHETH=3Dm
+CONFIG_USB_SIERRA_NET=3Dm
+CONFIG_USB_VL600=3Dm
+CONFIG_USB_NET_CH9200=3Dm
+CONFIG_USB_NET_AQC111=3Dm
+CONFIG_WLAN=3Dy
+# CONFIG_WIRELESS_WDS is not set
+CONFIG_WLAN_VENDOR_ADMTEK=3Dy
+CONFIG_ADM8211=3Dm
+CONFIG_ATH_COMMON=3Dm
+CONFIG_WLAN_VENDOR_ATH=3Dy
+# CONFIG_ATH_DEBUG is not set
+CONFIG_ATH5K=3Dm
+# CONFIG_ATH5K_DEBUG is not set
+# CONFIG_ATH5K_TRACER is not set
+CONFIG_ATH5K_PCI=3Dy
+CONFIG_ATH9K_HW=3Dm
+CONFIG_ATH9K_COMMON=3Dm
+CONFIG_ATH9K_COMMON_DEBUG=3Dy
+CONFIG_ATH9K_BTCOEX_SUPPORT=3Dy
+CONFIG_ATH9K=3Dm
+CONFIG_ATH9K_PCI=3Dy
+CONFIG_ATH9K_AHB=3Dy
+CONFIG_ATH9K_DEBUGFS=3Dy
+CONFIG_ATH9K_STATION_STATISTICS=3Dy
+# CONFIG_ATH9K_DYNACK is not set
+CONFIG_ATH9K_WOW=3Dy
+CONFIG_ATH9K_RFKILL=3Dy
+CONFIG_ATH9K_CHANNEL_CONTEXT=3Dy
+CONFIG_ATH9K_PCOEM=3Dy
+CONFIG_ATH9K_PCI_NO_EEPROM=3Dm
+CONFIG_ATH9K_HTC=3Dm
+CONFIG_ATH9K_HTC_DEBUGFS=3Dy
+CONFIG_ATH9K_HWRNG=3Dy
+# CONFIG_ATH9K_COMMON_SPECTRAL is not set
+CONFIG_CARL9170=3Dm
+CONFIG_CARL9170_LEDS=3Dy
+# CONFIG_CARL9170_DEBUGFS is not set
+CONFIG_CARL9170_WPC=3Dy
+CONFIG_CARL9170_HWRNG=3Dy
+CONFIG_ATH6KL=3Dm
+CONFIG_ATH6KL_SDIO=3Dm
+CONFIG_ATH6KL_USB=3Dm
+# CONFIG_ATH6KL_DEBUG is not set
+# CONFIG_ATH6KL_TRACING is not set
+CONFIG_AR5523=3Dm
+CONFIG_WIL6210=3Dm
+CONFIG_WIL6210_ISR_COR=3Dy
+CONFIG_WIL6210_TRACING=3Dy
+CONFIG_WIL6210_DEBUGFS=3Dy
+CONFIG_ATH10K=3Dm
+CONFIG_ATH10K_CE=3Dy
+CONFIG_ATH10K_PCI=3Dm
+CONFIG_ATH10K_SDIO=3Dm
+CONFIG_ATH10K_USB=3Dm
+# CONFIG_ATH10K_DEBUG is not set
+CONFIG_ATH10K_DEBUGFS=3Dy
+# CONFIG_ATH10K_SPECTRAL is not set
+CONFIG_ATH10K_TRACING=3Dy
+CONFIG_WCN36XX=3Dm
+# CONFIG_WCN36XX_DEBUGFS is not set
+CONFIG_WLAN_VENDOR_ATMEL=3Dy
+CONFIG_ATMEL=3Dm
+CONFIG_PCI_ATMEL=3Dm
+CONFIG_PCMCIA_ATMEL=3Dm
+CONFIG_AT76C50X_USB=3Dm
+CONFIG_WLAN_VENDOR_BROADCOM=3Dy
+CONFIG_B43=3Dm
+CONFIG_B43_BCMA=3Dy
+CONFIG_B43_SSB=3Dy
+CONFIG_B43_BUSES_BCMA_AND_SSB=3Dy
+# CONFIG_B43_BUSES_BCMA is not set
+# CONFIG_B43_BUSES_SSB is not set
+CONFIG_B43_PCI_AUTOSELECT=3Dy
+CONFIG_B43_PCICORE_AUTOSELECT=3Dy
+# CONFIG_B43_SDIO is not set
+CONFIG_B43_BCMA_PIO=3Dy
+CONFIG_B43_PIO=3Dy
+CONFIG_B43_PHY_G=3Dy
+CONFIG_B43_PHY_N=3Dy
+CONFIG_B43_PHY_LP=3Dy
+CONFIG_B43_PHY_HT=3Dy
+CONFIG_B43_LEDS=3Dy
+CONFIG_B43_HWRNG=3Dy
+# CONFIG_B43_DEBUG is not set
+CONFIG_B43LEGACY=3Dm
+CONFIG_B43LEGACY_PCI_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_PCICORE_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_LEDS=3Dy
+CONFIG_B43LEGACY_HWRNG=3Dy
+# CONFIG_B43LEGACY_DEBUG is not set
+CONFIG_B43LEGACY_DMA=3Dy
+CONFIG_B43LEGACY_PIO=3Dy
+CONFIG_B43LEGACY_DMA_AND_PIO_MODE=3Dy
+# CONFIG_B43LEGACY_DMA_MODE is not set
+# CONFIG_B43LEGACY_PIO_MODE is not set
+CONFIG_BRCMUTIL=3Dm
+CONFIG_BRCMSMAC=3Dm
+CONFIG_BRCMFMAC=3Dm
+CONFIG_BRCMFMAC_PROTO_BCDC=3Dy
+CONFIG_BRCMFMAC_PROTO_MSGBUF=3Dy
+CONFIG_BRCMFMAC_SDIO=3Dy
+CONFIG_BRCMFMAC_USB=3Dy
+CONFIG_BRCMFMAC_PCIE=3Dy
+CONFIG_BRCM_TRACING=3Dy
+# CONFIG_BRCMDBG is not set
+CONFIG_WLAN_VENDOR_CISCO=3Dy
+CONFIG_AIRO=3Dm
+CONFIG_AIRO_CS=3Dm
+CONFIG_WLAN_VENDOR_INTEL=3Dy
+CONFIG_IPW2100=3Dm
+CONFIG_IPW2100_MONITOR=3Dy
+# CONFIG_IPW2100_DEBUG is not set
+CONFIG_IPW2200=3Dm
+CONFIG_IPW2200_MONITOR=3Dy
+CONFIG_IPW2200_RADIOTAP=3Dy
+CONFIG_IPW2200_PROMISCUOUS=3Dy
+CONFIG_IPW2200_QOS=3Dy
+# CONFIG_IPW2200_DEBUG is not set
+CONFIG_LIBIPW=3Dm
+# CONFIG_LIBIPW_DEBUG is not set
+CONFIG_IWLEGACY=3Dm
+CONFIG_IWL4965=3Dm
+CONFIG_IWL3945=3Dm
+
+#
+# iwl3945 / iwl4965 Debugging Options
+#
+# CONFIG_IWLEGACY_DEBUG is not set
+CONFIG_IWLEGACY_DEBUGFS=3Dy
+# end of iwl3945 / iwl4965 Debugging Options
+
+CONFIG_IWLWIFI=3Dm
+CONFIG_IWLWIFI_LEDS=3Dy
+CONFIG_IWLDVM=3Dm
+CONFIG_IWLMVM=3Dm
+CONFIG_IWLWIFI_OPMODE_MODULAR=3Dy
+# CONFIG_IWLWIFI_BCAST_FILTERING is not set
+
+#
+# Debugging Options
+#
+# CONFIG_IWLWIFI_DEBUG is not set
+CONFIG_IWLWIFI_DEBUGFS=3Dy
+CONFIG_IWLWIFI_DEVICE_TRACING=3Dy
+# end of Debugging Options
+
+CONFIG_WLAN_VENDOR_INTERSIL=3Dy
+CONFIG_HOSTAP=3Dm
+CONFIG_HOSTAP_FIRMWARE=3Dy
+CONFIG_HOSTAP_FIRMWARE_NVRAM=3Dy
+CONFIG_HOSTAP_PLX=3Dm
+CONFIG_HOSTAP_PCI=3Dm
+CONFIG_HOSTAP_CS=3Dm
+CONFIG_HERMES=3Dm
+# CONFIG_HERMES_PRISM is not set
+CONFIG_HERMES_CACHE_FW_ON_INIT=3Dy
+CONFIG_PLX_HERMES=3Dm
+CONFIG_TMD_HERMES=3Dm
+CONFIG_NORTEL_HERMES=3Dm
+CONFIG_PCMCIA_HERMES=3Dm
+CONFIG_PCMCIA_SPECTRUM=3Dm
+CONFIG_ORINOCO_USB=3Dm
+CONFIG_P54_COMMON=3Dm
+CONFIG_P54_USB=3Dm
+CONFIG_P54_PCI=3Dm
+CONFIG_P54_SPI=3Dm
+# CONFIG_P54_SPI_DEFAULT_EEPROM is not set
+CONFIG_P54_LEDS=3Dy
+# CONFIG_PRISM54 is not set
+CONFIG_WLAN_VENDOR_MARVELL=3Dy
+CONFIG_LIBERTAS=3Dm
+CONFIG_LIBERTAS_USB=3Dm
+CONFIG_LIBERTAS_CS=3Dm
+CONFIG_LIBERTAS_SDIO=3Dm
+CONFIG_LIBERTAS_SPI=3Dm
+# CONFIG_LIBERTAS_DEBUG is not set
+CONFIG_LIBERTAS_MESH=3Dy
+CONFIG_LIBERTAS_THINFIRM=3Dm
+# CONFIG_LIBERTAS_THINFIRM_DEBUG is not set
+CONFIG_LIBERTAS_THINFIRM_USB=3Dm
+CONFIG_MWIFIEX=3Dm
+CONFIG_MWIFIEX_SDIO=3Dm
+CONFIG_MWIFIEX_PCIE=3Dm
+CONFIG_MWIFIEX_USB=3Dm
+CONFIG_MWL8K=3Dm
+CONFIG_WLAN_VENDOR_MEDIATEK=3Dy
+CONFIG_MT7601U=3Dm
+# CONFIG_MT76x0U is not set
+# CONFIG_MT76x0E is not set
+# CONFIG_MT76x2E is not set
+# CONFIG_MT76x2U is not set
+# CONFIG_MT7603E is not set
+# CONFIG_MT7615E is not set
+CONFIG_WLAN_VENDOR_RALINK=3Dy
+CONFIG_RT2X00=3Dm
+CONFIG_RT2400PCI=3Dm
+CONFIG_RT2500PCI=3Dm
+CONFIG_RT61PCI=3Dm
+CONFIG_RT2800PCI=3Dm
+CONFIG_RT2800PCI_RT33XX=3Dy
+CONFIG_RT2800PCI_RT35XX=3Dy
+CONFIG_RT2800PCI_RT53XX=3Dy
+CONFIG_RT2800PCI_RT3290=3Dy
+CONFIG_RT2500USB=3Dm
+CONFIG_RT73USB=3Dm
+CONFIG_RT2800USB=3Dm
+CONFIG_RT2800USB_RT33XX=3Dy
+CONFIG_RT2800USB_RT35XX=3Dy
+CONFIG_RT2800USB_RT3573=3Dy
+CONFIG_RT2800USB_RT53XX=3Dy
+CONFIG_RT2800USB_RT55XX=3Dy
+CONFIG_RT2800USB_UNKNOWN=3Dy
+CONFIG_RT2800_LIB=3Dm
+CONFIG_RT2800_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_PCI=3Dm
+CONFIG_RT2X00_LIB_USB=3Dm
+CONFIG_RT2X00_LIB=3Dm
+CONFIG_RT2X00_LIB_FIRMWARE=3Dy
+CONFIG_RT2X00_LIB_CRYPTO=3Dy
+CONFIG_RT2X00_LIB_LEDS=3Dy
+# CONFIG_RT2X00_LIB_DEBUGFS is not set
+# CONFIG_RT2X00_DEBUG is not set
+CONFIG_WLAN_VENDOR_REALTEK=3Dy
+CONFIG_RTL8180=3Dm
+CONFIG_RTL8187=3Dm
+CONFIG_RTL8187_LEDS=3Dy
+CONFIG_RTL_CARDS=3Dm
+CONFIG_RTL8192CE=3Dm
+CONFIG_RTL8192SE=3Dm
+CONFIG_RTL8192DE=3Dm
+CONFIG_RTL8723AE=3Dm
+CONFIG_RTL8723BE=3Dm
+CONFIG_RTL8188EE=3Dm
+CONFIG_RTL8192EE=3Dm
+CONFIG_RTL8821AE=3Dm
+CONFIG_RTL8192CU=3Dm
+CONFIG_RTLWIFI=3Dm
+CONFIG_RTLWIFI_PCI=3Dm
+CONFIG_RTLWIFI_USB=3Dm
+# CONFIG_RTLWIFI_DEBUG is not set
+CONFIG_RTL8192C_COMMON=3Dm
+CONFIG_RTL8723_COMMON=3Dm
+CONFIG_RTLBTCOEXIST=3Dm
+CONFIG_RTL8XXXU=3Dm
+CONFIG_RTL8XXXU_UNTESTED=3Dy
+# CONFIG_RTW88 is not set
+CONFIG_WLAN_VENDOR_RSI=3Dy
+CONFIG_RSI_91X=3Dm
+# CONFIG_RSI_DEBUGFS is not set
+CONFIG_RSI_SDIO=3Dm
+CONFIG_RSI_USB=3Dm
+CONFIG_RSI_COEX=3Dy
+CONFIG_WLAN_VENDOR_ST=3Dy
+CONFIG_CW1200=3Dm
+CONFIG_CW1200_WLAN_SDIO=3Dm
+CONFIG_CW1200_WLAN_SPI=3Dm
+CONFIG_WLAN_VENDOR_TI=3Dy
+CONFIG_WL1251=3Dm
+CONFIG_WL1251_SPI=3Dm
+CONFIG_WL1251_SDIO=3Dm
+CONFIG_WL12XX=3Dm
+CONFIG_WL18XX=3Dm
+CONFIG_WLCORE=3Dm
+CONFIG_WLCORE_SDIO=3Dm
+CONFIG_WILINK_PLATFORM_DATA=3Dy
+CONFIG_WLAN_VENDOR_ZYDAS=3Dy
+CONFIG_USB_ZD1201=3Dm
+CONFIG_ZD1211RW=3Dm
+# CONFIG_ZD1211RW_DEBUG is not set
+CONFIG_WLAN_VENDOR_QUANTENNA=3Dy
+CONFIG_QTNFMAC=3Dm
+CONFIG_QTNFMAC_PCIE=3Dm
+CONFIG_PCMCIA_RAYCS=3Dm
+CONFIG_PCMCIA_WL3501=3Dm
+CONFIG_MAC80211_HWSIM=3Dm
+CONFIG_USB_NET_RNDIS_WLAN=3Dm
+CONFIG_VIRT_WIFI=3Dm
+
+#
+# WiMAX Wireless Broadband devices
+#
+CONFIG_WIMAX_I2400M=3Dm
+CONFIG_WIMAX_I2400M_USB=3Dm
+CONFIG_WIMAX_I2400M_DEBUG_LEVEL=3D8
+# end of WiMAX Wireless Broadband devices
+
+CONFIG_WAN=3Dy
+CONFIG_HOSTESS_SV11=3Dm
+CONFIG_COSA=3Dm
+CONFIG_LANMEDIA=3Dm
+CONFIG_SEALEVEL_4021=3Dm
+CONFIG_HDLC=3Dm
+CONFIG_HDLC_RAW=3Dm
+CONFIG_HDLC_RAW_ETH=3Dm
+CONFIG_HDLC_CISCO=3Dm
+CONFIG_HDLC_FR=3Dm
+CONFIG_HDLC_PPP=3Dm
+CONFIG_HDLC_X25=3Dm
+CONFIG_PCI200SYN=3Dm
+CONFIG_WANXL=3Dm
+CONFIG_PC300TOO=3Dm
+CONFIG_N2=3Dm
+CONFIG_C101=3Dm
+CONFIG_FARSYNC=3Dm
+CONFIG_DLCI=3Dm
+CONFIG_DLCI_MAX=3D8
+CONFIG_SDLA=3Dm
+CONFIG_LAPBETHER=3Dm
+CONFIG_X25_ASY=3Dm
+CONFIG_SBNI=3Dm
+# CONFIG_SBNI_MULTILINE is not set
+CONFIG_IEEE802154_DRIVERS=3Dm
+CONFIG_IEEE802154_FAKELB=3Dm
+CONFIG_IEEE802154_AT86RF230=3Dm
+CONFIG_IEEE802154_AT86RF230_DEBUGFS=3Dy
+CONFIG_IEEE802154_MRF24J40=3Dm
+CONFIG_IEEE802154_CC2520=3Dm
+CONFIG_IEEE802154_ATUSB=3Dm
+CONFIG_IEEE802154_ADF7242=3Dm
+CONFIG_IEEE802154_CA8210=3Dm
+# CONFIG_IEEE802154_CA8210_DEBUGFS is not set
+CONFIG_IEEE802154_MCR20A=3Dm
+# CONFIG_IEEE802154_HWSIM is not set
+CONFIG_XEN_NETDEV_FRONTEND=3Dy
+CONFIG_XEN_NETDEV_BACKEND=3Dm
+CONFIG_VMXNET3=3Dm
+CONFIG_FUJITSU_ES=3Dm
+CONFIG_THUNDERBOLT_NET=3Dm
+CONFIG_HYPERV_NET=3Dm
+CONFIG_NETDEVSIM=3Dm
+CONFIG_NET_FAILOVER=3Dy
+CONFIG_ISDN=3Dy
+CONFIG_ISDN_CAPI=3Dm
+CONFIG_CAPI_TRACE=3Dy
+CONFIG_ISDN_CAPI_CAPI20=3Dm
+CONFIG_ISDN_CAPI_MIDDLEWARE=3Dy
+CONFIG_MISDN=3Dm
+CONFIG_MISDN_DSP=3Dm
+CONFIG_MISDN_L1OIP=3Dm
+
+#
+# mISDN hardware drivers
+#
+CONFIG_MISDN_HFCPCI=3Dm
+CONFIG_MISDN_HFCMULTI=3Dm
+CONFIG_MISDN_HFCUSB=3Dm
+CONFIG_MISDN_AVMFRITZ=3Dm
+CONFIG_MISDN_SPEEDFAX=3Dm
+CONFIG_MISDN_INFINEON=3Dm
+CONFIG_MISDN_W6692=3Dm
+CONFIG_MISDN_NETJET=3Dm
+CONFIG_MISDN_HDLC=3Dm
+CONFIG_MISDN_IPAC=3Dm
+CONFIG_MISDN_ISAR=3Dm
+CONFIG_NVM=3Dy
+CONFIG_NVM_PBLK=3Dm
+# CONFIG_NVM_PBLK_DEBUG is not set
+
+#
+# Input device support
+#
+CONFIG_INPUT=3Dy
+CONFIG_INPUT_LEDS=3Dm
+CONFIG_INPUT_FF_MEMLESS=3Dm
+CONFIG_INPUT_POLLDEV=3Dm
+CONFIG_INPUT_SPARSEKMAP=3Dm
+CONFIG_INPUT_MATRIXKMAP=3Dm
+
+#
+# Userland interfaces
+#
+CONFIG_INPUT_MOUSEDEV=3Dy
+CONFIG_INPUT_MOUSEDEV_PSAUX=3Dy
+CONFIG_INPUT_MOUSEDEV_SCREEN_X=3D1024
+CONFIG_INPUT_MOUSEDEV_SCREEN_Y=3D768
+CONFIG_INPUT_JOYDEV=3Dm
+CONFIG_INPUT_EVDEV=3Dy
+# CONFIG_INPUT_EVBUG is not set
+
+#
+# Input Device Drivers
+#
+CONFIG_INPUT_KEYBOARD=3Dy
+CONFIG_KEYBOARD_ADC=3Dm
+CONFIG_KEYBOARD_ADP5520=3Dm
+CONFIG_KEYBOARD_ADP5588=3Dm
+CONFIG_KEYBOARD_ADP5589=3Dm
+CONFIG_KEYBOARD_APPLESPI=3Dm
+CONFIG_KEYBOARD_ATKBD=3Dy
+CONFIG_KEYBOARD_QT1050=3Dm
+CONFIG_KEYBOARD_QT1070=3Dm
+CONFIG_KEYBOARD_QT2160=3Dm
+CONFIG_KEYBOARD_DLINK_DIR685=3Dm
+CONFIG_KEYBOARD_LKKBD=3Dm
+CONFIG_KEYBOARD_GPIO=3Dm
+CONFIG_KEYBOARD_GPIO_POLLED=3Dm
+CONFIG_KEYBOARD_TCA6416=3Dm
+CONFIG_KEYBOARD_TCA8418=3Dm
+CONFIG_KEYBOARD_MATRIX=3Dm
+CONFIG_KEYBOARD_LM8323=3Dm
+CONFIG_KEYBOARD_LM8333=3Dm
+CONFIG_KEYBOARD_MAX7359=3Dm
+CONFIG_KEYBOARD_MCS=3Dm
+CONFIG_KEYBOARD_MPR121=3Dm
+CONFIG_KEYBOARD_NEWTON=3Dm
+CONFIG_KEYBOARD_OPENCORES=3Dm
+CONFIG_KEYBOARD_SAMSUNG=3Dm
+CONFIG_KEYBOARD_STOWAWAY=3Dm
+CONFIG_KEYBOARD_SUNKBD=3Dm
+CONFIG_KEYBOARD_TM2_TOUCHKEY=3Dm
+CONFIG_KEYBOARD_TWL4030=3Dm
+CONFIG_KEYBOARD_XTKBD=3Dm
+CONFIG_KEYBOARD_CROS_EC=3Dm
+CONFIG_KEYBOARD_MTK_PMIC=3Dm
+CONFIG_INPUT_MOUSE=3Dy
+CONFIG_MOUSE_PS2=3Dm
+CONFIG_MOUSE_PS2_ALPS=3Dy
+CONFIG_MOUSE_PS2_BYD=3Dy
+CONFIG_MOUSE_PS2_LOGIPS2PP=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS_SMBUS=3Dy
+CONFIG_MOUSE_PS2_CYPRESS=3Dy
+CONFIG_MOUSE_PS2_LIFEBOOK=3Dy
+CONFIG_MOUSE_PS2_TRACKPOINT=3Dy
+CONFIG_MOUSE_PS2_ELANTECH=3Dy
+CONFIG_MOUSE_PS2_ELANTECH_SMBUS=3Dy
+CONFIG_MOUSE_PS2_SENTELIC=3Dy
+CONFIG_MOUSE_PS2_TOUCHKIT=3Dy
+CONFIG_MOUSE_PS2_FOCALTECH=3Dy
+CONFIG_MOUSE_PS2_VMMOUSE=3Dy
+CONFIG_MOUSE_PS2_SMBUS=3Dy
+CONFIG_MOUSE_SERIAL=3Dm
+CONFIG_MOUSE_APPLETOUCH=3Dm
+CONFIG_MOUSE_BCM5974=3Dm
+CONFIG_MOUSE_CYAPA=3Dm
+CONFIG_MOUSE_ELAN_I2C=3Dm
+CONFIG_MOUSE_ELAN_I2C_I2C=3Dy
+CONFIG_MOUSE_ELAN_I2C_SMBUS=3Dy
+# CONFIG_MOUSE_INPORT is not set
+CONFIG_MOUSE_LOGIBM=3Dm
+CONFIG_MOUSE_PC110PAD=3Dm
+CONFIG_MOUSE_VSXXXAA=3Dm
+CONFIG_MOUSE_GPIO=3Dm
+CONFIG_MOUSE_SYNAPTICS_I2C=3Dm
+CONFIG_MOUSE_SYNAPTICS_USB=3Dm
+CONFIG_INPUT_JOYSTICK=3Dy
+CONFIG_JOYSTICK_ANALOG=3Dm
+CONFIG_JOYSTICK_A3D=3Dm
+CONFIG_JOYSTICK_ADI=3Dm
+CONFIG_JOYSTICK_COBRA=3Dm
+CONFIG_JOYSTICK_GF2K=3Dm
+CONFIG_JOYSTICK_GRIP=3Dm
+CONFIG_JOYSTICK_GRIP_MP=3Dm
+CONFIG_JOYSTICK_GUILLEMOT=3Dm
+CONFIG_JOYSTICK_INTERACT=3Dm
+CONFIG_JOYSTICK_SIDEWINDER=3Dm
+CONFIG_JOYSTICK_TMDC=3Dm
+CONFIG_JOYSTICK_IFORCE=3Dm
+CONFIG_JOYSTICK_IFORCE_USB=3Dm
+CONFIG_JOYSTICK_IFORCE_232=3Dm
+CONFIG_JOYSTICK_WARRIOR=3Dm
+CONFIG_JOYSTICK_MAGELLAN=3Dm
+CONFIG_JOYSTICK_SPACEORB=3Dm
+CONFIG_JOYSTICK_SPACEBALL=3Dm
+CONFIG_JOYSTICK_STINGER=3Dm
+CONFIG_JOYSTICK_TWIDJOY=3Dm
+CONFIG_JOYSTICK_ZHENHUA=3Dm
+CONFIG_JOYSTICK_DB9=3Dm
+CONFIG_JOYSTICK_GAMECON=3Dm
+CONFIG_JOYSTICK_TURBOGRAFX=3Dm
+CONFIG_JOYSTICK_AS5011=3Dm
+CONFIG_JOYSTICK_JOYDUMP=3Dm
+CONFIG_JOYSTICK_XPAD=3Dm
+CONFIG_JOYSTICK_XPAD_FF=3Dy
+CONFIG_JOYSTICK_XPAD_LEDS=3Dy
+CONFIG_JOYSTICK_WALKERA0701=3Dm
+CONFIG_JOYSTICK_PSXPAD_SPI=3Dm
+# CONFIG_JOYSTICK_PSXPAD_SPI_FF is not set
+CONFIG_JOYSTICK_PXRC=3Dm
+CONFIG_JOYSTICK_FSIA6B=3Dm
+CONFIG_INPUT_TABLET=3Dy
+CONFIG_TABLET_USB_ACECAD=3Dm
+CONFIG_TABLET_USB_AIPTEK=3Dm
+CONFIG_TABLET_USB_GTCO=3Dm
+CONFIG_TABLET_USB_HANWANG=3Dm
+CONFIG_TABLET_USB_KBTAB=3Dm
+CONFIG_TABLET_USB_PEGASUS=3Dm
+CONFIG_TABLET_SERIAL_WACOM4=3Dm
+CONFIG_INPUT_TOUCHSCREEN=3Dy
+CONFIG_TOUCHSCREEN_PROPERTIES=3Dy
+CONFIG_TOUCHSCREEN_88PM860X=3Dm
+CONFIG_TOUCHSCREEN_ADS7846=3Dm
+CONFIG_TOUCHSCREEN_AD7877=3Dm
+CONFIG_TOUCHSCREEN_AD7879=3Dm
+CONFIG_TOUCHSCREEN_AD7879_I2C=3Dm
+CONFIG_TOUCHSCREEN_AD7879_SPI=3Dm
+CONFIG_TOUCHSCREEN_ADC=3Dm
+CONFIG_TOUCHSCREEN_ATMEL_MXT=3Dm
+# CONFIG_TOUCHSCREEN_ATMEL_MXT_T37 is not set
+CONFIG_TOUCHSCREEN_AUO_PIXCIR=3Dm
+CONFIG_TOUCHSCREEN_BU21013=3Dm
+CONFIG_TOUCHSCREEN_BU21029=3Dm
+CONFIG_TOUCHSCREEN_CHIPONE_ICN8505=3Dm
+CONFIG_TOUCHSCREEN_CY8CTMG110=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP_CORE=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP_I2C=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP_SPI=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP4_CORE=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP4_I2C=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP4_SPI=3Dm
+CONFIG_TOUCHSCREEN_DA9034=3Dm
+CONFIG_TOUCHSCREEN_DA9052=3Dm
+CONFIG_TOUCHSCREEN_DYNAPRO=3Dm
+CONFIG_TOUCHSCREEN_HAMPSHIRE=3Dm
+CONFIG_TOUCHSCREEN_EETI=3Dm
+CONFIG_TOUCHSCREEN_EGALAX_SERIAL=3Dm
+CONFIG_TOUCHSCREEN_EXC3000=3Dm
+CONFIG_TOUCHSCREEN_FUJITSU=3Dm
+CONFIG_TOUCHSCREEN_GOODIX=3Dm
+CONFIG_TOUCHSCREEN_HIDEEP=3Dm
+CONFIG_TOUCHSCREEN_ILI210X=3Dm
+CONFIG_TOUCHSCREEN_S6SY761=3Dm
+CONFIG_TOUCHSCREEN_GUNZE=3Dm
+CONFIG_TOUCHSCREEN_EKTF2127=3Dm
+CONFIG_TOUCHSCREEN_ELAN=3Dm
+CONFIG_TOUCHSCREEN_ELO=3Dm
+CONFIG_TOUCHSCREEN_WACOM_W8001=3Dm
+CONFIG_TOUCHSCREEN_WACOM_I2C=3Dm
+CONFIG_TOUCHSCREEN_MAX11801=3Dm
+CONFIG_TOUCHSCREEN_MCS5000=3Dm
+CONFIG_TOUCHSCREEN_MMS114=3Dm
+CONFIG_TOUCHSCREEN_MELFAS_MIP4=3Dm
+CONFIG_TOUCHSCREEN_MTOUCH=3Dm
+CONFIG_TOUCHSCREEN_INEXIO=3Dm
+CONFIG_TOUCHSCREEN_MK712=3Dm
+CONFIG_TOUCHSCREEN_HTCPEN=3Dm
+CONFIG_TOUCHSCREEN_PENMOUNT=3Dm
+CONFIG_TOUCHSCREEN_EDT_FT5X06=3Dm
+CONFIG_TOUCHSCREEN_TOUCHRIGHT=3Dm
+CONFIG_TOUCHSCREEN_TOUCHWIN=3Dm
+CONFIG_TOUCHSCREEN_TI_AM335X_TSC=3Dm
+CONFIG_TOUCHSCREEN_UCB1400=3Dm
+CONFIG_TOUCHSCREEN_PIXCIR=3Dm
+CONFIG_TOUCHSCREEN_WDT87XX_I2C=3Dm
+CONFIG_TOUCHSCREEN_WM831X=3Dm
+CONFIG_TOUCHSCREEN_WM97XX=3Dm
+CONFIG_TOUCHSCREEN_WM9705=3Dy
+CONFIG_TOUCHSCREEN_WM9712=3Dy
+CONFIG_TOUCHSCREEN_WM9713=3Dy
+CONFIG_TOUCHSCREEN_USB_COMPOSITE=3Dm
+CONFIG_TOUCHSCREEN_MC13783=3Dm
+CONFIG_TOUCHSCREEN_USB_EGALAX=3Dy
+CONFIG_TOUCHSCREEN_USB_PANJIT=3Dy
+CONFIG_TOUCHSCREEN_USB_3M=3Dy
+CONFIG_TOUCHSCREEN_USB_ITM=3Dy
+CONFIG_TOUCHSCREEN_USB_ETURBO=3Dy
+CONFIG_TOUCHSCREEN_USB_GUNZE=3Dy
+CONFIG_TOUCHSCREEN_USB_DMC_TSC10=3Dy
+CONFIG_TOUCHSCREEN_USB_IRTOUCH=3Dy
+CONFIG_TOUCHSCREEN_USB_IDEALTEK=3Dy
+CONFIG_TOUCHSCREEN_USB_GENERAL_TOUCH=3Dy
+CONFIG_TOUCHSCREEN_USB_GOTOP=3Dy
+CONFIG_TOUCHSCREEN_USB_JASTEC=3Dy
+CONFIG_TOUCHSCREEN_USB_ELO=3Dy
+CONFIG_TOUCHSCREEN_USB_E2I=3Dy
+CONFIG_TOUCHSCREEN_USB_ZYTRONIC=3Dy
+CONFIG_TOUCHSCREEN_USB_ETT_TC45USB=3Dy
+CONFIG_TOUCHSCREEN_USB_NEXIO=3Dy
+CONFIG_TOUCHSCREEN_USB_EASYTOUCH=3Dy
+CONFIG_TOUCHSCREEN_TOUCHIT213=3Dm
+CONFIG_TOUCHSCREEN_TSC_SERIO=3Dm
+CONFIG_TOUCHSCREEN_TSC200X_CORE=3Dm
+CONFIG_TOUCHSCREEN_TSC2004=3Dm
+CONFIG_TOUCHSCREEN_TSC2005=3Dm
+CONFIG_TOUCHSCREEN_TSC2007=3Dm
+# CONFIG_TOUCHSCREEN_TSC2007_IIO is not set
+CONFIG_TOUCHSCREEN_PCAP=3Dm
+CONFIG_TOUCHSCREEN_RM_TS=3Dm
+CONFIG_TOUCHSCREEN_SILEAD=3Dm
+CONFIG_TOUCHSCREEN_SIS_I2C=3Dm
+CONFIG_TOUCHSCREEN_ST1232=3Dm
+CONFIG_TOUCHSCREEN_STMFTS=3Dm
+CONFIG_TOUCHSCREEN_SUR40=3Dm
+CONFIG_TOUCHSCREEN_SURFACE3_SPI=3Dm
+CONFIG_TOUCHSCREEN_SX8654=3Dm
+CONFIG_TOUCHSCREEN_TPS6507X=3Dm
+CONFIG_TOUCHSCREEN_ZET6223=3Dm
+CONFIG_TOUCHSCREEN_ZFORCE=3Dm
+CONFIG_TOUCHSCREEN_ROHM_BU21023=3Dm
+CONFIG_TOUCHSCREEN_IQS5XX=3Dm
+CONFIG_INPUT_MISC=3Dy
+CONFIG_INPUT_88PM860X_ONKEY=3Dm
+CONFIG_INPUT_88PM80X_ONKEY=3Dm
+CONFIG_INPUT_AD714X=3Dm
+CONFIG_INPUT_AD714X_I2C=3Dm
+CONFIG_INPUT_AD714X_SPI=3Dm
+CONFIG_INPUT_ARIZONA_HAPTICS=3Dm
+CONFIG_INPUT_BMA150=3Dm
+CONFIG_INPUT_E3X0_BUTTON=3Dm
+CONFIG_INPUT_MSM_VIBRATOR=3Dm
+CONFIG_INPUT_PCSPKR=3Dm
+CONFIG_INPUT_MAX77693_HAPTIC=3Dm
+CONFIG_INPUT_MAX8925_ONKEY=3Dm
+CONFIG_INPUT_MAX8997_HAPTIC=3Dm
+CONFIG_INPUT_MC13783_PWRBUTTON=3Dm
+CONFIG_INPUT_MMA8450=3Dm
+CONFIG_INPUT_APANEL=3Dm
+CONFIG_INPUT_GP2A=3Dm
+CONFIG_INPUT_GPIO_BEEPER=3Dm
+CONFIG_INPUT_GPIO_DECODER=3Dm
+CONFIG_INPUT_GPIO_VIBRA=3Dm
+CONFIG_INPUT_WISTRON_BTNS=3Dm
+CONFIG_INPUT_ATLAS_BTNS=3Dm
+CONFIG_INPUT_ATI_REMOTE2=3Dm
+CONFIG_INPUT_KEYSPAN_REMOTE=3Dm
+CONFIG_INPUT_KXTJ9=3Dm
+# CONFIG_INPUT_KXTJ9_POLLED_MODE is not set
+CONFIG_INPUT_POWERMATE=3Dm
+CONFIG_INPUT_YEALINK=3Dm
+CONFIG_INPUT_CM109=3Dm
+CONFIG_INPUT_REGULATOR_HAPTIC=3Dm
+CONFIG_INPUT_RETU_PWRBUTTON=3Dm
+CONFIG_INPUT_AXP20X_PEK=3Dm
+CONFIG_INPUT_TWL4030_PWRBUTTON=3Dm
+CONFIG_INPUT_TWL4030_VIBRA=3Dm
+CONFIG_INPUT_TWL6040_VIBRA=3Dm
+CONFIG_INPUT_UINPUT=3Dy
+CONFIG_INPUT_PALMAS_PWRBUTTON=3Dm
+CONFIG_INPUT_PCF50633_PMU=3Dm
+CONFIG_INPUT_PCF8574=3Dm
+CONFIG_INPUT_PWM_BEEPER=3Dm
+CONFIG_INPUT_PWM_VIBRA=3Dm
+CONFIG_INPUT_GPIO_ROTARY_ENCODER=3Dm
+CONFIG_INPUT_DA9052_ONKEY=3Dm
+CONFIG_INPUT_DA9055_ONKEY=3Dm
+CONFIG_INPUT_DA9063_ONKEY=3Dm
+CONFIG_INPUT_WM831X_ON=3Dm
+CONFIG_INPUT_PCAP=3Dm
+CONFIG_INPUT_ADXL34X=3Dm
+CONFIG_INPUT_ADXL34X_I2C=3Dm
+CONFIG_INPUT_ADXL34X_SPI=3Dm
+CONFIG_INPUT_IMS_PCU=3Dm
+CONFIG_INPUT_CMA3000=3Dm
+CONFIG_INPUT_CMA3000_I2C=3Dm
+CONFIG_INPUT_XEN_KBDDEV_FRONTEND=3Dm
+CONFIG_INPUT_IDEAPAD_SLIDEBAR=3Dm
+CONFIG_INPUT_SOC_BUTTON_ARRAY=3Dm
+CONFIG_INPUT_DRV260X_HAPTICS=3Dm
+CONFIG_INPUT_DRV2665_HAPTICS=3Dm
+CONFIG_INPUT_DRV2667_HAPTICS=3Dm
+CONFIG_INPUT_RAVE_SP_PWRBUTTON=3Dm
+CONFIG_RMI4_CORE=3Dm
+CONFIG_RMI4_I2C=3Dm
+CONFIG_RMI4_SPI=3Dm
+CONFIG_RMI4_SMB=3Dm
+CONFIG_RMI4_F03=3Dy
+CONFIG_RMI4_F03_SERIO=3Dm
+CONFIG_RMI4_2D_SENSOR=3Dy
+CONFIG_RMI4_F11=3Dy
+CONFIG_RMI4_F12=3Dy
+CONFIG_RMI4_F30=3Dy
+# CONFIG_RMI4_F34 is not set
+# CONFIG_RMI4_F54 is not set
+CONFIG_RMI4_F55=3Dy
+
+#
+# Hardware I/O ports
+#
+CONFIG_SERIO=3Dy
+CONFIG_ARCH_MIGHT_HAVE_PC_SERIO=3Dy
+CONFIG_SERIO_I8042=3Dy
+CONFIG_SERIO_SERPORT=3Dm
+CONFIG_SERIO_CT82C710=3Dm
+CONFIG_SERIO_PARKBD=3Dm
+CONFIG_SERIO_PCIPS2=3Dm
+CONFIG_SERIO_LIBPS2=3Dy
+CONFIG_SERIO_RAW=3Dm
+CONFIG_SERIO_ALTERA_PS2=3Dm
+CONFIG_SERIO_PS2MULT=3Dm
+CONFIG_SERIO_ARC_PS2=3Dm
+CONFIG_HYPERV_KEYBOARD=3Dm
+CONFIG_SERIO_GPIO_PS2=3Dm
+CONFIG_USERIO=3Dm
+CONFIG_GAMEPORT=3Dm
+CONFIG_GAMEPORT_NS558=3Dm
+CONFIG_GAMEPORT_L4=3Dm
+CONFIG_GAMEPORT_EMU10K1=3Dm
+CONFIG_GAMEPORT_FM801=3Dm
+# end of Hardware I/O ports
+# end of Input device support
+
+#
+# Character devices
+#
+CONFIG_TTY=3Dy
+CONFIG_VT=3Dy
+CONFIG_CONSOLE_TRANSLATIONS=3Dy
+CONFIG_VT_CONSOLE=3Dy
+CONFIG_VT_CONSOLE_SLEEP=3Dy
+CONFIG_HW_CONSOLE=3Dy
+CONFIG_VT_HW_CONSOLE_BINDING=3Dy
+CONFIG_UNIX98_PTYS=3Dy
+CONFIG_LEGACY_PTYS=3Dy
+CONFIG_LEGACY_PTY_COUNT=3D0
+CONFIG_SERIAL_NONSTANDARD=3Dy
+CONFIG_ROCKETPORT=3Dm
+CONFIG_CYCLADES=3Dm
+# CONFIG_CYZ_INTR is not set
+CONFIG_MOXA_INTELLIO=3Dm
+CONFIG_MOXA_SMARTIO=3Dm
+CONFIG_SYNCLINK=3Dm
+CONFIG_SYNCLINKMP=3Dm
+CONFIG_SYNCLINK_GT=3Dm
+CONFIG_NOZOMI=3Dm
+CONFIG_ISI=3Dm
+CONFIG_N_HDLC=3Dm
+CONFIG_N_GSM=3Dm
+CONFIG_TRACE_ROUTER=3Dm
+CONFIG_TRACE_SINK=3Dm
+CONFIG_NULL_TTY=3Dm
+CONFIG_LDISC_AUTOLOAD=3Dy
+CONFIG_DEVMEM=3Dy
+# CONFIG_DEVKMEM is not set
+
+#
+# Serial drivers
+#
+CONFIG_SERIAL_EARLYCON=3Dy
+CONFIG_SERIAL_8250=3Dy
+# CONFIG_SERIAL_8250_DEPRECATED_OPTIONS is not set
+CONFIG_SERIAL_8250_PNP=3Dy
+# CONFIG_SERIAL_8250_FINTEK is not set
+CONFIG_SERIAL_8250_CONSOLE=3Dy
+CONFIG_SERIAL_8250_DMA=3Dy
+CONFIG_SERIAL_8250_PCI=3Dy
+CONFIG_SERIAL_8250_EXAR=3Dm
+CONFIG_SERIAL_8250_CS=3Dm
+CONFIG_SERIAL_8250_MEN_MCB=3Dm
+CONFIG_SERIAL_8250_NR_UARTS=3D48
+CONFIG_SERIAL_8250_RUNTIME_UARTS=3D32
+CONFIG_SERIAL_8250_EXTENDED=3Dy
+CONFIG_SERIAL_8250_MANY_PORTS=3Dy
+CONFIG_SERIAL_8250_FOURPORT=3Dm
+CONFIG_SERIAL_8250_ACCENT=3Dm
+CONFIG_SERIAL_8250_BOCA=3Dm
+CONFIG_SERIAL_8250_EXAR_ST16C554=3Dm
+CONFIG_SERIAL_8250_HUB6=3Dm
+CONFIG_SERIAL_8250_SHARE_IRQ=3Dy
+# CONFIG_SERIAL_8250_DETECT_IRQ is not set
+CONFIG_SERIAL_8250_RSA=3Dy
+CONFIG_SERIAL_8250_DWLIB=3Dy
+CONFIG_SERIAL_8250_DW=3Dm
+CONFIG_SERIAL_8250_RT288X=3Dy
+CONFIG_SERIAL_8250_LPSS=3Dm
+CONFIG_SERIAL_8250_MID=3Dm
+
+#
+# Non-8250 serial port support
+#
+CONFIG_SERIAL_KGDB_NMI=3Dy
+CONFIG_SERIAL_MAX3100=3Dm
+CONFIG_SERIAL_MAX310X=3Dy
+CONFIG_SERIAL_UARTLITE=3Dm
+CONFIG_SERIAL_UARTLITE_NR_UARTS=3D1
+CONFIG_SERIAL_CORE=3Dy
+CONFIG_SERIAL_CORE_CONSOLE=3Dy
+CONFIG_CONSOLE_POLL=3Dy
+CONFIG_SERIAL_JSM=3Dm
+CONFIG_SERIAL_SCCNXP=3Dy
+CONFIG_SERIAL_SCCNXP_CONSOLE=3Dy
+CONFIG_SERIAL_SC16IS7XX_CORE=3Dm
+CONFIG_SERIAL_SC16IS7XX=3Dm
+CONFIG_SERIAL_SC16IS7XX_I2C=3Dy
+CONFIG_SERIAL_SC16IS7XX_SPI=3Dy
+CONFIG_SERIAL_TIMBERDALE=3Dm
+CONFIG_SERIAL_ALTERA_JTAGUART=3Dm
+CONFIG_SERIAL_ALTERA_UART=3Dm
+CONFIG_SERIAL_ALTERA_UART_MAXPORTS=3D4
+CONFIG_SERIAL_ALTERA_UART_BAUDRATE=3D115200
+# CONFIG_SERIAL_IFX6X60 is not set
+CONFIG_SERIAL_PCH_UART=3Dm
+CONFIG_SERIAL_ARC=3Dm
+CONFIG_SERIAL_ARC_NR_PORTS=3D1
+CONFIG_SERIAL_RP2=3Dm
+CONFIG_SERIAL_RP2_NR_UARTS=3D32
+CONFIG_SERIAL_FSL_LPUART=3Dm
+CONFIG_SERIAL_FSL_LINFLEXUART=3Dm
+CONFIG_SERIAL_MEN_Z135=3Dm
+# end of Serial drivers
+
+CONFIG_SERIAL_MCTRL_GPIO=3Dy
+CONFIG_SERIAL_DEV_BUS=3Dy
+CONFIG_SERIAL_DEV_CTRL_TTYPORT=3Dy
+CONFIG_TTY_PRINTK=3Dy
+CONFIG_TTY_PRINTK_LEVEL=3D6
+CONFIG_PRINTER=3Dm
+# CONFIG_LP_CONSOLE is not set
+CONFIG_PPDEV=3Dm
+CONFIG_HVC_DRIVER=3Dy
+CONFIG_HVC_IRQ=3Dy
+CONFIG_HVC_XEN=3Dy
+CONFIG_HVC_XEN_FRONTEND=3Dy
+CONFIG_VIRTIO_CONSOLE=3Dy
+CONFIG_IPMI_HANDLER=3Dm
+CONFIG_IPMI_DMI_DECODE=3Dy
+CONFIG_IPMI_PLAT_DATA=3Dy
+# CONFIG_IPMI_PANIC_EVENT is not set
+CONFIG_IPMI_DEVICE_INTERFACE=3Dm
+CONFIG_IPMI_SI=3Dm
+CONFIG_IPMI_SSIF=3Dm
+CONFIG_IPMI_WATCHDOG=3Dm
+CONFIG_IPMI_POWEROFF=3Dm
+CONFIG_IPMB_DEVICE_INTERFACE=3Dm
+CONFIG_HW_RANDOM=3Dy
+CONFIG_HW_RANDOM_TIMERIOMEM=3Dm
+CONFIG_HW_RANDOM_INTEL=3Dm
+CONFIG_HW_RANDOM_AMD=3Dm
+CONFIG_HW_RANDOM_GEODE=3Dm
+CONFIG_HW_RANDOM_VIA=3Dm
+CONFIG_HW_RANDOM_VIRTIO=3Dm
+CONFIG_NVRAM=3Dm
+CONFIG_DTLK=3Dm
+CONFIG_APPLICOM=3Dm
+CONFIG_SONYPI=3Dm
+
+#
+# PCMCIA character devices
+#
+CONFIG_SYNCLINK_CS=3Dm
+CONFIG_CARDMAN_4000=3Dm
+CONFIG_CARDMAN_4040=3Dm
+CONFIG_SCR24X=3Dm
+CONFIG_IPWIRELESS=3Dm
+# end of PCMCIA character devices
+
+CONFIG_MWAVE=3Dm
+CONFIG_SCx200_GPIO=3Dm
+CONFIG_PC8736x_GPIO=3Dm
+CONFIG_NSC_GPIO=3Dm
+CONFIG_RAW_DRIVER=3Dm
+CONFIG_MAX_RAW_DEVS=3D256
+CONFIG_HPET=3Dy
+CONFIG_HPET_MMAP=3Dy
+CONFIG_HPET_MMAP_DEFAULT=3Dy
+CONFIG_HANGCHECK_TIMER=3Dm
+CONFIG_TCG_TPM=3Dy
+CONFIG_HW_RANDOM_TPM=3Dy
+CONFIG_TCG_TIS_CORE=3Dy
+CONFIG_TCG_TIS=3Dy
+CONFIG_TCG_TIS_SPI=3Dm
+CONFIG_TCG_TIS_I2C_ATMEL=3Dm
+CONFIG_TCG_TIS_I2C_INFINEON=3Dm
+CONFIG_TCG_TIS_I2C_NUVOTON=3Dm
+CONFIG_TCG_NSC=3Dm
+CONFIG_TCG_ATMEL=3Dm
+CONFIG_TCG_INFINEON=3Dm
+CONFIG_TCG_XEN=3Dm
+CONFIG_TCG_CRB=3Dy
+CONFIG_TCG_VTPM_PROXY=3Dm
+CONFIG_TCG_TIS_ST33ZP24=3Dm
+CONFIG_TCG_TIS_ST33ZP24_I2C=3Dm
+CONFIG_TCG_TIS_ST33ZP24_SPI=3Dm
+CONFIG_TELCLOCK=3Dm
+CONFIG_DEVPORT=3Dy
+CONFIG_XILLYBUS=3Dm
+CONFIG_XILLYBUS_PCIE=3Dm
+# end of Character devices
+
+# CONFIG_RANDOM_TRUST_CPU is not set
+# CONFIG_RANDOM_TRUST_BOOTLOADER is not set
+
+#
+# I2C support
+#
+CONFIG_I2C=3Dy
+CONFIG_ACPI_I2C_OPREGION=3Dy
+CONFIG_I2C_BOARDINFO=3Dy
+CONFIG_I2C_COMPAT=3Dy
+CONFIG_I2C_CHARDEV=3Dy
+CONFIG_I2C_MUX=3Dm
+
+#
+# Multiplexer I2C Chip support
+#
+CONFIG_I2C_MUX_GPIO=3Dm
+CONFIG_I2C_MUX_LTC4306=3Dm
+CONFIG_I2C_MUX_PCA9541=3Dm
+CONFIG_I2C_MUX_PCA954x=3Dm
+CONFIG_I2C_MUX_REG=3Dm
+CONFIG_I2C_MUX_MLXCPLD=3Dm
+# end of Multiplexer I2C Chip support
+
+CONFIG_I2C_HELPER_AUTO=3Dy
+CONFIG_I2C_SMBUS=3Dm
+CONFIG_I2C_ALGOBIT=3Dm
+CONFIG_I2C_ALGOPCA=3Dm
+
+#
+# I2C Hardware Bus support
+#
+
+#
+# PC SMBus host controller drivers
+#
+CONFIG_I2C_ALI1535=3Dm
+CONFIG_I2C_ALI1563=3Dm
+CONFIG_I2C_ALI15X3=3Dm
+CONFIG_I2C_AMD756=3Dm
+CONFIG_I2C_AMD756_S4882=3Dm
+CONFIG_I2C_AMD8111=3Dm
+CONFIG_I2C_AMD_MP2=3Dm
+CONFIG_I2C_I801=3Dm
+CONFIG_I2C_ISCH=3Dm
+CONFIG_I2C_ISMT=3Dm
+CONFIG_I2C_PIIX4=3Dm
+CONFIG_I2C_CHT_WC=3Dm
+CONFIG_I2C_NFORCE2=3Dm
+CONFIG_I2C_NFORCE2_S4985=3Dm
+CONFIG_I2C_NVIDIA_GPU=3Dm
+CONFIG_I2C_SIS5595=3Dm
+CONFIG_I2C_SIS630=3Dm
+CONFIG_I2C_SIS96X=3Dm
+CONFIG_I2C_VIA=3Dm
+CONFIG_I2C_VIAPRO=3Dm
+
+#
+# ACPI drivers
+#
+CONFIG_I2C_SCMI=3Dm
+
+#
+# I2C system bus drivers (mostly embedded / system-on-chip)
+#
+CONFIG_I2C_CBUS_GPIO=3Dm
+CONFIG_I2C_DESIGNWARE_CORE=3Dy
+CONFIG_I2C_DESIGNWARE_PLATFORM=3Dy
+# CONFIG_I2C_DESIGNWARE_SLAVE is not set
+CONFIG_I2C_DESIGNWARE_PCI=3Dm
+CONFIG_I2C_DESIGNWARE_BAYTRAIL=3Dy
+CONFIG_I2C_EG20T=3Dm
+CONFIG_I2C_EMEV2=3Dm
+CONFIG_I2C_GPIO=3Dm
+# CONFIG_I2C_GPIO_FAULT_INJECTOR is not set
+CONFIG_I2C_KEMPLD=3Dm
+CONFIG_I2C_OCORES=3Dm
+CONFIG_I2C_PCA_PLATFORM=3Dm
+CONFIG_I2C_SIMTEC=3Dm
+CONFIG_I2C_XILINX=3Dm
+
+#
+# External I2C/SMBus adapter drivers
+#
+CONFIG_I2C_DIOLAN_U2C=3Dm
+CONFIG_I2C_DLN2=3Dm
+CONFIG_I2C_PARPORT=3Dm
+CONFIG_I2C_PARPORT_LIGHT=3Dm
+CONFIG_I2C_ROBOTFUZZ_OSIF=3Dm
+CONFIG_I2C_TAOS_EVM=3Dm
+CONFIG_I2C_TINY_USB=3Dm
+CONFIG_I2C_VIPERBOARD=3Dm
+
+#
+# Other I2C/SMBus bus drivers
+#
+CONFIG_I2C_PCA_ISA=3Dm
+CONFIG_I2C_CROS_EC_TUNNEL=3Dm
+CONFIG_SCx200_ACB=3Dm
+# end of I2C Hardware Bus support
+
+CONFIG_I2C_STUB=3Dm
+CONFIG_I2C_SLAVE=3Dy
+CONFIG_I2C_SLAVE_EEPROM=3Dm
+# CONFIG_I2C_DEBUG_CORE is not set
+# CONFIG_I2C_DEBUG_ALGO is not set
+# CONFIG_I2C_DEBUG_BUS is not set
+# end of I2C support
+
+CONFIG_I3C=3Dm
+CONFIG_CDNS_I3C_MASTER=3Dm
+CONFIG_DW_I3C_MASTER=3Dm
+CONFIG_SPI=3Dy
+# CONFIG_SPI_DEBUG is not set
+CONFIG_SPI_MASTER=3Dy
+CONFIG_SPI_MEM=3Dy
+
+#
+# SPI Master Controller Drivers
+#
+CONFIG_SPI_ALTERA=3Dm
+CONFIG_SPI_AXI_SPI_ENGINE=3Dm
+CONFIG_SPI_BITBANG=3Dm
+CONFIG_SPI_BUTTERFLY=3Dm
+CONFIG_SPI_CADENCE=3Dm
+CONFIG_SPI_DESIGNWARE=3Dm
+CONFIG_SPI_DW_PCI=3Dm
+CONFIG_SPI_DW_MID_DMA=3Dy
+CONFIG_SPI_DW_MMIO=3Dm
+CONFIG_SPI_DLN2=3Dm
+CONFIG_SPI_NXP_FLEXSPI=3Dm
+CONFIG_SPI_GPIO=3Dm
+CONFIG_SPI_LM70_LLP=3Dm
+CONFIG_SPI_OC_TINY=3Dm
+CONFIG_SPI_PXA2XX=3Dm
+CONFIG_SPI_PXA2XX_PCI=3Dm
+CONFIG_SPI_ROCKCHIP=3Dm
+CONFIG_SPI_SC18IS602=3Dm
+CONFIG_SPI_SIFIVE=3Dm
+CONFIG_SPI_MXIC=3Dm
+CONFIG_SPI_TOPCLIFF_PCH=3Dm
+CONFIG_SPI_XCOMM=3Dm
+# CONFIG_SPI_XILINX is not set
+CONFIG_SPI_ZYNQMP_GQSPI=3Dm
+
+#
+# SPI Protocol Masters
+#
+CONFIG_SPI_SPIDEV=3Dm
+# CONFIG_SPI_LOOPBACK_TEST is not set
+CONFIG_SPI_TLE62X0=3Dm
+# CONFIG_SPI_SLAVE is not set
+CONFIG_SPMI=3Dm
+CONFIG_HSI=3Dm
+CONFIG_HSI_BOARDINFO=3Dy
+
+#
+# HSI controllers
+#
+
+#
+# HSI clients
+#
+CONFIG_HSI_CHAR=3Dm
+CONFIG_PPS=3Dm
+# CONFIG_PPS_DEBUG is not set
+
+#
+# PPS clients support
+#
+# CONFIG_PPS_CLIENT_KTIMER is not set
+CONFIG_PPS_CLIENT_LDISC=3Dm
+CONFIG_PPS_CLIENT_PARPORT=3Dm
+CONFIG_PPS_CLIENT_GPIO=3Dm
+
+#
+# PPS generators support
+#
+
+#
+# PTP clock support
+#
+CONFIG_PTP_1588_CLOCK=3Dm
+
+#
+# Enable PHYLIB and NETWORK_PHY_TIMESTAMPING to see the additional clocks.
+#
+CONFIG_PTP_1588_CLOCK_PCH=3Dm
+CONFIG_PTP_1588_CLOCK_KVM=3Dm
+# end of PTP clock support
+
+CONFIG_PINCTRL=3Dy
+CONFIG_PINMUX=3Dy
+CONFIG_PINCONF=3Dy
+CONFIG_GENERIC_PINCONF=3Dy
+# CONFIG_DEBUG_PINCTRL is not set
+CONFIG_PINCTRL_AMD=3Dy
+CONFIG_PINCTRL_MCP23S08=3Dm
+CONFIG_PINCTRL_SX150X=3Dy
+CONFIG_PINCTRL_BAYTRAIL=3Dy
+CONFIG_PINCTRL_CHERRYVIEW=3Dm
+CONFIG_PINCTRL_MERRIFIELD=3Dm
+CONFIG_PINCTRL_INTEL=3Dm
+CONFIG_PINCTRL_BROXTON=3Dm
+CONFIG_PINCTRL_CANNONLAKE=3Dm
+CONFIG_PINCTRL_CEDARFORK=3Dm
+CONFIG_PINCTRL_DENVERTON=3Dm
+CONFIG_PINCTRL_GEMINILAKE=3Dm
+CONFIG_PINCTRL_ICELAKE=3Dm
+CONFIG_PINCTRL_LEWISBURG=3Dm
+CONFIG_PINCTRL_SUNRISEPOINT=3Dm
+CONFIG_PINCTRL_MADERA=3Dm
+CONFIG_GPIOLIB=3Dy
+CONFIG_GPIOLIB_FASTPATH_LIMIT=3D512
+CONFIG_GPIO_ACPI=3Dy
+CONFIG_GPIOLIB_IRQCHIP=3Dy
+# CONFIG_DEBUG_GPIO is not set
+CONFIG_GPIO_SYSFS=3Dy
+CONFIG_GPIO_GENERIC=3Dm
+CONFIG_GPIO_MAX730X=3Dm
+
+#
+# Memory mapped GPIO drivers
+#
+CONFIG_GPIO_AMDPT=3Dm
+CONFIG_GPIO_DWAPB=3Dm
+CONFIG_GPIO_EXAR=3Dm
+CONFIG_GPIO_GENERIC_PLATFORM=3Dm
+CONFIG_GPIO_ICH=3Dm
+CONFIG_GPIO_LYNXPOINT=3Dy
+CONFIG_GPIO_MB86S7X=3Dm
+CONFIG_GPIO_MENZ127=3Dm
+CONFIG_GPIO_VX855=3Dm
+CONFIG_GPIO_XILINX=3Dm
+CONFIG_GPIO_AMD_FCH=3Dm
+# end of Memory mapped GPIO drivers
+
+#
+# Port-mapped I/O GPIO drivers
+#
+CONFIG_GPIO_F7188X=3Dm
+CONFIG_GPIO_IT87=3Dm
+CONFIG_GPIO_SCH=3Dm
+CONFIG_GPIO_SCH311X=3Dm
+CONFIG_GPIO_WINBOND=3Dm
+CONFIG_GPIO_WS16C48=3Dm
+# end of Port-mapped I/O GPIO drivers
+
+#
+# I2C GPIO expanders
+#
+CONFIG_GPIO_ADP5588=3Dm
+CONFIG_GPIO_MAX7300=3Dm
+CONFIG_GPIO_MAX732X=3Dm
+CONFIG_GPIO_PCA953X=3Dm
+CONFIG_GPIO_PCF857X=3Dm
+CONFIG_GPIO_TPIC2810=3Dm
+# end of I2C GPIO expanders
+
+#
+# MFD GPIO expanders
+#
+CONFIG_GPIO_ADP5520=3Dm
+CONFIG_GPIO_ARIZONA=3Dm
+CONFIG_GPIO_BD9571MWV=3Dm
+CONFIG_GPIO_CRYSTAL_COVE=3Dm
+CONFIG_GPIO_CS5535=3Dm
+CONFIG_GPIO_DA9052=3Dm
+CONFIG_GPIO_DA9055=3Dm
+CONFIG_GPIO_DLN2=3Dm
+CONFIG_GPIO_JANZ_TTL=3Dm
+CONFIG_GPIO_KEMPLD=3Dm
+CONFIG_GPIO_LP3943=3Dm
+CONFIG_GPIO_LP873X=3Dm
+CONFIG_GPIO_MADERA=3Dm
+CONFIG_GPIO_MSIC=3Dy
+CONFIG_GPIO_PALMAS=3Dy
+CONFIG_GPIO_RC5T583=3Dy
+CONFIG_GPIO_TIMBERDALE=3Dy
+CONFIG_GPIO_TPS65086=3Dm
+CONFIG_GPIO_TPS6586X=3Dy
+CONFIG_GPIO_TPS65910=3Dy
+CONFIG_GPIO_TPS65912=3Dm
+CONFIG_GPIO_TQMX86=3Dm
+CONFIG_GPIO_TWL4030=3Dm
+CONFIG_GPIO_TWL6040=3Dm
+CONFIG_GPIO_UCB1400=3Dm
+CONFIG_GPIO_WHISKEY_COVE=3Dm
+CONFIG_GPIO_WM831X=3Dm
+CONFIG_GPIO_WM8350=3Dm
+CONFIG_GPIO_WM8994=3Dm
+# end of MFD GPIO expanders
+
+#
+# PCI GPIO expanders
+#
+CONFIG_GPIO_AMD8111=3Dm
+CONFIG_GPIO_INTEL_MID=3Dy
+CONFIG_GPIO_MERRIFIELD=3Dm
+CONFIG_GPIO_ML_IOH=3Dm
+CONFIG_GPIO_PCH=3Dm
+CONFIG_GPIO_PCI_IDIO_16=3Dm
+CONFIG_GPIO_PCIE_IDIO_24=3Dm
+CONFIG_GPIO_RDC321X=3Dm
+# end of PCI GPIO expanders
+
+#
+# SPI GPIO expanders
+#
+CONFIG_GPIO_MAX3191X=3Dm
+CONFIG_GPIO_MAX7301=3Dm
+CONFIG_GPIO_MC33880=3Dm
+CONFIG_GPIO_PISOSR=3Dm
+CONFIG_GPIO_XRA1403=3Dm
+# end of SPI GPIO expanders
+
+#
+# USB GPIO expanders
+#
+CONFIG_GPIO_VIPERBOARD=3Dm
+# end of USB GPIO expanders
+
+# CONFIG_GPIO_MOCKUP is not set
+CONFIG_W1=3Dm
+CONFIG_W1_CON=3Dy
+
+#
+# 1-wire Bus Masters
+#
+CONFIG_W1_MASTER_MATROX=3Dm
+CONFIG_W1_MASTER_DS2490=3Dm
+CONFIG_W1_MASTER_DS2482=3Dm
+CONFIG_W1_MASTER_DS1WM=3Dm
+CONFIG_W1_MASTER_GPIO=3Dm
+CONFIG_W1_MASTER_SGI=3Dm
+# end of 1-wire Bus Masters
+
+#
+# 1-wire Slaves
+#
+CONFIG_W1_SLAVE_THERM=3Dm
+CONFIG_W1_SLAVE_SMEM=3Dm
+CONFIG_W1_SLAVE_DS2405=3Dm
+CONFIG_W1_SLAVE_DS2408=3Dm
+CONFIG_W1_SLAVE_DS2408_READBACK=3Dy
+CONFIG_W1_SLAVE_DS2413=3Dm
+CONFIG_W1_SLAVE_DS2406=3Dm
+CONFIG_W1_SLAVE_DS2423=3Dm
+CONFIG_W1_SLAVE_DS2805=3Dm
+CONFIG_W1_SLAVE_DS2431=3Dm
+CONFIG_W1_SLAVE_DS2433=3Dm
+# CONFIG_W1_SLAVE_DS2433_CRC is not set
+CONFIG_W1_SLAVE_DS2438=3Dm
+CONFIG_W1_SLAVE_DS250X=3Dm
+CONFIG_W1_SLAVE_DS2780=3Dm
+CONFIG_W1_SLAVE_DS2781=3Dm
+CONFIG_W1_SLAVE_DS28E04=3Dm
+CONFIG_W1_SLAVE_DS28E17=3Dm
+# end of 1-wire Slaves
+
+CONFIG_POWER_AVS=3Dy
+CONFIG_POWER_RESET=3Dy
+CONFIG_POWER_RESET_RESTART=3Dy
+CONFIG_POWER_SUPPLY=3Dy
+# CONFIG_POWER_SUPPLY_DEBUG is not set
+CONFIG_POWER_SUPPLY_HWMON=3Dy
+CONFIG_PDA_POWER=3Dm
+CONFIG_GENERIC_ADC_BATTERY=3Dm
+CONFIG_MAX8925_POWER=3Dm
+CONFIG_WM831X_BACKUP=3Dm
+CONFIG_WM831X_POWER=3Dm
+CONFIG_WM8350_POWER=3Dm
+CONFIG_TEST_POWER=3Dm
+CONFIG_BATTERY_88PM860X=3Dm
+CONFIG_CHARGER_ADP5061=3Dm
+CONFIG_BATTERY_DS2760=3Dm
+CONFIG_BATTERY_DS2780=3Dm
+CONFIG_BATTERY_DS2781=3Dm
+CONFIG_BATTERY_DS2782=3Dm
+CONFIG_BATTERY_SBS=3Dm
+CONFIG_CHARGER_SBS=3Dm
+CONFIG_MANAGER_SBS=3Dm
+CONFIG_BATTERY_BQ27XXX=3Dm
+CONFIG_BATTERY_BQ27XXX_I2C=3Dm
+CONFIG_BATTERY_BQ27XXX_HDQ=3Dm
+# CONFIG_BATTERY_BQ27XXX_DT_UPDATES_NVM is not set
+CONFIG_BATTERY_DA9030=3Dm
+CONFIG_BATTERY_DA9052=3Dm
+CONFIG_CHARGER_DA9150=3Dm
+CONFIG_BATTERY_DA9150=3Dm
+CONFIG_CHARGER_AXP20X=3Dm
+CONFIG_BATTERY_AXP20X=3Dm
+CONFIG_AXP20X_POWER=3Dm
+CONFIG_AXP288_CHARGER=3Dm
+CONFIG_AXP288_FUEL_GAUGE=3Dm
+CONFIG_BATTERY_MAX17040=3Dm
+CONFIG_BATTERY_MAX17042=3Dm
+CONFIG_BATTERY_MAX1721X=3Dm
+CONFIG_BATTERY_TWL4030_MADC=3Dm
+CONFIG_CHARGER_88PM860X=3Dm
+CONFIG_CHARGER_PCF50633=3Dm
+CONFIG_BATTERY_RX51=3Dm
+CONFIG_CHARGER_ISP1704=3Dm
+CONFIG_CHARGER_MAX8903=3Dm
+CONFIG_CHARGER_TWL4030=3Dm
+CONFIG_CHARGER_LP8727=3Dm
+CONFIG_CHARGER_LP8788=3Dm
+CONFIG_CHARGER_GPIO=3Dm
+CONFIG_CHARGER_MANAGER=3Dy
+CONFIG_CHARGER_LT3651=3Dm
+CONFIG_CHARGER_MAX14577=3Dm
+CONFIG_CHARGER_MAX77693=3Dm
+CONFIG_CHARGER_MAX8997=3Dm
+CONFIG_CHARGER_MAX8998=3Dm
+CONFIG_CHARGER_BQ2415X=3Dm
+CONFIG_CHARGER_BQ24190=3Dm
+CONFIG_CHARGER_BQ24257=3Dm
+CONFIG_CHARGER_BQ24735=3Dm
+CONFIG_CHARGER_BQ25890=3Dm
+CONFIG_CHARGER_SMB347=3Dm
+CONFIG_CHARGER_TPS65090=3Dm
+CONFIG_BATTERY_GAUGE_LTC2941=3Dm
+CONFIG_BATTERY_RT5033=3Dm
+CONFIG_CHARGER_RT9455=3Dm
+CONFIG_CHARGER_CROS_USBPD=3Dm
+CONFIG_CHARGER_WILCO=3Dm
+CONFIG_HWMON=3Dy
+CONFIG_HWMON_VID=3Dm
+# CONFIG_HWMON_DEBUG_CHIP is not set
+
+#
+# Native drivers
+#
+CONFIG_SENSORS_ABITUGURU=3Dm
+CONFIG_SENSORS_ABITUGURU3=3Dm
+CONFIG_SENSORS_AD7314=3Dm
+CONFIG_SENSORS_AD7414=3Dm
+CONFIG_SENSORS_AD7418=3Dm
+CONFIG_SENSORS_ADM1021=3Dm
+CONFIG_SENSORS_ADM1025=3Dm
+CONFIG_SENSORS_ADM1026=3Dm
+CONFIG_SENSORS_ADM1029=3Dm
+CONFIG_SENSORS_ADM1031=3Dm
+CONFIG_SENSORS_ADM9240=3Dm
+CONFIG_SENSORS_ADT7X10=3Dm
+CONFIG_SENSORS_ADT7310=3Dm
+CONFIG_SENSORS_ADT7410=3Dm
+CONFIG_SENSORS_ADT7411=3Dm
+CONFIG_SENSORS_ADT7462=3Dm
+CONFIG_SENSORS_ADT7470=3Dm
+CONFIG_SENSORS_ADT7475=3Dm
+CONFIG_SENSORS_AS370=3Dm
+CONFIG_SENSORS_ASC7621=3Dm
+CONFIG_SENSORS_K8TEMP=3Dm
+CONFIG_SENSORS_K10TEMP=3Dm
+CONFIG_SENSORS_FAM15H_POWER=3Dm
+CONFIG_SENSORS_APPLESMC=3Dm
+CONFIG_SENSORS_ASB100=3Dm
+CONFIG_SENSORS_ASPEED=3Dm
+CONFIG_SENSORS_ATXP1=3Dm
+CONFIG_SENSORS_DS620=3Dm
+CONFIG_SENSORS_DS1621=3Dm
+CONFIG_SENSORS_DELL_SMM=3Dm
+CONFIG_SENSORS_DA9052_ADC=3Dm
+CONFIG_SENSORS_DA9055=3Dm
+CONFIG_SENSORS_I5K_AMB=3Dm
+CONFIG_SENSORS_F71805F=3Dm
+CONFIG_SENSORS_F71882FG=3Dm
+CONFIG_SENSORS_F75375S=3Dm
+CONFIG_SENSORS_MC13783_ADC=3Dm
+CONFIG_SENSORS_FSCHMD=3Dm
+CONFIG_SENSORS_FTSTEUTATES=3Dm
+CONFIG_SENSORS_GL518SM=3Dm
+CONFIG_SENSORS_GL520SM=3Dm
+CONFIG_SENSORS_G760A=3Dm
+CONFIG_SENSORS_G762=3Dm
+CONFIG_SENSORS_HIH6130=3Dm
+CONFIG_SENSORS_IBMAEM=3Dm
+CONFIG_SENSORS_IBMPEX=3Dm
+CONFIG_SENSORS_IIO_HWMON=3Dm
+CONFIG_SENSORS_I5500=3Dm
+CONFIG_SENSORS_CORETEMP=3Dm
+CONFIG_SENSORS_IT87=3Dm
+CONFIG_SENSORS_JC42=3Dm
+CONFIG_SENSORS_POWR1220=3Dm
+CONFIG_SENSORS_LINEAGE=3Dm
+CONFIG_SENSORS_LTC2945=3Dm
+CONFIG_SENSORS_LTC2990=3Dm
+CONFIG_SENSORS_LTC4151=3Dm
+CONFIG_SENSORS_LTC4215=3Dm
+CONFIG_SENSORS_LTC4222=3Dm
+CONFIG_SENSORS_LTC4245=3Dm
+CONFIG_SENSORS_LTC4260=3Dm
+CONFIG_SENSORS_LTC4261=3Dm
+CONFIG_SENSORS_MAX1111=3Dm
+CONFIG_SENSORS_MAX16065=3Dm
+CONFIG_SENSORS_MAX1619=3Dm
+CONFIG_SENSORS_MAX1668=3Dm
+CONFIG_SENSORS_MAX197=3Dm
+CONFIG_SENSORS_MAX31722=3Dm
+CONFIG_SENSORS_MAX6621=3Dm
+CONFIG_SENSORS_MAX6639=3Dm
+CONFIG_SENSORS_MAX6642=3Dm
+CONFIG_SENSORS_MAX6650=3Dm
+CONFIG_SENSORS_MAX6697=3Dm
+CONFIG_SENSORS_MAX31790=3Dm
+CONFIG_SENSORS_MCP3021=3Dm
+CONFIG_SENSORS_TC654=3Dm
+CONFIG_SENSORS_MENF21BMC_HWMON=3Dm
+CONFIG_SENSORS_ADCXX=3Dm
+CONFIG_SENSORS_LM63=3Dm
+CONFIG_SENSORS_LM70=3Dm
+CONFIG_SENSORS_LM73=3Dm
+CONFIG_SENSORS_LM75=3Dm
+CONFIG_SENSORS_LM77=3Dm
+CONFIG_SENSORS_LM78=3Dm
+CONFIG_SENSORS_LM80=3Dm
+CONFIG_SENSORS_LM83=3Dm
+CONFIG_SENSORS_LM85=3Dm
+CONFIG_SENSORS_LM87=3Dm
+CONFIG_SENSORS_LM90=3Dm
+CONFIG_SENSORS_LM92=3Dm
+CONFIG_SENSORS_LM93=3Dm
+CONFIG_SENSORS_LM95234=3Dm
+CONFIG_SENSORS_LM95241=3Dm
+CONFIG_SENSORS_LM95245=3Dm
+CONFIG_SENSORS_PC87360=3Dm
+CONFIG_SENSORS_PC87427=3Dm
+CONFIG_SENSORS_NTC_THERMISTOR=3Dm
+CONFIG_SENSORS_NCT6683=3Dm
+CONFIG_SENSORS_NCT6775=3Dm
+CONFIG_SENSORS_NCT7802=3Dm
+CONFIG_SENSORS_NCT7904=3Dm
+CONFIG_SENSORS_NPCM7XX=3Dm
+CONFIG_SENSORS_PCF8591=3Dm
+CONFIG_PMBUS=3Dm
+CONFIG_SENSORS_PMBUS=3Dm
+CONFIG_SENSORS_ADM1275=3Dm
+CONFIG_SENSORS_IBM_CFFPS=3Dm
+CONFIG_SENSORS_INSPUR_IPSPS=3Dm
+CONFIG_SENSORS_IR35221=3Dm
+CONFIG_SENSORS_IR38064=3Dm
+CONFIG_SENSORS_IRPS5401=3Dm
+CONFIG_SENSORS_ISL68137=3Dm
+CONFIG_SENSORS_LM25066=3Dm
+CONFIG_SENSORS_LTC2978=3Dm
+CONFIG_SENSORS_LTC2978_REGULATOR=3Dy
+CONFIG_SENSORS_LTC3815=3Dm
+CONFIG_SENSORS_MAX16064=3Dm
+CONFIG_SENSORS_MAX20751=3Dm
+CONFIG_SENSORS_MAX31785=3Dm
+CONFIG_SENSORS_MAX34440=3Dm
+CONFIG_SENSORS_MAX8688=3Dm
+CONFIG_SENSORS_PXE1610=3Dm
+CONFIG_SENSORS_TPS40422=3Dm
+CONFIG_SENSORS_TPS53679=3Dm
+CONFIG_SENSORS_UCD9000=3Dm
+CONFIG_SENSORS_UCD9200=3Dm
+CONFIG_SENSORS_ZL6100=3Dm
+CONFIG_SENSORS_SHT15=3Dm
+CONFIG_SENSORS_SHT21=3Dm
+CONFIG_SENSORS_SHT3x=3Dm
+CONFIG_SENSORS_SHTC1=3Dm
+CONFIG_SENSORS_SIS5595=3Dm
+CONFIG_SENSORS_DME1737=3Dm
+CONFIG_SENSORS_EMC1403=3Dm
+CONFIG_SENSORS_EMC2103=3Dm
+CONFIG_SENSORS_EMC6W201=3Dm
+CONFIG_SENSORS_SMSC47M1=3Dm
+CONFIG_SENSORS_SMSC47M192=3Dm
+CONFIG_SENSORS_SMSC47B397=3Dm
+CONFIG_SENSORS_SCH56XX_COMMON=3Dm
+CONFIG_SENSORS_SCH5627=3Dm
+CONFIG_SENSORS_SCH5636=3Dm
+CONFIG_SENSORS_STTS751=3Dm
+CONFIG_SENSORS_SMM665=3Dm
+CONFIG_SENSORS_ADC128D818=3Dm
+CONFIG_SENSORS_ADS7828=3Dm
+CONFIG_SENSORS_ADS7871=3Dm
+CONFIG_SENSORS_AMC6821=3Dm
+CONFIG_SENSORS_INA209=3Dm
+CONFIG_SENSORS_INA2XX=3Dm
+CONFIG_SENSORS_INA3221=3Dm
+CONFIG_SENSORS_TC74=3Dm
+CONFIG_SENSORS_THMC50=3Dm
+CONFIG_SENSORS_TMP102=3Dm
+CONFIG_SENSORS_TMP103=3Dm
+CONFIG_SENSORS_TMP108=3Dm
+CONFIG_SENSORS_TMP401=3Dm
+CONFIG_SENSORS_TMP421=3Dm
+CONFIG_SENSORS_VIA_CPUTEMP=3Dm
+CONFIG_SENSORS_VIA686A=3Dm
+CONFIG_SENSORS_VT1211=3Dm
+CONFIG_SENSORS_VT8231=3Dm
+CONFIG_SENSORS_W83773G=3Dm
+CONFIG_SENSORS_W83781D=3Dm
+CONFIG_SENSORS_W83791D=3Dm
+CONFIG_SENSORS_W83792D=3Dm
+CONFIG_SENSORS_W83793=3Dm
+CONFIG_SENSORS_W83795=3Dm
+# CONFIG_SENSORS_W83795_FANCTRL is not set
+CONFIG_SENSORS_W83L785TS=3Dm
+CONFIG_SENSORS_W83L786NG=3Dm
+CONFIG_SENSORS_W83627HF=3Dm
+CONFIG_SENSORS_W83627EHF=3Dm
+CONFIG_SENSORS_WM831X=3Dm
+CONFIG_SENSORS_WM8350=3Dm
+CONFIG_SENSORS_XGENE=3Dm
+
+#
+# ACPI drivers
+#
+CONFIG_SENSORS_ACPI_POWER=3Dm
+CONFIG_SENSORS_ATK0110=3Dm
+CONFIG_THERMAL=3Dy
+# CONFIG_THERMAL_STATISTICS is not set
+CONFIG_THERMAL_EMERGENCY_POWEROFF_DELAY_MS=3D0
+CONFIG_THERMAL_HWMON=3Dy
+CONFIG_THERMAL_WRITABLE_TRIPS=3Dy
+CONFIG_THERMAL_DEFAULT_GOV_STEP_WISE=3Dy
+# CONFIG_THERMAL_DEFAULT_GOV_FAIR_SHARE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_USER_SPACE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_POWER_ALLOCATOR is not set
+CONFIG_THERMAL_GOV_FAIR_SHARE=3Dy
+CONFIG_THERMAL_GOV_STEP_WISE=3Dy
+CONFIG_THERMAL_GOV_BANG_BANG=3Dy
+CONFIG_THERMAL_GOV_USER_SPACE=3Dy
+CONFIG_THERMAL_GOV_POWER_ALLOCATOR=3Dy
+CONFIG_CLOCK_THERMAL=3Dy
+CONFIG_DEVFREQ_THERMAL=3Dy
+CONFIG_THERMAL_EMULATION=3Dy
+
+#
+# Intel thermal drivers
+#
+CONFIG_INTEL_POWERCLAMP=3Dm
+CONFIG_X86_PKG_TEMP_THERMAL=3Dm
+CONFIG_INTEL_SOC_DTS_IOSF_CORE=3Dm
+CONFIG_INTEL_SOC_DTS_THERMAL=3Dm
+
+#
+# ACPI INT340X thermal drivers
+#
+CONFIG_INT340X_THERMAL=3Dm
+CONFIG_ACPI_THERMAL_REL=3Dm
+CONFIG_INT3406_THERMAL=3Dm
+# end of ACPI INT340X thermal drivers
+
+CONFIG_INTEL_BXT_PMIC_THERMAL=3Dm
+CONFIG_INTEL_PCH_THERMAL=3Dm
+# end of Intel thermal drivers
+
+CONFIG_GENERIC_ADC_THERMAL=3Dm
+CONFIG_WATCHDOG=3Dy
+CONFIG_WATCHDOG_CORE=3Dy
+# CONFIG_WATCHDOG_NOWAYOUT is not set
+CONFIG_WATCHDOG_HANDLE_BOOT_ENABLED=3Dy
+CONFIG_WATCHDOG_OPEN_TIMEOUT=3D0
+CONFIG_WATCHDOG_SYSFS=3Dy
+
+#
+# Watchdog Pretimeout Governors
+#
+# CONFIG_WATCHDOG_PRETIMEOUT_GOV is not set
+
+#
+# Watchdog Device Drivers
+#
+CONFIG_SOFT_WATCHDOG=3Dm
+CONFIG_DA9052_WATCHDOG=3Dm
+CONFIG_DA9055_WATCHDOG=3Dm
+CONFIG_DA9063_WATCHDOG=3Dm
+CONFIG_DA9062_WATCHDOG=3Dm
+CONFIG_MENF21BMC_WATCHDOG=3Dm
+CONFIG_MENZ069_WATCHDOG=3Dm
+CONFIG_WDAT_WDT=3Dm
+CONFIG_WM831X_WATCHDOG=3Dm
+CONFIG_WM8350_WATCHDOG=3Dm
+CONFIG_XILINX_WATCHDOG=3Dm
+CONFIG_ZIIRAVE_WATCHDOG=3Dm
+CONFIG_RAVE_SP_WATCHDOG=3Dm
+CONFIG_CADENCE_WATCHDOG=3Dm
+CONFIG_DW_WATCHDOG=3Dm
+CONFIG_TWL4030_WATCHDOG=3Dm
+CONFIG_MAX63XX_WATCHDOG=3Dm
+CONFIG_RETU_WATCHDOG=3Dm
+CONFIG_ACQUIRE_WDT=3Dm
+CONFIG_ADVANTECH_WDT=3Dm
+CONFIG_ALIM1535_WDT=3Dm
+CONFIG_ALIM7101_WDT=3Dm
+CONFIG_EBC_C384_WDT=3Dm
+CONFIG_F71808E_WDT=3Dm
+CONFIG_SP5100_TCO=3Dm
+CONFIG_SBC_FITPC2_WATCHDOG=3Dm
+CONFIG_EUROTECH_WDT=3Dm
+CONFIG_IB700_WDT=3Dm
+CONFIG_IBMASR=3Dm
+CONFIG_WAFER_WDT=3Dm
+CONFIG_I6300ESB_WDT=3Dm
+CONFIG_IE6XX_WDT=3Dm
+CONFIG_INTEL_SCU_WATCHDOG=3Dy
+CONFIG_INTEL_MID_WATCHDOG=3Dm
+CONFIG_ITCO_WDT=3Dm
+CONFIG_ITCO_VENDOR_SUPPORT=3Dy
+CONFIG_IT8712F_WDT=3Dm
+CONFIG_IT87_WDT=3Dm
+CONFIG_HP_WATCHDOG=3Dm
+CONFIG_HPWDT_NMI_DECODING=3Dy
+CONFIG_KEMPLD_WDT=3Dm
+CONFIG_SC1200_WDT=3Dm
+CONFIG_SCx200_WDT=3Dm
+CONFIG_PC87413_WDT=3Dm
+CONFIG_NV_TCO=3Dm
+CONFIG_60XX_WDT=3Dm
+CONFIG_SBC8360_WDT=3Dm
+CONFIG_SBC7240_WDT=3Dm
+CONFIG_CPU5_WDT=3Dm
+CONFIG_SMSC_SCH311X_WDT=3Dm
+CONFIG_SMSC37B787_WDT=3Dm
+CONFIG_TQMX86_WDT=3Dm
+CONFIG_VIA_WDT=3Dm
+CONFIG_W83627HF_WDT=3Dm
+CONFIG_W83877F_WDT=3Dm
+CONFIG_W83977F_WDT=3Dm
+CONFIG_MACHZ_WDT=3Dm
+CONFIG_SBC_EPX_C3_WATCHDOG=3Dm
+CONFIG_NI903X_WDT=3Dm
+CONFIG_NIC7018_WDT=3Dm
+CONFIG_MEN_A21_WDT=3Dm
+CONFIG_XEN_WDT=3Dm
+
+#
+# ISA-based Watchdog Cards
+#
+CONFIG_PCWATCHDOG=3Dm
+CONFIG_MIXCOMWD=3Dm
+CONFIG_WDT=3Dm
+
+#
+# PCI-based Watchdog Cards
+#
+CONFIG_PCIPCWATCHDOG=3Dm
+CONFIG_WDTPCI=3Dm
+
+#
+# USB-based Watchdog Cards
+#
+CONFIG_USBPCWATCHDOG=3Dm
+CONFIG_SSB_POSSIBLE=3Dy
+CONFIG_SSB=3Dm
+CONFIG_SSB_SPROM=3Dy
+CONFIG_SSB_BLOCKIO=3Dy
+CONFIG_SSB_PCIHOST_POSSIBLE=3Dy
+CONFIG_SSB_PCIHOST=3Dy
+CONFIG_SSB_B43_PCI_BRIDGE=3Dy
+CONFIG_SSB_PCMCIAHOST_POSSIBLE=3Dy
+# CONFIG_SSB_PCMCIAHOST is not set
+CONFIG_SSB_SDIOHOST_POSSIBLE=3Dy
+CONFIG_SSB_SDIOHOST=3Dy
+CONFIG_SSB_DRIVER_PCICORE_POSSIBLE=3Dy
+CONFIG_SSB_DRIVER_PCICORE=3Dy
+CONFIG_SSB_DRIVER_GPIO=3Dy
+CONFIG_BCMA_POSSIBLE=3Dy
+CONFIG_BCMA=3Dm
+CONFIG_BCMA_BLOCKIO=3Dy
+CONFIG_BCMA_HOST_PCI_POSSIBLE=3Dy
+CONFIG_BCMA_HOST_PCI=3Dy
+CONFIG_BCMA_HOST_SOC=3Dy
+CONFIG_BCMA_DRIVER_PCI=3Dy
+CONFIG_BCMA_SFLASH=3Dy
+CONFIG_BCMA_DRIVER_GMAC_CMN=3Dy
+CONFIG_BCMA_DRIVER_GPIO=3Dy
+# CONFIG_BCMA_DEBUG is not set
+
+#
+# Multifunction device drivers
+#
+CONFIG_MFD_CORE=3Dy
+CONFIG_MFD_CS5535=3Dm
+CONFIG_MFD_AS3711=3Dy
+CONFIG_PMIC_ADP5520=3Dy
+CONFIG_MFD_AAT2870_CORE=3Dy
+CONFIG_MFD_BCM590XX=3Dm
+CONFIG_MFD_BD9571MWV=3Dm
+CONFIG_MFD_AXP20X=3Dm
+CONFIG_MFD_AXP20X_I2C=3Dm
+CONFIG_MFD_CROS_EC_DEV=3Dm
+CONFIG_MFD_MADERA=3Dm
+CONFIG_MFD_MADERA_I2C=3Dm
+CONFIG_MFD_MADERA_SPI=3Dm
+# CONFIG_MFD_CS47L15 is not set
+# CONFIG_MFD_CS47L35 is not set
+# CONFIG_MFD_CS47L85 is not set
+# CONFIG_MFD_CS47L90 is not set
+# CONFIG_MFD_CS47L92 is not set
+CONFIG_PMIC_DA903X=3Dy
+CONFIG_PMIC_DA9052=3Dy
+CONFIG_MFD_DA9052_SPI=3Dy
+CONFIG_MFD_DA9052_I2C=3Dy
+CONFIG_MFD_DA9055=3Dy
+CONFIG_MFD_DA9062=3Dm
+CONFIG_MFD_DA9063=3Dy
+CONFIG_MFD_DA9150=3Dm
+CONFIG_MFD_DLN2=3Dm
+CONFIG_MFD_MC13XXX=3Dm
+CONFIG_MFD_MC13XXX_SPI=3Dm
+CONFIG_MFD_MC13XXX_I2C=3Dm
+CONFIG_HTC_PASIC3=3Dm
+CONFIG_HTC_I2CPLD=3Dy
+CONFIG_MFD_INTEL_QUARK_I2C_GPIO=3Dm
+CONFIG_LPC_ICH=3Dm
+CONFIG_LPC_SCH=3Dm
+CONFIG_INTEL_SOC_PMIC=3Dy
+CONFIG_INTEL_SOC_PMIC_BXTWC=3Dm
+CONFIG_INTEL_SOC_PMIC_CHTWC=3Dy
+CONFIG_INTEL_SOC_PMIC_CHTDC_TI=3Dm
+CONFIG_INTEL_SOC_PMIC_MRFLD=3Dm
+CONFIG_MFD_INTEL_LPSS=3Dm
+CONFIG_MFD_INTEL_LPSS_ACPI=3Dm
+CONFIG_MFD_INTEL_LPSS_PCI=3Dm
+CONFIG_MFD_INTEL_MSIC=3Dy
+CONFIG_MFD_JANZ_CMODIO=3Dm
+CONFIG_MFD_KEMPLD=3Dm
+CONFIG_MFD_88PM800=3Dm
+CONFIG_MFD_88PM805=3Dm
+CONFIG_MFD_88PM860X=3Dy
+CONFIG_MFD_MAX14577=3Dy
+CONFIG_MFD_MAX77693=3Dy
+CONFIG_MFD_MAX77843=3Dy
+CONFIG_MFD_MAX8907=3Dm
+CONFIG_MFD_MAX8925=3Dy
+CONFIG_MFD_MAX8997=3Dy
+CONFIG_MFD_MAX8998=3Dy
+CONFIG_MFD_MT6397=3Dm
+CONFIG_MFD_MENF21BMC=3Dm
+CONFIG_EZX_PCAP=3Dy
+CONFIG_MFD_VIPERBOARD=3Dm
+CONFIG_MFD_RETU=3Dm
+CONFIG_MFD_PCF50633=3Dm
+CONFIG_PCF50633_ADC=3Dm
+CONFIG_PCF50633_GPIO=3Dm
+CONFIG_UCB1400_CORE=3Dm
+CONFIG_MFD_RDC321X=3Dm
+CONFIG_MFD_RT5033=3Dm
+CONFIG_MFD_RC5T583=3Dy
+CONFIG_MFD_SEC_CORE=3Dy
+CONFIG_MFD_SI476X_CORE=3Dm
+CONFIG_MFD_SM501=3Dm
+CONFIG_MFD_SM501_GPIO=3Dy
+CONFIG_MFD_SKY81452=3Dm
+CONFIG_MFD_SMSC=3Dy
+CONFIG_ABX500_CORE=3Dy
+CONFIG_AB3100_CORE=3Dy
+CONFIG_AB3100_OTP=3Dm
+CONFIG_MFD_SYSCON=3Dy
+CONFIG_MFD_TI_AM335X_TSCADC=3Dm
+CONFIG_MFD_LP3943=3Dm
+CONFIG_MFD_LP8788=3Dy
+CONFIG_MFD_TI_LMU=3Dm
+CONFIG_MFD_PALMAS=3Dy
+CONFIG_TPS6105X=3Dm
+CONFIG_TPS65010=3Dm
+CONFIG_TPS6507X=3Dm
+CONFIG_MFD_TPS65086=3Dm
+CONFIG_MFD_TPS65090=3Dy
+# CONFIG_MFD_TPS68470 is not set
+CONFIG_MFD_TI_LP873X=3Dm
+CONFIG_MFD_TPS6586X=3Dy
+CONFIG_MFD_TPS65910=3Dy
+CONFIG_MFD_TPS65912=3Dy
+CONFIG_MFD_TPS65912_I2C=3Dy
+CONFIG_MFD_TPS65912_SPI=3Dy
+CONFIG_MFD_TPS80031=3Dy
+CONFIG_TWL4030_CORE=3Dy
+CONFIG_MFD_TWL4030_AUDIO=3Dy
+CONFIG_TWL6040_CORE=3Dy
+CONFIG_MFD_WL1273_CORE=3Dm
+CONFIG_MFD_LM3533=3Dm
+CONFIG_MFD_TIMBERDALE=3Dm
+CONFIG_MFD_TQMX86=3Dm
+CONFIG_MFD_VX855=3Dm
+CONFIG_MFD_ARIZONA=3Dy
+CONFIG_MFD_ARIZONA_I2C=3Dm
+CONFIG_MFD_ARIZONA_SPI=3Dm
+CONFIG_MFD_CS47L24=3Dy
+CONFIG_MFD_WM5102=3Dy
+CONFIG_MFD_WM5110=3Dy
+CONFIG_MFD_WM8997=3Dy
+CONFIG_MFD_WM8998=3Dy
+CONFIG_MFD_WM8400=3Dy
+CONFIG_MFD_WM831X=3Dy
+CONFIG_MFD_WM831X_I2C=3Dy
+CONFIG_MFD_WM831X_SPI=3Dy
+CONFIG_MFD_WM8350=3Dy
+CONFIG_MFD_WM8350_I2C=3Dy
+CONFIG_MFD_WM8994=3Dm
+CONFIG_RAVE_SP_CORE=3Dm
+# end of Multifunction device drivers
+
+CONFIG_REGULATOR=3Dy
+# CONFIG_REGULATOR_DEBUG is not set
+CONFIG_REGULATOR_FIXED_VOLTAGE=3Dm
+CONFIG_REGULATOR_VIRTUAL_CONSUMER=3Dm
+CONFIG_REGULATOR_USERSPACE_CONSUMER=3Dm
+CONFIG_REGULATOR_88PG86X=3Dm
+CONFIG_REGULATOR_88PM800=3Dm
+CONFIG_REGULATOR_88PM8607=3Dm
+CONFIG_REGULATOR_ACT8865=3Dm
+CONFIG_REGULATOR_AD5398=3Dm
+CONFIG_REGULATOR_ANATOP=3Dm
+CONFIG_REGULATOR_AAT2870=3Dm
+CONFIG_REGULATOR_AB3100=3Dm
+CONFIG_REGULATOR_ARIZONA_LDO1=3Dm
+CONFIG_REGULATOR_ARIZONA_MICSUPP=3Dm
+CONFIG_REGULATOR_AS3711=3Dm
+CONFIG_REGULATOR_AXP20X=3Dm
+CONFIG_REGULATOR_BCM590XX=3Dm
+CONFIG_REGULATOR_BD9571MWV=3Dm
+CONFIG_REGULATOR_DA903X=3Dm
+CONFIG_REGULATOR_DA9052=3Dm
+CONFIG_REGULATOR_DA9055=3Dm
+CONFIG_REGULATOR_DA9062=3Dm
+CONFIG_REGULATOR_DA9210=3Dm
+CONFIG_REGULATOR_DA9211=3Dm
+CONFIG_REGULATOR_FAN53555=3Dm
+CONFIG_REGULATOR_GPIO=3Dm
+CONFIG_REGULATOR_ISL9305=3Dm
+CONFIG_REGULATOR_ISL6271A=3Dm
+CONFIG_REGULATOR_LM363X=3Dm
+CONFIG_REGULATOR_LP3971=3Dm
+CONFIG_REGULATOR_LP3972=3Dm
+CONFIG_REGULATOR_LP872X=3Dm
+CONFIG_REGULATOR_LP8755=3Dm
+CONFIG_REGULATOR_LP8788=3Dm
+CONFIG_REGULATOR_LTC3589=3Dm
+CONFIG_REGULATOR_LTC3676=3Dm
+CONFIG_REGULATOR_MAX14577=3Dm
+CONFIG_REGULATOR_MAX1586=3Dm
+CONFIG_REGULATOR_MAX8649=3Dm
+CONFIG_REGULATOR_MAX8660=3Dm
+CONFIG_REGULATOR_MAX8907=3Dm
+CONFIG_REGULATOR_MAX8925=3Dm
+CONFIG_REGULATOR_MAX8952=3Dm
+CONFIG_REGULATOR_MAX8997=3Dm
+CONFIG_REGULATOR_MAX8998=3Dm
+CONFIG_REGULATOR_MAX77693=3Dm
+CONFIG_REGULATOR_MC13XXX_CORE=3Dm
+CONFIG_REGULATOR_MC13783=3Dm
+CONFIG_REGULATOR_MC13892=3Dm
+CONFIG_REGULATOR_MT6311=3Dm
+CONFIG_REGULATOR_MT6323=3Dm
+CONFIG_REGULATOR_MT6397=3Dm
+CONFIG_REGULATOR_PALMAS=3Dm
+CONFIG_REGULATOR_PCAP=3Dm
+CONFIG_REGULATOR_PCF50633=3Dm
+CONFIG_REGULATOR_PFUZE100=3Dm
+CONFIG_REGULATOR_PV88060=3Dm
+CONFIG_REGULATOR_PV88080=3Dm
+CONFIG_REGULATOR_PV88090=3Dm
+CONFIG_REGULATOR_PWM=3Dm
+CONFIG_REGULATOR_QCOM_SPMI=3Dm
+CONFIG_REGULATOR_RC5T583=3Dm
+CONFIG_REGULATOR_RT5033=3Dm
+CONFIG_REGULATOR_S2MPA01=3Dm
+CONFIG_REGULATOR_S2MPS11=3Dm
+CONFIG_REGULATOR_S5M8767=3Dm
+CONFIG_REGULATOR_SKY81452=3Dm
+CONFIG_REGULATOR_SLG51000=3Dm
+CONFIG_REGULATOR_TPS51632=3Dm
+CONFIG_REGULATOR_TPS6105X=3Dm
+CONFIG_REGULATOR_TPS62360=3Dm
+CONFIG_REGULATOR_TPS65023=3Dm
+CONFIG_REGULATOR_TPS6507X=3Dm
+CONFIG_REGULATOR_TPS65086=3Dm
+CONFIG_REGULATOR_TPS65090=3Dm
+CONFIG_REGULATOR_TPS65132=3Dm
+CONFIG_REGULATOR_TPS6524X=3Dm
+CONFIG_REGULATOR_TPS6586X=3Dm
+CONFIG_REGULATOR_TPS65910=3Dm
+CONFIG_REGULATOR_TPS65912=3Dm
+CONFIG_REGULATOR_TPS80031=3Dm
+CONFIG_REGULATOR_TWL4030=3Dm
+CONFIG_REGULATOR_WM831X=3Dm
+CONFIG_REGULATOR_WM8350=3Dm
+CONFIG_REGULATOR_WM8400=3Dm
+CONFIG_REGULATOR_WM8994=3Dm
+CONFIG_CEC_CORE=3Dm
+CONFIG_CEC_NOTIFIER=3Dy
+CONFIG_RC_CORE=3Dm
+CONFIG_RC_MAP=3Dm
+CONFIG_LIRC=3Dy
+CONFIG_RC_DECODERS=3Dy
+CONFIG_IR_NEC_DECODER=3Dm
+CONFIG_IR_RC5_DECODER=3Dm
+CONFIG_IR_RC6_DECODER=3Dm
+CONFIG_IR_JVC_DECODER=3Dm
+CONFIG_IR_SONY_DECODER=3Dm
+CONFIG_IR_SANYO_DECODER=3Dm
+CONFIG_IR_SHARP_DECODER=3Dm
+CONFIG_IR_MCE_KBD_DECODER=3Dm
+CONFIG_IR_XMP_DECODER=3Dm
+CONFIG_IR_IMON_DECODER=3Dm
+CONFIG_IR_RCMM_DECODER=3Dm
+CONFIG_RC_DEVICES=3Dy
+CONFIG_RC_ATI_REMOTE=3Dm
+CONFIG_IR_ENE=3Dm
+CONFIG_IR_IMON=3Dm
+CONFIG_IR_IMON_RAW=3Dm
+CONFIG_IR_MCEUSB=3Dm
+CONFIG_IR_ITE_CIR=3Dm
+CONFIG_IR_FINTEK=3Dm
+CONFIG_IR_NUVOTON=3Dm
+CONFIG_IR_REDRAT3=3Dm
+CONFIG_IR_STREAMZAP=3Dm
+CONFIG_IR_WINBOND_CIR=3Dm
+CONFIG_IR_IGORPLUGUSB=3Dm
+CONFIG_IR_IGUANA=3Dm
+CONFIG_IR_TTUSBIR=3Dm
+CONFIG_RC_LOOPBACK=3Dm
+CONFIG_IR_SERIAL=3Dm
+CONFIG_IR_SERIAL_TRANSMITTER=3Dy
+CONFIG_IR_SIR=3Dm
+CONFIG_RC_XBOX_DVD=3Dm
+CONFIG_MEDIA_SUPPORT=3Dm
+
+#
+# Multimedia core support
+#
+CONFIG_MEDIA_CAMERA_SUPPORT=3Dy
+CONFIG_MEDIA_ANALOG_TV_SUPPORT=3Dy
+CONFIG_MEDIA_DIGITAL_TV_SUPPORT=3Dy
+CONFIG_MEDIA_RADIO_SUPPORT=3Dy
+CONFIG_MEDIA_SDR_SUPPORT=3Dy
+CONFIG_MEDIA_CEC_SUPPORT=3Dy
+# CONFIG_MEDIA_CEC_RC is not set
+CONFIG_MEDIA_CONTROLLER=3Dy
+CONFIG_MEDIA_CONTROLLER_DVB=3Dy
+# CONFIG_MEDIA_CONTROLLER_REQUEST_API is not set
+CONFIG_VIDEO_DEV=3Dm
+CONFIG_VIDEO_V4L2_SUBDEV_API=3Dy
+CONFIG_VIDEO_V4L2=3Dm
+CONFIG_VIDEO_V4L2_I2C=3Dy
+# CONFIG_VIDEO_ADV_DEBUG is not set
+# CONFIG_VIDEO_FIXED_MINOR_RANGES is not set
+CONFIG_VIDEO_TUNER=3Dm
+CONFIG_V4L2_MEM2MEM_DEV=3Dm
+CONFIG_V4L2_FLASH_LED_CLASS=3Dm
+CONFIG_V4L2_FWNODE=3Dm
+CONFIG_VIDEOBUF_GEN=3Dm
+CONFIG_VIDEOBUF_DMA_SG=3Dm
+CONFIG_VIDEOBUF_VMALLOC=3Dm
+CONFIG_DVB_CORE=3Dm
+# CONFIG_DVB_MMAP is not set
+CONFIG_DVB_NET=3Dy
+CONFIG_TTPCI_EEPROM=3Dm
+CONFIG_DVB_MAX_ADAPTERS=3D8
+CONFIG_DVB_DYNAMIC_MINORS=3Dy
+# CONFIG_DVB_DEMUX_SECTION_LOSS_LOG is not set
+# CONFIG_DVB_ULE_DEBUG is not set
+
+#
+# Media drivers
+#
+CONFIG_MEDIA_USB_SUPPORT=3Dy
+
+#
+# Webcam devices
+#
+CONFIG_USB_VIDEO_CLASS=3Dm
+CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=3Dy
+CONFIG_USB_GSPCA=3Dm
+CONFIG_USB_M5602=3Dm
+CONFIG_USB_STV06XX=3Dm
+CONFIG_USB_GL860=3Dm
+CONFIG_USB_GSPCA_BENQ=3Dm
+CONFIG_USB_GSPCA_CONEX=3Dm
+CONFIG_USB_GSPCA_CPIA1=3Dm
+CONFIG_USB_GSPCA_DTCS033=3Dm
+CONFIG_USB_GSPCA_ETOMS=3Dm
+CONFIG_USB_GSPCA_FINEPIX=3Dm
+CONFIG_USB_GSPCA_JEILINJ=3Dm
+CONFIG_USB_GSPCA_JL2005BCD=3Dm
+CONFIG_USB_GSPCA_KINECT=3Dm
+CONFIG_USB_GSPCA_KONICA=3Dm
+CONFIG_USB_GSPCA_MARS=3Dm
+CONFIG_USB_GSPCA_MR97310A=3Dm
+CONFIG_USB_GSPCA_NW80X=3Dm
+CONFIG_USB_GSPCA_OV519=3Dm
+CONFIG_USB_GSPCA_OV534=3Dm
+CONFIG_USB_GSPCA_OV534_9=3Dm
+CONFIG_USB_GSPCA_PAC207=3Dm
+CONFIG_USB_GSPCA_PAC7302=3Dm
+CONFIG_USB_GSPCA_PAC7311=3Dm
+CONFIG_USB_GSPCA_SE401=3Dm
+CONFIG_USB_GSPCA_SN9C2028=3Dm
+CONFIG_USB_GSPCA_SN9C20X=3Dm
+CONFIG_USB_GSPCA_SONIXB=3Dm
+CONFIG_USB_GSPCA_SONIXJ=3Dm
+CONFIG_USB_GSPCA_SPCA500=3Dm
+CONFIG_USB_GSPCA_SPCA501=3Dm
+CONFIG_USB_GSPCA_SPCA505=3Dm
+CONFIG_USB_GSPCA_SPCA506=3Dm
+CONFIG_USB_GSPCA_SPCA508=3Dm
+CONFIG_USB_GSPCA_SPCA561=3Dm
+CONFIG_USB_GSPCA_SPCA1528=3Dm
+CONFIG_USB_GSPCA_SQ905=3Dm
+CONFIG_USB_GSPCA_SQ905C=3Dm
+CONFIG_USB_GSPCA_SQ930X=3Dm
+CONFIG_USB_GSPCA_STK014=3Dm
+CONFIG_USB_GSPCA_STK1135=3Dm
+CONFIG_USB_GSPCA_STV0680=3Dm
+CONFIG_USB_GSPCA_SUNPLUS=3Dm
+CONFIG_USB_GSPCA_T613=3Dm
+CONFIG_USB_GSPCA_TOPRO=3Dm
+CONFIG_USB_GSPCA_TOUPTEK=3Dm
+CONFIG_USB_GSPCA_TV8532=3Dm
+CONFIG_USB_GSPCA_VC032X=3Dm
+CONFIG_USB_GSPCA_VICAM=3Dm
+CONFIG_USB_GSPCA_XIRLINK_CIT=3Dm
+CONFIG_USB_GSPCA_ZC3XX=3Dm
+CONFIG_USB_PWC=3Dm
+# CONFIG_USB_PWC_DEBUG is not set
+CONFIG_USB_PWC_INPUT_EVDEV=3Dy
+CONFIG_VIDEO_CPIA2=3Dm
+CONFIG_USB_ZR364XX=3Dm
+CONFIG_USB_STKWEBCAM=3Dm
+CONFIG_USB_S2255=3Dm
+CONFIG_VIDEO_USBTV=3Dm
+
+#
+# Analog TV USB devices
+#
+CONFIG_VIDEO_PVRUSB2=3Dm
+CONFIG_VIDEO_PVRUSB2_SYSFS=3Dy
+CONFIG_VIDEO_PVRUSB2_DVB=3Dy
+# CONFIG_VIDEO_PVRUSB2_DEBUGIFC is not set
+CONFIG_VIDEO_HDPVR=3Dm
+CONFIG_VIDEO_USBVISION=3Dm
+CONFIG_VIDEO_STK1160_COMMON=3Dm
+CONFIG_VIDEO_STK1160=3Dm
+CONFIG_VIDEO_GO7007=3Dm
+CONFIG_VIDEO_GO7007_USB=3Dm
+CONFIG_VIDEO_GO7007_LOADER=3Dm
+CONFIG_VIDEO_GO7007_USB_S2250_BOARD=3Dm
+
+#
+# Analog/digital TV USB devices
+#
+CONFIG_VIDEO_AU0828=3Dm
+CONFIG_VIDEO_AU0828_V4L2=3Dy
+CONFIG_VIDEO_AU0828_RC=3Dy
+CONFIG_VIDEO_CX231XX=3Dm
+CONFIG_VIDEO_CX231XX_RC=3Dy
+CONFIG_VIDEO_CX231XX_ALSA=3Dm
+CONFIG_VIDEO_CX231XX_DVB=3Dm
+CONFIG_VIDEO_TM6000=3Dm
+CONFIG_VIDEO_TM6000_ALSA=3Dm
+CONFIG_VIDEO_TM6000_DVB=3Dm
+
+#
+# Digital TV USB devices
+#
+CONFIG_DVB_USB=3Dm
+# CONFIG_DVB_USB_DEBUG is not set
+CONFIG_DVB_USB_DIB3000MC=3Dm
+CONFIG_DVB_USB_A800=3Dm
+CONFIG_DVB_USB_DIBUSB_MB=3Dm
+# CONFIG_DVB_USB_DIBUSB_MB_FAULTY is not set
+CONFIG_DVB_USB_DIBUSB_MC=3Dm
+CONFIG_DVB_USB_DIB0700=3Dm
+CONFIG_DVB_USB_UMT_010=3Dm
+CONFIG_DVB_USB_CXUSB=3Dm
+CONFIG_DVB_USB_CXUSB_ANALOG=3Dy
+CONFIG_DVB_USB_M920X=3Dm
+CONFIG_DVB_USB_DIGITV=3Dm
+CONFIG_DVB_USB_VP7045=3Dm
+CONFIG_DVB_USB_VP702X=3Dm
+CONFIG_DVB_USB_GP8PSK=3Dm
+CONFIG_DVB_USB_NOVA_T_USB2=3Dm
+CONFIG_DVB_USB_TTUSB2=3Dm
+CONFIG_DVB_USB_DTT200U=3Dm
+CONFIG_DVB_USB_OPERA1=3Dm
+CONFIG_DVB_USB_AF9005=3Dm
+CONFIG_DVB_USB_AF9005_REMOTE=3Dm
+CONFIG_DVB_USB_PCTV452E=3Dm
+CONFIG_DVB_USB_DW2102=3Dm
+CONFIG_DVB_USB_CINERGY_T2=3Dm
+CONFIG_DVB_USB_DTV5100=3Dm
+CONFIG_DVB_USB_AZ6027=3Dm
+CONFIG_DVB_USB_TECHNISAT_USB2=3Dm
+CONFIG_DVB_USB_V2=3Dm
+CONFIG_DVB_USB_AF9015=3Dm
+CONFIG_DVB_USB_AF9035=3Dm
+CONFIG_DVB_USB_ANYSEE=3Dm
+CONFIG_DVB_USB_AU6610=3Dm
+CONFIG_DVB_USB_AZ6007=3Dm
+CONFIG_DVB_USB_CE6230=3Dm
+CONFIG_DVB_USB_EC168=3Dm
+CONFIG_DVB_USB_GL861=3Dm
+CONFIG_DVB_USB_LME2510=3Dm
+CONFIG_DVB_USB_MXL111SF=3Dm
+CONFIG_DVB_USB_RTL28XXU=3Dm
+CONFIG_DVB_USB_DVBSKY=3Dm
+CONFIG_DVB_USB_ZD1301=3Dm
+CONFIG_DVB_TTUSB_BUDGET=3Dm
+CONFIG_DVB_TTUSB_DEC=3Dm
+CONFIG_SMS_USB_DRV=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_USB=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_USB_DEBUG is not set
+CONFIG_DVB_AS102=3Dm
+
+#
+# Webcam, TV (analog/digital) USB devices
+#
+CONFIG_VIDEO_EM28XX=3Dm
+CONFIG_VIDEO_EM28XX_V4L2=3Dm
+CONFIG_VIDEO_EM28XX_ALSA=3Dm
+CONFIG_VIDEO_EM28XX_DVB=3Dm
+CONFIG_VIDEO_EM28XX_RC=3Dm
+
+#
+# Software defined radio USB devices
+#
+CONFIG_USB_AIRSPY=3Dm
+CONFIG_USB_HACKRF=3Dm
+CONFIG_USB_MSI2500=3Dm
+
+#
+# USB HDMI CEC adapters
+#
+CONFIG_USB_PULSE8_CEC=3Dm
+CONFIG_USB_RAINSHADOW_CEC=3Dm
+CONFIG_MEDIA_PCI_SUPPORT=3Dy
+
+#
+# Media capture support
+#
+CONFIG_VIDEO_MEYE=3Dm
+CONFIG_VIDEO_SOLO6X10=3Dm
+CONFIG_VIDEO_TW5864=3Dm
+CONFIG_VIDEO_TW68=3Dm
+CONFIG_VIDEO_TW686X=3Dm
+
+#
+# Media capture/analog TV support
+#
+CONFIG_VIDEO_IVTV=3Dm
+# CONFIG_VIDEO_IVTV_DEPRECATED_IOCTLS is not set
+CONFIG_VIDEO_IVTV_ALSA=3Dm
+CONFIG_VIDEO_FB_IVTV=3Dm
+# CONFIG_VIDEO_FB_IVTV_FORCE_PAT is not set
+CONFIG_VIDEO_HEXIUM_GEMINI=3Dm
+CONFIG_VIDEO_HEXIUM_ORION=3Dm
+CONFIG_VIDEO_MXB=3Dm
+CONFIG_VIDEO_DT3155=3Dm
+
+#
+# Media capture/analog/hybrid TV support
+#
+CONFIG_VIDEO_CX18=3Dm
+CONFIG_VIDEO_CX18_ALSA=3Dm
+CONFIG_VIDEO_CX23885=3Dm
+CONFIG_MEDIA_ALTERA_CI=3Dm
+CONFIG_VIDEO_CX25821=3Dm
+CONFIG_VIDEO_CX25821_ALSA=3Dm
+CONFIG_VIDEO_CX88=3Dm
+CONFIG_VIDEO_CX88_ALSA=3Dm
+CONFIG_VIDEO_CX88_BLACKBIRD=3Dm
+CONFIG_VIDEO_CX88_DVB=3Dm
+CONFIG_VIDEO_CX88_ENABLE_VP3054=3Dy
+CONFIG_VIDEO_CX88_VP3054=3Dm
+CONFIG_VIDEO_CX88_MPEG=3Dm
+CONFIG_VIDEO_BT848=3Dm
+CONFIG_DVB_BT8XX=3Dm
+CONFIG_VIDEO_SAA7134=3Dm
+CONFIG_VIDEO_SAA7134_ALSA=3Dm
+CONFIG_VIDEO_SAA7134_RC=3Dy
+CONFIG_VIDEO_SAA7134_DVB=3Dm
+CONFIG_VIDEO_SAA7134_GO7007=3Dm
+CONFIG_VIDEO_SAA7164=3Dm
+CONFIG_VIDEO_COBALT=3Dm
+
+#
+# Media digital TV PCI Adapters
+#
+CONFIG_DVB_AV7110_IR=3Dy
+CONFIG_DVB_AV7110=3Dm
+CONFIG_DVB_AV7110_OSD=3Dy
+CONFIG_DVB_BUDGET_CORE=3Dm
+CONFIG_DVB_BUDGET=3Dm
+CONFIG_DVB_BUDGET_CI=3Dm
+CONFIG_DVB_BUDGET_AV=3Dm
+CONFIG_DVB_BUDGET_PATCH=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_PCI=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_PCI_DEBUG is not set
+CONFIG_DVB_PLUTO2=3Dm
+CONFIG_DVB_DM1105=3Dm
+CONFIG_DVB_PT1=3Dm
+CONFIG_DVB_PT3=3Dm
+CONFIG_MANTIS_CORE=3Dm
+CONFIG_DVB_MANTIS=3Dm
+CONFIG_DVB_HOPPER=3Dm
+CONFIG_DVB_NGENE=3Dm
+CONFIG_DVB_DDBRIDGE=3Dm
+# CONFIG_DVB_DDBRIDGE_MSIENABLE is not set
+CONFIG_DVB_SMIPCIE=3Dm
+CONFIG_DVB_NETUP_UNIDVB=3Dm
+CONFIG_VIDEO_IPU3_CIO2=3Dm
+CONFIG_V4L_PLATFORM_DRIVERS=3Dy
+CONFIG_VIDEO_CAFE_CCIC=3Dm
+CONFIG_VIDEO_VIA_CAMERA=3Dm
+CONFIG_VIDEO_CADENCE=3Dy
+CONFIG_VIDEO_CADENCE_CSI2RX=3Dm
+CONFIG_VIDEO_CADENCE_CSI2TX=3Dm
+CONFIG_VIDEO_ASPEED=3Dm
+CONFIG_V4L_MEM2MEM_DRIVERS=3Dy
+CONFIG_VIDEO_MEM2MEM_DEINTERLACE=3Dm
+CONFIG_VIDEO_SH_VEU=3Dm
+CONFIG_V4L_TEST_DRIVERS=3Dy
+# CONFIG_VIDEO_VIMC is not set
+CONFIG_VIDEO_VIVID=3Dm
+CONFIG_VIDEO_VIVID_CEC=3Dy
+CONFIG_VIDEO_VIVID_MAX_DEVS=3D64
+CONFIG_VIDEO_VIM2M=3Dm
+CONFIG_VIDEO_VICODEC=3Dm
+CONFIG_DVB_PLATFORM_DRIVERS=3Dy
+CONFIG_CEC_PLATFORM_DRIVERS=3Dy
+CONFIG_VIDEO_CROS_EC_CEC=3Dm
+CONFIG_VIDEO_SECO_CEC=3Dm
+# CONFIG_VIDEO_SECO_RC is not set
+CONFIG_SDR_PLATFORM_DRIVERS=3Dy
+
+#
+# Supported MMC/SDIO adapters
+#
+CONFIG_SMS_SDIO_DRV=3Dm
+CONFIG_RADIO_ADAPTERS=3Dy
+CONFIG_RADIO_TEA575X=3Dm
+CONFIG_RADIO_SI470X=3Dm
+CONFIG_USB_SI470X=3Dm
+CONFIG_I2C_SI470X=3Dm
+CONFIG_RADIO_SI4713=3Dm
+CONFIG_USB_SI4713=3Dm
+CONFIG_PLATFORM_SI4713=3Dm
+CONFIG_I2C_SI4713=3Dm
+CONFIG_RADIO_SI476X=3Dm
+CONFIG_USB_MR800=3Dm
+CONFIG_USB_DSBR=3Dm
+CONFIG_RADIO_MAXIRADIO=3Dm
+CONFIG_RADIO_SHARK=3Dm
+CONFIG_RADIO_SHARK2=3Dm
+CONFIG_USB_KEENE=3Dm
+CONFIG_USB_RAREMONO=3Dm
+CONFIG_USB_MA901=3Dm
+CONFIG_RADIO_TEA5764=3Dm
+CONFIG_RADIO_SAA7706H=3Dm
+CONFIG_RADIO_TEF6862=3Dm
+CONFIG_RADIO_TIMBERDALE=3Dm
+CONFIG_RADIO_WL1273=3Dm
+
+#
+# Texas Instruments WL128x FM driver (ST based)
+#
+CONFIG_RADIO_WL128X=3Dm
+# end of Texas Instruments WL128x FM driver (ST based)
+
+CONFIG_V4L_RADIO_ISA_DRIVERS=3Dy
+CONFIG_RADIO_ISA=3Dm
+CONFIG_RADIO_CADET=3Dm
+CONFIG_RADIO_RTRACK=3Dm
+CONFIG_RADIO_RTRACK2=3Dm
+CONFIG_RADIO_AZTECH=3Dm
+CONFIG_RADIO_GEMTEK=3Dm
+CONFIG_RADIO_MIROPCM20=3Dm
+CONFIG_RADIO_SF16FMI=3Dm
+CONFIG_RADIO_SF16FMR2=3Dm
+CONFIG_RADIO_TERRATEC=3Dm
+CONFIG_RADIO_TRUST=3Dm
+CONFIG_RADIO_TYPHOON=3Dm
+CONFIG_RADIO_ZOLTRIX=3Dm
+
+#
+# Supported FireWire (IEEE 1394) Adapters
+#
+CONFIG_DVB_FIREDTV=3Dm
+CONFIG_DVB_FIREDTV_INPUT=3Dy
+CONFIG_MEDIA_COMMON_OPTIONS=3Dy
+
+#
+# common driver options
+#
+CONFIG_VIDEO_CX2341X=3Dm
+CONFIG_VIDEO_TVEEPROM=3Dm
+CONFIG_CYPRESS_FIRMWARE=3Dm
+CONFIG_VIDEOBUF2_CORE=3Dm
+CONFIG_VIDEOBUF2_V4L2=3Dm
+CONFIG_VIDEOBUF2_MEMOPS=3Dm
+CONFIG_VIDEOBUF2_DMA_CONTIG=3Dm
+CONFIG_VIDEOBUF2_VMALLOC=3Dm
+CONFIG_VIDEOBUF2_DMA_SG=3Dm
+CONFIG_VIDEOBUF2_DVB=3Dm
+CONFIG_DVB_B2C2_FLEXCOP=3Dm
+CONFIG_VIDEO_SAA7146=3Dm
+CONFIG_VIDEO_SAA7146_VV=3Dm
+CONFIG_SMS_SIANO_MDTV=3Dm
+CONFIG_SMS_SIANO_RC=3Dy
+CONFIG_SMS_SIANO_DEBUGFS=3Dy
+CONFIG_VIDEO_V4L2_TPG=3Dm
+
+#
+# Media ancillary drivers (tuners, sensors, i2c, spi, frontends)
+#
+CONFIG_MEDIA_SUBDRV_AUTOSELECT=3Dy
+CONFIG_MEDIA_ATTACH=3Dy
+CONFIG_VIDEO_IR_I2C=3Dm
+
+#
+# I2C Encoders, decoders, sensors and other helper chips
+#
+
+#
+# Audio decoders, processors and mixers
+#
+CONFIG_VIDEO_TVAUDIO=3Dm
+CONFIG_VIDEO_TDA7432=3Dm
+CONFIG_VIDEO_TDA9840=3Dm
+CONFIG_VIDEO_TDA1997X=3Dm
+CONFIG_VIDEO_TEA6415C=3Dm
+CONFIG_VIDEO_TEA6420=3Dm
+CONFIG_VIDEO_MSP3400=3Dm
+CONFIG_VIDEO_CS3308=3Dm
+CONFIG_VIDEO_CS5345=3Dm
+CONFIG_VIDEO_CS53L32A=3Dm
+CONFIG_VIDEO_TLV320AIC23B=3Dm
+CONFIG_VIDEO_UDA1342=3Dm
+CONFIG_VIDEO_WM8775=3Dm
+CONFIG_VIDEO_WM8739=3Dm
+CONFIG_VIDEO_VP27SMPX=3Dm
+CONFIG_VIDEO_SONY_BTF_MPX=3Dm
+
+#
+# RDS decoders
+#
+CONFIG_VIDEO_SAA6588=3Dm
+
+#
+# Video decoders
+#
+CONFIG_VIDEO_ADV7180=3Dm
+CONFIG_VIDEO_ADV7183=3Dm
+CONFIG_VIDEO_ADV7604=3Dm
+CONFIG_VIDEO_ADV7604_CEC=3Dy
+CONFIG_VIDEO_ADV7842=3Dm
+CONFIG_VIDEO_ADV7842_CEC=3Dy
+CONFIG_VIDEO_BT819=3Dm
+CONFIG_VIDEO_BT856=3Dm
+CONFIG_VIDEO_BT866=3Dm
+CONFIG_VIDEO_KS0127=3Dm
+CONFIG_VIDEO_ML86V7667=3Dm
+CONFIG_VIDEO_SAA7110=3Dm
+CONFIG_VIDEO_SAA711X=3Dm
+CONFIG_VIDEO_TC358743=3Dm
+CONFIG_VIDEO_TC358743_CEC=3Dy
+CONFIG_VIDEO_TVP514X=3Dm
+CONFIG_VIDEO_TVP5150=3Dm
+CONFIG_VIDEO_TVP7002=3Dm
+CONFIG_VIDEO_TW2804=3Dm
+CONFIG_VIDEO_TW9903=3Dm
+CONFIG_VIDEO_TW9906=3Dm
+CONFIG_VIDEO_TW9910=3Dm
+CONFIG_VIDEO_VPX3220=3Dm
+
+#
+# Video and audio decoders
+#
+CONFIG_VIDEO_SAA717X=3Dm
+CONFIG_VIDEO_CX25840=3Dm
+
+#
+# Video encoders
+#
+CONFIG_VIDEO_SAA7127=3Dm
+CONFIG_VIDEO_SAA7185=3Dm
+CONFIG_VIDEO_ADV7170=3Dm
+CONFIG_VIDEO_ADV7175=3Dm
+CONFIG_VIDEO_ADV7343=3Dm
+CONFIG_VIDEO_ADV7393=3Dm
+CONFIG_VIDEO_ADV7511=3Dm
+CONFIG_VIDEO_ADV7511_CEC=3Dy
+CONFIG_VIDEO_AD9389B=3Dm
+CONFIG_VIDEO_AK881X=3Dm
+CONFIG_VIDEO_THS8200=3Dm
+
+#
+# Camera sensor devices
+#
+CONFIG_VIDEO_APTINA_PLL=3Dm
+CONFIG_VIDEO_SMIAPP_PLL=3Dm
+CONFIG_VIDEO_IMX214=3Dm
+CONFIG_VIDEO_IMX258=3Dm
+CONFIG_VIDEO_IMX274=3Dm
+CONFIG_VIDEO_IMX319=3Dm
+CONFIG_VIDEO_IMX355=3Dm
+CONFIG_VIDEO_OV2640=3Dm
+CONFIG_VIDEO_OV2659=3Dm
+CONFIG_VIDEO_OV2680=3Dm
+CONFIG_VIDEO_OV2685=3Dm
+CONFIG_VIDEO_OV5647=3Dm
+CONFIG_VIDEO_OV6650=3Dm
+CONFIG_VIDEO_OV5670=3Dm
+CONFIG_VIDEO_OV5675=3Dm
+CONFIG_VIDEO_OV5695=3Dm
+CONFIG_VIDEO_OV7251=3Dm
+CONFIG_VIDEO_OV772X=3Dm
+CONFIG_VIDEO_OV7640=3Dm
+CONFIG_VIDEO_OV7670=3Dm
+CONFIG_VIDEO_OV7740=3Dm
+CONFIG_VIDEO_OV8856=3Dm
+CONFIG_VIDEO_OV9640=3Dm
+CONFIG_VIDEO_OV9650=3Dm
+CONFIG_VIDEO_OV13858=3Dm
+CONFIG_VIDEO_VS6624=3Dm
+CONFIG_VIDEO_MT9M001=3Dm
+CONFIG_VIDEO_MT9M032=3Dm
+CONFIG_VIDEO_MT9M111=3Dm
+CONFIG_VIDEO_MT9P031=3Dm
+CONFIG_VIDEO_MT9T001=3Dm
+CONFIG_VIDEO_MT9T112=3Dm
+CONFIG_VIDEO_MT9V011=3Dm
+CONFIG_VIDEO_MT9V032=3Dm
+CONFIG_VIDEO_MT9V111=3Dm
+CONFIG_VIDEO_SR030PC30=3Dm
+CONFIG_VIDEO_NOON010PC30=3Dm
+CONFIG_VIDEO_M5MOLS=3Dm
+CONFIG_VIDEO_RJ54N1=3Dm
+CONFIG_VIDEO_S5K6AA=3Dm
+CONFIG_VIDEO_S5K6A3=3Dm
+CONFIG_VIDEO_S5K4ECGX=3Dm
+CONFIG_VIDEO_S5K5BAF=3Dm
+CONFIG_VIDEO_SMIAPP=3Dm
+CONFIG_VIDEO_ET8EK8=3Dm
+CONFIG_VIDEO_S5C73M3=3Dm
+
+#
+# Lens drivers
+#
+CONFIG_VIDEO_AD5820=3Dm
+CONFIG_VIDEO_AK7375=3Dm
+CONFIG_VIDEO_DW9714=3Dm
+CONFIG_VIDEO_DW9807_VCM=3Dm
+
+#
+# Flash devices
+#
+CONFIG_VIDEO_ADP1653=3Dm
+CONFIG_VIDEO_LM3560=3Dm
+CONFIG_VIDEO_LM3646=3Dm
+
+#
+# Video improvement chips
+#
+CONFIG_VIDEO_UPD64031A=3Dm
+CONFIG_VIDEO_UPD64083=3Dm
+
+#
+# Audio/Video compression chips
+#
+CONFIG_VIDEO_SAA6752HS=3Dm
+
+#
+# SDR tuner chips
+#
+CONFIG_SDR_MAX2175=3Dm
+
+#
+# Miscellaneous helper chips
+#
+CONFIG_VIDEO_THS7303=3Dm
+CONFIG_VIDEO_M52790=3Dm
+CONFIG_VIDEO_I2C=3Dm
+CONFIG_VIDEO_ST_MIPID02=3Dm
+# end of I2C Encoders, decoders, sensors and other helper chips
+
+#
+# SPI helper chips
+#
+CONFIG_VIDEO_GS1662=3Dm
+# end of SPI helper chips
+
+#
+# Media SPI Adapters
+#
+CONFIG_CXD2880_SPI_DRV=3Dm
+# end of Media SPI Adapters
+
+CONFIG_MEDIA_TUNER=3Dm
+
+#
+# Customize TV tuners
+#
+CONFIG_MEDIA_TUNER_SIMPLE=3Dm
+CONFIG_MEDIA_TUNER_TDA18250=3Dm
+CONFIG_MEDIA_TUNER_TDA8290=3Dm
+CONFIG_MEDIA_TUNER_TDA827X=3Dm
+CONFIG_MEDIA_TUNER_TDA18271=3Dm
+CONFIG_MEDIA_TUNER_TDA9887=3Dm
+CONFIG_MEDIA_TUNER_TEA5761=3Dm
+CONFIG_MEDIA_TUNER_TEA5767=3Dm
+CONFIG_MEDIA_TUNER_MSI001=3Dm
+CONFIG_MEDIA_TUNER_MT20XX=3Dm
+CONFIG_MEDIA_TUNER_MT2060=3Dm
+CONFIG_MEDIA_TUNER_MT2063=3Dm
+CONFIG_MEDIA_TUNER_MT2266=3Dm
+CONFIG_MEDIA_TUNER_MT2131=3Dm
+CONFIG_MEDIA_TUNER_QT1010=3Dm
+CONFIG_MEDIA_TUNER_XC2028=3Dm
+CONFIG_MEDIA_TUNER_XC5000=3Dm
+CONFIG_MEDIA_TUNER_XC4000=3Dm
+CONFIG_MEDIA_TUNER_MXL5005S=3Dm
+CONFIG_MEDIA_TUNER_MXL5007T=3Dm
+CONFIG_MEDIA_TUNER_MC44S803=3Dm
+CONFIG_MEDIA_TUNER_MAX2165=3Dm
+CONFIG_MEDIA_TUNER_TDA18218=3Dm
+CONFIG_MEDIA_TUNER_FC0011=3Dm
+CONFIG_MEDIA_TUNER_FC0012=3Dm
+CONFIG_MEDIA_TUNER_FC0013=3Dm
+CONFIG_MEDIA_TUNER_TDA18212=3Dm
+CONFIG_MEDIA_TUNER_E4000=3Dm
+CONFIG_MEDIA_TUNER_FC2580=3Dm
+CONFIG_MEDIA_TUNER_M88RS6000T=3Dm
+CONFIG_MEDIA_TUNER_TUA9001=3Dm
+CONFIG_MEDIA_TUNER_SI2157=3Dm
+CONFIG_MEDIA_TUNER_IT913X=3Dm
+CONFIG_MEDIA_TUNER_R820T=3Dm
+CONFIG_MEDIA_TUNER_MXL301RF=3Dm
+CONFIG_MEDIA_TUNER_QM1D1C0042=3Dm
+CONFIG_MEDIA_TUNER_QM1D1B0004=3Dm
+# end of Customize TV tuners
+
+#
+# Customise DVB Frontends
+#
+
+#
+# Multistandard (satellite) frontends
+#
+CONFIG_DVB_STB0899=3Dm
+CONFIG_DVB_STB6100=3Dm
+CONFIG_DVB_STV090x=3Dm
+CONFIG_DVB_STV0910=3Dm
+CONFIG_DVB_STV6110x=3Dm
+CONFIG_DVB_STV6111=3Dm
+CONFIG_DVB_MXL5XX=3Dm
+CONFIG_DVB_M88DS3103=3Dm
+
+#
+# Multistandard (cable + terrestrial) frontends
+#
+CONFIG_DVB_DRXK=3Dm
+CONFIG_DVB_TDA18271C2DD=3Dm
+CONFIG_DVB_SI2165=3Dm
+CONFIG_DVB_MN88472=3Dm
+CONFIG_DVB_MN88473=3Dm
+
+#
+# DVB-S (satellite) frontends
+#
+CONFIG_DVB_CX24110=3Dm
+CONFIG_DVB_CX24123=3Dm
+CONFIG_DVB_MT312=3Dm
+CONFIG_DVB_ZL10036=3Dm
+CONFIG_DVB_ZL10039=3Dm
+CONFIG_DVB_S5H1420=3Dm
+CONFIG_DVB_STV0288=3Dm
+CONFIG_DVB_STB6000=3Dm
+CONFIG_DVB_STV0299=3Dm
+CONFIG_DVB_STV6110=3Dm
+CONFIG_DVB_STV0900=3Dm
+CONFIG_DVB_TDA8083=3Dm
+CONFIG_DVB_TDA10086=3Dm
+CONFIG_DVB_TDA8261=3Dm
+CONFIG_DVB_VES1X93=3Dm
+CONFIG_DVB_TUNER_ITD1000=3Dm
+CONFIG_DVB_TUNER_CX24113=3Dm
+CONFIG_DVB_TDA826X=3Dm
+CONFIG_DVB_TUA6100=3Dm
+CONFIG_DVB_CX24116=3Dm
+CONFIG_DVB_CX24117=3Dm
+CONFIG_DVB_CX24120=3Dm
+CONFIG_DVB_SI21XX=3Dm
+CONFIG_DVB_TS2020=3Dm
+CONFIG_DVB_DS3000=3Dm
+CONFIG_DVB_MB86A16=3Dm
+CONFIG_DVB_TDA10071=3Dm
+
+#
+# DVB-T (terrestrial) frontends
+#
+CONFIG_DVB_SP8870=3Dm
+CONFIG_DVB_SP887X=3Dm
+CONFIG_DVB_CX22700=3Dm
+CONFIG_DVB_CX22702=3Dm
+CONFIG_DVB_S5H1432=3Dm
+CONFIG_DVB_DRXD=3Dm
+CONFIG_DVB_L64781=3Dm
+CONFIG_DVB_TDA1004X=3Dm
+CONFIG_DVB_NXT6000=3Dm
+CONFIG_DVB_MT352=3Dm
+CONFIG_DVB_ZL10353=3Dm
+CONFIG_DVB_DIB3000MB=3Dm
+CONFIG_DVB_DIB3000MC=3Dm
+CONFIG_DVB_DIB7000M=3Dm
+CONFIG_DVB_DIB7000P=3Dm
+CONFIG_DVB_DIB9000=3Dm
+CONFIG_DVB_TDA10048=3Dm
+CONFIG_DVB_AF9013=3Dm
+CONFIG_DVB_EC100=3Dm
+CONFIG_DVB_STV0367=3Dm
+CONFIG_DVB_CXD2820R=3Dm
+CONFIG_DVB_CXD2841ER=3Dm
+CONFIG_DVB_RTL2830=3Dm
+CONFIG_DVB_RTL2832=3Dm
+CONFIG_DVB_RTL2832_SDR=3Dm
+CONFIG_DVB_SI2168=3Dm
+CONFIG_DVB_AS102_FE=3Dm
+CONFIG_DVB_ZD1301_DEMOD=3Dm
+CONFIG_DVB_GP8PSK_FE=3Dm
+CONFIG_DVB_CXD2880=3Dm
+
+#
+# DVB-C (cable) frontends
+#
+CONFIG_DVB_VES1820=3Dm
+CONFIG_DVB_TDA10021=3Dm
+CONFIG_DVB_TDA10023=3Dm
+CONFIG_DVB_STV0297=3Dm
+
+#
+# ATSC (North American/Korean Terrestrial/Cable DTV) frontends
+#
+CONFIG_DVB_NXT200X=3Dm
+CONFIG_DVB_OR51211=3Dm
+CONFIG_DVB_OR51132=3Dm
+CONFIG_DVB_BCM3510=3Dm
+CONFIG_DVB_LGDT330X=3Dm
+CONFIG_DVB_LGDT3305=3Dm
+CONFIG_DVB_LGDT3306A=3Dm
+CONFIG_DVB_LG2160=3Dm
+CONFIG_DVB_S5H1409=3Dm
+CONFIG_DVB_AU8522=3Dm
+CONFIG_DVB_AU8522_DTV=3Dm
+CONFIG_DVB_AU8522_V4L=3Dm
+CONFIG_DVB_S5H1411=3Dm
+
+#
+# ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_S921=3Dm
+CONFIG_DVB_DIB8000=3Dm
+CONFIG_DVB_MB86A20S=3Dm
+
+#
+# ISDB-S (satellite) & ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_TC90522=3Dm
+CONFIG_DVB_MN88443X=3Dm
+
+#
+# Digital terrestrial only tuners/PLL
+#
+CONFIG_DVB_PLL=3Dm
+CONFIG_DVB_TUNER_DIB0070=3Dm
+CONFIG_DVB_TUNER_DIB0090=3Dm
+
+#
+# SEC control devices for DVB-S
+#
+CONFIG_DVB_DRX39XYJ=3Dm
+CONFIG_DVB_LNBH25=3Dm
+CONFIG_DVB_LNBH29=3Dm
+CONFIG_DVB_LNBP21=3Dm
+CONFIG_DVB_LNBP22=3Dm
+CONFIG_DVB_ISL6405=3Dm
+CONFIG_DVB_ISL6421=3Dm
+CONFIG_DVB_ISL6423=3Dm
+CONFIG_DVB_A8293=3Dm
+CONFIG_DVB_LGS8GL5=3Dm
+CONFIG_DVB_LGS8GXX=3Dm
+CONFIG_DVB_ATBM8830=3Dm
+CONFIG_DVB_TDA665x=3Dm
+CONFIG_DVB_IX2505V=3Dm
+CONFIG_DVB_M88RS2000=3Dm
+CONFIG_DVB_AF9033=3Dm
+CONFIG_DVB_HORUS3A=3Dm
+CONFIG_DVB_ASCOT2E=3Dm
+CONFIG_DVB_HELENE=3Dm
+
+#
+# Common Interface (EN50221) controller drivers
+#
+CONFIG_DVB_CXD2099=3Dm
+CONFIG_DVB_SP2=3Dm
+
+#
+# Tools to develop new frontends
+#
+CONFIG_DVB_DUMMY_FE=3Dm
+# end of Customise DVB Frontends
+
+#
+# Graphics support
+#
+CONFIG_AGP=3Dy
+CONFIG_AGP_ALI=3Dm
+CONFIG_AGP_ATI=3Dm
+CONFIG_AGP_AMD=3Dy
+CONFIG_AGP_AMD64=3Dy
+CONFIG_AGP_INTEL=3Dy
+CONFIG_AGP_NVIDIA=3Dy
+CONFIG_AGP_SIS=3Dm
+CONFIG_AGP_SWORKS=3Dm
+CONFIG_AGP_VIA=3Dy
+CONFIG_AGP_EFFICEON=3Dm
+CONFIG_INTEL_GTT=3Dy
+CONFIG_VGA_ARB=3Dy
+CONFIG_VGA_ARB_MAX_GPUS=3D16
+CONFIG_VGA_SWITCHEROO=3Dy
+CONFIG_DRM=3Dm
+CONFIG_DRM_MIPI_DBI=3Dm
+CONFIG_DRM_MIPI_DSI=3Dy
+# CONFIG_DRM_DP_AUX_CHARDEV is not set
+# CONFIG_DRM_DEBUG_SELFTEST is not set
+CONFIG_DRM_KMS_HELPER=3Dm
+CONFIG_DRM_KMS_FB_HELPER=3Dy
+CONFIG_DRM_FBDEV_EMULATION=3Dy
+CONFIG_DRM_FBDEV_OVERALLOC=3D100
+# CONFIG_DRM_FBDEV_LEAK_PHYS_SMEM is not set
+CONFIG_DRM_LOAD_EDID_FIRMWARE=3Dy
+# CONFIG_DRM_DP_CEC is not set
+CONFIG_DRM_TTM=3Dm
+CONFIG_DRM_VRAM_HELPER=3Dm
+CONFIG_DRM_GEM_CMA_HELPER=3Dy
+CONFIG_DRM_KMS_CMA_HELPER=3Dy
+CONFIG_DRM_GEM_SHMEM_HELPER=3Dy
+CONFIG_DRM_SCHED=3Dm
+
+#
+# I2C encoder or helper chips
+#
+CONFIG_DRM_I2C_CH7006=3Dm
+CONFIG_DRM_I2C_SIL164=3Dm
+CONFIG_DRM_I2C_NXP_TDA998X=3Dm
+CONFIG_DRM_I2C_NXP_TDA9950=3Dm
+# end of I2C encoder or helper chips
+
+#
+# ARM devices
+#
+# end of ARM devices
+
+CONFIG_DRM_RADEON=3Dm
+# CONFIG_DRM_RADEON_USERPTR is not set
+CONFIG_DRM_AMDGPU=3Dm
+# CONFIG_DRM_AMDGPU_SI is not set
+# CONFIG_DRM_AMDGPU_CIK is not set
+CONFIG_DRM_AMDGPU_USERPTR=3Dy
+# CONFIG_DRM_AMDGPU_GART_DEBUGFS is not set
+
+#
+# ACP (Audio CoProcessor) Configuration
+#
+# CONFIG_DRM_AMD_ACP is not set
+# end of ACP (Audio CoProcessor) Configuration
+
+#
+# Display Engine Configuration
+#
+CONFIG_DRM_AMD_DC=3Dy
+CONFIG_DRM_AMD_DC_DCN1_0=3Dy
+CONFIG_DRM_AMD_DC_DCN2_0=3Dy
+CONFIG_DRM_AMD_DC_DCN2_1=3Dy
+CONFIG_DRM_AMD_DC_DSC_SUPPORT=3Dy
+# CONFIG_DEBUG_KERNEL_DC is not set
+# end of Display Engine Configuration
+
+CONFIG_DRM_NOUVEAU=3Dm
+# CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT is not set
+CONFIG_NOUVEAU_DEBUG=3D5
+CONFIG_NOUVEAU_DEBUG_DEFAULT=3D3
+# CONFIG_NOUVEAU_DEBUG_MMU is not set
+CONFIG_DRM_NOUVEAU_BACKLIGHT=3Dy
+CONFIG_DRM_I915=3Dm
+# CONFIG_DRM_I915_ALPHA_SUPPORT is not set
+CONFIG_DRM_I915_FORCE_PROBE=3D""
+CONFIG_DRM_I915_CAPTURE_ERROR=3Dy
+CONFIG_DRM_I915_COMPRESS_ERROR=3Dy
+CONFIG_DRM_I915_USERPTR=3Dy
+
+#
+# drm/i915 Debugging
+#
+# CONFIG_DRM_I915_WERROR is not set
+# CONFIG_DRM_I915_DEBUG is not set
+# CONFIG_DRM_I915_DEBUG_MMIO is not set
+# CONFIG_DRM_I915_SW_FENCE_DEBUG_OBJECTS is not set
+# CONFIG_DRM_I915_SW_FENCE_CHECK_DAG is not set
+# CONFIG_DRM_I915_DEBUG_GUC is not set
+# CONFIG_DRM_I915_SELFTEST is not set
+# CONFIG_DRM_I915_LOW_LEVEL_TRACEPOINTS is not set
+# CONFIG_DRM_I915_DEBUG_VBLANK_EVADE is not set
+# CONFIG_DRM_I915_DEBUG_RUNTIME_PM is not set
+# end of drm/i915 Debugging
+
+#
+# drm/i915 Profile Guided Optimisation
+#
+CONFIG_DRM_I915_USERFAULT_AUTOSUSPEND=3D250
+CONFIG_DRM_I915_SPIN_REQUEST=3D5
+# end of drm/i915 Profile Guided Optimisation
+
+CONFIG_DRM_VGEM=3Dm
+# CONFIG_DRM_VKMS is not set
+CONFIG_DRM_VMWGFX=3Dm
+CONFIG_DRM_VMWGFX_FBCON=3Dy
+CONFIG_DRM_GMA500=3Dm
+CONFIG_DRM_GMA600=3Dy
+CONFIG_DRM_GMA3600=3Dy
+CONFIG_DRM_MEDFIELD=3Dy
+CONFIG_DRM_UDL=3Dm
+CONFIG_DRM_AST=3Dm
+# CONFIG_DRM_MGAG200 is not set
+CONFIG_DRM_CIRRUS_QEMU=3Dm
+CONFIG_DRM_QXL=3Dm
+CONFIG_DRM_BOCHS=3Dm
+CONFIG_DRM_VIRTIO_GPU=3Dm
+CONFIG_DRM_PANEL=3Dy
+
+#
+# Display Panels
+#
+# CONFIG_DRM_PANEL_RASPBERRYPI_TOUCHSCREEN is not set
+# end of Display Panels
+
+CONFIG_DRM_BRIDGE=3Dy
+CONFIG_DRM_PANEL_BRIDGE=3Dy
+
+#
+# Display Interface Bridges
+#
+CONFIG_DRM_ANALOGIX_ANX78XX=3Dm
+# end of Display Interface Bridges
+
+# CONFIG_DRM_ETNAVIV is not set
+CONFIG_DRM_GM12U320=3Dm
+CONFIG_TINYDRM_HX8357D=3Dm
+CONFIG_TINYDRM_ILI9225=3Dm
+CONFIG_TINYDRM_ILI9341=3Dm
+CONFIG_TINYDRM_MI0283QT=3Dm
+CONFIG_TINYDRM_REPAPER=3Dm
+CONFIG_TINYDRM_ST7586=3Dm
+CONFIG_TINYDRM_ST7735R=3Dm
+CONFIG_DRM_XEN=3Dy
+CONFIG_DRM_XEN_FRONTEND=3Dm
+CONFIG_DRM_VBOXVIDEO=3Dm
+# CONFIG_DRM_LEGACY is not set
+CONFIG_DRM_PANEL_ORIENTATION_QUIRKS=3Dy
+
+#
+# Frame buffer Devices
+#
+CONFIG_FB_CMDLINE=3Dy
+CONFIG_FB_NOTIFY=3Dy
+CONFIG_FB=3Dy
+CONFIG_FIRMWARE_EDID=3Dy
+CONFIG_FB_DDC=3Dm
+CONFIG_FB_BOOT_VESA_SUPPORT=3Dy
+CONFIG_FB_CFB_FILLRECT=3Dy
+CONFIG_FB_CFB_COPYAREA=3Dy
+CONFIG_FB_CFB_IMAGEBLIT=3Dy
+CONFIG_FB_SYS_FILLRECT=3Dm
+CONFIG_FB_SYS_COPYAREA=3Dm
+CONFIG_FB_SYS_IMAGEBLIT=3Dm
+# CONFIG_FB_FOREIGN_ENDIAN is not set
+CONFIG_FB_SYS_FOPS=3Dm
+CONFIG_FB_DEFERRED_IO=3Dy
+CONFIG_FB_HECUBA=3Dm
+CONFIG_FB_SVGALIB=3Dm
+CONFIG_FB_BACKLIGHT=3Dm
+CONFIG_FB_MODE_HELPERS=3Dy
+CONFIG_FB_TILEBLITTING=3Dy
+
+#
+# Frame buffer hardware drivers
+#
+CONFIG_FB_CIRRUS=3Dm
+CONFIG_FB_PM2=3Dm
+CONFIG_FB_PM2_FIFO_DISCONNECT=3Dy
+CONFIG_FB_CYBER2000=3Dm
+CONFIG_FB_CYBER2000_DDC=3Dy
+CONFIG_FB_ARC=3Dm
+CONFIG_FB_ASILIANT=3Dy
+CONFIG_FB_IMSTT=3Dy
+CONFIG_FB_VGA16=3Dm
+CONFIG_FB_UVESA=3Dm
+CONFIG_FB_VESA=3Dy
+CONFIG_FB_EFI=3Dy
+CONFIG_FB_N411=3Dm
+CONFIG_FB_HGA=3Dm
+CONFIG_FB_OPENCORES=3Dm
+CONFIG_FB_S1D13XXX=3Dm
+# CONFIG_FB_NVIDIA is not set
+CONFIG_FB_RIVA=3Dm
+CONFIG_FB_RIVA_I2C=3Dy
+# CONFIG_FB_RIVA_DEBUG is not set
+CONFIG_FB_RIVA_BACKLIGHT=3Dy
+CONFIG_FB_I740=3Dm
+CONFIG_FB_I810=3Dm
+# CONFIG_FB_I810_GTF is not set
+CONFIG_FB_LE80578=3Dm
+CONFIG_FB_CARILLO_RANCH=3Dm
+CONFIG_FB_INTEL=3Dm
+# CONFIG_FB_INTEL_DEBUG is not set
+CONFIG_FB_INTEL_I2C=3Dy
+CONFIG_FB_MATROX=3Dm
+CONFIG_FB_MATROX_MILLENIUM=3Dy
+CONFIG_FB_MATROX_MYSTIQUE=3Dy
+CONFIG_FB_MATROX_G=3Dy
+CONFIG_FB_MATROX_I2C=3Dm
+CONFIG_FB_MATROX_MAVEN=3Dm
+CONFIG_FB_RADEON=3Dm
+CONFIG_FB_RADEON_I2C=3Dy
+CONFIG_FB_RADEON_BACKLIGHT=3Dy
+# CONFIG_FB_RADEON_DEBUG is not set
+CONFIG_FB_ATY128=3Dm
+CONFIG_FB_ATY128_BACKLIGHT=3Dy
+CONFIG_FB_ATY=3Dm
+CONFIG_FB_ATY_CT=3Dy
+# CONFIG_FB_ATY_GENERIC_LCD is not set
+CONFIG_FB_ATY_GX=3Dy
+CONFIG_FB_ATY_BACKLIGHT=3Dy
+CONFIG_FB_S3=3Dm
+CONFIG_FB_S3_DDC=3Dy
+CONFIG_FB_SAVAGE=3Dm
+CONFIG_FB_SAVAGE_I2C=3Dy
+# CONFIG_FB_SAVAGE_ACCEL is not set
+CONFIG_FB_SIS=3Dm
+CONFIG_FB_SIS_300=3Dy
+CONFIG_FB_SIS_315=3Dy
+CONFIG_FB_VIA=3Dm
+# CONFIG_FB_VIA_DIRECT_PROCFS is not set
+CONFIG_FB_VIA_X_COMPATIBILITY=3Dy
+CONFIG_FB_NEOMAGIC=3Dm
+CONFIG_FB_KYRO=3Dm
+CONFIG_FB_3DFX=3Dm
+# CONFIG_FB_3DFX_ACCEL is not set
+# CONFIG_FB_3DFX_I2C is not set
+CONFIG_FB_VOODOO1=3Dm
+CONFIG_FB_VT8623=3Dm
+CONFIG_FB_TRIDENT=3Dm
+CONFIG_FB_ARK=3Dm
+CONFIG_FB_PM3=3Dm
+CONFIG_FB_CARMINE=3Dm
+CONFIG_FB_CARMINE_DRAM_EVAL=3Dy
+# CONFIG_CARMINE_DRAM_CUSTOM is not set
+CONFIG_FB_GEODE=3Dy
+CONFIG_FB_GEODE_LX=3Dm
+CONFIG_FB_GEODE_GX=3Dm
+CONFIG_FB_GEODE_GX1=3Dm
+CONFIG_FB_SM501=3Dm
+CONFIG_FB_SMSCUFX=3Dm
+CONFIG_FB_UDL=3Dm
+CONFIG_FB_IBM_GXT4500=3Dm
+# CONFIG_FB_VIRTUAL is not set
+CONFIG_XEN_FBDEV_FRONTEND=3Dm
+CONFIG_FB_METRONOME=3Dm
+CONFIG_FB_MB862XX=3Dm
+CONFIG_FB_MB862XX_PCI_GDC=3Dy
+CONFIG_FB_MB862XX_I2C=3Dy
+CONFIG_FB_HYPERV=3Dm
+CONFIG_FB_SIMPLE=3Dy
+CONFIG_FB_SM712=3Dm
+# end of Frame buffer Devices
+
+#
+# Backlight & LCD device support
+#
+CONFIG_LCD_CLASS_DEVICE=3Dm
+CONFIG_LCD_L4F00242T03=3Dm
+CONFIG_LCD_LMS283GF05=3Dm
+CONFIG_LCD_LTV350QV=3Dm
+CONFIG_LCD_ILI922X=3Dm
+CONFIG_LCD_ILI9320=3Dm
+CONFIG_LCD_TDO24M=3Dm
+CONFIG_LCD_VGG2432A4=3Dm
+CONFIG_LCD_PLATFORM=3Dm
+CONFIG_LCD_AMS369FG06=3Dm
+CONFIG_LCD_LMS501KF03=3Dm
+CONFIG_LCD_HX8357=3Dm
+CONFIG_LCD_OTM3225A=3Dm
+CONFIG_BACKLIGHT_CLASS_DEVICE=3Dy
+CONFIG_BACKLIGHT_GENERIC=3Dm
+CONFIG_BACKLIGHT_LM3533=3Dm
+CONFIG_BACKLIGHT_CARILLO_RANCH=3Dm
+CONFIG_BACKLIGHT_PWM=3Dm
+CONFIG_BACKLIGHT_DA903X=3Dm
+CONFIG_BACKLIGHT_DA9052=3Dm
+CONFIG_BACKLIGHT_MAX8925=3Dm
+CONFIG_BACKLIGHT_APPLE=3Dm
+CONFIG_BACKLIGHT_PM8941_WLED=3Dm
+CONFIG_BACKLIGHT_SAHARA=3Dm
+CONFIG_BACKLIGHT_WM831X=3Dm
+CONFIG_BACKLIGHT_ADP5520=3Dm
+CONFIG_BACKLIGHT_ADP8860=3Dm
+CONFIG_BACKLIGHT_ADP8870=3Dm
+CONFIG_BACKLIGHT_88PM860X=3Dm
+CONFIG_BACKLIGHT_PCF50633=3Dm
+CONFIG_BACKLIGHT_AAT2870=3Dm
+CONFIG_BACKLIGHT_LM3630A=3Dm
+CONFIG_BACKLIGHT_LM3639=3Dm
+CONFIG_BACKLIGHT_LP855X=3Dm
+CONFIG_BACKLIGHT_LP8788=3Dm
+CONFIG_BACKLIGHT_PANDORA=3Dm
+CONFIG_BACKLIGHT_SKY81452=3Dm
+CONFIG_BACKLIGHT_AS3711=3Dm
+CONFIG_BACKLIGHT_GPIO=3Dm
+CONFIG_BACKLIGHT_LV5207LP=3Dm
+CONFIG_BACKLIGHT_BD6107=3Dm
+CONFIG_BACKLIGHT_ARCXCNN=3Dm
+CONFIG_BACKLIGHT_RAVE_SP=3Dm
+# end of Backlight & LCD device support
+
+CONFIG_VGASTATE=3Dm
+CONFIG_VIDEOMODE_HELPERS=3Dy
+CONFIG_HDMI=3Dy
+
+#
+# Console display driver support
+#
+CONFIG_VGA_CONSOLE=3Dy
+# CONFIG_VGACON_SOFT_SCROLLBACK is not set
+CONFIG_MDA_CONSOLE=3Dm
+CONFIG_DUMMY_CONSOLE=3Dy
+CONFIG_DUMMY_CONSOLE_COLUMNS=3D80
+CONFIG_DUMMY_CONSOLE_ROWS=3D25
+CONFIG_FRAMEBUFFER_CONSOLE=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=3Dy
+# CONFIG_FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER is not set
+# end of Console display driver support
+
+CONFIG_LOGO=3Dy
+# CONFIG_LOGO_LINUX_MONO is not set
+# CONFIG_LOGO_LINUX_VGA16 is not set
+# CONFIG_LOGO_LINUX_CLUT224 is not set
+# end of Graphics support
+
+CONFIG_SOUND=3Dm
+CONFIG_SOUND_OSS_CORE=3Dy
+# CONFIG_SOUND_OSS_CORE_PRECLAIM is not set
+CONFIG_SND=3Dm
+CONFIG_SND_TIMER=3Dm
+CONFIG_SND_PCM=3Dm
+CONFIG_SND_PCM_ELD=3Dy
+CONFIG_SND_PCM_IEC958=3Dy
+CONFIG_SND_DMAENGINE_PCM=3Dm
+CONFIG_SND_HWDEP=3Dm
+CONFIG_SND_SEQ_DEVICE=3Dm
+CONFIG_SND_RAWMIDI=3Dm
+CONFIG_SND_COMPRESS_OFFLOAD=3Dm
+CONFIG_SND_JACK=3Dy
+CONFIG_SND_JACK_INPUT_DEV=3Dy
+CONFIG_SND_OSSEMUL=3Dy
+CONFIG_SND_MIXER_OSS=3Dm
+CONFIG_SND_PCM_OSS=3Dm
+CONFIG_SND_PCM_OSS_PLUGINS=3Dy
+CONFIG_SND_PCM_TIMER=3Dy
+CONFIG_SND_HRTIMER=3Dm
+CONFIG_SND_DYNAMIC_MINORS=3Dy
+CONFIG_SND_MAX_CARDS=3D32
+CONFIG_SND_SUPPORT_OLD_API=3Dy
+CONFIG_SND_PROC_FS=3Dy
+CONFIG_SND_VERBOSE_PROCFS=3Dy
+# CONFIG_SND_VERBOSE_PRINTK is not set
+# CONFIG_SND_DEBUG is not set
+CONFIG_SND_VMASTER=3Dy
+CONFIG_SND_DMA_SGBUF=3Dy
+CONFIG_SND_SEQUENCER=3Dm
+CONFIG_SND_SEQ_DUMMY=3Dm
+# CONFIG_SND_SEQUENCER_OSS is not set
+CONFIG_SND_SEQ_HRTIMER_DEFAULT=3Dy
+CONFIG_SND_SEQ_MIDI_EVENT=3Dm
+CONFIG_SND_SEQ_MIDI=3Dm
+CONFIG_SND_SEQ_MIDI_EMUL=3Dm
+CONFIG_SND_SEQ_VIRMIDI=3Dm
+CONFIG_SND_MPU401_UART=3Dm
+CONFIG_SND_OPL3_LIB=3Dm
+CONFIG_SND_OPL4_LIB=3Dm
+CONFIG_SND_OPL3_LIB_SEQ=3Dm
+CONFIG_SND_OPL4_LIB_SEQ=3Dm
+CONFIG_SND_VX_LIB=3Dm
+CONFIG_SND_AC97_CODEC=3Dm
+CONFIG_SND_DRIVERS=3Dy
+CONFIG_SND_PCSP=3Dm
+CONFIG_SND_DUMMY=3Dm
+CONFIG_SND_ALOOP=3Dm
+CONFIG_SND_VIRMIDI=3Dm
+CONFIG_SND_MTPAV=3Dm
+CONFIG_SND_MTS64=3Dm
+CONFIG_SND_SERIAL_U16550=3Dm
+CONFIG_SND_MPU401=3Dm
+CONFIG_SND_PORTMAN2X4=3Dm
+CONFIG_SND_AC97_POWER_SAVE=3Dy
+CONFIG_SND_AC97_POWER_SAVE_DEFAULT=3D0
+CONFIG_SND_WSS_LIB=3Dm
+CONFIG_SND_SB_COMMON=3Dm
+CONFIG_SND_SB8_DSP=3Dm
+CONFIG_SND_SB16_DSP=3Dm
+CONFIG_SND_ISA=3Dy
+CONFIG_SND_ADLIB=3Dm
+CONFIG_SND_AD1816A=3Dm
+CONFIG_SND_AD1848=3Dm
+CONFIG_SND_ALS100=3Dm
+CONFIG_SND_AZT1605=3Dm
+CONFIG_SND_AZT2316=3Dm
+CONFIG_SND_AZT2320=3Dm
+CONFIG_SND_CMI8328=3Dm
+CONFIG_SND_CMI8330=3Dm
+CONFIG_SND_CS4231=3Dm
+CONFIG_SND_CS4236=3Dm
+CONFIG_SND_ES1688=3Dm
+CONFIG_SND_ES18XX=3Dm
+CONFIG_SND_SC6000=3Dm
+CONFIG_SND_GUSCLASSIC=3Dm
+CONFIG_SND_GUSEXTREME=3Dm
+CONFIG_SND_GUSMAX=3Dm
+CONFIG_SND_INTERWAVE=3Dm
+CONFIG_SND_INTERWAVE_STB=3Dm
+CONFIG_SND_JAZZ16=3Dm
+CONFIG_SND_OPL3SA2=3Dm
+CONFIG_SND_OPTI92X_AD1848=3Dm
+CONFIG_SND_OPTI92X_CS4231=3Dm
+CONFIG_SND_OPTI93X=3Dm
+CONFIG_SND_MIRO=3Dm
+CONFIG_SND_SB8=3Dm
+CONFIG_SND_SB16=3Dm
+CONFIG_SND_SBAWE=3Dm
+CONFIG_SND_SBAWE_SEQ=3Dm
+CONFIG_SND_SB16_CSP=3Dy
+CONFIG_SND_SSCAPE=3Dm
+CONFIG_SND_WAVEFRONT=3Dm
+CONFIG_SND_MSND_PINNACLE=3Dm
+CONFIG_SND_MSND_CLASSIC=3Dm
+CONFIG_SND_PCI=3Dy
+CONFIG_SND_AD1889=3Dm
+CONFIG_SND_ALS300=3Dm
+CONFIG_SND_ALS4000=3Dm
+CONFIG_SND_ALI5451=3Dm
+CONFIG_SND_ASIHPI=3Dm
+CONFIG_SND_ATIIXP=3Dm
+CONFIG_SND_ATIIXP_MODEM=3Dm
+CONFIG_SND_AU8810=3Dm
+CONFIG_SND_AU8820=3Dm
+CONFIG_SND_AU8830=3Dm
+CONFIG_SND_AW2=3Dm
+CONFIG_SND_AZT3328=3Dm
+CONFIG_SND_BT87X=3Dm
+# CONFIG_SND_BT87X_OVERCLOCK is not set
+CONFIG_SND_CA0106=3Dm
+CONFIG_SND_CMIPCI=3Dm
+CONFIG_SND_OXYGEN_LIB=3Dm
+CONFIG_SND_OXYGEN=3Dm
+CONFIG_SND_CS4281=3Dm
+CONFIG_SND_CS46XX=3Dm
+CONFIG_SND_CS46XX_NEW_DSP=3Dy
+CONFIG_SND_CS5530=3Dm
+CONFIG_SND_CS5535AUDIO=3Dm
+CONFIG_SND_CTXFI=3Dm
+CONFIG_SND_DARLA20=3Dm
+CONFIG_SND_GINA20=3Dm
+CONFIG_SND_LAYLA20=3Dm
+CONFIG_SND_DARLA24=3Dm
+CONFIG_SND_GINA24=3Dm
+CONFIG_SND_LAYLA24=3Dm
+CONFIG_SND_MONA=3Dm
+CONFIG_SND_MIA=3Dm
+CONFIG_SND_ECHO3G=3Dm
+CONFIG_SND_INDIGO=3Dm
+CONFIG_SND_INDIGOIO=3Dm
+CONFIG_SND_INDIGODJ=3Dm
+CONFIG_SND_INDIGOIOX=3Dm
+CONFIG_SND_INDIGODJX=3Dm
+CONFIG_SND_EMU10K1=3Dm
+CONFIG_SND_EMU10K1_SEQ=3Dm
+CONFIG_SND_EMU10K1X=3Dm
+CONFIG_SND_ENS1370=3Dm
+CONFIG_SND_ENS1371=3Dm
+CONFIG_SND_ES1938=3Dm
+CONFIG_SND_ES1968=3Dm
+CONFIG_SND_ES1968_INPUT=3Dy
+CONFIG_SND_ES1968_RADIO=3Dy
+CONFIG_SND_FM801=3Dm
+CONFIG_SND_FM801_TEA575X_BOOL=3Dy
+CONFIG_SND_HDSP=3Dm
+CONFIG_SND_HDSPM=3Dm
+CONFIG_SND_ICE1712=3Dm
+CONFIG_SND_ICE1724=3Dm
+CONFIG_SND_INTEL8X0=3Dm
+CONFIG_SND_INTEL8X0M=3Dm
+CONFIG_SND_KORG1212=3Dm
+CONFIG_SND_LOLA=3Dm
+CONFIG_SND_LX6464ES=3Dm
+CONFIG_SND_MAESTRO3=3Dm
+CONFIG_SND_MAESTRO3_INPUT=3Dy
+CONFIG_SND_MIXART=3Dm
+CONFIG_SND_NM256=3Dm
+CONFIG_SND_PCXHR=3Dm
+CONFIG_SND_RIPTIDE=3Dm
+CONFIG_SND_RME32=3Dm
+CONFIG_SND_RME96=3Dm
+CONFIG_SND_RME9652=3Dm
+CONFIG_SND_SIS7019=3Dm
+CONFIG_SND_SONICVIBES=3Dm
+CONFIG_SND_TRIDENT=3Dm
+CONFIG_SND_VIA82XX=3Dm
+CONFIG_SND_VIA82XX_MODEM=3Dm
+CONFIG_SND_VIRTUOSO=3Dm
+CONFIG_SND_VX222=3Dm
+CONFIG_SND_YMFPCI=3Dm
+
+#
+# HD-Audio
+#
+CONFIG_SND_HDA=3Dm
+CONFIG_SND_HDA_INTEL=3Dm
+# CONFIG_SND_HDA_INTEL_DETECT_DMIC is not set
+CONFIG_SND_HDA_HWDEP=3Dy
+CONFIG_SND_HDA_RECONFIG=3Dy
+CONFIG_SND_HDA_INPUT_BEEP=3Dy
+CONFIG_SND_HDA_INPUT_BEEP_MODE=3D0
+CONFIG_SND_HDA_PATCH_LOADER=3Dy
+CONFIG_SND_HDA_CODEC_REALTEK=3Dm
+CONFIG_SND_HDA_CODEC_ANALOG=3Dm
+CONFIG_SND_HDA_CODEC_SIGMATEL=3Dm
+CONFIG_SND_HDA_CODEC_VIA=3Dm
+CONFIG_SND_HDA_CODEC_HDMI=3Dm
+CONFIG_SND_HDA_CODEC_CIRRUS=3Dm
+CONFIG_SND_HDA_CODEC_CONEXANT=3Dm
+CONFIG_SND_HDA_CODEC_CA0110=3Dm
+CONFIG_SND_HDA_CODEC_CA0132=3Dm
+CONFIG_SND_HDA_CODEC_CA0132_DSP=3Dy
+CONFIG_SND_HDA_CODEC_CMEDIA=3Dm
+CONFIG_SND_HDA_CODEC_SI3054=3Dm
+CONFIG_SND_HDA_GENERIC=3Dm
+CONFIG_SND_HDA_POWER_SAVE_DEFAULT=3D0
+# end of HD-Audio
+
+CONFIG_SND_HDA_CORE=3Dm
+CONFIG_SND_HDA_DSP_LOADER=3Dy
+CONFIG_SND_HDA_COMPONENT=3Dy
+CONFIG_SND_HDA_I915=3Dy
+CONFIG_SND_HDA_EXT_CORE=3Dm
+CONFIG_SND_HDA_PREALLOC_SIZE=3D64
+CONFIG_SND_INTEL_NHLT=3Dm
+CONFIG_SND_SPI=3Dy
+CONFIG_SND_USB=3Dy
+CONFIG_SND_USB_AUDIO=3Dm
+CONFIG_SND_USB_AUDIO_USE_MEDIA_CONTROLLER=3Dy
+CONFIG_SND_USB_UA101=3Dm
+CONFIG_SND_USB_USX2Y=3Dm
+CONFIG_SND_USB_CAIAQ=3Dm
+CONFIG_SND_USB_CAIAQ_INPUT=3Dy
+CONFIG_SND_USB_US122L=3Dm
+CONFIG_SND_USB_6FIRE=3Dm
+CONFIG_SND_USB_HIFACE=3Dm
+CONFIG_SND_BCD2000=3Dm
+CONFIG_SND_USB_LINE6=3Dm
+CONFIG_SND_USB_POD=3Dm
+CONFIG_SND_USB_PODHD=3Dm
+CONFIG_SND_USB_TONEPORT=3Dm
+CONFIG_SND_USB_VARIAX=3Dm
+CONFIG_SND_FIREWIRE=3Dy
+CONFIG_SND_FIREWIRE_LIB=3Dm
+CONFIG_SND_DICE=3Dm
+CONFIG_SND_OXFW=3Dm
+CONFIG_SND_ISIGHT=3Dm
+CONFIG_SND_FIREWORKS=3Dm
+CONFIG_SND_BEBOB=3Dm
+CONFIG_SND_FIREWIRE_DIGI00X=3Dm
+CONFIG_SND_FIREWIRE_TASCAM=3Dm
+CONFIG_SND_FIREWIRE_MOTU=3Dm
+CONFIG_SND_FIREFACE=3Dm
+CONFIG_SND_PCMCIA=3Dy
+CONFIG_SND_VXPOCKET=3Dm
+CONFIG_SND_PDAUDIOCF=3Dm
+CONFIG_SND_SOC=3Dm
+CONFIG_SND_SOC_AC97_BUS=3Dy
+CONFIG_SND_SOC_GENERIC_DMAENGINE_PCM=3Dy
+CONFIG_SND_SOC_COMPRESS=3Dy
+CONFIG_SND_SOC_TOPOLOGY=3Dy
+CONFIG_SND_SOC_ACPI=3Dm
+CONFIG_SND_SOC_AMD_ACP=3Dm
+CONFIG_SND_SOC_AMD_CZ_DA7219MX98357_MACH=3Dm
+CONFIG_SND_SOC_AMD_CZ_RT5645_MACH=3Dm
+CONFIG_SND_SOC_AMD_ACP3x=3Dm
+CONFIG_SND_ATMEL_SOC=3Dm
+CONFIG_SND_DESIGNWARE_I2S=3Dm
+# CONFIG_SND_DESIGNWARE_PCM is not set
+
+#
+# SoC Audio for Freescale CPUs
+#
+
+#
+# Common SoC Audio options for Freescale CPUs:
+#
+CONFIG_SND_SOC_FSL_ASRC=3Dm
+CONFIG_SND_SOC_FSL_SAI=3Dm
+CONFIG_SND_SOC_FSL_AUDMIX=3Dm
+CONFIG_SND_SOC_FSL_SSI=3Dm
+CONFIG_SND_SOC_FSL_SPDIF=3Dm
+CONFIG_SND_SOC_FSL_ESAI=3Dm
+CONFIG_SND_SOC_FSL_MICFIL=3Dm
+CONFIG_SND_SOC_IMX_AUDMUX=3Dm
+# end of SoC Audio for Freescale CPUs
+
+CONFIG_SND_I2S_HI6210_I2S=3Dm
+# CONFIG_SND_SOC_IMG is not set
+CONFIG_SND_SOC_INTEL_SST_TOPLEVEL=3Dy
+CONFIG_SND_SST_IPC=3Dm
+CONFIG_SND_SST_IPC_PCI=3Dm
+CONFIG_SND_SST_IPC_ACPI=3Dm
+CONFIG_SND_SOC_INTEL_SST_ACPI=3Dm
+CONFIG_SND_SOC_INTEL_SST=3Dm
+CONFIG_SND_SOC_INTEL_SST_FIRMWARE=3Dm
+CONFIG_SND_SOC_INTEL_HASWELL=3Dm
+CONFIG_SND_SST_ATOM_HIFI2_PLATFORM=3Dm
+CONFIG_SND_SST_ATOM_HIFI2_PLATFORM_PCI=3Dm
+CONFIG_SND_SST_ATOM_HIFI2_PLATFORM_ACPI=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE=3Dm
+CONFIG_SND_SOC_INTEL_SKL=3Dm
+CONFIG_SND_SOC_INTEL_APL=3Dm
+CONFIG_SND_SOC_INTEL_KBL=3Dm
+CONFIG_SND_SOC_INTEL_GLK=3Dm
+CONFIG_SND_SOC_INTEL_CNL=3Dm
+CONFIG_SND_SOC_INTEL_CFL=3Dm
+CONFIG_SND_SOC_INTEL_CML_H=3Dm
+CONFIG_SND_SOC_INTEL_CML_LP=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE_FAMILY=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE_SSP_CLK=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC=3Dy
+CONFIG_SND_SOC_INTEL_SKYLAKE_COMMON=3Dm
+CONFIG_SND_SOC_ACPI_INTEL_MATCH=3Dm
+CONFIG_SND_SOC_INTEL_MACH=3Dy
+CONFIG_SND_SOC_INTEL_HASWELL_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BDW_RT5677_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BROADWELL_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYTCR_RT5640_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYTCR_RT5651_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_RT5672_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_RT5645_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_MAX98090_TI_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_NAU8824_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_CX2072X_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_DA7213_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_ES8316_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_NOCODEC_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_RT286_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_NAU88L25_SSM4567_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_NAU88L25_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_DA7219_MAX98357A_GENERIC=3Dm
+CONFIG_SND_SOC_INTEL_BXT_DA7219_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BXT_RT298_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_RT5663_MAX98927_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_RT5663_RT5514_MAX98927_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_DA7219_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_DA7219_MAX98927_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_RT5660_MACH=3Dm
+CONFIG_SND_SOC_INTEL_GLK_RT5682_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_HDA_DSP_GENERIC_MACH=3Dm
+CONFIG_SND_SOC_MTK_BTCVSD=3Dm
+CONFIG_SND_SOC_SOF_TOPLEVEL=3Dy
+CONFIG_SND_SOC_SOF_PCI=3Dm
+CONFIG_SND_SOC_SOF_ACPI=3Dm
+CONFIG_SND_SOC_SOF_OPTIONS=3Dm
+# CONFIG_SND_SOC_SOF_NOCODEC_SUPPORT is not set
+# CONFIG_SND_SOC_SOF_STRICT_ABI_CHECKS is not set
+# CONFIG_SND_SOC_SOF_DEBUG is not set
+CONFIG_SND_SOC_SOF=3Dm
+# CONFIG_SND_SOC_SOF_INTEL_TOPLEVEL is not set
+
+#
+# STMicroelectronics STM32 SOC audio support
+#
+# end of STMicroelectronics STM32 SOC audio support
+
+CONFIG_SND_SOC_XILINX_I2S=3Dm
+# CONFIG_SND_SOC_XILINX_AUDIO_FORMATTER is not set
+# CONFIG_SND_SOC_XILINX_SPDIF is not set
+CONFIG_SND_SOC_XTFPGA_I2S=3Dm
+CONFIG_ZX_TDM=3Dm
+CONFIG_SND_SOC_I2C_AND_SPI=3Dm
+
+#
+# CODEC drivers
+#
+CONFIG_SND_SOC_AC97_CODEC=3Dm
+CONFIG_SND_SOC_ADAU_UTILS=3Dm
+CONFIG_SND_SOC_ADAU1701=3Dm
+CONFIG_SND_SOC_ADAU17X1=3Dm
+CONFIG_SND_SOC_ADAU1761=3Dm
+CONFIG_SND_SOC_ADAU1761_I2C=3Dm
+CONFIG_SND_SOC_ADAU1761_SPI=3Dm
+CONFIG_SND_SOC_ADAU7002=3Dm
+CONFIG_SND_SOC_AK4104=3Dm
+CONFIG_SND_SOC_AK4118=3Dm
+CONFIG_SND_SOC_AK4458=3Dm
+CONFIG_SND_SOC_AK4554=3Dm
+CONFIG_SND_SOC_AK4613=3Dm
+CONFIG_SND_SOC_AK4642=3Dm
+CONFIG_SND_SOC_AK5386=3Dm
+CONFIG_SND_SOC_AK5558=3Dm
+CONFIG_SND_SOC_ALC5623=3Dm
+CONFIG_SND_SOC_BD28623=3Dm
+CONFIG_SND_SOC_BT_SCO=3Dm
+CONFIG_SND_SOC_CROS_EC_CODEC=3Dm
+CONFIG_SND_SOC_CS35L32=3Dm
+CONFIG_SND_SOC_CS35L33=3Dm
+CONFIG_SND_SOC_CS35L34=3Dm
+CONFIG_SND_SOC_CS35L35=3Dm
+CONFIG_SND_SOC_CS35L36=3Dm
+CONFIG_SND_SOC_CS42L42=3Dm
+CONFIG_SND_SOC_CS42L51=3Dm
+CONFIG_SND_SOC_CS42L51_I2C=3Dm
+CONFIG_SND_SOC_CS42L52=3Dm
+CONFIG_SND_SOC_CS42L56=3Dm
+CONFIG_SND_SOC_CS42L73=3Dm
+CONFIG_SND_SOC_CS4265=3Dm
+CONFIG_SND_SOC_CS4270=3Dm
+CONFIG_SND_SOC_CS4271=3Dm
+CONFIG_SND_SOC_CS4271_I2C=3Dm
+CONFIG_SND_SOC_CS4271_SPI=3Dm
+CONFIG_SND_SOC_CS42XX8=3Dm
+CONFIG_SND_SOC_CS42XX8_I2C=3Dm
+CONFIG_SND_SOC_CS43130=3Dm
+CONFIG_SND_SOC_CS4341=3Dm
+CONFIG_SND_SOC_CS4349=3Dm
+CONFIG_SND_SOC_CS53L30=3Dm
+CONFIG_SND_SOC_CX2072X=3Dm
+CONFIG_SND_SOC_DA7213=3Dm
+CONFIG_SND_SOC_DA7219=3Dm
+CONFIG_SND_SOC_DMIC=3Dm
+CONFIG_SND_SOC_HDMI_CODEC=3Dm
+CONFIG_SND_SOC_ES7134=3Dm
+CONFIG_SND_SOC_ES7241=3Dm
+CONFIG_SND_SOC_ES8316=3Dm
+CONFIG_SND_SOC_ES8328=3Dm
+CONFIG_SND_SOC_ES8328_I2C=3Dm
+CONFIG_SND_SOC_ES8328_SPI=3Dm
+CONFIG_SND_SOC_GTM601=3Dm
+CONFIG_SND_SOC_HDAC_HDMI=3Dm
+CONFIG_SND_SOC_HDAC_HDA=3Dm
+CONFIG_SND_SOC_INNO_RK3036=3Dm
+CONFIG_SND_SOC_MAX98088=3Dm
+CONFIG_SND_SOC_MAX98090=3Dm
+CONFIG_SND_SOC_MAX98357A=3Dm
+CONFIG_SND_SOC_MAX98504=3Dm
+CONFIG_SND_SOC_MAX9867=3Dm
+CONFIG_SND_SOC_MAX98927=3Dm
+CONFIG_SND_SOC_MAX98373=3Dm
+CONFIG_SND_SOC_MAX9860=3Dm
+CONFIG_SND_SOC_MSM8916_WCD_ANALOG=3Dm
+CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=3Dm
+CONFIG_SND_SOC_PCM1681=3Dm
+CONFIG_SND_SOC_PCM1789=3Dm
+CONFIG_SND_SOC_PCM1789_I2C=3Dm
+CONFIG_SND_SOC_PCM179X=3Dm
+CONFIG_SND_SOC_PCM179X_I2C=3Dm
+CONFIG_SND_SOC_PCM179X_SPI=3Dm
+CONFIG_SND_SOC_PCM186X=3Dm
+CONFIG_SND_SOC_PCM186X_I2C=3Dm
+CONFIG_SND_SOC_PCM186X_SPI=3Dm
+CONFIG_SND_SOC_PCM3060=3Dm
+CONFIG_SND_SOC_PCM3060_I2C=3Dm
+CONFIG_SND_SOC_PCM3060_SPI=3Dm
+CONFIG_SND_SOC_PCM3168A=3Dm
+CONFIG_SND_SOC_PCM3168A_I2C=3Dm
+CONFIG_SND_SOC_PCM3168A_SPI=3Dm
+CONFIG_SND_SOC_PCM512x=3Dm
+CONFIG_SND_SOC_PCM512x_I2C=3Dm
+CONFIG_SND_SOC_PCM512x_SPI=3Dm
+# CONFIG_SND_SOC_RK3328 is not set
+CONFIG_SND_SOC_RL6231=3Dm
+CONFIG_SND_SOC_RL6347A=3Dm
+CONFIG_SND_SOC_RT286=3Dm
+CONFIG_SND_SOC_RT298=3Dm
+CONFIG_SND_SOC_RT5514=3Dm
+CONFIG_SND_SOC_RT5514_SPI=3Dm
+CONFIG_SND_SOC_RT5616=3Dm
+CONFIG_SND_SOC_RT5631=3Dm
+CONFIG_SND_SOC_RT5640=3Dm
+CONFIG_SND_SOC_RT5645=3Dm
+CONFIG_SND_SOC_RT5651=3Dm
+CONFIG_SND_SOC_RT5660=3Dm
+CONFIG_SND_SOC_RT5663=3Dm
+CONFIG_SND_SOC_RT5670=3Dm
+CONFIG_SND_SOC_RT5677=3Dm
+CONFIG_SND_SOC_RT5677_SPI=3Dm
+CONFIG_SND_SOC_RT5682=3Dm
+CONFIG_SND_SOC_SGTL5000=3Dm
+CONFIG_SND_SOC_SI476X=3Dm
+CONFIG_SND_SOC_SIGMADSP=3Dm
+CONFIG_SND_SOC_SIGMADSP_I2C=3Dm
+CONFIG_SND_SOC_SIGMADSP_REGMAP=3Dm
+CONFIG_SND_SOC_SIMPLE_AMPLIFIER=3Dm
+CONFIG_SND_SOC_SIRF_AUDIO_CODEC=3Dm
+CONFIG_SND_SOC_SPDIF=3Dm
+CONFIG_SND_SOC_SSM2305=3Dm
+CONFIG_SND_SOC_SSM2602=3Dm
+CONFIG_SND_SOC_SSM2602_SPI=3Dm
+CONFIG_SND_SOC_SSM2602_I2C=3Dm
+CONFIG_SND_SOC_SSM4567=3Dm
+CONFIG_SND_SOC_STA32X=3Dm
+CONFIG_SND_SOC_STA350=3Dm
+CONFIG_SND_SOC_STI_SAS=3Dm
+CONFIG_SND_SOC_TAS2552=3Dm
+CONFIG_SND_SOC_TAS5086=3Dm
+CONFIG_SND_SOC_TAS571X=3Dm
+CONFIG_SND_SOC_TAS5720=3Dm
+CONFIG_SND_SOC_TAS6424=3Dm
+CONFIG_SND_SOC_TDA7419=3Dm
+CONFIG_SND_SOC_TFA9879=3Dm
+CONFIG_SND_SOC_TLV320AIC23=3Dm
+CONFIG_SND_SOC_TLV320AIC23_I2C=3Dm
+CONFIG_SND_SOC_TLV320AIC23_SPI=3Dm
+CONFIG_SND_SOC_TLV320AIC31XX=3Dm
+CONFIG_SND_SOC_TLV320AIC32X4=3Dm
+CONFIG_SND_SOC_TLV320AIC32X4_I2C=3Dm
+CONFIG_SND_SOC_TLV320AIC32X4_SPI=3Dm
+CONFIG_SND_SOC_TLV320AIC3X=3Dm
+CONFIG_SND_SOC_TS3A227E=3Dm
+CONFIG_SND_SOC_TSCS42XX=3Dm
+CONFIG_SND_SOC_TSCS454=3Dm
+CONFIG_SND_SOC_UDA1334=3Dm
+CONFIG_SND_SOC_WM8510=3Dm
+CONFIG_SND_SOC_WM8523=3Dm
+CONFIG_SND_SOC_WM8524=3Dm
+CONFIG_SND_SOC_WM8580=3Dm
+CONFIG_SND_SOC_WM8711=3Dm
+CONFIG_SND_SOC_WM8728=3Dm
+CONFIG_SND_SOC_WM8731=3Dm
+CONFIG_SND_SOC_WM8737=3Dm
+CONFIG_SND_SOC_WM8741=3Dm
+CONFIG_SND_SOC_WM8750=3Dm
+CONFIG_SND_SOC_WM8753=3Dm
+CONFIG_SND_SOC_WM8770=3Dm
+CONFIG_SND_SOC_WM8776=3Dm
+CONFIG_SND_SOC_WM8782=3Dm
+CONFIG_SND_SOC_WM8804=3Dm
+CONFIG_SND_SOC_WM8804_I2C=3Dm
+CONFIG_SND_SOC_WM8804_SPI=3Dm
+CONFIG_SND_SOC_WM8903=3Dm
+CONFIG_SND_SOC_WM8904=3Dm
+CONFIG_SND_SOC_WM8960=3Dm
+CONFIG_SND_SOC_WM8962=3Dm
+CONFIG_SND_SOC_WM8974=3Dm
+CONFIG_SND_SOC_WM8978=3Dm
+CONFIG_SND_SOC_WM8985=3Dm
+CONFIG_SND_SOC_ZX_AUD96P22=3Dm
+CONFIG_SND_SOC_MAX9759=3Dm
+CONFIG_SND_SOC_MT6351=3Dm
+CONFIG_SND_SOC_MT6358=3Dm
+CONFIG_SND_SOC_NAU8540=3Dm
+CONFIG_SND_SOC_NAU8810=3Dm
+CONFIG_SND_SOC_NAU8822=3Dm
+CONFIG_SND_SOC_NAU8824=3Dm
+CONFIG_SND_SOC_NAU8825=3Dm
+CONFIG_SND_SOC_TPA6130A2=3Dm
+# end of CODEC drivers
+
+CONFIG_SND_SIMPLE_CARD_UTILS=3Dm
+CONFIG_SND_SIMPLE_CARD=3Dm
+CONFIG_SND_X86=3Dy
+CONFIG_HDMI_LPE_AUDIO=3Dm
+CONFIG_SND_SYNTH_EMUX=3Dm
+CONFIG_SND_XEN_FRONTEND=3Dm
+CONFIG_AC97_BUS=3Dm
+
+#
+# HID support
+#
+CONFIG_HID=3Dm
+CONFIG_HID_BATTERY_STRENGTH=3Dy
+CONFIG_HIDRAW=3Dy
+CONFIG_UHID=3Dm
+CONFIG_HID_GENERIC=3Dm
+
+#
+# Special HID drivers
+#
+CONFIG_HID_A4TECH=3Dm
+CONFIG_HID_ACCUTOUCH=3Dm
+CONFIG_HID_ACRUX=3Dm
+CONFIG_HID_ACRUX_FF=3Dy
+CONFIG_HID_APPLE=3Dm
+CONFIG_HID_APPLEIR=3Dm
+CONFIG_HID_ASUS=3Dm
+CONFIG_HID_AUREAL=3Dm
+CONFIG_HID_BELKIN=3Dm
+CONFIG_HID_BETOP_FF=3Dm
+CONFIG_HID_BIGBEN_FF=3Dm
+CONFIG_HID_CHERRY=3Dm
+CONFIG_HID_CHICONY=3Dm
+CONFIG_HID_CORSAIR=3Dm
+CONFIG_HID_COUGAR=3Dm
+CONFIG_HID_MACALLY=3Dm
+CONFIG_HID_PRODIKEYS=3Dm
+CONFIG_HID_CMEDIA=3Dm
+CONFIG_HID_CP2112=3Dm
+CONFIG_HID_CREATIVE_SB0540=3Dm
+CONFIG_HID_CYPRESS=3Dm
+CONFIG_HID_DRAGONRISE=3Dm
+CONFIG_DRAGONRISE_FF=3Dy
+CONFIG_HID_EMS_FF=3Dm
+CONFIG_HID_ELAN=3Dm
+CONFIG_HID_ELECOM=3Dm
+CONFIG_HID_ELO=3Dm
+CONFIG_HID_EZKEY=3Dm
+CONFIG_HID_GEMBIRD=3Dm
+CONFIG_HID_GFRM=3Dm
+CONFIG_HID_HOLTEK=3Dm
+CONFIG_HOLTEK_FF=3Dy
+CONFIG_HID_GOOGLE_HAMMER=3Dm
+CONFIG_HID_GT683R=3Dm
+CONFIG_HID_KEYTOUCH=3Dm
+CONFIG_HID_KYE=3Dm
+CONFIG_HID_UCLOGIC=3Dm
+CONFIG_HID_WALTOP=3Dm
+CONFIG_HID_VIEWSONIC=3Dm
+CONFIG_HID_GYRATION=3Dm
+CONFIG_HID_ICADE=3Dm
+CONFIG_HID_ITE=3Dm
+CONFIG_HID_JABRA=3Dm
+CONFIG_HID_TWINHAN=3Dm
+CONFIG_HID_KENSINGTON=3Dm
+CONFIG_HID_LCPOWER=3Dm
+CONFIG_HID_LED=3Dm
+CONFIG_HID_LENOVO=3Dm
+CONFIG_HID_LOGITECH=3Dm
+CONFIG_HID_LOGITECH_DJ=3Dm
+CONFIG_HID_LOGITECH_HIDPP=3Dm
+CONFIG_LOGITECH_FF=3Dy
+CONFIG_LOGIRUMBLEPAD2_FF=3Dy
+CONFIG_LOGIG940_FF=3Dy
+CONFIG_LOGIWHEELS_FF=3Dy
+CONFIG_HID_MAGICMOUSE=3Dm
+CONFIG_HID_MALTRON=3Dm
+CONFIG_HID_MAYFLASH=3Dm
+CONFIG_HID_REDRAGON=3Dm
+CONFIG_HID_MICROSOFT=3Dm
+CONFIG_HID_MONTEREY=3Dm
+CONFIG_HID_MULTITOUCH=3Dm
+CONFIG_HID_NTI=3Dm
+CONFIG_HID_NTRIG=3Dm
+CONFIG_HID_ORTEK=3Dm
+CONFIG_HID_PANTHERLORD=3Dm
+CONFIG_PANTHERLORD_FF=3Dy
+CONFIG_HID_PENMOUNT=3Dm
+CONFIG_HID_PETALYNX=3Dm
+CONFIG_HID_PICOLCD=3Dm
+CONFIG_HID_PICOLCD_FB=3Dy
+CONFIG_HID_PICOLCD_BACKLIGHT=3Dy
+CONFIG_HID_PICOLCD_LCD=3Dy
+CONFIG_HID_PICOLCD_LEDS=3Dy
+CONFIG_HID_PICOLCD_CIR=3Dy
+CONFIG_HID_PLANTRONICS=3Dm
+CONFIG_HID_PRIMAX=3Dm
+CONFIG_HID_RETRODE=3Dm
+CONFIG_HID_ROCCAT=3Dm
+CONFIG_HID_SAITEK=3Dm
+CONFIG_HID_SAMSUNG=3Dm
+CONFIG_HID_SONY=3Dm
+CONFIG_SONY_FF=3Dy
+CONFIG_HID_SPEEDLINK=3Dm
+CONFIG_HID_STEAM=3Dm
+CONFIG_HID_STEELSERIES=3Dm
+CONFIG_HID_SUNPLUS=3Dm
+CONFIG_HID_RMI=3Dm
+CONFIG_HID_GREENASIA=3Dm
+CONFIG_GREENASIA_FF=3Dy
+CONFIG_HID_HYPERV_MOUSE=3Dm
+CONFIG_HID_SMARTJOYPLUS=3Dm
+CONFIG_SMARTJOYPLUS_FF=3Dy
+CONFIG_HID_TIVO=3Dm
+CONFIG_HID_TOPSEED=3Dm
+CONFIG_HID_THINGM=3Dm
+CONFIG_HID_THRUSTMASTER=3Dm
+CONFIG_THRUSTMASTER_FF=3Dy
+CONFIG_HID_UDRAW_PS3=3Dm
+CONFIG_HID_U2FZERO=3Dm
+CONFIG_HID_WACOM=3Dm
+CONFIG_HID_WIIMOTE=3Dm
+CONFIG_HID_XINMO=3Dm
+CONFIG_HID_ZEROPLUS=3Dm
+CONFIG_ZEROPLUS_FF=3Dy
+CONFIG_HID_ZYDACRON=3Dm
+CONFIG_HID_SENSOR_HUB=3Dm
+CONFIG_HID_SENSOR_CUSTOM_SENSOR=3Dm
+CONFIG_HID_ALPS=3Dm
+# end of Special HID drivers
+
+#
+# USB HID support
+#
+CONFIG_USB_HID=3Dm
+CONFIG_HID_PID=3Dy
+CONFIG_USB_HIDDEV=3Dy
+
+#
+# USB HID Boot Protocol drivers
+#
+CONFIG_USB_KBD=3Dm
+CONFIG_USB_MOUSE=3Dm
+# end of USB HID Boot Protocol drivers
+# end of USB HID support
+
+#
+# I2C HID support
+#
+CONFIG_I2C_HID=3Dm
+# end of I2C HID support
+# end of HID support
+
+CONFIG_USB_OHCI_LITTLE_ENDIAN=3Dy
+CONFIG_USB_SUPPORT=3Dy
+CONFIG_USB_COMMON=3Dy
+CONFIG_USB_LED_TRIG=3Dy
+CONFIG_USB_ULPI_BUS=3Dm
+CONFIG_USB_CONN_GPIO=3Dm
+CONFIG_USB_ARCH_HAS_HCD=3Dy
+CONFIG_USB=3Dy
+CONFIG_USB_PCI=3Dy
+CONFIG_USB_ANNOUNCE_NEW_DEVICES=3Dy
+
+#
+# Miscellaneous USB options
+#
+CONFIG_USB_DEFAULT_PERSIST=3Dy
+CONFIG_USB_DYNAMIC_MINORS=3Dy
+# CONFIG_USB_OTG is not set
+# CONFIG_USB_OTG_WHITELIST is not set
+# CONFIG_USB_OTG_BLACKLIST_HUB is not set
+CONFIG_USB_LEDS_TRIGGER_USBPORT=3Dm
+CONFIG_USB_AUTOSUSPEND_DELAY=3D2
+CONFIG_USB_MON=3Dm
+
+#
+# USB Host Controller Drivers
+#
+CONFIG_USB_C67X00_HCD=3Dm
+CONFIG_USB_XHCI_HCD=3Dy
+# CONFIG_USB_XHCI_DBGCAP is not set
+CONFIG_USB_XHCI_PCI=3Dy
+CONFIG_USB_XHCI_PLATFORM=3Dm
+CONFIG_USB_EHCI_HCD=3Dy
+CONFIG_USB_EHCI_ROOT_HUB_TT=3Dy
+CONFIG_USB_EHCI_TT_NEWSCHED=3Dy
+CONFIG_USB_EHCI_PCI=3Dy
+# CONFIG_USB_EHCI_FSL is not set
+CONFIG_USB_EHCI_HCD_PLATFORM=3Dy
+CONFIG_USB_OXU210HP_HCD=3Dm
+CONFIG_USB_ISP116X_HCD=3Dm
+CONFIG_USB_FOTG210_HCD=3Dm
+CONFIG_USB_MAX3421_HCD=3Dm
+CONFIG_USB_OHCI_HCD=3Dy
+CONFIG_USB_OHCI_HCD_PCI=3Dy
+CONFIG_USB_OHCI_HCD_PLATFORM=3Dy
+CONFIG_USB_UHCI_HCD=3Dy
+CONFIG_USB_U132_HCD=3Dm
+CONFIG_USB_SL811_HCD=3Dm
+CONFIG_USB_SL811_HCD_ISO=3Dy
+CONFIG_USB_SL811_CS=3Dm
+CONFIG_USB_R8A66597_HCD=3Dm
+CONFIG_USB_HCD_BCMA=3Dm
+CONFIG_USB_HCD_SSB=3Dm
+# CONFIG_USB_HCD_TEST_MODE is not set
+
+#
+# USB Device Class drivers
+#
+CONFIG_USB_ACM=3Dm
+CONFIG_USB_PRINTER=3Dm
+CONFIG_USB_WDM=3Dm
+CONFIG_USB_TMC=3Dm
+
+#
+# NOTE: USB_STORAGE depends on SCSI but BLK_DEV_SD may
+#
+
+#
+# also be needed; see USB_STORAGE Help for more info
+#
+CONFIG_USB_STORAGE=3Dm
+# CONFIG_USB_STORAGE_DEBUG is not set
+CONFIG_USB_STORAGE_REALTEK=3Dm
+CONFIG_REALTEK_AUTOPM=3Dy
+CONFIG_USB_STORAGE_DATAFAB=3Dm
+CONFIG_USB_STORAGE_FREECOM=3Dm
+CONFIG_USB_STORAGE_ISD200=3Dm
+CONFIG_USB_STORAGE_USBAT=3Dm
+CONFIG_USB_STORAGE_SDDR09=3Dm
+CONFIG_USB_STORAGE_SDDR55=3Dm
+CONFIG_USB_STORAGE_JUMPSHOT=3Dm
+CONFIG_USB_STORAGE_ALAUDA=3Dm
+CONFIG_USB_STORAGE_ONETOUCH=3Dm
+CONFIG_USB_STORAGE_KARMA=3Dm
+CONFIG_USB_STORAGE_CYPRESS_ATACB=3Dm
+CONFIG_USB_STORAGE_ENE_UB6250=3Dm
+CONFIG_USB_UAS=3Dm
+
+#
+# USB Imaging devices
+#
+CONFIG_USB_MDC800=3Dm
+CONFIG_USB_MICROTEK=3Dm
+CONFIG_USBIP_CORE=3Dm
+CONFIG_USBIP_VHCI_HCD=3Dm
+CONFIG_USBIP_VHCI_HC_PORTS=3D8
+CONFIG_USBIP_VHCI_NR_HCS=3D1
+CONFIG_USBIP_HOST=3Dm
+CONFIG_USBIP_VUDC=3Dm
+# CONFIG_USBIP_DEBUG is not set
+CONFIG_USB_CDNS3=3Dm
+# CONFIG_USB_CDNS3_GADGET is not set
+# CONFIG_USB_CDNS3_HOST is not set
+CONFIG_USB_CDNS3_PCI_WRAP=3Dm
+CONFIG_USB_MUSB_HDRC=3Dm
+# CONFIG_USB_MUSB_HOST is not set
+# CONFIG_USB_MUSB_GADGET is not set
+CONFIG_USB_MUSB_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Layer
+#
+
+#
+# MUSB DMA mode
+#
+CONFIG_MUSB_PIO_ONLY=3Dy
+CONFIG_USB_DWC3=3Dm
+CONFIG_USB_DWC3_ULPI=3Dy
+# CONFIG_USB_DWC3_HOST is not set
+# CONFIG_USB_DWC3_GADGET is not set
+CONFIG_USB_DWC3_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Driver Support
+#
+CONFIG_USB_DWC3_PCI=3Dm
+CONFIG_USB_DWC3_HAPS=3Dm
+CONFIG_USB_DWC2=3Dy
+CONFIG_USB_DWC2_HOST=3Dy
+
+#
+# Gadget/Dual-role mode requires USB Gadget support to be enabled
+#
+CONFIG_USB_DWC2_PCI=3Dm
+# CONFIG_USB_DWC2_DEBUG is not set
+# CONFIG_USB_DWC2_TRACK_MISSED_SOFS is not set
+CONFIG_USB_CHIPIDEA=3Dm
+CONFIG_USB_CHIPIDEA_PCI=3Dm
+CONFIG_USB_CHIPIDEA_UDC=3Dy
+CONFIG_USB_CHIPIDEA_HOST=3Dy
+CONFIG_USB_ISP1760=3Dm
+CONFIG_USB_ISP1760_HCD=3Dy
+CONFIG_USB_ISP1761_UDC=3Dy
+# CONFIG_USB_ISP1760_HOST_ROLE is not set
+# CONFIG_USB_ISP1760_GADGET_ROLE is not set
+CONFIG_USB_ISP1760_DUAL_ROLE=3Dy
+
+#
+# USB port drivers
+#
+CONFIG_USB_USS720=3Dm
+CONFIG_USB_SERIAL=3Dm
+CONFIG_USB_SERIAL_GENERIC=3Dy
+CONFIG_USB_SERIAL_SIMPLE=3Dm
+CONFIG_USB_SERIAL_AIRCABLE=3Dm
+CONFIG_USB_SERIAL_ARK3116=3Dm
+CONFIG_USB_SERIAL_BELKIN=3Dm
+CONFIG_USB_SERIAL_CH341=3Dm
+CONFIG_USB_SERIAL_WHITEHEAT=3Dm
+CONFIG_USB_SERIAL_DIGI_ACCELEPORT=3Dm
+CONFIG_USB_SERIAL_CP210X=3Dm
+CONFIG_USB_SERIAL_CYPRESS_M8=3Dm
+CONFIG_USB_SERIAL_EMPEG=3Dm
+CONFIG_USB_SERIAL_FTDI_SIO=3Dm
+CONFIG_USB_SERIAL_VISOR=3Dm
+CONFIG_USB_SERIAL_IPAQ=3Dm
+CONFIG_USB_SERIAL_IR=3Dm
+CONFIG_USB_SERIAL_EDGEPORT=3Dm
+CONFIG_USB_SERIAL_EDGEPORT_TI=3Dm
+CONFIG_USB_SERIAL_F81232=3Dm
+CONFIG_USB_SERIAL_F8153X=3Dm
+CONFIG_USB_SERIAL_GARMIN=3Dm
+CONFIG_USB_SERIAL_IPW=3Dm
+CONFIG_USB_SERIAL_IUU=3Dm
+CONFIG_USB_SERIAL_KEYSPAN_PDA=3Dm
+CONFIG_USB_SERIAL_KEYSPAN=3Dm
+CONFIG_USB_SERIAL_KLSI=3Dm
+CONFIG_USB_SERIAL_KOBIL_SCT=3Dm
+CONFIG_USB_SERIAL_MCT_U232=3Dm
+CONFIG_USB_SERIAL_METRO=3Dm
+CONFIG_USB_SERIAL_MOS7720=3Dm
+CONFIG_USB_SERIAL_MOS7715_PARPORT=3Dy
+CONFIG_USB_SERIAL_MOS7840=3Dm
+CONFIG_USB_SERIAL_MXUPORT=3Dm
+CONFIG_USB_SERIAL_NAVMAN=3Dm
+CONFIG_USB_SERIAL_PL2303=3Dm
+CONFIG_USB_SERIAL_OTI6858=3Dm
+CONFIG_USB_SERIAL_QCAUX=3Dm
+CONFIG_USB_SERIAL_QUALCOMM=3Dm
+CONFIG_USB_SERIAL_SPCP8X5=3Dm
+CONFIG_USB_SERIAL_SAFE=3Dm
+# CONFIG_USB_SERIAL_SAFE_PADDED is not set
+CONFIG_USB_SERIAL_SIERRAWIRELESS=3Dm
+CONFIG_USB_SERIAL_SYMBOL=3Dm
+CONFIG_USB_SERIAL_TI=3Dm
+CONFIG_USB_SERIAL_CYBERJACK=3Dm
+CONFIG_USB_SERIAL_XIRCOM=3Dm
+CONFIG_USB_SERIAL_WWAN=3Dm
+CONFIG_USB_SERIAL_OPTION=3Dm
+CONFIG_USB_SERIAL_OMNINET=3Dm
+CONFIG_USB_SERIAL_OPTICON=3Dm
+CONFIG_USB_SERIAL_XSENS_MT=3Dm
+CONFIG_USB_SERIAL_WISHBONE=3Dm
+CONFIG_USB_SERIAL_SSU100=3Dm
+CONFIG_USB_SERIAL_QT2=3Dm
+CONFIG_USB_SERIAL_UPD78F0730=3Dm
+CONFIG_USB_SERIAL_DEBUG=3Dm
+
+#
+# USB Miscellaneous drivers
+#
+CONFIG_USB_EMI62=3Dm
+CONFIG_USB_EMI26=3Dm
+CONFIG_USB_ADUTUX=3Dm
+CONFIG_USB_SEVSEG=3Dm
+CONFIG_USB_LEGOTOWER=3Dm
+CONFIG_USB_LCD=3Dm
+CONFIG_USB_CYPRESS_CY7C63=3Dm
+CONFIG_USB_CYTHERM=3Dm
+CONFIG_USB_IDMOUSE=3Dm
+CONFIG_USB_FTDI_ELAN=3Dm
+CONFIG_USB_APPLEDISPLAY=3Dm
+CONFIG_USB_SISUSBVGA=3Dm
+# CONFIG_USB_SISUSBVGA_CON is not set
+CONFIG_USB_LD=3Dm
+CONFIG_USB_TRANCEVIBRATOR=3Dm
+CONFIG_USB_IOWARRIOR=3Dm
+CONFIG_USB_TEST=3Dm
+CONFIG_USB_EHSET_TEST_FIXTURE=3Dm
+CONFIG_USB_ISIGHTFW=3Dm
+CONFIG_USB_YUREX=3Dm
+CONFIG_USB_EZUSB_FX2=3Dm
+CONFIG_USB_HUB_USB251XB=3Dm
+CONFIG_USB_HSIC_USB3503=3Dm
+CONFIG_USB_HSIC_USB4604=3Dm
+CONFIG_USB_LINK_LAYER_TEST=3Dm
+CONFIG_USB_CHAOSKEY=3Dm
+CONFIG_USB_ATM=3Dm
+CONFIG_USB_SPEEDTOUCH=3Dm
+CONFIG_USB_CXACRU=3Dm
+CONFIG_USB_UEAGLEATM=3Dm
+CONFIG_USB_XUSBATM=3Dm
+
+#
+# USB Physical Layer drivers
+#
+CONFIG_USB_PHY=3Dy
+CONFIG_NOP_USB_XCEIV=3Dm
+CONFIG_USB_GPIO_VBUS=3Dm
+CONFIG_TAHVO_USB=3Dm
+CONFIG_TAHVO_USB_HOST_BY_DEFAULT=3Dy
+CONFIG_USB_ISP1301=3Dm
+# end of USB Physical Layer drivers
+
+CONFIG_USB_GADGET=3Dm
+# CONFIG_USB_GADGET_DEBUG is not set
+# CONFIG_USB_GADGET_DEBUG_FILES is not set
+# CONFIG_USB_GADGET_DEBUG_FS is not set
+CONFIG_USB_GADGET_VBUS_DRAW=3D2
+CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=3D2
+# CONFIG_U_SERIAL_CONSOLE is not set
+
+#
+# USB Peripheral Controller
+#
+CONFIG_USB_FOTG210_UDC=3Dm
+CONFIG_USB_GR_UDC=3Dm
+CONFIG_USB_R8A66597=3Dm
+CONFIG_USB_PXA27X=3Dm
+CONFIG_USB_MV_UDC=3Dm
+CONFIG_USB_MV_U3D=3Dm
+CONFIG_USB_SNP_CORE=3Dm
+# CONFIG_USB_M66592 is not set
+CONFIG_USB_BDC_UDC=3Dm
+
+#
+# Platform Support
+#
+CONFIG_USB_BDC_PCI=3Dm
+CONFIG_USB_AMD5536UDC=3Dm
+CONFIG_USB_NET2272=3Dm
+CONFIG_USB_NET2272_DMA=3Dy
+CONFIG_USB_NET2280=3Dm
+CONFIG_USB_GOKU=3Dm
+CONFIG_USB_EG20T=3Dm
+# CONFIG_USB_DUMMY_HCD is not set
+# end of USB Peripheral Controller
+
+CONFIG_USB_LIBCOMPOSITE=3Dm
+CONFIG_USB_F_ACM=3Dm
+CONFIG_USB_F_SS_LB=3Dm
+CONFIG_USB_U_SERIAL=3Dm
+CONFIG_USB_U_ETHER=3Dm
+CONFIG_USB_U_AUDIO=3Dm
+CONFIG_USB_F_SERIAL=3Dm
+CONFIG_USB_F_OBEX=3Dm
+CONFIG_USB_F_NCM=3Dm
+CONFIG_USB_F_ECM=3Dm
+CONFIG_USB_F_PHONET=3Dm
+CONFIG_USB_F_EEM=3Dm
+CONFIG_USB_F_SUBSET=3Dm
+CONFIG_USB_F_RNDIS=3Dm
+CONFIG_USB_F_MASS_STORAGE=3Dm
+CONFIG_USB_F_FS=3Dm
+CONFIG_USB_F_UAC1=3Dm
+CONFIG_USB_F_UAC2=3Dm
+CONFIG_USB_F_UVC=3Dm
+CONFIG_USB_F_MIDI=3Dm
+CONFIG_USB_F_HID=3Dm
+CONFIG_USB_F_PRINTER=3Dm
+CONFIG_USB_F_TCM=3Dm
+CONFIG_USB_CONFIGFS=3Dm
+CONFIG_USB_CONFIGFS_SERIAL=3Dy
+CONFIG_USB_CONFIGFS_ACM=3Dy
+CONFIG_USB_CONFIGFS_OBEX=3Dy
+CONFIG_USB_CONFIGFS_NCM=3Dy
+CONFIG_USB_CONFIGFS_ECM=3Dy
+CONFIG_USB_CONFIGFS_ECM_SUBSET=3Dy
+CONFIG_USB_CONFIGFS_RNDIS=3Dy
+CONFIG_USB_CONFIGFS_EEM=3Dy
+CONFIG_USB_CONFIGFS_PHONET=3Dy
+CONFIG_USB_CONFIGFS_MASS_STORAGE=3Dy
+CONFIG_USB_CONFIGFS_F_LB_SS=3Dy
+CONFIG_USB_CONFIGFS_F_FS=3Dy
+CONFIG_USB_CONFIGFS_F_UAC1=3Dy
+# CONFIG_USB_CONFIGFS_F_UAC1_LEGACY is not set
+CONFIG_USB_CONFIGFS_F_UAC2=3Dy
+CONFIG_USB_CONFIGFS_F_MIDI=3Dy
+CONFIG_USB_CONFIGFS_F_HID=3Dy
+CONFIG_USB_CONFIGFS_F_UVC=3Dy
+CONFIG_USB_CONFIGFS_F_PRINTER=3Dy
+# CONFIG_USB_CONFIGFS_F_TCM is not set
+CONFIG_USB_ZERO=3Dm
+CONFIG_USB_AUDIO=3Dm
+CONFIG_GADGET_UAC1=3Dy
+# CONFIG_GADGET_UAC1_LEGACY is not set
+CONFIG_USB_ETH=3Dm
+CONFIG_USB_ETH_RNDIS=3Dy
+CONFIG_USB_ETH_EEM=3Dy
+CONFIG_USB_G_NCM=3Dm
+CONFIG_USB_GADGETFS=3Dm
+CONFIG_USB_FUNCTIONFS=3Dm
+CONFIG_USB_FUNCTIONFS_ETH=3Dy
+CONFIG_USB_FUNCTIONFS_RNDIS=3Dy
+CONFIG_USB_FUNCTIONFS_GENERIC=3Dy
+CONFIG_USB_MASS_STORAGE=3Dm
+CONFIG_USB_GADGET_TARGET=3Dm
+CONFIG_USB_G_SERIAL=3Dm
+CONFIG_USB_MIDI_GADGET=3Dm
+CONFIG_USB_G_PRINTER=3Dm
+CONFIG_USB_CDC_COMPOSITE=3Dm
+CONFIG_USB_G_NOKIA=3Dm
+CONFIG_USB_G_ACM_MS=3Dm
+# CONFIG_USB_G_MULTI is not set
+CONFIG_USB_G_HID=3Dm
+CONFIG_USB_G_DBGP=3Dm
+# CONFIG_USB_G_DBGP_PRINTK is not set
+CONFIG_USB_G_DBGP_SERIAL=3Dy
+CONFIG_USB_G_WEBCAM=3Dm
+CONFIG_TYPEC=3Dm
+CONFIG_TYPEC_TCPM=3Dm
+CONFIG_TYPEC_TCPCI=3Dm
+CONFIG_TYPEC_RT1711H=3Dm
+CONFIG_TYPEC_FUSB302=3Dm
+CONFIG_TYPEC_UCSI=3Dm
+CONFIG_UCSI_CCG=3Dm
+CONFIG_UCSI_ACPI=3Dm
+CONFIG_TYPEC_TPS6598X=3Dm
+
+#
+# USB Type-C Multiplexer/DeMultiplexer Switch support
+#
+CONFIG_TYPEC_MUX_PI3USB30532=3Dm
+# end of USB Type-C Multiplexer/DeMultiplexer Switch support
+
+#
+# USB Type-C Alternate Mode drivers
+#
+CONFIG_TYPEC_DP_ALTMODE=3Dm
+CONFIG_TYPEC_NVIDIA_ALTMODE=3Dm
+# end of USB Type-C Alternate Mode drivers
+
+CONFIG_USB_ROLE_SWITCH=3Dm
+CONFIG_USB_ROLES_INTEL_XHCI=3Dm
+CONFIG_MMC=3Dy
+CONFIG_MMC_BLOCK=3Dm
+CONFIG_MMC_BLOCK_MINORS=3D8
+CONFIG_SDIO_UART=3Dm
+# CONFIG_MMC_TEST is not set
+
+#
+# MMC/SD/SDIO Host Controller Drivers
+#
+# CONFIG_MMC_DEBUG is not set
+CONFIG_MMC_SDHCI=3Dm
+CONFIG_MMC_SDHCI_IO_ACCESSORS=3Dy
+CONFIG_MMC_SDHCI_PCI=3Dm
+CONFIG_MMC_RICOH_MMC=3Dy
+CONFIG_MMC_SDHCI_ACPI=3Dm
+CONFIG_MMC_SDHCI_PLTFM=3Dm
+CONFIG_MMC_SDHCI_F_SDH30=3Dm
+CONFIG_MMC_WBSD=3Dm
+CONFIG_MMC_ALCOR=3Dm
+CONFIG_MMC_TIFM_SD=3Dm
+CONFIG_MMC_SPI=3Dm
+CONFIG_MMC_SDRICOH_CS=3Dm
+CONFIG_MMC_CB710=3Dm
+CONFIG_MMC_VIA_SDMMC=3Dm
+CONFIG_MMC_VUB300=3Dm
+CONFIG_MMC_USHC=3Dm
+CONFIG_MMC_USDHI6ROL0=3Dm
+CONFIG_MMC_REALTEK_PCI=3Dm
+CONFIG_MMC_REALTEK_USB=3Dm
+CONFIG_MMC_CQHCI=3Dm
+CONFIG_MMC_TOSHIBA_PCI=3Dm
+CONFIG_MMC_MTK=3Dm
+CONFIG_MMC_SDHCI_XENON=3Dm
+CONFIG_MEMSTICK=3Dm
+# CONFIG_MEMSTICK_DEBUG is not set
+
+#
+# MemoryStick drivers
+#
+# CONFIG_MEMSTICK_UNSAFE_RESUME is not set
+CONFIG_MSPRO_BLOCK=3Dm
+CONFIG_MS_BLOCK=3Dm
+
+#
+# MemoryStick Host Controller Drivers
+#
+CONFIG_MEMSTICK_TIFM_MS=3Dm
+CONFIG_MEMSTICK_JMICRON_38X=3Dm
+CONFIG_MEMSTICK_R592=3Dm
+CONFIG_MEMSTICK_REALTEK_PCI=3Dm
+CONFIG_MEMSTICK_REALTEK_USB=3Dm
+CONFIG_NEW_LEDS=3Dy
+CONFIG_LEDS_CLASS=3Dy
+CONFIG_LEDS_CLASS_FLASH=3Dm
+# CONFIG_LEDS_BRIGHTNESS_HW_CHANGED is not set
+
+#
+# LED drivers
+#
+CONFIG_LEDS_88PM860X=3Dm
+CONFIG_LEDS_APU=3Dm
+CONFIG_LEDS_AS3645A=3Dm
+CONFIG_LEDS_LM3530=3Dm
+CONFIG_LEDS_LM3532=3Dm
+CONFIG_LEDS_LM3533=3Dm
+CONFIG_LEDS_LM3642=3Dm
+CONFIG_LEDS_LM3601X=3Dm
+CONFIG_LEDS_MT6323=3Dm
+CONFIG_LEDS_NET48XX=3Dm
+CONFIG_LEDS_WRAP=3Dm
+CONFIG_LEDS_PCA9532=3Dm
+CONFIG_LEDS_PCA9532_GPIO=3Dy
+CONFIG_LEDS_GPIO=3Dm
+CONFIG_LEDS_LP3944=3Dm
+CONFIG_LEDS_LP3952=3Dm
+CONFIG_LEDS_LP55XX_COMMON=3Dm
+CONFIG_LEDS_LP5521=3Dm
+CONFIG_LEDS_LP5523=3Dm
+CONFIG_LEDS_LP5562=3Dm
+CONFIG_LEDS_LP8501=3Dm
+CONFIG_LEDS_LP8788=3Dm
+CONFIG_LEDS_CLEVO_MAIL=3Dm
+CONFIG_LEDS_PCA955X=3Dm
+# CONFIG_LEDS_PCA955X_GPIO is not set
+CONFIG_LEDS_PCA963X=3Dm
+CONFIG_LEDS_WM831X_STATUS=3Dm
+CONFIG_LEDS_WM8350=3Dm
+CONFIG_LEDS_DA903X=3Dm
+CONFIG_LEDS_DA9052=3Dm
+CONFIG_LEDS_DAC124S085=3Dm
+CONFIG_LEDS_PWM=3Dm
+CONFIG_LEDS_REGULATOR=3Dm
+CONFIG_LEDS_BD2802=3Dm
+CONFIG_LEDS_INTEL_SS4200=3Dm
+CONFIG_LEDS_ADP5520=3Dm
+CONFIG_LEDS_MC13783=3Dm
+CONFIG_LEDS_TCA6507=3Dm
+CONFIG_LEDS_TLC591XX=3Dm
+CONFIG_LEDS_MAX8997=3Dm
+CONFIG_LEDS_LM355x=3Dm
+CONFIG_LEDS_OT200=3Dm
+CONFIG_LEDS_MENF21BMC=3Dm
+
+#
+# LED driver for blink(1) USB RGB LED is under Special HID drivers (HID_TH=
INGM)
+#
+CONFIG_LEDS_BLINKM=3Dm
+# CONFIG_LEDS_MLXCPLD is not set
+# CONFIG_LEDS_MLXREG is not set
+CONFIG_LEDS_USER=3Dm
+CONFIG_LEDS_NIC78BX=3Dm
+CONFIG_LEDS_TI_LMU_COMMON=3Dm
+CONFIG_LEDS_LM36274=3Dm
+
+#
+# LED Triggers
+#
+CONFIG_LEDS_TRIGGERS=3Dy
+CONFIG_LEDS_TRIGGER_TIMER=3Dm
+CONFIG_LEDS_TRIGGER_ONESHOT=3Dm
+CONFIG_LEDS_TRIGGER_DISK=3Dy
+# CONFIG_LEDS_TRIGGER_MTD is not set
+CONFIG_LEDS_TRIGGER_HEARTBEAT=3Dm
+CONFIG_LEDS_TRIGGER_BACKLIGHT=3Dm
+CONFIG_LEDS_TRIGGER_CPU=3Dy
+CONFIG_LEDS_TRIGGER_ACTIVITY=3Dm
+CONFIG_LEDS_TRIGGER_GPIO=3Dm
+CONFIG_LEDS_TRIGGER_DEFAULT_ON=3Dm
+
+#
+# iptables trigger is under Netfilter config (LED target)
+#
+CONFIG_LEDS_TRIGGER_TRANSIENT=3Dm
+CONFIG_LEDS_TRIGGER_CAMERA=3Dm
+CONFIG_LEDS_TRIGGER_PANIC=3Dy
+CONFIG_LEDS_TRIGGER_NETDEV=3Dm
+CONFIG_LEDS_TRIGGER_PATTERN=3Dm
+CONFIG_LEDS_TRIGGER_AUDIO=3Dm
+# CONFIG_ACCESSIBILITY is not set
+CONFIG_INFINIBAND=3Dm
+CONFIG_INFINIBAND_USER_MAD=3Dm
+CONFIG_INFINIBAND_USER_ACCESS=3Dm
+# CONFIG_INFINIBAND_EXP_LEGACY_VERBS_NEW_UAPI is not set
+CONFIG_INFINIBAND_USER_MEM=3Dy
+CONFIG_INFINIBAND_ON_DEMAND_PAGING=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS_CONFIGFS=3Dy
+CONFIG_INFINIBAND_MTHCA=3Dm
+# CONFIG_INFINIBAND_MTHCA_DEBUG is not set
+CONFIG_INFINIBAND_CXGB3=3Dm
+CONFIG_INFINIBAND_CXGB4=3Dm
+CONFIG_INFINIBAND_I40IW=3Dm
+CONFIG_MLX4_INFINIBAND=3Dm
+CONFIG_MLX5_INFINIBAND=3Dm
+CONFIG_INFINIBAND_OCRDMA=3Dm
+CONFIG_INFINIBAND_VMWARE_PVRDMA=3Dm
+CONFIG_INFINIBAND_USNIC=3Dm
+CONFIG_RDMA_RXE=3Dm
+CONFIG_RDMA_SIW=3Dm
+CONFIG_INFINIBAND_IPOIB=3Dm
+CONFIG_INFINIBAND_IPOIB_CM=3Dy
+# CONFIG_INFINIBAND_IPOIB_DEBUG is not set
+CONFIG_INFINIBAND_SRP=3Dm
+CONFIG_INFINIBAND_SRPT=3Dm
+CONFIG_INFINIBAND_ISER=3Dm
+CONFIG_INFINIBAND_ISERT=3Dm
+CONFIG_EDAC_ATOMIC_SCRUB=3Dy
+CONFIG_EDAC_SUPPORT=3Dy
+CONFIG_EDAC=3Dy
+# CONFIG_EDAC_LEGACY_SYSFS is not set
+# CONFIG_EDAC_DEBUG is not set
+CONFIG_EDAC_DECODE_MCE=3Dm
+CONFIG_EDAC_GHES=3Dy
+CONFIG_EDAC_AMD64=3Dm
+# CONFIG_EDAC_AMD64_ERROR_INJECTION is not set
+CONFIG_EDAC_AMD76X=3Dm
+CONFIG_EDAC_E7XXX=3Dm
+CONFIG_EDAC_E752X=3Dm
+CONFIG_EDAC_I82875P=3Dm
+CONFIG_EDAC_I82975X=3Dm
+CONFIG_EDAC_I3000=3Dm
+CONFIG_EDAC_I3200=3Dm
+CONFIG_EDAC_IE31200=3Dm
+CONFIG_EDAC_X38=3Dm
+CONFIG_EDAC_I5400=3Dm
+CONFIG_EDAC_I7CORE=3Dm
+CONFIG_EDAC_I82860=3Dm
+CONFIG_EDAC_R82600=3Dm
+CONFIG_EDAC_I5000=3Dm
+CONFIG_EDAC_I5100=3Dm
+CONFIG_EDAC_I7300=3Dm
+CONFIG_RTC_LIB=3Dy
+CONFIG_RTC_MC146818_LIB=3Dy
+CONFIG_RTC_CLASS=3Dy
+CONFIG_RTC_HCTOSYS=3Dy
+CONFIG_RTC_HCTOSYS_DEVICE=3D"rtc0"
+CONFIG_RTC_SYSTOHC=3Dy
+CONFIG_RTC_SYSTOHC_DEVICE=3D"rtc0"
+# CONFIG_RTC_DEBUG is not set
+CONFIG_RTC_NVMEM=3Dy
+
+#
+# RTC interfaces
+#
+CONFIG_RTC_INTF_SYSFS=3Dy
+CONFIG_RTC_INTF_PROC=3Dy
+CONFIG_RTC_INTF_DEV=3Dy
+# CONFIG_RTC_INTF_DEV_UIE_EMUL is not set
+# CONFIG_RTC_DRV_TEST is not set
+
+#
+# I2C RTC drivers
+#
+CONFIG_RTC_DRV_88PM860X=3Dm
+CONFIG_RTC_DRV_88PM80X=3Dm
+CONFIG_RTC_DRV_ABB5ZES3=3Dm
+CONFIG_RTC_DRV_ABEOZ9=3Dm
+CONFIG_RTC_DRV_ABX80X=3Dm
+CONFIG_RTC_DRV_DS1307=3Dm
+# CONFIG_RTC_DRV_DS1307_CENTURY is not set
+CONFIG_RTC_DRV_DS1374=3Dm
+CONFIG_RTC_DRV_DS1374_WDT=3Dy
+CONFIG_RTC_DRV_DS1672=3Dm
+CONFIG_RTC_DRV_LP8788=3Dm
+CONFIG_RTC_DRV_MAX6900=3Dm
+CONFIG_RTC_DRV_MAX8907=3Dm
+CONFIG_RTC_DRV_MAX8925=3Dm
+CONFIG_RTC_DRV_MAX8998=3Dm
+CONFIG_RTC_DRV_MAX8997=3Dm
+CONFIG_RTC_DRV_RS5C372=3Dm
+CONFIG_RTC_DRV_ISL1208=3Dm
+CONFIG_RTC_DRV_ISL12022=3Dm
+CONFIG_RTC_DRV_X1205=3Dm
+CONFIG_RTC_DRV_PCF8523=3Dm
+CONFIG_RTC_DRV_PCF85063=3Dm
+CONFIG_RTC_DRV_PCF85363=3Dm
+CONFIG_RTC_DRV_PCF8563=3Dm
+CONFIG_RTC_DRV_PCF8583=3Dm
+CONFIG_RTC_DRV_M41T80=3Dm
+CONFIG_RTC_DRV_M41T80_WDT=3Dy
+CONFIG_RTC_DRV_BQ32K=3Dm
+CONFIG_RTC_DRV_PALMAS=3Dm
+CONFIG_RTC_DRV_TPS6586X=3Dm
+CONFIG_RTC_DRV_TPS65910=3Dm
+CONFIG_RTC_DRV_TPS80031=3Dm
+CONFIG_RTC_DRV_RC5T583=3Dm
+CONFIG_RTC_DRV_S35390A=3Dm
+CONFIG_RTC_DRV_FM3130=3Dm
+CONFIG_RTC_DRV_RX8010=3Dm
+CONFIG_RTC_DRV_RX8581=3Dm
+CONFIG_RTC_DRV_RX8025=3Dm
+CONFIG_RTC_DRV_EM3027=3Dm
+CONFIG_RTC_DRV_RV3028=3Dm
+CONFIG_RTC_DRV_RV8803=3Dm
+CONFIG_RTC_DRV_S5M=3Dm
+CONFIG_RTC_DRV_SD3078=3Dm
+
+#
+# SPI RTC drivers
+#
+CONFIG_RTC_DRV_M41T93=3Dm
+CONFIG_RTC_DRV_M41T94=3Dm
+CONFIG_RTC_DRV_DS1302=3Dm
+CONFIG_RTC_DRV_DS1305=3Dm
+CONFIG_RTC_DRV_DS1343=3Dm
+CONFIG_RTC_DRV_DS1347=3Dm
+CONFIG_RTC_DRV_DS1390=3Dm
+CONFIG_RTC_DRV_MAX6916=3Dm
+CONFIG_RTC_DRV_R9701=3Dm
+CONFIG_RTC_DRV_RX4581=3Dm
+CONFIG_RTC_DRV_RX6110=3Dm
+CONFIG_RTC_DRV_RS5C348=3Dm
+CONFIG_RTC_DRV_MAX6902=3Dm
+CONFIG_RTC_DRV_PCF2123=3Dm
+CONFIG_RTC_DRV_MCP795=3Dm
+CONFIG_RTC_I2C_AND_SPI=3Dy
+
+#
+# SPI and I2C RTC drivers
+#
+CONFIG_RTC_DRV_DS3232=3Dm
+CONFIG_RTC_DRV_DS3232_HWMON=3Dy
+CONFIG_RTC_DRV_PCF2127=3Dm
+CONFIG_RTC_DRV_RV3029C2=3Dm
+CONFIG_RTC_DRV_RV3029_HWMON=3Dy
+
+#
+# Platform RTC drivers
+#
+CONFIG_RTC_DRV_CMOS=3Dy
+CONFIG_RTC_DRV_VRTC=3Dm
+CONFIG_RTC_DRV_DS1286=3Dm
+CONFIG_RTC_DRV_DS1511=3Dm
+CONFIG_RTC_DRV_DS1553=3Dm
+CONFIG_RTC_DRV_DS1685_FAMILY=3Dm
+CONFIG_RTC_DRV_DS1685=3Dy
+# CONFIG_RTC_DRV_DS1689 is not set
+# CONFIG_RTC_DRV_DS17285 is not set
+# CONFIG_RTC_DRV_DS17485 is not set
+# CONFIG_RTC_DRV_DS17885 is not set
+CONFIG_RTC_DRV_DS1742=3Dm
+CONFIG_RTC_DRV_DS2404=3Dm
+CONFIG_RTC_DRV_DA9052=3Dm
+CONFIG_RTC_DRV_DA9055=3Dm
+CONFIG_RTC_DRV_DA9063=3Dm
+CONFIG_RTC_DRV_STK17TA8=3Dm
+CONFIG_RTC_DRV_M48T86=3Dm
+CONFIG_RTC_DRV_M48T35=3Dm
+CONFIG_RTC_DRV_M48T59=3Dm
+CONFIG_RTC_DRV_MSM6242=3Dm
+CONFIG_RTC_DRV_BQ4802=3Dm
+CONFIG_RTC_DRV_RP5C01=3Dm
+CONFIG_RTC_DRV_V3020=3Dm
+CONFIG_RTC_DRV_WM831X=3Dm
+CONFIG_RTC_DRV_WM8350=3Dm
+CONFIG_RTC_DRV_PCF50633=3Dm
+CONFIG_RTC_DRV_AB3100=3Dm
+CONFIG_RTC_DRV_CROS_EC=3Dm
+
+#
+# on-CPU RTC drivers
+#
+CONFIG_RTC_DRV_FTRTC010=3Dm
+CONFIG_RTC_DRV_PCAP=3Dm
+CONFIG_RTC_DRV_MC13XXX=3Dm
+CONFIG_RTC_DRV_MT6397=3Dm
+
+#
+# HID Sensor RTC drivers
+#
+CONFIG_RTC_DRV_HID_SENSOR_TIME=3Dm
+CONFIG_RTC_DRV_WILCO_EC=3Dm
+CONFIG_DMADEVICES=3Dy
+# CONFIG_DMADEVICES_DEBUG is not set
+
+#
+# DMA Devices
+#
+CONFIG_DMA_ENGINE=3Dy
+CONFIG_DMA_VIRTUAL_CHANNELS=3Dm
+CONFIG_DMA_ACPI=3Dy
+CONFIG_ALTERA_MSGDMA=3Dm
+CONFIG_INTEL_IDMA64=3Dm
+CONFIG_PCH_DMA=3Dm
+CONFIG_TIMB_DMA=3Dm
+CONFIG_QCOM_HIDMA_MGMT=3Dm
+CONFIG_QCOM_HIDMA=3Dm
+CONFIG_DW_DMAC_CORE=3Dm
+CONFIG_DW_DMAC=3Dm
+CONFIG_DW_DMAC_PCI=3Dm
+CONFIG_DW_EDMA=3Dm
+CONFIG_DW_EDMA_PCIE=3Dm
+CONFIG_HSU_DMA=3Dm
+CONFIG_HSU_DMA_PCI=3Dm
+
+#
+# DMA Clients
+#
+CONFIG_ASYNC_TX_DMA=3Dy
+# CONFIG_DMATEST is not set
+
+#
+# DMABUF options
+#
+CONFIG_SYNC_FILE=3Dy
+# CONFIG_SW_SYNC is not set
+# CONFIG_UDMABUF is not set
+# CONFIG_DMABUF_SELFTESTS is not set
+# end of DMABUF options
+
+CONFIG_AUXDISPLAY=3Dy
+CONFIG_HD44780=3Dm
+CONFIG_KS0108=3Dm
+CONFIG_KS0108_PORT=3D0x378
+CONFIG_KS0108_DELAY=3D2
+CONFIG_CFAG12864B=3Dm
+CONFIG_CFAG12864B_RATE=3D20
+CONFIG_IMG_ASCII_LCD=3Dm
+CONFIG_PARPORT_PANEL=3Dm
+CONFIG_PANEL_PARPORT=3D0
+CONFIG_PANEL_PROFILE=3D5
+# CONFIG_PANEL_CHANGE_MESSAGE is not set
+# CONFIG_CHARLCD_BL_OFF is not set
+# CONFIG_CHARLCD_BL_ON is not set
+CONFIG_CHARLCD_BL_FLASH=3Dy
+CONFIG_PANEL=3Dm
+CONFIG_CHARLCD=3Dm
+CONFIG_UIO=3Dm
+CONFIG_UIO_CIF=3Dm
+CONFIG_UIO_PDRV_GENIRQ=3Dm
+CONFIG_UIO_DMEM_GENIRQ=3Dm
+CONFIG_UIO_AEC=3Dm
+CONFIG_UIO_SERCOS3=3Dm
+CONFIG_UIO_PCI_GENERIC=3Dm
+CONFIG_UIO_NETX=3Dm
+CONFIG_UIO_PRUSS=3Dm
+CONFIG_UIO_MF624=3Dm
+CONFIG_UIO_HV_GENERIC=3Dm
+CONFIG_VFIO_IOMMU_TYPE1=3Dm
+CONFIG_VFIO_VIRQFD=3Dm
+CONFIG_VFIO=3Dm
+CONFIG_VFIO_NOIOMMU=3Dy
+CONFIG_VFIO_PCI=3Dm
+CONFIG_VFIO_PCI_VGA=3Dy
+CONFIG_VFIO_PCI_MMAP=3Dy
+CONFIG_VFIO_PCI_INTX=3Dy
+CONFIG_VFIO_PCI_IGD=3Dy
+CONFIG_VFIO_MDEV=3Dm
+CONFIG_VFIO_MDEV_DEVICE=3Dm
+CONFIG_IRQ_BYPASS_MANAGER=3Dm
+CONFIG_VIRT_DRIVERS=3Dy
+CONFIG_VBOXGUEST=3Dm
+CONFIG_VIRTIO=3Dy
+CONFIG_VIRTIO_MENU=3Dy
+CONFIG_VIRTIO_PCI=3Dy
+CONFIG_VIRTIO_PCI_LEGACY=3Dy
+CONFIG_VIRTIO_PMEM=3Dm
+CONFIG_VIRTIO_BALLOON=3Dy
+CONFIG_VIRTIO_INPUT=3Dm
+CONFIG_VIRTIO_MMIO=3Dy
+CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES=3Dy
+
+#
+# Microsoft Hyper-V guest support
+#
+CONFIG_HYPERV=3Dm
+CONFIG_HYPERV_TIMER=3Dy
+CONFIG_HYPERV_UTILS=3Dm
+CONFIG_HYPERV_BALLOON=3Dm
+# end of Microsoft Hyper-V guest support
+
+#
+# Xen driver support
+#
+CONFIG_XEN_BALLOON=3Dy
+CONFIG_XEN_BALLOON_MEMORY_HOTPLUG=3Dy
+CONFIG_XEN_BALLOON_MEMORY_HOTPLUG_LIMIT=3D4
+CONFIG_XEN_SCRUB_PAGES_DEFAULT=3Dy
+CONFIG_XEN_DEV_EVTCHN=3Dm
+CONFIG_XEN_BACKEND=3Dy
+CONFIG_XENFS=3Dm
+CONFIG_XEN_COMPAT_XENFS=3Dy
+CONFIG_XEN_SYS_HYPERVISOR=3Dy
+CONFIG_XEN_XENBUS_FRONTEND=3Dy
+CONFIG_XEN_GNTDEV=3Dm
+CONFIG_XEN_GRANT_DEV_ALLOC=3Dm
+# CONFIG_XEN_GRANT_DMA_ALLOC is not set
+CONFIG_SWIOTLB_XEN=3Dy
+CONFIG_XEN_PCIDEV_BACKEND=3Dm
+CONFIG_XEN_PVCALLS_FRONTEND=3Dm
+# CONFIG_XEN_PVCALLS_BACKEND is not set
+CONFIG_XEN_SCSI_BACKEND=3Dm
+CONFIG_XEN_PRIVCMD=3Dm
+CONFIG_XEN_ACPI_PROCESSOR=3Dy
+CONFIG_XEN_HAVE_PVMMU=3Dy
+CONFIG_XEN_AUTO_XLATE=3Dy
+CONFIG_XEN_ACPI=3Dy
+CONFIG_XEN_SYMS=3Dy
+CONFIG_XEN_HAVE_VPMU=3Dy
+CONFIG_XEN_FRONT_PGDIR_SHBUF=3Dm
+# end of Xen driver support
+
+# CONFIG_GREYBUS is not set
+CONFIG_STAGING=3Dy
+CONFIG_PRISM2_USB=3Dm
+CONFIG_COMEDI=3Dm
+# CONFIG_COMEDI_DEBUG is not set
+CONFIG_COMEDI_DEFAULT_BUF_SIZE_KB=3D2048
+CONFIG_COMEDI_DEFAULT_BUF_MAXSIZE_KB=3D20480
+CONFIG_COMEDI_MISC_DRIVERS=3Dy
+CONFIG_COMEDI_BOND=3Dm
+CONFIG_COMEDI_TEST=3Dm
+CONFIG_COMEDI_PARPORT=3Dm
+CONFIG_COMEDI_SSV_DNP=3Dm
+CONFIG_COMEDI_ISA_DRIVERS=3Dy
+CONFIG_COMEDI_PCL711=3Dm
+CONFIG_COMEDI_PCL724=3Dm
+CONFIG_COMEDI_PCL726=3Dm
+CONFIG_COMEDI_PCL730=3Dm
+CONFIG_COMEDI_PCL812=3Dm
+CONFIG_COMEDI_PCL816=3Dm
+CONFIG_COMEDI_PCL818=3Dm
+CONFIG_COMEDI_PCM3724=3Dm
+CONFIG_COMEDI_AMPLC_DIO200_ISA=3Dm
+CONFIG_COMEDI_AMPLC_PC236_ISA=3Dm
+CONFIG_COMEDI_AMPLC_PC263_ISA=3Dm
+CONFIG_COMEDI_RTI800=3Dm
+CONFIG_COMEDI_RTI802=3Dm
+CONFIG_COMEDI_DAC02=3Dm
+CONFIG_COMEDI_DAS16M1=3Dm
+CONFIG_COMEDI_DAS08_ISA=3Dm
+CONFIG_COMEDI_DAS16=3Dm
+CONFIG_COMEDI_DAS800=3Dm
+CONFIG_COMEDI_DAS1800=3Dm
+CONFIG_COMEDI_DAS6402=3Dm
+CONFIG_COMEDI_DT2801=3Dm
+CONFIG_COMEDI_DT2811=3Dm
+CONFIG_COMEDI_DT2814=3Dm
+CONFIG_COMEDI_DT2815=3Dm
+CONFIG_COMEDI_DT2817=3Dm
+CONFIG_COMEDI_DT282X=3Dm
+CONFIG_COMEDI_DMM32AT=3Dm
+CONFIG_COMEDI_FL512=3Dm
+CONFIG_COMEDI_AIO_AIO12_8=3Dm
+CONFIG_COMEDI_AIO_IIRO_16=3Dm
+CONFIG_COMEDI_II_PCI20KC=3Dm
+CONFIG_COMEDI_C6XDIGIO=3Dm
+CONFIG_COMEDI_MPC624=3Dm
+CONFIG_COMEDI_ADQ12B=3Dm
+CONFIG_COMEDI_NI_AT_A2150=3Dm
+CONFIG_COMEDI_NI_AT_AO=3Dm
+CONFIG_COMEDI_NI_ATMIO=3Dm
+CONFIG_COMEDI_NI_ATMIO16D=3Dm
+CONFIG_COMEDI_NI_LABPC_ISA=3Dm
+CONFIG_COMEDI_PCMAD=3Dm
+CONFIG_COMEDI_PCMDA12=3Dm
+CONFIG_COMEDI_PCMMIO=3Dm
+CONFIG_COMEDI_PCMUIO=3Dm
+CONFIG_COMEDI_MULTIQ3=3Dm
+CONFIG_COMEDI_S526=3Dm
+CONFIG_COMEDI_PCI_DRIVERS=3Dm
+CONFIG_COMEDI_8255_PCI=3Dm
+CONFIG_COMEDI_ADDI_WATCHDOG=3Dm
+CONFIG_COMEDI_ADDI_APCI_1032=3Dm
+CONFIG_COMEDI_ADDI_APCI_1500=3Dm
+CONFIG_COMEDI_ADDI_APCI_1516=3Dm
+CONFIG_COMEDI_ADDI_APCI_1564=3Dm
+CONFIG_COMEDI_ADDI_APCI_16XX=3Dm
+CONFIG_COMEDI_ADDI_APCI_2032=3Dm
+CONFIG_COMEDI_ADDI_APCI_2200=3Dm
+CONFIG_COMEDI_ADDI_APCI_3120=3Dm
+CONFIG_COMEDI_ADDI_APCI_3501=3Dm
+CONFIG_COMEDI_ADDI_APCI_3XXX=3Dm
+CONFIG_COMEDI_ADL_PCI6208=3Dm
+CONFIG_COMEDI_ADL_PCI7X3X=3Dm
+CONFIG_COMEDI_ADL_PCI8164=3Dm
+CONFIG_COMEDI_ADL_PCI9111=3Dm
+CONFIG_COMEDI_ADL_PCI9118=3Dm
+CONFIG_COMEDI_ADV_PCI1710=3Dm
+CONFIG_COMEDI_ADV_PCI1720=3Dm
+CONFIG_COMEDI_ADV_PCI1723=3Dm
+CONFIG_COMEDI_ADV_PCI1724=3Dm
+CONFIG_COMEDI_ADV_PCI1760=3Dm
+CONFIG_COMEDI_ADV_PCI_DIO=3Dm
+CONFIG_COMEDI_AMPLC_DIO200_PCI=3Dm
+CONFIG_COMEDI_AMPLC_PC236_PCI=3Dm
+CONFIG_COMEDI_AMPLC_PC263_PCI=3Dm
+CONFIG_COMEDI_AMPLC_PCI224=3Dm
+CONFIG_COMEDI_AMPLC_PCI230=3Dm
+CONFIG_COMEDI_CONTEC_PCI_DIO=3Dm
+CONFIG_COMEDI_DAS08_PCI=3Dm
+CONFIG_COMEDI_DT3000=3Dm
+CONFIG_COMEDI_DYNA_PCI10XX=3Dm
+CONFIG_COMEDI_GSC_HPDI=3Dm
+CONFIG_COMEDI_MF6X4=3Dm
+CONFIG_COMEDI_ICP_MULTI=3Dm
+CONFIG_COMEDI_DAQBOARD2000=3Dm
+CONFIG_COMEDI_JR3_PCI=3Dm
+CONFIG_COMEDI_KE_COUNTER=3Dm
+CONFIG_COMEDI_CB_PCIDAS64=3Dm
+CONFIG_COMEDI_CB_PCIDAS=3Dm
+CONFIG_COMEDI_CB_PCIDDA=3Dm
+CONFIG_COMEDI_CB_PCIMDAS=3Dm
+CONFIG_COMEDI_CB_PCIMDDA=3Dm
+CONFIG_COMEDI_ME4000=3Dm
+CONFIG_COMEDI_ME_DAQ=3Dm
+CONFIG_COMEDI_NI_6527=3Dm
+CONFIG_COMEDI_NI_65XX=3Dm
+CONFIG_COMEDI_NI_660X=3Dm
+CONFIG_COMEDI_NI_670X=3Dm
+CONFIG_COMEDI_NI_LABPC_PCI=3Dm
+CONFIG_COMEDI_NI_PCIDIO=3Dm
+CONFIG_COMEDI_NI_PCIMIO=3Dm
+CONFIG_COMEDI_RTD520=3Dm
+CONFIG_COMEDI_S626=3Dm
+CONFIG_COMEDI_MITE=3Dm
+CONFIG_COMEDI_NI_TIOCMD=3Dm
+CONFIG_COMEDI_PCMCIA_DRIVERS=3Dm
+CONFIG_COMEDI_CB_DAS16_CS=3Dm
+CONFIG_COMEDI_DAS08_CS=3Dm
+CONFIG_COMEDI_NI_DAQ_700_CS=3Dm
+CONFIG_COMEDI_NI_DAQ_DIO24_CS=3Dm
+CONFIG_COMEDI_NI_LABPC_CS=3Dm
+CONFIG_COMEDI_NI_MIO_CS=3Dm
+CONFIG_COMEDI_QUATECH_DAQP_CS=3Dm
+CONFIG_COMEDI_USB_DRIVERS=3Dm
+CONFIG_COMEDI_DT9812=3Dm
+CONFIG_COMEDI_NI_USB6501=3Dm
+CONFIG_COMEDI_USBDUX=3Dm
+CONFIG_COMEDI_USBDUXFAST=3Dm
+CONFIG_COMEDI_USBDUXSIGMA=3Dm
+CONFIG_COMEDI_VMK80XX=3Dm
+CONFIG_COMEDI_8254=3Dm
+CONFIG_COMEDI_8255=3Dm
+CONFIG_COMEDI_8255_SA=3Dm
+CONFIG_COMEDI_KCOMEDILIB=3Dm
+CONFIG_COMEDI_AMPLC_DIO200=3Dm
+CONFIG_COMEDI_AMPLC_PC236=3Dm
+CONFIG_COMEDI_DAS08=3Dm
+CONFIG_COMEDI_ISADMA=3Dm
+CONFIG_COMEDI_NI_LABPC=3Dm
+CONFIG_COMEDI_NI_LABPC_ISADMA=3Dm
+CONFIG_COMEDI_NI_TIO=3Dm
+CONFIG_COMEDI_NI_ROUTING=3Dm
+CONFIG_RTL8192U=3Dm
+CONFIG_RTLLIB=3Dm
+CONFIG_RTLLIB_CRYPTO_CCMP=3Dm
+CONFIG_RTLLIB_CRYPTO_TKIP=3Dm
+CONFIG_RTLLIB_CRYPTO_WEP=3Dm
+CONFIG_RTL8192E=3Dm
+CONFIG_RTL8723BS=3Dm
+CONFIG_R8712U=3Dm
+CONFIG_R8188EU=3Dm
+CONFIG_88EU_AP_MODE=3Dy
+CONFIG_RTS5208=3Dm
+CONFIG_VT6655=3Dm
+CONFIG_VT6656=3Dm
+
+#
+# IIO staging drivers
+#
+
+#
+# Accelerometers
+#
+CONFIG_ADIS16203=3Dm
+CONFIG_ADIS16240=3Dm
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+CONFIG_AD7816=3Dm
+CONFIG_AD7192=3Dm
+CONFIG_AD7280=3Dm
+# end of Analog to digital converters
+
+#
+# Analog digital bi-direction converters
+#
+CONFIG_ADT7316=3Dm
+CONFIG_ADT7316_SPI=3Dm
+CONFIG_ADT7316_I2C=3Dm
+# end of Analog digital bi-direction converters
+
+#
+# Capacitance to digital converters
+#
+CONFIG_AD7150=3Dm
+CONFIG_AD7746=3Dm
+# end of Capacitance to digital converters
+
+#
+# Direct Digital Synthesis
+#
+CONFIG_AD9832=3Dm
+CONFIG_AD9834=3Dm
+# end of Direct Digital Synthesis
+
+#
+# Network Analyzer, Impedance Converters
+#
+CONFIG_AD5933=3Dm
+# end of Network Analyzer, Impedance Converters
+
+#
+# Active energy metering IC
+#
+CONFIG_ADE7854=3Dm
+CONFIG_ADE7854_I2C=3Dm
+CONFIG_ADE7854_SPI=3Dm
+# end of Active energy metering IC
+
+#
+# Resolver to digital converters
+#
+CONFIG_AD2S1210=3Dm
+# end of Resolver to digital converters
+# end of IIO staging drivers
+
+CONFIG_FB_SM750=3Dm
+
+#
+# Speakup console speech
+#
+CONFIG_SPEAKUP=3Dm
+CONFIG_SPEAKUP_SYNTH_ACNTSA=3Dm
+CONFIG_SPEAKUP_SYNTH_ACNTPC=3Dm
+CONFIG_SPEAKUP_SYNTH_APOLLO=3Dm
+CONFIG_SPEAKUP_SYNTH_AUDPTR=3Dm
+CONFIG_SPEAKUP_SYNTH_BNS=3Dm
+CONFIG_SPEAKUP_SYNTH_DECTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_DECEXT=3Dm
+CONFIG_SPEAKUP_SYNTH_DECPC=3Dm
+CONFIG_SPEAKUP_SYNTH_DTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_KEYPC=3Dm
+CONFIG_SPEAKUP_SYNTH_LTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_SOFT=3Dm
+CONFIG_SPEAKUP_SYNTH_SPKOUT=3Dm
+CONFIG_SPEAKUP_SYNTH_TXPRT=3Dm
+CONFIG_SPEAKUP_SYNTH_DUMMY=3Dm
+# end of Speakup console speech
+
+CONFIG_STAGING_MEDIA=3Dy
+# CONFIG_VIDEO_IPU3_IMGU is not set
+
+#
+# soc_camera sensor drivers
+#
+
+#
+# Android
+#
+# end of Android
+
+CONFIG_LTE_GDM724X=3Dm
+CONFIG_FIREWIRE_SERIAL=3Dm
+CONFIG_FWTTY_MAX_TOTAL_PORTS=3D64
+CONFIG_FWTTY_MAX_CARD_PORTS=3D32
+CONFIG_GS_FPGABOOT=3Dm
+# CONFIG_UNISYSSPAR is not set
+CONFIG_WILC1000=3Dm
+CONFIG_WILC1000_SDIO=3Dm
+CONFIG_WILC1000_SPI=3Dm
+# CONFIG_WILC1000_HW_OOB_INTR is not set
+CONFIG_MOST=3Dm
+CONFIG_MOST_CDEV=3Dm
+CONFIG_MOST_NET=3Dm
+CONFIG_MOST_SOUND=3Dm
+CONFIG_MOST_VIDEO=3Dm
+CONFIG_MOST_I2C=3Dm
+CONFIG_MOST_USB=3Dm
+CONFIG_KS7010=3Dm
+# CONFIG_PI433 is not set
+
+#
+# Gasket devices
+#
+# end of Gasket devices
+
+CONFIG_FIELDBUS_DEV=3Dm
+# CONFIG_KPC2000 is not set
+
+#
+# ISDN CAPI drivers
+#
+CONFIG_CAPI_AVM=3Dy
+CONFIG_ISDN_DRV_AVMB1_B1ISA=3Dm
+CONFIG_ISDN_DRV_AVMB1_B1PCI=3Dm
+CONFIG_ISDN_DRV_AVMB1_B1PCIV4=3Dy
+CONFIG_ISDN_DRV_AVMB1_T1ISA=3Dm
+CONFIG_ISDN_DRV_AVMB1_B1PCMCIA=3Dm
+CONFIG_ISDN_DRV_AVMB1_AVM_CS=3Dm
+CONFIG_ISDN_DRV_AVMB1_T1PCI=3Dm
+CONFIG_ISDN_DRV_AVMB1_C4=3Dm
+CONFIG_ISDN_DRV_GIGASET=3Dm
+# CONFIG_GIGASET_CAPI is not set
+CONFIG_GIGASET_BASE=3Dm
+CONFIG_GIGASET_M105=3Dm
+CONFIG_GIGASET_M101=3Dm
+# CONFIG_GIGASET_DEBUG is not set
+CONFIG_HYSDN=3Dm
+CONFIG_HYSDN_CAPI=3Dy
+# end of ISDN CAPI drivers
+
+CONFIG_USB_WUSB=3Dm
+CONFIG_USB_WUSB_CBAF=3Dm
+# CONFIG_USB_WUSB_CBAF_DEBUG is not set
+CONFIG_USB_WHCI_HCD=3Dm
+CONFIG_USB_HWA_HCD=3Dm
+CONFIG_UWB=3Dm
+CONFIG_UWB_HWA=3Dm
+CONFIG_UWB_WHCI=3Dm
+CONFIG_UWB_I1480U=3Dm
+CONFIG_EXFAT_FS=3Dm
+CONFIG_EXFAT_DONT_MOUNT_VFAT=3Dy
+CONFIG_EXFAT_DISCARD=3Dy
+# CONFIG_EXFAT_DELAYED_SYNC is not set
+# CONFIG_EXFAT_KERNEL_DEBUG is not set
+# CONFIG_EXFAT_DEBUG_MSG is not set
+CONFIG_EXFAT_DEFAULT_CODEPAGE=3D437
+CONFIG_EXFAT_DEFAULT_IOCHARSET=3D"utf8"
+CONFIG_QLGE=3Dm
+CONFIG_X86_PLATFORM_DEVICES=3Dy
+CONFIG_ACER_WMI=3Dm
+CONFIG_ACER_WIRELESS=3Dm
+CONFIG_ACERHDF=3Dm
+CONFIG_ALIENWARE_WMI=3Dm
+CONFIG_ASUS_LAPTOP=3Dm
+CONFIG_DCDBAS=3Dm
+CONFIG_DELL_SMBIOS=3Dm
+CONFIG_DELL_SMBIOS_WMI=3Dy
+CONFIG_DELL_SMBIOS_SMM=3Dy
+CONFIG_DELL_LAPTOP=3Dm
+CONFIG_DELL_WMI=3Dm
+CONFIG_DELL_WMI_DESCRIPTOR=3Dm
+CONFIG_DELL_WMI_AIO=3Dm
+CONFIG_DELL_WMI_LED=3Dm
+CONFIG_DELL_SMO8800=3Dm
+CONFIG_DELL_RBTN=3Dm
+CONFIG_DELL_RBU=3Dm
+CONFIG_FUJITSU_LAPTOP=3Dm
+CONFIG_FUJITSU_TABLET=3Dm
+CONFIG_AMILO_RFKILL=3Dm
+# CONFIG_GPD_POCKET_FAN is not set
+CONFIG_TC1100_WMI=3Dm
+CONFIG_HP_ACCEL=3Dm
+CONFIG_HP_WIRELESS=3Dm
+CONFIG_HP_WMI=3Dm
+CONFIG_LG_LAPTOP=3Dm
+CONFIG_MSI_LAPTOP=3Dm
+CONFIG_PANASONIC_LAPTOP=3Dm
+CONFIG_COMPAL_LAPTOP=3Dm
+CONFIG_SONY_LAPTOP=3Dm
+CONFIG_SONYPI_COMPAT=3Dy
+CONFIG_IDEAPAD_LAPTOP=3Dm
+CONFIG_SURFACE3_WMI=3Dm
+CONFIG_THINKPAD_ACPI=3Dm
+CONFIG_THINKPAD_ACPI_ALSA_SUPPORT=3Dy
+CONFIG_THINKPAD_ACPI_DEBUGFACILITIES=3Dy
+# CONFIG_THINKPAD_ACPI_DEBUG is not set
+# CONFIG_THINKPAD_ACPI_UNSAFE_LEDS is not set
+CONFIG_THINKPAD_ACPI_VIDEO=3Dy
+CONFIG_THINKPAD_ACPI_HOTKEY_POLL=3Dy
+CONFIG_SENSORS_HDAPS=3Dm
+CONFIG_INTEL_MENLOW=3Dm
+CONFIG_EEEPC_LAPTOP=3Dm
+CONFIG_ASUS_WMI=3Dm
+CONFIG_ASUS_NB_WMI=3Dm
+CONFIG_EEEPC_WMI=3Dm
+CONFIG_ASUS_WIRELESS=3Dm
+CONFIG_ACPI_WMI=3Dm
+CONFIG_WMI_BMOF=3Dm
+CONFIG_INTEL_WMI_THUNDERBOLT=3Dm
+CONFIG_XIAOMI_WMI=3Dm
+CONFIG_MSI_WMI=3Dm
+CONFIG_PEAQ_WMI=3Dm
+CONFIG_TOPSTAR_LAPTOP=3Dm
+CONFIG_ACPI_TOSHIBA=3Dm
+CONFIG_TOSHIBA_BT_RFKILL=3Dm
+CONFIG_TOSHIBA_HAPS=3Dm
+CONFIG_TOSHIBA_WMI=3Dm
+CONFIG_ACPI_CMPC=3Dm
+CONFIG_INTEL_CHT_INT33FE=3Dm
+CONFIG_INTEL_INT0002_VGPIO=3Dm
+CONFIG_INTEL_HID_EVENT=3Dm
+CONFIG_INTEL_VBTN=3Dm
+CONFIG_INTEL_SCU_IPC=3Dy
+CONFIG_INTEL_SCU_IPC_UTIL=3Dm
+CONFIG_INTEL_MID_POWER_BUTTON=3Dm
+CONFIG_INTEL_MFLD_THERMAL=3Dm
+CONFIG_INTEL_IPS=3Dm
+CONFIG_INTEL_PMC_CORE=3Dy
+CONFIG_IBM_RTL=3Dm
+CONFIG_SAMSUNG_LAPTOP=3Dm
+CONFIG_MXM_WMI=3Dm
+CONFIG_INTEL_OAKTRAIL=3Dm
+CONFIG_SAMSUNG_Q10=3Dm
+CONFIG_APPLE_GMUX=3Dm
+CONFIG_INTEL_RST=3Dm
+CONFIG_INTEL_SMARTCONNECT=3Dm
+CONFIG_INTEL_PMC_IPC=3Dm
+CONFIG_INTEL_BXTWC_PMIC_TMU=3Dm
+CONFIG_SURFACE_PRO3_BUTTON=3Dm
+CONFIG_SURFACE_3_BUTTON=3Dm
+CONFIG_INTEL_PUNIT_IPC=3Dm
+# CONFIG_MLX_PLATFORM is not set
+# CONFIG_TOUCHSCREEN_DMI is not set
+CONFIG_INTEL_CHTDC_TI_PWRBTN=3Dm
+CONFIG_INTEL_MRFLD_PWRBTN=3Dm
+CONFIG_I2C_MULTI_INSTANTIATE=3Dm
+CONFIG_INTEL_ATOMISP2_PM=3Dm
+# CONFIG_HUAWEI_WMI is not set
+CONFIG_PCENGINES_APU2=3Dm
+CONFIG_PMC_ATOM=3Dy
+CONFIG_MFD_CROS_EC=3Dm
+CONFIG_CHROME_PLATFORMS=3Dy
+CONFIG_CHROMEOS_LAPTOP=3Dm
+CONFIG_CHROMEOS_PSTORE=3Dm
+CONFIG_CHROMEOS_TBMC=3Dm
+CONFIG_CROS_EC=3Dm
+CONFIG_CROS_EC_I2C=3Dm
+CONFIG_CROS_EC_SPI=3Dm
+CONFIG_CROS_EC_LPC=3Dm
+CONFIG_CROS_EC_PROTO=3Dy
+CONFIG_CROS_KBD_LED_BACKLIGHT=3Dm
+CONFIG_CROS_EC_CHARDEV=3Dm
+CONFIG_CROS_EC_LIGHTBAR=3Dm
+CONFIG_CROS_EC_DEBUGFS=3Dm
+CONFIG_CROS_EC_SYSFS=3Dm
+CONFIG_CROS_USBPD_LOGGER=3Dm
+CONFIG_WILCO_EC=3Dm
+# CONFIG_WILCO_EC_DEBUGFS is not set
+CONFIG_WILCO_EC_EVENTS=3Dm
+CONFIG_WILCO_EC_TELEMETRY=3Dm
+# CONFIG_MELLANOX_PLATFORM is not set
+CONFIG_CLKDEV_LOOKUP=3Dy
+CONFIG_HAVE_CLK_PREPARE=3Dy
+CONFIG_COMMON_CLK=3Dy
+
+#
+# Common Clock Framework
+#
+CONFIG_COMMON_CLK_WM831X=3Dm
+CONFIG_COMMON_CLK_MAX9485=3Dm
+CONFIG_COMMON_CLK_SI5341=3Dm
+CONFIG_COMMON_CLK_SI5351=3Dm
+CONFIG_COMMON_CLK_SI544=3Dm
+CONFIG_COMMON_CLK_CDCE706=3Dm
+CONFIG_COMMON_CLK_CS2000_CP=3Dm
+CONFIG_COMMON_CLK_S2MPS11=3Dm
+CONFIG_CLK_TWL6040=3Dm
+CONFIG_COMMON_CLK_PALMAS=3Dm
+CONFIG_COMMON_CLK_PWM=3Dm
+# end of Common Clock Framework
+
+# CONFIG_HWSPINLOCK is not set
+
+#
+# Clock Source drivers
+#
+CONFIG_CLKSRC_I8253=3Dy
+CONFIG_CLKEVT_I8253=3Dy
+CONFIG_I8253_LOCK=3Dy
+CONFIG_CLKBLD_I8253=3Dy
+CONFIG_DW_APB_TIMER=3Dy
+# end of Clock Source drivers
+
+CONFIG_MAILBOX=3Dy
+CONFIG_PCC=3Dy
+CONFIG_ALTERA_MBOX=3Dm
+CONFIG_IOMMU_IOVA=3Dy
+CONFIG_IOMMU_API=3Dy
+CONFIG_IOMMU_SUPPORT=3Dy
+
+#
+# Generic IOMMU Pagetable Support
+#
+# end of Generic IOMMU Pagetable Support
+
+# CONFIG_IOMMU_DEBUGFS is not set
+# CONFIG_IOMMU_DEFAULT_PASSTHROUGH is not set
+CONFIG_DMAR_TABLE=3Dy
+CONFIG_INTEL_IOMMU=3Dy
+CONFIG_INTEL_IOMMU_SVM=3Dy
+# CONFIG_INTEL_IOMMU_DEFAULT_ON is not set
+CONFIG_INTEL_IOMMU_FLOPPY_WA=3Dy
+CONFIG_HYPERV_IOMMU=3Dy
+
+#
+# Remoteproc drivers
+#
+# CONFIG_REMOTEPROC is not set
+# end of Remoteproc drivers
+
+#
+# Rpmsg drivers
+#
+CONFIG_RPMSG=3Dm
+# CONFIG_RPMSG_CHAR is not set
+CONFIG_RPMSG_QCOM_GLINK_NATIVE=3Dm
+CONFIG_RPMSG_QCOM_GLINK_RPM=3Dm
+CONFIG_RPMSG_VIRTIO=3Dm
+# end of Rpmsg drivers
+
+# CONFIG_SOUNDWIRE is not set
+
+#
+# SOC (System On Chip) specific Drivers
+#
+
+#
+# Amlogic SoC drivers
+#
+# end of Amlogic SoC drivers
+
+#
+# Aspeed SoC drivers
+#
+# end of Aspeed SoC drivers
+
+#
+# Broadcom SoC drivers
+#
+# end of Broadcom SoC drivers
+
+#
+# NXP/Freescale QorIQ SoC drivers
+#
+# end of NXP/Freescale QorIQ SoC drivers
+
+#
+# i.MX SoC drivers
+#
+# end of i.MX SoC drivers
+
+#
+# Qualcomm SoC drivers
+#
+# end of Qualcomm SoC drivers
+
+CONFIG_SOC_TI=3Dy
+
+#
+# Xilinx SoC drivers
+#
+# CONFIG_XILINX_VCU is not set
+# end of Xilinx SoC drivers
+# end of SOC (System On Chip) specific Drivers
+
+CONFIG_PM_DEVFREQ=3Dy
+
+#
+# DEVFREQ Governors
+#
+CONFIG_DEVFREQ_GOV_SIMPLE_ONDEMAND=3Dy
+CONFIG_DEVFREQ_GOV_PERFORMANCE=3Dy
+CONFIG_DEVFREQ_GOV_POWERSAVE=3Dy
+CONFIG_DEVFREQ_GOV_USERSPACE=3Dy
+CONFIG_DEVFREQ_GOV_PASSIVE=3Dm
+
+#
+# DEVFREQ Drivers
+#
+CONFIG_PM_DEVFREQ_EVENT=3Dy
+CONFIG_EXTCON=3Dy
+
+#
+# Extcon Device Drivers
+#
+CONFIG_EXTCON_ADC_JACK=3Dm
+CONFIG_EXTCON_ARIZONA=3Dm
+CONFIG_EXTCON_AXP288=3Dm
+CONFIG_EXTCON_FSA9480=3Dm
+CONFIG_EXTCON_GPIO=3Dm
+CONFIG_EXTCON_INTEL_INT3496=3Dm
+CONFIG_EXTCON_INTEL_CHT_WC=3Dm
+CONFIG_EXTCON_INTEL_MRFLD=3Dm
+CONFIG_EXTCON_MAX14577=3Dm
+CONFIG_EXTCON_MAX3355=3Dm
+CONFIG_EXTCON_MAX77693=3Dm
+CONFIG_EXTCON_MAX77843=3Dm
+CONFIG_EXTCON_MAX8997=3Dm
+CONFIG_EXTCON_PALMAS=3Dm
+CONFIG_EXTCON_PTN5150=3Dm
+CONFIG_EXTCON_RT8973A=3Dm
+CONFIG_EXTCON_SM5502=3Dm
+CONFIG_EXTCON_USB_GPIO=3Dm
+CONFIG_EXTCON_USBC_CROS_EC=3Dm
+CONFIG_MEMORY=3Dy
+CONFIG_IIO=3Dm
+CONFIG_IIO_BUFFER=3Dy
+CONFIG_IIO_BUFFER_CB=3Dm
+CONFIG_IIO_BUFFER_HW_CONSUMER=3Dm
+CONFIG_IIO_KFIFO_BUF=3Dm
+CONFIG_IIO_TRIGGERED_BUFFER=3Dm
+CONFIG_IIO_CONFIGFS=3Dm
+CONFIG_IIO_TRIGGER=3Dy
+CONFIG_IIO_CONSUMERS_PER_TRIGGER=3D2
+CONFIG_IIO_SW_DEVICE=3Dm
+CONFIG_IIO_SW_TRIGGER=3Dm
+CONFIG_IIO_TRIGGERED_EVENT=3Dm
+
+#
+# Accelerometers
+#
+CONFIG_ADIS16201=3Dm
+CONFIG_ADIS16209=3Dm
+CONFIG_ADXL372=3Dm
+CONFIG_ADXL372_SPI=3Dm
+CONFIG_ADXL372_I2C=3Dm
+CONFIG_BMA180=3Dm
+CONFIG_BMA220=3Dm
+CONFIG_BMC150_ACCEL=3Dm
+CONFIG_BMC150_ACCEL_I2C=3Dm
+CONFIG_BMC150_ACCEL_SPI=3Dm
+CONFIG_DA280=3Dm
+CONFIG_DA311=3Dm
+CONFIG_DMARD09=3Dm
+CONFIG_DMARD10=3Dm
+CONFIG_HID_SENSOR_ACCEL_3D=3Dm
+CONFIG_IIO_CROS_EC_ACCEL_LEGACY=3Dm
+CONFIG_IIO_ST_ACCEL_3AXIS=3Dm
+CONFIG_IIO_ST_ACCEL_I2C_3AXIS=3Dm
+CONFIG_IIO_ST_ACCEL_SPI_3AXIS=3Dm
+CONFIG_KXSD9=3Dm
+CONFIG_KXSD9_SPI=3Dm
+CONFIG_KXSD9_I2C=3Dm
+CONFIG_KXCJK1013=3Dm
+CONFIG_MC3230=3Dm
+CONFIG_MMA7455=3Dm
+CONFIG_MMA7455_I2C=3Dm
+CONFIG_MMA7455_SPI=3Dm
+CONFIG_MMA7660=3Dm
+CONFIG_MMA8452=3Dm
+CONFIG_MMA9551_CORE=3Dm
+CONFIG_MMA9551=3Dm
+CONFIG_MMA9553=3Dm
+CONFIG_MXC4005=3Dm
+CONFIG_MXC6255=3Dm
+CONFIG_SCA3000=3Dm
+CONFIG_STK8312=3Dm
+CONFIG_STK8BA50=3Dm
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+CONFIG_AD_SIGMA_DELTA=3Dm
+CONFIG_AD7124=3Dm
+CONFIG_AD7266=3Dm
+CONFIG_AD7291=3Dm
+CONFIG_AD7298=3Dm
+CONFIG_AD7476=3Dm
+CONFIG_AD7606=3Dm
+CONFIG_AD7606_IFACE_PARALLEL=3Dm
+CONFIG_AD7606_IFACE_SPI=3Dm
+CONFIG_AD7766=3Dm
+CONFIG_AD7768_1=3Dm
+CONFIG_AD7780=3Dm
+CONFIG_AD7791=3Dm
+CONFIG_AD7793=3Dm
+CONFIG_AD7887=3Dm
+CONFIG_AD7923=3Dm
+CONFIG_AD7949=3Dm
+CONFIG_AD799X=3Dm
+CONFIG_AXP20X_ADC=3Dm
+CONFIG_AXP288_ADC=3Dm
+CONFIG_CC10001_ADC=3Dm
+CONFIG_DA9150_GPADC=3Dm
+CONFIG_DLN2_ADC=3Dm
+CONFIG_HI8435=3Dm
+CONFIG_HX711=3Dm
+CONFIG_INA2XX_ADC=3Dm
+CONFIG_LP8788_ADC=3Dm
+CONFIG_LTC2471=3Dm
+CONFIG_LTC2485=3Dm
+CONFIG_LTC2497=3Dm
+CONFIG_MAX1027=3Dm
+CONFIG_MAX11100=3Dm
+CONFIG_MAX1118=3Dm
+CONFIG_MAX1363=3Dm
+CONFIG_MAX9611=3Dm
+CONFIG_MCP320X=3Dm
+CONFIG_MCP3422=3Dm
+CONFIG_MCP3911=3Dm
+CONFIG_MEN_Z188_ADC=3Dm
+CONFIG_NAU7802=3Dm
+CONFIG_PALMAS_GPADC=3Dm
+CONFIG_QCOM_VADC_COMMON=3Dm
+CONFIG_QCOM_SPMI_IADC=3Dm
+CONFIG_QCOM_SPMI_VADC=3Dm
+CONFIG_QCOM_SPMI_ADC5=3Dm
+CONFIG_TI_ADC081C=3Dm
+CONFIG_TI_ADC0832=3Dm
+CONFIG_TI_ADC084S021=3Dm
+CONFIG_TI_ADC12138=3Dm
+CONFIG_TI_ADC108S102=3Dm
+CONFIG_TI_ADC128S052=3Dm
+CONFIG_TI_ADC161S626=3Dm
+CONFIG_TI_ADS1015=3Dm
+CONFIG_TI_ADS7950=3Dm
+CONFIG_TI_AM335X_ADC=3Dm
+CONFIG_TI_TLC4541=3Dm
+CONFIG_TWL4030_MADC=3Dm
+CONFIG_TWL6030_GPADC=3Dm
+CONFIG_VIPERBOARD_ADC=3Dm
+CONFIG_XILINX_XADC=3Dm
+# end of Analog to digital converters
+
+#
+# Analog Front Ends
+#
+# end of Analog Front Ends
+
+#
+# Amplifiers
+#
+CONFIG_AD8366=3Dm
+# end of Amplifiers
+
+#
+# Chemical Sensors
+#
+CONFIG_ATLAS_PH_SENSOR=3Dm
+CONFIG_BME680=3Dm
+CONFIG_BME680_I2C=3Dm
+CONFIG_BME680_SPI=3Dm
+CONFIG_CCS811=3Dm
+CONFIG_IAQCORE=3Dm
+CONFIG_PMS7003=3Dm
+CONFIG_SENSIRION_SGP30=3Dm
+CONFIG_SPS30=3Dm
+CONFIG_VZ89X=3Dm
+# end of Chemical Sensors
+
+CONFIG_IIO_CROS_EC_SENSORS_CORE=3Dm
+CONFIG_IIO_CROS_EC_SENSORS=3Dm
+CONFIG_IIO_CROS_EC_SENSORS_LID_ANGLE=3Dm
+
+#
+# Hid Sensor IIO Common
+#
+CONFIG_HID_SENSOR_IIO_COMMON=3Dm
+CONFIG_HID_SENSOR_IIO_TRIGGER=3Dm
+# end of Hid Sensor IIO Common
+
+CONFIG_IIO_MS_SENSORS_I2C=3Dm
+
+#
+# SSP Sensor Common
+#
+CONFIG_IIO_SSP_SENSORS_COMMONS=3Dm
+CONFIG_IIO_SSP_SENSORHUB=3Dm
+# end of SSP Sensor Common
+
+CONFIG_IIO_ST_SENSORS_I2C=3Dm
+CONFIG_IIO_ST_SENSORS_SPI=3Dm
+CONFIG_IIO_ST_SENSORS_CORE=3Dm
+
+#
+# Digital to analog converters
+#
+CONFIG_AD5064=3Dm
+CONFIG_AD5360=3Dm
+CONFIG_AD5380=3Dm
+CONFIG_AD5421=3Dm
+CONFIG_AD5446=3Dm
+CONFIG_AD5449=3Dm
+CONFIG_AD5592R_BASE=3Dm
+CONFIG_AD5592R=3Dm
+CONFIG_AD5593R=3Dm
+CONFIG_AD5504=3Dm
+CONFIG_AD5624R_SPI=3Dm
+CONFIG_LTC1660=3Dm
+CONFIG_LTC2632=3Dm
+CONFIG_AD5686=3Dm
+CONFIG_AD5686_SPI=3Dm
+CONFIG_AD5696_I2C=3Dm
+CONFIG_AD5755=3Dm
+CONFIG_AD5758=3Dm
+CONFIG_AD5761=3Dm
+CONFIG_AD5764=3Dm
+CONFIG_AD5791=3Dm
+CONFIG_AD7303=3Dm
+CONFIG_AD8801=3Dm
+CONFIG_DS4424=3Dm
+CONFIG_M62332=3Dm
+CONFIG_MAX517=3Dm
+CONFIG_MCP4725=3Dm
+CONFIG_MCP4922=3Dm
+CONFIG_TI_DAC082S085=3Dm
+CONFIG_TI_DAC5571=3Dm
+CONFIG_TI_DAC7311=3Dm
+CONFIG_TI_DAC7612=3Dm
+# end of Digital to analog converters
+
+#
+# IIO dummy driver
+#
+CONFIG_IIO_SIMPLE_DUMMY=3Dm
+# CONFIG_IIO_SIMPLE_DUMMY_EVENTS is not set
+# CONFIG_IIO_SIMPLE_DUMMY_BUFFER is not set
+# end of IIO dummy driver
+
+#
+# Frequency Synthesizers DDS/PLL
+#
+
+#
+# Clock Generator/Distribution
+#
+CONFIG_AD9523=3Dm
+# end of Clock Generator/Distribution
+
+#
+# Phase-Locked Loop (PLL) frequency synthesizers
+#
+CONFIG_ADF4350=3Dm
+CONFIG_ADF4371=3Dm
+# end of Phase-Locked Loop (PLL) frequency synthesizers
+# end of Frequency Synthesizers DDS/PLL
+
+#
+# Digital gyroscope sensors
+#
+CONFIG_ADIS16080=3Dm
+CONFIG_ADIS16130=3Dm
+CONFIG_ADIS16136=3Dm
+CONFIG_ADIS16260=3Dm
+CONFIG_ADXRS450=3Dm
+CONFIG_BMG160=3Dm
+CONFIG_BMG160_I2C=3Dm
+CONFIG_BMG160_SPI=3Dm
+CONFIG_FXAS21002C=3Dm
+CONFIG_FXAS21002C_I2C=3Dm
+CONFIG_FXAS21002C_SPI=3Dm
+CONFIG_HID_SENSOR_GYRO_3D=3Dm
+CONFIG_MPU3050=3Dm
+CONFIG_MPU3050_I2C=3Dm
+CONFIG_IIO_ST_GYRO_3AXIS=3Dm
+CONFIG_IIO_ST_GYRO_I2C_3AXIS=3Dm
+CONFIG_IIO_ST_GYRO_SPI_3AXIS=3Dm
+CONFIG_ITG3200=3Dm
+# end of Digital gyroscope sensors
+
+#
+# Health Sensors
+#
+
+#
+# Heart Rate Monitors
+#
+CONFIG_AFE4403=3Dm
+CONFIG_AFE4404=3Dm
+CONFIG_MAX30100=3Dm
+CONFIG_MAX30102=3Dm
+# end of Heart Rate Monitors
+# end of Health Sensors
+
+#
+# Humidity sensors
+#
+CONFIG_AM2315=3Dm
+CONFIG_DHT11=3Dm
+CONFIG_HDC100X=3Dm
+CONFIG_HID_SENSOR_HUMIDITY=3Dm
+CONFIG_HTS221=3Dm
+CONFIG_HTS221_I2C=3Dm
+CONFIG_HTS221_SPI=3Dm
+CONFIG_HTU21=3Dm
+CONFIG_SI7005=3Dm
+CONFIG_SI7020=3Dm
+# end of Humidity sensors
+
+#
+# Inertial measurement units
+#
+CONFIG_ADIS16400=3Dm
+CONFIG_ADIS16460=3Dm
+CONFIG_ADIS16480=3Dm
+CONFIG_BMI160=3Dm
+CONFIG_BMI160_I2C=3Dm
+CONFIG_BMI160_SPI=3Dm
+CONFIG_KMX61=3Dm
+CONFIG_INV_MPU6050_IIO=3Dm
+CONFIG_INV_MPU6050_I2C=3Dm
+CONFIG_INV_MPU6050_SPI=3Dm
+CONFIG_IIO_ST_LSM6DSX=3Dm
+CONFIG_IIO_ST_LSM6DSX_I2C=3Dm
+CONFIG_IIO_ST_LSM6DSX_SPI=3Dm
+CONFIG_IIO_ST_LSM6DSX_I3C=3Dm
+# end of Inertial measurement units
+
+CONFIG_IIO_ADIS_LIB=3Dm
+CONFIG_IIO_ADIS_LIB_BUFFER=3Dy
+
+#
+# Light sensors
+#
+CONFIG_ACPI_ALS=3Dm
+CONFIG_ADJD_S311=3Dm
+CONFIG_AL3320A=3Dm
+CONFIG_APDS9300=3Dm
+CONFIG_APDS9960=3Dm
+CONFIG_BH1750=3Dm
+CONFIG_BH1780=3Dm
+CONFIG_CM32181=3Dm
+CONFIG_CM3232=3Dm
+CONFIG_CM3323=3Dm
+CONFIG_CM36651=3Dm
+CONFIG_IIO_CROS_EC_LIGHT_PROX=3Dm
+CONFIG_GP2AP020A00F=3Dm
+CONFIG_SENSORS_ISL29018=3Dm
+CONFIG_SENSORS_ISL29028=3Dm
+CONFIG_ISL29125=3Dm
+CONFIG_HID_SENSOR_ALS=3Dm
+CONFIG_HID_SENSOR_PROX=3Dm
+CONFIG_JSA1212=3Dm
+CONFIG_RPR0521=3Dm
+CONFIG_SENSORS_LM3533=3Dm
+CONFIG_LTR501=3Dm
+CONFIG_LV0104CS=3Dm
+CONFIG_MAX44000=3Dm
+CONFIG_MAX44009=3Dm
+CONFIG_NOA1305=3Dm
+CONFIG_OPT3001=3Dm
+CONFIG_PA12203001=3Dm
+CONFIG_SI1133=3Dm
+CONFIG_SI1145=3Dm
+CONFIG_STK3310=3Dm
+CONFIG_ST_UVIS25=3Dm
+CONFIG_ST_UVIS25_I2C=3Dm
+CONFIG_ST_UVIS25_SPI=3Dm
+CONFIG_TCS3414=3Dm
+CONFIG_TCS3472=3Dm
+CONFIG_SENSORS_TSL2563=3Dm
+CONFIG_TSL2583=3Dm
+CONFIG_TSL2772=3Dm
+CONFIG_TSL4531=3Dm
+CONFIG_US5182D=3Dm
+CONFIG_VCNL4000=3Dm
+CONFIG_VCNL4035=3Dm
+CONFIG_VEML6070=3Dm
+CONFIG_VL6180=3Dm
+CONFIG_ZOPT2201=3Dm
+# end of Light sensors
+
+#
+# Magnetometer sensors
+#
+CONFIG_AK8975=3Dm
+CONFIG_AK09911=3Dm
+CONFIG_BMC150_MAGN=3Dm
+CONFIG_BMC150_MAGN_I2C=3Dm
+CONFIG_BMC150_MAGN_SPI=3Dm
+CONFIG_MAG3110=3Dm
+CONFIG_HID_SENSOR_MAGNETOMETER_3D=3Dm
+CONFIG_MMC35240=3Dm
+CONFIG_IIO_ST_MAGN_3AXIS=3Dm
+CONFIG_IIO_ST_MAGN_I2C_3AXIS=3Dm
+CONFIG_IIO_ST_MAGN_SPI_3AXIS=3Dm
+CONFIG_SENSORS_HMC5843=3Dm
+CONFIG_SENSORS_HMC5843_I2C=3Dm
+CONFIG_SENSORS_HMC5843_SPI=3Dm
+CONFIG_SENSORS_RM3100=3Dm
+CONFIG_SENSORS_RM3100_I2C=3Dm
+CONFIG_SENSORS_RM3100_SPI=3Dm
+# end of Magnetometer sensors
+
+#
+# Multiplexers
+#
+# end of Multiplexers
+
+#
+# Inclinometer sensors
+#
+CONFIG_HID_SENSOR_INCLINOMETER_3D=3Dm
+CONFIG_HID_SENSOR_DEVICE_ROTATION=3Dm
+# end of Inclinometer sensors
+
+#
+# Triggers - standalone
+#
+CONFIG_IIO_HRTIMER_TRIGGER=3Dm
+CONFIG_IIO_INTERRUPT_TRIGGER=3Dm
+CONFIG_IIO_TIGHTLOOP_TRIGGER=3Dm
+CONFIG_IIO_SYSFS_TRIGGER=3Dm
+# end of Triggers - standalone
+
+#
+# Digital potentiometers
+#
+CONFIG_AD5272=3Dm
+CONFIG_DS1803=3Dm
+CONFIG_MAX5432=3Dm
+CONFIG_MAX5481=3Dm
+CONFIG_MAX5487=3Dm
+CONFIG_MCP4018=3Dm
+CONFIG_MCP4131=3Dm
+CONFIG_MCP4531=3Dm
+CONFIG_MCP41010=3Dm
+CONFIG_TPL0102=3Dm
+# end of Digital potentiometers
+
+#
+# Digital potentiostats
+#
+CONFIG_LMP91000=3Dm
+# end of Digital potentiostats
+
+#
+# Pressure sensors
+#
+CONFIG_ABP060MG=3Dm
+CONFIG_BMP280=3Dm
+CONFIG_BMP280_I2C=3Dm
+CONFIG_BMP280_SPI=3Dm
+CONFIG_IIO_CROS_EC_BARO=3Dm
+CONFIG_DPS310=3Dm
+CONFIG_HID_SENSOR_PRESS=3Dm
+CONFIG_HP03=3Dm
+CONFIG_MPL115=3Dm
+CONFIG_MPL115_I2C=3Dm
+CONFIG_MPL115_SPI=3Dm
+CONFIG_MPL3115=3Dm
+CONFIG_MS5611=3Dm
+CONFIG_MS5611_I2C=3Dm
+CONFIG_MS5611_SPI=3Dm
+CONFIG_MS5637=3Dm
+CONFIG_IIO_ST_PRESS=3Dm
+CONFIG_IIO_ST_PRESS_I2C=3Dm
+CONFIG_IIO_ST_PRESS_SPI=3Dm
+CONFIG_T5403=3Dm
+CONFIG_HP206C=3Dm
+CONFIG_ZPA2326=3Dm
+CONFIG_ZPA2326_I2C=3Dm
+CONFIG_ZPA2326_SPI=3Dm
+# end of Pressure sensors
+
+#
+# Lightning sensors
+#
+CONFIG_AS3935=3Dm
+# end of Lightning sensors
+
+#
+# Proximity and distance sensors
+#
+CONFIG_ISL29501=3Dm
+CONFIG_LIDAR_LITE_V2=3Dm
+CONFIG_MB1232=3Dm
+CONFIG_RFD77402=3Dm
+CONFIG_SRF04=3Dm
+CONFIG_SX9500=3Dm
+CONFIG_SRF08=3Dm
+CONFIG_VL53L0X_I2C=3Dm
+# end of Proximity and distance sensors
+
+#
+# Resolver to digital converters
+#
+CONFIG_AD2S90=3Dm
+CONFIG_AD2S1200=3Dm
+# end of Resolver to digital converters
+
+#
+# Temperature sensors
+#
+CONFIG_MAXIM_THERMOCOUPLE=3Dm
+CONFIG_HID_SENSOR_TEMP=3Dm
+CONFIG_MLX90614=3Dm
+CONFIG_MLX90632=3Dm
+CONFIG_TMP006=3Dm
+CONFIG_TMP007=3Dm
+CONFIG_TSYS01=3Dm
+CONFIG_TSYS02D=3Dm
+CONFIG_MAX31856=3Dm
+# end of Temperature sensors
+
+CONFIG_NTB=3Dm
+CONFIG_NTB_MSI=3Dy
+CONFIG_NTB_IDT=3Dm
+CONFIG_NTB_SWITCHTEC=3Dm
+CONFIG_NTB_PINGPONG=3Dm
+CONFIG_NTB_TOOL=3Dm
+CONFIG_NTB_PERF=3Dm
+CONFIG_NTB_MSI_TEST=3Dm
+CONFIG_NTB_TRANSPORT=3Dm
+CONFIG_VME_BUS=3Dy
+
+#
+# VME Bridge Drivers
+#
+CONFIG_VME_CA91CX42=3Dm
+CONFIG_VME_TSI148=3Dm
+# CONFIG_VME_FAKE is not set
+
+#
+# VME Board Drivers
+#
+CONFIG_VMIVME_7805=3Dm
+
+#
+# VME Device Drivers
+#
+CONFIG_VME_USER=3Dm
+CONFIG_PWM=3Dy
+CONFIG_PWM_SYSFS=3Dy
+CONFIG_PWM_CRC=3Dy
+CONFIG_PWM_CROS_EC=3Dm
+CONFIG_PWM_LP3943=3Dm
+CONFIG_PWM_LPSS=3Dm
+CONFIG_PWM_LPSS_PCI=3Dm
+CONFIG_PWM_LPSS_PLATFORM=3Dm
+CONFIG_PWM_PCA9685=3Dm
+CONFIG_PWM_TWL=3Dm
+CONFIG_PWM_TWL_LED=3Dm
+
+#
+# IRQ chip support
+#
+CONFIG_MADERA_IRQ=3Dm
+# end of IRQ chip support
+
+CONFIG_IPACK_BUS=3Dm
+CONFIG_BOARD_TPCI200=3Dm
+CONFIG_SERIAL_IPOCTAL=3Dm
+CONFIG_RESET_CONTROLLER=3Dy
+CONFIG_RESET_TI_SYSCON=3Dm
+
+#
+# PHY Subsystem
+#
+CONFIG_GENERIC_PHY=3Dy
+CONFIG_BCM_KONA_USB2_PHY=3Dm
+CONFIG_PHY_PXA_28NM_HSIC=3Dm
+CONFIG_PHY_PXA_28NM_USB2=3Dm
+CONFIG_PHY_CPCAP_USB=3Dm
+CONFIG_PHY_QCOM_USB_HS=3Dm
+CONFIG_PHY_QCOM_USB_HSIC=3Dm
+CONFIG_PHY_SAMSUNG_USB2=3Dm
+CONFIG_PHY_TUSB1210=3Dm
+# end of PHY Subsystem
+
+CONFIG_POWERCAP=3Dy
+CONFIG_INTEL_RAPL_CORE=3Dm
+CONFIG_INTEL_RAPL=3Dm
+# CONFIG_IDLE_INJECT is not set
+CONFIG_MCB=3Dm
+CONFIG_MCB_PCI=3Dm
+CONFIG_MCB_LPC=3Dm
+
+#
+# Performance monitor support
+#
+# end of Performance monitor support
+
+CONFIG_RAS=3Dy
+CONFIG_THUNDERBOLT=3Dm
+
+#
+# Android
+#
+# CONFIG_ANDROID is not set
+# end of Android
+
+CONFIG_LIBNVDIMM=3Dy
+CONFIG_BLK_DEV_PMEM=3Dm
+CONFIG_ND_BLK=3Dm
+CONFIG_ND_CLAIM=3Dy
+CONFIG_ND_BTT=3Dm
+CONFIG_BTT=3Dy
+CONFIG_NVDIMM_KEYS=3Dy
+CONFIG_DAX_DRIVER=3Dy
+CONFIG_DAX=3Dy
+CONFIG_DEV_DAX=3Dm
+CONFIG_DEV_DAX_KMEM=3Dm
+CONFIG_NVMEM=3Dy
+CONFIG_NVMEM_SYSFS=3Dy
+CONFIG_RAVE_SP_EEPROM=3Dm
+
+#
+# HW tracing support
+#
+CONFIG_STM=3Dm
+CONFIG_STM_PROTO_BASIC=3Dm
+CONFIG_STM_PROTO_SYS_T=3Dm
+CONFIG_STM_DUMMY=3Dm
+CONFIG_STM_SOURCE_CONSOLE=3Dm
+CONFIG_STM_SOURCE_HEARTBEAT=3Dm
+CONFIG_STM_SOURCE_FTRACE=3Dm
+CONFIG_INTEL_TH=3Dm
+CONFIG_INTEL_TH_PCI=3Dm
+CONFIG_INTEL_TH_ACPI=3Dm
+CONFIG_INTEL_TH_GTH=3Dm
+CONFIG_INTEL_TH_STH=3Dm
+CONFIG_INTEL_TH_MSU=3Dm
+CONFIG_INTEL_TH_PTI=3Dm
+# CONFIG_INTEL_TH_DEBUG is not set
+# end of HW tracing support
+
+CONFIG_FPGA=3Dm
+CONFIG_ALTERA_PR_IP_CORE=3Dm
+CONFIG_FPGA_MGR_ALTERA_PS_SPI=3Dm
+CONFIG_FPGA_MGR_ALTERA_CVP=3Dm
+CONFIG_FPGA_MGR_XILINX_SPI=3Dm
+CONFIG_FPGA_MGR_MACHXO2_SPI=3Dm
+CONFIG_FPGA_BRIDGE=3Dm
+CONFIG_ALTERA_FREEZE_BRIDGE=3Dm
+CONFIG_XILINX_PR_DECOUPLER=3Dm
+CONFIG_FPGA_REGION=3Dm
+CONFIG_FPGA_DFL=3Dm
+CONFIG_FPGA_DFL_FME=3Dm
+CONFIG_FPGA_DFL_FME_MGR=3Dm
+CONFIG_FPGA_DFL_FME_BRIDGE=3Dm
+CONFIG_FPGA_DFL_FME_REGION=3Dm
+CONFIG_FPGA_DFL_AFU=3Dm
+CONFIG_FPGA_DFL_PCI=3Dm
+CONFIG_PM_OPP=3Dy
+# CONFIG_SIOX is not set
+# CONFIG_SLIMBUS is not set
+# CONFIG_INTERCONNECT is not set
+CONFIG_COUNTER=3Dm
+# end of Device Drivers
+
+#
+# File systems
+#
+CONFIG_DCACHE_WORD_ACCESS=3Dy
+CONFIG_VALIDATE_FS_PARSER=3Dy
+CONFIG_FS_IOMAP=3Dy
+# CONFIG_EXT2_FS is not set
+# CONFIG_EXT3_FS is not set
+CONFIG_EXT4_FS=3Dy
+CONFIG_EXT4_USE_FOR_EXT2=3Dy
+CONFIG_EXT4_FS_POSIX_ACL=3Dy
+CONFIG_EXT4_FS_SECURITY=3Dy
+# CONFIG_EXT4_DEBUG is not set
+CONFIG_JBD2=3Dy
+# CONFIG_JBD2_DEBUG is not set
+CONFIG_FS_MBCACHE=3Dy
+CONFIG_REISERFS_FS=3Dm
+# CONFIG_REISERFS_CHECK is not set
+# CONFIG_REISERFS_PROC_INFO is not set
+CONFIG_REISERFS_FS_XATTR=3Dy
+CONFIG_REISERFS_FS_POSIX_ACL=3Dy
+CONFIG_REISERFS_FS_SECURITY=3Dy
+CONFIG_JFS_FS=3Dm
+CONFIG_JFS_POSIX_ACL=3Dy
+CONFIG_JFS_SECURITY=3Dy
+# CONFIG_JFS_DEBUG is not set
+CONFIG_JFS_STATISTICS=3Dy
+CONFIG_XFS_FS=3Dm
+CONFIG_XFS_QUOTA=3Dy
+CONFIG_XFS_POSIX_ACL=3Dy
+CONFIG_XFS_RT=3Dy
+# CONFIG_XFS_ONLINE_SCRUB is not set
+# CONFIG_XFS_WARN is not set
+# CONFIG_XFS_DEBUG is not set
+CONFIG_GFS2_FS=3Dm
+CONFIG_GFS2_FS_LOCKING_DLM=3Dy
+CONFIG_OCFS2_FS=3Dm
+CONFIG_OCFS2_FS_O2CB=3Dm
+CONFIG_OCFS2_FS_USERSPACE_CLUSTER=3Dm
+CONFIG_OCFS2_FS_STATS=3Dy
+CONFIG_OCFS2_DEBUG_MASKLOG=3Dy
+# CONFIG_OCFS2_DEBUG_FS is not set
+CONFIG_BTRFS_FS=3Dm
+CONFIG_BTRFS_FS_POSIX_ACL=3Dy
+# CONFIG_BTRFS_FS_CHECK_INTEGRITY is not set
+# CONFIG_BTRFS_FS_RUN_SANITY_TESTS is not set
+# CONFIG_BTRFS_DEBUG is not set
+# CONFIG_BTRFS_ASSERT is not set
+# CONFIG_BTRFS_FS_REF_VERIFY is not set
+CONFIG_NILFS2_FS=3Dm
+CONFIG_F2FS_FS=3Dm
+CONFIG_F2FS_STAT_FS=3Dy
+CONFIG_F2FS_FS_XATTR=3Dy
+CONFIG_F2FS_FS_POSIX_ACL=3Dy
+CONFIG_F2FS_FS_SECURITY=3Dy
+# CONFIG_F2FS_CHECK_FS is not set
+# CONFIG_F2FS_IO_TRACE is not set
+# CONFIG_F2FS_FAULT_INJECTION is not set
+CONFIG_FS_DAX=3Dy
+CONFIG_FS_POSIX_ACL=3Dy
+CONFIG_EXPORTFS=3Dy
+# CONFIG_EXPORTFS_BLOCK_OPS is not set
+CONFIG_FILE_LOCKING=3Dy
+CONFIG_MANDATORY_FILE_LOCKING=3Dy
+# CONFIG_FS_ENCRYPTION is not set
+CONFIG_FS_VERITY=3Dy
+# CONFIG_FS_VERITY_DEBUG is not set
+# CONFIG_FS_VERITY_BUILTIN_SIGNATURES is not set
+CONFIG_FSNOTIFY=3Dy
+CONFIG_DNOTIFY=3Dy
+CONFIG_INOTIFY_USER=3Dy
+CONFIG_FANOTIFY=3Dy
+CONFIG_FANOTIFY_ACCESS_PERMISSIONS=3Dy
+CONFIG_QUOTA=3Dy
+CONFIG_QUOTA_NETLINK_INTERFACE=3Dy
+# CONFIG_PRINT_QUOTA_WARNING is not set
+# CONFIG_QUOTA_DEBUG is not set
+CONFIG_QUOTA_TREE=3Dm
+CONFIG_QFMT_V1=3Dm
+CONFIG_QFMT_V2=3Dm
+CONFIG_QUOTACTL=3Dy
+CONFIG_AUTOFS4_FS=3Dm
+CONFIG_AUTOFS_FS=3Dm
+CONFIG_FUSE_FS=3Dy
+CONFIG_CUSE=3Dm
+CONFIG_VIRTIO_FS=3Dm
+CONFIG_OVERLAY_FS=3Dm
+# CONFIG_OVERLAY_FS_REDIRECT_DIR is not set
+# CONFIG_OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW is not set
+# CONFIG_OVERLAY_FS_INDEX is not set
+# CONFIG_OVERLAY_FS_XINO_AUTO is not set
+# CONFIG_OVERLAY_FS_METACOPY is not set
+
+#
+# Caches
+#
+CONFIG_FSCACHE=3Dm
+CONFIG_FSCACHE_STATS=3Dy
+# CONFIG_FSCACHE_HISTOGRAM is not set
+# CONFIG_FSCACHE_DEBUG is not set
+# CONFIG_FSCACHE_OBJECT_LIST is not set
+CONFIG_CACHEFILES=3Dm
+# CONFIG_CACHEFILES_DEBUG is not set
+# CONFIG_CACHEFILES_HISTOGRAM is not set
+# end of Caches
+
+#
+# CD-ROM/DVD Filesystems
+#
+CONFIG_ISO9660_FS=3Dm
+CONFIG_JOLIET=3Dy
+CONFIG_ZISOFS=3Dy
+CONFIG_UDF_FS=3Dm
+# end of CD-ROM/DVD Filesystems
+
+#
+# DOS/FAT/NT Filesystems
+#
+CONFIG_FAT_FS=3Dy
+CONFIG_MSDOS_FS=3Dm
+CONFIG_VFAT_FS=3Dy
+CONFIG_FAT_DEFAULT_CODEPAGE=3D437
+CONFIG_FAT_DEFAULT_IOCHARSET=3D"iso8859-1"
+# CONFIG_FAT_DEFAULT_UTF8 is not set
+CONFIG_NTFS_FS=3Dm
+# CONFIG_NTFS_DEBUG is not set
+# CONFIG_NTFS_RW is not set
+# end of DOS/FAT/NT Filesystems
+
+#
+# Pseudo filesystems
+#
+CONFIG_PROC_FS=3Dy
+CONFIG_PROC_KCORE=3Dy
+CONFIG_PROC_VMCORE=3Dy
+# CONFIG_PROC_VMCORE_DEVICE_DUMP is not set
+CONFIG_PROC_SYSCTL=3Dy
+CONFIG_PROC_PAGE_MONITOR=3Dy
+CONFIG_PROC_CHILDREN=3Dy
+CONFIG_PROC_PID_ARCH_STATUS=3Dy
+CONFIG_KERNFS=3Dy
+CONFIG_SYSFS=3Dy
+CONFIG_TMPFS=3Dy
+CONFIG_TMPFS_POSIX_ACL=3Dy
+CONFIG_TMPFS_XATTR=3Dy
+CONFIG_HUGETLBFS=3Dy
+CONFIG_HUGETLB_PAGE=3Dy
+CONFIG_MEMFD_CREATE=3Dy
+CONFIG_CONFIGFS_FS=3Dm
+CONFIG_EFIVAR_FS=3Dy
+# end of Pseudo filesystems
+
+CONFIG_MISC_FILESYSTEMS=3Dy
+CONFIG_ORANGEFS_FS=3Dm
+CONFIG_ADFS_FS=3Dm
+# CONFIG_ADFS_FS_RW is not set
+CONFIG_AFFS_FS=3Dm
+CONFIG_ECRYPT_FS=3Dy
+CONFIG_ECRYPT_FS_MESSAGING=3Dy
+CONFIG_HFS_FS=3Dm
+CONFIG_HFSPLUS_FS=3Dm
+CONFIG_BEFS_FS=3Dm
+# CONFIG_BEFS_DEBUG is not set
+CONFIG_BFS_FS=3Dm
+CONFIG_EFS_FS=3Dm
+CONFIG_JFFS2_FS=3Dm
+CONFIG_JFFS2_FS_DEBUG=3D0
+CONFIG_JFFS2_FS_WRITEBUFFER=3Dy
+# CONFIG_JFFS2_FS_WBUF_VERIFY is not set
+# CONFIG_JFFS2_SUMMARY is not set
+CONFIG_JFFS2_FS_XATTR=3Dy
+CONFIG_JFFS2_FS_POSIX_ACL=3Dy
+CONFIG_JFFS2_FS_SECURITY=3Dy
+CONFIG_JFFS2_COMPRESSION_OPTIONS=3Dy
+CONFIG_JFFS2_ZLIB=3Dy
+CONFIG_JFFS2_LZO=3Dy
+CONFIG_JFFS2_RTIME=3Dy
+# CONFIG_JFFS2_RUBIN is not set
+# CONFIG_JFFS2_CMODE_NONE is not set
+# CONFIG_JFFS2_CMODE_PRIORITY is not set
+# CONFIG_JFFS2_CMODE_SIZE is not set
+CONFIG_JFFS2_CMODE_FAVOURLZO=3Dy
+CONFIG_UBIFS_FS=3Dm
+# CONFIG_UBIFS_FS_ADVANCED_COMPR is not set
+CONFIG_UBIFS_FS_LZO=3Dy
+CONFIG_UBIFS_FS_ZLIB=3Dy
+CONFIG_UBIFS_FS_ZSTD=3Dy
+CONFIG_UBIFS_ATIME_SUPPORT=3Dy
+CONFIG_UBIFS_FS_XATTR=3Dy
+CONFIG_UBIFS_FS_SECURITY=3Dy
+CONFIG_UBIFS_FS_AUTHENTICATION=3Dy
+CONFIG_CRAMFS=3Dm
+CONFIG_CRAMFS_BLOCKDEV=3Dy
+# CONFIG_CRAMFS_MTD is not set
+CONFIG_SQUASHFS=3Dm
+# CONFIG_SQUASHFS_FILE_CACHE is not set
+CONFIG_SQUASHFS_FILE_DIRECT=3Dy
+# CONFIG_SQUASHFS_DECOMP_SINGLE is not set
+# CONFIG_SQUASHFS_DECOMP_MULTI is not set
+CONFIG_SQUASHFS_DECOMP_MULTI_PERCPU=3Dy
+CONFIG_SQUASHFS_XATTR=3Dy
+CONFIG_SQUASHFS_ZLIB=3Dy
+CONFIG_SQUASHFS_LZ4=3Dy
+CONFIG_SQUASHFS_LZO=3Dy
+CONFIG_SQUASHFS_XZ=3Dy
+# CONFIG_SQUASHFS_ZSTD is not set
+# CONFIG_SQUASHFS_4K_DEVBLK_SIZE is not set
+# CONFIG_SQUASHFS_EMBEDDED is not set
+CONFIG_SQUASHFS_FRAGMENT_CACHE_SIZE=3D3
+CONFIG_VXFS_FS=3Dm
+CONFIG_MINIX_FS=3Dm
+CONFIG_OMFS_FS=3Dm
+CONFIG_HPFS_FS=3Dm
+CONFIG_QNX4FS_FS=3Dm
+CONFIG_QNX6FS_FS=3Dm
+# CONFIG_QNX6FS_DEBUG is not set
+CONFIG_ROMFS_FS=3Dm
+CONFIG_ROMFS_BACKED_BY_BLOCK=3Dy
+# CONFIG_ROMFS_BACKED_BY_MTD is not set
+# CONFIG_ROMFS_BACKED_BY_BOTH is not set
+CONFIG_ROMFS_ON_BLOCK=3Dy
+CONFIG_PSTORE=3Dy
+CONFIG_PSTORE_DEFLATE_COMPRESS=3Dm
+# CONFIG_PSTORE_LZO_COMPRESS is not set
+# CONFIG_PSTORE_LZ4_COMPRESS is not set
+# CONFIG_PSTORE_LZ4HC_COMPRESS is not set
+# CONFIG_PSTORE_842_COMPRESS is not set
+# CONFIG_PSTORE_ZSTD_COMPRESS is not set
+CONFIG_PSTORE_COMPRESS=3Dy
+CONFIG_PSTORE_DEFLATE_COMPRESS_DEFAULT=3Dy
+CONFIG_PSTORE_COMPRESS_DEFAULT=3D"deflate"
+# CONFIG_PSTORE_CONSOLE is not set
+# CONFIG_PSTORE_PMSG is not set
+# CONFIG_PSTORE_FTRACE is not set
+CONFIG_PSTORE_RAM=3Dm
+CONFIG_SYSV_FS=3Dm
+CONFIG_UFS_FS=3Dm
+# CONFIG_UFS_FS_WRITE is not set
+# CONFIG_UFS_DEBUG is not set
+CONFIG_EROFS_FS=3Dm
+# CONFIG_EROFS_FS_DEBUG is not set
+CONFIG_EROFS_FS_XATTR=3Dy
+CONFIG_EROFS_FS_POSIX_ACL=3Dy
+CONFIG_EROFS_FS_SECURITY=3Dy
+# CONFIG_EROFS_FS_ZIP is not set
+CONFIG_NETWORK_FILESYSTEMS=3Dy
+CONFIG_NFS_FS=3Dm
+CONFIG_NFS_V2=3Dm
+CONFIG_NFS_V3=3Dm
+CONFIG_NFS_V3_ACL=3Dy
+CONFIG_NFS_V4=3Dm
+CONFIG_NFS_SWAP=3Dy
+CONFIG_NFS_V4_1=3Dy
+CONFIG_NFS_V4_2=3Dy
+CONFIG_PNFS_FILE_LAYOUT=3Dm
+CONFIG_PNFS_BLOCK=3Dm
+CONFIG_PNFS_FLEXFILE_LAYOUT=3Dm
+CONFIG_NFS_V4_1_IMPLEMENTATION_ID_DOMAIN=3D"kernel.org"
+CONFIG_NFS_V4_1_MIGRATION=3Dy
+CONFIG_NFS_V4_SECURITY_LABEL=3Dy
+CONFIG_NFS_FSCACHE=3Dy
+# CONFIG_NFS_USE_LEGACY_DNS is not set
+CONFIG_NFS_USE_KERNEL_DNS=3Dy
+CONFIG_NFS_DEBUG=3Dy
+CONFIG_NFSD=3Dm
+CONFIG_NFSD_V2_ACL=3Dy
+CONFIG_NFSD_V3=3Dy
+CONFIG_NFSD_V3_ACL=3Dy
+CONFIG_NFSD_V4=3Dy
+# CONFIG_NFSD_BLOCKLAYOUT is not set
+# CONFIG_NFSD_SCSILAYOUT is not set
+# CONFIG_NFSD_FLEXFILELAYOUT is not set
+CONFIG_NFSD_V4_SECURITY_LABEL=3Dy
+CONFIG_GRACE_PERIOD=3Dm
+CONFIG_LOCKD=3Dm
+CONFIG_LOCKD_V4=3Dy
+CONFIG_NFS_ACL_SUPPORT=3Dm
+CONFIG_NFS_COMMON=3Dy
+CONFIG_SUNRPC=3Dm
+CONFIG_SUNRPC_GSS=3Dm
+CONFIG_SUNRPC_BACKCHANNEL=3Dy
+CONFIG_SUNRPC_SWAP=3Dy
+CONFIG_RPCSEC_GSS_KRB5=3Dm
+CONFIG_SUNRPC_DISABLE_INSECURE_ENCTYPES=3Dy
+CONFIG_SUNRPC_DEBUG=3Dy
+CONFIG_SUNRPC_XPRT_RDMA=3Dm
+CONFIG_CEPH_FS=3Dm
+CONFIG_CEPH_FSCACHE=3Dy
+CONFIG_CEPH_FS_POSIX_ACL=3Dy
+CONFIG_CEPH_FS_SECURITY_LABEL=3Dy
+CONFIG_CIFS=3Dm
+# CONFIG_CIFS_STATS2 is not set
+CONFIG_CIFS_ALLOW_INSECURE_LEGACY=3Dy
+CONFIG_CIFS_WEAK_PW_HASH=3Dy
+CONFIG_CIFS_UPCALL=3Dy
+CONFIG_CIFS_XATTR=3Dy
+CONFIG_CIFS_POSIX=3Dy
+CONFIG_CIFS_DEBUG=3Dy
+# CONFIG_CIFS_DEBUG2 is not set
+# CONFIG_CIFS_DEBUG_DUMP_KEYS is not set
+CONFIG_CIFS_DFS_UPCALL=3Dy
+# CONFIG_CIFS_SMB_DIRECT is not set
+CONFIG_CIFS_FSCACHE=3Dy
+CONFIG_CODA_FS=3Dm
+CONFIG_AFS_FS=3Dm
+# CONFIG_AFS_DEBUG is not set
+CONFIG_AFS_FSCACHE=3Dy
+# CONFIG_AFS_DEBUG_CURSOR is not set
+CONFIG_9P_FS=3Dm
+CONFIG_9P_FSCACHE=3Dy
+CONFIG_9P_FS_POSIX_ACL=3Dy
+CONFIG_9P_FS_SECURITY=3Dy
+CONFIG_NLS=3Dy
+CONFIG_NLS_DEFAULT=3D"utf8"
+CONFIG_NLS_CODEPAGE_437=3Dy
+CONFIG_NLS_CODEPAGE_737=3Dm
+CONFIG_NLS_CODEPAGE_775=3Dm
+CONFIG_NLS_CODEPAGE_850=3Dm
+CONFIG_NLS_CODEPAGE_852=3Dm
+CONFIG_NLS_CODEPAGE_855=3Dm
+CONFIG_NLS_CODEPAGE_857=3Dm
+CONFIG_NLS_CODEPAGE_860=3Dm
+CONFIG_NLS_CODEPAGE_861=3Dm
+CONFIG_NLS_CODEPAGE_862=3Dm
+CONFIG_NLS_CODEPAGE_863=3Dm
+CONFIG_NLS_CODEPAGE_864=3Dm
+CONFIG_NLS_CODEPAGE_865=3Dm
+CONFIG_NLS_CODEPAGE_866=3Dm
+CONFIG_NLS_CODEPAGE_869=3Dm
+CONFIG_NLS_CODEPAGE_936=3Dm
+CONFIG_NLS_CODEPAGE_950=3Dm
+CONFIG_NLS_CODEPAGE_932=3Dm
+CONFIG_NLS_CODEPAGE_949=3Dm
+CONFIG_NLS_CODEPAGE_874=3Dm
+CONFIG_NLS_ISO8859_8=3Dm
+CONFIG_NLS_CODEPAGE_1250=3Dm
+CONFIG_NLS_CODEPAGE_1251=3Dm
+CONFIG_NLS_ASCII=3Dm
+CONFIG_NLS_ISO8859_1=3Dm
+CONFIG_NLS_ISO8859_2=3Dm
+CONFIG_NLS_ISO8859_3=3Dm
+CONFIG_NLS_ISO8859_4=3Dm
+CONFIG_NLS_ISO8859_5=3Dm
+CONFIG_NLS_ISO8859_6=3Dm
+CONFIG_NLS_ISO8859_7=3Dm
+CONFIG_NLS_ISO8859_9=3Dm
+CONFIG_NLS_ISO8859_13=3Dm
+CONFIG_NLS_ISO8859_14=3Dm
+CONFIG_NLS_ISO8859_15=3Dm
+CONFIG_NLS_KOI8_R=3Dm
+CONFIG_NLS_KOI8_U=3Dm
+CONFIG_NLS_MAC_ROMAN=3Dm
+CONFIG_NLS_MAC_CELTIC=3Dm
+CONFIG_NLS_MAC_CENTEURO=3Dm
+CONFIG_NLS_MAC_CROATIAN=3Dm
+CONFIG_NLS_MAC_CYRILLIC=3Dm
+CONFIG_NLS_MAC_GAELIC=3Dm
+CONFIG_NLS_MAC_GREEK=3Dm
+CONFIG_NLS_MAC_ICELAND=3Dm
+CONFIG_NLS_MAC_INUIT=3Dm
+CONFIG_NLS_MAC_ROMANIAN=3Dm
+CONFIG_NLS_MAC_TURKISH=3Dm
+CONFIG_NLS_UTF8=3Dm
+CONFIG_DLM=3Dm
+# CONFIG_DLM_DEBUG is not set
+# CONFIG_UNICODE is not set
+# end of File systems
+
+#
+# Security options
+#
+CONFIG_KEYS=3Dy
+CONFIG_KEYS_REQUEST_CACHE=3Dy
+CONFIG_PERSISTENT_KEYRINGS=3Dy
+CONFIG_BIG_KEYS=3Dy
+CONFIG_TRUSTED_KEYS=3Dy
+CONFIG_ENCRYPTED_KEYS=3Dy
+CONFIG_KEY_DH_OPERATIONS=3Dy
+# CONFIG_SECURITY_DMESG_RESTRICT is not set
+CONFIG_SECURITY=3Dy
+CONFIG_SECURITY_WRITABLE_HOOKS=3Dy
+CONFIG_SECURITYFS=3Dy
+CONFIG_SECURITY_NETWORK=3Dy
+CONFIG_PAGE_TABLE_ISOLATION=3Dy
+# CONFIG_SECURITY_INFINIBAND is not set
+CONFIG_SECURITY_NETWORK_XFRM=3Dy
+CONFIG_SECURITY_PATH=3Dy
+CONFIG_INTEL_TXT=3Dy
+CONFIG_LSM_MMAP_MIN_ADDR=3D0
+CONFIG_HAVE_HARDENED_USERCOPY_ALLOCATOR=3Dy
+CONFIG_HARDENED_USERCOPY=3Dy
+CONFIG_HARDENED_USERCOPY_FALLBACK=3Dy
+# CONFIG_HARDENED_USERCOPY_PAGESPAN is not set
+CONFIG_FORTIFY_SOURCE=3Dy
+# CONFIG_STATIC_USERMODEHELPER is not set
+CONFIG_SECURITY_SELINUX=3Dy
+CONFIG_SECURITY_SELINUX_BOOTPARAM=3Dy
+CONFIG_SECURITY_SELINUX_DISABLE=3Dy
+CONFIG_SECURITY_SELINUX_DEVELOP=3Dy
+CONFIG_SECURITY_SELINUX_AVC_STATS=3Dy
+CONFIG_SECURITY_SELINUX_CHECKREQPROT_VALUE=3D1
+CONFIG_SECURITY_SMACK=3Dy
+# CONFIG_SECURITY_SMACK_BRINGUP is not set
+CONFIG_SECURITY_SMACK_NETFILTER=3Dy
+# CONFIG_SECURITY_SMACK_APPEND_SIGNALS is not set
+CONFIG_SECURITY_TOMOYO=3Dy
+CONFIG_SECURITY_TOMOYO_MAX_ACCEPT_ENTRY=3D2048
+CONFIG_SECURITY_TOMOYO_MAX_AUDIT_LOG=3D1024
+# CONFIG_SECURITY_TOMOYO_OMIT_USERSPACE_LOADER is not set
+CONFIG_SECURITY_TOMOYO_POLICY_LOADER=3D"/sbin/tomoyo-init"
+CONFIG_SECURITY_TOMOYO_ACTIVATION_TRIGGER=3D"/sbin/init"
+# CONFIG_SECURITY_TOMOYO_INSECURE_BUILTIN_SETTING is not set
+CONFIG_SECURITY_APPARMOR=3Dy
+CONFIG_SECURITY_APPARMOR_HASH=3Dy
+CONFIG_SECURITY_APPARMOR_HASH_DEFAULT=3Dy
+# CONFIG_SECURITY_APPARMOR_DEBUG is not set
+# CONFIG_SECURITY_LOADPIN is not set
+CONFIG_SECURITY_YAMA=3Dy
+# CONFIG_SECURITY_SAFESETID is not set
+# CONFIG_SECURITY_LOCKDOWN_LSM is not set
+CONFIG_INTEGRITY=3Dy
+CONFIG_INTEGRITY_SIGNATURE=3Dy
+CONFIG_INTEGRITY_ASYMMETRIC_KEYS=3Dy
+CONFIG_INTEGRITY_TRUSTED_KEYRING=3Dy
+CONFIG_INTEGRITY_AUDIT=3Dy
+CONFIG_IMA=3Dy
+CONFIG_IMA_MEASURE_PCR_IDX=3D10
+CONFIG_IMA_LSM_RULES=3Dy
+# CONFIG_IMA_TEMPLATE is not set
+CONFIG_IMA_NG_TEMPLATE=3Dy
+# CONFIG_IMA_SIG_TEMPLATE is not set
+CONFIG_IMA_DEFAULT_TEMPLATE=3D"ima-ng"
+CONFIG_IMA_DEFAULT_HASH_SHA1=3Dy
+# CONFIG_IMA_DEFAULT_HASH_SHA256 is not set
+CONFIG_IMA_DEFAULT_HASH=3D"sha1"
+# CONFIG_IMA_WRITE_POLICY is not set
+# CONFIG_IMA_READ_POLICY is not set
+CONFIG_IMA_APPRAISE=3Dy
+# CONFIG_IMA_ARCH_POLICY is not set
+# CONFIG_IMA_APPRAISE_BUILD_POLICY is not set
+CONFIG_IMA_APPRAISE_BOOTPARAM=3Dy
+# CONFIG_IMA_APPRAISE_MODSIG is not set
+CONFIG_IMA_TRUSTED_KEYRING=3Dy
+CONFIG_IMA_BLACKLIST_KEYRING=3Dy
+# CONFIG_IMA_LOAD_X509 is not set
+CONFIG_EVM=3Dy
+CONFIG_EVM_ATTR_FSUUID=3Dy
+CONFIG_EVM_EXTRA_SMACK_XATTRS=3Dy
+# CONFIG_EVM_ADD_XATTRS is not set
+# CONFIG_EVM_LOAD_X509 is not set
+# CONFIG_DEFAULT_SECURITY_SELINUX is not set
+# CONFIG_DEFAULT_SECURITY_SMACK is not set
+# CONFIG_DEFAULT_SECURITY_TOMOYO is not set
+CONFIG_DEFAULT_SECURITY_APPARMOR=3Dy
+# CONFIG_DEFAULT_SECURITY_DAC is not set
+CONFIG_LSM=3D"yama,loadpin,safesetid,integrity,apparmor,selinux,smack,tomo=
yo"
+
+#
+# Kernel hardening options
+#
+CONFIG_GCC_PLUGIN_STRUCTLEAK=3Dy
+
+#
+# Memory initialization
+#
+# CONFIG_INIT_STACK_NONE is not set
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_USER is not set
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_BYREF is not set
+CONFIG_GCC_PLUGIN_STRUCTLEAK_BYREF_ALL=3Dy
+# CONFIG_GCC_PLUGIN_STRUCTLEAK_VERBOSE is not set
+CONFIG_GCC_PLUGIN_STACKLEAK=3Dy
+CONFIG_STACKLEAK_TRACK_MIN_SIZE=3D100
+# CONFIG_STACKLEAK_METRICS is not set
+CONFIG_STACKLEAK_RUNTIME_DISABLE=3Dy
+CONFIG_INIT_ON_ALLOC_DEFAULT_ON=3Dy
+# CONFIG_INIT_ON_FREE_DEFAULT_ON is not set
+# end of Memory initialization
+# end of Kernel hardening options
+# end of Security options
+
+CONFIG_XOR_BLOCKS=3Dm
+CONFIG_ASYNC_CORE=3Dm
+CONFIG_ASYNC_MEMCPY=3Dm
+CONFIG_ASYNC_XOR=3Dm
+CONFIG_ASYNC_PQ=3Dm
+CONFIG_ASYNC_RAID6_RECOV=3Dm
+CONFIG_CRYPTO=3Dy
+
+#
+# Crypto core or helper
+#
+CONFIG_CRYPTO_ALGAPI=3Dy
+CONFIG_CRYPTO_ALGAPI2=3Dy
+CONFIG_CRYPTO_AEAD=3Dy
+CONFIG_CRYPTO_AEAD2=3Dy
+CONFIG_CRYPTO_BLKCIPHER=3Dy
+CONFIG_CRYPTO_BLKCIPHER2=3Dy
+CONFIG_CRYPTO_HASH=3Dy
+CONFIG_CRYPTO_HASH2=3Dy
+CONFIG_CRYPTO_RNG=3Dy
+CONFIG_CRYPTO_RNG2=3Dy
+CONFIG_CRYPTO_RNG_DEFAULT=3Dy
+CONFIG_CRYPTO_AKCIPHER2=3Dy
+CONFIG_CRYPTO_AKCIPHER=3Dy
+CONFIG_CRYPTO_KPP2=3Dy
+CONFIG_CRYPTO_KPP=3Dy
+CONFIG_CRYPTO_ACOMP2=3Dy
+CONFIG_CRYPTO_MANAGER=3Dy
+CONFIG_CRYPTO_MANAGER2=3Dy
+CONFIG_CRYPTO_USER=3Dm
+CONFIG_CRYPTO_MANAGER_DISABLE_TESTS=3Dy
+CONFIG_CRYPTO_GF128MUL=3Dy
+CONFIG_CRYPTO_NULL=3Dy
+CONFIG_CRYPTO_NULL2=3Dy
+CONFIG_CRYPTO_PCRYPT=3Dm
+CONFIG_CRYPTO_CRYPTD=3Dm
+CONFIG_CRYPTO_AUTHENC=3Dm
+CONFIG_CRYPTO_TEST=3Dm
+CONFIG_CRYPTO_SIMD=3Dm
+CONFIG_CRYPTO_GLUE_HELPER_X86=3Dm
+CONFIG_CRYPTO_ENGINE=3Dm
+
+#
+# Public-key cryptography
+#
+CONFIG_CRYPTO_RSA=3Dy
+CONFIG_CRYPTO_DH=3Dy
+CONFIG_CRYPTO_ECC=3Dm
+CONFIG_CRYPTO_ECDH=3Dm
+CONFIG_CRYPTO_ECRDSA=3Dm
+
+#
+# Authenticated Encryption with Associated Data
+#
+CONFIG_CRYPTO_CCM=3Dm
+CONFIG_CRYPTO_GCM=3Dy
+CONFIG_CRYPTO_CHACHA20POLY1305=3Dm
+CONFIG_CRYPTO_AEGIS128=3Dm
+CONFIG_CRYPTO_SEQIV=3Dy
+CONFIG_CRYPTO_ECHAINIV=3Dm
+
+#
+# Block modes
+#
+CONFIG_CRYPTO_CBC=3Dy
+CONFIG_CRYPTO_CFB=3Dm
+CONFIG_CRYPTO_CTR=3Dy
+CONFIG_CRYPTO_CTS=3Dm
+CONFIG_CRYPTO_ECB=3Dy
+CONFIG_CRYPTO_LRW=3Dm
+CONFIG_CRYPTO_OFB=3Dm
+CONFIG_CRYPTO_PCBC=3Dm
+CONFIG_CRYPTO_XTS=3Dm
+CONFIG_CRYPTO_KEYWRAP=3Dm
+CONFIG_CRYPTO_NHPOLY1305=3Dm
+CONFIG_CRYPTO_ADIANTUM=3Dm
+CONFIG_CRYPTO_ESSIV=3Dm
+
+#
+# Hash modes
+#
+CONFIG_CRYPTO_CMAC=3Dm
+CONFIG_CRYPTO_HMAC=3Dy
+CONFIG_CRYPTO_XCBC=3Dm
+CONFIG_CRYPTO_VMAC=3Dm
+
+#
+# Digest
+#
+CONFIG_CRYPTO_CRC32C=3Dy
+CONFIG_CRYPTO_CRC32C_INTEL=3Dy
+CONFIG_CRYPTO_CRC32=3Dm
+CONFIG_CRYPTO_CRC32_PCLMUL=3Dm
+CONFIG_CRYPTO_XXHASH=3Dm
+CONFIG_CRYPTO_CRCT10DIF=3Dy
+CONFIG_CRYPTO_GHASH=3Dy
+CONFIG_CRYPTO_POLY1305=3Dm
+CONFIG_CRYPTO_MD4=3Dm
+CONFIG_CRYPTO_MD5=3Dy
+CONFIG_CRYPTO_MICHAEL_MIC=3Dm
+CONFIG_CRYPTO_RMD128=3Dm
+CONFIG_CRYPTO_RMD160=3Dm
+CONFIG_CRYPTO_RMD256=3Dm
+CONFIG_CRYPTO_RMD320=3Dm
+CONFIG_CRYPTO_SHA1=3Dy
+CONFIG_CRYPTO_LIB_SHA256=3Dy
+CONFIG_CRYPTO_SHA256=3Dy
+CONFIG_CRYPTO_SHA512=3Dm
+CONFIG_CRYPTO_SHA3=3Dm
+CONFIG_CRYPTO_SM3=3Dm
+CONFIG_CRYPTO_STREEBOG=3Dm
+CONFIG_CRYPTO_TGR192=3Dm
+CONFIG_CRYPTO_WP512=3Dm
+
+#
+# Ciphers
+#
+CONFIG_CRYPTO_LIB_AES=3Dy
+CONFIG_CRYPTO_AES=3Dy
+CONFIG_CRYPTO_AES_TI=3Dm
+CONFIG_CRYPTO_AES_NI_INTEL=3Dm
+CONFIG_CRYPTO_ANUBIS=3Dm
+CONFIG_CRYPTO_LIB_ARC4=3Dm
+CONFIG_CRYPTO_ARC4=3Dm
+CONFIG_CRYPTO_BLOWFISH=3Dm
+CONFIG_CRYPTO_BLOWFISH_COMMON=3Dm
+CONFIG_CRYPTO_CAMELLIA=3Dm
+CONFIG_CRYPTO_CAST_COMMON=3Dm
+CONFIG_CRYPTO_CAST5=3Dm
+CONFIG_CRYPTO_CAST6=3Dm
+CONFIG_CRYPTO_LIB_DES=3Dm
+CONFIG_CRYPTO_DES=3Dm
+CONFIG_CRYPTO_FCRYPT=3Dm
+CONFIG_CRYPTO_KHAZAD=3Dm
+CONFIG_CRYPTO_SALSA20=3Dm
+CONFIG_CRYPTO_CHACHA20=3Dm
+CONFIG_CRYPTO_SEED=3Dm
+CONFIG_CRYPTO_SERPENT=3Dm
+CONFIG_CRYPTO_SERPENT_SSE2_586=3Dm
+CONFIG_CRYPTO_SM4=3Dm
+CONFIG_CRYPTO_TEA=3Dm
+CONFIG_CRYPTO_TWOFISH=3Dm
+CONFIG_CRYPTO_TWOFISH_COMMON=3Dm
+CONFIG_CRYPTO_TWOFISH_586=3Dm
+
+#
+# Compression
+#
+CONFIG_CRYPTO_DEFLATE=3Dm
+CONFIG_CRYPTO_LZO=3Dy
+CONFIG_CRYPTO_842=3Dm
+CONFIG_CRYPTO_LZ4=3Dm
+CONFIG_CRYPTO_LZ4HC=3Dm
+CONFIG_CRYPTO_ZSTD=3Dm
+
+#
+# Random Number Generation
+#
+CONFIG_CRYPTO_ANSI_CPRNG=3Dm
+CONFIG_CRYPTO_DRBG_MENU=3Dy
+CONFIG_CRYPTO_DRBG_HMAC=3Dy
+CONFIG_CRYPTO_DRBG_HASH=3Dy
+CONFIG_CRYPTO_DRBG_CTR=3Dy
+CONFIG_CRYPTO_DRBG=3Dy
+CONFIG_CRYPTO_JITTERENTROPY=3Dy
+CONFIG_CRYPTO_USER_API=3Dm
+CONFIG_CRYPTO_USER_API_HASH=3Dm
+CONFIG_CRYPTO_USER_API_SKCIPHER=3Dm
+CONFIG_CRYPTO_USER_API_RNG=3Dm
+CONFIG_CRYPTO_USER_API_AEAD=3Dm
+# CONFIG_CRYPTO_STATS is not set
+CONFIG_CRYPTO_HASH_INFO=3Dy
+CONFIG_CRYPTO_HW=3Dy
+CONFIG_CRYPTO_DEV_PADLOCK=3Dy
+CONFIG_CRYPTO_DEV_PADLOCK_AES=3Dm
+CONFIG_CRYPTO_DEV_PADLOCK_SHA=3Dm
+CONFIG_CRYPTO_DEV_GEODE=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_I2C=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_ECC=3Dm
+CONFIG_CRYPTO_DEV_ATMEL_SHA204A=3Dm
+CONFIG_CRYPTO_DEV_CCP=3Dy
+CONFIG_CRYPTO_DEV_CCP_DD=3Dm
+CONFIG_CRYPTO_DEV_SP_CCP=3Dy
+CONFIG_CRYPTO_DEV_CCP_CRYPTO=3Dm
+# CONFIG_CRYPTO_DEV_CCP_DEBUGFS is not set
+CONFIG_CRYPTO_DEV_QAT=3Dm
+CONFIG_CRYPTO_DEV_QAT_DH895xCC=3Dm
+CONFIG_CRYPTO_DEV_QAT_C3XXX=3Dm
+CONFIG_CRYPTO_DEV_QAT_C62X=3Dm
+CONFIG_CRYPTO_DEV_QAT_DH895xCCVF=3Dm
+CONFIG_CRYPTO_DEV_QAT_C3XXXVF=3Dm
+CONFIG_CRYPTO_DEV_QAT_C62XVF=3Dm
+CONFIG_CRYPTO_DEV_CHELSIO=3Dm
+# CONFIG_CHELSIO_IPSEC_INLINE is not set
+# CONFIG_CRYPTO_DEV_CHELSIO_TLS is not set
+CONFIG_CRYPTO_DEV_VIRTIO=3Dm
+CONFIG_CRYPTO_DEV_SAFEXCEL=3Dm
+CONFIG_ASYMMETRIC_KEY_TYPE=3Dy
+CONFIG_ASYMMETRIC_PUBLIC_KEY_SUBTYPE=3Dy
+CONFIG_ASYMMETRIC_TPM_KEY_SUBTYPE=3Dm
+CONFIG_X509_CERTIFICATE_PARSER=3Dy
+CONFIG_PKCS8_PRIVATE_KEY_PARSER=3Dm
+CONFIG_TPM_KEY_PARSER=3Dm
+CONFIG_PKCS7_MESSAGE_PARSER=3Dy
+# CONFIG_PKCS7_TEST_KEY is not set
+# CONFIG_SIGNED_PE_FILE_VERIFICATION is not set
+
+#
+# Certificates for signature checking
+#
+CONFIG_SYSTEM_TRUSTED_KEYRING=3Dy
+CONFIG_SYSTEM_TRUSTED_KEYS=3D""
+# CONFIG_SYSTEM_EXTRA_CERTIFICATE is not set
+# CONFIG_SECONDARY_TRUSTED_KEYRING is not set
+# CONFIG_SYSTEM_BLACKLIST_KEYRING is not set
+# end of Certificates for signature checking
+
+CONFIG_BINARY_PRINTF=3Dy
+
+#
+# Library routines
+#
+CONFIG_RAID6_PQ=3Dm
+CONFIG_RAID6_PQ_BENCHMARK=3Dy
+CONFIG_PACKING=3Dy
+CONFIG_BITREVERSE=3Dy
+CONFIG_GENERIC_STRNCPY_FROM_USER=3Dy
+CONFIG_GENERIC_STRNLEN_USER=3Dy
+CONFIG_GENERIC_NET_UTILS=3Dy
+CONFIG_GENERIC_FIND_FIRST_BIT=3Dy
+CONFIG_CORDIC=3Dm
+CONFIG_RATIONAL=3Dy
+CONFIG_GENERIC_PCI_IOMAP=3Dy
+CONFIG_GENERIC_IOMAP=3Dy
+CONFIG_ARCH_HAS_FAST_MULTIPLIER=3Dy
+CONFIG_CRC_CCITT=3Dy
+CONFIG_CRC16=3Dy
+CONFIG_CRC_T10DIF=3Dy
+CONFIG_CRC_ITU_T=3Dm
+CONFIG_CRC32=3Dy
+# CONFIG_CRC32_SELFTEST is not set
+CONFIG_CRC32_SLICEBY8=3Dy
+# CONFIG_CRC32_SLICEBY4 is not set
+# CONFIG_CRC32_SARWATE is not set
+# CONFIG_CRC32_BIT is not set
+CONFIG_CRC64=3Dm
+# CONFIG_CRC4 is not set
+CONFIG_CRC7=3Dm
+CONFIG_LIBCRC32C=3Dm
+CONFIG_CRC8=3Dm
+CONFIG_XXHASH=3Dy
+CONFIG_AUDIT_GENERIC=3Dy
+# CONFIG_RANDOM32_SELFTEST is not set
+CONFIG_842_COMPRESS=3Dm
+CONFIG_842_DECOMPRESS=3Dm
+CONFIG_ZLIB_INFLATE=3Dy
+CONFIG_ZLIB_DEFLATE=3Dy
+CONFIG_LZO_COMPRESS=3Dy
+CONFIG_LZO_DECOMPRESS=3Dy
+CONFIG_LZ4_COMPRESS=3Dm
+CONFIG_LZ4HC_COMPRESS=3Dm
+CONFIG_LZ4_DECOMPRESS=3Dy
+CONFIG_ZSTD_COMPRESS=3Dm
+CONFIG_ZSTD_DECOMPRESS=3Dm
+CONFIG_XZ_DEC=3Dy
+CONFIG_XZ_DEC_X86=3Dy
+CONFIG_XZ_DEC_POWERPC=3Dy
+CONFIG_XZ_DEC_IA64=3Dy
+CONFIG_XZ_DEC_ARM=3Dy
+CONFIG_XZ_DEC_ARMTHUMB=3Dy
+CONFIG_XZ_DEC_SPARC=3Dy
+CONFIG_XZ_DEC_BCJ=3Dy
+CONFIG_XZ_DEC_TEST=3Dm
+CONFIG_DECOMPRESS_GZIP=3Dy
+CONFIG_DECOMPRESS_BZIP2=3Dy
+CONFIG_DECOMPRESS_LZMA=3Dy
+CONFIG_DECOMPRESS_XZ=3Dy
+CONFIG_DECOMPRESS_LZO=3Dy
+CONFIG_DECOMPRESS_LZ4=3Dy
+CONFIG_GENERIC_ALLOCATOR=3Dy
+CONFIG_REED_SOLOMON=3Dm
+CONFIG_REED_SOLOMON_ENC8=3Dy
+CONFIG_REED_SOLOMON_DEC8=3Dy
+CONFIG_REED_SOLOMON_DEC16=3Dy
+CONFIG_BCH=3Dm
+CONFIG_BCH_CONST_PARAMS=3Dy
+CONFIG_TEXTSEARCH=3Dy
+CONFIG_TEXTSEARCH_KMP=3Dm
+CONFIG_TEXTSEARCH_BM=3Dm
+CONFIG_TEXTSEARCH_FSM=3Dm
+CONFIG_BTREE=3Dy
+CONFIG_INTERVAL_TREE=3Dy
+CONFIG_XARRAY_MULTI=3Dy
+CONFIG_ASSOCIATIVE_ARRAY=3Dy
+CONFIG_HAS_IOMEM=3Dy
+CONFIG_HAS_IOPORT_MAP=3Dy
+CONFIG_HAS_DMA=3Dy
+CONFIG_NEED_SG_DMA_LENGTH=3Dy
+CONFIG_NEED_DMA_MAP_STATE=3Dy
+CONFIG_ARCH_DMA_ADDR_T_64BIT=3Dy
+CONFIG_DMA_VIRT_OPS=3Dy
+CONFIG_SWIOTLB=3Dy
+# CONFIG_DMA_CMA is not set
+# CONFIG_DMA_API_DEBUG is not set
+CONFIG_SGL_ALLOC=3Dy
+CONFIG_CHECK_SIGNATURE=3Dy
+CONFIG_CPU_RMAP=3Dy
+CONFIG_DQL=3Dy
+CONFIG_GLOB=3Dy
+# CONFIG_GLOB_SELFTEST is not set
+CONFIG_NLATTR=3Dy
+CONFIG_LRU_CACHE=3Dm
+CONFIG_CLZ_TAB=3Dy
+CONFIG_IRQ_POLL=3Dy
+CONFIG_MPILIB=3Dy
+CONFIG_SIGNATURE=3Dy
+CONFIG_DIMLIB=3Dy
+CONFIG_OID_REGISTRY=3Dy
+CONFIG_UCS2_STRING=3Dy
+CONFIG_HAVE_GENERIC_VDSO=3Dy
+CONFIG_GENERIC_GETTIMEOFDAY=3Dy
+CONFIG_GENERIC_VDSO_32=3Dy
+CONFIG_FONT_SUPPORT=3Dy
+CONFIG_FONTS=3Dy
+CONFIG_FONT_8x8=3Dy
+CONFIG_FONT_8x16=3Dy
+# CONFIG_FONT_6x11 is not set
+# CONFIG_FONT_7x14 is not set
+# CONFIG_FONT_PEARL_8x8 is not set
+# CONFIG_FONT_ACORN_8x8 is not set
+# CONFIG_FONT_MINI_4x6 is not set
+CONFIG_FONT_6x10=3Dy
+# CONFIG_FONT_10x18 is not set
+# CONFIG_FONT_SUN8x16 is not set
+# CONFIG_FONT_SUN12x22 is not set
+CONFIG_FONT_TER16x32=3Dy
+CONFIG_SG_POOL=3Dy
+CONFIG_ARCH_STACKWALK=3Dy
+CONFIG_SBITMAP=3Dy
+CONFIG_PARMAN=3Dm
+CONFIG_OBJAGG=3Dm
+# CONFIG_STRING_SELFTEST is not set
+# end of Library routines
+
+#
+# Kernel hacking
+#
+
+#
+# printk and dmesg options
+#
+CONFIG_PRINTK_TIME=3Dy
+# CONFIG_PRINTK_CALLER is not set
+CONFIG_CONSOLE_LOGLEVEL_DEFAULT=3D7
+CONFIG_CONSOLE_LOGLEVEL_QUIET=3D4
+CONFIG_MESSAGE_LOGLEVEL_DEFAULT=3D4
+CONFIG_BOOT_PRINTK_DELAY=3Dy
+CONFIG_DYNAMIC_DEBUG=3Dy
+# end of printk and dmesg options
+
+#
+# Compile-time checks and compiler options
+#
+# CONFIG_DEBUG_INFO is not set
+# CONFIG_ENABLE_MUST_CHECK is not set
+CONFIG_FRAME_WARN=3D1024
+# CONFIG_STRIP_ASM_SYMS is not set
+# CONFIG_READABLE_ASM is not set
+CONFIG_DEBUG_FS=3Dy
+# CONFIG_HEADERS_INSTALL is not set
+CONFIG_OPTIMIZE_INLINING=3Dy
+# CONFIG_DEBUG_SECTION_MISMATCH is not set
+CONFIG_SECTION_MISMATCH_WARN_ONLY=3Dy
+CONFIG_FRAME_POINTER=3Dy
+# CONFIG_DEBUG_FORCE_WEAK_PER_CPU is not set
+# end of Compile-time checks and compiler options
+
+CONFIG_MAGIC_SYSRQ=3Dy
+CONFIG_MAGIC_SYSRQ_DEFAULT_ENABLE=3D0x1
+CONFIG_MAGIC_SYSRQ_SERIAL=3Dy
+CONFIG_DEBUG_KERNEL=3Dy
+CONFIG_DEBUG_MISC=3Dy
+
+#
+# Memory Debugging
+#
+CONFIG_PAGE_EXTENSION=3Dy
+# CONFIG_DEBUG_PAGEALLOC is not set
+# CONFIG_PAGE_OWNER is not set
+# CONFIG_PAGE_POISONING is not set
+# CONFIG_DEBUG_PAGE_REF is not set
+# CONFIG_DEBUG_RODATA_TEST is not set
+# CONFIG_DEBUG_OBJECTS is not set
+# CONFIG_SLUB_DEBUG_ON is not set
+# CONFIG_SLUB_STATS is not set
+CONFIG_HAVE_DEBUG_KMEMLEAK=3Dy
+# CONFIG_DEBUG_KMEMLEAK is not set
+# CONFIG_DEBUG_STACK_USAGE is not set
+# CONFIG_DEBUG_VM is not set
+CONFIG_ARCH_HAS_DEBUG_VIRTUAL=3Dy
+# CONFIG_DEBUG_VIRTUAL is not set
+# CONFIG_DEBUG_MEMORY_INIT is not set
+CONFIG_MEMORY_NOTIFIER_ERROR_INJECT=3Dm
+# CONFIG_DEBUG_PER_CPU_MAPS is not set
+# CONFIG_DEBUG_HIGHMEM is not set
+CONFIG_HAVE_DEBUG_STACKOVERFLOW=3Dy
+# CONFIG_DEBUG_STACKOVERFLOW is not set
+CONFIG_CC_HAS_KASAN_GENERIC=3Dy
+CONFIG_KASAN_STACK=3D1
+# end of Memory Debugging
+
+CONFIG_CC_HAS_SANCOV_TRACE_PC=3Dy
+# CONFIG_DEBUG_SHIRQ is not set
+
+#
+# Debug Lockups and Hangs
+#
+CONFIG_LOCKUP_DETECTOR=3Dy
+CONFIG_SOFTLOCKUP_DETECTOR=3Dy
+# CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC is not set
+CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC_VALUE=3D0
+CONFIG_HARDLOCKUP_DETECTOR_PERF=3Dy
+CONFIG_HARDLOCKUP_DETECTOR=3Dy
+# CONFIG_BOOTPARAM_HARDLOCKUP_PANIC is not set
+CONFIG_BOOTPARAM_HARDLOCKUP_PANIC_VALUE=3D0
+CONFIG_DETECT_HUNG_TASK=3Dy
+CONFIG_DEFAULT_HUNG_TASK_TIMEOUT=3D120
+# CONFIG_BOOTPARAM_HUNG_TASK_PANIC is not set
+CONFIG_BOOTPARAM_HUNG_TASK_PANIC_VALUE=3D0
+# CONFIG_WQ_WATCHDOG is not set
+# end of Debug Lockups and Hangs
+
+# CONFIG_PANIC_ON_OOPS is not set
+CONFIG_PANIC_ON_OOPS_VALUE=3D0
+CONFIG_PANIC_TIMEOUT=3D0
+CONFIG_SCHED_DEBUG=3Dy
+CONFIG_SCHED_INFO=3Dy
+CONFIG_SCHEDSTATS=3Dy
+CONFIG_SCHED_STACK_END_CHECK=3Dy
+# CONFIG_DEBUG_TIMEKEEPING is not set
+
+#
+# Lock Debugging (spinlocks, mutexes, etc...)
+#
+CONFIG_LOCK_DEBUGGING_SUPPORT=3Dy
+# CONFIG_PROVE_LOCKING is not set
+# CONFIG_LOCK_STAT is not set
+# CONFIG_DEBUG_RT_MUTEXES is not set
+# CONFIG_DEBUG_SPINLOCK is not set
+# CONFIG_DEBUG_MUTEXES is not set
+# CONFIG_DEBUG_WW_MUTEX_SLOWPATH is not set
+# CONFIG_DEBUG_RWSEMS is not set
+# CONFIG_DEBUG_LOCK_ALLOC is not set
+# CONFIG_DEBUG_ATOMIC_SLEEP is not set
+# CONFIG_DEBUG_LOCKING_API_SELFTESTS is not set
+CONFIG_LOCK_TORTURE_TEST=3Dm
+CONFIG_WW_MUTEX_SELFTEST=3Dm
+# end of Lock Debugging (spinlocks, mutexes, etc...)
+
+CONFIG_STACKTRACE=3Dy
+# CONFIG_WARN_ALL_UNSEEDED_RANDOM is not set
+# CONFIG_DEBUG_KOBJECT is not set
+CONFIG_DEBUG_BUGVERBOSE=3Dy
+# CONFIG_DEBUG_LIST is not set
+# CONFIG_DEBUG_PLIST is not set
+# CONFIG_DEBUG_SG is not set
+# CONFIG_DEBUG_NOTIFIERS is not set
+# CONFIG_DEBUG_CREDENTIALS is not set
+
+#
+# RCU Debugging
+#
+CONFIG_TORTURE_TEST=3Dm
+# CONFIG_RCU_PERF_TEST is not set
+# CONFIG_RCU_TORTURE_TEST is not set
+CONFIG_RCU_CPU_STALL_TIMEOUT=3D60
+# CONFIG_RCU_TRACE is not set
+# CONFIG_RCU_EQS_DEBUG is not set
+# end of RCU Debugging
+
+# CONFIG_DEBUG_WQ_FORCE_RR_CPU is not set
+# CONFIG_DEBUG_BLOCK_EXT_DEVT is not set
+# CONFIG_CPU_HOTPLUG_STATE_CONTROL is not set
+CONFIG_NOTIFIER_ERROR_INJECTION=3Dm
+CONFIG_PM_NOTIFIER_ERROR_INJECT=3Dm
+CONFIG_NETDEV_NOTIFIER_ERROR_INJECT=3Dm
+CONFIG_FUNCTION_ERROR_INJECTION=3Dy
+# CONFIG_FAULT_INJECTION is not set
+# CONFIG_LATENCYTOP is not set
+CONFIG_USER_STACKTRACE_SUPPORT=3Dy
+CONFIG_NOP_TRACER=3Dy
+CONFIG_HAVE_FUNCTION_TRACER=3Dy
+CONFIG_HAVE_FUNCTION_GRAPH_TRACER=3Dy
+CONFIG_HAVE_DYNAMIC_FTRACE=3Dy
+CONFIG_HAVE_DYNAMIC_FTRACE_WITH_REGS=3Dy
+CONFIG_HAVE_FTRACE_MCOUNT_RECORD=3Dy
+CONFIG_HAVE_SYSCALL_TRACEPOINTS=3Dy
+CONFIG_HAVE_FENTRY=3Dy
+CONFIG_HAVE_C_RECORDMCOUNT=3Dy
+CONFIG_TRACER_MAX_TRACE=3Dy
+CONFIG_TRACE_CLOCK=3Dy
+CONFIG_RING_BUFFER=3Dy
+CONFIG_EVENT_TRACING=3Dy
+CONFIG_CONTEXT_SWITCH_TRACER=3Dy
+CONFIG_RING_BUFFER_ALLOW_SWAP=3Dy
+CONFIG_TRACING=3Dy
+CONFIG_GENERIC_TRACER=3Dy
+CONFIG_TRACING_SUPPORT=3Dy
+CONFIG_FTRACE=3Dy
+CONFIG_FUNCTION_TRACER=3Dy
+CONFIG_FUNCTION_GRAPH_TRACER=3Dy
+# CONFIG_PREEMPTIRQ_EVENTS is not set
+# CONFIG_IRQSOFF_TRACER is not set
+CONFIG_SCHED_TRACER=3Dy
+# CONFIG_HWLAT_TRACER is not set
+CONFIG_FTRACE_SYSCALLS=3Dy
+CONFIG_TRACER_SNAPSHOT=3Dy
+# CONFIG_TRACER_SNAPSHOT_PER_CPU_SWAP is not set
+CONFIG_BRANCH_PROFILE_NONE=3Dy
+# CONFIG_PROFILE_ANNOTATED_BRANCHES is not set
+CONFIG_STACK_TRACER=3Dy
+CONFIG_BLK_DEV_IO_TRACE=3Dy
+CONFIG_KPROBE_EVENTS=3Dy
+# CONFIG_KPROBE_EVENTS_ON_NOTRACE is not set
+# CONFIG_UPROBE_EVENTS is not set
+CONFIG_BPF_EVENTS=3Dy
+CONFIG_DYNAMIC_EVENTS=3Dy
+CONFIG_PROBE_EVENTS=3Dy
+CONFIG_DYNAMIC_FTRACE=3Dy
+CONFIG_DYNAMIC_FTRACE_WITH_REGS=3Dy
+CONFIG_FUNCTION_PROFILER=3Dy
+# CONFIG_BPF_KPROBE_OVERRIDE is not set
+CONFIG_FTRACE_MCOUNT_RECORD=3Dy
+# CONFIG_FTRACE_STARTUP_TEST is not set
+CONFIG_MMIOTRACE=3Dy
+# CONFIG_HIST_TRIGGERS is not set
+# CONFIG_MMIOTRACE_TEST is not set
+# CONFIG_TRACEPOINT_BENCHMARK is not set
+# CONFIG_RING_BUFFER_BENCHMARK is not set
+# CONFIG_RING_BUFFER_STARTUP_TEST is not set
+# CONFIG_PREEMPTIRQ_DELAY_TEST is not set
+# CONFIG_TRACE_EVAL_MAP_FILE is not set
+# CONFIG_PROVIDE_OHCI1394_DMA_INIT is not set
+CONFIG_RUNTIME_TESTING_MENU=3Dy
+# CONFIG_LKDTM is not set
+# CONFIG_TEST_LIST_SORT is not set
+# CONFIG_TEST_SORT is not set
+# CONFIG_KPROBES_SANITY_TEST is not set
+# CONFIG_BACKTRACE_SELF_TEST is not set
+# CONFIG_RBTREE_TEST is not set
+# CONFIG_REED_SOLOMON_TEST is not set
+CONFIG_INTERVAL_TREE_TEST=3Dm
+CONFIG_PERCPU_TEST=3Dm
+# CONFIG_ATOMIC64_SELFTEST is not set
+CONFIG_ASYNC_RAID6_TEST=3Dm
+CONFIG_TEST_HEXDUMP=3Dm
+CONFIG_TEST_STRING_HELPERS=3Dm
+CONFIG_TEST_STRSCPY=3Dm
+CONFIG_TEST_KSTRTOX=3Dm
+CONFIG_TEST_PRINTF=3Dm
+CONFIG_TEST_BITMAP=3Dm
+CONFIG_TEST_BITFIELD=3Dm
+CONFIG_TEST_UUID=3Dm
+CONFIG_TEST_XARRAY=3Dm
+CONFIG_TEST_OVERFLOW=3Dm
+CONFIG_TEST_RHASHTABLE=3Dm
+CONFIG_TEST_HASH=3Dm
+CONFIG_TEST_IDA=3Dm
+CONFIG_TEST_PARMAN=3Dm
+CONFIG_TEST_LKM=3Dm
+CONFIG_TEST_VMALLOC=3Dm
+CONFIG_TEST_USER_COPY=3Dm
+CONFIG_TEST_BPF=3Dm
+CONFIG_TEST_BLACKHOLE_DEV=3Dm
+CONFIG_FIND_BIT_BENCHMARK=3Dm
+CONFIG_TEST_FIRMWARE=3Dm
+# CONFIG_TEST_SYSCTL is not set
+CONFIG_TEST_UDELAY=3Dm
+CONFIG_TEST_STATIC_KEYS=3Dm
+# CONFIG_TEST_KMOD is not set
+# CONFIG_TEST_MEMCAT_P is not set
+CONFIG_TEST_OBJAGG=3Dm
+# CONFIG_TEST_STACKINIT is not set
+# CONFIG_TEST_MEMINIT is not set
+CONFIG_MEMTEST=3Dy
+# CONFIG_BUG_ON_DATA_CORRUPTION is not set
+# CONFIG_SAMPLES is not set
+CONFIG_HAVE_ARCH_KGDB=3Dy
+CONFIG_KGDB=3Dy
+CONFIG_KGDB_SERIAL_CONSOLE=3Dy
+# CONFIG_KGDB_TESTS is not set
+CONFIG_KGDB_LOW_LEVEL_TRAP=3Dy
+CONFIG_KGDB_KDB=3Dy
+CONFIG_KDB_DEFAULT_ENABLE=3D0x1
+CONFIG_KDB_KEYBOARD=3Dy
+CONFIG_KDB_CONTINUE_CATASTROPHIC=3D0
+CONFIG_ARCH_HAS_UBSAN_SANITIZE_ALL=3Dy
+# CONFIG_UBSAN is not set
+CONFIG_UBSAN_ALIGNMENT=3Dy
+CONFIG_ARCH_HAS_DEVMEM_IS_ALLOWED=3Dy
+CONFIG_STRICT_DEVMEM=3Dy
+CONFIG_IO_STRICT_DEVMEM=3Dy
+CONFIG_TRACE_IRQFLAGS_SUPPORT=3Dy
+CONFIG_EARLY_PRINTK_USB=3Dy
+# CONFIG_X86_VERBOSE_BOOTUP is not set
+CONFIG_EARLY_PRINTK=3Dy
+CONFIG_EARLY_PRINTK_DBGP=3Dy
+# CONFIG_EARLY_PRINTK_USB_XDBC is not set
+# CONFIG_X86_PTDUMP is not set
+# CONFIG_EFI_PGT_DUMP is not set
+# CONFIG_DEBUG_WX is not set
+CONFIG_DOUBLEFAULT=3Dy
+# CONFIG_DEBUG_TLBFLUSH is not set
+CONFIG_HAVE_MMIOTRACE_SUPPORT=3Dy
+# CONFIG_X86_DECODER_SELFTEST is not set
+# CONFIG_IO_DELAY_0X80 is not set
+CONFIG_IO_DELAY_0XED=3Dy
+# CONFIG_IO_DELAY_UDELAY is not set
+# CONFIG_IO_DELAY_NONE is not set
+# CONFIG_DEBUG_BOOT_PARAMS is not set
+# CONFIG_CPA_DEBUG is not set
+# CONFIG_DEBUG_ENTRY is not set
+# CONFIG_DEBUG_NMI_SELFTEST is not set
+CONFIG_X86_DEBUG_FPU=3Dy
+CONFIG_PUNIT_ATOM_DEBUG=3Dm
+CONFIG_UNWINDER_FRAME_POINTER=3Dy
+# CONFIG_UNWINDER_GUESS is not set
+# end of Kernel hacking
diff --git a/gnu/packages/aux-files/linux-libre/5.6-x86_64.conf b/gnu/packa=
ges/aux-files/linux-libre/5.6-x86_64.conf
new file mode 100644
index 0000000000..30fdc4e86a
=2D-- /dev/null
+++ b/gnu/packages/aux-files/linux-libre/5.6-x86_64.conf
@@ -0,0 +1,10270 @@
+#
+# Automatically generated file; DO NOT EDIT.
+# Linux/x86 5.4.5 Kernel Configuration
+#
+
+#
+# Compiler: gcc (GCC) 7.4.0
+#
+CONFIG_CC_IS_GCC=3Dy
+CONFIG_GCC_VERSION=3D70400
+CONFIG_CLANG_VERSION=3D0
+CONFIG_CC_CAN_LINK=3Dy
+CONFIG_CC_HAS_ASM_GOTO=3Dy
+CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=3Dy
+CONFIG_IRQ_WORK=3Dy
+CONFIG_BUILDTIME_EXTABLE_SORT=3Dy
+CONFIG_THREAD_INFO_IN_TASK=3Dy
+
+#
+# General setup
+#
+CONFIG_INIT_ENV_ARG_LIMIT=3D32
+# CONFIG_COMPILE_TEST is not set
+# CONFIG_HEADER_TEST is not set
+CONFIG_LOCALVERSION=3D""
+# CONFIG_LOCALVERSION_AUTO is not set
+CONFIG_BUILD_SALT=3D""
+CONFIG_HAVE_KERNEL_GZIP=3Dy
+CONFIG_HAVE_KERNEL_BZIP2=3Dy
+CONFIG_HAVE_KERNEL_LZMA=3Dy
+CONFIG_HAVE_KERNEL_XZ=3Dy
+CONFIG_HAVE_KERNEL_LZO=3Dy
+CONFIG_HAVE_KERNEL_LZ4=3Dy
+CONFIG_KERNEL_GZIP=3Dy
+# CONFIG_KERNEL_BZIP2 is not set
+# CONFIG_KERNEL_LZMA is not set
+# CONFIG_KERNEL_XZ is not set
+# CONFIG_KERNEL_LZO is not set
+# CONFIG_KERNEL_LZ4 is not set
+CONFIG_DEFAULT_HOSTNAME=3D"(none)"
+CONFIG_SWAP=3Dy
+CONFIG_SYSVIPC=3Dy
+CONFIG_SYSVIPC_SYSCTL=3Dy
+CONFIG_POSIX_MQUEUE=3Dy
+CONFIG_POSIX_MQUEUE_SYSCTL=3Dy
+CONFIG_CROSS_MEMORY_ATTACH=3Dy
+CONFIG_USELIB=3Dy
+CONFIG_AUDIT=3Dy
+CONFIG_HAVE_ARCH_AUDITSYSCALL=3Dy
+CONFIG_AUDITSYSCALL=3Dy
+
+#
+# IRQ subsystem
+#
+CONFIG_GENERIC_IRQ_PROBE=3Dy
+CONFIG_GENERIC_IRQ_SHOW=3Dy
+CONFIG_GENERIC_IRQ_EFFECTIVE_AFF_MASK=3Dy
+CONFIG_GENERIC_PENDING_IRQ=3Dy
+CONFIG_GENERIC_IRQ_MIGRATION=3Dy
+CONFIG_GENERIC_IRQ_CHIP=3Dy
+CONFIG_IRQ_DOMAIN=3Dy
+CONFIG_IRQ_DOMAIN_HIERARCHY=3Dy
+CONFIG_GENERIC_MSI_IRQ=3Dy
+CONFIG_GENERIC_MSI_IRQ_DOMAIN=3Dy
+CONFIG_GENERIC_IRQ_MATRIX_ALLOCATOR=3Dy
+CONFIG_GENERIC_IRQ_RESERVATION_MODE=3Dy
+CONFIG_IRQ_FORCED_THREADING=3Dy
+CONFIG_SPARSE_IRQ=3Dy
+# CONFIG_GENERIC_IRQ_DEBUGFS is not set
+# end of IRQ subsystem
+
+CONFIG_CLOCKSOURCE_WATCHDOG=3Dy
+CONFIG_ARCH_CLOCKSOURCE_DATA=3Dy
+CONFIG_ARCH_CLOCKSOURCE_INIT=3Dy
+CONFIG_CLOCKSOURCE_VALIDATE_LAST_CYCLE=3Dy
+CONFIG_GENERIC_TIME_VSYSCALL=3Dy
+CONFIG_GENERIC_CLOCKEVENTS=3Dy
+CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=3Dy
+CONFIG_GENERIC_CLOCKEVENTS_MIN_ADJUST=3Dy
+CONFIG_GENERIC_CMOS_UPDATE=3Dy
+
+#
+# Timers subsystem
+#
+CONFIG_TICK_ONESHOT=3Dy
+CONFIG_NO_HZ_COMMON=3Dy
+# CONFIG_HZ_PERIODIC is not set
+CONFIG_NO_HZ_IDLE=3Dy
+# CONFIG_NO_HZ_FULL is not set
+CONFIG_NO_HZ=3Dy
+CONFIG_HIGH_RES_TIMERS=3Dy
+# end of Timers subsystem
+
+# CONFIG_PREEMPT_NONE is not set
+CONFIG_PREEMPT_VOLUNTARY=3Dy
+# CONFIG_PREEMPT is not set
+
+#
+# CPU/Task time and stats accounting
+#
+CONFIG_TICK_CPU_ACCOUNTING=3Dy
+# CONFIG_VIRT_CPU_ACCOUNTING_GEN is not set
+# CONFIG_IRQ_TIME_ACCOUNTING is not set
+CONFIG_BSD_PROCESS_ACCT=3Dy
+CONFIG_BSD_PROCESS_ACCT_V3=3Dy
+CONFIG_TASKSTATS=3Dy
+CONFIG_TASK_DELAY_ACCT=3Dy
+CONFIG_TASK_XACCT=3Dy
+CONFIG_TASK_IO_ACCOUNTING=3Dy
+CONFIG_PSI=3Dy
+# CONFIG_PSI_DEFAULT_DISABLED is not set
+# end of CPU/Task time and stats accounting
+
+CONFIG_CPU_ISOLATION=3Dy
+
+#
+# RCU Subsystem
+#
+CONFIG_TREE_RCU=3Dy
+# CONFIG_RCU_EXPERT is not set
+CONFIG_SRCU=3Dy
+CONFIG_TREE_SRCU=3Dy
+CONFIG_RCU_STALL_COMMON=3Dy
+CONFIG_RCU_NEED_SEGCBLIST=3Dy
+# end of RCU Subsystem
+
+CONFIG_BUILD_BIN2C=3Dy
+# CONFIG_IKCONFIG is not set
+# CONFIG_IKHEADERS is not set
+CONFIG_LOG_BUF_SHIFT=3D18
+CONFIG_LOG_CPU_MAX_BUF_SHIFT=3D12
+CONFIG_PRINTK_SAFE_LOG_BUF_SHIFT=3D13
+CONFIG_HAVE_UNSTABLE_SCHED_CLOCK=3Dy
+
+#
+# Scheduler features
+#
+# CONFIG_UCLAMP_TASK is not set
+# end of Scheduler features
+
+CONFIG_ARCH_SUPPORTS_NUMA_BALANCING=3Dy
+CONFIG_ARCH_WANT_BATCHED_UNMAP_TLB_FLUSH=3Dy
+CONFIG_ARCH_SUPPORTS_INT128=3Dy
+CONFIG_NUMA_BALANCING=3Dy
+CONFIG_NUMA_BALANCING_DEFAULT_ENABLED=3Dy
+CONFIG_CGROUPS=3Dy
+CONFIG_PAGE_COUNTER=3Dy
+CONFIG_MEMCG=3Dy
+CONFIG_MEMCG_SWAP=3Dy
+# CONFIG_MEMCG_SWAP_ENABLED is not set
+CONFIG_MEMCG_KMEM=3Dy
+CONFIG_BLK_CGROUP=3Dy
+CONFIG_CGROUP_WRITEBACK=3Dy
+CONFIG_CGROUP_SCHED=3Dy
+CONFIG_FAIR_GROUP_SCHED=3Dy
+CONFIG_CFS_BANDWIDTH=3Dy
+# CONFIG_RT_GROUP_SCHED is not set
+CONFIG_CGROUP_PIDS=3Dy
+# CONFIG_CGROUP_RDMA is not set
+CONFIG_CGROUP_FREEZER=3Dy
+CONFIG_CGROUP_HUGETLB=3Dy
+CONFIG_CPUSETS=3Dy
+CONFIG_PROC_PID_CPUSET=3Dy
+CONFIG_CGROUP_DEVICE=3Dy
+CONFIG_CGROUP_CPUACCT=3Dy
+CONFIG_CGROUP_PERF=3Dy
+CONFIG_CGROUP_BPF=3Dy
+# CONFIG_CGROUP_DEBUG is not set
+CONFIG_SOCK_CGROUP_DATA=3Dy
+CONFIG_NAMESPACES=3Dy
+CONFIG_UTS_NS=3Dy
+CONFIG_IPC_NS=3Dy
+CONFIG_USER_NS=3Dy
+CONFIG_PID_NS=3Dy
+CONFIG_NET_NS=3Dy
+CONFIG_CHECKPOINT_RESTORE=3Dy
+CONFIG_SCHED_AUTOGROUP=3Dy
+# CONFIG_SYSFS_DEPRECATED is not set
+CONFIG_RELAY=3Dy
+CONFIG_BLK_DEV_INITRD=3Dy
+CONFIG_INITRAMFS_SOURCE=3D""
+CONFIG_RD_GZIP=3Dy
+CONFIG_RD_BZIP2=3Dy
+CONFIG_RD_LZMA=3Dy
+CONFIG_RD_XZ=3Dy
+CONFIG_RD_LZO=3Dy
+CONFIG_RD_LZ4=3Dy
+CONFIG_CC_OPTIMIZE_FOR_PERFORMANCE=3Dy
+# CONFIG_CC_OPTIMIZE_FOR_SIZE is not set
+CONFIG_SYSCTL=3Dy
+CONFIG_HAVE_UID16=3Dy
+CONFIG_SYSCTL_EXCEPTION_TRACE=3Dy
+CONFIG_HAVE_PCSPKR_PLATFORM=3Dy
+CONFIG_BPF=3Dy
+CONFIG_EXPERT=3Dy
+CONFIG_UID16=3Dy
+CONFIG_MULTIUSER=3Dy
+CONFIG_SGETMASK_SYSCALL=3Dy
+CONFIG_SYSFS_SYSCALL=3Dy
+CONFIG_SYSCTL_SYSCALL=3Dy
+CONFIG_FHANDLE=3Dy
+CONFIG_POSIX_TIMERS=3Dy
+CONFIG_PRINTK=3Dy
+CONFIG_PRINTK_NMI=3Dy
+CONFIG_BUG=3Dy
+CONFIG_ELF_CORE=3Dy
+CONFIG_PCSPKR_PLATFORM=3Dy
+CONFIG_BASE_FULL=3Dy
+CONFIG_FUTEX=3Dy
+CONFIG_FUTEX_PI=3Dy
+CONFIG_EPOLL=3Dy
+CONFIG_SIGNALFD=3Dy
+CONFIG_TIMERFD=3Dy
+CONFIG_EVENTFD=3Dy
+CONFIG_SHMEM=3Dy
+CONFIG_AIO=3Dy
+CONFIG_IO_URING=3Dy
+CONFIG_ADVISE_SYSCALLS=3Dy
+CONFIG_MEMBARRIER=3Dy
+CONFIG_KALLSYMS=3Dy
+CONFIG_KALLSYMS_ALL=3Dy
+CONFIG_KALLSYMS_ABSOLUTE_PERCPU=3Dy
+CONFIG_KALLSYMS_BASE_RELATIVE=3Dy
+CONFIG_BPF_SYSCALL=3Dy
+CONFIG_USERFAULTFD=3Dy
+CONFIG_ARCH_HAS_MEMBARRIER_SYNC_CORE=3Dy
+CONFIG_RSEQ=3Dy
+# CONFIG_DEBUG_RSEQ is not set
+# CONFIG_EMBEDDED is not set
+CONFIG_HAVE_PERF_EVENTS=3Dy
+# CONFIG_PC104 is not set
+
+#
+# Kernel Performance Events And Counters
+#
+CONFIG_PERF_EVENTS=3Dy
+# CONFIG_DEBUG_PERF_USE_VMALLOC is not set
+# end of Kernel Performance Events And Counters
+
+CONFIG_VM_EVENT_COUNTERS=3Dy
+CONFIG_SLUB_DEBUG=3Dy
+# CONFIG_SLUB_MEMCG_SYSFS_ON is not set
+# CONFIG_COMPAT_BRK is not set
+# CONFIG_SLAB is not set
+CONFIG_SLUB=3Dy
+# CONFIG_SLOB is not set
+CONFIG_SLAB_MERGE_DEFAULT=3Dy
+CONFIG_SLAB_FREELIST_RANDOM=3Dy
+CONFIG_SLAB_FREELIST_HARDENED=3Dy
+CONFIG_SHUFFLE_PAGE_ALLOCATOR=3Dy
+CONFIG_SLUB_CPU_PARTIAL=3Dy
+CONFIG_SYSTEM_DATA_VERIFICATION=3Dy
+CONFIG_PROFILING=3Dy
+CONFIG_TRACEPOINTS=3Dy
+# end of General setup
+
+CONFIG_64BIT=3Dy
+CONFIG_X86_64=3Dy
+CONFIG_X86=3Dy
+CONFIG_INSTRUCTION_DECODER=3Dy
+CONFIG_OUTPUT_FORMAT=3D"elf64-x86-64"
+CONFIG_ARCH_DEFCONFIG=3D"arch/x86/configs/x86_64_defconfig"
+CONFIG_LOCKDEP_SUPPORT=3Dy
+CONFIG_STACKTRACE_SUPPORT=3Dy
+CONFIG_MMU=3Dy
+CONFIG_ARCH_MMAP_RND_BITS_MIN=3D28
+CONFIG_ARCH_MMAP_RND_BITS_MAX=3D32
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MIN=3D8
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MAX=3D16
+CONFIG_GENERIC_ISA_DMA=3Dy
+CONFIG_GENERIC_BUG=3Dy
+CONFIG_GENERIC_BUG_RELATIVE_POINTERS=3Dy
+CONFIG_ARCH_MAY_HAVE_PC_FDC=3Dy
+CONFIG_GENERIC_CALIBRATE_DELAY=3Dy
+CONFIG_ARCH_HAS_CPU_RELAX=3Dy
+CONFIG_ARCH_HAS_CACHE_LINE_SIZE=3Dy
+CONFIG_ARCH_HAS_FILTER_PGPROT=3Dy
+CONFIG_HAVE_SETUP_PER_CPU_AREA=3Dy
+CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=3Dy
+CONFIG_NEED_PER_CPU_PAGE_FIRST_CHUNK=3Dy
+CONFIG_ARCH_HIBERNATION_POSSIBLE=3Dy
+CONFIG_ARCH_SUSPEND_POSSIBLE=3Dy
+CONFIG_ARCH_WANT_GENERAL_HUGETLB=3Dy
+CONFIG_ZONE_DMA32=3Dy
+CONFIG_AUDIT_ARCH=3Dy
+CONFIG_ARCH_SUPPORTS_DEBUG_PAGEALLOC=3Dy
+CONFIG_HAVE_INTEL_TXT=3Dy
+CONFIG_X86_64_SMP=3Dy
+CONFIG_ARCH_SUPPORTS_UPROBES=3Dy
+CONFIG_FIX_EARLYCON_MEM=3Dy
+CONFIG_PGTABLE_LEVELS=3D4
+CONFIG_CC_HAS_SANE_STACKPROTECTOR=3Dy
+
+#
+# Processor type and features
+#
+# CONFIG_ZONE_DMA is not set
+CONFIG_SMP=3Dy
+CONFIG_X86_FEATURE_NAMES=3Dy
+CONFIG_X86_X2APIC=3Dy
+CONFIG_X86_MPPARSE=3Dy
+# CONFIG_GOLDFISH is not set
+CONFIG_RETPOLINE=3Dy
+# CONFIG_X86_CPU_RESCTRL is not set
+CONFIG_X86_EXTENDED_PLATFORM=3Dy
+CONFIG_X86_NUMACHIP=3Dy
+# CONFIG_X86_VSMP is not set
+# CONFIG_X86_UV is not set
+# CONFIG_X86_GOLDFISH is not set
+# CONFIG_X86_INTEL_MID is not set
+CONFIG_X86_INTEL_LPSS=3Dy
+CONFIG_X86_AMD_PLATFORM_DEVICE=3Dy
+CONFIG_IOSF_MBI=3Dy
+CONFIG_IOSF_MBI_DEBUG=3Dy
+CONFIG_X86_SUPPORTS_MEMORY_FAILURE=3Dy
+CONFIG_SCHED_OMIT_FRAME_POINTER=3Dy
+CONFIG_HYPERVISOR_GUEST=3Dy
+CONFIG_PARAVIRT=3Dy
+CONFIG_PARAVIRT_XXL=3Dy
+# CONFIG_PARAVIRT_DEBUG is not set
+CONFIG_PARAVIRT_SPINLOCKS=3Dy
+CONFIG_X86_HV_CALLBACK_VECTOR=3Dy
+CONFIG_XEN=3Dy
+CONFIG_XEN_PV=3Dy
+CONFIG_XEN_PV_SMP=3Dy
+CONFIG_XEN_DOM0=3Dy
+CONFIG_XEN_PVHVM=3Dy
+CONFIG_XEN_PVHVM_SMP=3Dy
+CONFIG_XEN_512GB=3Dy
+CONFIG_XEN_SAVE_RESTORE=3Dy
+# CONFIG_XEN_DEBUG_FS is not set
+CONFIG_XEN_PVH=3Dy
+CONFIG_KVM_GUEST=3Dy
+CONFIG_ARCH_CPUIDLE_HALTPOLL=3Dy
+CONFIG_PVH=3Dy
+CONFIG_KVM_DEBUG_FS=3Dy
+# CONFIG_PARAVIRT_TIME_ACCOUNTING is not set
+CONFIG_PARAVIRT_CLOCK=3Dy
+CONFIG_JAILHOUSE_GUEST=3Dy
+# CONFIG_ACRN_GUEST is not set
+# CONFIG_MK8 is not set
+# CONFIG_MPSC is not set
+# CONFIG_MCORE2 is not set
+# CONFIG_MATOM is not set
+CONFIG_GENERIC_CPU=3Dy
+CONFIG_X86_INTERNODE_CACHE_SHIFT=3D6
+CONFIG_X86_L1_CACHE_SHIFT=3D6
+CONFIG_X86_TSC=3Dy
+CONFIG_X86_CMPXCHG64=3Dy
+CONFIG_X86_CMOV=3Dy
+CONFIG_X86_MINIMUM_CPU_FAMILY=3D64
+CONFIG_X86_DEBUGCTLMSR=3Dy
+CONFIG_PROCESSOR_SELECT=3Dy
+CONFIG_CPU_SUP_INTEL=3Dy
+CONFIG_CPU_SUP_AMD=3Dy
+CONFIG_CPU_SUP_HYGON=3Dy
+CONFIG_CPU_SUP_CENTAUR=3Dy
+CONFIG_CPU_SUP_ZHAOXIN=3Dy
+CONFIG_HPET_TIMER=3Dy
+CONFIG_HPET_EMULATE_RTC=3Dy
+CONFIG_DMI=3Dy
+CONFIG_GART_IOMMU=3Dy
+CONFIG_CALGARY_IOMMU=3Dy
+CONFIG_CALGARY_IOMMU_ENABLED_BY_DEFAULT=3Dy
+# CONFIG_MAXSMP is not set
+CONFIG_NR_CPUS_RANGE_BEGIN=3D2
+CONFIG_NR_CPUS_RANGE_END=3D512
+CONFIG_NR_CPUS_DEFAULT=3D64
+CONFIG_NR_CPUS=3D256
+CONFIG_SCHED_SMT=3Dy
+CONFIG_SCHED_MC=3Dy
+CONFIG_SCHED_MC_PRIO=3Dy
+CONFIG_X86_LOCAL_APIC=3Dy
+CONFIG_X86_IO_APIC=3Dy
+CONFIG_X86_REROUTE_FOR_BROKEN_BOOT_IRQS=3Dy
+CONFIG_X86_MCE=3Dy
+# CONFIG_X86_MCELOG_LEGACY is not set
+CONFIG_X86_MCE_INTEL=3Dy
+CONFIG_X86_MCE_AMD=3Dy
+CONFIG_X86_MCE_THRESHOLD=3Dy
+# CONFIG_X86_MCE_INJECT is not set
+CONFIG_X86_THERMAL_VECTOR=3Dy
+
+#
+# Performance monitoring
+#
+CONFIG_PERF_EVENTS_INTEL_UNCORE=3Dy
+CONFIG_PERF_EVENTS_INTEL_RAPL=3Dy
+CONFIG_PERF_EVENTS_INTEL_CSTATE=3Dy
+CONFIG_PERF_EVENTS_AMD_POWER=3Dm
+# end of Performance monitoring
+
+CONFIG_X86_16BIT=3Dy
+CONFIG_X86_ESPFIX64=3Dy
+CONFIG_X86_VSYSCALL_EMULATION=3Dy
+CONFIG_I8K=3Dm
+CONFIG_MICROCODE=3Dy
+CONFIG_MICROCODE_INTEL=3Dy
+CONFIG_MICROCODE_AMD=3Dy
+CONFIG_MICROCODE_OLD_INTERFACE=3Dy
+CONFIG_X86_MSR=3Dm
+CONFIG_X86_CPUID=3Dm
+# CONFIG_X86_5LEVEL is not set
+CONFIG_X86_DIRECT_GBPAGES=3Dy
+# CONFIG_X86_CPA_STATISTICS is not set
+# CONFIG_AMD_MEM_ENCRYPT is not set
+CONFIG_NUMA=3Dy
+CONFIG_AMD_NUMA=3Dy
+CONFIG_X86_64_ACPI_NUMA=3Dy
+CONFIG_NODES_SPAN_OTHER_NODES=3Dy
+# CONFIG_NUMA_EMU is not set
+CONFIG_NODES_SHIFT=3D6
+CONFIG_ARCH_SPARSEMEM_ENABLE=3Dy
+CONFIG_ARCH_SPARSEMEM_DEFAULT=3Dy
+CONFIG_ARCH_SELECT_MEMORY_MODEL=3Dy
+CONFIG_ARCH_MEMORY_PROBE=3Dy
+CONFIG_ARCH_PROC_KCORE_TEXT=3Dy
+CONFIG_ILLEGAL_POINTER_VALUE=3D0xdead000000000000
+CONFIG_X86_PMEM_LEGACY_DEVICE=3Dy
+CONFIG_X86_PMEM_LEGACY=3Dy
+CONFIG_X86_CHECK_BIOS_CORRUPTION=3Dy
+CONFIG_X86_BOOTPARAM_MEMORY_CORRUPTION_CHECK=3Dy
+CONFIG_X86_RESERVE_LOW=3D64
+CONFIG_MTRR=3Dy
+CONFIG_MTRR_SANITIZER=3Dy
+CONFIG_MTRR_SANITIZER_ENABLE_DEFAULT=3D1
+CONFIG_MTRR_SANITIZER_SPARE_REG_NR_DEFAULT=3D1
+CONFIG_X86_PAT=3Dy
+CONFIG_ARCH_USES_PG_UNCACHED=3Dy
+CONFIG_ARCH_RANDOM=3Dy
+CONFIG_X86_SMAP=3Dy
+CONFIG_X86_INTEL_UMIP=3Dy
+CONFIG_X86_INTEL_MPX=3Dy
+CONFIG_X86_INTEL_MEMORY_PROTECTION_KEYS=3Dy
+CONFIG_X86_INTEL_TSX_MODE_OFF=3Dy
+# CONFIG_X86_INTEL_TSX_MODE_ON is not set
+# CONFIG_X86_INTEL_TSX_MODE_AUTO is not set
+CONFIG_EFI=3Dy
+CONFIG_EFI_STUB=3Dy
+CONFIG_EFI_MIXED=3Dy
+CONFIG_SECCOMP=3Dy
+# CONFIG_HZ_100 is not set
+CONFIG_HZ_250=3Dy
+# CONFIG_HZ_300 is not set
+# CONFIG_HZ_1000 is not set
+CONFIG_HZ=3D250
+CONFIG_SCHED_HRTICK=3Dy
+CONFIG_KEXEC=3Dy
+CONFIG_KEXEC_FILE=3Dy
+CONFIG_ARCH_HAS_KEXEC_PURGATORY=3Dy
+# CONFIG_KEXEC_SIG is not set
+CONFIG_CRASH_DUMP=3Dy
+CONFIG_KEXEC_JUMP=3Dy
+CONFIG_PHYSICAL_START=3D0x1000000
+CONFIG_RELOCATABLE=3Dy
+CONFIG_RANDOMIZE_BASE=3Dy
+CONFIG_X86_NEED_RELOCS=3Dy
+CONFIG_PHYSICAL_ALIGN=3D0x1000000
+CONFIG_DYNAMIC_MEMORY_LAYOUT=3Dy
+CONFIG_RANDOMIZE_MEMORY=3Dy
+CONFIG_RANDOMIZE_MEMORY_PHYSICAL_PADDING=3D0xa
+CONFIG_HOTPLUG_CPU=3Dy
+# CONFIG_BOOTPARAM_HOTPLUG_CPU0 is not set
+# CONFIG_DEBUG_HOTPLUG_CPU0 is not set
+# CONFIG_COMPAT_VDSO is not set
+# CONFIG_LEGACY_VSYSCALL_EMULATE is not set
+# CONFIG_LEGACY_VSYSCALL_XONLY is not set
+CONFIG_LEGACY_VSYSCALL_NONE=3Dy
+# CONFIG_CMDLINE_BOOL is not set
+CONFIG_MODIFY_LDT_SYSCALL=3Dy
+CONFIG_HAVE_LIVEPATCH=3Dy
+CONFIG_LIVEPATCH=3Dy
+# end of Processor type and features
+
+CONFIG_ARCH_HAS_ADD_PAGES=3Dy
+CONFIG_ARCH_ENABLE_MEMORY_HOTPLUG=3Dy
+CONFIG_ARCH_ENABLE_MEMORY_HOTREMOVE=3Dy
+CONFIG_USE_PERCPU_NUMA_NODE_ID=3Dy
+CONFIG_ARCH_ENABLE_SPLIT_PMD_PTLOCK=3Dy
+CONFIG_ARCH_ENABLE_HUGEPAGE_MIGRATION=3Dy
+CONFIG_ARCH_ENABLE_THP_MIGRATION=3Dy
+
+#
+# Power management and ACPI options
+#
+CONFIG_ARCH_HIBERNATION_HEADER=3Dy
+CONFIG_SUSPEND=3Dy
+CONFIG_SUSPEND_FREEZER=3Dy
+# CONFIG_SUSPEND_SKIP_SYNC is not set
+CONFIG_HIBERNATE_CALLBACKS=3Dy
+CONFIG_HIBERNATION=3Dy
+CONFIG_PM_STD_PARTITION=3D""
+CONFIG_PM_SLEEP=3Dy
+CONFIG_PM_SLEEP_SMP=3Dy
+# CONFIG_PM_AUTOSLEEP is not set
+CONFIG_PM_WAKELOCKS=3Dy
+CONFIG_PM_WAKELOCKS_LIMIT=3D100
+CONFIG_PM_WAKELOCKS_GC=3Dy
+CONFIG_PM=3Dy
+CONFIG_PM_DEBUG=3Dy
+CONFIG_PM_ADVANCED_DEBUG=3Dy
+# CONFIG_PM_TEST_SUSPEND is not set
+CONFIG_PM_SLEEP_DEBUG=3Dy
+# CONFIG_DPM_WATCHDOG is not set
+CONFIG_PM_TRACE=3Dy
+CONFIG_PM_TRACE_RTC=3Dy
+CONFIG_PM_CLK=3Dy
+CONFIG_WQ_POWER_EFFICIENT_DEFAULT=3Dy
+# CONFIG_ENERGY_MODEL is not set
+CONFIG_ARCH_SUPPORTS_ACPI=3Dy
+CONFIG_ACPI=3Dy
+CONFIG_ACPI_LEGACY_TABLES_LOOKUP=3Dy
+CONFIG_ARCH_MIGHT_HAVE_ACPI_PDC=3Dy
+CONFIG_ACPI_SYSTEM_POWER_STATES_SUPPORT=3Dy
+# CONFIG_ACPI_DEBUGGER is not set
+CONFIG_ACPI_SPCR_TABLE=3Dy
+CONFIG_ACPI_LPIT=3Dy
+CONFIG_ACPI_SLEEP=3Dy
+# CONFIG_ACPI_PROCFS_POWER is not set
+CONFIG_ACPI_REV_OVERRIDE_POSSIBLE=3Dy
+CONFIG_ACPI_EC_DEBUGFS=3Dm
+CONFIG_ACPI_AC=3Dm
+CONFIG_ACPI_BATTERY=3Dm
+CONFIG_ACPI_BUTTON=3Dy
+CONFIG_ACPI_VIDEO=3Dm
+CONFIG_ACPI_FAN=3Dy
+CONFIG_ACPI_TAD=3Dm
+CONFIG_ACPI_DOCK=3Dy
+CONFIG_ACPI_CPU_FREQ_PSS=3Dy
+CONFIG_ACPI_PROCESSOR_CSTATE=3Dy
+CONFIG_ACPI_PROCESSOR_IDLE=3Dy
+CONFIG_ACPI_CPPC_LIB=3Dy
+CONFIG_ACPI_PROCESSOR=3Dy
+CONFIG_ACPI_IPMI=3Dm
+CONFIG_ACPI_HOTPLUG_CPU=3Dy
+CONFIG_ACPI_PROCESSOR_AGGREGATOR=3Dm
+CONFIG_ACPI_THERMAL=3Dy
+CONFIG_ACPI_NUMA=3Dy
+CONFIG_ACPI_CUSTOM_DSDT_FILE=3D""
+CONFIG_ARCH_HAS_ACPI_TABLE_UPGRADE=3Dy
+CONFIG_ACPI_TABLE_UPGRADE=3Dy
+# CONFIG_ACPI_DEBUG is not set
+CONFIG_ACPI_PCI_SLOT=3Dy
+CONFIG_ACPI_CONTAINER=3Dy
+CONFIG_ACPI_HOTPLUG_MEMORY=3Dy
+CONFIG_ACPI_HOTPLUG_IOAPIC=3Dy
+CONFIG_ACPI_SBS=3Dm
+CONFIG_ACPI_HED=3Dy
+# CONFIG_ACPI_CUSTOM_METHOD is not set
+CONFIG_ACPI_BGRT=3Dy
+# CONFIG_ACPI_REDUCED_HARDWARE_ONLY is not set
+CONFIG_ACPI_NFIT=3Dm
+# CONFIG_NFIT_SECURITY_DEBUG is not set
+CONFIG_ACPI_HMAT=3Dy
+CONFIG_HAVE_ACPI_APEI=3Dy
+CONFIG_HAVE_ACPI_APEI_NMI=3Dy
+CONFIG_ACPI_APEI=3Dy
+CONFIG_ACPI_APEI_GHES=3Dy
+CONFIG_ACPI_APEI_PCIEAER=3Dy
+CONFIG_ACPI_APEI_MEMORY_FAILURE=3Dy
+CONFIG_ACPI_APEI_EINJ=3Dm
+# CONFIG_ACPI_APEI_ERST_DEBUG is not set
+CONFIG_DPTF_POWER=3Dm
+CONFIG_ACPI_WATCHDOG=3Dy
+CONFIG_ACPI_EXTLOG=3Dm
+CONFIG_ACPI_ADXL=3Dy
+# CONFIG_PMIC_OPREGION is not set
+CONFIG_ACPI_CONFIGFS=3Dm
+CONFIG_X86_PM_TIMER=3Dy
+CONFIG_SFI=3Dy
+
+#
+# CPU Frequency scaling
+#
+CONFIG_CPU_FREQ=3Dy
+CONFIG_CPU_FREQ_GOV_ATTR_SET=3Dy
+CONFIG_CPU_FREQ_GOV_COMMON=3Dy
+CONFIG_CPU_FREQ_STAT=3Dy
+CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=3Dy
+# CONFIG_CPU_FREQ_DEFAULT_GOV_POWERSAVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_CONSERVATIVE is not set
+# CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL is not set
+CONFIG_CPU_FREQ_GOV_PERFORMANCE=3Dy
+CONFIG_CPU_FREQ_GOV_POWERSAVE=3Dy
+CONFIG_CPU_FREQ_GOV_USERSPACE=3Dy
+CONFIG_CPU_FREQ_GOV_ONDEMAND=3Dy
+CONFIG_CPU_FREQ_GOV_CONSERVATIVE=3Dy
+CONFIG_CPU_FREQ_GOV_SCHEDUTIL=3Dy
+
+#
+# CPU frequency scaling drivers
+#
+CONFIG_X86_INTEL_PSTATE=3Dy
+CONFIG_X86_PCC_CPUFREQ=3Dy
+CONFIG_X86_ACPI_CPUFREQ=3Dy
+CONFIG_X86_ACPI_CPUFREQ_CPB=3Dy
+CONFIG_X86_POWERNOW_K8=3Dy
+CONFIG_X86_AMD_FREQ_SENSITIVITY=3Dm
+CONFIG_X86_SPEEDSTEP_CENTRINO=3Dy
+CONFIG_X86_P4_CLOCKMOD=3Dm
+
+#
+# shared options
+#
+CONFIG_X86_SPEEDSTEP_LIB=3Dm
+# end of CPU Frequency scaling
+
+#
+# CPU Idle
+#
+CONFIG_CPU_IDLE=3Dy
+CONFIG_CPU_IDLE_GOV_LADDER=3Dy
+CONFIG_CPU_IDLE_GOV_MENU=3Dy
+CONFIG_CPU_IDLE_GOV_TEO=3Dy
+CONFIG_CPU_IDLE_GOV_HALTPOLL=3Dy
+CONFIG_HALTPOLL_CPUIDLE=3Dm
+# end of CPU Idle
+
+CONFIG_INTEL_IDLE=3Dy
+# end of Power management and ACPI options
+
+#
+# Bus options (PCI etc.)
+#
+CONFIG_PCI_DIRECT=3Dy
+CONFIG_PCI_MMCONFIG=3Dy
+CONFIG_PCI_XEN=3Dy
+CONFIG_MMCONF_FAM10H=3Dy
+# CONFIG_PCI_CNB20LE_QUIRK is not set
+# CONFIG_ISA_BUS is not set
+CONFIG_ISA_DMA_API=3Dy
+CONFIG_AMD_NB=3Dy
+# CONFIG_X86_SYSFB is not set
+# end of Bus options (PCI etc.)
+
+#
+# Binary Emulations
+#
+CONFIG_IA32_EMULATION=3Dy
+CONFIG_X86_X32=3Dy
+CONFIG_COMPAT_32=3Dy
+CONFIG_COMPAT=3Dy
+CONFIG_COMPAT_FOR_U64_ALIGNMENT=3Dy
+CONFIG_SYSVIPC_COMPAT=3Dy
+# end of Binary Emulations
+
+#
+# Firmware Drivers
+#
+CONFIG_EDD=3Dy
+CONFIG_EDD_OFF=3Dy
+CONFIG_FIRMWARE_MEMMAP=3Dy
+CONFIG_DMIID=3Dy
+CONFIG_DMI_SYSFS=3Dm
+CONFIG_DMI_SCAN_MACHINE_NON_EFI_FALLBACK=3Dy
+CONFIG_ISCSI_IBFT_FIND=3Dy
+CONFIG_ISCSI_IBFT=3Dm
+CONFIG_FW_CFG_SYSFS=3Dm
+# CONFIG_FW_CFG_SYSFS_CMDLINE is not set
+# CONFIG_GOOGLE_FIRMWARE is not set
+
+#
+# EFI (Extensible Firmware Interface) Support
+#
+CONFIG_EFI_VARS=3Dy
+CONFIG_EFI_ESRT=3Dy
+CONFIG_EFI_VARS_PSTORE=3Dm
+# CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE is not set
+CONFIG_EFI_RUNTIME_MAP=3Dy
+# CONFIG_EFI_FAKE_MEMMAP is not set
+CONFIG_EFI_RUNTIME_WRAPPERS=3Dy
+CONFIG_EFI_BOOTLOADER_CONTROL=3Dm
+# CONFIG_EFI_CAPSULE_LOADER is not set
+# CONFIG_EFI_TEST is not set
+CONFIG_APPLE_PROPERTIES=3Dy
+CONFIG_RESET_ATTACK_MITIGATION=3Dy
+# CONFIG_EFI_RCI2_TABLE is not set
+# end of EFI (Extensible Firmware Interface) Support
+
+CONFIG_UEFI_CPER=3Dy
+CONFIG_UEFI_CPER_X86=3Dy
+CONFIG_EFI_DEV_PATH_PARSER=3Dy
+CONFIG_EFI_EARLYCON=3Dy
+
+#
+# Tegra firmware driver
+#
+# end of Tegra firmware driver
+# end of Firmware Drivers
+
+CONFIG_HAVE_KVM=3Dy
+CONFIG_HAVE_KVM_IRQCHIP=3Dy
+CONFIG_HAVE_KVM_IRQFD=3Dy
+CONFIG_HAVE_KVM_IRQ_ROUTING=3Dy
+CONFIG_HAVE_KVM_EVENTFD=3Dy
+CONFIG_KVM_MMIO=3Dy
+CONFIG_KVM_ASYNC_PF=3Dy
+CONFIG_HAVE_KVM_MSI=3Dy
+CONFIG_HAVE_KVM_CPU_RELAX_INTERCEPT=3Dy
+CONFIG_KVM_VFIO=3Dy
+CONFIG_KVM_GENERIC_DIRTYLOG_READ_PROTECT=3Dy
+CONFIG_KVM_COMPAT=3Dy
+CONFIG_HAVE_KVM_IRQ_BYPASS=3Dy
+CONFIG_HAVE_KVM_NO_POLL=3Dy
+CONFIG_VIRTUALIZATION=3Dy
+CONFIG_KVM=3Dm
+CONFIG_KVM_INTEL=3Dm
+CONFIG_KVM_AMD=3Dm
+CONFIG_KVM_AMD_SEV=3Dy
+# CONFIG_KVM_MMU_AUDIT is not set
+CONFIG_VHOST_NET=3Dm
+CONFIG_VHOST_SCSI=3Dm
+CONFIG_VHOST_VSOCK=3Dm
+CONFIG_VHOST=3Dm
+# CONFIG_VHOST_CROSS_ENDIAN_LEGACY is not set
+
+#
+# General architecture-dependent options
+#
+CONFIG_CRASH_CORE=3Dy
+CONFIG_KEXEC_CORE=3Dy
+CONFIG_HOTPLUG_SMT=3Dy
+CONFIG_OPROFILE=3Dm
+# CONFIG_OPROFILE_EVENT_MULTIPLEX is not set
+CONFIG_HAVE_OPROFILE=3Dy
+CONFIG_OPROFILE_NMI_TIMER=3Dy
+CONFIG_KPROBES=3Dy
+CONFIG_JUMP_LABEL=3Dy
+# CONFIG_STATIC_KEYS_SELFTEST is not set
+CONFIG_OPTPROBES=3Dy
+CONFIG_KPROBES_ON_FTRACE=3Dy
+CONFIG_HAVE_EFFICIENT_UNALIGNED_ACCESS=3Dy
+CONFIG_ARCH_USE_BUILTIN_BSWAP=3Dy
+CONFIG_KRETPROBES=3Dy
+CONFIG_USER_RETURN_NOTIFIER=3Dy
+CONFIG_HAVE_IOREMAP_PROT=3Dy
+CONFIG_HAVE_KPROBES=3Dy
+CONFIG_HAVE_KRETPROBES=3Dy
+CONFIG_HAVE_OPTPROBES=3Dy
+CONFIG_HAVE_KPROBES_ON_FTRACE=3Dy
+CONFIG_HAVE_FUNCTION_ERROR_INJECTION=3Dy
+CONFIG_HAVE_NMI=3Dy
+CONFIG_HAVE_ARCH_TRACEHOOK=3Dy
+CONFIG_HAVE_DMA_CONTIGUOUS=3Dy
+CONFIG_GENERIC_SMP_IDLE_THREAD=3Dy
+CONFIG_ARCH_HAS_FORTIFY_SOURCE=3Dy
+CONFIG_ARCH_HAS_SET_MEMORY=3Dy
+CONFIG_ARCH_HAS_SET_DIRECT_MAP=3Dy
+CONFIG_HAVE_ARCH_THREAD_STRUCT_WHITELIST=3Dy
+CONFIG_ARCH_WANTS_DYNAMIC_TASK_STRUCT=3Dy
+CONFIG_HAVE_ASM_MODVERSIONS=3Dy
+CONFIG_HAVE_REGS_AND_STACK_ACCESS_API=3Dy
+CONFIG_HAVE_RSEQ=3Dy
+CONFIG_HAVE_FUNCTION_ARG_ACCESS_API=3Dy
+CONFIG_HAVE_CLK=3Dy
+CONFIG_HAVE_HW_BREAKPOINT=3Dy
+CONFIG_HAVE_MIXED_BREAKPOINTS_REGS=3Dy
+CONFIG_HAVE_USER_RETURN_NOTIFIER=3Dy
+CONFIG_HAVE_PERF_EVENTS_NMI=3Dy
+CONFIG_HAVE_HARDLOCKUP_DETECTOR_PERF=3Dy
+CONFIG_HAVE_PERF_REGS=3Dy
+CONFIG_HAVE_PERF_USER_STACK_DUMP=3Dy
+CONFIG_HAVE_ARCH_JUMP_LABEL=3Dy
+CONFIG_HAVE_ARCH_JUMP_LABEL_RELATIVE=3Dy
+CONFIG_HAVE_RCU_TABLE_FREE=3Dy
+CONFIG_ARCH_HAVE_NMI_SAFE_CMPXCHG=3Dy
+CONFIG_HAVE_ALIGNED_STRUCT_PAGE=3Dy
+CONFIG_HAVE_CMPXCHG_LOCAL=3Dy
+CONFIG_HAVE_CMPXCHG_DOUBLE=3Dy
+CONFIG_ARCH_WANT_COMPAT_IPC_PARSE_VERSION=3Dy
+CONFIG_ARCH_WANT_OLD_COMPAT_IPC=3Dy
+CONFIG_HAVE_ARCH_SECCOMP_FILTER=3Dy
+CONFIG_SECCOMP_FILTER=3Dy
+CONFIG_HAVE_ARCH_STACKLEAK=3Dy
+CONFIG_HAVE_STACKPROTECTOR=3Dy
+CONFIG_CC_HAS_STACKPROTECTOR_NONE=3Dy
+CONFIG_STACKPROTECTOR=3Dy
+CONFIG_STACKPROTECTOR_STRONG=3Dy
+CONFIG_HAVE_ARCH_WITHIN_STACK_FRAMES=3Dy
+CONFIG_HAVE_CONTEXT_TRACKING=3Dy
+CONFIG_HAVE_VIRT_CPU_ACCOUNTING_GEN=3Dy
+CONFIG_HAVE_IRQ_TIME_ACCOUNTING=3Dy
+CONFIG_HAVE_MOVE_PMD=3Dy
+CONFIG_HAVE_ARCH_TRANSPARENT_HUGEPAGE=3Dy
+CONFIG_HAVE_ARCH_TRANSPARENT_HUGEPAGE_PUD=3Dy
+CONFIG_HAVE_ARCH_HUGE_VMAP=3Dy
+CONFIG_ARCH_WANT_HUGE_PMD_SHARE=3Dy
+CONFIG_HAVE_ARCH_SOFT_DIRTY=3Dy
+CONFIG_HAVE_MOD_ARCH_SPECIFIC=3Dy
+CONFIG_MODULES_USE_ELF_RELA=3Dy
+CONFIG_HAVE_IRQ_EXIT_ON_IRQ_STACK=3Dy
+CONFIG_ARCH_HAS_ELF_RANDOMIZE=3Dy
+CONFIG_HAVE_ARCH_MMAP_RND_BITS=3Dy
+CONFIG_HAVE_EXIT_THREAD=3Dy
+CONFIG_ARCH_MMAP_RND_BITS=3D28
+CONFIG_HAVE_ARCH_MMAP_RND_COMPAT_BITS=3Dy
+CONFIG_ARCH_MMAP_RND_COMPAT_BITS=3D8
+CONFIG_HAVE_ARCH_COMPAT_MMAP_BASES=3Dy
+CONFIG_HAVE_COPY_THREAD_TLS=3Dy
+CONFIG_HAVE_STACK_VALIDATION=3Dy
+CONFIG_HAVE_RELIABLE_STACKTRACE=3Dy
+CONFIG_ISA_BUS_API=3Dy
+CONFIG_OLD_SIGSUSPEND3=3Dy
+CONFIG_COMPAT_OLD_SIGACTION=3Dy
+CONFIG_64BIT_TIME=3Dy
+CONFIG_COMPAT_32BIT_TIME=3Dy
+CONFIG_HAVE_ARCH_VMAP_STACK=3Dy
+CONFIG_VMAP_STACK=3Dy
+CONFIG_ARCH_HAS_STRICT_KERNEL_RWX=3Dy
+CONFIG_STRICT_KERNEL_RWX=3Dy
+CONFIG_ARCH_HAS_STRICT_MODULE_RWX=3Dy
+CONFIG_STRICT_MODULE_RWX=3Dy
+CONFIG_ARCH_HAS_REFCOUNT=3Dy
+CONFIG_REFCOUNT_FULL=3Dy
+CONFIG_HAVE_ARCH_PREL32_RELOCATIONS=3Dy
+CONFIG_ARCH_USE_MEMREMAP_PROT=3Dy
+# CONFIG_LOCK_EVENT_COUNTS is not set
+CONFIG_ARCH_HAS_MEM_ENCRYPT=3Dy
+
+#
+# GCOV-based kernel profiling
+#
+# CONFIG_GCOV_KERNEL is not set
+CONFIG_ARCH_HAS_GCOV_PROFILE_ALL=3Dy
+# end of GCOV-based kernel profiling
+
+CONFIG_PLUGIN_HOSTCC=3D"g++"
+CONFIG_HAVE_GCC_PLUGINS=3Dy
+CONFIG_GCC_PLUGINS=3Dy
+
+#
+# GCC plugins
+#
+# CONFIG_GCC_PLUGIN_CYC_COMPLEXITY is not set
+# CONFIG_GCC_PLUGIN_LATENT_ENTROPY is not set
+# CONFIG_GCC_PLUGIN_RANDSTRUCT is not set
+# end of GCC plugins
+# end of General architecture-dependent options
+
+CONFIG_RT_MUTEXES=3Dy
+CONFIG_BASE_SMALL=3D0
+CONFIG_MODULES=3Dy
+# CONFIG_MODULE_FORCE_LOAD is not set
+CONFIG_MODULE_UNLOAD=3Dy
+# CONFIG_MODULE_FORCE_UNLOAD is not set
+CONFIG_MODVERSIONS=3Dy
+CONFIG_ASM_MODVERSIONS=3Dy
+CONFIG_MODULE_SRCVERSION_ALL=3Dy
+# CONFIG_MODULE_SIG is not set
+# CONFIG_MODULE_COMPRESS is not set
+# CONFIG_MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS is not set
+CONFIG_UNUSED_SYMBOLS=3Dy
+CONFIG_MODULES_TREE_LOOKUP=3Dy
+CONFIG_BLOCK=3Dy
+CONFIG_BLK_RQ_ALLOC_TIME=3Dy
+CONFIG_BLK_SCSI_REQUEST=3Dy
+CONFIG_BLK_DEV_BSG=3Dy
+CONFIG_BLK_DEV_BSGLIB=3Dy
+CONFIG_BLK_DEV_INTEGRITY=3Dy
+CONFIG_BLK_DEV_ZONED=3Dy
+CONFIG_BLK_DEV_THROTTLING=3Dy
+# CONFIG_BLK_DEV_THROTTLING_LOW is not set
+CONFIG_BLK_CMDLINE_PARSER=3Dy
+CONFIG_BLK_WBT=3Dy
+# CONFIG_BLK_CGROUP_IOLATENCY is not set
+CONFIG_BLK_CGROUP_IOCOST=3Dy
+CONFIG_BLK_WBT_MQ=3Dy
+CONFIG_BLK_DEBUG_FS=3Dy
+CONFIG_BLK_DEBUG_FS_ZONED=3Dy
+# CONFIG_BLK_SED_OPAL is not set
+
+#
+# Partition Types
+#
+CONFIG_PARTITION_ADVANCED=3Dy
+# CONFIG_ACORN_PARTITION is not set
+CONFIG_AIX_PARTITION=3Dy
+CONFIG_OSF_PARTITION=3Dy
+CONFIG_AMIGA_PARTITION=3Dy
+CONFIG_ATARI_PARTITION=3Dy
+CONFIG_MAC_PARTITION=3Dy
+CONFIG_MSDOS_PARTITION=3Dy
+CONFIG_BSD_DISKLABEL=3Dy
+CONFIG_MINIX_SUBPARTITION=3Dy
+CONFIG_SOLARIS_X86_PARTITION=3Dy
+CONFIG_UNIXWARE_DISKLABEL=3Dy
+CONFIG_LDM_PARTITION=3Dy
+# CONFIG_LDM_DEBUG is not set
+CONFIG_SGI_PARTITION=3Dy
+CONFIG_ULTRIX_PARTITION=3Dy
+CONFIG_SUN_PARTITION=3Dy
+CONFIG_KARMA_PARTITION=3Dy
+CONFIG_EFI_PARTITION=3Dy
+CONFIG_SYSV68_PARTITION=3Dy
+CONFIG_CMDLINE_PARTITION=3Dy
+# end of Partition Types
+
+CONFIG_BLOCK_COMPAT=3Dy
+CONFIG_BLK_MQ_PCI=3Dy
+CONFIG_BLK_MQ_VIRTIO=3Dy
+CONFIG_BLK_MQ_RDMA=3Dy
+CONFIG_BLK_PM=3Dy
+
+#
+# IO Schedulers
+#
+CONFIG_MQ_IOSCHED_DEADLINE=3Dy
+CONFIG_MQ_IOSCHED_KYBER=3Dm
+CONFIG_IOSCHED_BFQ=3Dm
+# CONFIG_BFQ_GROUP_IOSCHED is not set
+# end of IO Schedulers
+
+CONFIG_PREEMPT_NOTIFIERS=3Dy
+CONFIG_PADATA=3Dy
+CONFIG_ASN1=3Dy
+CONFIG_INLINE_SPIN_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_READ_UNLOCK=3Dy
+CONFIG_INLINE_READ_UNLOCK_IRQ=3Dy
+CONFIG_INLINE_WRITE_UNLOCK=3Dy
+CONFIG_INLINE_WRITE_UNLOCK_IRQ=3Dy
+CONFIG_ARCH_SUPPORTS_ATOMIC_RMW=3Dy
+CONFIG_MUTEX_SPIN_ON_OWNER=3Dy
+CONFIG_RWSEM_SPIN_ON_OWNER=3Dy
+CONFIG_LOCK_SPIN_ON_OWNER=3Dy
+CONFIG_ARCH_USE_QUEUED_SPINLOCKS=3Dy
+CONFIG_QUEUED_SPINLOCKS=3Dy
+CONFIG_ARCH_USE_QUEUED_RWLOCKS=3Dy
+CONFIG_QUEUED_RWLOCKS=3Dy
+CONFIG_ARCH_HAS_SYNC_CORE_BEFORE_USERMODE=3Dy
+CONFIG_ARCH_HAS_SYSCALL_WRAPPER=3Dy
+CONFIG_FREEZER=3Dy
+
+#
+# Executable file formats
+#
+CONFIG_BINFMT_ELF=3Dy
+CONFIG_COMPAT_BINFMT_ELF=3Dy
+CONFIG_ELFCORE=3Dy
+CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS=3Dy
+CONFIG_BINFMT_SCRIPT=3Dy
+CONFIG_BINFMT_MISC=3Dm
+CONFIG_COREDUMP=3Dy
+# end of Executable file formats
+
+#
+# Memory Management options
+#
+CONFIG_SELECT_MEMORY_MODEL=3Dy
+CONFIG_SPARSEMEM_MANUAL=3Dy
+CONFIG_SPARSEMEM=3Dy
+CONFIG_NEED_MULTIPLE_NODES=3Dy
+CONFIG_HAVE_MEMORY_PRESENT=3Dy
+CONFIG_SPARSEMEM_EXTREME=3Dy
+CONFIG_SPARSEMEM_VMEMMAP_ENABLE=3Dy
+CONFIG_SPARSEMEM_VMEMMAP=3Dy
+CONFIG_HAVE_MEMBLOCK_NODE_MAP=3Dy
+CONFIG_HAVE_FAST_GUP=3Dy
+CONFIG_MEMORY_ISOLATION=3Dy
+CONFIG_HAVE_BOOTMEM_INFO_NODE=3Dy
+CONFIG_MEMORY_HOTPLUG=3Dy
+CONFIG_MEMORY_HOTPLUG_SPARSE=3Dy
+# CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE is not set
+CONFIG_MEMORY_HOTREMOVE=3Dy
+CONFIG_SPLIT_PTLOCK_CPUS=3D4
+CONFIG_MEMORY_BALLOON=3Dy
+CONFIG_BALLOON_COMPACTION=3Dy
+CONFIG_COMPACTION=3Dy
+CONFIG_MIGRATION=3Dy
+CONFIG_CONTIG_ALLOC=3Dy
+CONFIG_PHYS_ADDR_T_64BIT=3Dy
+CONFIG_VIRT_TO_BUS=3Dy
+CONFIG_MMU_NOTIFIER=3Dy
+CONFIG_KSM=3Dy
+CONFIG_DEFAULT_MMAP_MIN_ADDR=3D65536
+CONFIG_ARCH_SUPPORTS_MEMORY_FAILURE=3Dy
+CONFIG_MEMORY_FAILURE=3Dy
+CONFIG_HWPOISON_INJECT=3Dm
+CONFIG_TRANSPARENT_HUGEPAGE=3Dy
+CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS=3Dy
+# CONFIG_TRANSPARENT_HUGEPAGE_MADVISE is not set
+CONFIG_ARCH_WANTS_THP_SWAP=3Dy
+CONFIG_THP_SWAP=3Dy
+CONFIG_TRANSPARENT_HUGE_PAGECACHE=3Dy
+CONFIG_CLEANCACHE=3Dy
+CONFIG_FRONTSWAP=3Dy
+CONFIG_CMA=3Dy
+# CONFIG_CMA_DEBUG is not set
+# CONFIG_CMA_DEBUGFS is not set
+CONFIG_CMA_AREAS=3D7
+CONFIG_MEM_SOFT_DIRTY=3Dy
+CONFIG_ZSWAP=3Dy
+CONFIG_ZPOOL=3Dy
+CONFIG_ZBUD=3Dy
+CONFIG_Z3FOLD=3Dm
+CONFIG_ZSMALLOC=3Dy
+CONFIG_PGTABLE_MAPPING=3Dy
+# CONFIG_ZSMALLOC_STAT is not set
+CONFIG_GENERIC_EARLY_IOREMAP=3Dy
+# CONFIG_DEFERRED_STRUCT_PAGE_INIT is not set
+CONFIG_IDLE_PAGE_TRACKING=3Dy
+CONFIG_ARCH_HAS_PTE_DEVMAP=3Dy
+CONFIG_ZONE_DEVICE=3Dy
+CONFIG_DEV_PAGEMAP_OPS=3Dy
+CONFIG_HMM_MIRROR=3Dy
+# CONFIG_DEVICE_PRIVATE is not set
+CONFIG_FRAME_VECTOR=3Dy
+CONFIG_ARCH_USES_HIGH_VMA_FLAGS=3Dy
+CONFIG_ARCH_HAS_PKEYS=3Dy
+# CONFIG_PERCPU_STATS is not set
+# CONFIG_GUP_BENCHMARK is not set
+# CONFIG_READ_ONLY_THP_FOR_FS is not set
+CONFIG_ARCH_HAS_PTE_SPECIAL=3Dy
+# end of Memory Management options
+
+CONFIG_NET=3Dy
+CONFIG_COMPAT_NETLINK_MESSAGES=3Dy
+CONFIG_NET_INGRESS=3Dy
+CONFIG_NET_EGRESS=3Dy
+CONFIG_SKB_EXTENSIONS=3Dy
+
+#
+# Networking options
+#
+CONFIG_PACKET=3Dy
+CONFIG_PACKET_DIAG=3Dm
+CONFIG_UNIX=3Dy
+CONFIG_UNIX_SCM=3Dy
+CONFIG_UNIX_DIAG=3Dm
+CONFIG_TLS=3Dm
+# CONFIG_TLS_DEVICE is not set
+CONFIG_XFRM=3Dy
+CONFIG_XFRM_OFFLOAD=3Dy
+CONFIG_XFRM_ALGO=3Dm
+CONFIG_XFRM_USER=3Dm
+CONFIG_XFRM_INTERFACE=3Dm
+# CONFIG_XFRM_SUB_POLICY is not set
+# CONFIG_XFRM_MIGRATE is not set
+CONFIG_XFRM_STATISTICS=3Dy
+CONFIG_XFRM_IPCOMP=3Dm
+CONFIG_NET_KEY=3Dm
+# CONFIG_NET_KEY_MIGRATE is not set
+# CONFIG_SMC is not set
+# CONFIG_XDP_SOCKETS is not set
+CONFIG_INET=3Dy
+CONFIG_IP_MULTICAST=3Dy
+CONFIG_IP_ADVANCED_ROUTER=3Dy
+CONFIG_IP_FIB_TRIE_STATS=3Dy
+CONFIG_IP_MULTIPLE_TABLES=3Dy
+CONFIG_IP_ROUTE_MULTIPATH=3Dy
+CONFIG_IP_ROUTE_VERBOSE=3Dy
+CONFIG_IP_ROUTE_CLASSID=3Dy
+CONFIG_IP_PNP=3Dy
+CONFIG_IP_PNP_DHCP=3Dy
+# CONFIG_IP_PNP_BOOTP is not set
+# CONFIG_IP_PNP_RARP is not set
+CONFIG_NET_IPIP=3Dm
+CONFIG_NET_IPGRE_DEMUX=3Dm
+CONFIG_NET_IP_TUNNEL=3Dm
+CONFIG_NET_IPGRE=3Dm
+CONFIG_NET_IPGRE_BROADCAST=3Dy
+CONFIG_IP_MROUTE_COMMON=3Dy
+CONFIG_IP_MROUTE=3Dy
+# CONFIG_IP_MROUTE_MULTIPLE_TABLES is not set
+CONFIG_IP_PIMSM_V1=3Dy
+CONFIG_IP_PIMSM_V2=3Dy
+CONFIG_SYN_COOKIES=3Dy
+CONFIG_NET_IPVTI=3Dm
+CONFIG_NET_UDP_TUNNEL=3Dm
+CONFIG_NET_FOU=3Dm
+CONFIG_NET_FOU_IP_TUNNELS=3Dy
+CONFIG_INET_AH=3Dm
+CONFIG_INET_ESP=3Dm
+CONFIG_INET_ESP_OFFLOAD=3Dm
+CONFIG_INET_IPCOMP=3Dm
+CONFIG_INET_XFRM_TUNNEL=3Dm
+CONFIG_INET_TUNNEL=3Dm
+CONFIG_INET_DIAG=3Dm
+CONFIG_INET_TCP_DIAG=3Dm
+CONFIG_INET_UDP_DIAG=3Dm
+CONFIG_INET_RAW_DIAG=3Dm
+# CONFIG_INET_DIAG_DESTROY is not set
+CONFIG_TCP_CONG_ADVANCED=3Dy
+CONFIG_TCP_CONG_BIC=3Dm
+CONFIG_TCP_CONG_CUBIC=3Dy
+CONFIG_TCP_CONG_WESTWOOD=3Dm
+CONFIG_TCP_CONG_HTCP=3Dm
+CONFIG_TCP_CONG_HSTCP=3Dm
+CONFIG_TCP_CONG_HYBLA=3Dm
+CONFIG_TCP_CONG_VEGAS=3Dm
+CONFIG_TCP_CONG_NV=3Dm
+CONFIG_TCP_CONG_SCALABLE=3Dm
+CONFIG_TCP_CONG_LP=3Dm
+CONFIG_TCP_CONG_VENO=3Dm
+CONFIG_TCP_CONG_YEAH=3Dm
+CONFIG_TCP_CONG_ILLINOIS=3Dm
+CONFIG_TCP_CONG_DCTCP=3Dm
+CONFIG_TCP_CONG_CDG=3Dm
+CONFIG_TCP_CONG_BBR=3Dm
+CONFIG_DEFAULT_CUBIC=3Dy
+# CONFIG_DEFAULT_RENO is not set
+CONFIG_DEFAULT_TCP_CONG=3D"cubic"
+CONFIG_TCP_MD5SIG=3Dy
+CONFIG_IPV6=3Dy
+CONFIG_IPV6_ROUTER_PREF=3Dy
+CONFIG_IPV6_ROUTE_INFO=3Dy
+# CONFIG_IPV6_OPTIMISTIC_DAD is not set
+CONFIG_INET6_AH=3Dm
+CONFIG_INET6_ESP=3Dm
+CONFIG_INET6_ESP_OFFLOAD=3Dm
+CONFIG_INET6_IPCOMP=3Dm
+CONFIG_IPV6_MIP6=3Dm
+CONFIG_IPV6_ILA=3Dm
+CONFIG_INET6_XFRM_TUNNEL=3Dm
+CONFIG_INET6_TUNNEL=3Dm
+CONFIG_IPV6_VTI=3Dm
+CONFIG_IPV6_SIT=3Dm
+CONFIG_IPV6_SIT_6RD=3Dy
+CONFIG_IPV6_NDISC_NODETYPE=3Dy
+CONFIG_IPV6_TUNNEL=3Dm
+CONFIG_IPV6_GRE=3Dm
+CONFIG_IPV6_FOU=3Dm
+CONFIG_IPV6_FOU_TUNNEL=3Dm
+CONFIG_IPV6_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_SUBTREES=3Dy
+CONFIG_IPV6_MROUTE=3Dy
+CONFIG_IPV6_MROUTE_MULTIPLE_TABLES=3Dy
+CONFIG_IPV6_PIMSM_V2=3Dy
+# CONFIG_IPV6_SEG6_LWTUNNEL is not set
+# CONFIG_IPV6_SEG6_HMAC is not set
+CONFIG_NETLABEL=3Dy
+CONFIG_NETWORK_SECMARK=3Dy
+CONFIG_NET_PTP_CLASSIFY=3Dy
+# CONFIG_NETWORK_PHY_TIMESTAMPING is not set
+CONFIG_NETFILTER=3Dy
+CONFIG_NETFILTER_ADVANCED=3Dy
+CONFIG_BRIDGE_NETFILTER=3Dm
+
+#
+# Core Netfilter Configuration
+#
+CONFIG_NETFILTER_INGRESS=3Dy
+CONFIG_NETFILTER_NETLINK=3Dm
+CONFIG_NETFILTER_FAMILY_BRIDGE=3Dy
+CONFIG_NETFILTER_FAMILY_ARP=3Dy
+CONFIG_NETFILTER_NETLINK_ACCT=3Dm
+CONFIG_NETFILTER_NETLINK_QUEUE=3Dm
+CONFIG_NETFILTER_NETLINK_LOG=3Dm
+CONFIG_NETFILTER_NETLINK_OSF=3Dm
+CONFIG_NF_CONNTRACK=3Dm
+CONFIG_NF_LOG_COMMON=3Dm
+CONFIG_NF_LOG_NETDEV=3Dm
+CONFIG_NETFILTER_CONNCOUNT=3Dm
+CONFIG_NF_CONNTRACK_MARK=3Dy
+CONFIG_NF_CONNTRACK_SECMARK=3Dy
+CONFIG_NF_CONNTRACK_ZONES=3Dy
+# CONFIG_NF_CONNTRACK_PROCFS is not set
+CONFIG_NF_CONNTRACK_EVENTS=3Dy
+CONFIG_NF_CONNTRACK_TIMEOUT=3Dy
+CONFIG_NF_CONNTRACK_TIMESTAMP=3Dy
+CONFIG_NF_CONNTRACK_LABELS=3Dy
+CONFIG_NF_CT_PROTO_DCCP=3Dy
+CONFIG_NF_CT_PROTO_GRE=3Dy
+CONFIG_NF_CT_PROTO_SCTP=3Dy
+CONFIG_NF_CT_PROTO_UDPLITE=3Dy
+CONFIG_NF_CONNTRACK_AMANDA=3Dm
+CONFIG_NF_CONNTRACK_FTP=3Dm
+CONFIG_NF_CONNTRACK_H323=3Dm
+CONFIG_NF_CONNTRACK_IRC=3Dm
+CONFIG_NF_CONNTRACK_BROADCAST=3Dm
+CONFIG_NF_CONNTRACK_NETBIOS_NS=3Dm
+CONFIG_NF_CONNTRACK_SNMP=3Dm
+CONFIG_NF_CONNTRACK_PPTP=3Dm
+CONFIG_NF_CONNTRACK_SANE=3Dm
+CONFIG_NF_CONNTRACK_SIP=3Dm
+CONFIG_NF_CONNTRACK_TFTP=3Dm
+CONFIG_NF_CT_NETLINK=3Dm
+CONFIG_NF_CT_NETLINK_TIMEOUT=3Dm
+CONFIG_NF_CT_NETLINK_HELPER=3Dm
+CONFIG_NETFILTER_NETLINK_GLUE_CT=3Dy
+CONFIG_NF_NAT=3Dm
+CONFIG_NF_NAT_AMANDA=3Dm
+CONFIG_NF_NAT_FTP=3Dm
+CONFIG_NF_NAT_IRC=3Dm
+CONFIG_NF_NAT_SIP=3Dm
+CONFIG_NF_NAT_TFTP=3Dm
+CONFIG_NF_NAT_REDIRECT=3Dy
+CONFIG_NF_NAT_MASQUERADE=3Dy
+CONFIG_NETFILTER_SYNPROXY=3Dm
+CONFIG_NF_TABLES=3Dm
+CONFIG_NF_TABLES_SET=3Dm
+CONFIG_NF_TABLES_INET=3Dy
+CONFIG_NF_TABLES_NETDEV=3Dy
+CONFIG_NFT_NUMGEN=3Dm
+CONFIG_NFT_CT=3Dm
+CONFIG_NFT_FLOW_OFFLOAD=3Dm
+CONFIG_NFT_COUNTER=3Dm
+CONFIG_NFT_CONNLIMIT=3Dm
+CONFIG_NFT_LOG=3Dm
+CONFIG_NFT_LIMIT=3Dm
+CONFIG_NFT_MASQ=3Dm
+CONFIG_NFT_REDIR=3Dm
+CONFIG_NFT_NAT=3Dm
+CONFIG_NFT_TUNNEL=3Dm
+CONFIG_NFT_OBJREF=3Dm
+CONFIG_NFT_QUEUE=3Dm
+CONFIG_NFT_QUOTA=3Dm
+CONFIG_NFT_REJECT=3Dm
+CONFIG_NFT_REJECT_INET=3Dm
+CONFIG_NFT_COMPAT=3Dm
+CONFIG_NFT_HASH=3Dm
+CONFIG_NFT_FIB=3Dm
+CONFIG_NFT_FIB_INET=3Dm
+CONFIG_NFT_XFRM=3Dm
+CONFIG_NFT_SOCKET=3Dm
+CONFIG_NFT_OSF=3Dm
+CONFIG_NFT_TPROXY=3Dm
+CONFIG_NFT_SYNPROXY=3Dm
+CONFIG_NF_DUP_NETDEV=3Dm
+CONFIG_NFT_DUP_NETDEV=3Dm
+CONFIG_NFT_FWD_NETDEV=3Dm
+CONFIG_NFT_FIB_NETDEV=3Dm
+CONFIG_NF_FLOW_TABLE_INET=3Dm
+CONFIG_NF_FLOW_TABLE=3Dm
+CONFIG_NETFILTER_XTABLES=3Dm
+
+#
+# Xtables combined modules
+#
+CONFIG_NETFILTER_XT_MARK=3Dm
+CONFIG_NETFILTER_XT_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_SET=3Dm
+
+#
+# Xtables targets
+#
+CONFIG_NETFILTER_XT_TARGET_AUDIT=3Dm
+CONFIG_NETFILTER_XT_TARGET_CHECKSUM=3Dm
+CONFIG_NETFILTER_XT_TARGET_CLASSIFY=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CONNSECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_CT=3Dm
+CONFIG_NETFILTER_XT_TARGET_DSCP=3Dm
+CONFIG_NETFILTER_XT_TARGET_HL=3Dm
+CONFIG_NETFILTER_XT_TARGET_HMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_IDLETIMER=3Dm
+CONFIG_NETFILTER_XT_TARGET_LED=3Dm
+CONFIG_NETFILTER_XT_TARGET_LOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_MARK=3Dm
+CONFIG_NETFILTER_XT_NAT=3Dm
+CONFIG_NETFILTER_XT_TARGET_NETMAP=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFLOG=3Dm
+CONFIG_NETFILTER_XT_TARGET_NFQUEUE=3Dm
+# CONFIG_NETFILTER_XT_TARGET_NOTRACK is not set
+CONFIG_NETFILTER_XT_TARGET_RATEEST=3Dm
+CONFIG_NETFILTER_XT_TARGET_REDIRECT=3Dm
+CONFIG_NETFILTER_XT_TARGET_MASQUERADE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TEE=3Dm
+CONFIG_NETFILTER_XT_TARGET_TPROXY=3Dm
+CONFIG_NETFILTER_XT_TARGET_TRACE=3Dm
+CONFIG_NETFILTER_XT_TARGET_SECMARK=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_TARGET_TCPOPTSTRIP=3Dm
+
+#
+# Xtables matches
+#
+CONFIG_NETFILTER_XT_MATCH_ADDRTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_BPF=3Dm
+CONFIG_NETFILTER_XT_MATCH_CGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_CLUSTER=3Dm
+CONFIG_NETFILTER_XT_MATCH_COMMENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNBYTES=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLABEL=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNMARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CONNTRACK=3Dm
+CONFIG_NETFILTER_XT_MATCH_CPU=3Dm
+CONFIG_NETFILTER_XT_MATCH_DCCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DEVGROUP=3Dm
+CONFIG_NETFILTER_XT_MATCH_DSCP=3Dm
+CONFIG_NETFILTER_XT_MATCH_ECN=3Dm
+CONFIG_NETFILTER_XT_MATCH_ESP=3Dm
+CONFIG_NETFILTER_XT_MATCH_HASHLIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_HELPER=3Dm
+CONFIG_NETFILTER_XT_MATCH_HL=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPCOMP=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPRANGE=3Dm
+CONFIG_NETFILTER_XT_MATCH_IPVS=3Dm
+CONFIG_NETFILTER_XT_MATCH_L2TP=3Dm
+CONFIG_NETFILTER_XT_MATCH_LENGTH=3Dm
+CONFIG_NETFILTER_XT_MATCH_LIMIT=3Dm
+CONFIG_NETFILTER_XT_MATCH_MAC=3Dm
+CONFIG_NETFILTER_XT_MATCH_MARK=3Dm
+CONFIG_NETFILTER_XT_MATCH_MULTIPORT=3Dm
+CONFIG_NETFILTER_XT_MATCH_NFACCT=3Dm
+CONFIG_NETFILTER_XT_MATCH_OSF=3Dm
+CONFIG_NETFILTER_XT_MATCH_OWNER=3Dm
+CONFIG_NETFILTER_XT_MATCH_POLICY=3Dm
+CONFIG_NETFILTER_XT_MATCH_PHYSDEV=3Dm
+CONFIG_NETFILTER_XT_MATCH_PKTTYPE=3Dm
+CONFIG_NETFILTER_XT_MATCH_QUOTA=3Dm
+CONFIG_NETFILTER_XT_MATCH_RATEEST=3Dm
+CONFIG_NETFILTER_XT_MATCH_REALM=3Dm
+CONFIG_NETFILTER_XT_MATCH_RECENT=3Dm
+CONFIG_NETFILTER_XT_MATCH_SCTP=3Dm
+CONFIG_NETFILTER_XT_MATCH_SOCKET=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATE=3Dm
+CONFIG_NETFILTER_XT_MATCH_STATISTIC=3Dm
+CONFIG_NETFILTER_XT_MATCH_STRING=3Dm
+CONFIG_NETFILTER_XT_MATCH_TCPMSS=3Dm
+CONFIG_NETFILTER_XT_MATCH_TIME=3Dm
+CONFIG_NETFILTER_XT_MATCH_U32=3Dm
+# end of Core Netfilter Configuration
+
+CONFIG_IP_SET=3Dm
+CONFIG_IP_SET_MAX=3D256
+CONFIG_IP_SET_BITMAP_IP=3Dm
+CONFIG_IP_SET_BITMAP_IPMAC=3Dm
+CONFIG_IP_SET_BITMAP_PORT=3Dm
+CONFIG_IP_SET_HASH_IP=3Dm
+CONFIG_IP_SET_HASH_IPMARK=3Dm
+CONFIG_IP_SET_HASH_IPPORT=3Dm
+CONFIG_IP_SET_HASH_IPPORTIP=3Dm
+CONFIG_IP_SET_HASH_IPPORTNET=3Dm
+CONFIG_IP_SET_HASH_IPMAC=3Dm
+CONFIG_IP_SET_HASH_MAC=3Dm
+CONFIG_IP_SET_HASH_NETPORTNET=3Dm
+CONFIG_IP_SET_HASH_NET=3Dm
+CONFIG_IP_SET_HASH_NETNET=3Dm
+CONFIG_IP_SET_HASH_NETPORT=3Dm
+CONFIG_IP_SET_HASH_NETIFACE=3Dm
+CONFIG_IP_SET_LIST_SET=3Dm
+CONFIG_IP_VS=3Dm
+CONFIG_IP_VS_IPV6=3Dy
+# CONFIG_IP_VS_DEBUG is not set
+CONFIG_IP_VS_TAB_BITS=3D12
+
+#
+# IPVS transport protocol load balancing support
+#
+CONFIG_IP_VS_PROTO_TCP=3Dy
+CONFIG_IP_VS_PROTO_UDP=3Dy
+CONFIG_IP_VS_PROTO_AH_ESP=3Dy
+CONFIG_IP_VS_PROTO_ESP=3Dy
+CONFIG_IP_VS_PROTO_AH=3Dy
+CONFIG_IP_VS_PROTO_SCTP=3Dy
+
+#
+# IPVS scheduler
+#
+CONFIG_IP_VS_RR=3Dm
+CONFIG_IP_VS_WRR=3Dm
+CONFIG_IP_VS_LC=3Dm
+CONFIG_IP_VS_WLC=3Dm
+CONFIG_IP_VS_FO=3Dm
+CONFIG_IP_VS_OVF=3Dm
+CONFIG_IP_VS_LBLC=3Dm
+CONFIG_IP_VS_LBLCR=3Dm
+CONFIG_IP_VS_DH=3Dm
+CONFIG_IP_VS_SH=3Dm
+CONFIG_IP_VS_MH=3Dm
+CONFIG_IP_VS_SED=3Dm
+CONFIG_IP_VS_NQ=3Dm
+
+#
+# IPVS SH scheduler
+#
+CONFIG_IP_VS_SH_TAB_BITS=3D8
+
+#
+# IPVS MH scheduler
+#
+CONFIG_IP_VS_MH_TAB_INDEX=3D12
+
+#
+# IPVS application helper
+#
+CONFIG_IP_VS_FTP=3Dm
+CONFIG_IP_VS_NFCT=3Dy
+CONFIG_IP_VS_PE_SIP=3Dm
+
+#
+# IP: Netfilter Configuration
+#
+CONFIG_NF_DEFRAG_IPV4=3Dm
+CONFIG_NF_SOCKET_IPV4=3Dm
+CONFIG_NF_TPROXY_IPV4=3Dm
+CONFIG_NF_TABLES_IPV4=3Dy
+CONFIG_NFT_REJECT_IPV4=3Dm
+CONFIG_NFT_DUP_IPV4=3Dm
+CONFIG_NFT_FIB_IPV4=3Dm
+CONFIG_NF_TABLES_ARP=3Dy
+CONFIG_NF_FLOW_TABLE_IPV4=3Dm
+CONFIG_NF_DUP_IPV4=3Dm
+CONFIG_NF_LOG_ARP=3Dm
+CONFIG_NF_LOG_IPV4=3Dm
+CONFIG_NF_REJECT_IPV4=3Dm
+CONFIG_NF_NAT_SNMP_BASIC=3Dm
+CONFIG_NF_NAT_PPTP=3Dm
+CONFIG_NF_NAT_H323=3Dm
+CONFIG_IP_NF_IPTABLES=3Dm
+CONFIG_IP_NF_MATCH_AH=3Dm
+CONFIG_IP_NF_MATCH_ECN=3Dm
+CONFIG_IP_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP_NF_MATCH_TTL=3Dm
+CONFIG_IP_NF_FILTER=3Dm
+CONFIG_IP_NF_TARGET_REJECT=3Dm
+CONFIG_IP_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP_NF_NAT=3Dm
+CONFIG_IP_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP_NF_TARGET_NETMAP=3Dm
+CONFIG_IP_NF_TARGET_REDIRECT=3Dm
+CONFIG_IP_NF_MANGLE=3Dm
+CONFIG_IP_NF_TARGET_CLUSTERIP=3Dm
+CONFIG_IP_NF_TARGET_ECN=3Dm
+CONFIG_IP_NF_TARGET_TTL=3Dm
+CONFIG_IP_NF_RAW=3Dm
+CONFIG_IP_NF_SECURITY=3Dm
+CONFIG_IP_NF_ARPTABLES=3Dm
+CONFIG_IP_NF_ARPFILTER=3Dm
+CONFIG_IP_NF_ARP_MANGLE=3Dm
+# end of IP: Netfilter Configuration
+
+#
+# IPv6: Netfilter Configuration
+#
+CONFIG_NF_SOCKET_IPV6=3Dm
+CONFIG_NF_TPROXY_IPV6=3Dm
+CONFIG_NF_TABLES_IPV6=3Dy
+CONFIG_NFT_REJECT_IPV6=3Dm
+CONFIG_NFT_DUP_IPV6=3Dm
+CONFIG_NFT_FIB_IPV6=3Dm
+CONFIG_NF_FLOW_TABLE_IPV6=3Dm
+CONFIG_NF_DUP_IPV6=3Dm
+CONFIG_NF_REJECT_IPV6=3Dm
+CONFIG_NF_LOG_IPV6=3Dm
+CONFIG_IP6_NF_IPTABLES=3Dm
+CONFIG_IP6_NF_MATCH_AH=3Dm
+CONFIG_IP6_NF_MATCH_EUI64=3Dm
+CONFIG_IP6_NF_MATCH_FRAG=3Dm
+CONFIG_IP6_NF_MATCH_OPTS=3Dm
+CONFIG_IP6_NF_MATCH_HL=3Dm
+CONFIG_IP6_NF_MATCH_IPV6HEADER=3Dm
+CONFIG_IP6_NF_MATCH_MH=3Dm
+CONFIG_IP6_NF_MATCH_RPFILTER=3Dm
+CONFIG_IP6_NF_MATCH_RT=3Dm
+CONFIG_IP6_NF_MATCH_SRH=3Dm
+CONFIG_IP6_NF_TARGET_HL=3Dm
+CONFIG_IP6_NF_FILTER=3Dm
+CONFIG_IP6_NF_TARGET_REJECT=3Dm
+CONFIG_IP6_NF_TARGET_SYNPROXY=3Dm
+CONFIG_IP6_NF_MANGLE=3Dm
+CONFIG_IP6_NF_RAW=3Dm
+CONFIG_IP6_NF_SECURITY=3Dm
+CONFIG_IP6_NF_NAT=3Dm
+CONFIG_IP6_NF_TARGET_MASQUERADE=3Dm
+CONFIG_IP6_NF_TARGET_NPT=3Dm
+# end of IPv6: Netfilter Configuration
+
+CONFIG_NF_DEFRAG_IPV6=3Dm
+
+#
+# DECnet: Netfilter Configuration
+#
+CONFIG_DECNET_NF_GRABULATOR=3Dm
+# end of DECnet: Netfilter Configuration
+
+CONFIG_NF_TABLES_BRIDGE=3Dm
+CONFIG_NFT_BRIDGE_META=3Dm
+CONFIG_NFT_BRIDGE_REJECT=3Dm
+CONFIG_NF_LOG_BRIDGE=3Dm
+CONFIG_NF_CONNTRACK_BRIDGE=3Dm
+CONFIG_BRIDGE_NF_EBTABLES=3Dm
+CONFIG_BRIDGE_EBT_BROUTE=3Dm
+CONFIG_BRIDGE_EBT_T_FILTER=3Dm
+CONFIG_BRIDGE_EBT_T_NAT=3Dm
+CONFIG_BRIDGE_EBT_802_3=3Dm
+CONFIG_BRIDGE_EBT_AMONG=3Dm
+CONFIG_BRIDGE_EBT_ARP=3Dm
+CONFIG_BRIDGE_EBT_IP=3Dm
+CONFIG_BRIDGE_EBT_IP6=3Dm
+CONFIG_BRIDGE_EBT_LIMIT=3Dm
+CONFIG_BRIDGE_EBT_MARK=3Dm
+CONFIG_BRIDGE_EBT_PKTTYPE=3Dm
+CONFIG_BRIDGE_EBT_STP=3Dm
+CONFIG_BRIDGE_EBT_VLAN=3Dm
+CONFIG_BRIDGE_EBT_ARPREPLY=3Dm
+CONFIG_BRIDGE_EBT_DNAT=3Dm
+CONFIG_BRIDGE_EBT_MARK_T=3Dm
+CONFIG_BRIDGE_EBT_REDIRECT=3Dm
+CONFIG_BRIDGE_EBT_SNAT=3Dm
+CONFIG_BRIDGE_EBT_LOG=3Dm
+CONFIG_BRIDGE_EBT_NFLOG=3Dm
+# CONFIG_BPFILTER is not set
+CONFIG_IP_DCCP=3Dm
+CONFIG_INET_DCCP_DIAG=3Dm
+
+#
+# DCCP CCIDs Configuration
+#
+# CONFIG_IP_DCCP_CCID2_DEBUG is not set
+# CONFIG_IP_DCCP_CCID3 is not set
+# end of DCCP CCIDs Configuration
+
+#
+# DCCP Kernel Hacking
+#
+# CONFIG_IP_DCCP_DEBUG is not set
+# end of DCCP Kernel Hacking
+
+CONFIG_IP_SCTP=3Dm
+# CONFIG_SCTP_DBG_OBJCNT is not set
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_MD5 is not set
+CONFIG_SCTP_DEFAULT_COOKIE_HMAC_SHA1=3Dy
+# CONFIG_SCTP_DEFAULT_COOKIE_HMAC_NONE is not set
+CONFIG_SCTP_COOKIE_HMAC_MD5=3Dy
+CONFIG_SCTP_COOKIE_HMAC_SHA1=3Dy
+CONFIG_INET_SCTP_DIAG=3Dm
+CONFIG_RDS=3Dm
+CONFIG_RDS_RDMA=3Dm
+CONFIG_RDS_TCP=3Dm
+# CONFIG_RDS_DEBUG is not set
+CONFIG_TIPC=3Dm
+CONFIG_TIPC_MEDIA_IB=3Dy
+CONFIG_TIPC_MEDIA_UDP=3Dy
+CONFIG_TIPC_DIAG=3Dm
+CONFIG_ATM=3Dm
+CONFIG_ATM_CLIP=3Dm
+# CONFIG_ATM_CLIP_NO_ICMP is not set
+CONFIG_ATM_LANE=3Dm
+CONFIG_ATM_MPOA=3Dm
+CONFIG_ATM_BR2684=3Dm
+# CONFIG_ATM_BR2684_IPFILTER is not set
+CONFIG_L2TP=3Dm
+CONFIG_L2TP_DEBUGFS=3Dm
+CONFIG_L2TP_V3=3Dy
+CONFIG_L2TP_IP=3Dm
+CONFIG_L2TP_ETH=3Dm
+CONFIG_STP=3Dm
+CONFIG_GARP=3Dm
+CONFIG_MRP=3Dm
+CONFIG_BRIDGE=3Dm
+CONFIG_BRIDGE_IGMP_SNOOPING=3Dy
+CONFIG_BRIDGE_VLAN_FILTERING=3Dy
+CONFIG_HAVE_NET_DSA=3Dy
+CONFIG_NET_DSA=3Dm
+CONFIG_NET_DSA_TAG_8021Q=3Dm
+CONFIG_NET_DSA_TAG_BRCM_COMMON=3Dm
+CONFIG_NET_DSA_TAG_BRCM=3Dm
+CONFIG_NET_DSA_TAG_BRCM_PREPEND=3Dm
+CONFIG_NET_DSA_TAG_GSWIP=3Dm
+CONFIG_NET_DSA_TAG_DSA=3Dm
+CONFIG_NET_DSA_TAG_EDSA=3Dm
+CONFIG_NET_DSA_TAG_MTK=3Dm
+CONFIG_NET_DSA_TAG_KSZ=3Dm
+CONFIG_NET_DSA_TAG_QCA=3Dm
+CONFIG_NET_DSA_TAG_LAN9303=3Dm
+CONFIG_NET_DSA_TAG_SJA1105=3Dm
+CONFIG_NET_DSA_TAG_TRAILER=3Dm
+CONFIG_VLAN_8021Q=3Dm
+CONFIG_VLAN_8021Q_GVRP=3Dy
+CONFIG_VLAN_8021Q_MVRP=3Dy
+CONFIG_DECNET=3Dm
+# CONFIG_DECNET_ROUTER is not set
+CONFIG_LLC=3Dm
+CONFIG_LLC2=3Dm
+CONFIG_ATALK=3Dm
+CONFIG_DEV_APPLETALK=3Dm
+CONFIG_IPDDP=3Dm
+CONFIG_IPDDP_ENCAP=3Dy
+CONFIG_X25=3Dm
+CONFIG_LAPB=3Dm
+CONFIG_PHONET=3Dm
+CONFIG_6LOWPAN=3Dm
+# CONFIG_6LOWPAN_DEBUGFS is not set
+CONFIG_6LOWPAN_NHC=3Dm
+CONFIG_6LOWPAN_NHC_DEST=3Dm
+CONFIG_6LOWPAN_NHC_FRAGMENT=3Dm
+CONFIG_6LOWPAN_NHC_HOP=3Dm
+CONFIG_6LOWPAN_NHC_IPV6=3Dm
+CONFIG_6LOWPAN_NHC_MOBILITY=3Dm
+CONFIG_6LOWPAN_NHC_ROUTING=3Dm
+CONFIG_6LOWPAN_NHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_HOP=3Dm
+CONFIG_6LOWPAN_GHC_UDP=3Dm
+CONFIG_6LOWPAN_GHC_ICMPV6=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_DEST=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_FRAG=3Dm
+CONFIG_6LOWPAN_GHC_EXT_HDR_ROUTE=3Dm
+CONFIG_IEEE802154=3Dm
+CONFIG_IEEE802154_NL802154_EXPERIMENTAL=3Dy
+CONFIG_IEEE802154_SOCKET=3Dm
+CONFIG_IEEE802154_6LOWPAN=3Dm
+CONFIG_MAC802154=3Dm
+CONFIG_NET_SCHED=3Dy
+
+#
+# Queueing/Scheduling
+#
+CONFIG_NET_SCH_CBQ=3Dm
+CONFIG_NET_SCH_HTB=3Dm
+CONFIG_NET_SCH_HFSC=3Dm
+CONFIG_NET_SCH_ATM=3Dm
+CONFIG_NET_SCH_PRIO=3Dm
+CONFIG_NET_SCH_MULTIQ=3Dm
+CONFIG_NET_SCH_RED=3Dm
+CONFIG_NET_SCH_SFB=3Dm
+CONFIG_NET_SCH_SFQ=3Dm
+CONFIG_NET_SCH_TEQL=3Dm
+CONFIG_NET_SCH_TBF=3Dm
+CONFIG_NET_SCH_CBS=3Dm
+CONFIG_NET_SCH_ETF=3Dm
+CONFIG_NET_SCH_TAPRIO=3Dm
+CONFIG_NET_SCH_GRED=3Dm
+CONFIG_NET_SCH_DSMARK=3Dm
+CONFIG_NET_SCH_NETEM=3Dm
+CONFIG_NET_SCH_DRR=3Dm
+CONFIG_NET_SCH_MQPRIO=3Dm
+CONFIG_NET_SCH_SKBPRIO=3Dm
+CONFIG_NET_SCH_CHOKE=3Dm
+CONFIG_NET_SCH_QFQ=3Dm
+CONFIG_NET_SCH_CODEL=3Dm
+CONFIG_NET_SCH_FQ_CODEL=3Dm
+CONFIG_NET_SCH_CAKE=3Dm
+CONFIG_NET_SCH_FQ=3Dm
+CONFIG_NET_SCH_HHF=3Dm
+CONFIG_NET_SCH_PIE=3Dm
+CONFIG_NET_SCH_INGRESS=3Dm
+CONFIG_NET_SCH_PLUG=3Dm
+# CONFIG_NET_SCH_DEFAULT is not set
+
+#
+# Classification
+#
+CONFIG_NET_CLS=3Dy
+CONFIG_NET_CLS_BASIC=3Dm
+CONFIG_NET_CLS_TCINDEX=3Dm
+CONFIG_NET_CLS_ROUTE4=3Dm
+CONFIG_NET_CLS_FW=3Dm
+CONFIG_NET_CLS_U32=3Dm
+# CONFIG_CLS_U32_PERF is not set
+CONFIG_CLS_U32_MARK=3Dy
+CONFIG_NET_CLS_RSVP=3Dm
+CONFIG_NET_CLS_RSVP6=3Dm
+CONFIG_NET_CLS_FLOW=3Dm
+CONFIG_NET_CLS_CGROUP=3Dm
+CONFIG_NET_CLS_BPF=3Dm
+CONFIG_NET_CLS_FLOWER=3Dm
+CONFIG_NET_CLS_MATCHALL=3Dm
+CONFIG_NET_EMATCH=3Dy
+CONFIG_NET_EMATCH_STACK=3D32
+CONFIG_NET_EMATCH_CMP=3Dm
+CONFIG_NET_EMATCH_NBYTE=3Dm
+CONFIG_NET_EMATCH_U32=3Dm
+CONFIG_NET_EMATCH_META=3Dm
+CONFIG_NET_EMATCH_TEXT=3Dm
+CONFIG_NET_EMATCH_CANID=3Dm
+CONFIG_NET_EMATCH_IPSET=3Dm
+CONFIG_NET_EMATCH_IPT=3Dm
+CONFIG_NET_CLS_ACT=3Dy
+CONFIG_NET_ACT_POLICE=3Dm
+CONFIG_NET_ACT_GACT=3Dm
+CONFIG_GACT_PROB=3Dy
+CONFIG_NET_ACT_MIRRED=3Dm
+CONFIG_NET_ACT_SAMPLE=3Dm
+CONFIG_NET_ACT_IPT=3Dm
+CONFIG_NET_ACT_NAT=3Dm
+CONFIG_NET_ACT_PEDIT=3Dm
+CONFIG_NET_ACT_SIMP=3Dm
+CONFIG_NET_ACT_SKBEDIT=3Dm
+CONFIG_NET_ACT_CSUM=3Dm
+CONFIG_NET_ACT_MPLS=3Dm
+CONFIG_NET_ACT_VLAN=3Dm
+CONFIG_NET_ACT_BPF=3Dm
+CONFIG_NET_ACT_CONNMARK=3Dm
+CONFIG_NET_ACT_CTINFO=3Dm
+CONFIG_NET_ACT_SKBMOD=3Dm
+CONFIG_NET_ACT_IFE=3Dm
+CONFIG_NET_ACT_TUNNEL_KEY=3Dm
+CONFIG_NET_ACT_CT=3Dm
+CONFIG_NET_IFE_SKBMARK=3Dm
+CONFIG_NET_IFE_SKBPRIO=3Dm
+CONFIG_NET_IFE_SKBTCINDEX=3Dm
+# CONFIG_NET_TC_SKB_EXT is not set
+CONFIG_NET_SCH_FIFO=3Dy
+CONFIG_DCB=3Dy
+CONFIG_DNS_RESOLVER=3Dy
+CONFIG_BATMAN_ADV=3Dm
+# CONFIG_BATMAN_ADV_BATMAN_V is not set
+CONFIG_BATMAN_ADV_BLA=3Dy
+CONFIG_BATMAN_ADV_DAT=3Dy
+CONFIG_BATMAN_ADV_NC=3Dy
+CONFIG_BATMAN_ADV_MCAST=3Dy
+CONFIG_BATMAN_ADV_DEBUGFS=3Dy
+# CONFIG_BATMAN_ADV_DEBUG is not set
+CONFIG_BATMAN_ADV_SYSFS=3Dy
+# CONFIG_BATMAN_ADV_TRACING is not set
+CONFIG_OPENVSWITCH=3Dm
+CONFIG_OPENVSWITCH_GRE=3Dm
+CONFIG_OPENVSWITCH_VXLAN=3Dm
+CONFIG_OPENVSWITCH_GENEVE=3Dm
+CONFIG_VSOCKETS=3Dm
+CONFIG_VSOCKETS_DIAG=3Dm
+CONFIG_VMWARE_VMCI_VSOCKETS=3Dm
+CONFIG_VIRTIO_VSOCKETS=3Dm
+CONFIG_VIRTIO_VSOCKETS_COMMON=3Dm
+CONFIG_HYPERV_VSOCKETS=3Dm
+CONFIG_NETLINK_DIAG=3Dm
+CONFIG_MPLS=3Dy
+CONFIG_NET_MPLS_GSO=3Dm
+CONFIG_MPLS_ROUTING=3Dm
+CONFIG_MPLS_IPTUNNEL=3Dm
+CONFIG_NET_NSH=3Dm
+CONFIG_HSR=3Dm
+CONFIG_NET_SWITCHDEV=3Dy
+CONFIG_NET_L3_MASTER_DEV=3Dy
+CONFIG_NET_NCSI=3Dy
+# CONFIG_NCSI_OEM_CMD_GET_MAC is not set
+CONFIG_RPS=3Dy
+CONFIG_RFS_ACCEL=3Dy
+CONFIG_XPS=3Dy
+CONFIG_CGROUP_NET_PRIO=3Dy
+CONFIG_CGROUP_NET_CLASSID=3Dy
+CONFIG_NET_RX_BUSY_POLL=3Dy
+CONFIG_BQL=3Dy
+# CONFIG_BPF_JIT is not set
+# CONFIG_BPF_STREAM_PARSER is not set
+CONFIG_NET_FLOW_LIMIT=3Dy
+
+#
+# Network testing
+#
+CONFIG_NET_PKTGEN=3Dm
+# CONFIG_NET_DROP_MONITOR is not set
+# end of Network testing
+# end of Networking options
+
+CONFIG_HAMRADIO=3Dy
+
+#
+# Packet Radio protocols
+#
+CONFIG_AX25=3Dm
+CONFIG_AX25_DAMA_SLAVE=3Dy
+CONFIG_NETROM=3Dm
+CONFIG_ROSE=3Dm
+
+#
+# AX.25 network device drivers
+#
+CONFIG_MKISS=3Dm
+CONFIG_6PACK=3Dm
+CONFIG_BPQETHER=3Dm
+CONFIG_BAYCOM_SER_FDX=3Dm
+CONFIG_BAYCOM_SER_HDX=3Dm
+CONFIG_BAYCOM_PAR=3Dm
+CONFIG_YAM=3Dm
+# end of AX.25 network device drivers
+
+CONFIG_CAN=3Dm
+CONFIG_CAN_RAW=3Dm
+CONFIG_CAN_BCM=3Dm
+CONFIG_CAN_GW=3Dm
+CONFIG_CAN_J1939=3Dm
+
+#
+# CAN Device Drivers
+#
+CONFIG_CAN_VCAN=3Dm
+CONFIG_CAN_VXCAN=3Dm
+CONFIG_CAN_SLCAN=3Dm
+CONFIG_CAN_DEV=3Dm
+CONFIG_CAN_CALC_BITTIMING=3Dy
+CONFIG_CAN_JANZ_ICAN3=3Dm
+CONFIG_CAN_KVASER_PCIEFD=3Dm
+CONFIG_CAN_C_CAN=3Dm
+CONFIG_CAN_C_CAN_PLATFORM=3Dm
+CONFIG_CAN_C_CAN_PCI=3Dm
+CONFIG_CAN_CC770=3Dm
+CONFIG_CAN_CC770_ISA=3Dm
+CONFIG_CAN_CC770_PLATFORM=3Dm
+CONFIG_CAN_IFI_CANFD=3Dm
+CONFIG_CAN_M_CAN=3Dm
+CONFIG_CAN_M_CAN_PLATFORM=3Dm
+CONFIG_CAN_M_CAN_TCAN4X5X=3Dm
+CONFIG_CAN_PEAK_PCIEFD=3Dm
+CONFIG_CAN_SJA1000=3Dm
+CONFIG_CAN_EMS_PCI=3Dm
+CONFIG_CAN_EMS_PCMCIA=3Dm
+CONFIG_CAN_F81601=3Dm
+CONFIG_CAN_KVASER_PCI=3Dm
+CONFIG_CAN_PEAK_PCI=3Dm
+CONFIG_CAN_PEAK_PCIEC=3Dy
+CONFIG_CAN_PEAK_PCMCIA=3Dm
+CONFIG_CAN_PLX_PCI=3Dm
+CONFIG_CAN_SJA1000_ISA=3Dm
+CONFIG_CAN_SJA1000_PLATFORM=3Dm
+CONFIG_CAN_SOFTING=3Dm
+CONFIG_CAN_SOFTING_CS=3Dm
+
+#
+# CAN SPI interfaces
+#
+CONFIG_CAN_HI311X=3Dm
+CONFIG_CAN_MCP251X=3Dm
+# end of CAN SPI interfaces
+
+#
+# CAN USB interfaces
+#
+CONFIG_CAN_8DEV_USB=3Dm
+CONFIG_CAN_EMS_USB=3Dm
+CONFIG_CAN_ESD_USB2=3Dm
+CONFIG_CAN_GS_USB=3Dm
+CONFIG_CAN_KVASER_USB=3Dm
+CONFIG_CAN_MCBA_USB=3Dm
+CONFIG_CAN_PEAK_USB=3Dm
+CONFIG_CAN_UCAN=3Dm
+# end of CAN USB interfaces
+
+# CONFIG_CAN_DEBUG_DEVICES is not set
+# end of CAN Device Drivers
+
+CONFIG_BT=3Dm
+CONFIG_BT_BREDR=3Dy
+CONFIG_BT_RFCOMM=3Dm
+CONFIG_BT_RFCOMM_TTY=3Dy
+CONFIG_BT_BNEP=3Dm
+CONFIG_BT_BNEP_MC_FILTER=3Dy
+CONFIG_BT_BNEP_PROTO_FILTER=3Dy
+CONFIG_BT_CMTP=3Dm
+CONFIG_BT_HIDP=3Dm
+CONFIG_BT_HS=3Dy
+CONFIG_BT_LE=3Dy
+CONFIG_BT_6LOWPAN=3Dm
+# CONFIG_BT_LEDS is not set
+# CONFIG_BT_SELFTEST is not set
+CONFIG_BT_DEBUGFS=3Dy
+
+#
+# Bluetooth device drivers
+#
+CONFIG_BT_INTEL=3Dm
+CONFIG_BT_BCM=3Dm
+CONFIG_BT_RTL=3Dm
+CONFIG_BT_QCA=3Dm
+CONFIG_BT_HCIBTUSB=3Dm
+# CONFIG_BT_HCIBTUSB_AUTOSUSPEND is not set
+CONFIG_BT_HCIBTUSB_BCM=3Dy
+CONFIG_BT_HCIBTUSB_MTK=3Dy
+CONFIG_BT_HCIBTUSB_RTL=3Dy
+CONFIG_BT_HCIBTSDIO=3Dm
+CONFIG_BT_HCIUART=3Dm
+CONFIG_BT_HCIUART_SERDEV=3Dy
+CONFIG_BT_HCIUART_H4=3Dy
+CONFIG_BT_HCIUART_NOKIA=3Dm
+CONFIG_BT_HCIUART_BCSP=3Dy
+CONFIG_BT_HCIUART_ATH3K=3Dy
+CONFIG_BT_HCIUART_LL=3Dy
+CONFIG_BT_HCIUART_3WIRE=3Dy
+CONFIG_BT_HCIUART_INTEL=3Dy
+CONFIG_BT_HCIUART_BCM=3Dy
+CONFIG_BT_HCIUART_RTL=3Dy
+CONFIG_BT_HCIUART_QCA=3Dy
+CONFIG_BT_HCIUART_AG6XX=3Dy
+CONFIG_BT_HCIUART_MRVL=3Dy
+CONFIG_BT_HCIBCM203X=3Dm
+CONFIG_BT_HCIBPA10X=3Dm
+CONFIG_BT_HCIBFUSB=3Dm
+CONFIG_BT_HCIDTL1=3Dm
+CONFIG_BT_HCIBT3C=3Dm
+CONFIG_BT_HCIBLUECARD=3Dm
+CONFIG_BT_HCIVHCI=3Dm
+CONFIG_BT_MRVL=3Dm
+CONFIG_BT_MRVL_SDIO=3Dm
+CONFIG_BT_ATH3K=3Dm
+CONFIG_BT_WILINK=3Dm
+CONFIG_BT_MTKSDIO=3Dm
+CONFIG_BT_MTKUART=3Dm
+CONFIG_BT_HCIRSI=3Dm
+# end of Bluetooth device drivers
+
+CONFIG_AF_RXRPC=3Dm
+CONFIG_AF_RXRPC_IPV6=3Dy
+# CONFIG_AF_RXRPC_INJECT_LOSS is not set
+# CONFIG_AF_RXRPC_DEBUG is not set
+# CONFIG_RXKAD is not set
+CONFIG_AF_KCM=3Dm
+CONFIG_STREAM_PARSER=3Dy
+CONFIG_FIB_RULES=3Dy
+CONFIG_WIRELESS=3Dy
+CONFIG_WIRELESS_EXT=3Dy
+CONFIG_WEXT_CORE=3Dy
+CONFIG_WEXT_PROC=3Dy
+CONFIG_WEXT_SPY=3Dy
+CONFIG_WEXT_PRIV=3Dy
+CONFIG_CFG80211=3Dm
+# CONFIG_NL80211_TESTMODE is not set
+# CONFIG_CFG80211_DEVELOPER_WARNINGS is not set
+# CONFIG_CFG80211_CERTIFICATION_ONUS is not set
+CONFIG_CFG80211_REQUIRE_SIGNED_REGDB=3Dy
+CONFIG_CFG80211_USE_KERNEL_REGDB_KEYS=3Dy
+CONFIG_CFG80211_DEFAULT_PS=3Dy
+CONFIG_CFG80211_DEBUGFS=3Dy
+CONFIG_CFG80211_CRDA_SUPPORT=3Dy
+CONFIG_CFG80211_WEXT=3Dy
+CONFIG_CFG80211_WEXT_EXPORT=3Dy
+CONFIG_LIB80211=3Dm
+CONFIG_LIB80211_CRYPT_WEP=3Dm
+CONFIG_LIB80211_CRYPT_CCMP=3Dm
+CONFIG_LIB80211_CRYPT_TKIP=3Dm
+# CONFIG_LIB80211_DEBUG is not set
+CONFIG_MAC80211=3Dm
+CONFIG_MAC80211_HAS_RC=3Dy
+CONFIG_MAC80211_RC_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT_MINSTREL=3Dy
+CONFIG_MAC80211_RC_DEFAULT=3D"minstrel_ht"
+CONFIG_MAC80211_MESH=3Dy
+CONFIG_MAC80211_LEDS=3Dy
+CONFIG_MAC80211_DEBUGFS=3Dy
+CONFIG_MAC80211_MESSAGE_TRACING=3Dy
+# CONFIG_MAC80211_DEBUG_MENU is not set
+CONFIG_MAC80211_STA_HASH_MAX_SIZE=3D0
+CONFIG_WIMAX=3Dm
+CONFIG_WIMAX_DEBUG_LEVEL=3D8
+CONFIG_RFKILL=3Dy
+CONFIG_RFKILL_LEDS=3Dy
+CONFIG_RFKILL_INPUT=3Dy
+CONFIG_RFKILL_GPIO=3Dm
+CONFIG_NET_9P=3Dm
+CONFIG_NET_9P_VIRTIO=3Dm
+CONFIG_NET_9P_XEN=3Dm
+CONFIG_NET_9P_RDMA=3Dm
+# CONFIG_NET_9P_DEBUG is not set
+CONFIG_CAIF=3Dm
+# CONFIG_CAIF_DEBUG is not set
+CONFIG_CAIF_NETDEV=3Dm
+CONFIG_CAIF_USB=3Dm
+CONFIG_CEPH_LIB=3Dm
+# CONFIG_CEPH_LIB_PRETTYDEBUG is not set
+CONFIG_CEPH_LIB_USE_DNS_RESOLVER=3Dy
+CONFIG_NFC=3Dm
+CONFIG_NFC_DIGITAL=3Dm
+CONFIG_NFC_NCI=3Dm
+CONFIG_NFC_NCI_SPI=3Dm
+CONFIG_NFC_NCI_UART=3Dm
+CONFIG_NFC_HCI=3Dm
+CONFIG_NFC_SHDLC=3Dy
+
+#
+# Near Field Communication (NFC) devices
+#
+CONFIG_NFC_TRF7970A=3Dm
+CONFIG_NFC_SIM=3Dm
+CONFIG_NFC_PORT100=3Dm
+CONFIG_NFC_FDP=3Dm
+CONFIG_NFC_FDP_I2C=3Dm
+CONFIG_NFC_PN544=3Dm
+CONFIG_NFC_PN544_I2C=3Dm
+CONFIG_NFC_PN533=3Dm
+CONFIG_NFC_PN533_USB=3Dm
+CONFIG_NFC_PN533_I2C=3Dm
+CONFIG_NFC_MICROREAD=3Dm
+CONFIG_NFC_MICROREAD_I2C=3Dm
+CONFIG_NFC_MRVL=3Dm
+CONFIG_NFC_MRVL_USB=3Dm
+CONFIG_NFC_MRVL_UART=3Dm
+CONFIG_NFC_MRVL_I2C=3Dm
+CONFIG_NFC_MRVL_SPI=3Dm
+CONFIG_NFC_ST21NFCA=3Dm
+CONFIG_NFC_ST21NFCA_I2C=3Dm
+CONFIG_NFC_ST_NCI=3Dm
+CONFIG_NFC_ST_NCI_I2C=3Dm
+CONFIG_NFC_ST_NCI_SPI=3Dm
+CONFIG_NFC_NXP_NCI=3Dm
+CONFIG_NFC_NXP_NCI_I2C=3Dm
+CONFIG_NFC_S3FWRN5=3Dm
+CONFIG_NFC_S3FWRN5_I2C=3Dm
+CONFIG_NFC_ST95HF=3Dm
+# end of Near Field Communication (NFC) devices
+
+CONFIG_PSAMPLE=3Dm
+CONFIG_NET_IFE=3Dm
+CONFIG_LWTUNNEL=3Dy
+CONFIG_LWTUNNEL_BPF=3Dy
+CONFIG_DST_CACHE=3Dy
+CONFIG_GRO_CELLS=3Dy
+CONFIG_NET_SOCK_MSG=3Dy
+CONFIG_NET_DEVLINK=3Dy
+CONFIG_PAGE_POOL=3Dy
+CONFIG_FAILOVER=3Dy
+CONFIG_HAVE_EBPF_JIT=3Dy
+
+#
+# Device Drivers
+#
+CONFIG_HAVE_EISA=3Dy
+# CONFIG_EISA is not set
+CONFIG_HAVE_PCI=3Dy
+CONFIG_PCI=3Dy
+CONFIG_PCI_DOMAINS=3Dy
+CONFIG_PCIEPORTBUS=3Dy
+CONFIG_HOTPLUG_PCI_PCIE=3Dy
+CONFIG_PCIEAER=3Dy
+# CONFIG_PCIEAER_INJECT is not set
+# CONFIG_PCIE_ECRC is not set
+CONFIG_PCIEASPM=3Dy
+CONFIG_PCIEASPM_DEBUG=3Dy
+CONFIG_PCIEASPM_DEFAULT=3Dy
+# CONFIG_PCIEASPM_POWERSAVE is not set
+# CONFIG_PCIEASPM_POWER_SUPERSAVE is not set
+# CONFIG_PCIEASPM_PERFORMANCE is not set
+CONFIG_PCIE_PME=3Dy
+CONFIG_PCIE_DPC=3Dy
+CONFIG_PCIE_PTM=3Dy
+# CONFIG_PCIE_BW is not set
+CONFIG_PCI_MSI=3Dy
+CONFIG_PCI_MSI_IRQ_DOMAIN=3Dy
+CONFIG_PCI_QUIRKS=3Dy
+# CONFIG_PCI_DEBUG is not set
+CONFIG_PCI_REALLOC_ENABLE_AUTO=3Dy
+CONFIG_PCI_STUB=3Dm
+# CONFIG_PCI_PF_STUB is not set
+CONFIG_XEN_PCIDEV_FRONTEND=3Dm
+CONFIG_PCI_ATS=3Dy
+CONFIG_PCI_LOCKLESS_CONFIG=3Dy
+CONFIG_PCI_IOV=3Dy
+CONFIG_PCI_PRI=3Dy
+CONFIG_PCI_PASID=3Dy
+# CONFIG_PCI_P2PDMA is not set
+CONFIG_PCI_LABEL=3Dy
+CONFIG_PCI_HYPERV=3Dm
+CONFIG_HOTPLUG_PCI=3Dy
+CONFIG_HOTPLUG_PCI_ACPI=3Dy
+CONFIG_HOTPLUG_PCI_ACPI_IBM=3Dm
+CONFIG_HOTPLUG_PCI_CPCI=3Dy
+CONFIG_HOTPLUG_PCI_CPCI_ZT5550=3Dm
+CONFIG_HOTPLUG_PCI_CPCI_GENERIC=3Dm
+CONFIG_HOTPLUG_PCI_SHPC=3Dy
+
+#
+# PCI controller drivers
+#
+
+#
+# Cadence PCIe controllers support
+#
+# end of Cadence PCIe controllers support
+
+# CONFIG_VMD is not set
+CONFIG_PCI_HYPERV_INTERFACE=3Dm
+
+#
+# DesignWare PCI Core Support
+#
+# CONFIG_PCIE_DW_PLAT_HOST is not set
+# CONFIG_PCI_MESON is not set
+# end of DesignWare PCI Core Support
+# end of PCI controller drivers
+
+#
+# PCI Endpoint
+#
+# CONFIG_PCI_ENDPOINT is not set
+# end of PCI Endpoint
+
+#
+# PCI switch controller drivers
+#
+CONFIG_PCI_SW_SWITCHTEC=3Dm
+# end of PCI switch controller drivers
+
+CONFIG_PCCARD=3Dm
+CONFIG_PCMCIA=3Dm
+CONFIG_PCMCIA_LOAD_CIS=3Dy
+CONFIG_CARDBUS=3Dy
+
+#
+# PC-card bridges
+#
+CONFIG_YENTA=3Dm
+CONFIG_YENTA_O2=3Dy
+CONFIG_YENTA_RICOH=3Dy
+CONFIG_YENTA_TI=3Dy
+CONFIG_YENTA_ENE_TUNE=3Dy
+CONFIG_YENTA_TOSHIBA=3Dy
+CONFIG_PD6729=3Dm
+CONFIG_I82092=3Dm
+CONFIG_PCCARD_NONSTATIC=3Dy
+CONFIG_RAPIDIO=3Dy
+CONFIG_RAPIDIO_TSI721=3Dm
+CONFIG_RAPIDIO_DISC_TIMEOUT=3D30
+# CONFIG_RAPIDIO_ENABLE_RX_TX_PORTS is not set
+CONFIG_RAPIDIO_DMA_ENGINE=3Dy
+# CONFIG_RAPIDIO_DEBUG is not set
+CONFIG_RAPIDIO_ENUM_BASIC=3Dm
+CONFIG_RAPIDIO_CHMAN=3Dm
+CONFIG_RAPIDIO_MPORT_CDEV=3Dm
+
+#
+# RapidIO Switch drivers
+#
+CONFIG_RAPIDIO_TSI57X=3Dm
+CONFIG_RAPIDIO_CPS_XX=3Dm
+CONFIG_RAPIDIO_TSI568=3Dm
+CONFIG_RAPIDIO_CPS_GEN2=3Dm
+CONFIG_RAPIDIO_RXS_GEN3=3Dm
+# end of RapidIO Switch drivers
+
+#
+# Generic Driver Options
+#
+CONFIG_UEVENT_HELPER=3Dy
+CONFIG_UEVENT_HELPER_PATH=3D""
+CONFIG_DEVTMPFS=3Dy
+CONFIG_DEVTMPFS_MOUNT=3Dy
+# CONFIG_STANDALONE is not set
+CONFIG_PREVENT_FIRMWARE_BUILD=3Dy
+
+#
+# Firmware loader
+#
+CONFIG_FW_LOADER=3Dy
+CONFIG_FW_LOADER_PAGED_BUF=3Dy
+CONFIG_EXTRA_FIRMWARE=3D""
+CONFIG_FW_LOADER_USER_HELPER=3Dy
+# CONFIG_FW_LOADER_USER_HELPER_FALLBACK is not set
+CONFIG_FW_LOADER_COMPRESS=3Dy
+# end of Firmware loader
+
+CONFIG_WANT_DEV_COREDUMP=3Dy
+CONFIG_ALLOW_DEV_COREDUMP=3Dy
+CONFIG_DEV_COREDUMP=3Dy
+# CONFIG_DEBUG_DRIVER is not set
+# CONFIG_DEBUG_DEVRES is not set
+# CONFIG_DEBUG_TEST_DRIVER_REMOVE is not set
+CONFIG_HMEM_REPORTING=3Dy
+# CONFIG_TEST_ASYNC_DRIVER_PROBE is not set
+CONFIG_SYS_HYPERVISOR=3Dy
+CONFIG_GENERIC_CPU_AUTOPROBE=3Dy
+CONFIG_GENERIC_CPU_VULNERABILITIES=3Dy
+CONFIG_REGMAP=3Dy
+CONFIG_REGMAP_I2C=3Dy
+CONFIG_REGMAP_SPI=3Dy
+CONFIG_REGMAP_SPMI=3Dm
+CONFIG_REGMAP_W1=3Dm
+CONFIG_REGMAP_MMIO=3Dy
+CONFIG_REGMAP_IRQ=3Dy
+CONFIG_REGMAP_SCCB=3Dm
+CONFIG_REGMAP_I3C=3Dm
+CONFIG_DMA_SHARED_BUFFER=3Dy
+# CONFIG_DMA_FENCE_TRACE is not set
+# end of Generic Driver Options
+
+#
+# Bus devices
+#
+# end of Bus devices
+
+CONFIG_CONNECTOR=3Dy
+CONFIG_PROC_EVENTS=3Dy
+CONFIG_GNSS=3Dm
+CONFIG_GNSS_SERIAL=3Dm
+CONFIG_GNSS_MTK_SERIAL=3Dm
+CONFIG_GNSS_SIRF_SERIAL=3Dm
+CONFIG_GNSS_UBX_SERIAL=3Dm
+CONFIG_MTD=3Dm
+# CONFIG_MTD_TESTS is not set
+
+#
+# Partition parsers
+#
+CONFIG_MTD_AR7_PARTS=3Dm
+CONFIG_MTD_CMDLINE_PARTS=3Dm
+CONFIG_MTD_REDBOOT_PARTS=3Dm
+CONFIG_MTD_REDBOOT_DIRECTORY_BLOCK=3D-1
+# CONFIG_MTD_REDBOOT_PARTS_UNALLOCATED is not set
+# CONFIG_MTD_REDBOOT_PARTS_READONLY is not set
+# end of Partition parsers
+
+#
+# User Modules And Translation Layers
+#
+CONFIG_MTD_BLKDEVS=3Dm
+CONFIG_MTD_BLOCK=3Dm
+CONFIG_MTD_BLOCK_RO=3Dm
+CONFIG_FTL=3Dm
+CONFIG_NFTL=3Dm
+CONFIG_NFTL_RW=3Dy
+CONFIG_INFTL=3Dm
+CONFIG_RFD_FTL=3Dm
+CONFIG_SSFDC=3Dm
+CONFIG_SM_FTL=3Dm
+CONFIG_MTD_OOPS=3Dm
+CONFIG_MTD_SWAP=3Dm
+# CONFIG_MTD_PARTITIONED_MASTER is not set
+
+#
+# RAM/ROM/Flash chip drivers
+#
+CONFIG_MTD_CFI=3Dm
+CONFIG_MTD_JEDECPROBE=3Dm
+CONFIG_MTD_GEN_PROBE=3Dm
+# CONFIG_MTD_CFI_ADV_OPTIONS is not set
+CONFIG_MTD_MAP_BANK_WIDTH_1=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_2=3Dy
+CONFIG_MTD_MAP_BANK_WIDTH_4=3Dy
+CONFIG_MTD_CFI_I1=3Dy
+CONFIG_MTD_CFI_I2=3Dy
+CONFIG_MTD_CFI_INTELEXT=3Dm
+CONFIG_MTD_CFI_AMDSTD=3Dm
+CONFIG_MTD_CFI_STAA=3Dm
+CONFIG_MTD_CFI_UTIL=3Dm
+CONFIG_MTD_RAM=3Dm
+CONFIG_MTD_ROM=3Dm
+CONFIG_MTD_ABSENT=3Dm
+# end of RAM/ROM/Flash chip drivers
+
+#
+# Mapping drivers for chip access
+#
+CONFIG_MTD_COMPLEX_MAPPINGS=3Dy
+CONFIG_MTD_PHYSMAP=3Dm
+# CONFIG_MTD_PHYSMAP_COMPAT is not set
+CONFIG_MTD_PHYSMAP_GPIO_ADDR=3Dy
+CONFIG_MTD_SBC_GXX=3Dm
+CONFIG_MTD_AMD76XROM=3Dm
+CONFIG_MTD_ICHXROM=3Dm
+CONFIG_MTD_ESB2ROM=3Dm
+CONFIG_MTD_CK804XROM=3Dm
+CONFIG_MTD_SCB2_FLASH=3Dm
+CONFIG_MTD_NETtel=3Dm
+CONFIG_MTD_L440GX=3Dm
+CONFIG_MTD_PCI=3Dm
+CONFIG_MTD_PCMCIA=3Dm
+# CONFIG_MTD_PCMCIA_ANONYMOUS is not set
+CONFIG_MTD_INTEL_VR_NOR=3Dm
+CONFIG_MTD_PLATRAM=3Dm
+# end of Mapping drivers for chip access
+
+#
+# Self-contained MTD device drivers
+#
+CONFIG_MTD_PMC551=3Dm
+# CONFIG_MTD_PMC551_BUGFIX is not set
+# CONFIG_MTD_PMC551_DEBUG is not set
+CONFIG_MTD_DATAFLASH=3Dm
+# CONFIG_MTD_DATAFLASH_WRITE_VERIFY is not set
+CONFIG_MTD_DATAFLASH_OTP=3Dy
+CONFIG_MTD_MCHP23K256=3Dm
+CONFIG_MTD_SST25L=3Dm
+CONFIG_MTD_SLRAM=3Dm
+CONFIG_MTD_PHRAM=3Dm
+CONFIG_MTD_MTDRAM=3Dm
+CONFIG_MTDRAM_TOTAL_SIZE=3D4096
+CONFIG_MTDRAM_ERASE_SIZE=3D128
+CONFIG_MTD_BLOCK2MTD=3Dm
+
+#
+# Disk-On-Chip Device Drivers
+#
+CONFIG_MTD_DOCG3=3Dm
+CONFIG_BCH_CONST_M=3D14
+CONFIG_BCH_CONST_T=3D4
+# end of Self-contained MTD device drivers
+
+CONFIG_MTD_NAND_CORE=3Dm
+CONFIG_MTD_ONENAND=3Dm
+CONFIG_MTD_ONENAND_VERIFY_WRITE=3Dy
+CONFIG_MTD_ONENAND_GENERIC=3Dm
+# CONFIG_MTD_ONENAND_OTP is not set
+CONFIG_MTD_ONENAND_2X_PROGRAM=3Dy
+CONFIG_MTD_NAND_ECC_SW_HAMMING=3Dm
+# CONFIG_MTD_NAND_ECC_SW_HAMMING_SMC is not set
+CONFIG_MTD_RAW_NAND=3Dm
+# CONFIG_MTD_NAND_ECC_SW_BCH is not set
+
+#
+# Raw/parallel NAND flash controllers
+#
+CONFIG_MTD_NAND_DENALI=3Dm
+CONFIG_MTD_NAND_DENALI_PCI=3Dm
+CONFIG_MTD_NAND_CAFE=3Dm
+CONFIG_MTD_NAND_MXIC=3Dm
+CONFIG_MTD_NAND_GPIO=3Dm
+CONFIG_MTD_NAND_PLATFORM=3Dm
+
+#
+# Misc
+#
+CONFIG_MTD_SM_COMMON=3Dm
+CONFIG_MTD_NAND_NANDSIM=3Dm
+CONFIG_MTD_NAND_RICOH=3Dm
+CONFIG_MTD_NAND_DISKONCHIP=3Dm
+# CONFIG_MTD_NAND_DISKONCHIP_PROBE_ADVANCED is not set
+CONFIG_MTD_NAND_DISKONCHIP_PROBE_ADDRESS=3D0
+# CONFIG_MTD_NAND_DISKONCHIP_BBTWRITE is not set
+CONFIG_MTD_SPI_NAND=3Dm
+
+#
+# LPDDR & LPDDR2 PCM memory drivers
+#
+CONFIG_MTD_LPDDR=3Dm
+CONFIG_MTD_QINFO_PROBE=3Dm
+# end of LPDDR & LPDDR2 PCM memory drivers
+
+CONFIG_MTD_SPI_NOR=3Dm
+CONFIG_MTD_SPI_NOR_USE_4K_SECTORS=3Dy
+CONFIG_SPI_MTK_QUADSPI=3Dm
+CONFIG_SPI_INTEL_SPI=3Dm
+CONFIG_SPI_INTEL_SPI_PCI=3Dm
+CONFIG_SPI_INTEL_SPI_PLATFORM=3Dm
+CONFIG_MTD_UBI=3Dm
+CONFIG_MTD_UBI_WL_THRESHOLD=3D4096
+CONFIG_MTD_UBI_BEB_LIMIT=3D20
+CONFIG_MTD_UBI_FASTMAP=3Dy
+CONFIG_MTD_UBI_GLUEBI=3Dm
+CONFIG_MTD_UBI_BLOCK=3Dy
+CONFIG_MTD_HYPERBUS=3Dm
+# CONFIG_OF is not set
+CONFIG_ARCH_MIGHT_HAVE_PC_PARPORT=3Dy
+CONFIG_PARPORT=3Dm
+CONFIG_PARPORT_PC=3Dm
+CONFIG_PARPORT_SERIAL=3Dm
+CONFIG_PARPORT_PC_FIFO=3Dy
+# CONFIG_PARPORT_PC_SUPERIO is not set
+CONFIG_PARPORT_PC_PCMCIA=3Dm
+CONFIG_PARPORT_AX88796=3Dm
+CONFIG_PARPORT_1284=3Dy
+CONFIG_PARPORT_NOT_PC=3Dy
+CONFIG_PNP=3Dy
+# CONFIG_PNP_DEBUG_MESSAGES is not set
+
+#
+# Protocols
+#
+CONFIG_PNPACPI=3Dy
+CONFIG_BLK_DEV=3Dy
+CONFIG_BLK_DEV_NULL_BLK=3Dm
+CONFIG_BLK_DEV_FD=3Dm
+CONFIG_CDROM=3Dy
+CONFIG_PARIDE=3Dm
+
+#
+# Parallel IDE high-level drivers
+#
+CONFIG_PARIDE_PD=3Dm
+CONFIG_PARIDE_PCD=3Dm
+CONFIG_PARIDE_PF=3Dm
+CONFIG_PARIDE_PT=3Dm
+CONFIG_PARIDE_PG=3Dm
+
+#
+# Parallel IDE protocol modules
+#
+CONFIG_PARIDE_ATEN=3Dm
+CONFIG_PARIDE_BPCK=3Dm
+CONFIG_PARIDE_COMM=3Dm
+CONFIG_PARIDE_DSTR=3Dm
+CONFIG_PARIDE_FIT2=3Dm
+CONFIG_PARIDE_FIT3=3Dm
+CONFIG_PARIDE_EPAT=3Dm
+CONFIG_PARIDE_EPATC8=3Dy
+CONFIG_PARIDE_EPIA=3Dm
+CONFIG_PARIDE_FRIQ=3Dm
+CONFIG_PARIDE_FRPW=3Dm
+CONFIG_PARIDE_KBIC=3Dm
+CONFIG_PARIDE_KTTI=3Dm
+CONFIG_PARIDE_ON20=3Dm
+CONFIG_PARIDE_ON26=3Dm
+CONFIG_BLK_DEV_PCIESSD_MTIP32XX=3Dm
+CONFIG_ZRAM=3Dm
+# CONFIG_ZRAM_WRITEBACK is not set
+# CONFIG_ZRAM_MEMORY_TRACKING is not set
+CONFIG_BLK_DEV_UMEM=3Dm
+CONFIG_BLK_DEV_LOOP=3Dy
+CONFIG_BLK_DEV_LOOP_MIN_COUNT=3D8
+CONFIG_BLK_DEV_CRYPTOLOOP=3Dm
+CONFIG_BLK_DEV_DRBD=3Dm
+# CONFIG_DRBD_FAULT_INJECTION is not set
+CONFIG_BLK_DEV_NBD=3Dm
+CONFIG_BLK_DEV_SKD=3Dm
+CONFIG_BLK_DEV_SX8=3Dm
+CONFIG_BLK_DEV_RAM=3Dy
+CONFIG_BLK_DEV_RAM_COUNT=3D16
+CONFIG_BLK_DEV_RAM_SIZE=3D65536
+CONFIG_CDROM_PKTCDVD=3Dm
+CONFIG_CDROM_PKTCDVD_BUFFERS=3D8
+# CONFIG_CDROM_PKTCDVD_WCACHE is not set
+CONFIG_ATA_OVER_ETH=3Dm
+CONFIG_XEN_BLKDEV_FRONTEND=3Dy
+CONFIG_XEN_BLKDEV_BACKEND=3Dm
+CONFIG_VIRTIO_BLK=3Dy
+# CONFIG_VIRTIO_BLK_SCSI is not set
+CONFIG_BLK_DEV_RBD=3Dm
+CONFIG_BLK_DEV_RSXX=3Dm
+
+#
+# NVME Support
+#
+CONFIG_NVME_CORE=3Dy
+CONFIG_BLK_DEV_NVME=3Dy
+# CONFIG_NVME_MULTIPATH is not set
+CONFIG_NVME_FABRICS=3Dm
+CONFIG_NVME_RDMA=3Dm
+CONFIG_NVME_FC=3Dm
+CONFIG_NVME_TCP=3Dm
+CONFIG_NVME_TARGET=3Dm
+CONFIG_NVME_TARGET_LOOP=3Dm
+CONFIG_NVME_TARGET_RDMA=3Dm
+CONFIG_NVME_TARGET_FC=3Dm
+CONFIG_NVME_TARGET_FCLOOP=3Dm
+CONFIG_NVME_TARGET_TCP=3Dm
+# end of NVME Support
+
+#
+# Misc devices
+#
+CONFIG_SENSORS_LIS3LV02D=3Dm
+CONFIG_AD525X_DPOT=3Dm
+CONFIG_AD525X_DPOT_I2C=3Dm
+CONFIG_AD525X_DPOT_SPI=3Dm
+CONFIG_DUMMY_IRQ=3Dm
+CONFIG_IBM_ASM=3Dm
+CONFIG_PHANTOM=3Dm
+CONFIG_TIFM_CORE=3Dm
+CONFIG_TIFM_7XX1=3Dm
+CONFIG_ICS932S401=3Dm
+CONFIG_ENCLOSURE_SERVICES=3Dm
+CONFIG_HP_ILO=3Dm
+CONFIG_APDS9802ALS=3Dm
+CONFIG_ISL29003=3Dm
+CONFIG_ISL29020=3Dm
+CONFIG_SENSORS_TSL2550=3Dm
+CONFIG_SENSORS_BH1770=3Dm
+CONFIG_SENSORS_APDS990X=3Dm
+CONFIG_HMC6352=3Dm
+CONFIG_DS1682=3Dm
+CONFIG_VMWARE_BALLOON=3Dm
+CONFIG_LATTICE_ECP3_CONFIG=3Dm
+CONFIG_SRAM=3Dy
+# CONFIG_PCI_ENDPOINT_TEST is not set
+CONFIG_XILINX_SDFEC=3Dm
+CONFIG_MISC_RTSX=3Dm
+CONFIG_PVPANIC=3Dm
+CONFIG_C2PORT=3Dm
+CONFIG_C2PORT_DURAMAR_2150=3Dm
+
+#
+# EEPROM support
+#
+CONFIG_EEPROM_AT24=3Dm
+CONFIG_EEPROM_AT25=3Dm
+CONFIG_EEPROM_LEGACY=3Dm
+CONFIG_EEPROM_MAX6875=3Dm
+CONFIG_EEPROM_93CX6=3Dm
+CONFIG_EEPROM_93XX46=3Dm
+CONFIG_EEPROM_IDT_89HPESX=3Dm
+CONFIG_EEPROM_EE1004=3Dm
+# end of EEPROM support
+
+CONFIG_CB710_CORE=3Dm
+# CONFIG_CB710_DEBUG is not set
+CONFIG_CB710_DEBUG_ASSUMPTIONS=3Dy
+
+#
+# Texas Instruments shared transport line discipline
+#
+CONFIG_TI_ST=3Dm
+# end of Texas Instruments shared transport line discipline
+
+CONFIG_SENSORS_LIS3_I2C=3Dm
+CONFIG_ALTERA_STAPL=3Dm
+# CONFIG_INTEL_MEI is not set
+# CONFIG_INTEL_MEI_ME is not set
+# CONFIG_INTEL_MEI_TXE is not set
+# CONFIG_INTEL_MEI_HDCP is not set
+CONFIG_VMWARE_VMCI=3Dm
+
+#
+# Intel MIC & related support
+#
+
+#
+# Intel MIC Bus Driver
+#
+CONFIG_INTEL_MIC_BUS=3Dm
+
+#
+# SCIF Bus Driver
+#
+CONFIG_SCIF_BUS=3Dm
+
+#
+# VOP Bus Driver
+#
+CONFIG_VOP_BUS=3Dm
+
+#
+# Intel MIC Host Driver
+#
+CONFIG_INTEL_MIC_HOST=3Dm
+
+#
+# Intel MIC Card Driver
+#
+CONFIG_INTEL_MIC_CARD=3Dm
+
+#
+# SCIF Driver
+#
+CONFIG_SCIF=3Dm
+
+#
+# Intel MIC Coprocessor State Management (COSM) Drivers
+#
+CONFIG_MIC_COSM=3Dm
+
+#
+# VOP Driver
+#
+CONFIG_VOP=3Dm
+CONFIG_VHOST_RING=3Dm
+# end of Intel MIC & related support
+
+CONFIG_GENWQE=3Dm
+CONFIG_GENWQE_PLATFORM_ERROR_RECOVERY=3D0
+CONFIG_ECHO=3Dm
+CONFIG_MISC_ALCOR_PCI=3Dm
+CONFIG_MISC_RTSX_PCI=3Dm
+CONFIG_MISC_RTSX_USB=3Dm
+CONFIG_HABANA_AI=3Dm
+# end of Misc devices
+
+CONFIG_HAVE_IDE=3Dy
+# CONFIG_IDE is not set
+
+#
+# SCSI device support
+#
+CONFIG_SCSI_MOD=3Dy
+CONFIG_RAID_ATTRS=3Dm
+CONFIG_SCSI=3Dy
+CONFIG_SCSI_DMA=3Dy
+CONFIG_SCSI_NETLINK=3Dy
+CONFIG_SCSI_PROC_FS=3Dy
+
+#
+# SCSI support type (disk, tape, CD-ROM)
+#
+CONFIG_BLK_DEV_SD=3Dy
+CONFIG_CHR_DEV_ST=3Dm
+CONFIG_BLK_DEV_SR=3Dy
+# CONFIG_BLK_DEV_SR_VENDOR is not set
+CONFIG_CHR_DEV_SG=3Dy
+CONFIG_CHR_DEV_SCH=3Dm
+CONFIG_SCSI_ENCLOSURE=3Dm
+CONFIG_SCSI_CONSTANTS=3Dy
+CONFIG_SCSI_LOGGING=3Dy
+CONFIG_SCSI_SCAN_ASYNC=3Dy
+
+#
+# SCSI Transports
+#
+CONFIG_SCSI_SPI_ATTRS=3Dm
+CONFIG_SCSI_FC_ATTRS=3Dm
+CONFIG_SCSI_ISCSI_ATTRS=3Dm
+CONFIG_SCSI_SAS_ATTRS=3Dm
+CONFIG_SCSI_SAS_LIBSAS=3Dm
+CONFIG_SCSI_SAS_ATA=3Dy
+CONFIG_SCSI_SAS_HOST_SMP=3Dy
+CONFIG_SCSI_SRP_ATTRS=3Dm
+# end of SCSI Transports
+
+CONFIG_SCSI_LOWLEVEL=3Dy
+CONFIG_ISCSI_TCP=3Dm
+CONFIG_ISCSI_BOOT_SYSFS=3Dm
+CONFIG_SCSI_CXGB3_ISCSI=3Dm
+CONFIG_SCSI_CXGB4_ISCSI=3Dm
+CONFIG_SCSI_BNX2_ISCSI=3Dm
+CONFIG_SCSI_BNX2X_FCOE=3Dm
+CONFIG_BE2ISCSI=3Dm
+CONFIG_BLK_DEV_3W_XXXX_RAID=3Dm
+CONFIG_SCSI_HPSA=3Dm
+CONFIG_SCSI_3W_9XXX=3Dm
+CONFIG_SCSI_3W_SAS=3Dm
+CONFIG_SCSI_ACARD=3Dm
+CONFIG_SCSI_AACRAID=3Dm
+CONFIG_SCSI_AIC7XXX=3Dm
+CONFIG_AIC7XXX_CMDS_PER_DEVICE=3D8
+CONFIG_AIC7XXX_RESET_DELAY_MS=3D5000
+# CONFIG_AIC7XXX_DEBUG_ENABLE is not set
+CONFIG_AIC7XXX_DEBUG_MASK=3D0
+CONFIG_AIC7XXX_REG_PRETTY_PRINT=3Dy
+CONFIG_SCSI_AIC79XX=3Dm
+CONFIG_AIC79XX_CMDS_PER_DEVICE=3D32
+CONFIG_AIC79XX_RESET_DELAY_MS=3D5000
+# CONFIG_AIC79XX_DEBUG_ENABLE is not set
+CONFIG_AIC79XX_DEBUG_MASK=3D0
+CONFIG_AIC79XX_REG_PRETTY_PRINT=3Dy
+CONFIG_SCSI_AIC94XX=3Dm
+# CONFIG_AIC94XX_DEBUG is not set
+CONFIG_SCSI_MVSAS=3Dm
+# CONFIG_SCSI_MVSAS_DEBUG is not set
+# CONFIG_SCSI_MVSAS_TASKLET is not set
+CONFIG_SCSI_MVUMI=3Dm
+CONFIG_SCSI_DPT_I2O=3Dm
+CONFIG_SCSI_ADVANSYS=3Dm
+CONFIG_SCSI_ARCMSR=3Dm
+CONFIG_SCSI_ESAS2R=3Dm
+CONFIG_MEGARAID_NEWGEN=3Dy
+CONFIG_MEGARAID_MM=3Dm
+CONFIG_MEGARAID_MAILBOX=3Dm
+CONFIG_MEGARAID_LEGACY=3Dm
+CONFIG_MEGARAID_SAS=3Dm
+CONFIG_SCSI_MPT3SAS=3Dm
+CONFIG_SCSI_MPT2SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT3SAS_MAX_SGE=3D128
+CONFIG_SCSI_MPT2SAS=3Dm
+CONFIG_SCSI_SMARTPQI=3Dm
+CONFIG_SCSI_UFSHCD=3Dm
+CONFIG_SCSI_UFSHCD_PCI=3Dm
+# CONFIG_SCSI_UFS_DWC_TC_PCI is not set
+CONFIG_SCSI_UFSHCD_PLATFORM=3Dm
+CONFIG_SCSI_UFS_CDNS_PLATFORM=3Dm
+# CONFIG_SCSI_UFS_DWC_TC_PLATFORM is not set
+# CONFIG_SCSI_UFS_BSG is not set
+CONFIG_SCSI_HPTIOP=3Dm
+CONFIG_SCSI_BUSLOGIC=3Dm
+CONFIG_SCSI_FLASHPOINT=3Dy
+CONFIG_SCSI_MYRB=3Dm
+CONFIG_SCSI_MYRS=3Dm
+CONFIG_VMWARE_PVSCSI=3Dm
+CONFIG_XEN_SCSI_FRONTEND=3Dm
+CONFIG_HYPERV_STORAGE=3Dm
+CONFIG_LIBFC=3Dm
+CONFIG_LIBFCOE=3Dm
+CONFIG_FCOE=3Dm
+CONFIG_FCOE_FNIC=3Dm
+CONFIG_SCSI_SNIC=3Dm
+# CONFIG_SCSI_SNIC_DEBUG_FS is not set
+CONFIG_SCSI_DMX3191D=3Dm
+CONFIG_SCSI_FDOMAIN=3Dm
+CONFIG_SCSI_FDOMAIN_PCI=3Dm
+CONFIG_SCSI_GDTH=3Dm
+CONFIG_SCSI_ISCI=3Dm
+CONFIG_SCSI_IPS=3Dm
+CONFIG_SCSI_INITIO=3Dm
+CONFIG_SCSI_INIA100=3Dm
+CONFIG_SCSI_PPA=3Dm
+CONFIG_SCSI_IMM=3Dm
+# CONFIG_SCSI_IZIP_EPP16 is not set
+# CONFIG_SCSI_IZIP_SLOW_CTR is not set
+CONFIG_SCSI_STEX=3Dm
+CONFIG_SCSI_SYM53C8XX_2=3Dm
+CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE=3D1
+CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS=3D16
+CONFIG_SCSI_SYM53C8XX_MAX_TAGS=3D64
+CONFIG_SCSI_SYM53C8XX_MMIO=3Dy
+CONFIG_SCSI_IPR=3Dm
+CONFIG_SCSI_IPR_TRACE=3Dy
+CONFIG_SCSI_IPR_DUMP=3Dy
+CONFIG_SCSI_QLOGIC_1280=3Dm
+CONFIG_SCSI_QLA_FC=3Dm
+CONFIG_TCM_QLA2XXX=3Dm
+# CONFIG_TCM_QLA2XXX_DEBUG is not set
+CONFIG_SCSI_QLA_ISCSI=3Dm
+CONFIG_QEDI=3Dm
+CONFIG_QEDF=3Dm
+CONFIG_SCSI_LPFC=3Dm
+# CONFIG_SCSI_LPFC_DEBUG_FS is not set
+CONFIG_SCSI_DC395x=3Dm
+CONFIG_SCSI_AM53C974=3Dm
+CONFIG_SCSI_WD719X=3Dm
+CONFIG_SCSI_DEBUG=3Dm
+CONFIG_SCSI_PMCRAID=3Dm
+CONFIG_SCSI_PM8001=3Dm
+CONFIG_SCSI_BFA_FC=3Dm
+CONFIG_SCSI_VIRTIO=3Dm
+CONFIG_SCSI_CHELSIO_FCOE=3Dm
+CONFIG_SCSI_LOWLEVEL_PCMCIA=3Dy
+CONFIG_PCMCIA_AHA152X=3Dm
+CONFIG_PCMCIA_FDOMAIN=3Dm
+CONFIG_PCMCIA_QLOGIC=3Dm
+CONFIG_PCMCIA_SYM53C500=3Dm
+CONFIG_SCSI_DH=3Dy
+CONFIG_SCSI_DH_RDAC=3Dm
+CONFIG_SCSI_DH_HP_SW=3Dm
+CONFIG_SCSI_DH_EMC=3Dm
+CONFIG_SCSI_DH_ALUA=3Dm
+# end of SCSI device support
+
+CONFIG_ATA=3Dy
+CONFIG_ATA_VERBOSE_ERROR=3Dy
+CONFIG_ATA_ACPI=3Dy
+CONFIG_SATA_ZPODD=3Dy
+CONFIG_SATA_PMP=3Dy
+
+#
+# Controllers with non-SFF native interface
+#
+CONFIG_SATA_AHCI=3Dm
+CONFIG_SATA_MOBILE_LPM_POLICY=3D0
+CONFIG_SATA_AHCI_PLATFORM=3Dm
+CONFIG_SATA_INIC162X=3Dm
+CONFIG_SATA_ACARD_AHCI=3Dm
+CONFIG_SATA_SIL24=3Dm
+CONFIG_ATA_SFF=3Dy
+
+#
+# SFF controllers with custom DMA interface
+#
+CONFIG_PDC_ADMA=3Dm
+CONFIG_SATA_QSTOR=3Dm
+CONFIG_SATA_SX4=3Dm
+CONFIG_ATA_BMDMA=3Dy
+
+#
+# SATA SFF controllers with BMDMA
+#
+CONFIG_ATA_PIIX=3Dy
+CONFIG_SATA_DWC=3Dm
+# CONFIG_SATA_DWC_OLD_DMA is not set
+# CONFIG_SATA_DWC_DEBUG is not set
+CONFIG_SATA_MV=3Dm
+CONFIG_SATA_NV=3Dm
+CONFIG_SATA_PROMISE=3Dm
+CONFIG_SATA_SIL=3Dm
+CONFIG_SATA_SIS=3Dm
+CONFIG_SATA_SVW=3Dm
+CONFIG_SATA_ULI=3Dm
+CONFIG_SATA_VIA=3Dm
+CONFIG_SATA_VITESSE=3Dm
+
+#
+# PATA SFF controllers with BMDMA
+#
+CONFIG_PATA_ALI=3Dm
+CONFIG_PATA_AMD=3Dm
+CONFIG_PATA_ARTOP=3Dm
+CONFIG_PATA_ATIIXP=3Dm
+CONFIG_PATA_ATP867X=3Dm
+CONFIG_PATA_CMD64X=3Dm
+CONFIG_PATA_CYPRESS=3Dm
+CONFIG_PATA_EFAR=3Dm
+CONFIG_PATA_HPT366=3Dm
+CONFIG_PATA_HPT37X=3Dm
+CONFIG_PATA_HPT3X2N=3Dm
+CONFIG_PATA_HPT3X3=3Dm
+# CONFIG_PATA_HPT3X3_DMA is not set
+CONFIG_PATA_IT8213=3Dm
+CONFIG_PATA_IT821X=3Dm
+CONFIG_PATA_JMICRON=3Dm
+CONFIG_PATA_MARVELL=3Dm
+CONFIG_PATA_NETCELL=3Dm
+CONFIG_PATA_NINJA32=3Dm
+CONFIG_PATA_NS87415=3Dm
+CONFIG_PATA_OLDPIIX=3Dm
+CONFIG_PATA_OPTIDMA=3Dm
+CONFIG_PATA_PDC2027X=3Dm
+CONFIG_PATA_PDC_OLD=3Dm
+CONFIG_PATA_RADISYS=3Dm
+CONFIG_PATA_RDC=3Dm
+CONFIG_PATA_SCH=3Dm
+CONFIG_PATA_SERVERWORKS=3Dm
+CONFIG_PATA_SIL680=3Dm
+CONFIG_PATA_SIS=3Dy
+CONFIG_PATA_TOSHIBA=3Dm
+CONFIG_PATA_TRIFLEX=3Dm
+CONFIG_PATA_VIA=3Dm
+CONFIG_PATA_WINBOND=3Dm
+
+#
+# PIO-only SFF controllers
+#
+CONFIG_PATA_CMD640_PCI=3Dm
+CONFIG_PATA_MPIIX=3Dm
+CONFIG_PATA_NS87410=3Dm
+CONFIG_PATA_OPTI=3Dm
+CONFIG_PATA_PCMCIA=3Dm
+CONFIG_PATA_PLATFORM=3Dm
+CONFIG_PATA_RZ1000=3Dm
+
+#
+# Generic fallback / legacy drivers
+#
+CONFIG_PATA_ACPI=3Dm
+CONFIG_ATA_GENERIC=3Dy
+CONFIG_PATA_LEGACY=3Dm
+CONFIG_MD=3Dy
+CONFIG_BLK_DEV_MD=3Dy
+CONFIG_MD_AUTODETECT=3Dy
+CONFIG_MD_LINEAR=3Dm
+CONFIG_MD_RAID0=3Dm
+CONFIG_MD_RAID1=3Dm
+CONFIG_MD_RAID10=3Dm
+CONFIG_MD_RAID456=3Dm
+CONFIG_MD_MULTIPATH=3Dm
+CONFIG_MD_FAULTY=3Dm
+CONFIG_MD_CLUSTER=3Dm
+CONFIG_BCACHE=3Dm
+# CONFIG_BCACHE_DEBUG is not set
+# CONFIG_BCACHE_CLOSURES_DEBUG is not set
+CONFIG_BLK_DEV_DM_BUILTIN=3Dy
+CONFIG_BLK_DEV_DM=3Dy
+# CONFIG_DM_DEBUG is not set
+CONFIG_DM_BUFIO=3Dm
+# CONFIG_DM_DEBUG_BLOCK_MANAGER_LOCKING is not set
+CONFIG_DM_BIO_PRISON=3Dm
+CONFIG_DM_PERSISTENT_DATA=3Dm
+CONFIG_DM_UNSTRIPED=3Dm
+CONFIG_DM_CRYPT=3Dm
+CONFIG_DM_SNAPSHOT=3Dm
+CONFIG_DM_THIN_PROVISIONING=3Dm
+CONFIG_DM_CACHE=3Dm
+CONFIG_DM_CACHE_SMQ=3Dm
+CONFIG_DM_WRITECACHE=3Dm
+CONFIG_DM_ERA=3Dm
+CONFIG_DM_CLONE=3Dm
+CONFIG_DM_MIRROR=3Dm
+CONFIG_DM_LOG_USERSPACE=3Dm
+CONFIG_DM_RAID=3Dm
+CONFIG_DM_ZERO=3Dm
+CONFIG_DM_MULTIPATH=3Dm
+CONFIG_DM_MULTIPATH_QL=3Dm
+CONFIG_DM_MULTIPATH_ST=3Dm
+CONFIG_DM_DELAY=3Dm
+CONFIG_DM_DUST=3Dm
+# CONFIG_DM_INIT is not set
+CONFIG_DM_UEVENT=3Dy
+CONFIG_DM_FLAKEY=3Dm
+CONFIG_DM_VERITY=3Dm
+CONFIG_DM_VERITY_VERIFY_ROOTHASH_SIG=3Dy
+# CONFIG_DM_VERITY_FEC is not set
+CONFIG_DM_SWITCH=3Dm
+CONFIG_DM_LOG_WRITES=3Dm
+CONFIG_DM_INTEGRITY=3Dm
+CONFIG_DM_ZONED=3Dm
+CONFIG_TARGET_CORE=3Dm
+CONFIG_TCM_IBLOCK=3Dm
+CONFIG_TCM_FILEIO=3Dm
+CONFIG_TCM_PSCSI=3Dm
+CONFIG_TCM_USER2=3Dm
+CONFIG_LOOPBACK_TARGET=3Dm
+CONFIG_TCM_FC=3Dm
+CONFIG_ISCSI_TARGET=3Dm
+CONFIG_ISCSI_TARGET_CXGB4=3Dm
+CONFIG_SBP_TARGET=3Dm
+CONFIG_FUSION=3Dy
+CONFIG_FUSION_SPI=3Dm
+CONFIG_FUSION_FC=3Dm
+CONFIG_FUSION_SAS=3Dm
+CONFIG_FUSION_MAX_SGE=3D128
+CONFIG_FUSION_CTL=3Dm
+CONFIG_FUSION_LAN=3Dm
+CONFIG_FUSION_LOGGING=3Dy
+
+#
+# IEEE 1394 (FireWire) support
+#
+CONFIG_FIREWIRE=3Dm
+CONFIG_FIREWIRE_OHCI=3Dm
+CONFIG_FIREWIRE_SBP2=3Dm
+CONFIG_FIREWIRE_NET=3Dm
+CONFIG_FIREWIRE_NOSY=3Dm
+# end of IEEE 1394 (FireWire) support
+
+CONFIG_MACINTOSH_DRIVERS=3Dy
+CONFIG_MAC_EMUMOUSEBTN=3Dm
+CONFIG_NETDEVICES=3Dy
+CONFIG_MII=3Dm
+CONFIG_NET_CORE=3Dy
+CONFIG_BONDING=3Dm
+CONFIG_DUMMY=3Dm
+CONFIG_EQUALIZER=3Dm
+CONFIG_NET_FC=3Dy
+CONFIG_IFB=3Dm
+CONFIG_NET_TEAM=3Dm
+CONFIG_NET_TEAM_MODE_BROADCAST=3Dm
+CONFIG_NET_TEAM_MODE_ROUNDROBIN=3Dm
+CONFIG_NET_TEAM_MODE_RANDOM=3Dm
+CONFIG_NET_TEAM_MODE_ACTIVEBACKUP=3Dm
+CONFIG_NET_TEAM_MODE_LOADBALANCE=3Dm
+CONFIG_MACVLAN=3Dm
+CONFIG_MACVTAP=3Dm
+CONFIG_IPVLAN_L3S=3Dy
+CONFIG_IPVLAN=3Dm
+CONFIG_IPVTAP=3Dm
+CONFIG_VXLAN=3Dm
+CONFIG_GENEVE=3Dm
+CONFIG_GTP=3Dm
+CONFIG_MACSEC=3Dm
+CONFIG_NETCONSOLE=3Dm
+CONFIG_NETCONSOLE_DYNAMIC=3Dy
+CONFIG_NETPOLL=3Dy
+CONFIG_NET_POLL_CONTROLLER=3Dy
+CONFIG_NTB_NETDEV=3Dm
+CONFIG_RIONET=3Dm
+CONFIG_RIONET_TX_SIZE=3D128
+CONFIG_RIONET_RX_SIZE=3D128
+CONFIG_TUN=3Dy
+CONFIG_TAP=3Dm
+# CONFIG_TUN_VNET_CROSS_LE is not set
+CONFIG_VETH=3Dm
+CONFIG_VIRTIO_NET=3Dy
+CONFIG_NLMON=3Dm
+CONFIG_NET_VRF=3Dm
+CONFIG_VSOCKMON=3Dm
+CONFIG_SUNGEM_PHY=3Dm
+CONFIG_ARCNET=3Dm
+CONFIG_ARCNET_1201=3Dm
+CONFIG_ARCNET_1051=3Dm
+CONFIG_ARCNET_RAW=3Dm
+CONFIG_ARCNET_CAP=3Dm
+CONFIG_ARCNET_COM90xx=3Dm
+CONFIG_ARCNET_COM90xxIO=3Dm
+CONFIG_ARCNET_RIM_I=3Dm
+CONFIG_ARCNET_COM20020=3Dm
+CONFIG_ARCNET_COM20020_PCI=3Dm
+CONFIG_ARCNET_COM20020_CS=3Dm
+CONFIG_ATM_DRIVERS=3Dy
+CONFIG_ATM_DUMMY=3Dm
+CONFIG_ATM_TCP=3Dm
+CONFIG_ATM_LANAI=3Dm
+CONFIG_ATM_ENI=3Dm
+# CONFIG_ATM_ENI_DEBUG is not set
+# CONFIG_ATM_ENI_TUNE_BURST is not set
+CONFIG_ATM_FIRESTREAM=3Dm
+CONFIG_ATM_ZATM=3Dm
+# CONFIG_ATM_ZATM_DEBUG is not set
+CONFIG_ATM_NICSTAR=3Dm
+# CONFIG_ATM_NICSTAR_USE_SUNI is not set
+# CONFIG_ATM_NICSTAR_USE_IDT77105 is not set
+CONFIG_ATM_IDT77252=3Dm
+# CONFIG_ATM_IDT77252_DEBUG is not set
+# CONFIG_ATM_IDT77252_RCV_ALL is not set
+CONFIG_ATM_IDT77252_USE_SUNI=3Dy
+CONFIG_ATM_AMBASSADOR=3Dm
+# CONFIG_ATM_AMBASSADOR_DEBUG is not set
+CONFIG_ATM_HORIZON=3Dm
+# CONFIG_ATM_HORIZON_DEBUG is not set
+CONFIG_ATM_IA=3Dm
+# CONFIG_ATM_IA_DEBUG is not set
+CONFIG_ATM_FORE200E=3Dm
+# CONFIG_ATM_FORE200E_USE_TASKLET is not set
+CONFIG_ATM_FORE200E_TX_RETRY=3D16
+CONFIG_ATM_FORE200E_DEBUG=3D0
+CONFIG_ATM_HE=3Dm
+CONFIG_ATM_HE_USE_SUNI=3Dy
+CONFIG_ATM_SOLOS=3Dm
+
+#
+# CAIF transport drivers
+#
+CONFIG_CAIF_TTY=3Dm
+CONFIG_CAIF_SPI_SLAVE=3Dm
+# CONFIG_CAIF_SPI_SYNC is not set
+CONFIG_CAIF_HSI=3Dm
+CONFIG_CAIF_VIRTIO=3Dm
+
+#
+# Distributed Switch Architecture drivers
+#
+CONFIG_B53=3Dm
+CONFIG_B53_SPI_DRIVER=3Dm
+CONFIG_B53_MDIO_DRIVER=3Dm
+CONFIG_B53_MMAP_DRIVER=3Dm
+CONFIG_B53_SRAB_DRIVER=3Dm
+CONFIG_B53_SERDES=3Dm
+CONFIG_NET_DSA_BCM_SF2=3Dm
+# CONFIG_NET_DSA_LOOP is not set
+CONFIG_NET_DSA_LANTIQ_GSWIP=3Dm
+CONFIG_NET_DSA_MT7530=3Dm
+CONFIG_NET_DSA_MV88E6060=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ_COMMON=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ9477=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ9477_I2C=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ9477_SPI=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ8795=3Dm
+CONFIG_NET_DSA_MICROCHIP_KSZ8795_SPI=3Dm
+CONFIG_NET_DSA_MV88E6XXX=3Dm
+CONFIG_NET_DSA_MV88E6XXX_GLOBAL2=3Dy
+# CONFIG_NET_DSA_MV88E6XXX_PTP is not set
+CONFIG_NET_DSA_SJA1105=3Dm
+CONFIG_NET_DSA_SJA1105_PTP=3Dy
+# CONFIG_NET_DSA_SJA1105_TAS is not set
+CONFIG_NET_DSA_QCA8K=3Dm
+CONFIG_NET_DSA_REALTEK_SMI=3Dm
+CONFIG_NET_DSA_SMSC_LAN9303=3Dm
+CONFIG_NET_DSA_SMSC_LAN9303_I2C=3Dm
+CONFIG_NET_DSA_SMSC_LAN9303_MDIO=3Dm
+# end of Distributed Switch Architecture drivers
+
+CONFIG_ETHERNET=3Dy
+CONFIG_MDIO=3Dm
+CONFIG_NET_VENDOR_3COM=3Dy
+CONFIG_PCMCIA_3C574=3Dm
+CONFIG_PCMCIA_3C589=3Dm
+CONFIG_VORTEX=3Dm
+CONFIG_TYPHOON=3Dm
+CONFIG_NET_VENDOR_ADAPTEC=3Dy
+CONFIG_ADAPTEC_STARFIRE=3Dm
+CONFIG_NET_VENDOR_AGERE=3Dy
+CONFIG_ET131X=3Dm
+CONFIG_NET_VENDOR_ALACRITECH=3Dy
+CONFIG_SLICOSS=3Dm
+CONFIG_NET_VENDOR_ALTEON=3Dy
+CONFIG_ACENIC=3Dm
+# CONFIG_ACENIC_OMIT_TIGON_I is not set
+CONFIG_ALTERA_TSE=3Dm
+CONFIG_NET_VENDOR_AMAZON=3Dy
+CONFIG_ENA_ETHERNET=3Dm
+CONFIG_NET_VENDOR_AMD=3Dy
+CONFIG_AMD8111_ETH=3Dm
+CONFIG_PCNET32=3Dm
+CONFIG_PCMCIA_NMCLAN=3Dm
+CONFIG_AMD_XGBE=3Dm
+# CONFIG_AMD_XGBE_DCB is not set
+CONFIG_AMD_XGBE_HAVE_ECC=3Dy
+CONFIG_NET_VENDOR_AQUANTIA=3Dy
+CONFIG_AQTION=3Dm
+CONFIG_NET_VENDOR_ARC=3Dy
+CONFIG_NET_VENDOR_ATHEROS=3Dy
+CONFIG_ATL2=3Dm
+CONFIG_ATL1=3Dm
+CONFIG_ATL1E=3Dm
+CONFIG_ATL1C=3Dm
+CONFIG_ALX=3Dm
+CONFIG_NET_VENDOR_AURORA=3Dy
+CONFIG_AURORA_NB8800=3Dm
+CONFIG_NET_VENDOR_BROADCOM=3Dy
+CONFIG_B44=3Dm
+CONFIG_B44_PCI_AUTOSELECT=3Dy
+CONFIG_B44_PCICORE_AUTOSELECT=3Dy
+CONFIG_B44_PCI=3Dy
+CONFIG_BCMGENET=3Dm
+CONFIG_BNX2=3Dm
+CONFIG_CNIC=3Dm
+CONFIG_TIGON3=3Dm
+CONFIG_TIGON3_HWMON=3Dy
+CONFIG_BNX2X=3Dm
+CONFIG_BNX2X_SRIOV=3Dy
+# CONFIG_SYSTEMPORT is not set
+CONFIG_BNXT=3Dm
+CONFIG_BNXT_SRIOV=3Dy
+CONFIG_BNXT_FLOWER_OFFLOAD=3Dy
+# CONFIG_BNXT_DCB is not set
+CONFIG_BNXT_HWMON=3Dy
+CONFIG_NET_VENDOR_BROCADE=3Dy
+CONFIG_BNA=3Dm
+CONFIG_NET_VENDOR_CADENCE=3Dy
+CONFIG_MACB=3Dm
+CONFIG_MACB_USE_HWSTAMP=3Dy
+CONFIG_MACB_PCI=3Dm
+CONFIG_NET_VENDOR_CAVIUM=3Dy
+CONFIG_THUNDER_NIC_PF=3Dm
+CONFIG_THUNDER_NIC_VF=3Dm
+CONFIG_THUNDER_NIC_BGX=3Dm
+CONFIG_THUNDER_NIC_RGX=3Dm
+CONFIG_CAVIUM_PTP=3Dm
+CONFIG_LIQUIDIO=3Dm
+CONFIG_LIQUIDIO_VF=3Dm
+CONFIG_NET_VENDOR_CHELSIO=3Dy
+CONFIG_CHELSIO_T1=3Dm
+CONFIG_CHELSIO_T1_1G=3Dy
+CONFIG_CHELSIO_T3=3Dm
+CONFIG_CHELSIO_T4=3Dm
+CONFIG_CHELSIO_T4_DCB=3Dy
+CONFIG_CHELSIO_T4_FCOE=3Dy
+CONFIG_CHELSIO_T4VF=3Dm
+CONFIG_CHELSIO_LIB=3Dm
+CONFIG_NET_VENDOR_CISCO=3Dy
+CONFIG_ENIC=3Dm
+# CONFIG_NET_VENDOR_CORTINA is not set
+CONFIG_CX_ECAT=3Dm
+CONFIG_DNET=3Dm
+CONFIG_NET_VENDOR_DEC=3Dy
+CONFIG_NET_TULIP=3Dy
+CONFIG_DE2104X=3Dm
+CONFIG_DE2104X_DSL=3D0
+CONFIG_TULIP=3Dm
+# CONFIG_TULIP_MWI is not set
+# CONFIG_TULIP_MMIO is not set
+# CONFIG_TULIP_NAPI is not set
+CONFIG_DE4X5=3Dm
+CONFIG_WINBOND_840=3Dm
+CONFIG_DM9102=3Dm
+CONFIG_ULI526X=3Dm
+CONFIG_PCMCIA_XIRCOM=3Dm
+CONFIG_NET_VENDOR_DLINK=3Dy
+CONFIG_DL2K=3Dm
+CONFIG_SUNDANCE=3Dm
+# CONFIG_SUNDANCE_MMIO is not set
+CONFIG_NET_VENDOR_EMULEX=3Dy
+CONFIG_BE2NET=3Dm
+CONFIG_BE2NET_HWMON=3Dy
+CONFIG_BE2NET_BE2=3Dy
+CONFIG_BE2NET_BE3=3Dy
+CONFIG_BE2NET_LANCER=3Dy
+CONFIG_BE2NET_SKYHAWK=3Dy
+CONFIG_NET_VENDOR_EZCHIP=3Dy
+CONFIG_NET_VENDOR_FUJITSU=3Dy
+CONFIG_PCMCIA_FMVJ18X=3Dm
+CONFIG_NET_VENDOR_GOOGLE=3Dy
+CONFIG_GVE=3Dm
+CONFIG_NET_VENDOR_HP=3Dy
+CONFIG_HP100=3Dm
+CONFIG_NET_VENDOR_HUAWEI=3Dy
+CONFIG_HINIC=3Dm
+CONFIG_NET_VENDOR_I825XX=3Dy
+CONFIG_NET_VENDOR_INTEL=3Dy
+CONFIG_E100=3Dm
+CONFIG_E1000=3Dm
+CONFIG_E1000E=3Dm
+CONFIG_E1000E_HWTS=3Dy
+CONFIG_IGB=3Dm
+CONFIG_IGB_HWMON=3Dy
+CONFIG_IGB_DCA=3Dy
+CONFIG_IGBVF=3Dm
+CONFIG_IXGB=3Dm
+CONFIG_IXGBE=3Dm
+CONFIG_IXGBE_HWMON=3Dy
+CONFIG_IXGBE_DCA=3Dy
+CONFIG_IXGBE_DCB=3Dy
+CONFIG_IXGBE_IPSEC=3Dy
+CONFIG_IXGBEVF=3Dm
+CONFIG_IXGBEVF_IPSEC=3Dy
+CONFIG_I40E=3Dm
+CONFIG_I40E_DCB=3Dy
+CONFIG_IAVF=3Dm
+CONFIG_I40EVF=3Dm
+CONFIG_ICE=3Dm
+CONFIG_FM10K=3Dm
+CONFIG_IGC=3Dm
+CONFIG_JME=3Dm
+CONFIG_NET_VENDOR_MARVELL=3Dy
+CONFIG_MVMDIO=3Dm
+CONFIG_SKGE=3Dm
+# CONFIG_SKGE_DEBUG is not set
+CONFIG_SKGE_GENESIS=3Dy
+CONFIG_SKY2=3Dm
+# CONFIG_SKY2_DEBUG is not set
+CONFIG_NET_VENDOR_MELLANOX=3Dy
+CONFIG_MLX4_EN=3Dm
+CONFIG_MLX4_EN_DCB=3Dy
+CONFIG_MLX4_CORE=3Dm
+CONFIG_MLX4_DEBUG=3Dy
+CONFIG_MLX4_CORE_GEN2=3Dy
+CONFIG_MLX5_CORE=3Dm
+# CONFIG_MLX5_FPGA is not set
+CONFIG_MLX5_CORE_EN=3Dy
+CONFIG_MLX5_EN_ARFS=3Dy
+CONFIG_MLX5_EN_RXNFC=3Dy
+CONFIG_MLX5_MPFS=3Dy
+CONFIG_MLX5_ESWITCH=3Dy
+CONFIG_MLX5_CORE_EN_DCB=3Dy
+# CONFIG_MLX5_CORE_IPOIB is not set
+CONFIG_MLX5_SW_STEERING=3Dy
+CONFIG_MLXSW_CORE=3Dm
+CONFIG_MLXSW_CORE_HWMON=3Dy
+CONFIG_MLXSW_CORE_THERMAL=3Dy
+CONFIG_MLXSW_PCI=3Dm
+CONFIG_MLXSW_I2C=3Dm
+CONFIG_MLXSW_SWITCHIB=3Dm
+CONFIG_MLXSW_SWITCHX2=3Dm
+CONFIG_MLXSW_SPECTRUM=3Dm
+CONFIG_MLXSW_SPECTRUM_DCB=3Dy
+CONFIG_MLXSW_MINIMAL=3Dm
+CONFIG_MLXFW=3Dm
+CONFIG_NET_VENDOR_MICREL=3Dy
+CONFIG_KS8842=3Dm
+CONFIG_KS8851=3Dm
+CONFIG_KS8851_MLL=3Dm
+CONFIG_KSZ884X_PCI=3Dm
+CONFIG_NET_VENDOR_MICROCHIP=3Dy
+CONFIG_ENC28J60=3Dm
+# CONFIG_ENC28J60_WRITEVERIFY is not set
+CONFIG_ENCX24J600=3Dm
+CONFIG_LAN743X=3Dm
+CONFIG_NET_VENDOR_MICROSEMI=3Dy
+CONFIG_MSCC_OCELOT_SWITCH=3Dm
+CONFIG_NET_VENDOR_MYRI=3Dy
+CONFIG_MYRI10GE=3Dm
+CONFIG_MYRI10GE_DCA=3Dy
+CONFIG_FEALNX=3Dm
+CONFIG_NET_VENDOR_NATSEMI=3Dy
+CONFIG_NATSEMI=3Dm
+CONFIG_NS83820=3Dm
+CONFIG_NET_VENDOR_NETERION=3Dy
+CONFIG_S2IO=3Dm
+CONFIG_VXGE=3Dm
+# CONFIG_VXGE_DEBUG_TRACE_ALL is not set
+CONFIG_NET_VENDOR_NETRONOME=3Dy
+CONFIG_NFP=3Dm
+# CONFIG_NFP_APP_FLOWER is not set
+CONFIG_NFP_APP_ABM_NIC=3Dy
+# CONFIG_NFP_DEBUG is not set
+CONFIG_NET_VENDOR_NI=3Dy
+CONFIG_NI_XGE_MANAGEMENT_ENET=3Dm
+CONFIG_NET_VENDOR_8390=3Dy
+CONFIG_PCMCIA_AXNET=3Dm
+CONFIG_NE2K_PCI=3Dm
+CONFIG_PCMCIA_PCNET=3Dm
+CONFIG_NET_VENDOR_NVIDIA=3Dy
+CONFIG_FORCEDETH=3Dm
+CONFIG_NET_VENDOR_OKI=3Dy
+CONFIG_ETHOC=3Dm
+CONFIG_NET_VENDOR_PACKET_ENGINES=3Dy
+CONFIG_HAMACHI=3Dm
+CONFIG_YELLOWFIN=3Dm
+CONFIG_NET_VENDOR_PENSANDO=3Dy
+CONFIG_IONIC=3Dm
+CONFIG_NET_VENDOR_QLOGIC=3Dy
+CONFIG_QLA3XXX=3Dm
+CONFIG_QLCNIC=3Dm
+CONFIG_QLCNIC_SRIOV=3Dy
+CONFIG_QLCNIC_DCB=3Dy
+CONFIG_QLCNIC_HWMON=3Dy
+CONFIG_NETXEN_NIC=3Dm
+CONFIG_QED=3Dm
+CONFIG_QED_LL2=3Dy
+CONFIG_QED_SRIOV=3Dy
+CONFIG_QEDE=3Dm
+CONFIG_QED_RDMA=3Dy
+CONFIG_QED_ISCSI=3Dy
+CONFIG_QED_FCOE=3Dy
+CONFIG_QED_OOO=3Dy
+CONFIG_NET_VENDOR_QUALCOMM=3Dy
+CONFIG_QCOM_EMAC=3Dm
+CONFIG_RMNET=3Dm
+CONFIG_NET_VENDOR_RDC=3Dy
+CONFIG_R6040=3Dm
+CONFIG_NET_VENDOR_REALTEK=3Dy
+CONFIG_ATP=3Dm
+CONFIG_8139CP=3Dm
+CONFIG_8139TOO=3Dm
+CONFIG_8139TOO_PIO=3Dy
+# CONFIG_8139TOO_TUNE_TWISTER is not set
+CONFIG_8139TOO_8129=3Dy
+# CONFIG_8139_OLD_RX_RESET is not set
+CONFIG_R8169=3Dm
+CONFIG_NET_VENDOR_RENESAS=3Dy
+CONFIG_NET_VENDOR_ROCKER=3Dy
+CONFIG_ROCKER=3Dm
+CONFIG_NET_VENDOR_SAMSUNG=3Dy
+CONFIG_SXGBE_ETH=3Dm
+CONFIG_NET_VENDOR_SEEQ=3Dy
+CONFIG_NET_VENDOR_SOLARFLARE=3Dy
+CONFIG_SFC=3Dm
+CONFIG_SFC_MTD=3Dy
+CONFIG_SFC_MCDI_MON=3Dy
+CONFIG_SFC_SRIOV=3Dy
+CONFIG_SFC_MCDI_LOGGING=3Dy
+CONFIG_SFC_FALCON=3Dm
+CONFIG_SFC_FALCON_MTD=3Dy
+CONFIG_NET_VENDOR_SILAN=3Dy
+CONFIG_SC92031=3Dm
+CONFIG_NET_VENDOR_SIS=3Dy
+CONFIG_SIS900=3Dm
+CONFIG_SIS190=3Dm
+CONFIG_NET_VENDOR_SMSC=3Dy
+CONFIG_PCMCIA_SMC91C92=3Dm
+CONFIG_EPIC100=3Dm
+CONFIG_SMSC911X=3Dm
+CONFIG_SMSC9420=3Dm
+# CONFIG_NET_VENDOR_SOCIONEXT is not set
+CONFIG_NET_VENDOR_STMICRO=3Dy
+CONFIG_STMMAC_ETH=3Dm
+# CONFIG_STMMAC_SELFTESTS is not set
+CONFIG_STMMAC_PLATFORM=3Dm
+CONFIG_DWMAC_GENERIC=3Dm
+# CONFIG_STMMAC_PCI is not set
+CONFIG_NET_VENDOR_SUN=3Dy
+CONFIG_HAPPYMEAL=3Dm
+CONFIG_SUNGEM=3Dm
+CONFIG_CASSINI=3Dm
+CONFIG_NIU=3Dm
+CONFIG_NET_VENDOR_SYNOPSYS=3Dy
+CONFIG_DWC_XLGMAC=3Dm
+CONFIG_DWC_XLGMAC_PCI=3Dm
+CONFIG_NET_VENDOR_TEHUTI=3Dy
+CONFIG_TEHUTI=3Dm
+CONFIG_NET_VENDOR_TI=3Dy
+# CONFIG_TI_CPSW_PHY_SEL is not set
+CONFIG_TLAN=3Dm
+CONFIG_NET_VENDOR_VIA=3Dy
+CONFIG_VIA_RHINE=3Dm
+CONFIG_VIA_RHINE_MMIO=3Dy
+CONFIG_VIA_VELOCITY=3Dm
+CONFIG_NET_VENDOR_WIZNET=3Dy
+CONFIG_WIZNET_W5100=3Dm
+CONFIG_WIZNET_W5300=3Dm
+# CONFIG_WIZNET_BUS_DIRECT is not set
+# CONFIG_WIZNET_BUS_INDIRECT is not set
+CONFIG_WIZNET_BUS_ANY=3Dy
+# CONFIG_WIZNET_W5100_SPI is not set
+CONFIG_NET_VENDOR_XILINX=3Dy
+CONFIG_XILINX_AXI_EMAC=3Dm
+CONFIG_XILINX_LL_TEMAC=3Dm
+CONFIG_NET_VENDOR_XIRCOM=3Dy
+CONFIG_PCMCIA_XIRC2PS=3Dm
+CONFIG_FDDI=3Dy
+CONFIG_DEFXX=3Dm
+# CONFIG_DEFXX_MMIO is not set
+CONFIG_SKFP=3Dm
+# CONFIG_HIPPI is not set
+CONFIG_NET_SB1000=3Dm
+CONFIG_MDIO_DEVICE=3Dy
+CONFIG_MDIO_BUS=3Dy
+CONFIG_MDIO_BCM_UNIMAC=3Dm
+CONFIG_MDIO_BITBANG=3Dm
+CONFIG_MDIO_CAVIUM=3Dm
+CONFIG_MDIO_GPIO=3Dm
+CONFIG_MDIO_I2C=3Dm
+CONFIG_MDIO_MSCC_MIIM=3Dm
+CONFIG_MDIO_THUNDER=3Dm
+CONFIG_PHYLINK=3Dm
+CONFIG_PHYLIB=3Dy
+CONFIG_SWPHY=3Dy
+# CONFIG_LED_TRIGGER_PHY is not set
+
+#
+# MII PHY device drivers
+#
+CONFIG_SFP=3Dm
+CONFIG_ADIN_PHY=3Dm
+CONFIG_AMD_PHY=3Dm
+CONFIG_AQUANTIA_PHY=3Dm
+CONFIG_AX88796B_PHY=3Dm
+CONFIG_AT803X_PHY=3Dm
+CONFIG_BCM7XXX_PHY=3Dm
+CONFIG_BCM87XX_PHY=3Dm
+CONFIG_BCM_NET_PHYLIB=3Dm
+CONFIG_BROADCOM_PHY=3Dm
+CONFIG_CICADA_PHY=3Dm
+CONFIG_CORTINA_PHY=3Dm
+CONFIG_DAVICOM_PHY=3Dm
+CONFIG_DP83822_PHY=3Dm
+CONFIG_DP83TC811_PHY=3Dm
+CONFIG_DP83848_PHY=3Dm
+CONFIG_DP83867_PHY=3Dm
+CONFIG_FIXED_PHY=3Dy
+CONFIG_ICPLUS_PHY=3Dm
+CONFIG_INTEL_XWAY_PHY=3Dm
+CONFIG_LSI_ET1011C_PHY=3Dm
+CONFIG_LXT_PHY=3Dm
+CONFIG_MARVELL_PHY=3Dm
+CONFIG_MARVELL_10G_PHY=3Dm
+CONFIG_MICREL_PHY=3Dm
+CONFIG_MICROCHIP_PHY=3Dm
+CONFIG_MICROCHIP_T1_PHY=3Dm
+CONFIG_MICROSEMI_PHY=3Dm
+CONFIG_NATIONAL_PHY=3Dm
+CONFIG_NXP_TJA11XX_PHY=3Dm
+CONFIG_QSEMI_PHY=3Dm
+CONFIG_REALTEK_PHY=3Dm
+CONFIG_RENESAS_PHY=3Dm
+CONFIG_ROCKCHIP_PHY=3Dm
+CONFIG_SMSC_PHY=3Dm
+CONFIG_STE10XP=3Dm
+CONFIG_TERANETICS_PHY=3Dm
+CONFIG_VITESSE_PHY=3Dm
+CONFIG_XILINX_GMII2RGMII=3Dm
+CONFIG_MICREL_KS8995MA=3Dm
+CONFIG_PLIP=3Dm
+CONFIG_PPP=3Dy
+CONFIG_PPP_BSDCOMP=3Dm
+CONFIG_PPP_DEFLATE=3Dm
+CONFIG_PPP_FILTER=3Dy
+CONFIG_PPP_MPPE=3Dm
+CONFIG_PPP_MULTILINK=3Dy
+CONFIG_PPPOATM=3Dm
+CONFIG_PPPOE=3Dm
+CONFIG_PPTP=3Dm
+CONFIG_PPPOL2TP=3Dm
+CONFIG_PPP_ASYNC=3Dm
+CONFIG_PPP_SYNC_TTY=3Dm
+CONFIG_SLIP=3Dm
+CONFIG_SLHC=3Dy
+CONFIG_SLIP_COMPRESSED=3Dy
+CONFIG_SLIP_SMART=3Dy
+CONFIG_SLIP_MODE_SLIP6=3Dy
+CONFIG_USB_NET_DRIVERS=3Dm
+CONFIG_USB_CATC=3Dm
+CONFIG_USB_KAWETH=3Dm
+CONFIG_USB_PEGASUS=3Dm
+CONFIG_USB_RTL8150=3Dm
+CONFIG_USB_RTL8152=3Dm
+CONFIG_USB_LAN78XX=3Dm
+CONFIG_USB_USBNET=3Dm
+CONFIG_USB_NET_AX8817X=3Dm
+CONFIG_USB_NET_AX88179_178A=3Dm
+CONFIG_USB_NET_CDCETHER=3Dm
+CONFIG_USB_NET_CDC_EEM=3Dm
+CONFIG_USB_NET_CDC_NCM=3Dm
+CONFIG_USB_NET_HUAWEI_CDC_NCM=3Dm
+CONFIG_USB_NET_CDC_MBIM=3Dm
+CONFIG_USB_NET_DM9601=3Dm
+CONFIG_USB_NET_SR9700=3Dm
+CONFIG_USB_NET_SR9800=3Dm
+CONFIG_USB_NET_SMSC75XX=3Dm
+CONFIG_USB_NET_SMSC95XX=3Dm
+CONFIG_USB_NET_GL620A=3Dm
+CONFIG_USB_NET_NET1080=3Dm
+CONFIG_USB_NET_PLUSB=3Dm
+CONFIG_USB_NET_MCS7830=3Dm
+CONFIG_USB_NET_RNDIS_HOST=3Dm
+CONFIG_USB_NET_CDC_SUBSET_ENABLE=3Dm
+CONFIG_USB_NET_CDC_SUBSET=3Dm
+CONFIG_USB_ALI_M5632=3Dy
+CONFIG_USB_AN2720=3Dy
+CONFIG_USB_BELKIN=3Dy
+CONFIG_USB_ARMLINUX=3Dy
+CONFIG_USB_EPSON2888=3Dy
+CONFIG_USB_KC2190=3Dy
+CONFIG_USB_NET_ZAURUS=3Dm
+CONFIG_USB_NET_CX82310_ETH=3Dm
+CONFIG_USB_NET_KALMIA=3Dm
+CONFIG_USB_NET_QMI_WWAN=3Dm
+CONFIG_USB_HSO=3Dm
+CONFIG_USB_NET_INT51X1=3Dm
+CONFIG_USB_CDC_PHONET=3Dm
+CONFIG_USB_IPHETH=3Dm
+CONFIG_USB_SIERRA_NET=3Dm
+CONFIG_USB_VL600=3Dm
+CONFIG_USB_NET_CH9200=3Dm
+CONFIG_USB_NET_AQC111=3Dm
+CONFIG_WLAN=3Dy
+# CONFIG_WIRELESS_WDS is not set
+CONFIG_WLAN_VENDOR_ADMTEK=3Dy
+CONFIG_ADM8211=3Dm
+CONFIG_ATH_COMMON=3Dm
+CONFIG_WLAN_VENDOR_ATH=3Dy
+# CONFIG_ATH_DEBUG is not set
+CONFIG_ATH5K=3Dm
+# CONFIG_ATH5K_DEBUG is not set
+# CONFIG_ATH5K_TRACER is not set
+CONFIG_ATH5K_PCI=3Dy
+CONFIG_ATH9K_HW=3Dm
+CONFIG_ATH9K_COMMON=3Dm
+CONFIG_ATH9K_COMMON_DEBUG=3Dy
+CONFIG_ATH9K_BTCOEX_SUPPORT=3Dy
+CONFIG_ATH9K=3Dm
+CONFIG_ATH9K_PCI=3Dy
+CONFIG_ATH9K_AHB=3Dy
+CONFIG_ATH9K_DEBUGFS=3Dy
+CONFIG_ATH9K_STATION_STATISTICS=3Dy
+# CONFIG_ATH9K_DYNACK is not set
+CONFIG_ATH9K_WOW=3Dy
+CONFIG_ATH9K_RFKILL=3Dy
+CONFIG_ATH9K_CHANNEL_CONTEXT=3Dy
+CONFIG_ATH9K_PCOEM=3Dy
+CONFIG_ATH9K_PCI_NO_EEPROM=3Dm
+CONFIG_ATH9K_HTC=3Dm
+CONFIG_ATH9K_HTC_DEBUGFS=3Dy
+CONFIG_ATH9K_HWRNG=3Dy
+# CONFIG_ATH9K_COMMON_SPECTRAL is not set
+CONFIG_CARL9170=3Dm
+CONFIG_CARL9170_LEDS=3Dy
+# CONFIG_CARL9170_DEBUGFS is not set
+CONFIG_CARL9170_WPC=3Dy
+CONFIG_CARL9170_HWRNG=3Dy
+CONFIG_ATH6KL=3Dm
+CONFIG_ATH6KL_SDIO=3Dm
+CONFIG_ATH6KL_USB=3Dm
+# CONFIG_ATH6KL_DEBUG is not set
+# CONFIG_ATH6KL_TRACING is not set
+CONFIG_AR5523=3Dm
+CONFIG_WIL6210=3Dm
+CONFIG_WIL6210_ISR_COR=3Dy
+CONFIG_WIL6210_TRACING=3Dy
+CONFIG_WIL6210_DEBUGFS=3Dy
+CONFIG_ATH10K=3Dm
+CONFIG_ATH10K_CE=3Dy
+CONFIG_ATH10K_PCI=3Dm
+CONFIG_ATH10K_SDIO=3Dm
+CONFIG_ATH10K_USB=3Dm
+# CONFIG_ATH10K_DEBUG is not set
+CONFIG_ATH10K_DEBUGFS=3Dy
+# CONFIG_ATH10K_SPECTRAL is not set
+CONFIG_ATH10K_TRACING=3Dy
+CONFIG_WCN36XX=3Dm
+# CONFIG_WCN36XX_DEBUGFS is not set
+CONFIG_WLAN_VENDOR_ATMEL=3Dy
+CONFIG_ATMEL=3Dm
+CONFIG_PCI_ATMEL=3Dm
+CONFIG_PCMCIA_ATMEL=3Dm
+CONFIG_AT76C50X_USB=3Dm
+CONFIG_WLAN_VENDOR_BROADCOM=3Dy
+CONFIG_B43=3Dm
+CONFIG_B43_BCMA=3Dy
+CONFIG_B43_SSB=3Dy
+CONFIG_B43_BUSES_BCMA_AND_SSB=3Dy
+# CONFIG_B43_BUSES_BCMA is not set
+# CONFIG_B43_BUSES_SSB is not set
+CONFIG_B43_PCI_AUTOSELECT=3Dy
+CONFIG_B43_PCICORE_AUTOSELECT=3Dy
+# CONFIG_B43_SDIO is not set
+CONFIG_B43_BCMA_PIO=3Dy
+CONFIG_B43_PIO=3Dy
+CONFIG_B43_PHY_G=3Dy
+CONFIG_B43_PHY_N=3Dy
+CONFIG_B43_PHY_LP=3Dy
+CONFIG_B43_PHY_HT=3Dy
+CONFIG_B43_LEDS=3Dy
+CONFIG_B43_HWRNG=3Dy
+# CONFIG_B43_DEBUG is not set
+CONFIG_B43LEGACY=3Dm
+CONFIG_B43LEGACY_PCI_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_PCICORE_AUTOSELECT=3Dy
+CONFIG_B43LEGACY_LEDS=3Dy
+CONFIG_B43LEGACY_HWRNG=3Dy
+# CONFIG_B43LEGACY_DEBUG is not set
+CONFIG_B43LEGACY_DMA=3Dy
+CONFIG_B43LEGACY_PIO=3Dy
+CONFIG_B43LEGACY_DMA_AND_PIO_MODE=3Dy
+# CONFIG_B43LEGACY_DMA_MODE is not set
+# CONFIG_B43LEGACY_PIO_MODE is not set
+CONFIG_BRCMUTIL=3Dm
+CONFIG_BRCMSMAC=3Dm
+CONFIG_BRCMFMAC=3Dm
+CONFIG_BRCMFMAC_PROTO_BCDC=3Dy
+CONFIG_BRCMFMAC_PROTO_MSGBUF=3Dy
+CONFIG_BRCMFMAC_SDIO=3Dy
+CONFIG_BRCMFMAC_USB=3Dy
+CONFIG_BRCMFMAC_PCIE=3Dy
+CONFIG_BRCM_TRACING=3Dy
+# CONFIG_BRCMDBG is not set
+CONFIG_WLAN_VENDOR_CISCO=3Dy
+CONFIG_AIRO=3Dm
+CONFIG_AIRO_CS=3Dm
+CONFIG_WLAN_VENDOR_INTEL=3Dy
+CONFIG_IPW2100=3Dm
+CONFIG_IPW2100_MONITOR=3Dy
+# CONFIG_IPW2100_DEBUG is not set
+CONFIG_IPW2200=3Dm
+CONFIG_IPW2200_MONITOR=3Dy
+CONFIG_IPW2200_RADIOTAP=3Dy
+CONFIG_IPW2200_PROMISCUOUS=3Dy
+CONFIG_IPW2200_QOS=3Dy
+# CONFIG_IPW2200_DEBUG is not set
+CONFIG_LIBIPW=3Dm
+# CONFIG_LIBIPW_DEBUG is not set
+CONFIG_IWLEGACY=3Dm
+CONFIG_IWL4965=3Dm
+CONFIG_IWL3945=3Dm
+
+#
+# iwl3945 / iwl4965 Debugging Options
+#
+# CONFIG_IWLEGACY_DEBUG is not set
+CONFIG_IWLEGACY_DEBUGFS=3Dy
+# end of iwl3945 / iwl4965 Debugging Options
+
+CONFIG_IWLWIFI=3Dm
+CONFIG_IWLWIFI_LEDS=3Dy
+CONFIG_IWLDVM=3Dm
+CONFIG_IWLMVM=3Dm
+CONFIG_IWLWIFI_OPMODE_MODULAR=3Dy
+# CONFIG_IWLWIFI_BCAST_FILTERING is not set
+
+#
+# Debugging Options
+#
+# CONFIG_IWLWIFI_DEBUG is not set
+CONFIG_IWLWIFI_DEBUGFS=3Dy
+CONFIG_IWLWIFI_DEVICE_TRACING=3Dy
+# end of Debugging Options
+
+CONFIG_WLAN_VENDOR_INTERSIL=3Dy
+CONFIG_HOSTAP=3Dm
+CONFIG_HOSTAP_FIRMWARE=3Dy
+CONFIG_HOSTAP_FIRMWARE_NVRAM=3Dy
+CONFIG_HOSTAP_PLX=3Dm
+CONFIG_HOSTAP_PCI=3Dm
+CONFIG_HOSTAP_CS=3Dm
+CONFIG_HERMES=3Dm
+# CONFIG_HERMES_PRISM is not set
+CONFIG_HERMES_CACHE_FW_ON_INIT=3Dy
+CONFIG_PLX_HERMES=3Dm
+CONFIG_TMD_HERMES=3Dm
+CONFIG_NORTEL_HERMES=3Dm
+CONFIG_PCMCIA_HERMES=3Dm
+CONFIG_PCMCIA_SPECTRUM=3Dm
+CONFIG_ORINOCO_USB=3Dm
+CONFIG_P54_COMMON=3Dm
+CONFIG_P54_USB=3Dm
+CONFIG_P54_PCI=3Dm
+CONFIG_P54_SPI=3Dm
+# CONFIG_P54_SPI_DEFAULT_EEPROM is not set
+CONFIG_P54_LEDS=3Dy
+# CONFIG_PRISM54 is not set
+CONFIG_WLAN_VENDOR_MARVELL=3Dy
+CONFIG_LIBERTAS=3Dm
+CONFIG_LIBERTAS_USB=3Dm
+CONFIG_LIBERTAS_CS=3Dm
+CONFIG_LIBERTAS_SDIO=3Dm
+CONFIG_LIBERTAS_SPI=3Dm
+# CONFIG_LIBERTAS_DEBUG is not set
+CONFIG_LIBERTAS_MESH=3Dy
+CONFIG_LIBERTAS_THINFIRM=3Dm
+# CONFIG_LIBERTAS_THINFIRM_DEBUG is not set
+CONFIG_LIBERTAS_THINFIRM_USB=3Dm
+CONFIG_MWIFIEX=3Dm
+CONFIG_MWIFIEX_SDIO=3Dm
+CONFIG_MWIFIEX_PCIE=3Dm
+CONFIG_MWIFIEX_USB=3Dm
+CONFIG_MWL8K=3Dm
+CONFIG_WLAN_VENDOR_MEDIATEK=3Dy
+CONFIG_MT7601U=3Dm
+# CONFIG_MT76x0U is not set
+# CONFIG_MT76x0E is not set
+# CONFIG_MT76x2E is not set
+# CONFIG_MT76x2U is not set
+# CONFIG_MT7603E is not set
+# CONFIG_MT7615E is not set
+CONFIG_WLAN_VENDOR_RALINK=3Dy
+CONFIG_RT2X00=3Dm
+CONFIG_RT2400PCI=3Dm
+CONFIG_RT2500PCI=3Dm
+CONFIG_RT61PCI=3Dm
+CONFIG_RT2800PCI=3Dm
+CONFIG_RT2800PCI_RT33XX=3Dy
+CONFIG_RT2800PCI_RT35XX=3Dy
+CONFIG_RT2800PCI_RT53XX=3Dy
+CONFIG_RT2800PCI_RT3290=3Dy
+CONFIG_RT2500USB=3Dm
+CONFIG_RT73USB=3Dm
+CONFIG_RT2800USB=3Dm
+CONFIG_RT2800USB_RT33XX=3Dy
+CONFIG_RT2800USB_RT35XX=3Dy
+CONFIG_RT2800USB_RT3573=3Dy
+CONFIG_RT2800USB_RT53XX=3Dy
+CONFIG_RT2800USB_RT55XX=3Dy
+CONFIG_RT2800USB_UNKNOWN=3Dy
+CONFIG_RT2800_LIB=3Dm
+CONFIG_RT2800_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_MMIO=3Dm
+CONFIG_RT2X00_LIB_PCI=3Dm
+CONFIG_RT2X00_LIB_USB=3Dm
+CONFIG_RT2X00_LIB=3Dm
+CONFIG_RT2X00_LIB_FIRMWARE=3Dy
+CONFIG_RT2X00_LIB_CRYPTO=3Dy
+CONFIG_RT2X00_LIB_LEDS=3Dy
+# CONFIG_RT2X00_LIB_DEBUGFS is not set
+# CONFIG_RT2X00_DEBUG is not set
+CONFIG_WLAN_VENDOR_REALTEK=3Dy
+CONFIG_RTL8180=3Dm
+CONFIG_RTL8187=3Dm
+CONFIG_RTL8187_LEDS=3Dy
+CONFIG_RTL_CARDS=3Dm
+CONFIG_RTL8192CE=3Dm
+CONFIG_RTL8192SE=3Dm
+CONFIG_RTL8192DE=3Dm
+CONFIG_RTL8723AE=3Dm
+CONFIG_RTL8723BE=3Dm
+CONFIG_RTL8188EE=3Dm
+CONFIG_RTL8192EE=3Dm
+CONFIG_RTL8821AE=3Dm
+CONFIG_RTL8192CU=3Dm
+CONFIG_RTLWIFI=3Dm
+CONFIG_RTLWIFI_PCI=3Dm
+CONFIG_RTLWIFI_USB=3Dm
+# CONFIG_RTLWIFI_DEBUG is not set
+CONFIG_RTL8192C_COMMON=3Dm
+CONFIG_RTL8723_COMMON=3Dm
+CONFIG_RTLBTCOEXIST=3Dm
+CONFIG_RTL8XXXU=3Dm
+CONFIG_RTL8XXXU_UNTESTED=3Dy
+# CONFIG_RTW88 is not set
+CONFIG_WLAN_VENDOR_RSI=3Dy
+CONFIG_RSI_91X=3Dm
+# CONFIG_RSI_DEBUGFS is not set
+CONFIG_RSI_SDIO=3Dm
+CONFIG_RSI_USB=3Dm
+CONFIG_RSI_COEX=3Dy
+CONFIG_WLAN_VENDOR_ST=3Dy
+CONFIG_CW1200=3Dm
+CONFIG_CW1200_WLAN_SDIO=3Dm
+CONFIG_CW1200_WLAN_SPI=3Dm
+CONFIG_WLAN_VENDOR_TI=3Dy
+CONFIG_WL1251=3Dm
+CONFIG_WL1251_SPI=3Dm
+CONFIG_WL1251_SDIO=3Dm
+CONFIG_WL12XX=3Dm
+CONFIG_WL18XX=3Dm
+CONFIG_WLCORE=3Dm
+CONFIG_WLCORE_SDIO=3Dm
+CONFIG_WILINK_PLATFORM_DATA=3Dy
+CONFIG_WLAN_VENDOR_ZYDAS=3Dy
+CONFIG_USB_ZD1201=3Dm
+CONFIG_ZD1211RW=3Dm
+# CONFIG_ZD1211RW_DEBUG is not set
+CONFIG_WLAN_VENDOR_QUANTENNA=3Dy
+CONFIG_QTNFMAC=3Dm
+CONFIG_QTNFMAC_PCIE=3Dm
+CONFIG_PCMCIA_RAYCS=3Dm
+CONFIG_PCMCIA_WL3501=3Dm
+CONFIG_MAC80211_HWSIM=3Dm
+CONFIG_USB_NET_RNDIS_WLAN=3Dm
+CONFIG_VIRT_WIFI=3Dm
+
+#
+# WiMAX Wireless Broadband devices
+#
+CONFIG_WIMAX_I2400M=3Dm
+CONFIG_WIMAX_I2400M_USB=3Dm
+CONFIG_WIMAX_I2400M_DEBUG_LEVEL=3D8
+# end of WiMAX Wireless Broadband devices
+
+CONFIG_WAN=3Dy
+CONFIG_LANMEDIA=3Dm
+CONFIG_HDLC=3Dm
+CONFIG_HDLC_RAW=3Dm
+CONFIG_HDLC_RAW_ETH=3Dm
+CONFIG_HDLC_CISCO=3Dm
+CONFIG_HDLC_FR=3Dm
+CONFIG_HDLC_PPP=3Dm
+CONFIG_HDLC_X25=3Dm
+CONFIG_PCI200SYN=3Dm
+CONFIG_WANXL=3Dm
+CONFIG_PC300TOO=3Dm
+CONFIG_FARSYNC=3Dm
+CONFIG_DLCI=3Dm
+CONFIG_DLCI_MAX=3D8
+CONFIG_LAPBETHER=3Dm
+CONFIG_X25_ASY=3Dm
+CONFIG_SBNI=3Dm
+# CONFIG_SBNI_MULTILINE is not set
+CONFIG_IEEE802154_DRIVERS=3Dm
+CONFIG_IEEE802154_FAKELB=3Dm
+CONFIG_IEEE802154_AT86RF230=3Dm
+CONFIG_IEEE802154_AT86RF230_DEBUGFS=3Dy
+CONFIG_IEEE802154_MRF24J40=3Dm
+CONFIG_IEEE802154_CC2520=3Dm
+CONFIG_IEEE802154_ATUSB=3Dm
+CONFIG_IEEE802154_ADF7242=3Dm
+CONFIG_IEEE802154_CA8210=3Dm
+# CONFIG_IEEE802154_CA8210_DEBUGFS is not set
+CONFIG_IEEE802154_MCR20A=3Dm
+# CONFIG_IEEE802154_HWSIM is not set
+CONFIG_XEN_NETDEV_FRONTEND=3Dy
+CONFIG_XEN_NETDEV_BACKEND=3Dm
+CONFIG_VMXNET3=3Dm
+CONFIG_FUJITSU_ES=3Dm
+CONFIG_THUNDERBOLT_NET=3Dm
+CONFIG_HYPERV_NET=3Dm
+CONFIG_NETDEVSIM=3Dm
+CONFIG_NET_FAILOVER=3Dy
+CONFIG_ISDN=3Dy
+CONFIG_ISDN_CAPI=3Dm
+CONFIG_CAPI_TRACE=3Dy
+CONFIG_ISDN_CAPI_CAPI20=3Dm
+CONFIG_ISDN_CAPI_MIDDLEWARE=3Dy
+CONFIG_MISDN=3Dm
+CONFIG_MISDN_DSP=3Dm
+CONFIG_MISDN_L1OIP=3Dm
+
+#
+# mISDN hardware drivers
+#
+CONFIG_MISDN_HFCPCI=3Dm
+CONFIG_MISDN_HFCMULTI=3Dm
+CONFIG_MISDN_HFCUSB=3Dm
+CONFIG_MISDN_AVMFRITZ=3Dm
+CONFIG_MISDN_SPEEDFAX=3Dm
+CONFIG_MISDN_INFINEON=3Dm
+CONFIG_MISDN_W6692=3Dm
+CONFIG_MISDN_NETJET=3Dm
+CONFIG_MISDN_HDLC=3Dm
+CONFIG_MISDN_IPAC=3Dm
+CONFIG_MISDN_ISAR=3Dm
+CONFIG_NVM=3Dy
+CONFIG_NVM_PBLK=3Dm
+# CONFIG_NVM_PBLK_DEBUG is not set
+
+#
+# Input device support
+#
+CONFIG_INPUT=3Dy
+CONFIG_INPUT_LEDS=3Dm
+CONFIG_INPUT_FF_MEMLESS=3Dm
+CONFIG_INPUT_POLLDEV=3Dm
+CONFIG_INPUT_SPARSEKMAP=3Dm
+CONFIG_INPUT_MATRIXKMAP=3Dm
+
+#
+# Userland interfaces
+#
+CONFIG_INPUT_MOUSEDEV=3Dy
+CONFIG_INPUT_MOUSEDEV_PSAUX=3Dy
+CONFIG_INPUT_MOUSEDEV_SCREEN_X=3D1024
+CONFIG_INPUT_MOUSEDEV_SCREEN_Y=3D768
+CONFIG_INPUT_JOYDEV=3Dm
+CONFIG_INPUT_EVDEV=3Dy
+# CONFIG_INPUT_EVBUG is not set
+
+#
+# Input Device Drivers
+#
+CONFIG_INPUT_KEYBOARD=3Dy
+CONFIG_KEYBOARD_ADC=3Dm
+CONFIG_KEYBOARD_ADP5520=3Dm
+CONFIG_KEYBOARD_ADP5588=3Dm
+CONFIG_KEYBOARD_ADP5589=3Dm
+CONFIG_KEYBOARD_APPLESPI=3Dm
+CONFIG_KEYBOARD_ATKBD=3Dy
+CONFIG_KEYBOARD_QT1050=3Dm
+CONFIG_KEYBOARD_QT1070=3Dm
+CONFIG_KEYBOARD_QT2160=3Dm
+CONFIG_KEYBOARD_DLINK_DIR685=3Dm
+CONFIG_KEYBOARD_LKKBD=3Dm
+CONFIG_KEYBOARD_GPIO=3Dm
+CONFIG_KEYBOARD_GPIO_POLLED=3Dm
+CONFIG_KEYBOARD_TCA6416=3Dm
+CONFIG_KEYBOARD_TCA8418=3Dm
+CONFIG_KEYBOARD_MATRIX=3Dm
+CONFIG_KEYBOARD_LM8323=3Dm
+CONFIG_KEYBOARD_LM8333=3Dm
+CONFIG_KEYBOARD_MAX7359=3Dm
+CONFIG_KEYBOARD_MCS=3Dm
+CONFIG_KEYBOARD_MPR121=3Dm
+CONFIG_KEYBOARD_NEWTON=3Dm
+CONFIG_KEYBOARD_OPENCORES=3Dm
+CONFIG_KEYBOARD_SAMSUNG=3Dm
+CONFIG_KEYBOARD_STOWAWAY=3Dm
+CONFIG_KEYBOARD_SUNKBD=3Dm
+CONFIG_KEYBOARD_TM2_TOUCHKEY=3Dm
+CONFIG_KEYBOARD_TWL4030=3Dm
+CONFIG_KEYBOARD_XTKBD=3Dm
+CONFIG_KEYBOARD_CROS_EC=3Dm
+CONFIG_KEYBOARD_MTK_PMIC=3Dm
+CONFIG_INPUT_MOUSE=3Dy
+CONFIG_MOUSE_PS2=3Dm
+CONFIG_MOUSE_PS2_ALPS=3Dy
+CONFIG_MOUSE_PS2_BYD=3Dy
+CONFIG_MOUSE_PS2_LOGIPS2PP=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS=3Dy
+CONFIG_MOUSE_PS2_SYNAPTICS_SMBUS=3Dy
+CONFIG_MOUSE_PS2_CYPRESS=3Dy
+CONFIG_MOUSE_PS2_LIFEBOOK=3Dy
+CONFIG_MOUSE_PS2_TRACKPOINT=3Dy
+CONFIG_MOUSE_PS2_ELANTECH=3Dy
+CONFIG_MOUSE_PS2_ELANTECH_SMBUS=3Dy
+CONFIG_MOUSE_PS2_SENTELIC=3Dy
+CONFIG_MOUSE_PS2_TOUCHKIT=3Dy
+CONFIG_MOUSE_PS2_FOCALTECH=3Dy
+CONFIG_MOUSE_PS2_VMMOUSE=3Dy
+CONFIG_MOUSE_PS2_SMBUS=3Dy
+CONFIG_MOUSE_SERIAL=3Dm
+CONFIG_MOUSE_APPLETOUCH=3Dm
+CONFIG_MOUSE_BCM5974=3Dm
+CONFIG_MOUSE_CYAPA=3Dm
+CONFIG_MOUSE_ELAN_I2C=3Dm
+CONFIG_MOUSE_ELAN_I2C_I2C=3Dy
+CONFIG_MOUSE_ELAN_I2C_SMBUS=3Dy
+CONFIG_MOUSE_VSXXXAA=3Dm
+CONFIG_MOUSE_GPIO=3Dm
+CONFIG_MOUSE_SYNAPTICS_I2C=3Dm
+CONFIG_MOUSE_SYNAPTICS_USB=3Dm
+CONFIG_INPUT_JOYSTICK=3Dy
+CONFIG_JOYSTICK_ANALOG=3Dm
+CONFIG_JOYSTICK_A3D=3Dm
+CONFIG_JOYSTICK_ADI=3Dm
+CONFIG_JOYSTICK_COBRA=3Dm
+CONFIG_JOYSTICK_GF2K=3Dm
+CONFIG_JOYSTICK_GRIP=3Dm
+CONFIG_JOYSTICK_GRIP_MP=3Dm
+CONFIG_JOYSTICK_GUILLEMOT=3Dm
+CONFIG_JOYSTICK_INTERACT=3Dm
+CONFIG_JOYSTICK_SIDEWINDER=3Dm
+CONFIG_JOYSTICK_TMDC=3Dm
+CONFIG_JOYSTICK_IFORCE=3Dm
+CONFIG_JOYSTICK_IFORCE_USB=3Dm
+CONFIG_JOYSTICK_IFORCE_232=3Dm
+CONFIG_JOYSTICK_WARRIOR=3Dm
+CONFIG_JOYSTICK_MAGELLAN=3Dm
+CONFIG_JOYSTICK_SPACEORB=3Dm
+CONFIG_JOYSTICK_SPACEBALL=3Dm
+CONFIG_JOYSTICK_STINGER=3Dm
+CONFIG_JOYSTICK_TWIDJOY=3Dm
+CONFIG_JOYSTICK_ZHENHUA=3Dm
+CONFIG_JOYSTICK_DB9=3Dm
+CONFIG_JOYSTICK_GAMECON=3Dm
+CONFIG_JOYSTICK_TURBOGRAFX=3Dm
+CONFIG_JOYSTICK_AS5011=3Dm
+CONFIG_JOYSTICK_JOYDUMP=3Dm
+CONFIG_JOYSTICK_XPAD=3Dm
+CONFIG_JOYSTICK_XPAD_FF=3Dy
+CONFIG_JOYSTICK_XPAD_LEDS=3Dy
+CONFIG_JOYSTICK_WALKERA0701=3Dm
+CONFIG_JOYSTICK_PSXPAD_SPI=3Dm
+# CONFIG_JOYSTICK_PSXPAD_SPI_FF is not set
+CONFIG_JOYSTICK_PXRC=3Dm
+CONFIG_JOYSTICK_FSIA6B=3Dm
+CONFIG_INPUT_TABLET=3Dy
+CONFIG_TABLET_USB_ACECAD=3Dm
+CONFIG_TABLET_USB_AIPTEK=3Dm
+CONFIG_TABLET_USB_GTCO=3Dm
+CONFIG_TABLET_USB_HANWANG=3Dm
+CONFIG_TABLET_USB_KBTAB=3Dm
+CONFIG_TABLET_USB_PEGASUS=3Dm
+CONFIG_TABLET_SERIAL_WACOM4=3Dm
+CONFIG_INPUT_TOUCHSCREEN=3Dy
+CONFIG_TOUCHSCREEN_PROPERTIES=3Dy
+CONFIG_TOUCHSCREEN_88PM860X=3Dm
+CONFIG_TOUCHSCREEN_ADS7846=3Dm
+CONFIG_TOUCHSCREEN_AD7877=3Dm
+CONFIG_TOUCHSCREEN_AD7879=3Dm
+CONFIG_TOUCHSCREEN_AD7879_I2C=3Dm
+CONFIG_TOUCHSCREEN_AD7879_SPI=3Dm
+CONFIG_TOUCHSCREEN_ADC=3Dm
+CONFIG_TOUCHSCREEN_ATMEL_MXT=3Dm
+# CONFIG_TOUCHSCREEN_ATMEL_MXT_T37 is not set
+CONFIG_TOUCHSCREEN_AUO_PIXCIR=3Dm
+CONFIG_TOUCHSCREEN_BU21013=3Dm
+CONFIG_TOUCHSCREEN_BU21029=3Dm
+CONFIG_TOUCHSCREEN_CHIPONE_ICN8505=3Dm
+CONFIG_TOUCHSCREEN_CY8CTMG110=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP_CORE=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP_I2C=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP_SPI=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP4_CORE=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP4_I2C=3Dm
+CONFIG_TOUCHSCREEN_CYTTSP4_SPI=3Dm
+CONFIG_TOUCHSCREEN_DA9034=3Dm
+CONFIG_TOUCHSCREEN_DA9052=3Dm
+CONFIG_TOUCHSCREEN_DYNAPRO=3Dm
+CONFIG_TOUCHSCREEN_HAMPSHIRE=3Dm
+CONFIG_TOUCHSCREEN_EETI=3Dm
+CONFIG_TOUCHSCREEN_EGALAX_SERIAL=3Dm
+CONFIG_TOUCHSCREEN_EXC3000=3Dm
+CONFIG_TOUCHSCREEN_FUJITSU=3Dm
+CONFIG_TOUCHSCREEN_GOODIX=3Dm
+CONFIG_TOUCHSCREEN_HIDEEP=3Dm
+CONFIG_TOUCHSCREEN_ILI210X=3Dm
+CONFIG_TOUCHSCREEN_S6SY761=3Dm
+CONFIG_TOUCHSCREEN_GUNZE=3Dm
+CONFIG_TOUCHSCREEN_EKTF2127=3Dm
+CONFIG_TOUCHSCREEN_ELAN=3Dm
+CONFIG_TOUCHSCREEN_ELO=3Dm
+CONFIG_TOUCHSCREEN_WACOM_W8001=3Dm
+CONFIG_TOUCHSCREEN_WACOM_I2C=3Dm
+CONFIG_TOUCHSCREEN_MAX11801=3Dm
+CONFIG_TOUCHSCREEN_MCS5000=3Dm
+CONFIG_TOUCHSCREEN_MMS114=3Dm
+CONFIG_TOUCHSCREEN_MELFAS_MIP4=3Dm
+CONFIG_TOUCHSCREEN_MTOUCH=3Dm
+CONFIG_TOUCHSCREEN_INEXIO=3Dm
+CONFIG_TOUCHSCREEN_MK712=3Dm
+CONFIG_TOUCHSCREEN_PENMOUNT=3Dm
+CONFIG_TOUCHSCREEN_EDT_FT5X06=3Dm
+CONFIG_TOUCHSCREEN_TOUCHRIGHT=3Dm
+CONFIG_TOUCHSCREEN_TOUCHWIN=3Dm
+CONFIG_TOUCHSCREEN_TI_AM335X_TSC=3Dm
+CONFIG_TOUCHSCREEN_UCB1400=3Dm
+CONFIG_TOUCHSCREEN_PIXCIR=3Dm
+CONFIG_TOUCHSCREEN_WDT87XX_I2C=3Dm
+CONFIG_TOUCHSCREEN_WM831X=3Dm
+CONFIG_TOUCHSCREEN_WM97XX=3Dm
+CONFIG_TOUCHSCREEN_WM9705=3Dy
+CONFIG_TOUCHSCREEN_WM9712=3Dy
+CONFIG_TOUCHSCREEN_WM9713=3Dy
+CONFIG_TOUCHSCREEN_USB_COMPOSITE=3Dm
+CONFIG_TOUCHSCREEN_MC13783=3Dm
+CONFIG_TOUCHSCREEN_USB_EGALAX=3Dy
+CONFIG_TOUCHSCREEN_USB_PANJIT=3Dy
+CONFIG_TOUCHSCREEN_USB_3M=3Dy
+CONFIG_TOUCHSCREEN_USB_ITM=3Dy
+CONFIG_TOUCHSCREEN_USB_ETURBO=3Dy
+CONFIG_TOUCHSCREEN_USB_GUNZE=3Dy
+CONFIG_TOUCHSCREEN_USB_DMC_TSC10=3Dy
+CONFIG_TOUCHSCREEN_USB_IRTOUCH=3Dy
+CONFIG_TOUCHSCREEN_USB_IDEALTEK=3Dy
+CONFIG_TOUCHSCREEN_USB_GENERAL_TOUCH=3Dy
+CONFIG_TOUCHSCREEN_USB_GOTOP=3Dy
+CONFIG_TOUCHSCREEN_USB_JASTEC=3Dy
+CONFIG_TOUCHSCREEN_USB_ELO=3Dy
+CONFIG_TOUCHSCREEN_USB_E2I=3Dy
+CONFIG_TOUCHSCREEN_USB_ZYTRONIC=3Dy
+CONFIG_TOUCHSCREEN_USB_ETT_TC45USB=3Dy
+CONFIG_TOUCHSCREEN_USB_NEXIO=3Dy
+CONFIG_TOUCHSCREEN_USB_EASYTOUCH=3Dy
+CONFIG_TOUCHSCREEN_TOUCHIT213=3Dm
+CONFIG_TOUCHSCREEN_TSC_SERIO=3Dm
+CONFIG_TOUCHSCREEN_TSC200X_CORE=3Dm
+CONFIG_TOUCHSCREEN_TSC2004=3Dm
+CONFIG_TOUCHSCREEN_TSC2005=3Dm
+CONFIG_TOUCHSCREEN_TSC2007=3Dm
+# CONFIG_TOUCHSCREEN_TSC2007_IIO is not set
+CONFIG_TOUCHSCREEN_PCAP=3Dm
+CONFIG_TOUCHSCREEN_RM_TS=3Dm
+CONFIG_TOUCHSCREEN_SILEAD=3Dm
+CONFIG_TOUCHSCREEN_SIS_I2C=3Dm
+CONFIG_TOUCHSCREEN_ST1232=3Dm
+CONFIG_TOUCHSCREEN_STMFTS=3Dm
+CONFIG_TOUCHSCREEN_SUR40=3Dm
+CONFIG_TOUCHSCREEN_SURFACE3_SPI=3Dm
+CONFIG_TOUCHSCREEN_SX8654=3Dm
+CONFIG_TOUCHSCREEN_TPS6507X=3Dm
+CONFIG_TOUCHSCREEN_ZET6223=3Dm
+CONFIG_TOUCHSCREEN_ZFORCE=3Dm
+CONFIG_TOUCHSCREEN_ROHM_BU21023=3Dm
+CONFIG_TOUCHSCREEN_IQS5XX=3Dm
+CONFIG_INPUT_MISC=3Dy
+CONFIG_INPUT_88PM860X_ONKEY=3Dm
+CONFIG_INPUT_88PM80X_ONKEY=3Dm
+CONFIG_INPUT_AD714X=3Dm
+CONFIG_INPUT_AD714X_I2C=3Dm
+CONFIG_INPUT_AD714X_SPI=3Dm
+CONFIG_INPUT_ARIZONA_HAPTICS=3Dm
+CONFIG_INPUT_BMA150=3Dm
+CONFIG_INPUT_E3X0_BUTTON=3Dm
+CONFIG_INPUT_MSM_VIBRATOR=3Dm
+CONFIG_INPUT_PCSPKR=3Dm
+CONFIG_INPUT_MAX77693_HAPTIC=3Dm
+CONFIG_INPUT_MAX8925_ONKEY=3Dm
+CONFIG_INPUT_MAX8997_HAPTIC=3Dm
+CONFIG_INPUT_MC13783_PWRBUTTON=3Dm
+CONFIG_INPUT_MMA8450=3Dm
+CONFIG_INPUT_APANEL=3Dm
+CONFIG_INPUT_GP2A=3Dm
+CONFIG_INPUT_GPIO_BEEPER=3Dm
+CONFIG_INPUT_GPIO_DECODER=3Dm
+CONFIG_INPUT_GPIO_VIBRA=3Dm
+CONFIG_INPUT_ATLAS_BTNS=3Dm
+CONFIG_INPUT_ATI_REMOTE2=3Dm
+CONFIG_INPUT_KEYSPAN_REMOTE=3Dm
+CONFIG_INPUT_KXTJ9=3Dm
+# CONFIG_INPUT_KXTJ9_POLLED_MODE is not set
+CONFIG_INPUT_POWERMATE=3Dm
+CONFIG_INPUT_YEALINK=3Dm
+CONFIG_INPUT_CM109=3Dm
+CONFIG_INPUT_REGULATOR_HAPTIC=3Dm
+CONFIG_INPUT_RETU_PWRBUTTON=3Dm
+CONFIG_INPUT_AXP20X_PEK=3Dm
+CONFIG_INPUT_TWL4030_PWRBUTTON=3Dm
+CONFIG_INPUT_TWL4030_VIBRA=3Dm
+CONFIG_INPUT_TWL6040_VIBRA=3Dm
+CONFIG_INPUT_UINPUT=3Dy
+CONFIG_INPUT_PALMAS_PWRBUTTON=3Dm
+CONFIG_INPUT_PCF50633_PMU=3Dm
+CONFIG_INPUT_PCF8574=3Dm
+CONFIG_INPUT_PWM_BEEPER=3Dm
+CONFIG_INPUT_PWM_VIBRA=3Dm
+CONFIG_INPUT_GPIO_ROTARY_ENCODER=3Dm
+CONFIG_INPUT_DA9052_ONKEY=3Dm
+CONFIG_INPUT_DA9055_ONKEY=3Dm
+CONFIG_INPUT_DA9063_ONKEY=3Dm
+CONFIG_INPUT_WM831X_ON=3Dm
+CONFIG_INPUT_PCAP=3Dm
+CONFIG_INPUT_ADXL34X=3Dm
+CONFIG_INPUT_ADXL34X_I2C=3Dm
+CONFIG_INPUT_ADXL34X_SPI=3Dm
+CONFIG_INPUT_IMS_PCU=3Dm
+CONFIG_INPUT_CMA3000=3Dm
+CONFIG_INPUT_CMA3000_I2C=3Dm
+CONFIG_INPUT_XEN_KBDDEV_FRONTEND=3Dm
+CONFIG_INPUT_IDEAPAD_SLIDEBAR=3Dm
+CONFIG_INPUT_SOC_BUTTON_ARRAY=3Dm
+CONFIG_INPUT_DRV260X_HAPTICS=3Dm
+CONFIG_INPUT_DRV2665_HAPTICS=3Dm
+CONFIG_INPUT_DRV2667_HAPTICS=3Dm
+CONFIG_INPUT_RAVE_SP_PWRBUTTON=3Dm
+CONFIG_RMI4_CORE=3Dm
+CONFIG_RMI4_I2C=3Dm
+CONFIG_RMI4_SPI=3Dm
+CONFIG_RMI4_SMB=3Dm
+CONFIG_RMI4_F03=3Dy
+CONFIG_RMI4_F03_SERIO=3Dm
+CONFIG_RMI4_2D_SENSOR=3Dy
+CONFIG_RMI4_F11=3Dy
+CONFIG_RMI4_F12=3Dy
+CONFIG_RMI4_F30=3Dy
+# CONFIG_RMI4_F34 is not set
+# CONFIG_RMI4_F54 is not set
+CONFIG_RMI4_F55=3Dy
+
+#
+# Hardware I/O ports
+#
+CONFIG_SERIO=3Dy
+CONFIG_ARCH_MIGHT_HAVE_PC_SERIO=3Dy
+CONFIG_SERIO_I8042=3Dy
+CONFIG_SERIO_SERPORT=3Dm
+CONFIG_SERIO_CT82C710=3Dm
+CONFIG_SERIO_PARKBD=3Dm
+CONFIG_SERIO_PCIPS2=3Dm
+CONFIG_SERIO_LIBPS2=3Dy
+CONFIG_SERIO_RAW=3Dm
+CONFIG_SERIO_ALTERA_PS2=3Dm
+CONFIG_SERIO_PS2MULT=3Dm
+CONFIG_SERIO_ARC_PS2=3Dm
+CONFIG_HYPERV_KEYBOARD=3Dm
+CONFIG_SERIO_GPIO_PS2=3Dm
+CONFIG_USERIO=3Dm
+CONFIG_GAMEPORT=3Dm
+CONFIG_GAMEPORT_NS558=3Dm
+CONFIG_GAMEPORT_L4=3Dm
+CONFIG_GAMEPORT_EMU10K1=3Dm
+CONFIG_GAMEPORT_FM801=3Dm
+# end of Hardware I/O ports
+# end of Input device support
+
+#
+# Character devices
+#
+CONFIG_TTY=3Dy
+CONFIG_VT=3Dy
+CONFIG_CONSOLE_TRANSLATIONS=3Dy
+CONFIG_VT_CONSOLE=3Dy
+CONFIG_VT_CONSOLE_SLEEP=3Dy
+CONFIG_HW_CONSOLE=3Dy
+CONFIG_VT_HW_CONSOLE_BINDING=3Dy
+CONFIG_UNIX98_PTYS=3Dy
+CONFIG_LEGACY_PTYS=3Dy
+CONFIG_LEGACY_PTY_COUNT=3D0
+CONFIG_SERIAL_NONSTANDARD=3Dy
+CONFIG_ROCKETPORT=3Dm
+CONFIG_CYCLADES=3Dm
+# CONFIG_CYZ_INTR is not set
+CONFIG_MOXA_INTELLIO=3Dm
+CONFIG_MOXA_SMARTIO=3Dm
+CONFIG_SYNCLINK=3Dm
+CONFIG_SYNCLINKMP=3Dm
+CONFIG_SYNCLINK_GT=3Dm
+CONFIG_NOZOMI=3Dm
+CONFIG_ISI=3Dm
+CONFIG_N_HDLC=3Dm
+CONFIG_N_GSM=3Dm
+CONFIG_TRACE_ROUTER=3Dm
+CONFIG_TRACE_SINK=3Dm
+CONFIG_NULL_TTY=3Dm
+CONFIG_LDISC_AUTOLOAD=3Dy
+CONFIG_DEVMEM=3Dy
+# CONFIG_DEVKMEM is not set
+
+#
+# Serial drivers
+#
+CONFIG_SERIAL_EARLYCON=3Dy
+CONFIG_SERIAL_8250=3Dy
+# CONFIG_SERIAL_8250_DEPRECATED_OPTIONS is not set
+CONFIG_SERIAL_8250_PNP=3Dy
+# CONFIG_SERIAL_8250_FINTEK is not set
+CONFIG_SERIAL_8250_CONSOLE=3Dy
+CONFIG_SERIAL_8250_DMA=3Dy
+CONFIG_SERIAL_8250_PCI=3Dy
+CONFIG_SERIAL_8250_EXAR=3Dm
+CONFIG_SERIAL_8250_CS=3Dm
+CONFIG_SERIAL_8250_MEN_MCB=3Dm
+CONFIG_SERIAL_8250_NR_UARTS=3D48
+CONFIG_SERIAL_8250_RUNTIME_UARTS=3D32
+CONFIG_SERIAL_8250_EXTENDED=3Dy
+CONFIG_SERIAL_8250_MANY_PORTS=3Dy
+CONFIG_SERIAL_8250_SHARE_IRQ=3Dy
+# CONFIG_SERIAL_8250_DETECT_IRQ is not set
+CONFIG_SERIAL_8250_RSA=3Dy
+CONFIG_SERIAL_8250_DWLIB=3Dy
+CONFIG_SERIAL_8250_DW=3Dm
+CONFIG_SERIAL_8250_RT288X=3Dy
+CONFIG_SERIAL_8250_LPSS=3Dm
+CONFIG_SERIAL_8250_MID=3Dm
+
+#
+# Non-8250 serial port support
+#
+CONFIG_SERIAL_KGDB_NMI=3Dy
+CONFIG_SERIAL_MAX3100=3Dm
+CONFIG_SERIAL_MAX310X=3Dy
+CONFIG_SERIAL_UARTLITE=3Dm
+CONFIG_SERIAL_UARTLITE_NR_UARTS=3D1
+CONFIG_SERIAL_CORE=3Dy
+CONFIG_SERIAL_CORE_CONSOLE=3Dy
+CONFIG_CONSOLE_POLL=3Dy
+CONFIG_SERIAL_JSM=3Dm
+CONFIG_SERIAL_SCCNXP=3Dy
+CONFIG_SERIAL_SCCNXP_CONSOLE=3Dy
+CONFIG_SERIAL_SC16IS7XX_CORE=3Dm
+CONFIG_SERIAL_SC16IS7XX=3Dm
+CONFIG_SERIAL_SC16IS7XX_I2C=3Dy
+CONFIG_SERIAL_SC16IS7XX_SPI=3Dy
+CONFIG_SERIAL_ALTERA_JTAGUART=3Dm
+CONFIG_SERIAL_ALTERA_UART=3Dm
+CONFIG_SERIAL_ALTERA_UART_MAXPORTS=3D4
+CONFIG_SERIAL_ALTERA_UART_BAUDRATE=3D115200
+# CONFIG_SERIAL_IFX6X60 is not set
+CONFIG_SERIAL_ARC=3Dm
+CONFIG_SERIAL_ARC_NR_PORTS=3D1
+CONFIG_SERIAL_RP2=3Dm
+CONFIG_SERIAL_RP2_NR_UARTS=3D32
+CONFIG_SERIAL_FSL_LPUART=3Dm
+CONFIG_SERIAL_FSL_LINFLEXUART=3Dm
+CONFIG_SERIAL_MEN_Z135=3Dm
+# end of Serial drivers
+
+CONFIG_SERIAL_MCTRL_GPIO=3Dy
+CONFIG_SERIAL_DEV_BUS=3Dy
+CONFIG_SERIAL_DEV_CTRL_TTYPORT=3Dy
+CONFIG_TTY_PRINTK=3Dy
+CONFIG_TTY_PRINTK_LEVEL=3D6
+CONFIG_PRINTER=3Dm
+# CONFIG_LP_CONSOLE is not set
+CONFIG_PPDEV=3Dm
+CONFIG_HVC_DRIVER=3Dy
+CONFIG_HVC_IRQ=3Dy
+CONFIG_HVC_XEN=3Dy
+CONFIG_HVC_XEN_FRONTEND=3Dy
+CONFIG_VIRTIO_CONSOLE=3Dy
+CONFIG_IPMI_HANDLER=3Dm
+CONFIG_IPMI_DMI_DECODE=3Dy
+CONFIG_IPMI_PLAT_DATA=3Dy
+# CONFIG_IPMI_PANIC_EVENT is not set
+CONFIG_IPMI_DEVICE_INTERFACE=3Dm
+CONFIG_IPMI_SI=3Dm
+CONFIG_IPMI_SSIF=3Dm
+CONFIG_IPMI_WATCHDOG=3Dm
+CONFIG_IPMI_POWEROFF=3Dm
+CONFIG_IPMB_DEVICE_INTERFACE=3Dm
+CONFIG_HW_RANDOM=3Dy
+CONFIG_HW_RANDOM_TIMERIOMEM=3Dm
+CONFIG_HW_RANDOM_INTEL=3Dm
+CONFIG_HW_RANDOM_AMD=3Dm
+CONFIG_HW_RANDOM_VIA=3Dm
+CONFIG_HW_RANDOM_VIRTIO=3Dm
+CONFIG_NVRAM=3Dm
+CONFIG_APPLICOM=3Dm
+
+#
+# PCMCIA character devices
+#
+CONFIG_SYNCLINK_CS=3Dm
+CONFIG_CARDMAN_4000=3Dm
+CONFIG_CARDMAN_4040=3Dm
+CONFIG_SCR24X=3Dm
+CONFIG_IPWIRELESS=3Dm
+# end of PCMCIA character devices
+
+CONFIG_MWAVE=3Dm
+CONFIG_RAW_DRIVER=3Dm
+CONFIG_MAX_RAW_DEVS=3D256
+CONFIG_HPET=3Dy
+CONFIG_HPET_MMAP=3Dy
+CONFIG_HPET_MMAP_DEFAULT=3Dy
+CONFIG_HANGCHECK_TIMER=3Dm
+CONFIG_TCG_TPM=3Dy
+CONFIG_HW_RANDOM_TPM=3Dy
+CONFIG_TCG_TIS_CORE=3Dy
+CONFIG_TCG_TIS=3Dy
+CONFIG_TCG_TIS_SPI=3Dm
+CONFIG_TCG_TIS_I2C_ATMEL=3Dm
+CONFIG_TCG_TIS_I2C_INFINEON=3Dm
+CONFIG_TCG_TIS_I2C_NUVOTON=3Dm
+CONFIG_TCG_NSC=3Dm
+CONFIG_TCG_ATMEL=3Dm
+CONFIG_TCG_INFINEON=3Dm
+CONFIG_TCG_XEN=3Dm
+CONFIG_TCG_CRB=3Dy
+CONFIG_TCG_VTPM_PROXY=3Dm
+CONFIG_TCG_TIS_ST33ZP24=3Dm
+CONFIG_TCG_TIS_ST33ZP24_I2C=3Dm
+CONFIG_TCG_TIS_ST33ZP24_SPI=3Dm
+CONFIG_TELCLOCK=3Dm
+CONFIG_DEVPORT=3Dy
+CONFIG_XILLYBUS=3Dm
+CONFIG_XILLYBUS_PCIE=3Dm
+# end of Character devices
+
+# CONFIG_RANDOM_TRUST_CPU is not set
+# CONFIG_RANDOM_TRUST_BOOTLOADER is not set
+
+#
+# I2C support
+#
+CONFIG_I2C=3Dy
+CONFIG_ACPI_I2C_OPREGION=3Dy
+CONFIG_I2C_BOARDINFO=3Dy
+CONFIG_I2C_COMPAT=3Dy
+CONFIG_I2C_CHARDEV=3Dy
+CONFIG_I2C_MUX=3Dm
+
+#
+# Multiplexer I2C Chip support
+#
+CONFIG_I2C_MUX_GPIO=3Dm
+CONFIG_I2C_MUX_LTC4306=3Dm
+CONFIG_I2C_MUX_PCA9541=3Dm
+CONFIG_I2C_MUX_PCA954x=3Dm
+CONFIG_I2C_MUX_REG=3Dm
+CONFIG_I2C_MUX_MLXCPLD=3Dm
+# end of Multiplexer I2C Chip support
+
+CONFIG_I2C_HELPER_AUTO=3Dy
+CONFIG_I2C_SMBUS=3Dm
+CONFIG_I2C_ALGOBIT=3Dm
+CONFIG_I2C_ALGOPCA=3Dm
+
+#
+# I2C Hardware Bus support
+#
+
+#
+# PC SMBus host controller drivers
+#
+CONFIG_I2C_ALI1535=3Dm
+CONFIG_I2C_ALI1563=3Dm
+CONFIG_I2C_ALI15X3=3Dm
+CONFIG_I2C_AMD756=3Dm
+CONFIG_I2C_AMD756_S4882=3Dm
+CONFIG_I2C_AMD8111=3Dm
+CONFIG_I2C_AMD_MP2=3Dm
+CONFIG_I2C_I801=3Dm
+CONFIG_I2C_ISCH=3Dm
+CONFIG_I2C_ISMT=3Dm
+CONFIG_I2C_PIIX4=3Dm
+CONFIG_I2C_CHT_WC=3Dm
+CONFIG_I2C_NFORCE2=3Dm
+CONFIG_I2C_NFORCE2_S4985=3Dm
+CONFIG_I2C_NVIDIA_GPU=3Dm
+CONFIG_I2C_SIS5595=3Dm
+CONFIG_I2C_SIS630=3Dm
+CONFIG_I2C_SIS96X=3Dm
+CONFIG_I2C_VIA=3Dm
+CONFIG_I2C_VIAPRO=3Dm
+
+#
+# ACPI drivers
+#
+CONFIG_I2C_SCMI=3Dm
+
+#
+# I2C system bus drivers (mostly embedded / system-on-chip)
+#
+CONFIG_I2C_CBUS_GPIO=3Dm
+CONFIG_I2C_DESIGNWARE_CORE=3Dy
+CONFIG_I2C_DESIGNWARE_PLATFORM=3Dy
+# CONFIG_I2C_DESIGNWARE_SLAVE is not set
+CONFIG_I2C_DESIGNWARE_PCI=3Dm
+CONFIG_I2C_DESIGNWARE_BAYTRAIL=3Dy
+CONFIG_I2C_EMEV2=3Dm
+CONFIG_I2C_GPIO=3Dm
+# CONFIG_I2C_GPIO_FAULT_INJECTOR is not set
+CONFIG_I2C_KEMPLD=3Dm
+CONFIG_I2C_OCORES=3Dm
+CONFIG_I2C_PCA_PLATFORM=3Dm
+CONFIG_I2C_SIMTEC=3Dm
+CONFIG_I2C_XILINX=3Dm
+
+#
+# External I2C/SMBus adapter drivers
+#
+CONFIG_I2C_DIOLAN_U2C=3Dm
+CONFIG_I2C_DLN2=3Dm
+CONFIG_I2C_PARPORT=3Dm
+CONFIG_I2C_PARPORT_LIGHT=3Dm
+CONFIG_I2C_ROBOTFUZZ_OSIF=3Dm
+CONFIG_I2C_TAOS_EVM=3Dm
+CONFIG_I2C_TINY_USB=3Dm
+CONFIG_I2C_VIPERBOARD=3Dm
+
+#
+# Other I2C/SMBus bus drivers
+#
+CONFIG_I2C_MLXCPLD=3Dm
+CONFIG_I2C_CROS_EC_TUNNEL=3Dm
+# end of I2C Hardware Bus support
+
+CONFIG_I2C_STUB=3Dm
+CONFIG_I2C_SLAVE=3Dy
+CONFIG_I2C_SLAVE_EEPROM=3Dm
+# CONFIG_I2C_DEBUG_CORE is not set
+# CONFIG_I2C_DEBUG_ALGO is not set
+# CONFIG_I2C_DEBUG_BUS is not set
+# end of I2C support
+
+CONFIG_I3C=3Dm
+CONFIG_CDNS_I3C_MASTER=3Dm
+CONFIG_DW_I3C_MASTER=3Dm
+CONFIG_SPI=3Dy
+# CONFIG_SPI_DEBUG is not set
+CONFIG_SPI_MASTER=3Dy
+CONFIG_SPI_MEM=3Dy
+
+#
+# SPI Master Controller Drivers
+#
+CONFIG_SPI_ALTERA=3Dm
+CONFIG_SPI_AXI_SPI_ENGINE=3Dm
+CONFIG_SPI_BITBANG=3Dm
+CONFIG_SPI_BUTTERFLY=3Dm
+CONFIG_SPI_CADENCE=3Dm
+CONFIG_SPI_DESIGNWARE=3Dm
+CONFIG_SPI_DW_PCI=3Dm
+CONFIG_SPI_DW_MID_DMA=3Dy
+CONFIG_SPI_DW_MMIO=3Dm
+CONFIG_SPI_DLN2=3Dm
+CONFIG_SPI_NXP_FLEXSPI=3Dm
+CONFIG_SPI_GPIO=3Dm
+CONFIG_SPI_LM70_LLP=3Dm
+CONFIG_SPI_OC_TINY=3Dm
+CONFIG_SPI_PXA2XX=3Dm
+CONFIG_SPI_PXA2XX_PCI=3Dm
+CONFIG_SPI_ROCKCHIP=3Dm
+CONFIG_SPI_SC18IS602=3Dm
+CONFIG_SPI_SIFIVE=3Dm
+CONFIG_SPI_MXIC=3Dm
+CONFIG_SPI_XCOMM=3Dm
+# CONFIG_SPI_XILINX is not set
+CONFIG_SPI_ZYNQMP_GQSPI=3Dm
+
+#
+# SPI Protocol Masters
+#
+CONFIG_SPI_SPIDEV=3Dm
+# CONFIG_SPI_LOOPBACK_TEST is not set
+CONFIG_SPI_TLE62X0=3Dm
+# CONFIG_SPI_SLAVE is not set
+CONFIG_SPMI=3Dm
+CONFIG_HSI=3Dm
+CONFIG_HSI_BOARDINFO=3Dy
+
+#
+# HSI controllers
+#
+
+#
+# HSI clients
+#
+CONFIG_HSI_CHAR=3Dm
+CONFIG_PPS=3Dm
+# CONFIG_PPS_DEBUG is not set
+
+#
+# PPS clients support
+#
+# CONFIG_PPS_CLIENT_KTIMER is not set
+CONFIG_PPS_CLIENT_LDISC=3Dm
+CONFIG_PPS_CLIENT_PARPORT=3Dm
+CONFIG_PPS_CLIENT_GPIO=3Dm
+
+#
+# PPS generators support
+#
+
+#
+# PTP clock support
+#
+CONFIG_PTP_1588_CLOCK=3Dm
+
+#
+# Enable PHYLIB and NETWORK_PHY_TIMESTAMPING to see the additional clocks.
+#
+CONFIG_PTP_1588_CLOCK_KVM=3Dm
+# end of PTP clock support
+
+CONFIG_PINCTRL=3Dy
+CONFIG_PINMUX=3Dy
+CONFIG_PINCONF=3Dy
+CONFIG_GENERIC_PINCONF=3Dy
+# CONFIG_DEBUG_PINCTRL is not set
+CONFIG_PINCTRL_AMD=3Dy
+CONFIG_PINCTRL_MCP23S08=3Dm
+CONFIG_PINCTRL_SX150X=3Dy
+CONFIG_PINCTRL_BAYTRAIL=3Dy
+CONFIG_PINCTRL_CHERRYVIEW=3Dm
+CONFIG_PINCTRL_INTEL=3Dm
+CONFIG_PINCTRL_BROXTON=3Dm
+CONFIG_PINCTRL_CANNONLAKE=3Dm
+CONFIG_PINCTRL_CEDARFORK=3Dm
+CONFIG_PINCTRL_DENVERTON=3Dm
+CONFIG_PINCTRL_GEMINILAKE=3Dm
+CONFIG_PINCTRL_ICELAKE=3Dm
+CONFIG_PINCTRL_LEWISBURG=3Dm
+CONFIG_PINCTRL_SUNRISEPOINT=3Dm
+CONFIG_PINCTRL_MADERA=3Dm
+CONFIG_GPIOLIB=3Dy
+CONFIG_GPIOLIB_FASTPATH_LIMIT=3D512
+CONFIG_GPIO_ACPI=3Dy
+CONFIG_GPIOLIB_IRQCHIP=3Dy
+# CONFIG_DEBUG_GPIO is not set
+CONFIG_GPIO_SYSFS=3Dy
+CONFIG_GPIO_GENERIC=3Dm
+CONFIG_GPIO_MAX730X=3Dm
+
+#
+# Memory mapped GPIO drivers
+#
+CONFIG_GPIO_AMDPT=3Dm
+CONFIG_GPIO_DWAPB=3Dm
+CONFIG_GPIO_EXAR=3Dm
+CONFIG_GPIO_GENERIC_PLATFORM=3Dm
+CONFIG_GPIO_ICH=3Dm
+CONFIG_GPIO_LYNXPOINT=3Dy
+CONFIG_GPIO_MB86S7X=3Dm
+CONFIG_GPIO_MENZ127=3Dm
+CONFIG_GPIO_VX855=3Dm
+CONFIG_GPIO_XILINX=3Dm
+CONFIG_GPIO_AMD_FCH=3Dm
+# end of Memory mapped GPIO drivers
+
+#
+# Port-mapped I/O GPIO drivers
+#
+CONFIG_GPIO_F7188X=3Dm
+CONFIG_GPIO_IT87=3Dm
+CONFIG_GPIO_SCH=3Dm
+CONFIG_GPIO_SCH311X=3Dm
+CONFIG_GPIO_WINBOND=3Dm
+CONFIG_GPIO_WS16C48=3Dm
+# end of Port-mapped I/O GPIO drivers
+
+#
+# I2C GPIO expanders
+#
+CONFIG_GPIO_ADP5588=3Dm
+CONFIG_GPIO_MAX7300=3Dm
+CONFIG_GPIO_MAX732X=3Dm
+CONFIG_GPIO_PCA953X=3Dm
+CONFIG_GPIO_PCF857X=3Dm
+CONFIG_GPIO_TPIC2810=3Dm
+# end of I2C GPIO expanders
+
+#
+# MFD GPIO expanders
+#
+CONFIG_GPIO_ADP5520=3Dm
+CONFIG_GPIO_ARIZONA=3Dm
+CONFIG_GPIO_BD9571MWV=3Dm
+CONFIG_GPIO_CRYSTAL_COVE=3Dm
+CONFIG_GPIO_DA9052=3Dm
+CONFIG_GPIO_DA9055=3Dm
+CONFIG_GPIO_DLN2=3Dm
+CONFIG_GPIO_JANZ_TTL=3Dm
+CONFIG_GPIO_KEMPLD=3Dm
+CONFIG_GPIO_LP3943=3Dm
+CONFIG_GPIO_LP873X=3Dm
+CONFIG_GPIO_MADERA=3Dm
+CONFIG_GPIO_PALMAS=3Dy
+CONFIG_GPIO_RC5T583=3Dy
+CONFIG_GPIO_TPS65086=3Dm
+CONFIG_GPIO_TPS6586X=3Dy
+CONFIG_GPIO_TPS65910=3Dy
+CONFIG_GPIO_TPS65912=3Dm
+CONFIG_GPIO_TQMX86=3Dm
+CONFIG_GPIO_TWL4030=3Dm
+CONFIG_GPIO_TWL6040=3Dm
+CONFIG_GPIO_UCB1400=3Dm
+CONFIG_GPIO_WHISKEY_COVE=3Dm
+CONFIG_GPIO_WM831X=3Dm
+CONFIG_GPIO_WM8350=3Dm
+CONFIG_GPIO_WM8994=3Dm
+# end of MFD GPIO expanders
+
+#
+# PCI GPIO expanders
+#
+CONFIG_GPIO_AMD8111=3Dm
+CONFIG_GPIO_ML_IOH=3Dm
+CONFIG_GPIO_PCI_IDIO_16=3Dm
+CONFIG_GPIO_PCIE_IDIO_24=3Dm
+CONFIG_GPIO_RDC321X=3Dm
+# end of PCI GPIO expanders
+
+#
+# SPI GPIO expanders
+#
+CONFIG_GPIO_MAX3191X=3Dm
+CONFIG_GPIO_MAX7301=3Dm
+CONFIG_GPIO_MC33880=3Dm
+CONFIG_GPIO_PISOSR=3Dm
+CONFIG_GPIO_XRA1403=3Dm
+# end of SPI GPIO expanders
+
+#
+# USB GPIO expanders
+#
+CONFIG_GPIO_VIPERBOARD=3Dm
+# end of USB GPIO expanders
+
+# CONFIG_GPIO_MOCKUP is not set
+CONFIG_W1=3Dm
+CONFIG_W1_CON=3Dy
+
+#
+# 1-wire Bus Masters
+#
+CONFIG_W1_MASTER_MATROX=3Dm
+CONFIG_W1_MASTER_DS2490=3Dm
+CONFIG_W1_MASTER_DS2482=3Dm
+CONFIG_W1_MASTER_DS1WM=3Dm
+CONFIG_W1_MASTER_GPIO=3Dm
+CONFIG_W1_MASTER_SGI=3Dm
+# end of 1-wire Bus Masters
+
+#
+# 1-wire Slaves
+#
+CONFIG_W1_SLAVE_THERM=3Dm
+CONFIG_W1_SLAVE_SMEM=3Dm
+CONFIG_W1_SLAVE_DS2405=3Dm
+CONFIG_W1_SLAVE_DS2408=3Dm
+CONFIG_W1_SLAVE_DS2408_READBACK=3Dy
+CONFIG_W1_SLAVE_DS2413=3Dm
+CONFIG_W1_SLAVE_DS2406=3Dm
+CONFIG_W1_SLAVE_DS2423=3Dm
+CONFIG_W1_SLAVE_DS2805=3Dm
+CONFIG_W1_SLAVE_DS2431=3Dm
+CONFIG_W1_SLAVE_DS2433=3Dm
+# CONFIG_W1_SLAVE_DS2433_CRC is not set
+CONFIG_W1_SLAVE_DS2438=3Dm
+CONFIG_W1_SLAVE_DS250X=3Dm
+CONFIG_W1_SLAVE_DS2780=3Dm
+CONFIG_W1_SLAVE_DS2781=3Dm
+CONFIG_W1_SLAVE_DS28E04=3Dm
+CONFIG_W1_SLAVE_DS28E17=3Dm
+# end of 1-wire Slaves
+
+CONFIG_POWER_AVS=3Dy
+CONFIG_POWER_RESET=3Dy
+CONFIG_POWER_RESET_RESTART=3Dy
+CONFIG_POWER_SUPPLY=3Dy
+# CONFIG_POWER_SUPPLY_DEBUG is not set
+CONFIG_POWER_SUPPLY_HWMON=3Dy
+CONFIG_PDA_POWER=3Dm
+CONFIG_GENERIC_ADC_BATTERY=3Dm
+CONFIG_MAX8925_POWER=3Dm
+CONFIG_WM831X_BACKUP=3Dm
+CONFIG_WM831X_POWER=3Dm
+CONFIG_WM8350_POWER=3Dm
+CONFIG_TEST_POWER=3Dm
+CONFIG_BATTERY_88PM860X=3Dm
+CONFIG_CHARGER_ADP5061=3Dm
+CONFIG_BATTERY_DS2760=3Dm
+CONFIG_BATTERY_DS2780=3Dm
+CONFIG_BATTERY_DS2781=3Dm
+CONFIG_BATTERY_DS2782=3Dm
+CONFIG_BATTERY_SBS=3Dm
+CONFIG_CHARGER_SBS=3Dm
+CONFIG_MANAGER_SBS=3Dm
+CONFIG_BATTERY_BQ27XXX=3Dm
+CONFIG_BATTERY_BQ27XXX_I2C=3Dm
+CONFIG_BATTERY_BQ27XXX_HDQ=3Dm
+# CONFIG_BATTERY_BQ27XXX_DT_UPDATES_NVM is not set
+CONFIG_BATTERY_DA9030=3Dm
+CONFIG_BATTERY_DA9052=3Dm
+CONFIG_CHARGER_DA9150=3Dm
+CONFIG_BATTERY_DA9150=3Dm
+CONFIG_CHARGER_AXP20X=3Dm
+CONFIG_BATTERY_AXP20X=3Dm
+CONFIG_AXP20X_POWER=3Dm
+CONFIG_AXP288_CHARGER=3Dm
+CONFIG_AXP288_FUEL_GAUGE=3Dm
+CONFIG_BATTERY_MAX17040=3Dm
+CONFIG_BATTERY_MAX17042=3Dm
+CONFIG_BATTERY_MAX1721X=3Dm
+CONFIG_BATTERY_TWL4030_MADC=3Dm
+CONFIG_CHARGER_88PM860X=3Dm
+CONFIG_CHARGER_PCF50633=3Dm
+CONFIG_BATTERY_RX51=3Dm
+CONFIG_CHARGER_ISP1704=3Dm
+CONFIG_CHARGER_MAX8903=3Dm
+CONFIG_CHARGER_TWL4030=3Dm
+CONFIG_CHARGER_LP8727=3Dm
+CONFIG_CHARGER_LP8788=3Dm
+CONFIG_CHARGER_GPIO=3Dm
+CONFIG_CHARGER_MANAGER=3Dy
+CONFIG_CHARGER_LT3651=3Dm
+CONFIG_CHARGER_MAX14577=3Dm
+CONFIG_CHARGER_MAX77693=3Dm
+CONFIG_CHARGER_MAX8997=3Dm
+CONFIG_CHARGER_MAX8998=3Dm
+CONFIG_CHARGER_BQ2415X=3Dm
+CONFIG_CHARGER_BQ24190=3Dm
+CONFIG_CHARGER_BQ24257=3Dm
+CONFIG_CHARGER_BQ24735=3Dm
+CONFIG_CHARGER_BQ25890=3Dm
+CONFIG_CHARGER_SMB347=3Dm
+CONFIG_CHARGER_TPS65090=3Dm
+CONFIG_BATTERY_GAUGE_LTC2941=3Dm
+CONFIG_BATTERY_RT5033=3Dm
+CONFIG_CHARGER_RT9455=3Dm
+CONFIG_CHARGER_CROS_USBPD=3Dm
+CONFIG_CHARGER_WILCO=3Dm
+CONFIG_HWMON=3Dy
+CONFIG_HWMON_VID=3Dm
+# CONFIG_HWMON_DEBUG_CHIP is not set
+
+#
+# Native drivers
+#
+CONFIG_SENSORS_ABITUGURU=3Dm
+CONFIG_SENSORS_ABITUGURU3=3Dm
+CONFIG_SENSORS_AD7314=3Dm
+CONFIG_SENSORS_AD7414=3Dm
+CONFIG_SENSORS_AD7418=3Dm
+CONFIG_SENSORS_ADM1021=3Dm
+CONFIG_SENSORS_ADM1025=3Dm
+CONFIG_SENSORS_ADM1026=3Dm
+CONFIG_SENSORS_ADM1029=3Dm
+CONFIG_SENSORS_ADM1031=3Dm
+CONFIG_SENSORS_ADM9240=3Dm
+CONFIG_SENSORS_ADT7X10=3Dm
+CONFIG_SENSORS_ADT7310=3Dm
+CONFIG_SENSORS_ADT7410=3Dm
+CONFIG_SENSORS_ADT7411=3Dm
+CONFIG_SENSORS_ADT7462=3Dm
+CONFIG_SENSORS_ADT7470=3Dm
+CONFIG_SENSORS_ADT7475=3Dm
+CONFIG_SENSORS_AS370=3Dm
+CONFIG_SENSORS_ASC7621=3Dm
+CONFIG_SENSORS_K8TEMP=3Dm
+CONFIG_SENSORS_K10TEMP=3Dm
+CONFIG_SENSORS_FAM15H_POWER=3Dm
+CONFIG_SENSORS_APPLESMC=3Dm
+CONFIG_SENSORS_ASB100=3Dm
+CONFIG_SENSORS_ASPEED=3Dm
+CONFIG_SENSORS_ATXP1=3Dm
+CONFIG_SENSORS_DS620=3Dm
+CONFIG_SENSORS_DS1621=3Dm
+CONFIG_SENSORS_DELL_SMM=3Dm
+CONFIG_SENSORS_DA9052_ADC=3Dm
+CONFIG_SENSORS_DA9055=3Dm
+CONFIG_SENSORS_I5K_AMB=3Dm
+CONFIG_SENSORS_F71805F=3Dm
+CONFIG_SENSORS_F71882FG=3Dm
+CONFIG_SENSORS_F75375S=3Dm
+CONFIG_SENSORS_MC13783_ADC=3Dm
+CONFIG_SENSORS_FSCHMD=3Dm
+CONFIG_SENSORS_FTSTEUTATES=3Dm
+CONFIG_SENSORS_GL518SM=3Dm
+CONFIG_SENSORS_GL520SM=3Dm
+CONFIG_SENSORS_G760A=3Dm
+CONFIG_SENSORS_G762=3Dm
+CONFIG_SENSORS_HIH6130=3Dm
+CONFIG_SENSORS_IBMAEM=3Dm
+CONFIG_SENSORS_IBMPEX=3Dm
+CONFIG_SENSORS_IIO_HWMON=3Dm
+CONFIG_SENSORS_I5500=3Dm
+CONFIG_SENSORS_CORETEMP=3Dm
+CONFIG_SENSORS_IT87=3Dm
+CONFIG_SENSORS_JC42=3Dm
+CONFIG_SENSORS_POWR1220=3Dm
+CONFIG_SENSORS_LINEAGE=3Dm
+CONFIG_SENSORS_LTC2945=3Dm
+CONFIG_SENSORS_LTC2990=3Dm
+CONFIG_SENSORS_LTC4151=3Dm
+CONFIG_SENSORS_LTC4215=3Dm
+CONFIG_SENSORS_LTC4222=3Dm
+CONFIG_SENSORS_LTC4245=3Dm
+CONFIG_SENSORS_LTC4260=3Dm
+CONFIG_SENSORS_LTC4261=3Dm
+CONFIG_SENSORS_MAX1111=3Dm
+CONFIG_SENSORS_MAX16065=3Dm
+CONFIG_SENSORS_MAX1619=3Dm
+CONFIG_SENSORS_MAX1668=3Dm
+CONFIG_SENSORS_MAX197=3Dm
+CONFIG_SENSORS_MAX31722=3Dm
+CONFIG_SENSORS_MAX6621=3Dm
+CONFIG_SENSORS_MAX6639=3Dm
+CONFIG_SENSORS_MAX6642=3Dm
+CONFIG_SENSORS_MAX6650=3Dm
+CONFIG_SENSORS_MAX6697=3Dm
+CONFIG_SENSORS_MAX31790=3Dm
+CONFIG_SENSORS_MCP3021=3Dm
+CONFIG_SENSORS_TC654=3Dm
+CONFIG_SENSORS_MENF21BMC_HWMON=3Dm
+CONFIG_SENSORS_ADCXX=3Dm
+CONFIG_SENSORS_LM63=3Dm
+CONFIG_SENSORS_LM70=3Dm
+CONFIG_SENSORS_LM73=3Dm
+CONFIG_SENSORS_LM75=3Dm
+CONFIG_SENSORS_LM77=3Dm
+CONFIG_SENSORS_LM78=3Dm
+CONFIG_SENSORS_LM80=3Dm
+CONFIG_SENSORS_LM83=3Dm
+CONFIG_SENSORS_LM85=3Dm
+CONFIG_SENSORS_LM87=3Dm
+CONFIG_SENSORS_LM90=3Dm
+CONFIG_SENSORS_LM92=3Dm
+CONFIG_SENSORS_LM93=3Dm
+CONFIG_SENSORS_LM95234=3Dm
+CONFIG_SENSORS_LM95241=3Dm
+CONFIG_SENSORS_LM95245=3Dm
+CONFIG_SENSORS_PC87360=3Dm
+CONFIG_SENSORS_PC87427=3Dm
+CONFIG_SENSORS_NTC_THERMISTOR=3Dm
+CONFIG_SENSORS_NCT6683=3Dm
+CONFIG_SENSORS_NCT6775=3Dm
+CONFIG_SENSORS_NCT7802=3Dm
+CONFIG_SENSORS_NCT7904=3Dm
+CONFIG_SENSORS_NPCM7XX=3Dm
+CONFIG_SENSORS_PCF8591=3Dm
+CONFIG_PMBUS=3Dm
+CONFIG_SENSORS_PMBUS=3Dm
+CONFIG_SENSORS_ADM1275=3Dm
+CONFIG_SENSORS_IBM_CFFPS=3Dm
+CONFIG_SENSORS_INSPUR_IPSPS=3Dm
+CONFIG_SENSORS_IR35221=3Dm
+CONFIG_SENSORS_IR38064=3Dm
+CONFIG_SENSORS_IRPS5401=3Dm
+CONFIG_SENSORS_ISL68137=3Dm
+CONFIG_SENSORS_LM25066=3Dm
+CONFIG_SENSORS_LTC2978=3Dm
+CONFIG_SENSORS_LTC2978_REGULATOR=3Dy
+CONFIG_SENSORS_LTC3815=3Dm
+CONFIG_SENSORS_MAX16064=3Dm
+CONFIG_SENSORS_MAX20751=3Dm
+CONFIG_SENSORS_MAX31785=3Dm
+CONFIG_SENSORS_MAX34440=3Dm
+CONFIG_SENSORS_MAX8688=3Dm
+CONFIG_SENSORS_PXE1610=3Dm
+CONFIG_SENSORS_TPS40422=3Dm
+CONFIG_SENSORS_TPS53679=3Dm
+CONFIG_SENSORS_UCD9000=3Dm
+CONFIG_SENSORS_UCD9200=3Dm
+CONFIG_SENSORS_ZL6100=3Dm
+CONFIG_SENSORS_SHT15=3Dm
+CONFIG_SENSORS_SHT21=3Dm
+CONFIG_SENSORS_SHT3x=3Dm
+CONFIG_SENSORS_SHTC1=3Dm
+CONFIG_SENSORS_SIS5595=3Dm
+CONFIG_SENSORS_DME1737=3Dm
+CONFIG_SENSORS_EMC1403=3Dm
+CONFIG_SENSORS_EMC2103=3Dm
+CONFIG_SENSORS_EMC6W201=3Dm
+CONFIG_SENSORS_SMSC47M1=3Dm
+CONFIG_SENSORS_SMSC47M192=3Dm
+CONFIG_SENSORS_SMSC47B397=3Dm
+CONFIG_SENSORS_SCH56XX_COMMON=3Dm
+CONFIG_SENSORS_SCH5627=3Dm
+CONFIG_SENSORS_SCH5636=3Dm
+CONFIG_SENSORS_STTS751=3Dm
+CONFIG_SENSORS_SMM665=3Dm
+CONFIG_SENSORS_ADC128D818=3Dm
+CONFIG_SENSORS_ADS7828=3Dm
+CONFIG_SENSORS_ADS7871=3Dm
+CONFIG_SENSORS_AMC6821=3Dm
+CONFIG_SENSORS_INA209=3Dm
+CONFIG_SENSORS_INA2XX=3Dm
+CONFIG_SENSORS_INA3221=3Dm
+CONFIG_SENSORS_TC74=3Dm
+CONFIG_SENSORS_THMC50=3Dm
+CONFIG_SENSORS_TMP102=3Dm
+CONFIG_SENSORS_TMP103=3Dm
+CONFIG_SENSORS_TMP108=3Dm
+CONFIG_SENSORS_TMP401=3Dm
+CONFIG_SENSORS_TMP421=3Dm
+CONFIG_SENSORS_VIA_CPUTEMP=3Dm
+CONFIG_SENSORS_VIA686A=3Dm
+CONFIG_SENSORS_VT1211=3Dm
+CONFIG_SENSORS_VT8231=3Dm
+CONFIG_SENSORS_W83773G=3Dm
+CONFIG_SENSORS_W83781D=3Dm
+CONFIG_SENSORS_W83791D=3Dm
+CONFIG_SENSORS_W83792D=3Dm
+CONFIG_SENSORS_W83793=3Dm
+CONFIG_SENSORS_W83795=3Dm
+# CONFIG_SENSORS_W83795_FANCTRL is not set
+CONFIG_SENSORS_W83L785TS=3Dm
+CONFIG_SENSORS_W83L786NG=3Dm
+CONFIG_SENSORS_W83627HF=3Dm
+CONFIG_SENSORS_W83627EHF=3Dm
+CONFIG_SENSORS_WM831X=3Dm
+CONFIG_SENSORS_WM8350=3Dm
+CONFIG_SENSORS_XGENE=3Dm
+
+#
+# ACPI drivers
+#
+CONFIG_SENSORS_ACPI_POWER=3Dm
+CONFIG_SENSORS_ATK0110=3Dm
+CONFIG_THERMAL=3Dy
+# CONFIG_THERMAL_STATISTICS is not set
+CONFIG_THERMAL_EMERGENCY_POWEROFF_DELAY_MS=3D0
+CONFIG_THERMAL_HWMON=3Dy
+CONFIG_THERMAL_WRITABLE_TRIPS=3Dy
+CONFIG_THERMAL_DEFAULT_GOV_STEP_WISE=3Dy
+# CONFIG_THERMAL_DEFAULT_GOV_FAIR_SHARE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_USER_SPACE is not set
+# CONFIG_THERMAL_DEFAULT_GOV_POWER_ALLOCATOR is not set
+CONFIG_THERMAL_GOV_FAIR_SHARE=3Dy
+CONFIG_THERMAL_GOV_STEP_WISE=3Dy
+CONFIG_THERMAL_GOV_BANG_BANG=3Dy
+CONFIG_THERMAL_GOV_USER_SPACE=3Dy
+CONFIG_THERMAL_GOV_POWER_ALLOCATOR=3Dy
+CONFIG_CLOCK_THERMAL=3Dy
+CONFIG_DEVFREQ_THERMAL=3Dy
+CONFIG_THERMAL_EMULATION=3Dy
+
+#
+# Intel thermal drivers
+#
+CONFIG_INTEL_POWERCLAMP=3Dm
+CONFIG_X86_PKG_TEMP_THERMAL=3Dm
+CONFIG_INTEL_SOC_DTS_IOSF_CORE=3Dm
+CONFIG_INTEL_SOC_DTS_THERMAL=3Dm
+
+#
+# ACPI INT340X thermal drivers
+#
+CONFIG_INT340X_THERMAL=3Dm
+CONFIG_ACPI_THERMAL_REL=3Dm
+CONFIG_INT3406_THERMAL=3Dm
+CONFIG_PROC_THERMAL_MMIO_RAPL=3Dy
+# end of ACPI INT340X thermal drivers
+
+CONFIG_INTEL_BXT_PMIC_THERMAL=3Dm
+CONFIG_INTEL_PCH_THERMAL=3Dm
+# end of Intel thermal drivers
+
+CONFIG_GENERIC_ADC_THERMAL=3Dm
+CONFIG_WATCHDOG=3Dy
+CONFIG_WATCHDOG_CORE=3Dy
+# CONFIG_WATCHDOG_NOWAYOUT is not set
+CONFIG_WATCHDOG_HANDLE_BOOT_ENABLED=3Dy
+CONFIG_WATCHDOG_OPEN_TIMEOUT=3D0
+CONFIG_WATCHDOG_SYSFS=3Dy
+
+#
+# Watchdog Pretimeout Governors
+#
+# CONFIG_WATCHDOG_PRETIMEOUT_GOV is not set
+
+#
+# Watchdog Device Drivers
+#
+CONFIG_SOFT_WATCHDOG=3Dm
+CONFIG_DA9052_WATCHDOG=3Dm
+CONFIG_DA9055_WATCHDOG=3Dm
+CONFIG_DA9063_WATCHDOG=3Dm
+CONFIG_DA9062_WATCHDOG=3Dm
+CONFIG_MENF21BMC_WATCHDOG=3Dm
+CONFIG_MENZ069_WATCHDOG=3Dm
+CONFIG_WDAT_WDT=3Dm
+CONFIG_WM831X_WATCHDOG=3Dm
+CONFIG_WM8350_WATCHDOG=3Dm
+CONFIG_XILINX_WATCHDOG=3Dm
+CONFIG_ZIIRAVE_WATCHDOG=3Dm
+CONFIG_RAVE_SP_WATCHDOG=3Dm
+CONFIG_CADENCE_WATCHDOG=3Dm
+CONFIG_DW_WATCHDOG=3Dm
+CONFIG_TWL4030_WATCHDOG=3Dm
+CONFIG_MAX63XX_WATCHDOG=3Dm
+CONFIG_RETU_WATCHDOG=3Dm
+CONFIG_ACQUIRE_WDT=3Dm
+CONFIG_ADVANTECH_WDT=3Dm
+CONFIG_ALIM1535_WDT=3Dm
+CONFIG_ALIM7101_WDT=3Dm
+CONFIG_EBC_C384_WDT=3Dm
+CONFIG_F71808E_WDT=3Dm
+CONFIG_SP5100_TCO=3Dm
+CONFIG_SBC_FITPC2_WATCHDOG=3Dm
+CONFIG_EUROTECH_WDT=3Dm
+CONFIG_IB700_WDT=3Dm
+CONFIG_IBMASR=3Dm
+CONFIG_WAFER_WDT=3Dm
+CONFIG_I6300ESB_WDT=3Dm
+CONFIG_IE6XX_WDT=3Dm
+CONFIG_ITCO_WDT=3Dm
+CONFIG_ITCO_VENDOR_SUPPORT=3Dy
+CONFIG_IT8712F_WDT=3Dm
+CONFIG_IT87_WDT=3Dm
+CONFIG_HP_WATCHDOG=3Dm
+CONFIG_HPWDT_NMI_DECODING=3Dy
+CONFIG_KEMPLD_WDT=3Dm
+CONFIG_SC1200_WDT=3Dm
+CONFIG_PC87413_WDT=3Dm
+CONFIG_NV_TCO=3Dm
+CONFIG_60XX_WDT=3Dm
+CONFIG_CPU5_WDT=3Dm
+CONFIG_SMSC_SCH311X_WDT=3Dm
+CONFIG_SMSC37B787_WDT=3Dm
+CONFIG_TQMX86_WDT=3Dm
+CONFIG_VIA_WDT=3Dm
+CONFIG_W83627HF_WDT=3Dm
+CONFIG_W83877F_WDT=3Dm
+CONFIG_W83977F_WDT=3Dm
+CONFIG_MACHZ_WDT=3Dm
+CONFIG_SBC_EPX_C3_WATCHDOG=3Dm
+CONFIG_NI903X_WDT=3Dm
+CONFIG_NIC7018_WDT=3Dm
+CONFIG_MEN_A21_WDT=3Dm
+CONFIG_XEN_WDT=3Dm
+
+#
+# PCI-based Watchdog Cards
+#
+CONFIG_PCIPCWATCHDOG=3Dm
+CONFIG_WDTPCI=3Dm
+
+#
+# USB-based Watchdog Cards
+#
+CONFIG_USBPCWATCHDOG=3Dm
+CONFIG_SSB_POSSIBLE=3Dy
+CONFIG_SSB=3Dm
+CONFIG_SSB_SPROM=3Dy
+CONFIG_SSB_BLOCKIO=3Dy
+CONFIG_SSB_PCIHOST_POSSIBLE=3Dy
+CONFIG_SSB_PCIHOST=3Dy
+CONFIG_SSB_B43_PCI_BRIDGE=3Dy
+CONFIG_SSB_PCMCIAHOST_POSSIBLE=3Dy
+# CONFIG_SSB_PCMCIAHOST is not set
+CONFIG_SSB_SDIOHOST_POSSIBLE=3Dy
+CONFIG_SSB_SDIOHOST=3Dy
+CONFIG_SSB_DRIVER_PCICORE_POSSIBLE=3Dy
+CONFIG_SSB_DRIVER_PCICORE=3Dy
+CONFIG_SSB_DRIVER_GPIO=3Dy
+CONFIG_BCMA_POSSIBLE=3Dy
+CONFIG_BCMA=3Dm
+CONFIG_BCMA_BLOCKIO=3Dy
+CONFIG_BCMA_HOST_PCI_POSSIBLE=3Dy
+CONFIG_BCMA_HOST_PCI=3Dy
+CONFIG_BCMA_HOST_SOC=3Dy
+CONFIG_BCMA_DRIVER_PCI=3Dy
+CONFIG_BCMA_SFLASH=3Dy
+CONFIG_BCMA_DRIVER_GMAC_CMN=3Dy
+CONFIG_BCMA_DRIVER_GPIO=3Dy
+# CONFIG_BCMA_DEBUG is not set
+
+#
+# Multifunction device drivers
+#
+CONFIG_MFD_CORE=3Dy
+CONFIG_MFD_AS3711=3Dy
+CONFIG_PMIC_ADP5520=3Dy
+CONFIG_MFD_AAT2870_CORE=3Dy
+CONFIG_MFD_BCM590XX=3Dm
+CONFIG_MFD_BD9571MWV=3Dm
+CONFIG_MFD_AXP20X=3Dm
+CONFIG_MFD_AXP20X_I2C=3Dm
+CONFIG_MFD_CROS_EC_DEV=3Dm
+CONFIG_MFD_MADERA=3Dm
+CONFIG_MFD_MADERA_I2C=3Dm
+CONFIG_MFD_MADERA_SPI=3Dm
+# CONFIG_MFD_CS47L15 is not set
+# CONFIG_MFD_CS47L35 is not set
+# CONFIG_MFD_CS47L85 is not set
+# CONFIG_MFD_CS47L90 is not set
+# CONFIG_MFD_CS47L92 is not set
+CONFIG_PMIC_DA903X=3Dy
+CONFIG_PMIC_DA9052=3Dy
+CONFIG_MFD_DA9052_SPI=3Dy
+CONFIG_MFD_DA9052_I2C=3Dy
+CONFIG_MFD_DA9055=3Dy
+CONFIG_MFD_DA9062=3Dm
+CONFIG_MFD_DA9063=3Dy
+CONFIG_MFD_DA9150=3Dm
+CONFIG_MFD_DLN2=3Dm
+CONFIG_MFD_MC13XXX=3Dm
+CONFIG_MFD_MC13XXX_SPI=3Dm
+CONFIG_MFD_MC13XXX_I2C=3Dm
+CONFIG_HTC_PASIC3=3Dm
+CONFIG_HTC_I2CPLD=3Dy
+CONFIG_MFD_INTEL_QUARK_I2C_GPIO=3Dm
+CONFIG_LPC_ICH=3Dm
+CONFIG_LPC_SCH=3Dm
+CONFIG_INTEL_SOC_PMIC=3Dy
+CONFIG_INTEL_SOC_PMIC_BXTWC=3Dm
+CONFIG_INTEL_SOC_PMIC_CHTWC=3Dy
+CONFIG_INTEL_SOC_PMIC_CHTDC_TI=3Dm
+CONFIG_MFD_INTEL_LPSS=3Dm
+CONFIG_MFD_INTEL_LPSS_ACPI=3Dm
+CONFIG_MFD_INTEL_LPSS_PCI=3Dm
+CONFIG_MFD_JANZ_CMODIO=3Dm
+CONFIG_MFD_KEMPLD=3Dm
+CONFIG_MFD_88PM800=3Dm
+CONFIG_MFD_88PM805=3Dm
+CONFIG_MFD_88PM860X=3Dy
+CONFIG_MFD_MAX14577=3Dy
+CONFIG_MFD_MAX77693=3Dy
+CONFIG_MFD_MAX77843=3Dy
+CONFIG_MFD_MAX8907=3Dm
+CONFIG_MFD_MAX8925=3Dy
+CONFIG_MFD_MAX8997=3Dy
+CONFIG_MFD_MAX8998=3Dy
+CONFIG_MFD_MT6397=3Dm
+CONFIG_MFD_MENF21BMC=3Dm
+CONFIG_EZX_PCAP=3Dy
+CONFIG_MFD_VIPERBOARD=3Dm
+CONFIG_MFD_RETU=3Dm
+CONFIG_MFD_PCF50633=3Dm
+CONFIG_PCF50633_ADC=3Dm
+CONFIG_PCF50633_GPIO=3Dm
+CONFIG_UCB1400_CORE=3Dm
+CONFIG_MFD_RDC321X=3Dm
+CONFIG_MFD_RT5033=3Dm
+CONFIG_MFD_RC5T583=3Dy
+CONFIG_MFD_SEC_CORE=3Dy
+CONFIG_MFD_SI476X_CORE=3Dm
+CONFIG_MFD_SM501=3Dm
+CONFIG_MFD_SM501_GPIO=3Dy
+CONFIG_MFD_SKY81452=3Dm
+CONFIG_MFD_SMSC=3Dy
+CONFIG_ABX500_CORE=3Dy
+CONFIG_AB3100_CORE=3Dy
+CONFIG_AB3100_OTP=3Dm
+CONFIG_MFD_SYSCON=3Dy
+CONFIG_MFD_TI_AM335X_TSCADC=3Dm
+CONFIG_MFD_LP3943=3Dm
+CONFIG_MFD_LP8788=3Dy
+CONFIG_MFD_TI_LMU=3Dm
+CONFIG_MFD_PALMAS=3Dy
+CONFIG_TPS6105X=3Dm
+CONFIG_TPS65010=3Dm
+CONFIG_TPS6507X=3Dm
+CONFIG_MFD_TPS65086=3Dm
+CONFIG_MFD_TPS65090=3Dy
+# CONFIG_MFD_TPS68470 is not set
+CONFIG_MFD_TI_LP873X=3Dm
+CONFIG_MFD_TPS6586X=3Dy
+CONFIG_MFD_TPS65910=3Dy
+CONFIG_MFD_TPS65912=3Dy
+CONFIG_MFD_TPS65912_I2C=3Dy
+CONFIG_MFD_TPS65912_SPI=3Dy
+CONFIG_MFD_TPS80031=3Dy
+CONFIG_TWL4030_CORE=3Dy
+CONFIG_MFD_TWL4030_AUDIO=3Dy
+CONFIG_TWL6040_CORE=3Dy
+CONFIG_MFD_WL1273_CORE=3Dm
+CONFIG_MFD_LM3533=3Dm
+CONFIG_MFD_TQMX86=3Dm
+CONFIG_MFD_VX855=3Dm
+CONFIG_MFD_ARIZONA=3Dy
+CONFIG_MFD_ARIZONA_I2C=3Dm
+CONFIG_MFD_ARIZONA_SPI=3Dm
+CONFIG_MFD_CS47L24=3Dy
+CONFIG_MFD_WM5102=3Dy
+CONFIG_MFD_WM5110=3Dy
+CONFIG_MFD_WM8997=3Dy
+CONFIG_MFD_WM8998=3Dy
+CONFIG_MFD_WM8400=3Dy
+CONFIG_MFD_WM831X=3Dy
+CONFIG_MFD_WM831X_I2C=3Dy
+CONFIG_MFD_WM831X_SPI=3Dy
+CONFIG_MFD_WM8350=3Dy
+CONFIG_MFD_WM8350_I2C=3Dy
+CONFIG_MFD_WM8994=3Dm
+CONFIG_RAVE_SP_CORE=3Dm
+# end of Multifunction device drivers
+
+CONFIG_REGULATOR=3Dy
+# CONFIG_REGULATOR_DEBUG is not set
+CONFIG_REGULATOR_FIXED_VOLTAGE=3Dm
+CONFIG_REGULATOR_VIRTUAL_CONSUMER=3Dm
+CONFIG_REGULATOR_USERSPACE_CONSUMER=3Dm
+CONFIG_REGULATOR_88PG86X=3Dm
+CONFIG_REGULATOR_88PM800=3Dm
+CONFIG_REGULATOR_88PM8607=3Dm
+CONFIG_REGULATOR_ACT8865=3Dm
+CONFIG_REGULATOR_AD5398=3Dm
+CONFIG_REGULATOR_ANATOP=3Dm
+CONFIG_REGULATOR_AAT2870=3Dm
+CONFIG_REGULATOR_AB3100=3Dm
+CONFIG_REGULATOR_ARIZONA_LDO1=3Dm
+CONFIG_REGULATOR_ARIZONA_MICSUPP=3Dm
+CONFIG_REGULATOR_AS3711=3Dm
+CONFIG_REGULATOR_AXP20X=3Dm
+CONFIG_REGULATOR_BCM590XX=3Dm
+CONFIG_REGULATOR_BD9571MWV=3Dm
+CONFIG_REGULATOR_DA903X=3Dm
+CONFIG_REGULATOR_DA9052=3Dm
+CONFIG_REGULATOR_DA9055=3Dm
+CONFIG_REGULATOR_DA9062=3Dm
+CONFIG_REGULATOR_DA9210=3Dm
+CONFIG_REGULATOR_DA9211=3Dm
+CONFIG_REGULATOR_FAN53555=3Dm
+CONFIG_REGULATOR_GPIO=3Dm
+CONFIG_REGULATOR_ISL9305=3Dm
+CONFIG_REGULATOR_ISL6271A=3Dm
+CONFIG_REGULATOR_LM363X=3Dm
+CONFIG_REGULATOR_LP3971=3Dm
+CONFIG_REGULATOR_LP3972=3Dm
+CONFIG_REGULATOR_LP872X=3Dm
+CONFIG_REGULATOR_LP8755=3Dm
+CONFIG_REGULATOR_LP8788=3Dm
+CONFIG_REGULATOR_LTC3589=3Dm
+CONFIG_REGULATOR_LTC3676=3Dm
+CONFIG_REGULATOR_MAX14577=3Dm
+CONFIG_REGULATOR_MAX1586=3Dm
+CONFIG_REGULATOR_MAX8649=3Dm
+CONFIG_REGULATOR_MAX8660=3Dm
+CONFIG_REGULATOR_MAX8907=3Dm
+CONFIG_REGULATOR_MAX8925=3Dm
+CONFIG_REGULATOR_MAX8952=3Dm
+CONFIG_REGULATOR_MAX8997=3Dm
+CONFIG_REGULATOR_MAX8998=3Dm
+CONFIG_REGULATOR_MAX77693=3Dm
+CONFIG_REGULATOR_MC13XXX_CORE=3Dm
+CONFIG_REGULATOR_MC13783=3Dm
+CONFIG_REGULATOR_MC13892=3Dm
+CONFIG_REGULATOR_MT6311=3Dm
+CONFIG_REGULATOR_MT6323=3Dm
+CONFIG_REGULATOR_MT6397=3Dm
+CONFIG_REGULATOR_PALMAS=3Dm
+CONFIG_REGULATOR_PCAP=3Dm
+CONFIG_REGULATOR_PCF50633=3Dm
+CONFIG_REGULATOR_PFUZE100=3Dm
+CONFIG_REGULATOR_PV88060=3Dm
+CONFIG_REGULATOR_PV88080=3Dm
+CONFIG_REGULATOR_PV88090=3Dm
+CONFIG_REGULATOR_PWM=3Dm
+CONFIG_REGULATOR_QCOM_SPMI=3Dm
+CONFIG_REGULATOR_RC5T583=3Dm
+CONFIG_REGULATOR_RT5033=3Dm
+CONFIG_REGULATOR_S2MPA01=3Dm
+CONFIG_REGULATOR_S2MPS11=3Dm
+CONFIG_REGULATOR_S5M8767=3Dm
+CONFIG_REGULATOR_SKY81452=3Dm
+CONFIG_REGULATOR_SLG51000=3Dm
+CONFIG_REGULATOR_TPS51632=3Dm
+CONFIG_REGULATOR_TPS6105X=3Dm
+CONFIG_REGULATOR_TPS62360=3Dm
+CONFIG_REGULATOR_TPS65023=3Dm
+CONFIG_REGULATOR_TPS6507X=3Dm
+CONFIG_REGULATOR_TPS65086=3Dm
+CONFIG_REGULATOR_TPS65090=3Dm
+CONFIG_REGULATOR_TPS65132=3Dm
+CONFIG_REGULATOR_TPS6524X=3Dm
+CONFIG_REGULATOR_TPS6586X=3Dm
+CONFIG_REGULATOR_TPS65910=3Dm
+CONFIG_REGULATOR_TPS65912=3Dm
+CONFIG_REGULATOR_TPS80031=3Dm
+CONFIG_REGULATOR_TWL4030=3Dm
+CONFIG_REGULATOR_WM831X=3Dm
+CONFIG_REGULATOR_WM8350=3Dm
+CONFIG_REGULATOR_WM8400=3Dm
+CONFIG_REGULATOR_WM8994=3Dm
+CONFIG_CEC_CORE=3Dm
+CONFIG_CEC_NOTIFIER=3Dy
+CONFIG_RC_CORE=3Dm
+CONFIG_RC_MAP=3Dm
+CONFIG_LIRC=3Dy
+CONFIG_RC_DECODERS=3Dy
+CONFIG_IR_NEC_DECODER=3Dm
+CONFIG_IR_RC5_DECODER=3Dm
+CONFIG_IR_RC6_DECODER=3Dm
+CONFIG_IR_JVC_DECODER=3Dm
+CONFIG_IR_SONY_DECODER=3Dm
+CONFIG_IR_SANYO_DECODER=3Dm
+CONFIG_IR_SHARP_DECODER=3Dm
+CONFIG_IR_MCE_KBD_DECODER=3Dm
+CONFIG_IR_XMP_DECODER=3Dm
+CONFIG_IR_IMON_DECODER=3Dm
+CONFIG_IR_RCMM_DECODER=3Dm
+CONFIG_RC_DEVICES=3Dy
+CONFIG_RC_ATI_REMOTE=3Dm
+CONFIG_IR_ENE=3Dm
+CONFIG_IR_IMON=3Dm
+CONFIG_IR_IMON_RAW=3Dm
+CONFIG_IR_MCEUSB=3Dm
+CONFIG_IR_ITE_CIR=3Dm
+CONFIG_IR_FINTEK=3Dm
+CONFIG_IR_NUVOTON=3Dm
+CONFIG_IR_REDRAT3=3Dm
+CONFIG_IR_STREAMZAP=3Dm
+CONFIG_IR_WINBOND_CIR=3Dm
+CONFIG_IR_IGORPLUGUSB=3Dm
+CONFIG_IR_IGUANA=3Dm
+CONFIG_IR_TTUSBIR=3Dm
+CONFIG_RC_LOOPBACK=3Dm
+CONFIG_IR_SERIAL=3Dm
+CONFIG_IR_SERIAL_TRANSMITTER=3Dy
+CONFIG_IR_SIR=3Dm
+CONFIG_RC_XBOX_DVD=3Dm
+CONFIG_MEDIA_SUPPORT=3Dm
+
+#
+# Multimedia core support
+#
+CONFIG_MEDIA_CAMERA_SUPPORT=3Dy
+CONFIG_MEDIA_ANALOG_TV_SUPPORT=3Dy
+CONFIG_MEDIA_DIGITAL_TV_SUPPORT=3Dy
+CONFIG_MEDIA_RADIO_SUPPORT=3Dy
+CONFIG_MEDIA_SDR_SUPPORT=3Dy
+CONFIG_MEDIA_CEC_SUPPORT=3Dy
+# CONFIG_MEDIA_CEC_RC is not set
+CONFIG_MEDIA_CONTROLLER=3Dy
+CONFIG_MEDIA_CONTROLLER_DVB=3Dy
+# CONFIG_MEDIA_CONTROLLER_REQUEST_API is not set
+CONFIG_VIDEO_DEV=3Dm
+CONFIG_VIDEO_V4L2_SUBDEV_API=3Dy
+CONFIG_VIDEO_V4L2=3Dm
+CONFIG_VIDEO_V4L2_I2C=3Dy
+# CONFIG_VIDEO_ADV_DEBUG is not set
+# CONFIG_VIDEO_FIXED_MINOR_RANGES is not set
+CONFIG_VIDEO_TUNER=3Dm
+CONFIG_V4L2_MEM2MEM_DEV=3Dm
+CONFIG_V4L2_FLASH_LED_CLASS=3Dm
+CONFIG_V4L2_FWNODE=3Dm
+CONFIG_VIDEOBUF_GEN=3Dm
+CONFIG_VIDEOBUF_DMA_SG=3Dm
+CONFIG_VIDEOBUF_VMALLOC=3Dm
+CONFIG_DVB_CORE=3Dm
+# CONFIG_DVB_MMAP is not set
+CONFIG_DVB_NET=3Dy
+CONFIG_TTPCI_EEPROM=3Dm
+CONFIG_DVB_MAX_ADAPTERS=3D8
+CONFIG_DVB_DYNAMIC_MINORS=3Dy
+# CONFIG_DVB_DEMUX_SECTION_LOSS_LOG is not set
+# CONFIG_DVB_ULE_DEBUG is not set
+
+#
+# Media drivers
+#
+CONFIG_MEDIA_USB_SUPPORT=3Dy
+
+#
+# Webcam devices
+#
+CONFIG_USB_VIDEO_CLASS=3Dm
+CONFIG_USB_VIDEO_CLASS_INPUT_EVDEV=3Dy
+CONFIG_USB_GSPCA=3Dm
+CONFIG_USB_M5602=3Dm
+CONFIG_USB_STV06XX=3Dm
+CONFIG_USB_GL860=3Dm
+CONFIG_USB_GSPCA_BENQ=3Dm
+CONFIG_USB_GSPCA_CONEX=3Dm
+CONFIG_USB_GSPCA_CPIA1=3Dm
+CONFIG_USB_GSPCA_DTCS033=3Dm
+CONFIG_USB_GSPCA_ETOMS=3Dm
+CONFIG_USB_GSPCA_FINEPIX=3Dm
+CONFIG_USB_GSPCA_JEILINJ=3Dm
+CONFIG_USB_GSPCA_JL2005BCD=3Dm
+CONFIG_USB_GSPCA_KINECT=3Dm
+CONFIG_USB_GSPCA_KONICA=3Dm
+CONFIG_USB_GSPCA_MARS=3Dm
+CONFIG_USB_GSPCA_MR97310A=3Dm
+CONFIG_USB_GSPCA_NW80X=3Dm
+CONFIG_USB_GSPCA_OV519=3Dm
+CONFIG_USB_GSPCA_OV534=3Dm
+CONFIG_USB_GSPCA_OV534_9=3Dm
+CONFIG_USB_GSPCA_PAC207=3Dm
+CONFIG_USB_GSPCA_PAC7302=3Dm
+CONFIG_USB_GSPCA_PAC7311=3Dm
+CONFIG_USB_GSPCA_SE401=3Dm
+CONFIG_USB_GSPCA_SN9C2028=3Dm
+CONFIG_USB_GSPCA_SN9C20X=3Dm
+CONFIG_USB_GSPCA_SONIXB=3Dm
+CONFIG_USB_GSPCA_SONIXJ=3Dm
+CONFIG_USB_GSPCA_SPCA500=3Dm
+CONFIG_USB_GSPCA_SPCA501=3Dm
+CONFIG_USB_GSPCA_SPCA505=3Dm
+CONFIG_USB_GSPCA_SPCA506=3Dm
+CONFIG_USB_GSPCA_SPCA508=3Dm
+CONFIG_USB_GSPCA_SPCA561=3Dm
+CONFIG_USB_GSPCA_SPCA1528=3Dm
+CONFIG_USB_GSPCA_SQ905=3Dm
+CONFIG_USB_GSPCA_SQ905C=3Dm
+CONFIG_USB_GSPCA_SQ930X=3Dm
+CONFIG_USB_GSPCA_STK014=3Dm
+CONFIG_USB_GSPCA_STK1135=3Dm
+CONFIG_USB_GSPCA_STV0680=3Dm
+CONFIG_USB_GSPCA_SUNPLUS=3Dm
+CONFIG_USB_GSPCA_T613=3Dm
+CONFIG_USB_GSPCA_TOPRO=3Dm
+CONFIG_USB_GSPCA_TOUPTEK=3Dm
+CONFIG_USB_GSPCA_TV8532=3Dm
+CONFIG_USB_GSPCA_VC032X=3Dm
+CONFIG_USB_GSPCA_VICAM=3Dm
+CONFIG_USB_GSPCA_XIRLINK_CIT=3Dm
+CONFIG_USB_GSPCA_ZC3XX=3Dm
+CONFIG_USB_PWC=3Dm
+# CONFIG_USB_PWC_DEBUG is not set
+CONFIG_USB_PWC_INPUT_EVDEV=3Dy
+CONFIG_VIDEO_CPIA2=3Dm
+CONFIG_USB_ZR364XX=3Dm
+CONFIG_USB_STKWEBCAM=3Dm
+CONFIG_USB_S2255=3Dm
+CONFIG_VIDEO_USBTV=3Dm
+
+#
+# Analog TV USB devices
+#
+CONFIG_VIDEO_PVRUSB2=3Dm
+CONFIG_VIDEO_PVRUSB2_SYSFS=3Dy
+CONFIG_VIDEO_PVRUSB2_DVB=3Dy
+# CONFIG_VIDEO_PVRUSB2_DEBUGIFC is not set
+CONFIG_VIDEO_HDPVR=3Dm
+CONFIG_VIDEO_USBVISION=3Dm
+CONFIG_VIDEO_STK1160_COMMON=3Dm
+CONFIG_VIDEO_STK1160=3Dm
+CONFIG_VIDEO_GO7007=3Dm
+CONFIG_VIDEO_GO7007_USB=3Dm
+CONFIG_VIDEO_GO7007_LOADER=3Dm
+CONFIG_VIDEO_GO7007_USB_S2250_BOARD=3Dm
+
+#
+# Analog/digital TV USB devices
+#
+CONFIG_VIDEO_AU0828=3Dm
+CONFIG_VIDEO_AU0828_V4L2=3Dy
+CONFIG_VIDEO_AU0828_RC=3Dy
+CONFIG_VIDEO_CX231XX=3Dm
+CONFIG_VIDEO_CX231XX_RC=3Dy
+CONFIG_VIDEO_CX231XX_ALSA=3Dm
+CONFIG_VIDEO_CX231XX_DVB=3Dm
+CONFIG_VIDEO_TM6000=3Dm
+CONFIG_VIDEO_TM6000_ALSA=3Dm
+CONFIG_VIDEO_TM6000_DVB=3Dm
+
+#
+# Digital TV USB devices
+#
+CONFIG_DVB_USB=3Dm
+# CONFIG_DVB_USB_DEBUG is not set
+CONFIG_DVB_USB_DIB3000MC=3Dm
+CONFIG_DVB_USB_A800=3Dm
+CONFIG_DVB_USB_DIBUSB_MB=3Dm
+# CONFIG_DVB_USB_DIBUSB_MB_FAULTY is not set
+CONFIG_DVB_USB_DIBUSB_MC=3Dm
+CONFIG_DVB_USB_DIB0700=3Dm
+CONFIG_DVB_USB_UMT_010=3Dm
+CONFIG_DVB_USB_CXUSB=3Dm
+CONFIG_DVB_USB_CXUSB_ANALOG=3Dy
+CONFIG_DVB_USB_M920X=3Dm
+CONFIG_DVB_USB_DIGITV=3Dm
+CONFIG_DVB_USB_VP7045=3Dm
+CONFIG_DVB_USB_VP702X=3Dm
+CONFIG_DVB_USB_GP8PSK=3Dm
+CONFIG_DVB_USB_NOVA_T_USB2=3Dm
+CONFIG_DVB_USB_TTUSB2=3Dm
+CONFIG_DVB_USB_DTT200U=3Dm
+CONFIG_DVB_USB_OPERA1=3Dm
+CONFIG_DVB_USB_AF9005=3Dm
+CONFIG_DVB_USB_AF9005_REMOTE=3Dm
+CONFIG_DVB_USB_PCTV452E=3Dm
+CONFIG_DVB_USB_DW2102=3Dm
+CONFIG_DVB_USB_CINERGY_T2=3Dm
+CONFIG_DVB_USB_DTV5100=3Dm
+CONFIG_DVB_USB_AZ6027=3Dm
+CONFIG_DVB_USB_TECHNISAT_USB2=3Dm
+CONFIG_DVB_USB_V2=3Dm
+CONFIG_DVB_USB_AF9015=3Dm
+CONFIG_DVB_USB_AF9035=3Dm
+CONFIG_DVB_USB_ANYSEE=3Dm
+CONFIG_DVB_USB_AU6610=3Dm
+CONFIG_DVB_USB_AZ6007=3Dm
+CONFIG_DVB_USB_CE6230=3Dm
+CONFIG_DVB_USB_EC168=3Dm
+CONFIG_DVB_USB_GL861=3Dm
+CONFIG_DVB_USB_LME2510=3Dm
+CONFIG_DVB_USB_MXL111SF=3Dm
+CONFIG_DVB_USB_RTL28XXU=3Dm
+CONFIG_DVB_USB_DVBSKY=3Dm
+CONFIG_DVB_USB_ZD1301=3Dm
+CONFIG_DVB_TTUSB_BUDGET=3Dm
+CONFIG_DVB_TTUSB_DEC=3Dm
+CONFIG_SMS_USB_DRV=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_USB=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_USB_DEBUG is not set
+CONFIG_DVB_AS102=3Dm
+
+#
+# Webcam, TV (analog/digital) USB devices
+#
+CONFIG_VIDEO_EM28XX=3Dm
+CONFIG_VIDEO_EM28XX_V4L2=3Dm
+CONFIG_VIDEO_EM28XX_ALSA=3Dm
+CONFIG_VIDEO_EM28XX_DVB=3Dm
+CONFIG_VIDEO_EM28XX_RC=3Dm
+
+#
+# Software defined radio USB devices
+#
+CONFIG_USB_AIRSPY=3Dm
+CONFIG_USB_HACKRF=3Dm
+CONFIG_USB_MSI2500=3Dm
+
+#
+# USB HDMI CEC adapters
+#
+CONFIG_USB_PULSE8_CEC=3Dm
+CONFIG_USB_RAINSHADOW_CEC=3Dm
+CONFIG_MEDIA_PCI_SUPPORT=3Dy
+
+#
+# Media capture support
+#
+CONFIG_VIDEO_MEYE=3Dm
+CONFIG_VIDEO_SOLO6X10=3Dm
+CONFIG_VIDEO_TW5864=3Dm
+CONFIG_VIDEO_TW68=3Dm
+CONFIG_VIDEO_TW686X=3Dm
+
+#
+# Media capture/analog TV support
+#
+CONFIG_VIDEO_IVTV=3Dm
+# CONFIG_VIDEO_IVTV_DEPRECATED_IOCTLS is not set
+CONFIG_VIDEO_IVTV_ALSA=3Dm
+CONFIG_VIDEO_FB_IVTV=3Dm
+# CONFIG_VIDEO_FB_IVTV_FORCE_PAT is not set
+CONFIG_VIDEO_HEXIUM_GEMINI=3Dm
+CONFIG_VIDEO_HEXIUM_ORION=3Dm
+CONFIG_VIDEO_MXB=3Dm
+CONFIG_VIDEO_DT3155=3Dm
+
+#
+# Media capture/analog/hybrid TV support
+#
+CONFIG_VIDEO_CX18=3Dm
+CONFIG_VIDEO_CX18_ALSA=3Dm
+CONFIG_VIDEO_CX23885=3Dm
+CONFIG_MEDIA_ALTERA_CI=3Dm
+CONFIG_VIDEO_CX25821=3Dm
+CONFIG_VIDEO_CX25821_ALSA=3Dm
+CONFIG_VIDEO_CX88=3Dm
+CONFIG_VIDEO_CX88_ALSA=3Dm
+CONFIG_VIDEO_CX88_BLACKBIRD=3Dm
+CONFIG_VIDEO_CX88_DVB=3Dm
+CONFIG_VIDEO_CX88_ENABLE_VP3054=3Dy
+CONFIG_VIDEO_CX88_VP3054=3Dm
+CONFIG_VIDEO_CX88_MPEG=3Dm
+CONFIG_VIDEO_BT848=3Dm
+CONFIG_DVB_BT8XX=3Dm
+CONFIG_VIDEO_SAA7134=3Dm
+CONFIG_VIDEO_SAA7134_ALSA=3Dm
+CONFIG_VIDEO_SAA7134_RC=3Dy
+CONFIG_VIDEO_SAA7134_DVB=3Dm
+CONFIG_VIDEO_SAA7134_GO7007=3Dm
+CONFIG_VIDEO_SAA7164=3Dm
+CONFIG_VIDEO_COBALT=3Dm
+
+#
+# Media digital TV PCI Adapters
+#
+CONFIG_DVB_AV7110_IR=3Dy
+CONFIG_DVB_AV7110=3Dm
+CONFIG_DVB_AV7110_OSD=3Dy
+CONFIG_DVB_BUDGET_CORE=3Dm
+CONFIG_DVB_BUDGET=3Dm
+CONFIG_DVB_BUDGET_CI=3Dm
+CONFIG_DVB_BUDGET_AV=3Dm
+CONFIG_DVB_BUDGET_PATCH=3Dm
+CONFIG_DVB_B2C2_FLEXCOP_PCI=3Dm
+# CONFIG_DVB_B2C2_FLEXCOP_PCI_DEBUG is not set
+CONFIG_DVB_PLUTO2=3Dm
+CONFIG_DVB_DM1105=3Dm
+CONFIG_DVB_PT1=3Dm
+CONFIG_DVB_PT3=3Dm
+CONFIG_MANTIS_CORE=3Dm
+CONFIG_DVB_MANTIS=3Dm
+CONFIG_DVB_HOPPER=3Dm
+CONFIG_DVB_NGENE=3Dm
+CONFIG_DVB_DDBRIDGE=3Dm
+# CONFIG_DVB_DDBRIDGE_MSIENABLE is not set
+CONFIG_DVB_SMIPCIE=3Dm
+CONFIG_DVB_NETUP_UNIDVB=3Dm
+CONFIG_VIDEO_IPU3_CIO2=3Dm
+CONFIG_V4L_PLATFORM_DRIVERS=3Dy
+CONFIG_VIDEO_CAFE_CCIC=3Dm
+CONFIG_VIDEO_VIA_CAMERA=3Dm
+CONFIG_VIDEO_CADENCE=3Dy
+CONFIG_VIDEO_CADENCE_CSI2RX=3Dm
+CONFIG_VIDEO_CADENCE_CSI2TX=3Dm
+CONFIG_VIDEO_ASPEED=3Dm
+CONFIG_V4L_MEM2MEM_DRIVERS=3Dy
+CONFIG_VIDEO_MEM2MEM_DEINTERLACE=3Dm
+CONFIG_VIDEO_SH_VEU=3Dm
+CONFIG_V4L_TEST_DRIVERS=3Dy
+# CONFIG_VIDEO_VIMC is not set
+CONFIG_VIDEO_VIVID=3Dm
+CONFIG_VIDEO_VIVID_CEC=3Dy
+CONFIG_VIDEO_VIVID_MAX_DEVS=3D64
+CONFIG_VIDEO_VIM2M=3Dm
+CONFIG_VIDEO_VICODEC=3Dm
+CONFIG_DVB_PLATFORM_DRIVERS=3Dy
+CONFIG_CEC_PLATFORM_DRIVERS=3Dy
+CONFIG_VIDEO_CROS_EC_CEC=3Dm
+CONFIG_VIDEO_SECO_CEC=3Dm
+# CONFIG_VIDEO_SECO_RC is not set
+CONFIG_SDR_PLATFORM_DRIVERS=3Dy
+
+#
+# Supported MMC/SDIO adapters
+#
+CONFIG_SMS_SDIO_DRV=3Dm
+CONFIG_RADIO_ADAPTERS=3Dy
+CONFIG_RADIO_TEA575X=3Dm
+CONFIG_RADIO_SI470X=3Dm
+CONFIG_USB_SI470X=3Dm
+CONFIG_I2C_SI470X=3Dm
+CONFIG_RADIO_SI4713=3Dm
+CONFIG_USB_SI4713=3Dm
+CONFIG_PLATFORM_SI4713=3Dm
+CONFIG_I2C_SI4713=3Dm
+CONFIG_RADIO_SI476X=3Dm
+CONFIG_USB_MR800=3Dm
+CONFIG_USB_DSBR=3Dm
+CONFIG_RADIO_MAXIRADIO=3Dm
+CONFIG_RADIO_SHARK=3Dm
+CONFIG_RADIO_SHARK2=3Dm
+CONFIG_USB_KEENE=3Dm
+CONFIG_USB_RAREMONO=3Dm
+CONFIG_USB_MA901=3Dm
+CONFIG_RADIO_TEA5764=3Dm
+CONFIG_RADIO_SAA7706H=3Dm
+CONFIG_RADIO_TEF6862=3Dm
+CONFIG_RADIO_WL1273=3Dm
+
+#
+# Texas Instruments WL128x FM driver (ST based)
+#
+CONFIG_RADIO_WL128X=3Dm
+# end of Texas Instruments WL128x FM driver (ST based)
+
+#
+# Supported FireWire (IEEE 1394) Adapters
+#
+CONFIG_DVB_FIREDTV=3Dm
+CONFIG_DVB_FIREDTV_INPUT=3Dy
+CONFIG_MEDIA_COMMON_OPTIONS=3Dy
+
+#
+# common driver options
+#
+CONFIG_VIDEO_CX2341X=3Dm
+CONFIG_VIDEO_TVEEPROM=3Dm
+CONFIG_CYPRESS_FIRMWARE=3Dm
+CONFIG_VIDEOBUF2_CORE=3Dm
+CONFIG_VIDEOBUF2_V4L2=3Dm
+CONFIG_VIDEOBUF2_MEMOPS=3Dm
+CONFIG_VIDEOBUF2_DMA_CONTIG=3Dm
+CONFIG_VIDEOBUF2_VMALLOC=3Dm
+CONFIG_VIDEOBUF2_DMA_SG=3Dm
+CONFIG_VIDEOBUF2_DVB=3Dm
+CONFIG_DVB_B2C2_FLEXCOP=3Dm
+CONFIG_VIDEO_SAA7146=3Dm
+CONFIG_VIDEO_SAA7146_VV=3Dm
+CONFIG_SMS_SIANO_MDTV=3Dm
+CONFIG_SMS_SIANO_RC=3Dy
+CONFIG_SMS_SIANO_DEBUGFS=3Dy
+CONFIG_VIDEO_V4L2_TPG=3Dm
+
+#
+# Media ancillary drivers (tuners, sensors, i2c, spi, frontends)
+#
+CONFIG_MEDIA_SUBDRV_AUTOSELECT=3Dy
+CONFIG_MEDIA_ATTACH=3Dy
+CONFIG_VIDEO_IR_I2C=3Dm
+
+#
+# I2C Encoders, decoders, sensors and other helper chips
+#
+
+#
+# Audio decoders, processors and mixers
+#
+CONFIG_VIDEO_TVAUDIO=3Dm
+CONFIG_VIDEO_TDA7432=3Dm
+CONFIG_VIDEO_TDA9840=3Dm
+CONFIG_VIDEO_TDA1997X=3Dm
+CONFIG_VIDEO_TEA6415C=3Dm
+CONFIG_VIDEO_TEA6420=3Dm
+CONFIG_VIDEO_MSP3400=3Dm
+CONFIG_VIDEO_CS3308=3Dm
+CONFIG_VIDEO_CS5345=3Dm
+CONFIG_VIDEO_CS53L32A=3Dm
+CONFIG_VIDEO_TLV320AIC23B=3Dm
+CONFIG_VIDEO_UDA1342=3Dm
+CONFIG_VIDEO_WM8775=3Dm
+CONFIG_VIDEO_WM8739=3Dm
+CONFIG_VIDEO_VP27SMPX=3Dm
+CONFIG_VIDEO_SONY_BTF_MPX=3Dm
+
+#
+# RDS decoders
+#
+CONFIG_VIDEO_SAA6588=3Dm
+
+#
+# Video decoders
+#
+CONFIG_VIDEO_ADV7180=3Dm
+CONFIG_VIDEO_ADV7183=3Dm
+CONFIG_VIDEO_ADV7604=3Dm
+CONFIG_VIDEO_ADV7604_CEC=3Dy
+CONFIG_VIDEO_ADV7842=3Dm
+CONFIG_VIDEO_ADV7842_CEC=3Dy
+CONFIG_VIDEO_BT819=3Dm
+CONFIG_VIDEO_BT856=3Dm
+CONFIG_VIDEO_BT866=3Dm
+CONFIG_VIDEO_KS0127=3Dm
+CONFIG_VIDEO_ML86V7667=3Dm
+CONFIG_VIDEO_SAA7110=3Dm
+CONFIG_VIDEO_SAA711X=3Dm
+CONFIG_VIDEO_TC358743=3Dm
+CONFIG_VIDEO_TC358743_CEC=3Dy
+CONFIG_VIDEO_TVP514X=3Dm
+CONFIG_VIDEO_TVP5150=3Dm
+CONFIG_VIDEO_TVP7002=3Dm
+CONFIG_VIDEO_TW2804=3Dm
+CONFIG_VIDEO_TW9903=3Dm
+CONFIG_VIDEO_TW9906=3Dm
+CONFIG_VIDEO_TW9910=3Dm
+CONFIG_VIDEO_VPX3220=3Dm
+
+#
+# Video and audio decoders
+#
+CONFIG_VIDEO_SAA717X=3Dm
+CONFIG_VIDEO_CX25840=3Dm
+
+#
+# Video encoders
+#
+CONFIG_VIDEO_SAA7127=3Dm
+CONFIG_VIDEO_SAA7185=3Dm
+CONFIG_VIDEO_ADV7170=3Dm
+CONFIG_VIDEO_ADV7175=3Dm
+CONFIG_VIDEO_ADV7343=3Dm
+CONFIG_VIDEO_ADV7393=3Dm
+CONFIG_VIDEO_ADV7511=3Dm
+CONFIG_VIDEO_ADV7511_CEC=3Dy
+CONFIG_VIDEO_AD9389B=3Dm
+CONFIG_VIDEO_AK881X=3Dm
+CONFIG_VIDEO_THS8200=3Dm
+
+#
+# Camera sensor devices
+#
+CONFIG_VIDEO_APTINA_PLL=3Dm
+CONFIG_VIDEO_SMIAPP_PLL=3Dm
+CONFIG_VIDEO_IMX214=3Dm
+CONFIG_VIDEO_IMX258=3Dm
+CONFIG_VIDEO_IMX274=3Dm
+CONFIG_VIDEO_IMX319=3Dm
+CONFIG_VIDEO_IMX355=3Dm
+CONFIG_VIDEO_OV2640=3Dm
+CONFIG_VIDEO_OV2659=3Dm
+CONFIG_VIDEO_OV2680=3Dm
+CONFIG_VIDEO_OV2685=3Dm
+CONFIG_VIDEO_OV5647=3Dm
+CONFIG_VIDEO_OV6650=3Dm
+CONFIG_VIDEO_OV5670=3Dm
+CONFIG_VIDEO_OV5675=3Dm
+CONFIG_VIDEO_OV5695=3Dm
+CONFIG_VIDEO_OV7251=3Dm
+CONFIG_VIDEO_OV772X=3Dm
+CONFIG_VIDEO_OV7640=3Dm
+CONFIG_VIDEO_OV7670=3Dm
+CONFIG_VIDEO_OV7740=3Dm
+CONFIG_VIDEO_OV8856=3Dm
+CONFIG_VIDEO_OV9640=3Dm
+CONFIG_VIDEO_OV9650=3Dm
+CONFIG_VIDEO_OV13858=3Dm
+CONFIG_VIDEO_VS6624=3Dm
+CONFIG_VIDEO_MT9M001=3Dm
+CONFIG_VIDEO_MT9M032=3Dm
+CONFIG_VIDEO_MT9M111=3Dm
+CONFIG_VIDEO_MT9P031=3Dm
+CONFIG_VIDEO_MT9T001=3Dm
+CONFIG_VIDEO_MT9T112=3Dm
+CONFIG_VIDEO_MT9V011=3Dm
+CONFIG_VIDEO_MT9V032=3Dm
+CONFIG_VIDEO_MT9V111=3Dm
+CONFIG_VIDEO_SR030PC30=3Dm
+CONFIG_VIDEO_NOON010PC30=3Dm
+CONFIG_VIDEO_M5MOLS=3Dm
+CONFIG_VIDEO_RJ54N1=3Dm
+CONFIG_VIDEO_S5K6AA=3Dm
+CONFIG_VIDEO_S5K6A3=3Dm
+CONFIG_VIDEO_S5K4ECGX=3Dm
+CONFIG_VIDEO_S5K5BAF=3Dm
+CONFIG_VIDEO_SMIAPP=3Dm
+CONFIG_VIDEO_ET8EK8=3Dm
+CONFIG_VIDEO_S5C73M3=3Dm
+
+#
+# Lens drivers
+#
+CONFIG_VIDEO_AD5820=3Dm
+CONFIG_VIDEO_AK7375=3Dm
+CONFIG_VIDEO_DW9714=3Dm
+CONFIG_VIDEO_DW9807_VCM=3Dm
+
+#
+# Flash devices
+#
+CONFIG_VIDEO_ADP1653=3Dm
+CONFIG_VIDEO_LM3560=3Dm
+CONFIG_VIDEO_LM3646=3Dm
+
+#
+# Video improvement chips
+#
+CONFIG_VIDEO_UPD64031A=3Dm
+CONFIG_VIDEO_UPD64083=3Dm
+
+#
+# Audio/Video compression chips
+#
+CONFIG_VIDEO_SAA6752HS=3Dm
+
+#
+# SDR tuner chips
+#
+CONFIG_SDR_MAX2175=3Dm
+
+#
+# Miscellaneous helper chips
+#
+CONFIG_VIDEO_THS7303=3Dm
+CONFIG_VIDEO_M52790=3Dm
+CONFIG_VIDEO_I2C=3Dm
+CONFIG_VIDEO_ST_MIPID02=3Dm
+# end of I2C Encoders, decoders, sensors and other helper chips
+
+#
+# SPI helper chips
+#
+CONFIG_VIDEO_GS1662=3Dm
+# end of SPI helper chips
+
+#
+# Media SPI Adapters
+#
+CONFIG_CXD2880_SPI_DRV=3Dm
+# end of Media SPI Adapters
+
+CONFIG_MEDIA_TUNER=3Dm
+
+#
+# Customize TV tuners
+#
+CONFIG_MEDIA_TUNER_SIMPLE=3Dm
+CONFIG_MEDIA_TUNER_TDA18250=3Dm
+CONFIG_MEDIA_TUNER_TDA8290=3Dm
+CONFIG_MEDIA_TUNER_TDA827X=3Dm
+CONFIG_MEDIA_TUNER_TDA18271=3Dm
+CONFIG_MEDIA_TUNER_TDA9887=3Dm
+CONFIG_MEDIA_TUNER_TEA5761=3Dm
+CONFIG_MEDIA_TUNER_TEA5767=3Dm
+CONFIG_MEDIA_TUNER_MSI001=3Dm
+CONFIG_MEDIA_TUNER_MT20XX=3Dm
+CONFIG_MEDIA_TUNER_MT2060=3Dm
+CONFIG_MEDIA_TUNER_MT2063=3Dm
+CONFIG_MEDIA_TUNER_MT2266=3Dm
+CONFIG_MEDIA_TUNER_MT2131=3Dm
+CONFIG_MEDIA_TUNER_QT1010=3Dm
+CONFIG_MEDIA_TUNER_XC2028=3Dm
+CONFIG_MEDIA_TUNER_XC5000=3Dm
+CONFIG_MEDIA_TUNER_XC4000=3Dm
+CONFIG_MEDIA_TUNER_MXL5005S=3Dm
+CONFIG_MEDIA_TUNER_MXL5007T=3Dm
+CONFIG_MEDIA_TUNER_MC44S803=3Dm
+CONFIG_MEDIA_TUNER_MAX2165=3Dm
+CONFIG_MEDIA_TUNER_TDA18218=3Dm
+CONFIG_MEDIA_TUNER_FC0011=3Dm
+CONFIG_MEDIA_TUNER_FC0012=3Dm
+CONFIG_MEDIA_TUNER_FC0013=3Dm
+CONFIG_MEDIA_TUNER_TDA18212=3Dm
+CONFIG_MEDIA_TUNER_E4000=3Dm
+CONFIG_MEDIA_TUNER_FC2580=3Dm
+CONFIG_MEDIA_TUNER_M88RS6000T=3Dm
+CONFIG_MEDIA_TUNER_TUA9001=3Dm
+CONFIG_MEDIA_TUNER_SI2157=3Dm
+CONFIG_MEDIA_TUNER_IT913X=3Dm
+CONFIG_MEDIA_TUNER_R820T=3Dm
+CONFIG_MEDIA_TUNER_MXL301RF=3Dm
+CONFIG_MEDIA_TUNER_QM1D1C0042=3Dm
+CONFIG_MEDIA_TUNER_QM1D1B0004=3Dm
+# end of Customize TV tuners
+
+#
+# Customise DVB Frontends
+#
+
+#
+# Multistandard (satellite) frontends
+#
+CONFIG_DVB_STB0899=3Dm
+CONFIG_DVB_STB6100=3Dm
+CONFIG_DVB_STV090x=3Dm
+CONFIG_DVB_STV0910=3Dm
+CONFIG_DVB_STV6110x=3Dm
+CONFIG_DVB_STV6111=3Dm
+CONFIG_DVB_MXL5XX=3Dm
+CONFIG_DVB_M88DS3103=3Dm
+
+#
+# Multistandard (cable + terrestrial) frontends
+#
+CONFIG_DVB_DRXK=3Dm
+CONFIG_DVB_TDA18271C2DD=3Dm
+CONFIG_DVB_SI2165=3Dm
+CONFIG_DVB_MN88472=3Dm
+CONFIG_DVB_MN88473=3Dm
+
+#
+# DVB-S (satellite) frontends
+#
+CONFIG_DVB_CX24110=3Dm
+CONFIG_DVB_CX24123=3Dm
+CONFIG_DVB_MT312=3Dm
+CONFIG_DVB_ZL10036=3Dm
+CONFIG_DVB_ZL10039=3Dm
+CONFIG_DVB_S5H1420=3Dm
+CONFIG_DVB_STV0288=3Dm
+CONFIG_DVB_STB6000=3Dm
+CONFIG_DVB_STV0299=3Dm
+CONFIG_DVB_STV6110=3Dm
+CONFIG_DVB_STV0900=3Dm
+CONFIG_DVB_TDA8083=3Dm
+CONFIG_DVB_TDA10086=3Dm
+CONFIG_DVB_TDA8261=3Dm
+CONFIG_DVB_VES1X93=3Dm
+CONFIG_DVB_TUNER_ITD1000=3Dm
+CONFIG_DVB_TUNER_CX24113=3Dm
+CONFIG_DVB_TDA826X=3Dm
+CONFIG_DVB_TUA6100=3Dm
+CONFIG_DVB_CX24116=3Dm
+CONFIG_DVB_CX24117=3Dm
+CONFIG_DVB_CX24120=3Dm
+CONFIG_DVB_SI21XX=3Dm
+CONFIG_DVB_TS2020=3Dm
+CONFIG_DVB_DS3000=3Dm
+CONFIG_DVB_MB86A16=3Dm
+CONFIG_DVB_TDA10071=3Dm
+
+#
+# DVB-T (terrestrial) frontends
+#
+CONFIG_DVB_SP8870=3Dm
+CONFIG_DVB_SP887X=3Dm
+CONFIG_DVB_CX22700=3Dm
+CONFIG_DVB_CX22702=3Dm
+CONFIG_DVB_S5H1432=3Dm
+CONFIG_DVB_DRXD=3Dm
+CONFIG_DVB_L64781=3Dm
+CONFIG_DVB_TDA1004X=3Dm
+CONFIG_DVB_NXT6000=3Dm
+CONFIG_DVB_MT352=3Dm
+CONFIG_DVB_ZL10353=3Dm
+CONFIG_DVB_DIB3000MB=3Dm
+CONFIG_DVB_DIB3000MC=3Dm
+CONFIG_DVB_DIB7000M=3Dm
+CONFIG_DVB_DIB7000P=3Dm
+CONFIG_DVB_DIB9000=3Dm
+CONFIG_DVB_TDA10048=3Dm
+CONFIG_DVB_AF9013=3Dm
+CONFIG_DVB_EC100=3Dm
+CONFIG_DVB_STV0367=3Dm
+CONFIG_DVB_CXD2820R=3Dm
+CONFIG_DVB_CXD2841ER=3Dm
+CONFIG_DVB_RTL2830=3Dm
+CONFIG_DVB_RTL2832=3Dm
+CONFIG_DVB_RTL2832_SDR=3Dm
+CONFIG_DVB_SI2168=3Dm
+CONFIG_DVB_AS102_FE=3Dm
+CONFIG_DVB_ZD1301_DEMOD=3Dm
+CONFIG_DVB_GP8PSK_FE=3Dm
+CONFIG_DVB_CXD2880=3Dm
+
+#
+# DVB-C (cable) frontends
+#
+CONFIG_DVB_VES1820=3Dm
+CONFIG_DVB_TDA10021=3Dm
+CONFIG_DVB_TDA10023=3Dm
+CONFIG_DVB_STV0297=3Dm
+
+#
+# ATSC (North American/Korean Terrestrial/Cable DTV) frontends
+#
+CONFIG_DVB_NXT200X=3Dm
+CONFIG_DVB_OR51211=3Dm
+CONFIG_DVB_OR51132=3Dm
+CONFIG_DVB_BCM3510=3Dm
+CONFIG_DVB_LGDT330X=3Dm
+CONFIG_DVB_LGDT3305=3Dm
+CONFIG_DVB_LGDT3306A=3Dm
+CONFIG_DVB_LG2160=3Dm
+CONFIG_DVB_S5H1409=3Dm
+CONFIG_DVB_AU8522=3Dm
+CONFIG_DVB_AU8522_DTV=3Dm
+CONFIG_DVB_AU8522_V4L=3Dm
+CONFIG_DVB_S5H1411=3Dm
+
+#
+# ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_S921=3Dm
+CONFIG_DVB_DIB8000=3Dm
+CONFIG_DVB_MB86A20S=3Dm
+
+#
+# ISDB-S (satellite) & ISDB-T (terrestrial) frontends
+#
+CONFIG_DVB_TC90522=3Dm
+CONFIG_DVB_MN88443X=3Dm
+
+#
+# Digital terrestrial only tuners/PLL
+#
+CONFIG_DVB_PLL=3Dm
+CONFIG_DVB_TUNER_DIB0070=3Dm
+CONFIG_DVB_TUNER_DIB0090=3Dm
+
+#
+# SEC control devices for DVB-S
+#
+CONFIG_DVB_DRX39XYJ=3Dm
+CONFIG_DVB_LNBH25=3Dm
+CONFIG_DVB_LNBH29=3Dm
+CONFIG_DVB_LNBP21=3Dm
+CONFIG_DVB_LNBP22=3Dm
+CONFIG_DVB_ISL6405=3Dm
+CONFIG_DVB_ISL6421=3Dm
+CONFIG_DVB_ISL6423=3Dm
+CONFIG_DVB_A8293=3Dm
+CONFIG_DVB_LGS8GL5=3Dm
+CONFIG_DVB_LGS8GXX=3Dm
+CONFIG_DVB_ATBM8830=3Dm
+CONFIG_DVB_TDA665x=3Dm
+CONFIG_DVB_IX2505V=3Dm
+CONFIG_DVB_M88RS2000=3Dm
+CONFIG_DVB_AF9033=3Dm
+CONFIG_DVB_HORUS3A=3Dm
+CONFIG_DVB_ASCOT2E=3Dm
+CONFIG_DVB_HELENE=3Dm
+
+#
+# Common Interface (EN50221) controller drivers
+#
+CONFIG_DVB_CXD2099=3Dm
+CONFIG_DVB_SP2=3Dm
+
+#
+# Tools to develop new frontends
+#
+CONFIG_DVB_DUMMY_FE=3Dm
+# end of Customise DVB Frontends
+
+#
+# Graphics support
+#
+CONFIG_AGP=3Dy
+CONFIG_AGP_AMD64=3Dy
+CONFIG_AGP_INTEL=3Dy
+CONFIG_AGP_SIS=3Dm
+CONFIG_AGP_VIA=3Dy
+CONFIG_INTEL_GTT=3Dy
+CONFIG_VGA_ARB=3Dy
+CONFIG_VGA_ARB_MAX_GPUS=3D16
+CONFIG_VGA_SWITCHEROO=3Dy
+CONFIG_DRM=3Dm
+CONFIG_DRM_MIPI_DBI=3Dm
+CONFIG_DRM_MIPI_DSI=3Dy
+# CONFIG_DRM_DP_AUX_CHARDEV is not set
+# CONFIG_DRM_DEBUG_SELFTEST is not set
+CONFIG_DRM_KMS_HELPER=3Dm
+CONFIG_DRM_KMS_FB_HELPER=3Dy
+CONFIG_DRM_FBDEV_EMULATION=3Dy
+CONFIG_DRM_FBDEV_OVERALLOC=3D100
+# CONFIG_DRM_FBDEV_LEAK_PHYS_SMEM is not set
+CONFIG_DRM_LOAD_EDID_FIRMWARE=3Dy
+# CONFIG_DRM_DP_CEC is not set
+CONFIG_DRM_TTM=3Dm
+CONFIG_DRM_VRAM_HELPER=3Dm
+CONFIG_DRM_GEM_CMA_HELPER=3Dy
+CONFIG_DRM_KMS_CMA_HELPER=3Dy
+CONFIG_DRM_GEM_SHMEM_HELPER=3Dy
+CONFIG_DRM_SCHED=3Dm
+
+#
+# I2C encoder or helper chips
+#
+CONFIG_DRM_I2C_CH7006=3Dm
+CONFIG_DRM_I2C_SIL164=3Dm
+CONFIG_DRM_I2C_NXP_TDA998X=3Dm
+CONFIG_DRM_I2C_NXP_TDA9950=3Dm
+# end of I2C encoder or helper chips
+
+#
+# ARM devices
+#
+# end of ARM devices
+
+CONFIG_DRM_RADEON=3Dm
+# CONFIG_DRM_RADEON_USERPTR is not set
+CONFIG_DRM_AMDGPU=3Dm
+# CONFIG_DRM_AMDGPU_SI is not set
+# CONFIG_DRM_AMDGPU_CIK is not set
+CONFIG_DRM_AMDGPU_USERPTR=3Dy
+# CONFIG_DRM_AMDGPU_GART_DEBUGFS is not set
+
+#
+# ACP (Audio CoProcessor) Configuration
+#
+# CONFIG_DRM_AMD_ACP is not set
+# end of ACP (Audio CoProcessor) Configuration
+
+#
+# Display Engine Configuration
+#
+CONFIG_DRM_AMD_DC=3Dy
+CONFIG_DRM_AMD_DC_DCN1_0=3Dy
+CONFIG_DRM_AMD_DC_DCN2_0=3Dy
+CONFIG_DRM_AMD_DC_DCN2_1=3Dy
+CONFIG_DRM_AMD_DC_DSC_SUPPORT=3Dy
+# CONFIG_DEBUG_KERNEL_DC is not set
+# end of Display Engine Configuration
+
+# CONFIG_HSA_AMD is not set
+CONFIG_DRM_NOUVEAU=3Dm
+# CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT is not set
+CONFIG_NOUVEAU_DEBUG=3D5
+CONFIG_NOUVEAU_DEBUG_DEFAULT=3D3
+# CONFIG_NOUVEAU_DEBUG_MMU is not set
+CONFIG_DRM_NOUVEAU_BACKLIGHT=3Dy
+CONFIG_DRM_I915=3Dm
+# CONFIG_DRM_I915_ALPHA_SUPPORT is not set
+CONFIG_DRM_I915_FORCE_PROBE=3D""
+CONFIG_DRM_I915_CAPTURE_ERROR=3Dy
+CONFIG_DRM_I915_COMPRESS_ERROR=3Dy
+CONFIG_DRM_I915_USERPTR=3Dy
+# CONFIG_DRM_I915_GVT is not set
+
+#
+# drm/i915 Debugging
+#
+# CONFIG_DRM_I915_WERROR is not set
+# CONFIG_DRM_I915_DEBUG is not set
+# CONFIG_DRM_I915_DEBUG_MMIO is not set
+# CONFIG_DRM_I915_SW_FENCE_DEBUG_OBJECTS is not set
+# CONFIG_DRM_I915_SW_FENCE_CHECK_DAG is not set
+# CONFIG_DRM_I915_DEBUG_GUC is not set
+# CONFIG_DRM_I915_SELFTEST is not set
+# CONFIG_DRM_I915_LOW_LEVEL_TRACEPOINTS is not set
+# CONFIG_DRM_I915_DEBUG_VBLANK_EVADE is not set
+# CONFIG_DRM_I915_DEBUG_RUNTIME_PM is not set
+# end of drm/i915 Debugging
+
+#
+# drm/i915 Profile Guided Optimisation
+#
+CONFIG_DRM_I915_USERFAULT_AUTOSUSPEND=3D250
+CONFIG_DRM_I915_SPIN_REQUEST=3D5
+# end of drm/i915 Profile Guided Optimisation
+
+CONFIG_DRM_VGEM=3Dm
+# CONFIG_DRM_VKMS is not set
+CONFIG_DRM_VMWGFX=3Dm
+CONFIG_DRM_VMWGFX_FBCON=3Dy
+CONFIG_DRM_GMA500=3Dm
+CONFIG_DRM_GMA600=3Dy
+CONFIG_DRM_GMA3600=3Dy
+CONFIG_DRM_UDL=3Dm
+CONFIG_DRM_AST=3Dm
+# CONFIG_DRM_MGAG200 is not set
+CONFIG_DRM_CIRRUS_QEMU=3Dm
+CONFIG_DRM_QXL=3Dm
+CONFIG_DRM_BOCHS=3Dm
+CONFIG_DRM_VIRTIO_GPU=3Dm
+CONFIG_DRM_PANEL=3Dy
+
+#
+# Display Panels
+#
+# CONFIG_DRM_PANEL_RASPBERRYPI_TOUCHSCREEN is not set
+# end of Display Panels
+
+CONFIG_DRM_BRIDGE=3Dy
+CONFIG_DRM_PANEL_BRIDGE=3Dy
+
+#
+# Display Interface Bridges
+#
+CONFIG_DRM_ANALOGIX_ANX78XX=3Dm
+# end of Display Interface Bridges
+
+# CONFIG_DRM_ETNAVIV is not set
+CONFIG_DRM_GM12U320=3Dm
+CONFIG_TINYDRM_HX8357D=3Dm
+CONFIG_TINYDRM_ILI9225=3Dm
+CONFIG_TINYDRM_ILI9341=3Dm
+CONFIG_TINYDRM_MI0283QT=3Dm
+CONFIG_TINYDRM_REPAPER=3Dm
+CONFIG_TINYDRM_ST7586=3Dm
+CONFIG_TINYDRM_ST7735R=3Dm
+CONFIG_DRM_XEN=3Dy
+CONFIG_DRM_XEN_FRONTEND=3Dm
+CONFIG_DRM_VBOXVIDEO=3Dm
+# CONFIG_DRM_LEGACY is not set
+CONFIG_DRM_PANEL_ORIENTATION_QUIRKS=3Dy
+
+#
+# Frame buffer Devices
+#
+CONFIG_FB_CMDLINE=3Dy
+CONFIG_FB_NOTIFY=3Dy
+CONFIG_FB=3Dy
+CONFIG_FIRMWARE_EDID=3Dy
+CONFIG_FB_DDC=3Dm
+CONFIG_FB_BOOT_VESA_SUPPORT=3Dy
+CONFIG_FB_CFB_FILLRECT=3Dy
+CONFIG_FB_CFB_COPYAREA=3Dy
+CONFIG_FB_CFB_IMAGEBLIT=3Dy
+CONFIG_FB_SYS_FILLRECT=3Dm
+CONFIG_FB_SYS_COPYAREA=3Dm
+CONFIG_FB_SYS_IMAGEBLIT=3Dm
+# CONFIG_FB_FOREIGN_ENDIAN is not set
+CONFIG_FB_SYS_FOPS=3Dm
+CONFIG_FB_DEFERRED_IO=3Dy
+CONFIG_FB_HECUBA=3Dm
+CONFIG_FB_SVGALIB=3Dm
+CONFIG_FB_BACKLIGHT=3Dm
+CONFIG_FB_MODE_HELPERS=3Dy
+CONFIG_FB_TILEBLITTING=3Dy
+
+#
+# Frame buffer hardware drivers
+#
+CONFIG_FB_CIRRUS=3Dm
+CONFIG_FB_PM2=3Dm
+CONFIG_FB_PM2_FIFO_DISCONNECT=3Dy
+CONFIG_FB_CYBER2000=3Dm
+CONFIG_FB_CYBER2000_DDC=3Dy
+CONFIG_FB_ARC=3Dm
+CONFIG_FB_ASILIANT=3Dy
+CONFIG_FB_IMSTT=3Dy
+CONFIG_FB_VGA16=3Dm
+CONFIG_FB_UVESA=3Dm
+CONFIG_FB_VESA=3Dy
+CONFIG_FB_EFI=3Dy
+CONFIG_FB_N411=3Dm
+CONFIG_FB_HGA=3Dm
+CONFIG_FB_OPENCORES=3Dm
+CONFIG_FB_S1D13XXX=3Dm
+# CONFIG_FB_NVIDIA is not set
+CONFIG_FB_RIVA=3Dm
+CONFIG_FB_RIVA_I2C=3Dy
+# CONFIG_FB_RIVA_DEBUG is not set
+CONFIG_FB_RIVA_BACKLIGHT=3Dy
+CONFIG_FB_I740=3Dm
+CONFIG_FB_LE80578=3Dm
+CONFIG_FB_CARILLO_RANCH=3Dm
+CONFIG_FB_INTEL=3Dm
+# CONFIG_FB_INTEL_DEBUG is not set
+CONFIG_FB_INTEL_I2C=3Dy
+CONFIG_FB_MATROX=3Dm
+CONFIG_FB_MATROX_MILLENIUM=3Dy
+CONFIG_FB_MATROX_MYSTIQUE=3Dy
+CONFIG_FB_MATROX_G=3Dy
+CONFIG_FB_MATROX_I2C=3Dm
+CONFIG_FB_MATROX_MAVEN=3Dm
+CONFIG_FB_RADEON=3Dm
+CONFIG_FB_RADEON_I2C=3Dy
+CONFIG_FB_RADEON_BACKLIGHT=3Dy
+# CONFIG_FB_RADEON_DEBUG is not set
+CONFIG_FB_ATY128=3Dm
+CONFIG_FB_ATY128_BACKLIGHT=3Dy
+CONFIG_FB_ATY=3Dm
+CONFIG_FB_ATY_CT=3Dy
+# CONFIG_FB_ATY_GENERIC_LCD is not set
+CONFIG_FB_ATY_GX=3Dy
+CONFIG_FB_ATY_BACKLIGHT=3Dy
+CONFIG_FB_S3=3Dm
+CONFIG_FB_S3_DDC=3Dy
+CONFIG_FB_SAVAGE=3Dm
+CONFIG_FB_SAVAGE_I2C=3Dy
+# CONFIG_FB_SAVAGE_ACCEL is not set
+CONFIG_FB_SIS=3Dm
+CONFIG_FB_SIS_300=3Dy
+CONFIG_FB_SIS_315=3Dy
+CONFIG_FB_VIA=3Dm
+# CONFIG_FB_VIA_DIRECT_PROCFS is not set
+CONFIG_FB_VIA_X_COMPATIBILITY=3Dy
+CONFIG_FB_NEOMAGIC=3Dm
+CONFIG_FB_KYRO=3Dm
+CONFIG_FB_3DFX=3Dm
+# CONFIG_FB_3DFX_ACCEL is not set
+# CONFIG_FB_3DFX_I2C is not set
+CONFIG_FB_VOODOO1=3Dm
+CONFIG_FB_VT8623=3Dm
+CONFIG_FB_TRIDENT=3Dm
+CONFIG_FB_ARK=3Dm
+CONFIG_FB_PM3=3Dm
+CONFIG_FB_CARMINE=3Dm
+CONFIG_FB_CARMINE_DRAM_EVAL=3Dy
+# CONFIG_CARMINE_DRAM_CUSTOM is not set
+CONFIG_FB_SM501=3Dm
+CONFIG_FB_SMSCUFX=3Dm
+CONFIG_FB_UDL=3Dm
+CONFIG_FB_IBM_GXT4500=3Dm
+# CONFIG_FB_VIRTUAL is not set
+CONFIG_XEN_FBDEV_FRONTEND=3Dm
+CONFIG_FB_METRONOME=3Dm
+CONFIG_FB_MB862XX=3Dm
+CONFIG_FB_MB862XX_PCI_GDC=3Dy
+CONFIG_FB_MB862XX_I2C=3Dy
+CONFIG_FB_HYPERV=3Dm
+CONFIG_FB_SIMPLE=3Dy
+CONFIG_FB_SM712=3Dm
+# end of Frame buffer Devices
+
+#
+# Backlight & LCD device support
+#
+CONFIG_LCD_CLASS_DEVICE=3Dm
+CONFIG_LCD_L4F00242T03=3Dm
+CONFIG_LCD_LMS283GF05=3Dm
+CONFIG_LCD_LTV350QV=3Dm
+CONFIG_LCD_ILI922X=3Dm
+CONFIG_LCD_ILI9320=3Dm
+CONFIG_LCD_TDO24M=3Dm
+CONFIG_LCD_VGG2432A4=3Dm
+CONFIG_LCD_PLATFORM=3Dm
+CONFIG_LCD_AMS369FG06=3Dm
+CONFIG_LCD_LMS501KF03=3Dm
+CONFIG_LCD_HX8357=3Dm
+CONFIG_LCD_OTM3225A=3Dm
+CONFIG_BACKLIGHT_CLASS_DEVICE=3Dy
+CONFIG_BACKLIGHT_GENERIC=3Dm
+CONFIG_BACKLIGHT_LM3533=3Dm
+CONFIG_BACKLIGHT_CARILLO_RANCH=3Dm
+CONFIG_BACKLIGHT_PWM=3Dm
+CONFIG_BACKLIGHT_DA903X=3Dm
+CONFIG_BACKLIGHT_DA9052=3Dm
+CONFIG_BACKLIGHT_MAX8925=3Dm
+CONFIG_BACKLIGHT_APPLE=3Dm
+CONFIG_BACKLIGHT_PM8941_WLED=3Dm
+CONFIG_BACKLIGHT_SAHARA=3Dm
+CONFIG_BACKLIGHT_WM831X=3Dm
+CONFIG_BACKLIGHT_ADP5520=3Dm
+CONFIG_BACKLIGHT_ADP8860=3Dm
+CONFIG_BACKLIGHT_ADP8870=3Dm
+CONFIG_BACKLIGHT_88PM860X=3Dm
+CONFIG_BACKLIGHT_PCF50633=3Dm
+CONFIG_BACKLIGHT_AAT2870=3Dm
+CONFIG_BACKLIGHT_LM3630A=3Dm
+CONFIG_BACKLIGHT_LM3639=3Dm
+CONFIG_BACKLIGHT_LP855X=3Dm
+CONFIG_BACKLIGHT_LP8788=3Dm
+CONFIG_BACKLIGHT_PANDORA=3Dm
+CONFIG_BACKLIGHT_SKY81452=3Dm
+CONFIG_BACKLIGHT_AS3711=3Dm
+CONFIG_BACKLIGHT_GPIO=3Dm
+CONFIG_BACKLIGHT_LV5207LP=3Dm
+CONFIG_BACKLIGHT_BD6107=3Dm
+CONFIG_BACKLIGHT_ARCXCNN=3Dm
+CONFIG_BACKLIGHT_RAVE_SP=3Dm
+# end of Backlight & LCD device support
+
+CONFIG_VGASTATE=3Dm
+CONFIG_VIDEOMODE_HELPERS=3Dy
+CONFIG_HDMI=3Dy
+
+#
+# Console display driver support
+#
+CONFIG_VGA_CONSOLE=3Dy
+# CONFIG_VGACON_SOFT_SCROLLBACK is not set
+CONFIG_DUMMY_CONSOLE=3Dy
+CONFIG_DUMMY_CONSOLE_COLUMNS=3D80
+CONFIG_DUMMY_CONSOLE_ROWS=3D25
+CONFIG_FRAMEBUFFER_CONSOLE=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=3Dy
+CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=3Dy
+# CONFIG_FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER is not set
+# end of Console display driver support
+
+CONFIG_LOGO=3Dy
+# CONFIG_LOGO_LINUX_MONO is not set
+# CONFIG_LOGO_LINUX_VGA16 is not set
+# CONFIG_LOGO_LINUX_CLUT224 is not set
+# end of Graphics support
+
+CONFIG_SOUND=3Dm
+CONFIG_SOUND_OSS_CORE=3Dy
+# CONFIG_SOUND_OSS_CORE_PRECLAIM is not set
+CONFIG_SND=3Dm
+CONFIG_SND_TIMER=3Dm
+CONFIG_SND_PCM=3Dm
+CONFIG_SND_PCM_ELD=3Dy
+CONFIG_SND_PCM_IEC958=3Dy
+CONFIG_SND_DMAENGINE_PCM=3Dm
+CONFIG_SND_HWDEP=3Dm
+CONFIG_SND_SEQ_DEVICE=3Dm
+CONFIG_SND_RAWMIDI=3Dm
+CONFIG_SND_COMPRESS_OFFLOAD=3Dm
+CONFIG_SND_JACK=3Dy
+CONFIG_SND_JACK_INPUT_DEV=3Dy
+CONFIG_SND_OSSEMUL=3Dy
+CONFIG_SND_MIXER_OSS=3Dm
+CONFIG_SND_PCM_OSS=3Dm
+CONFIG_SND_PCM_OSS_PLUGINS=3Dy
+CONFIG_SND_PCM_TIMER=3Dy
+CONFIG_SND_HRTIMER=3Dm
+CONFIG_SND_DYNAMIC_MINORS=3Dy
+CONFIG_SND_MAX_CARDS=3D32
+CONFIG_SND_SUPPORT_OLD_API=3Dy
+CONFIG_SND_PROC_FS=3Dy
+CONFIG_SND_VERBOSE_PROCFS=3Dy
+# CONFIG_SND_VERBOSE_PRINTK is not set
+# CONFIG_SND_DEBUG is not set
+CONFIG_SND_VMASTER=3Dy
+CONFIG_SND_DMA_SGBUF=3Dy
+CONFIG_SND_SEQUENCER=3Dm
+CONFIG_SND_SEQ_DUMMY=3Dm
+# CONFIG_SND_SEQUENCER_OSS is not set
+CONFIG_SND_SEQ_HRTIMER_DEFAULT=3Dy
+CONFIG_SND_SEQ_MIDI_EVENT=3Dm
+CONFIG_SND_SEQ_MIDI=3Dm
+CONFIG_SND_SEQ_MIDI_EMUL=3Dm
+CONFIG_SND_SEQ_VIRMIDI=3Dm
+CONFIG_SND_MPU401_UART=3Dm
+CONFIG_SND_OPL3_LIB=3Dm
+CONFIG_SND_OPL3_LIB_SEQ=3Dm
+CONFIG_SND_VX_LIB=3Dm
+CONFIG_SND_AC97_CODEC=3Dm
+CONFIG_SND_DRIVERS=3Dy
+CONFIG_SND_PCSP=3Dm
+CONFIG_SND_DUMMY=3Dm
+CONFIG_SND_ALOOP=3Dm
+CONFIG_SND_VIRMIDI=3Dm
+CONFIG_SND_MTPAV=3Dm
+CONFIG_SND_MTS64=3Dm
+CONFIG_SND_SERIAL_U16550=3Dm
+CONFIG_SND_MPU401=3Dm
+CONFIG_SND_PORTMAN2X4=3Dm
+CONFIG_SND_AC97_POWER_SAVE=3Dy
+CONFIG_SND_AC97_POWER_SAVE_DEFAULT=3D0
+CONFIG_SND_SB_COMMON=3Dm
+CONFIG_SND_PCI=3Dy
+CONFIG_SND_AD1889=3Dm
+CONFIG_SND_ALS4000=3Dm
+CONFIG_SND_ASIHPI=3Dm
+CONFIG_SND_ATIIXP=3Dm
+CONFIG_SND_ATIIXP_MODEM=3Dm
+CONFIG_SND_AU8810=3Dm
+CONFIG_SND_AU8820=3Dm
+CONFIG_SND_AU8830=3Dm
+CONFIG_SND_AW2=3Dm
+CONFIG_SND_BT87X=3Dm
+# CONFIG_SND_BT87X_OVERCLOCK is not set
+CONFIG_SND_CA0106=3Dm
+CONFIG_SND_CMIPCI=3Dm
+CONFIG_SND_OXYGEN_LIB=3Dm
+CONFIG_SND_OXYGEN=3Dm
+CONFIG_SND_CS4281=3Dm
+CONFIG_SND_CS46XX=3Dm
+CONFIG_SND_CS46XX_NEW_DSP=3Dy
+CONFIG_SND_CTXFI=3Dm
+CONFIG_SND_DARLA20=3Dm
+CONFIG_SND_GINA20=3Dm
+CONFIG_SND_LAYLA20=3Dm
+CONFIG_SND_DARLA24=3Dm
+CONFIG_SND_GINA24=3Dm
+CONFIG_SND_LAYLA24=3Dm
+CONFIG_SND_MONA=3Dm
+CONFIG_SND_MIA=3Dm
+CONFIG_SND_ECHO3G=3Dm
+CONFIG_SND_INDIGO=3Dm
+CONFIG_SND_INDIGOIO=3Dm
+CONFIG_SND_INDIGODJ=3Dm
+CONFIG_SND_INDIGOIOX=3Dm
+CONFIG_SND_INDIGODJX=3Dm
+CONFIG_SND_ENS1370=3Dm
+CONFIG_SND_ENS1371=3Dm
+CONFIG_SND_FM801=3Dm
+CONFIG_SND_FM801_TEA575X_BOOL=3Dy
+CONFIG_SND_HDSP=3Dm
+CONFIG_SND_HDSPM=3Dm
+CONFIG_SND_ICE1724=3Dm
+CONFIG_SND_INTEL8X0=3Dm
+CONFIG_SND_INTEL8X0M=3Dm
+CONFIG_SND_KORG1212=3Dm
+CONFIG_SND_LOLA=3Dm
+CONFIG_SND_LX6464ES=3Dm
+CONFIG_SND_MIXART=3Dm
+CONFIG_SND_NM256=3Dm
+CONFIG_SND_PCXHR=3Dm
+CONFIG_SND_RIPTIDE=3Dm
+CONFIG_SND_RME32=3Dm
+CONFIG_SND_RME96=3Dm
+CONFIG_SND_RME9652=3Dm
+CONFIG_SND_VIA82XX=3Dm
+CONFIG_SND_VIA82XX_MODEM=3Dm
+CONFIG_SND_VIRTUOSO=3Dm
+CONFIG_SND_VX222=3Dm
+CONFIG_SND_YMFPCI=3Dm
+
+#
+# HD-Audio
+#
+CONFIG_SND_HDA=3Dm
+CONFIG_SND_HDA_INTEL=3Dm
+# CONFIG_SND_HDA_INTEL_DETECT_DMIC is not set
+CONFIG_SND_HDA_HWDEP=3Dy
+CONFIG_SND_HDA_RECONFIG=3Dy
+CONFIG_SND_HDA_INPUT_BEEP=3Dy
+CONFIG_SND_HDA_INPUT_BEEP_MODE=3D0
+CONFIG_SND_HDA_PATCH_LOADER=3Dy
+CONFIG_SND_HDA_CODEC_REALTEK=3Dm
+CONFIG_SND_HDA_CODEC_ANALOG=3Dm
+CONFIG_SND_HDA_CODEC_SIGMATEL=3Dm
+CONFIG_SND_HDA_CODEC_VIA=3Dm
+CONFIG_SND_HDA_CODEC_HDMI=3Dm
+CONFIG_SND_HDA_CODEC_CIRRUS=3Dm
+CONFIG_SND_HDA_CODEC_CONEXANT=3Dm
+CONFIG_SND_HDA_CODEC_CA0110=3Dm
+CONFIG_SND_HDA_CODEC_CA0132=3Dm
+CONFIG_SND_HDA_CODEC_CA0132_DSP=3Dy
+CONFIG_SND_HDA_CODEC_CMEDIA=3Dm
+CONFIG_SND_HDA_CODEC_SI3054=3Dm
+CONFIG_SND_HDA_GENERIC=3Dm
+CONFIG_SND_HDA_POWER_SAVE_DEFAULT=3D0
+# end of HD-Audio
+
+CONFIG_SND_HDA_CORE=3Dm
+CONFIG_SND_HDA_DSP_LOADER=3Dy
+CONFIG_SND_HDA_COMPONENT=3Dy
+CONFIG_SND_HDA_I915=3Dy
+CONFIG_SND_HDA_EXT_CORE=3Dm
+CONFIG_SND_HDA_PREALLOC_SIZE=3D64
+CONFIG_SND_INTEL_NHLT=3Dm
+CONFIG_SND_SPI=3Dy
+CONFIG_SND_USB=3Dy
+CONFIG_SND_USB_AUDIO=3Dm
+CONFIG_SND_USB_AUDIO_USE_MEDIA_CONTROLLER=3Dy
+CONFIG_SND_USB_UA101=3Dm
+CONFIG_SND_USB_USX2Y=3Dm
+CONFIG_SND_USB_CAIAQ=3Dm
+CONFIG_SND_USB_CAIAQ_INPUT=3Dy
+CONFIG_SND_USB_US122L=3Dm
+CONFIG_SND_USB_6FIRE=3Dm
+CONFIG_SND_USB_HIFACE=3Dm
+CONFIG_SND_BCD2000=3Dm
+CONFIG_SND_USB_LINE6=3Dm
+CONFIG_SND_USB_POD=3Dm
+CONFIG_SND_USB_PODHD=3Dm
+CONFIG_SND_USB_TONEPORT=3Dm
+CONFIG_SND_USB_VARIAX=3Dm
+CONFIG_SND_FIREWIRE=3Dy
+CONFIG_SND_FIREWIRE_LIB=3Dm
+CONFIG_SND_DICE=3Dm
+CONFIG_SND_OXFW=3Dm
+CONFIG_SND_ISIGHT=3Dm
+CONFIG_SND_FIREWORKS=3Dm
+CONFIG_SND_BEBOB=3Dm
+CONFIG_SND_FIREWIRE_DIGI00X=3Dm
+CONFIG_SND_FIREWIRE_TASCAM=3Dm
+CONFIG_SND_FIREWIRE_MOTU=3Dm
+CONFIG_SND_FIREFACE=3Dm
+CONFIG_SND_PCMCIA=3Dy
+CONFIG_SND_VXPOCKET=3Dm
+CONFIG_SND_PDAUDIOCF=3Dm
+CONFIG_SND_SOC=3Dm
+CONFIG_SND_SOC_AC97_BUS=3Dy
+CONFIG_SND_SOC_GENERIC_DMAENGINE_PCM=3Dy
+CONFIG_SND_SOC_COMPRESS=3Dy
+CONFIG_SND_SOC_TOPOLOGY=3Dy
+CONFIG_SND_SOC_ACPI=3Dm
+CONFIG_SND_SOC_AMD_ACP=3Dm
+CONFIG_SND_SOC_AMD_CZ_DA7219MX98357_MACH=3Dm
+CONFIG_SND_SOC_AMD_CZ_RT5645_MACH=3Dm
+CONFIG_SND_SOC_AMD_ACP3x=3Dm
+CONFIG_SND_ATMEL_SOC=3Dm
+CONFIG_SND_DESIGNWARE_I2S=3Dm
+# CONFIG_SND_DESIGNWARE_PCM is not set
+
+#
+# SoC Audio for Freescale CPUs
+#
+
+#
+# Common SoC Audio options for Freescale CPUs:
+#
+CONFIG_SND_SOC_FSL_ASRC=3Dm
+CONFIG_SND_SOC_FSL_SAI=3Dm
+CONFIG_SND_SOC_FSL_AUDMIX=3Dm
+CONFIG_SND_SOC_FSL_SSI=3Dm
+CONFIG_SND_SOC_FSL_SPDIF=3Dm
+CONFIG_SND_SOC_FSL_ESAI=3Dm
+CONFIG_SND_SOC_FSL_MICFIL=3Dm
+CONFIG_SND_SOC_IMX_AUDMUX=3Dm
+# end of SoC Audio for Freescale CPUs
+
+CONFIG_SND_I2S_HI6210_I2S=3Dm
+# CONFIG_SND_SOC_IMG is not set
+CONFIG_SND_SOC_INTEL_SST_TOPLEVEL=3Dy
+CONFIG_SND_SST_IPC=3Dm
+CONFIG_SND_SST_IPC_PCI=3Dm
+CONFIG_SND_SST_IPC_ACPI=3Dm
+CONFIG_SND_SOC_INTEL_SST_ACPI=3Dm
+CONFIG_SND_SOC_INTEL_SST=3Dm
+CONFIG_SND_SOC_INTEL_SST_FIRMWARE=3Dm
+CONFIG_SND_SOC_INTEL_HASWELL=3Dm
+CONFIG_SND_SST_ATOM_HIFI2_PLATFORM=3Dm
+CONFIG_SND_SST_ATOM_HIFI2_PLATFORM_PCI=3Dm
+CONFIG_SND_SST_ATOM_HIFI2_PLATFORM_ACPI=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE=3Dm
+CONFIG_SND_SOC_INTEL_SKL=3Dm
+CONFIG_SND_SOC_INTEL_APL=3Dm
+CONFIG_SND_SOC_INTEL_KBL=3Dm
+CONFIG_SND_SOC_INTEL_GLK=3Dm
+CONFIG_SND_SOC_INTEL_CNL=3Dm
+CONFIG_SND_SOC_INTEL_CFL=3Dm
+CONFIG_SND_SOC_INTEL_CML_H=3Dm
+CONFIG_SND_SOC_INTEL_CML_LP=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE_FAMILY=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE_SSP_CLK=3Dm
+CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC=3Dy
+CONFIG_SND_SOC_INTEL_SKYLAKE_COMMON=3Dm
+CONFIG_SND_SOC_ACPI_INTEL_MATCH=3Dm
+CONFIG_SND_SOC_INTEL_MACH=3Dy
+CONFIG_SND_SOC_INTEL_HASWELL_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BDW_RT5677_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BROADWELL_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYTCR_RT5640_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYTCR_RT5651_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_RT5672_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_RT5645_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_MAX98090_TI_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CHT_BSW_NAU8824_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_CX2072X_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_DA7213_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_ES8316_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BYT_CHT_NOCODEC_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_RT286_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_NAU88L25_SSM4567_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_NAU88L25_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_DA7219_MAX98357A_GENERIC=3Dm
+CONFIG_SND_SOC_INTEL_BXT_DA7219_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_BXT_RT298_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_RT5663_MAX98927_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_RT5663_RT5514_MAX98927_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_DA7219_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_DA7219_MAX98927_MACH=3Dm
+CONFIG_SND_SOC_INTEL_KBL_RT5660_MACH=3Dm
+CONFIG_SND_SOC_INTEL_GLK_RT5682_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SKL_HDA_DSP_GENERIC_MACH=3Dm
+CONFIG_SND_SOC_INTEL_SOF_RT5682_MACH=3Dm
+CONFIG_SND_SOC_INTEL_CML_LP_DA7219_MAX98357A_MACH=3Dm
+CONFIG_SND_SOC_MTK_BTCVSD=3Dm
+CONFIG_SND_SOC_SOF_TOPLEVEL=3Dy
+CONFIG_SND_SOC_SOF_PCI=3Dm
+CONFIG_SND_SOC_SOF_ACPI=3Dm
+CONFIG_SND_SOC_SOF_OPTIONS=3Dm
+# CONFIG_SND_SOC_SOF_NOCODEC_SUPPORT is not set
+# CONFIG_SND_SOC_SOF_STRICT_ABI_CHECKS is not set
+# CONFIG_SND_SOC_SOF_DEBUG is not set
+CONFIG_SND_SOC_SOF=3Dm
+CONFIG_SND_SOC_SOF_PROBE_WORK_QUEUE=3Dy
+CONFIG_SND_SOC_SOF_INTEL_TOPLEVEL=3Dy
+CONFIG_SND_SOC_SOF_INTEL_ACPI=3Dm
+CONFIG_SND_SOC_SOF_INTEL_PCI=3Dm
+CONFIG_SND_SOC_SOF_INTEL_HIFI_EP_IPC=3Dm
+CONFIG_SND_SOC_SOF_INTEL_ATOM_HIFI_EP=3Dm
+CONFIG_SND_SOC_SOF_INTEL_COMMON=3Dm
+CONFIG_SND_SOC_SOF_BAYTRAIL_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_BAYTRAIL=3Dm
+CONFIG_SND_SOC_SOF_BROADWELL_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_BROADWELL=3Dm
+CONFIG_SND_SOC_SOF_MERRIFIELD_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_MERRIFIELD=3Dm
+CONFIG_SND_SOC_SOF_APOLLOLAKE_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_APOLLOLAKE=3Dm
+CONFIG_SND_SOC_SOF_GEMINILAKE_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_GEMINILAKE=3Dm
+CONFIG_SND_SOC_SOF_CANNONLAKE_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_CANNONLAKE=3Dm
+CONFIG_SND_SOC_SOF_COFFEELAKE_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_COFFEELAKE=3Dm
+CONFIG_SND_SOC_SOF_ICELAKE_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_ICELAKE=3Dm
+CONFIG_SND_SOC_SOF_COMETLAKE_LP=3Dm
+CONFIG_SND_SOC_SOF_COMETLAKE_LP_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_COMETLAKE_H=3Dm
+CONFIG_SND_SOC_SOF_COMETLAKE_H_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_TIGERLAKE_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_TIGERLAKE=3Dm
+CONFIG_SND_SOC_SOF_ELKHARTLAKE_SUPPORT=3Dy
+CONFIG_SND_SOC_SOF_ELKHARTLAKE=3Dm
+CONFIG_SND_SOC_SOF_HDA_COMMON=3Dm
+CONFIG_SND_SOC_SOF_HDA_LINK=3Dy
+CONFIG_SND_SOC_SOF_HDA_AUDIO_CODEC=3Dy
+# CONFIG_SND_SOC_SOF_HDA_ALWAYS_ENABLE_DMI_L1 is not set
+CONFIG_SND_SOC_SOF_HDA_LINK_BASELINE=3Dm
+CONFIG_SND_SOC_SOF_HDA=3Dm
+CONFIG_SND_SOC_SOF_XTENSA=3Dm
+
+#
+# STMicroelectronics STM32 SOC audio support
+#
+# end of STMicroelectronics STM32 SOC audio support
+
+CONFIG_SND_SOC_XILINX_I2S=3Dm
+# CONFIG_SND_SOC_XILINX_AUDIO_FORMATTER is not set
+# CONFIG_SND_SOC_XILINX_SPDIF is not set
+CONFIG_SND_SOC_XTFPGA_I2S=3Dm
+CONFIG_ZX_TDM=3Dm
+CONFIG_SND_SOC_I2C_AND_SPI=3Dm
+
+#
+# CODEC drivers
+#
+CONFIG_SND_SOC_AC97_CODEC=3Dm
+CONFIG_SND_SOC_ADAU_UTILS=3Dm
+CONFIG_SND_SOC_ADAU1701=3Dm
+CONFIG_SND_SOC_ADAU17X1=3Dm
+CONFIG_SND_SOC_ADAU1761=3Dm
+CONFIG_SND_SOC_ADAU1761_I2C=3Dm
+CONFIG_SND_SOC_ADAU1761_SPI=3Dm
+CONFIG_SND_SOC_ADAU7002=3Dm
+CONFIG_SND_SOC_AK4104=3Dm
+CONFIG_SND_SOC_AK4118=3Dm
+CONFIG_SND_SOC_AK4458=3Dm
+CONFIG_SND_SOC_AK4554=3Dm
+CONFIG_SND_SOC_AK4613=3Dm
+CONFIG_SND_SOC_AK4642=3Dm
+CONFIG_SND_SOC_AK5386=3Dm
+CONFIG_SND_SOC_AK5558=3Dm
+CONFIG_SND_SOC_ALC5623=3Dm
+CONFIG_SND_SOC_BD28623=3Dm
+CONFIG_SND_SOC_BT_SCO=3Dm
+CONFIG_SND_SOC_CROS_EC_CODEC=3Dm
+CONFIG_SND_SOC_CS35L32=3Dm
+CONFIG_SND_SOC_CS35L33=3Dm
+CONFIG_SND_SOC_CS35L34=3Dm
+CONFIG_SND_SOC_CS35L35=3Dm
+CONFIG_SND_SOC_CS35L36=3Dm
+CONFIG_SND_SOC_CS42L42=3Dm
+CONFIG_SND_SOC_CS42L51=3Dm
+CONFIG_SND_SOC_CS42L51_I2C=3Dm
+CONFIG_SND_SOC_CS42L52=3Dm
+CONFIG_SND_SOC_CS42L56=3Dm
+CONFIG_SND_SOC_CS42L73=3Dm
+CONFIG_SND_SOC_CS4265=3Dm
+CONFIG_SND_SOC_CS4270=3Dm
+CONFIG_SND_SOC_CS4271=3Dm
+CONFIG_SND_SOC_CS4271_I2C=3Dm
+CONFIG_SND_SOC_CS4271_SPI=3Dm
+CONFIG_SND_SOC_CS42XX8=3Dm
+CONFIG_SND_SOC_CS42XX8_I2C=3Dm
+CONFIG_SND_SOC_CS43130=3Dm
+CONFIG_SND_SOC_CS4341=3Dm
+CONFIG_SND_SOC_CS4349=3Dm
+CONFIG_SND_SOC_CS53L30=3Dm
+CONFIG_SND_SOC_CX2072X=3Dm
+CONFIG_SND_SOC_DA7213=3Dm
+CONFIG_SND_SOC_DA7219=3Dm
+CONFIG_SND_SOC_DMIC=3Dm
+CONFIG_SND_SOC_HDMI_CODEC=3Dm
+CONFIG_SND_SOC_ES7134=3Dm
+CONFIG_SND_SOC_ES7241=3Dm
+CONFIG_SND_SOC_ES8316=3Dm
+CONFIG_SND_SOC_ES8328=3Dm
+CONFIG_SND_SOC_ES8328_I2C=3Dm
+CONFIG_SND_SOC_ES8328_SPI=3Dm
+CONFIG_SND_SOC_GTM601=3Dm
+CONFIG_SND_SOC_HDAC_HDMI=3Dm
+CONFIG_SND_SOC_HDAC_HDA=3Dm
+CONFIG_SND_SOC_INNO_RK3036=3Dm
+CONFIG_SND_SOC_MAX98088=3Dm
+CONFIG_SND_SOC_MAX98090=3Dm
+CONFIG_SND_SOC_MAX98357A=3Dm
+CONFIG_SND_SOC_MAX98504=3Dm
+CONFIG_SND_SOC_MAX9867=3Dm
+CONFIG_SND_SOC_MAX98927=3Dm
+CONFIG_SND_SOC_MAX98373=3Dm
+CONFIG_SND_SOC_MAX9860=3Dm
+CONFIG_SND_SOC_MSM8916_WCD_ANALOG=3Dm
+CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=3Dm
+CONFIG_SND_SOC_PCM1681=3Dm
+CONFIG_SND_SOC_PCM1789=3Dm
+CONFIG_SND_SOC_PCM1789_I2C=3Dm
+CONFIG_SND_SOC_PCM179X=3Dm
+CONFIG_SND_SOC_PCM179X_I2C=3Dm
+CONFIG_SND_SOC_PCM179X_SPI=3Dm
+CONFIG_SND_SOC_PCM186X=3Dm
+CONFIG_SND_SOC_PCM186X_I2C=3Dm
+CONFIG_SND_SOC_PCM186X_SPI=3Dm
+CONFIG_SND_SOC_PCM3060=3Dm
+CONFIG_SND_SOC_PCM3060_I2C=3Dm
+CONFIG_SND_SOC_PCM3060_SPI=3Dm
+CONFIG_SND_SOC_PCM3168A=3Dm
+CONFIG_SND_SOC_PCM3168A_I2C=3Dm
+CONFIG_SND_SOC_PCM3168A_SPI=3Dm
+CONFIG_SND_SOC_PCM512x=3Dm
+CONFIG_SND_SOC_PCM512x_I2C=3Dm
+CONFIG_SND_SOC_PCM512x_SPI=3Dm
+# CONFIG_SND_SOC_RK3328 is not set
+CONFIG_SND_SOC_RL6231=3Dm
+CONFIG_SND_SOC_RL6347A=3Dm
+CONFIG_SND_SOC_RT286=3Dm
+CONFIG_SND_SOC_RT298=3Dm
+CONFIG_SND_SOC_RT5514=3Dm
+CONFIG_SND_SOC_RT5514_SPI=3Dm
+CONFIG_SND_SOC_RT5616=3Dm
+CONFIG_SND_SOC_RT5631=3Dm
+CONFIG_SND_SOC_RT5640=3Dm
+CONFIG_SND_SOC_RT5645=3Dm
+CONFIG_SND_SOC_RT5651=3Dm
+CONFIG_SND_SOC_RT5660=3Dm
+CONFIG_SND_SOC_RT5663=3Dm
+CONFIG_SND_SOC_RT5670=3Dm
+CONFIG_SND_SOC_RT5677=3Dm
+CONFIG_SND_SOC_RT5677_SPI=3Dm
+CONFIG_SND_SOC_RT5682=3Dm
+CONFIG_SND_SOC_SGTL5000=3Dm
+CONFIG_SND_SOC_SI476X=3Dm
+CONFIG_SND_SOC_SIGMADSP=3Dm
+CONFIG_SND_SOC_SIGMADSP_I2C=3Dm
+CONFIG_SND_SOC_SIGMADSP_REGMAP=3Dm
+CONFIG_SND_SOC_SIMPLE_AMPLIFIER=3Dm
+CONFIG_SND_SOC_SIRF_AUDIO_CODEC=3Dm
+CONFIG_SND_SOC_SPDIF=3Dm
+CONFIG_SND_SOC_SSM2305=3Dm
+CONFIG_SND_SOC_SSM2602=3Dm
+CONFIG_SND_SOC_SSM2602_SPI=3Dm
+CONFIG_SND_SOC_SSM2602_I2C=3Dm
+CONFIG_SND_SOC_SSM4567=3Dm
+CONFIG_SND_SOC_STA32X=3Dm
+CONFIG_SND_SOC_STA350=3Dm
+CONFIG_SND_SOC_STI_SAS=3Dm
+CONFIG_SND_SOC_TAS2552=3Dm
+CONFIG_SND_SOC_TAS5086=3Dm
+CONFIG_SND_SOC_TAS571X=3Dm
+CONFIG_SND_SOC_TAS5720=3Dm
+CONFIG_SND_SOC_TAS6424=3Dm
+CONFIG_SND_SOC_TDA7419=3Dm
+CONFIG_SND_SOC_TFA9879=3Dm
+CONFIG_SND_SOC_TLV320AIC23=3Dm
+CONFIG_SND_SOC_TLV320AIC23_I2C=3Dm
+CONFIG_SND_SOC_TLV320AIC23_SPI=3Dm
+CONFIG_SND_SOC_TLV320AIC31XX=3Dm
+CONFIG_SND_SOC_TLV320AIC32X4=3Dm
+CONFIG_SND_SOC_TLV320AIC32X4_I2C=3Dm
+CONFIG_SND_SOC_TLV320AIC32X4_SPI=3Dm
+CONFIG_SND_SOC_TLV320AIC3X=3Dm
+CONFIG_SND_SOC_TS3A227E=3Dm
+CONFIG_SND_SOC_TSCS42XX=3Dm
+CONFIG_SND_SOC_TSCS454=3Dm
+CONFIG_SND_SOC_UDA1334=3Dm
+CONFIG_SND_SOC_WM8510=3Dm
+CONFIG_SND_SOC_WM8523=3Dm
+CONFIG_SND_SOC_WM8524=3Dm
+CONFIG_SND_SOC_WM8580=3Dm
+CONFIG_SND_SOC_WM8711=3Dm
+CONFIG_SND_SOC_WM8728=3Dm
+CONFIG_SND_SOC_WM8731=3Dm
+CONFIG_SND_SOC_WM8737=3Dm
+CONFIG_SND_SOC_WM8741=3Dm
+CONFIG_SND_SOC_WM8750=3Dm
+CONFIG_SND_SOC_WM8753=3Dm
+CONFIG_SND_SOC_WM8770=3Dm
+CONFIG_SND_SOC_WM8776=3Dm
+CONFIG_SND_SOC_WM8782=3Dm
+CONFIG_SND_SOC_WM8804=3Dm
+CONFIG_SND_SOC_WM8804_I2C=3Dm
+CONFIG_SND_SOC_WM8804_SPI=3Dm
+CONFIG_SND_SOC_WM8903=3Dm
+CONFIG_SND_SOC_WM8904=3Dm
+CONFIG_SND_SOC_WM8960=3Dm
+CONFIG_SND_SOC_WM8962=3Dm
+CONFIG_SND_SOC_WM8974=3Dm
+CONFIG_SND_SOC_WM8978=3Dm
+CONFIG_SND_SOC_WM8985=3Dm
+CONFIG_SND_SOC_ZX_AUD96P22=3Dm
+CONFIG_SND_SOC_MAX9759=3Dm
+CONFIG_SND_SOC_MT6351=3Dm
+CONFIG_SND_SOC_MT6358=3Dm
+CONFIG_SND_SOC_NAU8540=3Dm
+CONFIG_SND_SOC_NAU8810=3Dm
+CONFIG_SND_SOC_NAU8822=3Dm
+CONFIG_SND_SOC_NAU8824=3Dm
+CONFIG_SND_SOC_NAU8825=3Dm
+CONFIG_SND_SOC_TPA6130A2=3Dm
+# end of CODEC drivers
+
+CONFIG_SND_SIMPLE_CARD_UTILS=3Dm
+CONFIG_SND_SIMPLE_CARD=3Dm
+CONFIG_SND_X86=3Dy
+CONFIG_HDMI_LPE_AUDIO=3Dm
+CONFIG_SND_XEN_FRONTEND=3Dm
+CONFIG_AC97_BUS=3Dm
+
+#
+# HID support
+#
+CONFIG_HID=3Dm
+CONFIG_HID_BATTERY_STRENGTH=3Dy
+CONFIG_HIDRAW=3Dy
+CONFIG_UHID=3Dm
+CONFIG_HID_GENERIC=3Dm
+
+#
+# Special HID drivers
+#
+CONFIG_HID_A4TECH=3Dm
+CONFIG_HID_ACCUTOUCH=3Dm
+CONFIG_HID_ACRUX=3Dm
+CONFIG_HID_ACRUX_FF=3Dy
+CONFIG_HID_APPLE=3Dm
+CONFIG_HID_APPLEIR=3Dm
+CONFIG_HID_ASUS=3Dm
+CONFIG_HID_AUREAL=3Dm
+CONFIG_HID_BELKIN=3Dm
+CONFIG_HID_BETOP_FF=3Dm
+CONFIG_HID_BIGBEN_FF=3Dm
+CONFIG_HID_CHERRY=3Dm
+CONFIG_HID_CHICONY=3Dm
+CONFIG_HID_CORSAIR=3Dm
+CONFIG_HID_COUGAR=3Dm
+CONFIG_HID_MACALLY=3Dm
+CONFIG_HID_PRODIKEYS=3Dm
+CONFIG_HID_CMEDIA=3Dm
+CONFIG_HID_CP2112=3Dm
+CONFIG_HID_CREATIVE_SB0540=3Dm
+CONFIG_HID_CYPRESS=3Dm
+CONFIG_HID_DRAGONRISE=3Dm
+CONFIG_DRAGONRISE_FF=3Dy
+CONFIG_HID_EMS_FF=3Dm
+CONFIG_HID_ELAN=3Dm
+CONFIG_HID_ELECOM=3Dm
+CONFIG_HID_ELO=3Dm
+CONFIG_HID_EZKEY=3Dm
+CONFIG_HID_GEMBIRD=3Dm
+CONFIG_HID_GFRM=3Dm
+CONFIG_HID_HOLTEK=3Dm
+CONFIG_HOLTEK_FF=3Dy
+CONFIG_HID_GOOGLE_HAMMER=3Dm
+CONFIG_HID_GT683R=3Dm
+CONFIG_HID_KEYTOUCH=3Dm
+CONFIG_HID_KYE=3Dm
+CONFIG_HID_UCLOGIC=3Dm
+CONFIG_HID_WALTOP=3Dm
+CONFIG_HID_VIEWSONIC=3Dm
+CONFIG_HID_GYRATION=3Dm
+CONFIG_HID_ICADE=3Dm
+CONFIG_HID_ITE=3Dm
+CONFIG_HID_JABRA=3Dm
+CONFIG_HID_TWINHAN=3Dm
+CONFIG_HID_KENSINGTON=3Dm
+CONFIG_HID_LCPOWER=3Dm
+CONFIG_HID_LED=3Dm
+CONFIG_HID_LENOVO=3Dm
+CONFIG_HID_LOGITECH=3Dm
+CONFIG_HID_LOGITECH_DJ=3Dm
+CONFIG_HID_LOGITECH_HIDPP=3Dm
+CONFIG_LOGITECH_FF=3Dy
+CONFIG_LOGIRUMBLEPAD2_FF=3Dy
+CONFIG_LOGIG940_FF=3Dy
+CONFIG_LOGIWHEELS_FF=3Dy
+CONFIG_HID_MAGICMOUSE=3Dm
+CONFIG_HID_MALTRON=3Dm
+CONFIG_HID_MAYFLASH=3Dm
+CONFIG_HID_REDRAGON=3Dm
+CONFIG_HID_MICROSOFT=3Dm
+CONFIG_HID_MONTEREY=3Dm
+CONFIG_HID_MULTITOUCH=3Dm
+CONFIG_HID_NTI=3Dm
+CONFIG_HID_NTRIG=3Dm
+CONFIG_HID_ORTEK=3Dm
+CONFIG_HID_PANTHERLORD=3Dm
+CONFIG_PANTHERLORD_FF=3Dy
+CONFIG_HID_PENMOUNT=3Dm
+CONFIG_HID_PETALYNX=3Dm
+CONFIG_HID_PICOLCD=3Dm
+CONFIG_HID_PICOLCD_FB=3Dy
+CONFIG_HID_PICOLCD_BACKLIGHT=3Dy
+CONFIG_HID_PICOLCD_LCD=3Dy
+CONFIG_HID_PICOLCD_LEDS=3Dy
+CONFIG_HID_PICOLCD_CIR=3Dy
+CONFIG_HID_PLANTRONICS=3Dm
+CONFIG_HID_PRIMAX=3Dm
+CONFIG_HID_RETRODE=3Dm
+CONFIG_HID_ROCCAT=3Dm
+CONFIG_HID_SAITEK=3Dm
+CONFIG_HID_SAMSUNG=3Dm
+CONFIG_HID_SONY=3Dm
+CONFIG_SONY_FF=3Dy
+CONFIG_HID_SPEEDLINK=3Dm
+CONFIG_HID_STEAM=3Dm
+CONFIG_HID_STEELSERIES=3Dm
+CONFIG_HID_SUNPLUS=3Dm
+CONFIG_HID_RMI=3Dm
+CONFIG_HID_GREENASIA=3Dm
+CONFIG_GREENASIA_FF=3Dy
+CONFIG_HID_HYPERV_MOUSE=3Dm
+CONFIG_HID_SMARTJOYPLUS=3Dm
+CONFIG_SMARTJOYPLUS_FF=3Dy
+CONFIG_HID_TIVO=3Dm
+CONFIG_HID_TOPSEED=3Dm
+CONFIG_HID_THINGM=3Dm
+CONFIG_HID_THRUSTMASTER=3Dm
+CONFIG_THRUSTMASTER_FF=3Dy
+CONFIG_HID_UDRAW_PS3=3Dm
+CONFIG_HID_U2FZERO=3Dm
+CONFIG_HID_WACOM=3Dm
+CONFIG_HID_WIIMOTE=3Dm
+CONFIG_HID_XINMO=3Dm
+CONFIG_HID_ZEROPLUS=3Dm
+CONFIG_ZEROPLUS_FF=3Dy
+CONFIG_HID_ZYDACRON=3Dm
+CONFIG_HID_SENSOR_HUB=3Dm
+CONFIG_HID_SENSOR_CUSTOM_SENSOR=3Dm
+CONFIG_HID_ALPS=3Dm
+# end of Special HID drivers
+
+#
+# USB HID support
+#
+CONFIG_USB_HID=3Dm
+CONFIG_HID_PID=3Dy
+CONFIG_USB_HIDDEV=3Dy
+
+#
+# USB HID Boot Protocol drivers
+#
+CONFIG_USB_KBD=3Dm
+CONFIG_USB_MOUSE=3Dm
+# end of USB HID Boot Protocol drivers
+# end of USB HID support
+
+#
+# I2C HID support
+#
+CONFIG_I2C_HID=3Dm
+# end of I2C HID support
+
+#
+# Intel ISH HID support
+#
+CONFIG_INTEL_ISH_HID=3Dm
+# CONFIG_INTEL_ISH_FIRMWARE_DOWNLOADER is not set
+# end of Intel ISH HID support
+# end of HID support
+
+CONFIG_USB_OHCI_LITTLE_ENDIAN=3Dy
+CONFIG_USB_SUPPORT=3Dy
+CONFIG_USB_COMMON=3Dy
+CONFIG_USB_LED_TRIG=3Dy
+CONFIG_USB_ULPI_BUS=3Dm
+CONFIG_USB_CONN_GPIO=3Dm
+CONFIG_USB_ARCH_HAS_HCD=3Dy
+CONFIG_USB=3Dy
+CONFIG_USB_PCI=3Dy
+CONFIG_USB_ANNOUNCE_NEW_DEVICES=3Dy
+
+#
+# Miscellaneous USB options
+#
+CONFIG_USB_DEFAULT_PERSIST=3Dy
+CONFIG_USB_DYNAMIC_MINORS=3Dy
+# CONFIG_USB_OTG is not set
+# CONFIG_USB_OTG_WHITELIST is not set
+# CONFIG_USB_OTG_BLACKLIST_HUB is not set
+CONFIG_USB_LEDS_TRIGGER_USBPORT=3Dm
+CONFIG_USB_AUTOSUSPEND_DELAY=3D2
+CONFIG_USB_MON=3Dm
+
+#
+# USB Host Controller Drivers
+#
+CONFIG_USB_C67X00_HCD=3Dm
+CONFIG_USB_XHCI_HCD=3Dy
+# CONFIG_USB_XHCI_DBGCAP is not set
+CONFIG_USB_XHCI_PCI=3Dy
+CONFIG_USB_XHCI_PLATFORM=3Dm
+CONFIG_USB_EHCI_HCD=3Dy
+CONFIG_USB_EHCI_ROOT_HUB_TT=3Dy
+CONFIG_USB_EHCI_TT_NEWSCHED=3Dy
+CONFIG_USB_EHCI_PCI=3Dy
+# CONFIG_USB_EHCI_FSL is not set
+CONFIG_USB_EHCI_HCD_PLATFORM=3Dy
+CONFIG_USB_OXU210HP_HCD=3Dm
+CONFIG_USB_ISP116X_HCD=3Dm
+CONFIG_USB_FOTG210_HCD=3Dm
+CONFIG_USB_MAX3421_HCD=3Dm
+CONFIG_USB_OHCI_HCD=3Dy
+CONFIG_USB_OHCI_HCD_PCI=3Dy
+CONFIG_USB_OHCI_HCD_PLATFORM=3Dy
+CONFIG_USB_UHCI_HCD=3Dy
+CONFIG_USB_U132_HCD=3Dm
+CONFIG_USB_SL811_HCD=3Dm
+CONFIG_USB_SL811_HCD_ISO=3Dy
+CONFIG_USB_SL811_CS=3Dm
+CONFIG_USB_R8A66597_HCD=3Dm
+CONFIG_USB_HCD_BCMA=3Dm
+CONFIG_USB_HCD_SSB=3Dm
+# CONFIG_USB_HCD_TEST_MODE is not set
+
+#
+# USB Device Class drivers
+#
+CONFIG_USB_ACM=3Dm
+CONFIG_USB_PRINTER=3Dm
+CONFIG_USB_WDM=3Dm
+CONFIG_USB_TMC=3Dm
+
+#
+# NOTE: USB_STORAGE depends on SCSI but BLK_DEV_SD may
+#
+
+#
+# also be needed; see USB_STORAGE Help for more info
+#
+CONFIG_USB_STORAGE=3Dm
+# CONFIG_USB_STORAGE_DEBUG is not set
+CONFIG_USB_STORAGE_REALTEK=3Dm
+CONFIG_REALTEK_AUTOPM=3Dy
+CONFIG_USB_STORAGE_DATAFAB=3Dm
+CONFIG_USB_STORAGE_FREECOM=3Dm
+CONFIG_USB_STORAGE_ISD200=3Dm
+CONFIG_USB_STORAGE_USBAT=3Dm
+CONFIG_USB_STORAGE_SDDR09=3Dm
+CONFIG_USB_STORAGE_SDDR55=3Dm
+CONFIG_USB_STORAGE_JUMPSHOT=3Dm
+CONFIG_USB_STORAGE_ALAUDA=3Dm
+CONFIG_USB_STORAGE_ONETOUCH=3Dm
+CONFIG_USB_STORAGE_KARMA=3Dm
+CONFIG_USB_STORAGE_CYPRESS_ATACB=3Dm
+CONFIG_USB_STORAGE_ENE_UB6250=3Dm
+CONFIG_USB_UAS=3Dm
+
+#
+# USB Imaging devices
+#
+CONFIG_USB_MDC800=3Dm
+CONFIG_USB_MICROTEK=3Dm
+CONFIG_USBIP_CORE=3Dm
+CONFIG_USBIP_VHCI_HCD=3Dm
+CONFIG_USBIP_VHCI_HC_PORTS=3D8
+CONFIG_USBIP_VHCI_NR_HCS=3D1
+CONFIG_USBIP_HOST=3Dm
+CONFIG_USBIP_VUDC=3Dm
+# CONFIG_USBIP_DEBUG is not set
+CONFIG_USB_CDNS3=3Dm
+# CONFIG_USB_CDNS3_GADGET is not set
+# CONFIG_USB_CDNS3_HOST is not set
+CONFIG_USB_CDNS3_PCI_WRAP=3Dm
+CONFIG_USB_MUSB_HDRC=3Dm
+# CONFIG_USB_MUSB_HOST is not set
+# CONFIG_USB_MUSB_GADGET is not set
+CONFIG_USB_MUSB_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Layer
+#
+
+#
+# MUSB DMA mode
+#
+CONFIG_MUSB_PIO_ONLY=3Dy
+CONFIG_USB_DWC3=3Dm
+CONFIG_USB_DWC3_ULPI=3Dy
+# CONFIG_USB_DWC3_HOST is not set
+# CONFIG_USB_DWC3_GADGET is not set
+CONFIG_USB_DWC3_DUAL_ROLE=3Dy
+
+#
+# Platform Glue Driver Support
+#
+CONFIG_USB_DWC3_PCI=3Dm
+CONFIG_USB_DWC3_HAPS=3Dm
+CONFIG_USB_DWC2=3Dy
+CONFIG_USB_DWC2_HOST=3Dy
+
+#
+# Gadget/Dual-role mode requires USB Gadget support to be enabled
+#
+CONFIG_USB_DWC2_PCI=3Dm
+# CONFIG_USB_DWC2_DEBUG is not set
+# CONFIG_USB_DWC2_TRACK_MISSED_SOFS is not set
+CONFIG_USB_CHIPIDEA=3Dm
+CONFIG_USB_CHIPIDEA_PCI=3Dm
+CONFIG_USB_CHIPIDEA_UDC=3Dy
+CONFIG_USB_CHIPIDEA_HOST=3Dy
+CONFIG_USB_ISP1760=3Dm
+CONFIG_USB_ISP1760_HCD=3Dy
+CONFIG_USB_ISP1761_UDC=3Dy
+# CONFIG_USB_ISP1760_HOST_ROLE is not set
+# CONFIG_USB_ISP1760_GADGET_ROLE is not set
+CONFIG_USB_ISP1760_DUAL_ROLE=3Dy
+
+#
+# USB port drivers
+#
+CONFIG_USB_USS720=3Dm
+CONFIG_USB_SERIAL=3Dm
+CONFIG_USB_SERIAL_GENERIC=3Dy
+CONFIG_USB_SERIAL_SIMPLE=3Dm
+CONFIG_USB_SERIAL_AIRCABLE=3Dm
+CONFIG_USB_SERIAL_ARK3116=3Dm
+CONFIG_USB_SERIAL_BELKIN=3Dm
+CONFIG_USB_SERIAL_CH341=3Dm
+CONFIG_USB_SERIAL_WHITEHEAT=3Dm
+CONFIG_USB_SERIAL_DIGI_ACCELEPORT=3Dm
+CONFIG_USB_SERIAL_CP210X=3Dm
+CONFIG_USB_SERIAL_CYPRESS_M8=3Dm
+CONFIG_USB_SERIAL_EMPEG=3Dm
+CONFIG_USB_SERIAL_FTDI_SIO=3Dm
+CONFIG_USB_SERIAL_VISOR=3Dm
+CONFIG_USB_SERIAL_IPAQ=3Dm
+CONFIG_USB_SERIAL_IR=3Dm
+CONFIG_USB_SERIAL_EDGEPORT=3Dm
+CONFIG_USB_SERIAL_EDGEPORT_TI=3Dm
+CONFIG_USB_SERIAL_F81232=3Dm
+CONFIG_USB_SERIAL_F8153X=3Dm
+CONFIG_USB_SERIAL_GARMIN=3Dm
+CONFIG_USB_SERIAL_IPW=3Dm
+CONFIG_USB_SERIAL_IUU=3Dm
+CONFIG_USB_SERIAL_KEYSPAN_PDA=3Dm
+CONFIG_USB_SERIAL_KEYSPAN=3Dm
+CONFIG_USB_SERIAL_KLSI=3Dm
+CONFIG_USB_SERIAL_KOBIL_SCT=3Dm
+CONFIG_USB_SERIAL_MCT_U232=3Dm
+CONFIG_USB_SERIAL_METRO=3Dm
+CONFIG_USB_SERIAL_MOS7720=3Dm
+CONFIG_USB_SERIAL_MOS7715_PARPORT=3Dy
+CONFIG_USB_SERIAL_MOS7840=3Dm
+CONFIG_USB_SERIAL_MXUPORT=3Dm
+CONFIG_USB_SERIAL_NAVMAN=3Dm
+CONFIG_USB_SERIAL_PL2303=3Dm
+CONFIG_USB_SERIAL_OTI6858=3Dm
+CONFIG_USB_SERIAL_QCAUX=3Dm
+CONFIG_USB_SERIAL_QUALCOMM=3Dm
+CONFIG_USB_SERIAL_SPCP8X5=3Dm
+CONFIG_USB_SERIAL_SAFE=3Dm
+# CONFIG_USB_SERIAL_SAFE_PADDED is not set
+CONFIG_USB_SERIAL_SIERRAWIRELESS=3Dm
+CONFIG_USB_SERIAL_SYMBOL=3Dm
+CONFIG_USB_SERIAL_TI=3Dm
+CONFIG_USB_SERIAL_CYBERJACK=3Dm
+CONFIG_USB_SERIAL_XIRCOM=3Dm
+CONFIG_USB_SERIAL_WWAN=3Dm
+CONFIG_USB_SERIAL_OPTION=3Dm
+CONFIG_USB_SERIAL_OMNINET=3Dm
+CONFIG_USB_SERIAL_OPTICON=3Dm
+CONFIG_USB_SERIAL_XSENS_MT=3Dm
+CONFIG_USB_SERIAL_WISHBONE=3Dm
+CONFIG_USB_SERIAL_SSU100=3Dm
+CONFIG_USB_SERIAL_QT2=3Dm
+CONFIG_USB_SERIAL_UPD78F0730=3Dm
+CONFIG_USB_SERIAL_DEBUG=3Dm
+
+#
+# USB Miscellaneous drivers
+#
+CONFIG_USB_EMI62=3Dm
+CONFIG_USB_EMI26=3Dm
+CONFIG_USB_ADUTUX=3Dm
+CONFIG_USB_SEVSEG=3Dm
+CONFIG_USB_LEGOTOWER=3Dm
+CONFIG_USB_LCD=3Dm
+CONFIG_USB_CYPRESS_CY7C63=3Dm
+CONFIG_USB_CYTHERM=3Dm
+CONFIG_USB_IDMOUSE=3Dm
+CONFIG_USB_FTDI_ELAN=3Dm
+CONFIG_USB_APPLEDISPLAY=3Dm
+CONFIG_USB_SISUSBVGA=3Dm
+# CONFIG_USB_SISUSBVGA_CON is not set
+CONFIG_USB_LD=3Dm
+CONFIG_USB_TRANCEVIBRATOR=3Dm
+CONFIG_USB_IOWARRIOR=3Dm
+CONFIG_USB_TEST=3Dm
+CONFIG_USB_EHSET_TEST_FIXTURE=3Dm
+CONFIG_USB_ISIGHTFW=3Dm
+CONFIG_USB_YUREX=3Dm
+CONFIG_USB_EZUSB_FX2=3Dm
+CONFIG_USB_HUB_USB251XB=3Dm
+CONFIG_USB_HSIC_USB3503=3Dm
+CONFIG_USB_HSIC_USB4604=3Dm
+CONFIG_USB_LINK_LAYER_TEST=3Dm
+CONFIG_USB_CHAOSKEY=3Dm
+CONFIG_USB_ATM=3Dm
+CONFIG_USB_SPEEDTOUCH=3Dm
+CONFIG_USB_CXACRU=3Dm
+CONFIG_USB_UEAGLEATM=3Dm
+CONFIG_USB_XUSBATM=3Dm
+
+#
+# USB Physical Layer drivers
+#
+CONFIG_USB_PHY=3Dy
+CONFIG_NOP_USB_XCEIV=3Dm
+CONFIG_USB_GPIO_VBUS=3Dm
+CONFIG_TAHVO_USB=3Dm
+CONFIG_TAHVO_USB_HOST_BY_DEFAULT=3Dy
+CONFIG_USB_ISP1301=3Dm
+# end of USB Physical Layer drivers
+
+CONFIG_USB_GADGET=3Dm
+# CONFIG_USB_GADGET_DEBUG is not set
+# CONFIG_USB_GADGET_DEBUG_FILES is not set
+# CONFIG_USB_GADGET_DEBUG_FS is not set
+CONFIG_USB_GADGET_VBUS_DRAW=3D2
+CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=3D2
+# CONFIG_U_SERIAL_CONSOLE is not set
+
+#
+# USB Peripheral Controller
+#
+CONFIG_USB_FOTG210_UDC=3Dm
+CONFIG_USB_GR_UDC=3Dm
+CONFIG_USB_R8A66597=3Dm
+CONFIG_USB_PXA27X=3Dm
+CONFIG_USB_MV_UDC=3Dm
+CONFIG_USB_MV_U3D=3Dm
+CONFIG_USB_SNP_CORE=3Dm
+# CONFIG_USB_M66592 is not set
+CONFIG_USB_BDC_UDC=3Dm
+
+#
+# Platform Support
+#
+CONFIG_USB_BDC_PCI=3Dm
+CONFIG_USB_AMD5536UDC=3Dm
+CONFIG_USB_NET2272=3Dm
+CONFIG_USB_NET2272_DMA=3Dy
+CONFIG_USB_NET2280=3Dm
+CONFIG_USB_GOKU=3Dm
+CONFIG_USB_EG20T=3Dm
+# CONFIG_USB_DUMMY_HCD is not set
+# end of USB Peripheral Controller
+
+CONFIG_USB_LIBCOMPOSITE=3Dm
+CONFIG_USB_F_ACM=3Dm
+CONFIG_USB_F_SS_LB=3Dm
+CONFIG_USB_U_SERIAL=3Dm
+CONFIG_USB_U_ETHER=3Dm
+CONFIG_USB_U_AUDIO=3Dm
+CONFIG_USB_F_SERIAL=3Dm
+CONFIG_USB_F_OBEX=3Dm
+CONFIG_USB_F_NCM=3Dm
+CONFIG_USB_F_ECM=3Dm
+CONFIG_USB_F_PHONET=3Dm
+CONFIG_USB_F_EEM=3Dm
+CONFIG_USB_F_SUBSET=3Dm
+CONFIG_USB_F_RNDIS=3Dm
+CONFIG_USB_F_MASS_STORAGE=3Dm
+CONFIG_USB_F_FS=3Dm
+CONFIG_USB_F_UAC1=3Dm
+CONFIG_USB_F_UAC2=3Dm
+CONFIG_USB_F_UVC=3Dm
+CONFIG_USB_F_MIDI=3Dm
+CONFIG_USB_F_HID=3Dm
+CONFIG_USB_F_PRINTER=3Dm
+CONFIG_USB_F_TCM=3Dm
+CONFIG_USB_CONFIGFS=3Dm
+CONFIG_USB_CONFIGFS_SERIAL=3Dy
+CONFIG_USB_CONFIGFS_ACM=3Dy
+CONFIG_USB_CONFIGFS_OBEX=3Dy
+CONFIG_USB_CONFIGFS_NCM=3Dy
+CONFIG_USB_CONFIGFS_ECM=3Dy
+CONFIG_USB_CONFIGFS_ECM_SUBSET=3Dy
+CONFIG_USB_CONFIGFS_RNDIS=3Dy
+CONFIG_USB_CONFIGFS_EEM=3Dy
+CONFIG_USB_CONFIGFS_PHONET=3Dy
+CONFIG_USB_CONFIGFS_MASS_STORAGE=3Dy
+CONFIG_USB_CONFIGFS_F_LB_SS=3Dy
+CONFIG_USB_CONFIGFS_F_FS=3Dy
+CONFIG_USB_CONFIGFS_F_UAC1=3Dy
+# CONFIG_USB_CONFIGFS_F_UAC1_LEGACY is not set
+CONFIG_USB_CONFIGFS_F_UAC2=3Dy
+CONFIG_USB_CONFIGFS_F_MIDI=3Dy
+CONFIG_USB_CONFIGFS_F_HID=3Dy
+CONFIG_USB_CONFIGFS_F_UVC=3Dy
+CONFIG_USB_CONFIGFS_F_PRINTER=3Dy
+# CONFIG_USB_CONFIGFS_F_TCM is not set
+CONFIG_USB_ZERO=3Dm
+CONFIG_USB_AUDIO=3Dm
+CONFIG_GADGET_UAC1=3Dy
+# CONFIG_GADGET_UAC1_LEGACY is not set
+CONFIG_USB_ETH=3Dm
+CONFIG_USB_ETH_RNDIS=3Dy
+CONFIG_USB_ETH_EEM=3Dy
+CONFIG_USB_G_NCM=3Dm
+CONFIG_USB_GADGETFS=3Dm
+CONFIG_USB_FUNCTIONFS=3Dm
+CONFIG_USB_FUNCTIONFS_ETH=3Dy
+CONFIG_USB_FUNCTIONFS_RNDIS=3Dy
+CONFIG_USB_FUNCTIONFS_GENERIC=3Dy
+CONFIG_USB_MASS_STORAGE=3Dm
+CONFIG_USB_GADGET_TARGET=3Dm
+CONFIG_USB_G_SERIAL=3Dm
+CONFIG_USB_MIDI_GADGET=3Dm
+CONFIG_USB_G_PRINTER=3Dm
+CONFIG_USB_CDC_COMPOSITE=3Dm
+CONFIG_USB_G_NOKIA=3Dm
+CONFIG_USB_G_ACM_MS=3Dm
+# CONFIG_USB_G_MULTI is not set
+CONFIG_USB_G_HID=3Dm
+CONFIG_USB_G_DBGP=3Dm
+# CONFIG_USB_G_DBGP_PRINTK is not set
+CONFIG_USB_G_DBGP_SERIAL=3Dy
+CONFIG_USB_G_WEBCAM=3Dm
+CONFIG_TYPEC=3Dm
+CONFIG_TYPEC_TCPM=3Dm
+CONFIG_TYPEC_TCPCI=3Dm
+CONFIG_TYPEC_RT1711H=3Dm
+CONFIG_TYPEC_FUSB302=3Dm
+CONFIG_TYPEC_UCSI=3Dm
+CONFIG_UCSI_CCG=3Dm
+CONFIG_UCSI_ACPI=3Dm
+CONFIG_TYPEC_TPS6598X=3Dm
+
+#
+# USB Type-C Multiplexer/DeMultiplexer Switch support
+#
+CONFIG_TYPEC_MUX_PI3USB30532=3Dm
+# end of USB Type-C Multiplexer/DeMultiplexer Switch support
+
+#
+# USB Type-C Alternate Mode drivers
+#
+CONFIG_TYPEC_DP_ALTMODE=3Dm
+CONFIG_TYPEC_NVIDIA_ALTMODE=3Dm
+# end of USB Type-C Alternate Mode drivers
+
+CONFIG_USB_ROLE_SWITCH=3Dm
+CONFIG_USB_ROLES_INTEL_XHCI=3Dm
+CONFIG_MMC=3Dy
+CONFIG_MMC_BLOCK=3Dm
+CONFIG_MMC_BLOCK_MINORS=3D8
+CONFIG_SDIO_UART=3Dm
+# CONFIG_MMC_TEST is not set
+
+#
+# MMC/SD/SDIO Host Controller Drivers
+#
+# CONFIG_MMC_DEBUG is not set
+CONFIG_MMC_SDHCI=3Dm
+CONFIG_MMC_SDHCI_IO_ACCESSORS=3Dy
+CONFIG_MMC_SDHCI_PCI=3Dm
+CONFIG_MMC_RICOH_MMC=3Dy
+CONFIG_MMC_SDHCI_ACPI=3Dm
+CONFIG_MMC_SDHCI_PLTFM=3Dm
+CONFIG_MMC_SDHCI_F_SDH30=3Dm
+CONFIG_MMC_WBSD=3Dm
+CONFIG_MMC_ALCOR=3Dm
+CONFIG_MMC_TIFM_SD=3Dm
+CONFIG_MMC_SPI=3Dm
+CONFIG_MMC_SDRICOH_CS=3Dm
+CONFIG_MMC_CB710=3Dm
+CONFIG_MMC_VIA_SDMMC=3Dm
+CONFIG_MMC_VUB300=3Dm
+CONFIG_MMC_USHC=3Dm
+CONFIG_MMC_USDHI6ROL0=3Dm
+CONFIG_MMC_REALTEK_PCI=3Dm
+CONFIG_MMC_REALTEK_USB=3Dm
+CONFIG_MMC_CQHCI=3Dm
+CONFIG_MMC_TOSHIBA_PCI=3Dm
+CONFIG_MMC_MTK=3Dm
+CONFIG_MMC_SDHCI_XENON=3Dm
+CONFIG_MEMSTICK=3Dm
+# CONFIG_MEMSTICK_DEBUG is not set
+
+#
+# MemoryStick drivers
+#
+# CONFIG_MEMSTICK_UNSAFE_RESUME is not set
+CONFIG_MSPRO_BLOCK=3Dm
+CONFIG_MS_BLOCK=3Dm
+
+#
+# MemoryStick Host Controller Drivers
+#
+CONFIG_MEMSTICK_TIFM_MS=3Dm
+CONFIG_MEMSTICK_JMICRON_38X=3Dm
+CONFIG_MEMSTICK_R592=3Dm
+CONFIG_MEMSTICK_REALTEK_PCI=3Dm
+CONFIG_MEMSTICK_REALTEK_USB=3Dm
+CONFIG_NEW_LEDS=3Dy
+CONFIG_LEDS_CLASS=3Dy
+CONFIG_LEDS_CLASS_FLASH=3Dm
+# CONFIG_LEDS_BRIGHTNESS_HW_CHANGED is not set
+
+#
+# LED drivers
+#
+CONFIG_LEDS_88PM860X=3Dm
+CONFIG_LEDS_APU=3Dm
+CONFIG_LEDS_AS3645A=3Dm
+CONFIG_LEDS_LM3530=3Dm
+CONFIG_LEDS_LM3532=3Dm
+CONFIG_LEDS_LM3533=3Dm
+CONFIG_LEDS_LM3642=3Dm
+CONFIG_LEDS_LM3601X=3Dm
+CONFIG_LEDS_MT6323=3Dm
+CONFIG_LEDS_PCA9532=3Dm
+CONFIG_LEDS_PCA9532_GPIO=3Dy
+CONFIG_LEDS_GPIO=3Dm
+CONFIG_LEDS_LP3944=3Dm
+CONFIG_LEDS_LP3952=3Dm
+CONFIG_LEDS_LP55XX_COMMON=3Dm
+CONFIG_LEDS_LP5521=3Dm
+CONFIG_LEDS_LP5523=3Dm
+CONFIG_LEDS_LP5562=3Dm
+CONFIG_LEDS_LP8501=3Dm
+CONFIG_LEDS_LP8788=3Dm
+CONFIG_LEDS_CLEVO_MAIL=3Dm
+CONFIG_LEDS_PCA955X=3Dm
+# CONFIG_LEDS_PCA955X_GPIO is not set
+CONFIG_LEDS_PCA963X=3Dm
+CONFIG_LEDS_WM831X_STATUS=3Dm
+CONFIG_LEDS_WM8350=3Dm
+CONFIG_LEDS_DA903X=3Dm
+CONFIG_LEDS_DA9052=3Dm
+CONFIG_LEDS_DAC124S085=3Dm
+CONFIG_LEDS_PWM=3Dm
+CONFIG_LEDS_REGULATOR=3Dm
+CONFIG_LEDS_BD2802=3Dm
+CONFIG_LEDS_INTEL_SS4200=3Dm
+CONFIG_LEDS_ADP5520=3Dm
+CONFIG_LEDS_MC13783=3Dm
+CONFIG_LEDS_TCA6507=3Dm
+CONFIG_LEDS_TLC591XX=3Dm
+CONFIG_LEDS_MAX8997=3Dm
+CONFIG_LEDS_LM355x=3Dm
+CONFIG_LEDS_MENF21BMC=3Dm
+
+#
+# LED driver for blink(1) USB RGB LED is under Special HID drivers (HID_TH=
INGM)
+#
+CONFIG_LEDS_BLINKM=3Dm
+CONFIG_LEDS_MLXCPLD=3Dm
+CONFIG_LEDS_MLXREG=3Dm
+CONFIG_LEDS_USER=3Dm
+CONFIG_LEDS_NIC78BX=3Dm
+CONFIG_LEDS_TI_LMU_COMMON=3Dm
+CONFIG_LEDS_LM36274=3Dm
+
+#
+# LED Triggers
+#
+CONFIG_LEDS_TRIGGERS=3Dy
+CONFIG_LEDS_TRIGGER_TIMER=3Dm
+CONFIG_LEDS_TRIGGER_ONESHOT=3Dm
+CONFIG_LEDS_TRIGGER_DISK=3Dy
+# CONFIG_LEDS_TRIGGER_MTD is not set
+CONFIG_LEDS_TRIGGER_HEARTBEAT=3Dm
+CONFIG_LEDS_TRIGGER_BACKLIGHT=3Dm
+CONFIG_LEDS_TRIGGER_CPU=3Dy
+CONFIG_LEDS_TRIGGER_ACTIVITY=3Dm
+CONFIG_LEDS_TRIGGER_GPIO=3Dm
+CONFIG_LEDS_TRIGGER_DEFAULT_ON=3Dm
+
+#
+# iptables trigger is under Netfilter config (LED target)
+#
+CONFIG_LEDS_TRIGGER_TRANSIENT=3Dm
+CONFIG_LEDS_TRIGGER_CAMERA=3Dm
+CONFIG_LEDS_TRIGGER_PANIC=3Dy
+CONFIG_LEDS_TRIGGER_NETDEV=3Dm
+CONFIG_LEDS_TRIGGER_PATTERN=3Dm
+CONFIG_LEDS_TRIGGER_AUDIO=3Dm
+# CONFIG_ACCESSIBILITY is not set
+CONFIG_INFINIBAND=3Dm
+CONFIG_INFINIBAND_USER_MAD=3Dm
+CONFIG_INFINIBAND_USER_ACCESS=3Dm
+# CONFIG_INFINIBAND_EXP_LEGACY_VERBS_NEW_UAPI is not set
+CONFIG_INFINIBAND_USER_MEM=3Dy
+CONFIG_INFINIBAND_ON_DEMAND_PAGING=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS=3Dy
+CONFIG_INFINIBAND_ADDR_TRANS_CONFIGFS=3Dy
+CONFIG_INFINIBAND_MTHCA=3Dm
+# CONFIG_INFINIBAND_MTHCA_DEBUG is not set
+CONFIG_INFINIBAND_QIB=3Dm
+CONFIG_INFINIBAND_QIB_DCA=3Dy
+CONFIG_INFINIBAND_CXGB3=3Dm
+CONFIG_INFINIBAND_CXGB4=3Dm
+CONFIG_INFINIBAND_EFA=3Dm
+CONFIG_INFINIBAND_I40IW=3Dm
+CONFIG_MLX4_INFINIBAND=3Dm
+CONFIG_MLX5_INFINIBAND=3Dm
+CONFIG_INFINIBAND_OCRDMA=3Dm
+CONFIG_INFINIBAND_VMWARE_PVRDMA=3Dm
+CONFIG_INFINIBAND_USNIC=3Dm
+CONFIG_INFINIBAND_BNXT_RE=3Dm
+CONFIG_INFINIBAND_HFI1=3Dm
+# CONFIG_HFI1_DEBUG_SDMA_ORDER is not set
+# CONFIG_SDMA_VERBOSITY is not set
+CONFIG_INFINIBAND_QEDR=3Dm
+CONFIG_INFINIBAND_RDMAVT=3Dm
+CONFIG_RDMA_RXE=3Dm
+CONFIG_RDMA_SIW=3Dm
+CONFIG_INFINIBAND_IPOIB=3Dm
+CONFIG_INFINIBAND_IPOIB_CM=3Dy
+# CONFIG_INFINIBAND_IPOIB_DEBUG is not set
+CONFIG_INFINIBAND_SRP=3Dm
+CONFIG_INFINIBAND_SRPT=3Dm
+CONFIG_INFINIBAND_ISER=3Dm
+CONFIG_INFINIBAND_ISERT=3Dm
+CONFIG_INFINIBAND_OPA_VNIC=3Dm
+CONFIG_EDAC_ATOMIC_SCRUB=3Dy
+CONFIG_EDAC_SUPPORT=3Dy
+CONFIG_EDAC=3Dy
+# CONFIG_EDAC_LEGACY_SYSFS is not set
+# CONFIG_EDAC_DEBUG is not set
+CONFIG_EDAC_DECODE_MCE=3Dm
+CONFIG_EDAC_GHES=3Dy
+CONFIG_EDAC_AMD64=3Dm
+# CONFIG_EDAC_AMD64_ERROR_INJECTION is not set
+CONFIG_EDAC_E752X=3Dm
+CONFIG_EDAC_I82975X=3Dm
+CONFIG_EDAC_I3000=3Dm
+CONFIG_EDAC_I3200=3Dm
+CONFIG_EDAC_IE31200=3Dm
+CONFIG_EDAC_X38=3Dm
+CONFIG_EDAC_I5400=3Dm
+CONFIG_EDAC_I7CORE=3Dm
+CONFIG_EDAC_I5000=3Dm
+CONFIG_EDAC_I5100=3Dm
+CONFIG_EDAC_I7300=3Dm
+CONFIG_EDAC_SBRIDGE=3Dm
+CONFIG_EDAC_SKX=3Dm
+CONFIG_EDAC_I10NM=3Dm
+CONFIG_EDAC_PND2=3Dm
+CONFIG_RTC_LIB=3Dy
+CONFIG_RTC_MC146818_LIB=3Dy
+CONFIG_RTC_CLASS=3Dy
+CONFIG_RTC_HCTOSYS=3Dy
+CONFIG_RTC_HCTOSYS_DEVICE=3D"rtc0"
+CONFIG_RTC_SYSTOHC=3Dy
+CONFIG_RTC_SYSTOHC_DEVICE=3D"rtc0"
+# CONFIG_RTC_DEBUG is not set
+CONFIG_RTC_NVMEM=3Dy
+
+#
+# RTC interfaces
+#
+CONFIG_RTC_INTF_SYSFS=3Dy
+CONFIG_RTC_INTF_PROC=3Dy
+CONFIG_RTC_INTF_DEV=3Dy
+# CONFIG_RTC_INTF_DEV_UIE_EMUL is not set
+# CONFIG_RTC_DRV_TEST is not set
+
+#
+# I2C RTC drivers
+#
+CONFIG_RTC_DRV_88PM860X=3Dm
+CONFIG_RTC_DRV_88PM80X=3Dm
+CONFIG_RTC_DRV_ABB5ZES3=3Dm
+CONFIG_RTC_DRV_ABEOZ9=3Dm
+CONFIG_RTC_DRV_ABX80X=3Dm
+CONFIG_RTC_DRV_DS1307=3Dm
+# CONFIG_RTC_DRV_DS1307_CENTURY is not set
+CONFIG_RTC_DRV_DS1374=3Dm
+CONFIG_RTC_DRV_DS1374_WDT=3Dy
+CONFIG_RTC_DRV_DS1672=3Dm
+CONFIG_RTC_DRV_LP8788=3Dm
+CONFIG_RTC_DRV_MAX6900=3Dm
+CONFIG_RTC_DRV_MAX8907=3Dm
+CONFIG_RTC_DRV_MAX8925=3Dm
+CONFIG_RTC_DRV_MAX8998=3Dm
+CONFIG_RTC_DRV_MAX8997=3Dm
+CONFIG_RTC_DRV_RS5C372=3Dm
+CONFIG_RTC_DRV_ISL1208=3Dm
+CONFIG_RTC_DRV_ISL12022=3Dm
+CONFIG_RTC_DRV_X1205=3Dm
+CONFIG_RTC_DRV_PCF8523=3Dm
+CONFIG_RTC_DRV_PCF85063=3Dm
+CONFIG_RTC_DRV_PCF85363=3Dm
+CONFIG_RTC_DRV_PCF8563=3Dm
+CONFIG_RTC_DRV_PCF8583=3Dm
+CONFIG_RTC_DRV_M41T80=3Dm
+CONFIG_RTC_DRV_M41T80_WDT=3Dy
+CONFIG_RTC_DRV_BQ32K=3Dm
+CONFIG_RTC_DRV_PALMAS=3Dm
+CONFIG_RTC_DRV_TPS6586X=3Dm
+CONFIG_RTC_DRV_TPS65910=3Dm
+CONFIG_RTC_DRV_TPS80031=3Dm
+CONFIG_RTC_DRV_RC5T583=3Dm
+CONFIG_RTC_DRV_S35390A=3Dm
+CONFIG_RTC_DRV_FM3130=3Dm
+CONFIG_RTC_DRV_RX8010=3Dm
+CONFIG_RTC_DRV_RX8581=3Dm
+CONFIG_RTC_DRV_RX8025=3Dm
+CONFIG_RTC_DRV_EM3027=3Dm
+CONFIG_RTC_DRV_RV3028=3Dm
+CONFIG_RTC_DRV_RV8803=3Dm
+CONFIG_RTC_DRV_S5M=3Dm
+CONFIG_RTC_DRV_SD3078=3Dm
+
+#
+# SPI RTC drivers
+#
+CONFIG_RTC_DRV_M41T93=3Dm
+CONFIG_RTC_DRV_M41T94=3Dm
+CONFIG_RTC_DRV_DS1302=3Dm
+CONFIG_RTC_DRV_DS1305=3Dm
+CONFIG_RTC_DRV_DS1343=3Dm
+CONFIG_RTC_DRV_DS1347=3Dm
+CONFIG_RTC_DRV_DS1390=3Dm
+CONFIG_RTC_DRV_MAX6916=3Dm
+CONFIG_RTC_DRV_R9701=3Dm
+CONFIG_RTC_DRV_RX4581=3Dm
+CONFIG_RTC_DRV_RX6110=3Dm
+CONFIG_RTC_DRV_RS5C348=3Dm
+CONFIG_RTC_DRV_MAX6902=3Dm
+CONFIG_RTC_DRV_PCF2123=3Dm
+CONFIG_RTC_DRV_MCP795=3Dm
+CONFIG_RTC_I2C_AND_SPI=3Dy
+
+#
+# SPI and I2C RTC drivers
+#
+CONFIG_RTC_DRV_DS3232=3Dm
+CONFIG_RTC_DRV_DS3232_HWMON=3Dy
+CONFIG_RTC_DRV_PCF2127=3Dm
+CONFIG_RTC_DRV_RV3029C2=3Dm
+CONFIG_RTC_DRV_RV3029_HWMON=3Dy
+
+#
+# Platform RTC drivers
+#
+CONFIG_RTC_DRV_CMOS=3Dy
+CONFIG_RTC_DRV_DS1286=3Dm
+CONFIG_RTC_DRV_DS1511=3Dm
+CONFIG_RTC_DRV_DS1553=3Dm
+CONFIG_RTC_DRV_DS1685_FAMILY=3Dm
+CONFIG_RTC_DRV_DS1685=3Dy
+# CONFIG_RTC_DRV_DS1689 is not set
+# CONFIG_RTC_DRV_DS17285 is not set
+# CONFIG_RTC_DRV_DS17485 is not set
+# CONFIG_RTC_DRV_DS17885 is not set
+CONFIG_RTC_DRV_DS1742=3Dm
+CONFIG_RTC_DRV_DS2404=3Dm
+CONFIG_RTC_DRV_DA9052=3Dm
+CONFIG_RTC_DRV_DA9055=3Dm
+CONFIG_RTC_DRV_DA9063=3Dm
+CONFIG_RTC_DRV_STK17TA8=3Dm
+CONFIG_RTC_DRV_M48T86=3Dm
+CONFIG_RTC_DRV_M48T35=3Dm
+CONFIG_RTC_DRV_M48T59=3Dm
+CONFIG_RTC_DRV_MSM6242=3Dm
+CONFIG_RTC_DRV_BQ4802=3Dm
+CONFIG_RTC_DRV_RP5C01=3Dm
+CONFIG_RTC_DRV_V3020=3Dm
+CONFIG_RTC_DRV_WM831X=3Dm
+CONFIG_RTC_DRV_WM8350=3Dm
+CONFIG_RTC_DRV_PCF50633=3Dm
+CONFIG_RTC_DRV_AB3100=3Dm
+CONFIG_RTC_DRV_CROS_EC=3Dm
+
+#
+# on-CPU RTC drivers
+#
+CONFIG_RTC_DRV_FTRTC010=3Dm
+CONFIG_RTC_DRV_PCAP=3Dm
+CONFIG_RTC_DRV_MC13XXX=3Dm
+CONFIG_RTC_DRV_MT6397=3Dm
+
+#
+# HID Sensor RTC drivers
+#
+CONFIG_RTC_DRV_HID_SENSOR_TIME=3Dm
+CONFIG_RTC_DRV_WILCO_EC=3Dm
+CONFIG_DMADEVICES=3Dy
+# CONFIG_DMADEVICES_DEBUG is not set
+
+#
+# DMA Devices
+#
+CONFIG_DMA_ENGINE=3Dy
+CONFIG_DMA_VIRTUAL_CHANNELS=3Dm
+CONFIG_DMA_ACPI=3Dy
+CONFIG_ALTERA_MSGDMA=3Dm
+CONFIG_INTEL_IDMA64=3Dm
+CONFIG_INTEL_IOATDMA=3Dm
+CONFIG_INTEL_MIC_X100_DMA=3Dm
+CONFIG_QCOM_HIDMA_MGMT=3Dm
+CONFIG_QCOM_HIDMA=3Dm
+CONFIG_DW_DMAC_CORE=3Dm
+CONFIG_DW_DMAC=3Dm
+CONFIG_DW_DMAC_PCI=3Dm
+CONFIG_DW_EDMA=3Dm
+CONFIG_DW_EDMA_PCIE=3Dm
+CONFIG_HSU_DMA=3Dm
+
+#
+# DMA Clients
+#
+CONFIG_ASYNC_TX_DMA=3Dy
+# CONFIG_DMATEST is not set
+CONFIG_DMA_ENGINE_RAID=3Dy
+
+#
+# DMABUF options
+#
+CONFIG_SYNC_FILE=3Dy
+# CONFIG_SW_SYNC is not set
+# CONFIG_UDMABUF is not set
+# CONFIG_DMABUF_SELFTESTS is not set
+# end of DMABUF options
+
+CONFIG_DCA=3Dm
+CONFIG_AUXDISPLAY=3Dy
+CONFIG_HD44780=3Dm
+CONFIG_KS0108=3Dm
+CONFIG_KS0108_PORT=3D0x378
+CONFIG_KS0108_DELAY=3D2
+CONFIG_CFAG12864B=3Dm
+CONFIG_CFAG12864B_RATE=3D20
+CONFIG_IMG_ASCII_LCD=3Dm
+CONFIG_PARPORT_PANEL=3Dm
+CONFIG_PANEL_PARPORT=3D0
+CONFIG_PANEL_PROFILE=3D5
+# CONFIG_PANEL_CHANGE_MESSAGE is not set
+# CONFIG_CHARLCD_BL_OFF is not set
+# CONFIG_CHARLCD_BL_ON is not set
+CONFIG_CHARLCD_BL_FLASH=3Dy
+CONFIG_PANEL=3Dm
+CONFIG_CHARLCD=3Dm
+CONFIG_UIO=3Dm
+CONFIG_UIO_CIF=3Dm
+CONFIG_UIO_PDRV_GENIRQ=3Dm
+CONFIG_UIO_DMEM_GENIRQ=3Dm
+CONFIG_UIO_AEC=3Dm
+CONFIG_UIO_SERCOS3=3Dm
+CONFIG_UIO_PCI_GENERIC=3Dm
+CONFIG_UIO_NETX=3Dm
+CONFIG_UIO_PRUSS=3Dm
+CONFIG_UIO_MF624=3Dm
+CONFIG_UIO_HV_GENERIC=3Dm
+CONFIG_VFIO_IOMMU_TYPE1=3Dm
+CONFIG_VFIO_VIRQFD=3Dm
+CONFIG_VFIO=3Dm
+CONFIG_VFIO_NOIOMMU=3Dy
+CONFIG_VFIO_PCI=3Dm
+CONFIG_VFIO_PCI_VGA=3Dy
+CONFIG_VFIO_PCI_MMAP=3Dy
+CONFIG_VFIO_PCI_INTX=3Dy
+CONFIG_VFIO_PCI_IGD=3Dy
+CONFIG_VFIO_MDEV=3Dm
+CONFIG_VFIO_MDEV_DEVICE=3Dm
+CONFIG_IRQ_BYPASS_MANAGER=3Dm
+CONFIG_VIRT_DRIVERS=3Dy
+CONFIG_VBOXGUEST=3Dm
+CONFIG_VIRTIO=3Dy
+CONFIG_VIRTIO_MENU=3Dy
+CONFIG_VIRTIO_PCI=3Dy
+CONFIG_VIRTIO_PCI_LEGACY=3Dy
+CONFIG_VIRTIO_PMEM=3Dm
+CONFIG_VIRTIO_BALLOON=3Dy
+CONFIG_VIRTIO_INPUT=3Dm
+CONFIG_VIRTIO_MMIO=3Dy
+CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES=3Dy
+
+#
+# Microsoft Hyper-V guest support
+#
+CONFIG_HYPERV=3Dm
+CONFIG_HYPERV_TIMER=3Dy
+CONFIG_HYPERV_UTILS=3Dm
+CONFIG_HYPERV_BALLOON=3Dm
+# end of Microsoft Hyper-V guest support
+
+#
+# Xen driver support
+#
+CONFIG_XEN_BALLOON=3Dy
+CONFIG_XEN_BALLOON_MEMORY_HOTPLUG=3Dy
+CONFIG_XEN_BALLOON_MEMORY_HOTPLUG_LIMIT=3D512
+CONFIG_XEN_SCRUB_PAGES_DEFAULT=3Dy
+CONFIG_XEN_DEV_EVTCHN=3Dm
+CONFIG_XEN_BACKEND=3Dy
+CONFIG_XENFS=3Dm
+CONFIG_XEN_COMPAT_XENFS=3Dy
+CONFIG_XEN_SYS_HYPERVISOR=3Dy
+CONFIG_XEN_XENBUS_FRONTEND=3Dy
+CONFIG_XEN_GNTDEV=3Dm
+CONFIG_XEN_GRANT_DEV_ALLOC=3Dm
+# CONFIG_XEN_GRANT_DMA_ALLOC is not set
+CONFIG_SWIOTLB_XEN=3Dy
+CONFIG_XEN_PCIDEV_BACKEND=3Dm
+CONFIG_XEN_PVCALLS_FRONTEND=3Dm
+# CONFIG_XEN_PVCALLS_BACKEND is not set
+CONFIG_XEN_SCSI_BACKEND=3Dm
+CONFIG_XEN_PRIVCMD=3Dm
+CONFIG_XEN_ACPI_PROCESSOR=3Dy
+CONFIG_XEN_MCE_LOG=3Dy
+CONFIG_XEN_HAVE_PVMMU=3Dy
+CONFIG_XEN_EFI=3Dy
+CONFIG_XEN_AUTO_XLATE=3Dy
+CONFIG_XEN_ACPI=3Dy
+CONFIG_XEN_SYMS=3Dy
+CONFIG_XEN_HAVE_VPMU=3Dy
+CONFIG_XEN_FRONT_PGDIR_SHBUF=3Dm
+# end of Xen driver support
+
+# CONFIG_GREYBUS is not set
+CONFIG_STAGING=3Dy
+CONFIG_PRISM2_USB=3Dm
+CONFIG_COMEDI=3Dm
+# CONFIG_COMEDI_DEBUG is not set
+CONFIG_COMEDI_DEFAULT_BUF_SIZE_KB=3D2048
+CONFIG_COMEDI_DEFAULT_BUF_MAXSIZE_KB=3D20480
+CONFIG_COMEDI_MISC_DRIVERS=3Dy
+CONFIG_COMEDI_BOND=3Dm
+CONFIG_COMEDI_TEST=3Dm
+CONFIG_COMEDI_PARPORT=3Dm
+CONFIG_COMEDI_ISA_DRIVERS=3Dy
+CONFIG_COMEDI_PCL711=3Dm
+CONFIG_COMEDI_PCL724=3Dm
+CONFIG_COMEDI_PCL726=3Dm
+CONFIG_COMEDI_PCL730=3Dm
+CONFIG_COMEDI_PCL812=3Dm
+CONFIG_COMEDI_PCL816=3Dm
+CONFIG_COMEDI_PCL818=3Dm
+CONFIG_COMEDI_PCM3724=3Dm
+CONFIG_COMEDI_AMPLC_DIO200_ISA=3Dm
+CONFIG_COMEDI_AMPLC_PC236_ISA=3Dm
+CONFIG_COMEDI_AMPLC_PC263_ISA=3Dm
+CONFIG_COMEDI_RTI800=3Dm
+CONFIG_COMEDI_RTI802=3Dm
+CONFIG_COMEDI_DAC02=3Dm
+CONFIG_COMEDI_DAS16M1=3Dm
+CONFIG_COMEDI_DAS08_ISA=3Dm
+CONFIG_COMEDI_DAS16=3Dm
+CONFIG_COMEDI_DAS800=3Dm
+CONFIG_COMEDI_DAS1800=3Dm
+CONFIG_COMEDI_DAS6402=3Dm
+CONFIG_COMEDI_DT2801=3Dm
+CONFIG_COMEDI_DT2811=3Dm
+CONFIG_COMEDI_DT2814=3Dm
+CONFIG_COMEDI_DT2815=3Dm
+CONFIG_COMEDI_DT2817=3Dm
+CONFIG_COMEDI_DT282X=3Dm
+CONFIG_COMEDI_DMM32AT=3Dm
+CONFIG_COMEDI_FL512=3Dm
+CONFIG_COMEDI_AIO_AIO12_8=3Dm
+CONFIG_COMEDI_AIO_IIRO_16=3Dm
+CONFIG_COMEDI_II_PCI20KC=3Dm
+CONFIG_COMEDI_C6XDIGIO=3Dm
+CONFIG_COMEDI_MPC624=3Dm
+CONFIG_COMEDI_ADQ12B=3Dm
+CONFIG_COMEDI_NI_AT_A2150=3Dm
+CONFIG_COMEDI_NI_AT_AO=3Dm
+CONFIG_COMEDI_NI_ATMIO=3Dm
+CONFIG_COMEDI_NI_ATMIO16D=3Dm
+CONFIG_COMEDI_NI_LABPC_ISA=3Dm
+CONFIG_COMEDI_PCMAD=3Dm
+CONFIG_COMEDI_PCMDA12=3Dm
+CONFIG_COMEDI_PCMMIO=3Dm
+CONFIG_COMEDI_PCMUIO=3Dm
+CONFIG_COMEDI_MULTIQ3=3Dm
+CONFIG_COMEDI_S526=3Dm
+CONFIG_COMEDI_PCI_DRIVERS=3Dm
+CONFIG_COMEDI_8255_PCI=3Dm
+CONFIG_COMEDI_ADDI_WATCHDOG=3Dm
+CONFIG_COMEDI_ADDI_APCI_1032=3Dm
+CONFIG_COMEDI_ADDI_APCI_1500=3Dm
+CONFIG_COMEDI_ADDI_APCI_1516=3Dm
+CONFIG_COMEDI_ADDI_APCI_1564=3Dm
+CONFIG_COMEDI_ADDI_APCI_16XX=3Dm
+CONFIG_COMEDI_ADDI_APCI_2032=3Dm
+CONFIG_COMEDI_ADDI_APCI_2200=3Dm
+CONFIG_COMEDI_ADDI_APCI_3120=3Dm
+CONFIG_COMEDI_ADDI_APCI_3501=3Dm
+CONFIG_COMEDI_ADDI_APCI_3XXX=3Dm
+CONFIG_COMEDI_ADL_PCI6208=3Dm
+CONFIG_COMEDI_ADL_PCI7X3X=3Dm
+CONFIG_COMEDI_ADL_PCI8164=3Dm
+CONFIG_COMEDI_ADL_PCI9111=3Dm
+CONFIG_COMEDI_ADL_PCI9118=3Dm
+CONFIG_COMEDI_ADV_PCI1710=3Dm
+CONFIG_COMEDI_ADV_PCI1720=3Dm
+CONFIG_COMEDI_ADV_PCI1723=3Dm
+CONFIG_COMEDI_ADV_PCI1724=3Dm
+CONFIG_COMEDI_ADV_PCI1760=3Dm
+CONFIG_COMEDI_ADV_PCI_DIO=3Dm
+CONFIG_COMEDI_AMPLC_DIO200_PCI=3Dm
+CONFIG_COMEDI_AMPLC_PC236_PCI=3Dm
+CONFIG_COMEDI_AMPLC_PC263_PCI=3Dm
+CONFIG_COMEDI_AMPLC_PCI224=3Dm
+CONFIG_COMEDI_AMPLC_PCI230=3Dm
+CONFIG_COMEDI_CONTEC_PCI_DIO=3Dm
+CONFIG_COMEDI_DAS08_PCI=3Dm
+CONFIG_COMEDI_DT3000=3Dm
+CONFIG_COMEDI_DYNA_PCI10XX=3Dm
+CONFIG_COMEDI_GSC_HPDI=3Dm
+CONFIG_COMEDI_MF6X4=3Dm
+CONFIG_COMEDI_ICP_MULTI=3Dm
+CONFIG_COMEDI_DAQBOARD2000=3Dm
+CONFIG_COMEDI_JR3_PCI=3Dm
+CONFIG_COMEDI_KE_COUNTER=3Dm
+CONFIG_COMEDI_CB_PCIDAS64=3Dm
+CONFIG_COMEDI_CB_PCIDAS=3Dm
+CONFIG_COMEDI_CB_PCIDDA=3Dm
+CONFIG_COMEDI_CB_PCIMDAS=3Dm
+CONFIG_COMEDI_CB_PCIMDDA=3Dm
+CONFIG_COMEDI_ME4000=3Dm
+CONFIG_COMEDI_ME_DAQ=3Dm
+CONFIG_COMEDI_NI_6527=3Dm
+CONFIG_COMEDI_NI_65XX=3Dm
+CONFIG_COMEDI_NI_660X=3Dm
+CONFIG_COMEDI_NI_670X=3Dm
+CONFIG_COMEDI_NI_LABPC_PCI=3Dm
+CONFIG_COMEDI_NI_PCIDIO=3Dm
+CONFIG_COMEDI_NI_PCIMIO=3Dm
+CONFIG_COMEDI_RTD520=3Dm
+CONFIG_COMEDI_S626=3Dm
+CONFIG_COMEDI_MITE=3Dm
+CONFIG_COMEDI_NI_TIOCMD=3Dm
+CONFIG_COMEDI_PCMCIA_DRIVERS=3Dm
+CONFIG_COMEDI_CB_DAS16_CS=3Dm
+CONFIG_COMEDI_DAS08_CS=3Dm
+CONFIG_COMEDI_NI_DAQ_700_CS=3Dm
+CONFIG_COMEDI_NI_DAQ_DIO24_CS=3Dm
+CONFIG_COMEDI_NI_LABPC_CS=3Dm
+CONFIG_COMEDI_NI_MIO_CS=3Dm
+CONFIG_COMEDI_QUATECH_DAQP_CS=3Dm
+CONFIG_COMEDI_USB_DRIVERS=3Dm
+CONFIG_COMEDI_DT9812=3Dm
+CONFIG_COMEDI_NI_USB6501=3Dm
+CONFIG_COMEDI_USBDUX=3Dm
+CONFIG_COMEDI_USBDUXFAST=3Dm
+CONFIG_COMEDI_USBDUXSIGMA=3Dm
+CONFIG_COMEDI_VMK80XX=3Dm
+CONFIG_COMEDI_8254=3Dm
+CONFIG_COMEDI_8255=3Dm
+CONFIG_COMEDI_8255_SA=3Dm
+CONFIG_COMEDI_KCOMEDILIB=3Dm
+CONFIG_COMEDI_AMPLC_DIO200=3Dm
+CONFIG_COMEDI_AMPLC_PC236=3Dm
+CONFIG_COMEDI_DAS08=3Dm
+CONFIG_COMEDI_ISADMA=3Dm
+CONFIG_COMEDI_NI_LABPC=3Dm
+CONFIG_COMEDI_NI_LABPC_ISADMA=3Dm
+CONFIG_COMEDI_NI_TIO=3Dm
+CONFIG_COMEDI_NI_ROUTING=3Dm
+CONFIG_RTL8192U=3Dm
+CONFIG_RTLLIB=3Dm
+CONFIG_RTLLIB_CRYPTO_CCMP=3Dm
+CONFIG_RTLLIB_CRYPTO_TKIP=3Dm
+CONFIG_RTLLIB_CRYPTO_WEP=3Dm
+CONFIG_RTL8192E=3Dm
+CONFIG_RTL8723BS=3Dm
+CONFIG_R8712U=3Dm
+CONFIG_R8188EU=3Dm
+CONFIG_88EU_AP_MODE=3Dy
+CONFIG_RTS5208=3Dm
+CONFIG_VT6655=3Dm
+CONFIG_VT6656=3Dm
+
+#
+# IIO staging drivers
+#
+
+#
+# Accelerometers
+#
+CONFIG_ADIS16203=3Dm
+CONFIG_ADIS16240=3Dm
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+CONFIG_AD7816=3Dm
+CONFIG_AD7192=3Dm
+CONFIG_AD7280=3Dm
+# end of Analog to digital converters
+
+#
+# Analog digital bi-direction converters
+#
+CONFIG_ADT7316=3Dm
+CONFIG_ADT7316_SPI=3Dm
+CONFIG_ADT7316_I2C=3Dm
+# end of Analog digital bi-direction converters
+
+#
+# Capacitance to digital converters
+#
+CONFIG_AD7150=3Dm
+CONFIG_AD7746=3Dm
+# end of Capacitance to digital converters
+
+#
+# Direct Digital Synthesis
+#
+CONFIG_AD9832=3Dm
+CONFIG_AD9834=3Dm
+# end of Direct Digital Synthesis
+
+#
+# Network Analyzer, Impedance Converters
+#
+CONFIG_AD5933=3Dm
+# end of Network Analyzer, Impedance Converters
+
+#
+# Active energy metering IC
+#
+CONFIG_ADE7854=3Dm
+CONFIG_ADE7854_I2C=3Dm
+CONFIG_ADE7854_SPI=3Dm
+# end of Active energy metering IC
+
+#
+# Resolver to digital converters
+#
+CONFIG_AD2S1210=3Dm
+# end of Resolver to digital converters
+# end of IIO staging drivers
+
+CONFIG_FB_SM750=3Dm
+
+#
+# Speakup console speech
+#
+CONFIG_SPEAKUP=3Dm
+CONFIG_SPEAKUP_SYNTH_ACNTSA=3Dm
+CONFIG_SPEAKUP_SYNTH_APOLLO=3Dm
+CONFIG_SPEAKUP_SYNTH_AUDPTR=3Dm
+CONFIG_SPEAKUP_SYNTH_BNS=3Dm
+CONFIG_SPEAKUP_SYNTH_DECTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_DECEXT=3Dm
+CONFIG_SPEAKUP_SYNTH_LTLK=3Dm
+CONFIG_SPEAKUP_SYNTH_SOFT=3Dm
+CONFIG_SPEAKUP_SYNTH_SPKOUT=3Dm
+CONFIG_SPEAKUP_SYNTH_TXPRT=3Dm
+CONFIG_SPEAKUP_SYNTH_DUMMY=3Dm
+# end of Speakup console speech
+
+CONFIG_STAGING_MEDIA=3Dy
+CONFIG_VIDEO_IPU3_IMGU=3Dm
+
+#
+# soc_camera sensor drivers
+#
+
+#
+# Android
+#
+# end of Android
+
+CONFIG_LTE_GDM724X=3Dm
+CONFIG_FIREWIRE_SERIAL=3Dm
+CONFIG_FWTTY_MAX_TOTAL_PORTS=3D64
+CONFIG_FWTTY_MAX_CARD_PORTS=3D32
+CONFIG_GS_FPGABOOT=3Dm
+CONFIG_UNISYSSPAR=3Dy
+CONFIG_UNISYS_VISORNIC=3Dm
+CONFIG_UNISYS_VISORINPUT=3Dm
+CONFIG_UNISYS_VISORHBA=3Dm
+CONFIG_WILC1000=3Dm
+CONFIG_WILC1000_SDIO=3Dm
+CONFIG_WILC1000_SPI=3Dm
+# CONFIG_WILC1000_HW_OOB_INTR is not set
+CONFIG_MOST=3Dm
+CONFIG_MOST_CDEV=3Dm
+CONFIG_MOST_NET=3Dm
+CONFIG_MOST_SOUND=3Dm
+CONFIG_MOST_VIDEO=3Dm
+CONFIG_MOST_I2C=3Dm
+CONFIG_MOST_USB=3Dm
+CONFIG_KS7010=3Dm
+# CONFIG_PI433 is not set
+
+#
+# Gasket devices
+#
+CONFIG_STAGING_GASKET_FRAMEWORK=3Dm
+CONFIG_STAGING_APEX_DRIVER=3Dm
+# end of Gasket devices
+
+CONFIG_FIELDBUS_DEV=3Dm
+# CONFIG_KPC2000 is not set
+
+#
+# ISDN CAPI drivers
+#
+CONFIG_CAPI_AVM=3Dy
+CONFIG_ISDN_DRV_AVMB1_B1PCI=3Dm
+CONFIG_ISDN_DRV_AVMB1_B1PCIV4=3Dy
+CONFIG_ISDN_DRV_AVMB1_B1PCMCIA=3Dm
+CONFIG_ISDN_DRV_AVMB1_AVM_CS=3Dm
+CONFIG_ISDN_DRV_AVMB1_T1PCI=3Dm
+CONFIG_ISDN_DRV_AVMB1_C4=3Dm
+CONFIG_ISDN_DRV_GIGASET=3Dm
+# CONFIG_GIGASET_CAPI is not set
+CONFIG_GIGASET_BASE=3Dm
+CONFIG_GIGASET_M105=3Dm
+CONFIG_GIGASET_M101=3Dm
+# CONFIG_GIGASET_DEBUG is not set
+CONFIG_HYSDN=3Dm
+CONFIG_HYSDN_CAPI=3Dy
+# end of ISDN CAPI drivers
+
+CONFIG_USB_WUSB=3Dm
+CONFIG_USB_WUSB_CBAF=3Dm
+# CONFIG_USB_WUSB_CBAF_DEBUG is not set
+CONFIG_USB_WHCI_HCD=3Dm
+CONFIG_USB_HWA_HCD=3Dm
+CONFIG_UWB=3Dm
+CONFIG_UWB_HWA=3Dm
+CONFIG_UWB_WHCI=3Dm
+CONFIG_UWB_I1480U=3Dm
+CONFIG_EXFAT_FS=3Dm
+CONFIG_EXFAT_DONT_MOUNT_VFAT=3Dy
+CONFIG_EXFAT_DISCARD=3Dy
+# CONFIG_EXFAT_DELAYED_SYNC is not set
+# CONFIG_EXFAT_KERNEL_DEBUG is not set
+# CONFIG_EXFAT_DEBUG_MSG is not set
+CONFIG_EXFAT_DEFAULT_CODEPAGE=3D437
+CONFIG_EXFAT_DEFAULT_IOCHARSET=3D"utf8"
+CONFIG_QLGE=3Dm
+CONFIG_X86_PLATFORM_DEVICES=3Dy
+CONFIG_ACER_WMI=3Dm
+CONFIG_ACER_WIRELESS=3Dm
+CONFIG_ACERHDF=3Dm
+CONFIG_ALIENWARE_WMI=3Dm
+CONFIG_ASUS_LAPTOP=3Dm
+CONFIG_DCDBAS=3Dm
+CONFIG_DELL_SMBIOS=3Dm
+CONFIG_DELL_SMBIOS_WMI=3Dy
+CONFIG_DELL_SMBIOS_SMM=3Dy
+CONFIG_DELL_LAPTOP=3Dm
+CONFIG_DELL_WMI=3Dm
+CONFIG_DELL_WMI_DESCRIPTOR=3Dm
+CONFIG_DELL_WMI_AIO=3Dm
+CONFIG_DELL_WMI_LED=3Dm
+CONFIG_DELL_SMO8800=3Dm
+CONFIG_DELL_RBTN=3Dm
+CONFIG_DELL_RBU=3Dm
+CONFIG_FUJITSU_LAPTOP=3Dm
+CONFIG_FUJITSU_TABLET=3Dm
+CONFIG_AMILO_RFKILL=3Dm
+CONFIG_GPD_POCKET_FAN=3Dm
+CONFIG_HP_ACCEL=3Dm
+CONFIG_HP_WIRELESS=3Dm
+CONFIG_HP_WMI=3Dm
+CONFIG_LG_LAPTOP=3Dm
+CONFIG_MSI_LAPTOP=3Dm
+CONFIG_PANASONIC_LAPTOP=3Dm
+CONFIG_COMPAL_LAPTOP=3Dm
+CONFIG_SONY_LAPTOP=3Dm
+CONFIG_SONYPI_COMPAT=3Dy
+CONFIG_IDEAPAD_LAPTOP=3Dm
+CONFIG_SURFACE3_WMI=3Dm
+CONFIG_THINKPAD_ACPI=3Dm
+CONFIG_THINKPAD_ACPI_ALSA_SUPPORT=3Dy
+CONFIG_THINKPAD_ACPI_DEBUGFACILITIES=3Dy
+# CONFIG_THINKPAD_ACPI_DEBUG is not set
+# CONFIG_THINKPAD_ACPI_UNSAFE_LEDS is not set
+CONFIG_THINKPAD_ACPI_VIDEO=3Dy
+CONFIG_THINKPAD_ACPI_HOTKEY_POLL=3Dy
+CONFIG_SENSORS_HDAPS=3Dm
+CONFIG_INTEL_MENLOW=3Dm
+CONFIG_EEEPC_LAPTOP=3Dm
+CONFIG_ASUS_WMI=3Dm
+CONFIG_ASUS_NB_WMI=3Dm
+CONFIG_EEEPC_WMI=3Dm
+CONFIG_ASUS_WIRELESS=3Dm
+CONFIG_ACPI_WMI=3Dm
+CONFIG_WMI_BMOF=3Dm
+CONFIG_INTEL_WMI_THUNDERBOLT=3Dm
+CONFIG_XIAOMI_WMI=3Dm
+CONFIG_MSI_WMI=3Dm
+CONFIG_PEAQ_WMI=3Dm
+CONFIG_TOPSTAR_LAPTOP=3Dm
+CONFIG_ACPI_TOSHIBA=3Dm
+CONFIG_TOSHIBA_BT_RFKILL=3Dm
+CONFIG_TOSHIBA_HAPS=3Dm
+CONFIG_TOSHIBA_WMI=3Dm
+CONFIG_ACPI_CMPC=3Dm
+CONFIG_INTEL_CHT_INT33FE=3Dm
+CONFIG_INTEL_INT0002_VGPIO=3Dm
+CONFIG_INTEL_HID_EVENT=3Dm
+CONFIG_INTEL_VBTN=3Dm
+CONFIG_INTEL_IPS=3Dm
+CONFIG_INTEL_PMC_CORE=3Dy
+CONFIG_IBM_RTL=3Dm
+CONFIG_SAMSUNG_LAPTOP=3Dm
+CONFIG_MXM_WMI=3Dm
+CONFIG_INTEL_OAKTRAIL=3Dm
+CONFIG_SAMSUNG_Q10=3Dm
+CONFIG_APPLE_GMUX=3Dm
+CONFIG_INTEL_RST=3Dm
+CONFIG_INTEL_SMARTCONNECT=3Dm
+CONFIG_INTEL_PMC_IPC=3Dm
+CONFIG_INTEL_BXTWC_PMIC_TMU=3Dm
+CONFIG_SURFACE_PRO3_BUTTON=3Dm
+CONFIG_SURFACE_3_BUTTON=3Dm
+CONFIG_INTEL_PUNIT_IPC=3Dm
+CONFIG_INTEL_TELEMETRY=3Dm
+# CONFIG_MLX_PLATFORM is not set
+# CONFIG_INTEL_TURBO_MAX_3 is not set
+# CONFIG_TOUCHSCREEN_DMI is not set
+CONFIG_INTEL_CHTDC_TI_PWRBTN=3Dm
+CONFIG_I2C_MULTI_INSTANTIATE=3Dm
+CONFIG_INTEL_ATOMISP2_PM=3Dm
+CONFIG_HUAWEI_WMI=3Dm
+CONFIG_PCENGINES_APU2=3Dm
+
+#
+# Intel Speed Select Technology interface support
+#
+CONFIG_INTEL_SPEED_SELECT_INTERFACE=3Dm
+# end of Intel Speed Select Technology interface support
+
+CONFIG_PMC_ATOM=3Dy
+CONFIG_MFD_CROS_EC=3Dm
+CONFIG_CHROME_PLATFORMS=3Dy
+CONFIG_CHROMEOS_LAPTOP=3Dm
+CONFIG_CHROMEOS_PSTORE=3Dm
+CONFIG_CHROMEOS_TBMC=3Dm
+CONFIG_CROS_EC=3Dm
+CONFIG_CROS_EC_I2C=3Dm
+CONFIG_CROS_EC_ISHTP=3Dm
+CONFIG_CROS_EC_SPI=3Dm
+CONFIG_CROS_EC_LPC=3Dm
+CONFIG_CROS_EC_PROTO=3Dy
+CONFIG_CROS_KBD_LED_BACKLIGHT=3Dm
+CONFIG_CROS_EC_CHARDEV=3Dm
+CONFIG_CROS_EC_LIGHTBAR=3Dm
+CONFIG_CROS_EC_DEBUGFS=3Dm
+CONFIG_CROS_EC_SYSFS=3Dm
+CONFIG_CROS_USBPD_LOGGER=3Dm
+CONFIG_WILCO_EC=3Dm
+# CONFIG_WILCO_EC_DEBUGFS is not set
+CONFIG_WILCO_EC_EVENTS=3Dm
+CONFIG_WILCO_EC_TELEMETRY=3Dm
+# CONFIG_MELLANOX_PLATFORM is not set
+CONFIG_CLKDEV_LOOKUP=3Dy
+CONFIG_HAVE_CLK_PREPARE=3Dy
+CONFIG_COMMON_CLK=3Dy
+
+#
+# Common Clock Framework
+#
+CONFIG_COMMON_CLK_WM831X=3Dm
+CONFIG_COMMON_CLK_MAX9485=3Dm
+CONFIG_COMMON_CLK_SI5341=3Dm
+CONFIG_COMMON_CLK_SI5351=3Dm
+CONFIG_COMMON_CLK_SI544=3Dm
+CONFIG_COMMON_CLK_CDCE706=3Dm
+CONFIG_COMMON_CLK_CS2000_CP=3Dm
+CONFIG_COMMON_CLK_S2MPS11=3Dm
+CONFIG_CLK_TWL6040=3Dm
+CONFIG_COMMON_CLK_PALMAS=3Dm
+CONFIG_COMMON_CLK_PWM=3Dm
+# end of Common Clock Framework
+
+# CONFIG_HWSPINLOCK is not set
+
+#
+# Clock Source drivers
+#
+CONFIG_CLKEVT_I8253=3Dy
+CONFIG_I8253_LOCK=3Dy
+CONFIG_CLKBLD_I8253=3Dy
+# end of Clock Source drivers
+
+CONFIG_MAILBOX=3Dy
+CONFIG_PCC=3Dy
+CONFIG_ALTERA_MBOX=3Dm
+CONFIG_IOMMU_IOVA=3Dy
+CONFIG_IOMMU_API=3Dy
+CONFIG_IOMMU_SUPPORT=3Dy
+
+#
+# Generic IOMMU Pagetable Support
+#
+# end of Generic IOMMU Pagetable Support
+
+# CONFIG_IOMMU_DEBUGFS is not set
+# CONFIG_IOMMU_DEFAULT_PASSTHROUGH is not set
+CONFIG_AMD_IOMMU=3Dy
+CONFIG_AMD_IOMMU_V2=3Dm
+CONFIG_DMAR_TABLE=3Dy
+CONFIG_INTEL_IOMMU=3Dy
+CONFIG_INTEL_IOMMU_SVM=3Dy
+# CONFIG_INTEL_IOMMU_DEFAULT_ON is not set
+CONFIG_INTEL_IOMMU_FLOPPY_WA=3Dy
+CONFIG_IRQ_REMAP=3Dy
+CONFIG_HYPERV_IOMMU=3Dy
+
+#
+# Remoteproc drivers
+#
+# CONFIG_REMOTEPROC is not set
+# end of Remoteproc drivers
+
+#
+# Rpmsg drivers
+#
+CONFIG_RPMSG=3Dm
+# CONFIG_RPMSG_CHAR is not set
+CONFIG_RPMSG_QCOM_GLINK_NATIVE=3Dm
+CONFIG_RPMSG_QCOM_GLINK_RPM=3Dm
+CONFIG_RPMSG_VIRTIO=3Dm
+# end of Rpmsg drivers
+
+# CONFIG_SOUNDWIRE is not set
+
+#
+# SOC (System On Chip) specific Drivers
+#
+
+#
+# Amlogic SoC drivers
+#
+# end of Amlogic SoC drivers
+
+#
+# Aspeed SoC drivers
+#
+# end of Aspeed SoC drivers
+
+#
+# Broadcom SoC drivers
+#
+# end of Broadcom SoC drivers
+
+#
+# NXP/Freescale QorIQ SoC drivers
+#
+# end of NXP/Freescale QorIQ SoC drivers
+
+#
+# i.MX SoC drivers
+#
+# end of i.MX SoC drivers
+
+#
+# Qualcomm SoC drivers
+#
+# end of Qualcomm SoC drivers
+
+CONFIG_SOC_TI=3Dy
+
+#
+# Xilinx SoC drivers
+#
+CONFIG_XILINX_VCU=3Dm
+# end of Xilinx SoC drivers
+# end of SOC (System On Chip) specific Drivers
+
+CONFIG_PM_DEVFREQ=3Dy
+
+#
+# DEVFREQ Governors
+#
+CONFIG_DEVFREQ_GOV_SIMPLE_ONDEMAND=3Dy
+CONFIG_DEVFREQ_GOV_PERFORMANCE=3Dy
+CONFIG_DEVFREQ_GOV_POWERSAVE=3Dy
+CONFIG_DEVFREQ_GOV_USERSPACE=3Dy
+CONFIG_DEVFREQ_GOV_PASSIVE=3Dm
+
+#
+# DEVFREQ Drivers
+#
+CONFIG_PM_DEVFREQ_EVENT=3Dy
+CONFIG_EXTCON=3Dy
+
+#
+# Extcon Device Drivers
+#
+CONFIG_EXTCON_ADC_JACK=3Dm
+CONFIG_EXTCON_ARIZONA=3Dm
+CONFIG_EXTCON_AXP288=3Dm
+CONFIG_EXTCON_FSA9480=3Dm
+CONFIG_EXTCON_GPIO=3Dm
+CONFIG_EXTCON_INTEL_INT3496=3Dm
+CONFIG_EXTCON_INTEL_CHT_WC=3Dm
+CONFIG_EXTCON_MAX14577=3Dm
+CONFIG_EXTCON_MAX3355=3Dm
+CONFIG_EXTCON_MAX77693=3Dm
+CONFIG_EXTCON_MAX77843=3Dm
+CONFIG_EXTCON_MAX8997=3Dm
+CONFIG_EXTCON_PALMAS=3Dm
+CONFIG_EXTCON_PTN5150=3Dm
+CONFIG_EXTCON_RT8973A=3Dm
+CONFIG_EXTCON_SM5502=3Dm
+CONFIG_EXTCON_USB_GPIO=3Dm
+CONFIG_EXTCON_USBC_CROS_EC=3Dm
+CONFIG_MEMORY=3Dy
+CONFIG_IIO=3Dm
+CONFIG_IIO_BUFFER=3Dy
+CONFIG_IIO_BUFFER_CB=3Dm
+CONFIG_IIO_BUFFER_HW_CONSUMER=3Dm
+CONFIG_IIO_KFIFO_BUF=3Dm
+CONFIG_IIO_TRIGGERED_BUFFER=3Dm
+CONFIG_IIO_CONFIGFS=3Dm
+CONFIG_IIO_TRIGGER=3Dy
+CONFIG_IIO_CONSUMERS_PER_TRIGGER=3D2
+CONFIG_IIO_SW_DEVICE=3Dm
+CONFIG_IIO_SW_TRIGGER=3Dm
+CONFIG_IIO_TRIGGERED_EVENT=3Dm
+
+#
+# Accelerometers
+#
+CONFIG_ADIS16201=3Dm
+CONFIG_ADIS16209=3Dm
+CONFIG_ADXL372=3Dm
+CONFIG_ADXL372_SPI=3Dm
+CONFIG_ADXL372_I2C=3Dm
+CONFIG_BMA180=3Dm
+CONFIG_BMA220=3Dm
+CONFIG_BMC150_ACCEL=3Dm
+CONFIG_BMC150_ACCEL_I2C=3Dm
+CONFIG_BMC150_ACCEL_SPI=3Dm
+CONFIG_DA280=3Dm
+CONFIG_DA311=3Dm
+CONFIG_DMARD09=3Dm
+CONFIG_DMARD10=3Dm
+CONFIG_HID_SENSOR_ACCEL_3D=3Dm
+CONFIG_IIO_CROS_EC_ACCEL_LEGACY=3Dm
+CONFIG_IIO_ST_ACCEL_3AXIS=3Dm
+CONFIG_IIO_ST_ACCEL_I2C_3AXIS=3Dm
+CONFIG_IIO_ST_ACCEL_SPI_3AXIS=3Dm
+CONFIG_KXSD9=3Dm
+CONFIG_KXSD9_SPI=3Dm
+CONFIG_KXSD9_I2C=3Dm
+CONFIG_KXCJK1013=3Dm
+CONFIG_MC3230=3Dm
+CONFIG_MMA7455=3Dm
+CONFIG_MMA7455_I2C=3Dm
+CONFIG_MMA7455_SPI=3Dm
+CONFIG_MMA7660=3Dm
+CONFIG_MMA8452=3Dm
+CONFIG_MMA9551_CORE=3Dm
+CONFIG_MMA9551=3Dm
+CONFIG_MMA9553=3Dm
+CONFIG_MXC4005=3Dm
+CONFIG_MXC6255=3Dm
+CONFIG_SCA3000=3Dm
+CONFIG_STK8312=3Dm
+CONFIG_STK8BA50=3Dm
+# end of Accelerometers
+
+#
+# Analog to digital converters
+#
+CONFIG_AD_SIGMA_DELTA=3Dm
+CONFIG_AD7124=3Dm
+CONFIG_AD7266=3Dm
+CONFIG_AD7291=3Dm
+CONFIG_AD7298=3Dm
+CONFIG_AD7476=3Dm
+CONFIG_AD7606=3Dm
+CONFIG_AD7606_IFACE_PARALLEL=3Dm
+CONFIG_AD7606_IFACE_SPI=3Dm
+CONFIG_AD7766=3Dm
+CONFIG_AD7768_1=3Dm
+CONFIG_AD7780=3Dm
+CONFIG_AD7791=3Dm
+CONFIG_AD7793=3Dm
+CONFIG_AD7887=3Dm
+CONFIG_AD7923=3Dm
+CONFIG_AD7949=3Dm
+CONFIG_AD799X=3Dm
+CONFIG_AXP20X_ADC=3Dm
+CONFIG_AXP288_ADC=3Dm
+CONFIG_CC10001_ADC=3Dm
+CONFIG_DA9150_GPADC=3Dm
+CONFIG_DLN2_ADC=3Dm
+CONFIG_HI8435=3Dm
+CONFIG_HX711=3Dm
+CONFIG_INA2XX_ADC=3Dm
+CONFIG_LP8788_ADC=3Dm
+CONFIG_LTC2471=3Dm
+CONFIG_LTC2485=3Dm
+CONFIG_LTC2497=3Dm
+CONFIG_MAX1027=3Dm
+CONFIG_MAX11100=3Dm
+CONFIG_MAX1118=3Dm
+CONFIG_MAX1363=3Dm
+CONFIG_MAX9611=3Dm
+CONFIG_MCP320X=3Dm
+CONFIG_MCP3422=3Dm
+CONFIG_MCP3911=3Dm
+CONFIG_MEN_Z188_ADC=3Dm
+CONFIG_NAU7802=3Dm
+CONFIG_PALMAS_GPADC=3Dm
+CONFIG_QCOM_VADC_COMMON=3Dm
+CONFIG_QCOM_SPMI_IADC=3Dm
+CONFIG_QCOM_SPMI_VADC=3Dm
+CONFIG_QCOM_SPMI_ADC5=3Dm
+CONFIG_TI_ADC081C=3Dm
+CONFIG_TI_ADC0832=3Dm
+CONFIG_TI_ADC084S021=3Dm
+CONFIG_TI_ADC12138=3Dm
+CONFIG_TI_ADC108S102=3Dm
+CONFIG_TI_ADC128S052=3Dm
+CONFIG_TI_ADC161S626=3Dm
+CONFIG_TI_ADS1015=3Dm
+CONFIG_TI_ADS7950=3Dm
+CONFIG_TI_AM335X_ADC=3Dm
+CONFIG_TI_TLC4541=3Dm
+CONFIG_TWL4030_MADC=3Dm
+CONFIG_TWL6030_GPADC=3Dm
+CONFIG_VIPERBOARD_ADC=3Dm
+CONFIG_XILINX_XADC=3Dm
+# end of Analog to digital converters
+
+#
+# Analog Front Ends
+#
+# end of Analog Front Ends
+
+#
+# Amplifiers
+#
+CONFIG_AD8366=3Dm
+# end of Amplifiers
+
+#
+# Chemical Sensors
+#
+CONFIG_ATLAS_PH_SENSOR=3Dm
+CONFIG_BME680=3Dm
+CONFIG_BME680_I2C=3Dm
+CONFIG_BME680_SPI=3Dm
+CONFIG_CCS811=3Dm
+CONFIG_IAQCORE=3Dm
+CONFIG_PMS7003=3Dm
+CONFIG_SENSIRION_SGP30=3Dm
+CONFIG_SPS30=3Dm
+CONFIG_VZ89X=3Dm
+# end of Chemical Sensors
+
+CONFIG_IIO_CROS_EC_SENSORS_CORE=3Dm
+CONFIG_IIO_CROS_EC_SENSORS=3Dm
+CONFIG_IIO_CROS_EC_SENSORS_LID_ANGLE=3Dm
+
+#
+# Hid Sensor IIO Common
+#
+CONFIG_HID_SENSOR_IIO_COMMON=3Dm
+CONFIG_HID_SENSOR_IIO_TRIGGER=3Dm
+# end of Hid Sensor IIO Common
+
+CONFIG_IIO_MS_SENSORS_I2C=3Dm
+
+#
+# SSP Sensor Common
+#
+CONFIG_IIO_SSP_SENSORS_COMMONS=3Dm
+CONFIG_IIO_SSP_SENSORHUB=3Dm
+# end of SSP Sensor Common
+
+CONFIG_IIO_ST_SENSORS_I2C=3Dm
+CONFIG_IIO_ST_SENSORS_SPI=3Dm
+CONFIG_IIO_ST_SENSORS_CORE=3Dm
+
+#
+# Digital to analog converters
+#
+CONFIG_AD5064=3Dm
+CONFIG_AD5360=3Dm
+CONFIG_AD5380=3Dm
+CONFIG_AD5421=3Dm
+CONFIG_AD5446=3Dm
+CONFIG_AD5449=3Dm
+CONFIG_AD5592R_BASE=3Dm
+CONFIG_AD5592R=3Dm
+CONFIG_AD5593R=3Dm
+CONFIG_AD5504=3Dm
+CONFIG_AD5624R_SPI=3Dm
+CONFIG_LTC1660=3Dm
+CONFIG_LTC2632=3Dm
+CONFIG_AD5686=3Dm
+CONFIG_AD5686_SPI=3Dm
+CONFIG_AD5696_I2C=3Dm
+CONFIG_AD5755=3Dm
+CONFIG_AD5758=3Dm
+CONFIG_AD5761=3Dm
+CONFIG_AD5764=3Dm
+CONFIG_AD5791=3Dm
+CONFIG_AD7303=3Dm
+CONFIG_AD8801=3Dm
+CONFIG_DS4424=3Dm
+CONFIG_M62332=3Dm
+CONFIG_MAX517=3Dm
+CONFIG_MCP4725=3Dm
+CONFIG_MCP4922=3Dm
+CONFIG_TI_DAC082S085=3Dm
+CONFIG_TI_DAC5571=3Dm
+CONFIG_TI_DAC7311=3Dm
+CONFIG_TI_DAC7612=3Dm
+# end of Digital to analog converters
+
+#
+# IIO dummy driver
+#
+CONFIG_IIO_SIMPLE_DUMMY=3Dm
+# CONFIG_IIO_SIMPLE_DUMMY_EVENTS is not set
+# CONFIG_IIO_SIMPLE_DUMMY_BUFFER is not set
+# end of IIO dummy driver
+
+#
+# Frequency Synthesizers DDS/PLL
+#
+
+#
+# Clock Generator/Distribution
+#
+CONFIG_AD9523=3Dm
+# end of Clock Generator/Distribution
+
+#
+# Phase-Locked Loop (PLL) frequency synthesizers
+#
+CONFIG_ADF4350=3Dm
+CONFIG_ADF4371=3Dm
+# end of Phase-Locked Loop (PLL) frequency synthesizers
+# end of Frequency Synthesizers DDS/PLL
+
+#
+# Digital gyroscope sensors
+#
+CONFIG_ADIS16080=3Dm
+CONFIG_ADIS16130=3Dm
+CONFIG_ADIS16136=3Dm
+CONFIG_ADIS16260=3Dm
+CONFIG_ADXRS450=3Dm
+CONFIG_BMG160=3Dm
+CONFIG_BMG160_I2C=3Dm
+CONFIG_BMG160_SPI=3Dm
+CONFIG_FXAS21002C=3Dm
+CONFIG_FXAS21002C_I2C=3Dm
+CONFIG_FXAS21002C_SPI=3Dm
+CONFIG_HID_SENSOR_GYRO_3D=3Dm
+CONFIG_MPU3050=3Dm
+CONFIG_MPU3050_I2C=3Dm
+CONFIG_IIO_ST_GYRO_3AXIS=3Dm
+CONFIG_IIO_ST_GYRO_I2C_3AXIS=3Dm
+CONFIG_IIO_ST_GYRO_SPI_3AXIS=3Dm
+CONFIG_ITG3200=3Dm
+# end of Digital gyroscope sensors
+
+#
+# Health Sensors
+#
+
+#
+# Heart Rate Monitors
+#
+CONFIG_AFE4403=3Dm
+CONFIG_AFE4404=3Dm
+CONFIG_MAX30100=3Dm
+CONFIG_MAX30102=3Dm
+# end of Heart Rate Monitors
+# end of Health Sensors
+
+#
+# Humidity sensors
+#
+CONFIG_AM2315=3Dm
+CONFIG_DHT11=3Dm
+CONFIG_HDC100X=3Dm
+CONFIG_HID_SENSOR_HUMIDITY=3Dm
+CONFIG_HTS221=3Dm
+CONFIG_HTS221_I2C=3Dm
+CONFIG_HTS221_SPI=3Dm
+CONFIG_HTU21=3Dm
+CONFIG_SI7005=3Dm
+CONFIG_SI7020=3Dm
+# end of Humidity sensors
+
+#
+# Inertial measurement units
+#
+CONFIG_ADIS16400=3Dm
+CONFIG_ADIS16460=3Dm
+CONFIG_ADIS16480=3Dm
+CONFIG_BMI160=3Dm
+CONFIG_BMI160_I2C=3Dm
+CONFIG_BMI160_SPI=3Dm
+CONFIG_KMX61=3Dm
+CONFIG_INV_MPU6050_IIO=3Dm
+CONFIG_INV_MPU6050_I2C=3Dm
+CONFIG_INV_MPU6050_SPI=3Dm
+CONFIG_IIO_ST_LSM6DSX=3Dm
+CONFIG_IIO_ST_LSM6DSX_I2C=3Dm
+CONFIG_IIO_ST_LSM6DSX_SPI=3Dm
+CONFIG_IIO_ST_LSM6DSX_I3C=3Dm
+# end of Inertial measurement units
+
+CONFIG_IIO_ADIS_LIB=3Dm
+CONFIG_IIO_ADIS_LIB_BUFFER=3Dy
+
+#
+# Light sensors
+#
+CONFIG_ACPI_ALS=3Dm
+CONFIG_ADJD_S311=3Dm
+CONFIG_AL3320A=3Dm
+CONFIG_APDS9300=3Dm
+CONFIG_APDS9960=3Dm
+CONFIG_BH1750=3Dm
+CONFIG_BH1780=3Dm
+CONFIG_CM32181=3Dm
+CONFIG_CM3232=3Dm
+CONFIG_CM3323=3Dm
+CONFIG_CM36651=3Dm
+CONFIG_IIO_CROS_EC_LIGHT_PROX=3Dm
+CONFIG_GP2AP020A00F=3Dm
+CONFIG_SENSORS_ISL29018=3Dm
+CONFIG_SENSORS_ISL29028=3Dm
+CONFIG_ISL29125=3Dm
+CONFIG_HID_SENSOR_ALS=3Dm
+CONFIG_HID_SENSOR_PROX=3Dm
+CONFIG_JSA1212=3Dm
+CONFIG_RPR0521=3Dm
+CONFIG_SENSORS_LM3533=3Dm
+CONFIG_LTR501=3Dm
+CONFIG_LV0104CS=3Dm
+CONFIG_MAX44000=3Dm
+CONFIG_MAX44009=3Dm
+CONFIG_NOA1305=3Dm
+CONFIG_OPT3001=3Dm
+CONFIG_PA12203001=3Dm
+CONFIG_SI1133=3Dm
+CONFIG_SI1145=3Dm
+CONFIG_STK3310=3Dm
+CONFIG_ST_UVIS25=3Dm
+CONFIG_ST_UVIS25_I2C=3Dm
+CONFIG_ST_UVIS25_SPI=3Dm
+CONFIG_TCS3414=3Dm
+CONFIG_TCS3472=3Dm
+CONFIG_SENSORS_TSL2563=3Dm
+CONFIG_TSL2583=3Dm
+CONFIG_TSL2772=3Dm
+CONFIG_TSL4531=3Dm
+CONFIG_US5182D=3Dm
+CONFIG_VCNL4000=3Dm
+CONFIG_VCNL4035=3Dm
+CONFIG_VEML6070=3Dm
+CONFIG_VL6180=3Dm
+CONFIG_ZOPT2201=3Dm
+# end of Light sensors
+
+#
+# Magnetometer sensors
+#
+CONFIG_AK8975=3Dm
+CONFIG_AK09911=3Dm
+CONFIG_BMC150_MAGN=3Dm
+CONFIG_BMC150_MAGN_I2C=3Dm
+CONFIG_BMC150_MAGN_SPI=3Dm
+CONFIG_MAG3110=3Dm
+CONFIG_HID_SENSOR_MAGNETOMETER_3D=3Dm
+CONFIG_MMC35240=3Dm
+CONFIG_IIO_ST_MAGN_3AXIS=3Dm
+CONFIG_IIO_ST_MAGN_I2C_3AXIS=3Dm
+CONFIG_IIO_ST_MAGN_SPI_3AXIS=3Dm
+CONFIG_SENSORS_HMC5843=3Dm
+CONFIG_SENSORS_HMC5843_I2C=3Dm
+CONFIG_SENSORS_HMC5843_SPI=3Dm
+CONFIG_SENSORS_RM3100=3Dm
+CONFIG_SENSORS_RM3100_I2C=3Dm
+CONFIG_SENSORS_RM3100_SPI=3Dm
+# end of Magnetometer sensors
+
+#
+# Multiplexers
+#
+# end of Multiplexers
+
+#
+# Inclinometer sensors
+#
+CONFIG_HID_SENSOR_INCLINOMETER_3D=3Dm
+CONFIG_HID_SENSOR_DEVICE_ROTATION=3Dm
+# end of Inclinometer sensors
+
+#
+# Triggers - standalone
+#
+CONFIG_IIO_HRTIMER_TRIGGER=3Dm
+CONFIG_IIO_INTERRUPT_TRIGGER=3Dm
+CONFIG_IIO_TIGHTLOOP_TRIGGER=3Dm
+CONFIG_IIO_SYSFS_TRIGGER=3Dm
+# end of Triggers - standalone
+
+#
+# Digital potentiometers
+#
+CONFIG_AD5272=3Dm
+CONFIG_DS1803=3Dm
+CONFIG_MAX5432=3Dm
+CONFIG_MAX5481=3Dm
+CONFIG_MAX5487=3Dm
+CONFIG_MCP4018=3Dm
+CONFIG_MCP4131=3Dm
+CONFIG_MCP4531=3Dm
+CONFIG_MCP41010=3Dm
+CONFIG_TPL0102=3Dm
+# end of Digital potentiometers
+
+#
+# Digital potentiostats
+#
+CONFIG_LMP91000=3Dm
+# end of Digital potentiostats
+
+#
+# Pressure sensors
+#
+CONFIG_ABP060MG=3Dm
+CONFIG_BMP280=3Dm
+CONFIG_BMP280_I2C=3Dm
+CONFIG_BMP280_SPI=3Dm
+CONFIG_IIO_CROS_EC_BARO=3Dm
+CONFIG_DPS310=3Dm
+CONFIG_HID_SENSOR_PRESS=3Dm
+CONFIG_HP03=3Dm
+CONFIG_MPL115=3Dm
+CONFIG_MPL115_I2C=3Dm
+CONFIG_MPL115_SPI=3Dm
+CONFIG_MPL3115=3Dm
+CONFIG_MS5611=3Dm
+CONFIG_MS5611_I2C=3Dm
+CONFIG_MS5611_SPI=3Dm
+CONFIG_MS5637=3Dm
+CONFIG_IIO_ST_PRESS=3Dm
+CONFIG_IIO_ST_PRESS_I2C=3Dm
+CONFIG_IIO_ST_PRESS_SPI=3Dm
+CONFIG_T5403=3Dm
+CONFIG_HP206C=3Dm
+CONFIG_ZPA2326=3Dm
+CONFIG_ZPA2326_I2C=3Dm
+CONFIG_ZPA2326_SPI=3Dm
+# end of Pressure sensors
+
+#
+# Lightning sensors
+#
+CONFIG_AS3935=3Dm
+# end of Lightning sensors
+
+#
+# Proximity and distance sensors
+#
+CONFIG_ISL29501=3Dm
+CONFIG_LIDAR_LITE_V2=3Dm
+CONFIG_MB1232=3Dm
+CONFIG_RFD77402=3Dm
+CONFIG_SRF04=3Dm
+CONFIG_SX9500=3Dm
+CONFIG_SRF08=3Dm
+CONFIG_VL53L0X_I2C=3Dm
+# end of Proximity and distance sensors
+
+#
+# Resolver to digital converters
+#
+CONFIG_AD2S90=3Dm
+CONFIG_AD2S1200=3Dm
+# end of Resolver to digital converters
+
+#
+# Temperature sensors
+#
+CONFIG_MAXIM_THERMOCOUPLE=3Dm
+CONFIG_HID_SENSOR_TEMP=3Dm
+CONFIG_MLX90614=3Dm
+CONFIG_MLX90632=3Dm
+CONFIG_TMP006=3Dm
+CONFIG_TMP007=3Dm
+CONFIG_TSYS01=3Dm
+CONFIG_TSYS02D=3Dm
+CONFIG_MAX31856=3Dm
+# end of Temperature sensors
+
+CONFIG_NTB=3Dm
+CONFIG_NTB_MSI=3Dy
+CONFIG_NTB_AMD=3Dm
+CONFIG_NTB_IDT=3Dm
+CONFIG_NTB_INTEL=3Dm
+CONFIG_NTB_SWITCHTEC=3Dm
+CONFIG_NTB_PINGPONG=3Dm
+CONFIG_NTB_TOOL=3Dm
+CONFIG_NTB_PERF=3Dm
+CONFIG_NTB_MSI_TEST=3Dm
+CONFIG_NTB_TRANSPORT=3Dm
+CONFIG_VME_BUS=3Dy
+
+#
+# VME Bridge Drivers
+#
+CONFIG_VME_CA91CX42=3Dm
+CONFIG_VME_TSI148=3Dm
+# CONFIG_VME_FAKE is not set
+
+#
+# VME Board Drivers
+#
+CONFIG_VMIVME_7805=3Dm
+
+#
+# VME Device Drivers
+#
+CONFIG_VME_USER=3Dm
+CONFIG_PWM=3Dy
+CONFIG_PWM_SYSFS=3Dy
+CONFIG_PWM_CRC=3Dy
+CONFIG_PWM_CROS_EC=3Dm
+CONFIG_PWM_LP3943=3Dm
+CONFIG_PWM_LPSS=3Dm
+CONFIG_PWM_LPSS_PCI=3Dm
+CONFIG_PWM_LPSS_PLATFORM=3Dm
+CONFIG_PWM_PCA9685=3Dm
+CONFIG_PWM_TWL=3Dm
+CONFIG_PWM_TWL_LED=3Dm
+
+#
+# IRQ chip support
+#
+CONFIG_MADERA_IRQ=3Dm
+# end of IRQ chip support
+
+CONFIG_IPACK_BUS=3Dm
+CONFIG_BOARD_TPCI200=3Dm
+CONFIG_SERIAL_IPOCTAL=3Dm
+CONFIG_RESET_CONTROLLER=3Dy
+CONFIG_RESET_TI_SYSCON=3Dm
+
+#
+# PHY Subsystem
+#
+CONFIG_GENERIC_PHY=3Dy
+CONFIG_BCM_KONA_USB2_PHY=3Dm
+CONFIG_PHY_PXA_28NM_HSIC=3Dm
+CONFIG_PHY_PXA_28NM_USB2=3Dm
+CONFIG_PHY_CPCAP_USB=3Dm
+CONFIG_PHY_QCOM_USB_HS=3Dm
+CONFIG_PHY_QCOM_USB_HSIC=3Dm
+CONFIG_PHY_SAMSUNG_USB2=3Dm
+CONFIG_PHY_TUSB1210=3Dm
+# end of PHY Subsystem
+
+CONFIG_POWERCAP=3Dy
+CONFIG_INTEL_RAPL_CORE=3Dm
+CONFIG_INTEL_RAPL=3Dm
+# CONFIG_IDLE_INJECT is not set
+CONFIG_MCB=3Dm
+CONFIG_MCB_PCI=3Dm
+CONFIG_MCB_LPC=3Dm
+
+#
+# Performance monitor support
+#
+# end of Performance monitor support
+
+CONFIG_RAS=3Dy
+# CONFIG_RAS_CEC is not set
+CONFIG_THUNDERBOLT=3Dm
+
+#
+# Android
+#
+# CONFIG_ANDROID is not set
+# end of Android
+
+CONFIG_LIBNVDIMM=3Dy
+CONFIG_BLK_DEV_PMEM=3Dm
+CONFIG_ND_BLK=3Dm
+CONFIG_ND_CLAIM=3Dy
+CONFIG_ND_BTT=3Dm
+CONFIG_BTT=3Dy
+CONFIG_ND_PFN=3Dm
+CONFIG_NVDIMM_PFN=3Dy
+CONFIG_NVDIMM_DAX=3Dy
+CONFIG_NVDIMM_KEYS=3Dy
+CONFIG_DAX_DRIVER=3Dy
+CONFIG_DAX=3Dy
+CONFIG_DEV_DAX=3Dm
+CONFIG_DEV_DAX_PMEM=3Dm
+CONFIG_DEV_DAX_KMEM=3Dm
+CONFIG_DEV_DAX_PMEM_COMPAT=3Dm
+CONFIG_NVMEM=3Dy
+CONFIG_NVMEM_SYSFS=3Dy
+CONFIG_RAVE_SP_EEPROM=3Dm
+
+#
+# HW tracing support
+#
+CONFIG_STM=3Dm
+CONFIG_STM_PROTO_BASIC=3Dm
+CONFIG_STM_PROTO_SYS_T=3Dm
+CONFIG_STM_DUMMY=3Dm
+CONFIG_STM_SOURCE_CONSOLE=3Dm
+CONFIG_STM_SOURCE_HEARTBEAT=3Dm
+CONFIG_STM_SOURCE_FTRACE=3Dm
+CONFIG_INTEL_TH=3Dm
+CONFIG_INTEL_TH_PCI=3Dm
+CONFIG_INTEL_TH_ACPI=3Dm
+CONFIG_INTEL_TH_GTH=3Dm
+CONFIG_INTEL_TH_STH=3Dm
+CONFIG_INTEL_TH_MSU=3Dm
+CONFIG_INTEL_TH_PTI=3Dm
+# CONFIG_INTEL_TH_DEBUG is not set
+# end of HW tracing support
+
+CONFIG_FPGA=3Dm
+CONFIG_ALTERA_PR_IP_CORE=3Dm
+CONFIG_FPGA_MGR_ALTERA_PS_SPI=3Dm
+CONFIG_FPGA_MGR_ALTERA_CVP=3Dm
+CONFIG_FPGA_MGR_XILINX_SPI=3Dm
+CONFIG_FPGA_MGR_MACHXO2_SPI=3Dm
+CONFIG_FPGA_BRIDGE=3Dm
+CONFIG_ALTERA_FREEZE_BRIDGE=3Dm
+CONFIG_XILINX_PR_DECOUPLER=3Dm
+CONFIG_FPGA_REGION=3Dm
+CONFIG_FPGA_DFL=3Dm
+CONFIG_FPGA_DFL_FME=3Dm
+CONFIG_FPGA_DFL_FME_MGR=3Dm
+CONFIG_FPGA_DFL_FME_BRIDGE=3Dm
+CONFIG_FPGA_DFL_FME_REGION=3Dm
+CONFIG_FPGA_DFL_AFU=3Dm
+CONFIG_FPGA_DFL_PCI=3Dm
+CONFIG_PM_OPP=3Dy
+CONFIG_UNISYS_VISORBUS=3Dm
+# CONFIG_SIOX is not set
+# CONFIG_SLIMBUS is not set
+# CONFIG_INTERCONNECT is not set
+CONFIG_COUNTER=3Dm
+# end of Device Drivers
+
+#
+# File systems
+#
+CONFIG_DCACHE_WORD_ACCESS=3Dy
+CONFIG_VALIDATE_FS_PARSER=3Dy
+CONFIG_FS_IOMAP=3Dy
+# CONFIG_EXT2_FS is not set
+# CONFIG_EXT3_FS is not set
+CONFIG_EXT4_FS=3Dy
+CONFIG_EXT4_USE_FOR_EXT2=3Dy
+CONFIG_EXT4_FS_POSIX_ACL=3Dy
+CONFIG_EXT4_FS_SECURITY=3Dy
+# CONFIG_EXT4_DEBUG is not set
+CONFIG_JBD2=3Dy
+# CONFIG_JBD2_DEBUG is not set
+CONFIG_FS_MBCACHE=3Dy
+CONFIG_REISERFS_FS=3Dm
+# CONFIG_REISERFS_CHECK is not set
+# CONFIG_REISERFS_PROC_INFO is not set
+CONFIG_REISERFS_FS_XATTR=3Dy
+CONFIG_REISERFS_FS_POSIX_ACL=3Dy
+CONFIG_REISERFS_FS_SECURITY=3Dy
+CONFIG_JFS_FS=3Dm
+CONFIG_JFS_POSIX_ACL=3Dy
+CONFIG_JFS_SECURITY=3Dy
+# CONFIG_JFS_DEBUG is not set
+CONFIG_JFS_STATISTICS=3Dy
+CONFIG_XFS_FS=3Dm
+CONFIG_XFS_QUOTA=3Dy
+CONFIG_XFS_POSIX_ACL=3Dy
+CONFIG_XFS_RT=3Dy
+# CONFIG_XFS_ONLINE_SCRUB is not set
+# CONFIG_XFS_WARN is not set
+# CONFIG_XFS_DEBUG is not set
+CONFIG_GFS2_FS=3Dm
+CONFIG_GFS2_FS_LOCKING_DLM=3Dy
+CONFIG_OCFS2_FS=3Dm
+CONFIG_OCFS2_FS_O2CB=3Dm
+CONFIG_OCFS2_FS_USERSPACE_CLUSTER=3Dm
+CONFIG_OCFS2_FS_STATS=3Dy
+CONFIG_OCFS2_DEBUG_MASKLOG=3Dy
+# CONFIG_OCFS2_DEBUG_FS is not set
+CONFIG_BTRFS_FS=3Dm
+CONFIG_BTRFS_FS_POSIX_ACL=3Dy
+# CONFIG_BTRFS_FS_CHECK_INTEGRITY is not set
+# CONFIG_BTRFS_FS_RUN_SANITY_TESTS is not set
+# CONFIG_BTRFS_DEBUG is not set
+# CONFIG_BTRFS_ASSERT is not set
+# CONFIG_BTRFS_FS_REF_VERIFY is not set
+CONFIG_NILFS2_FS=3Dm
+CONFIG_F2FS_FS=3Dm
+CONFIG_F2FS_STAT_FS=3Dy
+CONFIG_F2FS_FS_XATTR=3Dy
+CONFIG_F2FS_FS_POSIX_ACL=3Dy
+CONFIG_F2FS_FS_SECURITY=3Dy
+# CONFIG_F2FS_CHECK_FS is not set
+# CONFIG_F2FS_IO_TRACE is not set
+# CONFIG_F2FS_FAULT_INJECTION is not set
+CONFIG_FS_DAX=3Dy
+CONFIG_FS_DAX_PMD=3Dy
+CONFIG_FS_POSIX_ACL=3Dy
+CONFIG_EXPORTFS=3Dy
+# CONFIG_EXPORTFS_BLOCK_OPS is not set
+CONFIG_FILE_LOCKING=3Dy
+CONFIG_MANDATORY_FILE_LOCKING=3Dy
+# CONFIG_FS_ENCRYPTION is not set
+CONFIG_FS_VERITY=3Dy
+# CONFIG_FS_VERITY_DEBUG is not set
+# CONFIG_FS_VERITY_BUILTIN_SIGNATURES is not set
+CONFIG_FSNOTIFY=3Dy
+CONFIG_DNOTIFY=3Dy
+CONFIG_INOTIFY_USER=3Dy
+CONFIG_FANOTIFY=3Dy
+CONFIG_FANOTIFY_ACCESS_PERMISSIONS=3Dy
+CONFIG_QUOTA=3Dy
+CONFIG_QUOTA_NETLINK_INTERFACE=3Dy
+# CONFIG_PRINT_QUOTA_WARNING is not set
+# CONFIG_QUOTA_DEBUG is not set
+CONFIG_QUOTA_TREE=3Dm
+CONFIG_QFMT_V1=3Dm
+CONFIG_QFMT_V2=3Dm
+CONFIG_QUOTACTL=3Dy
+CONFIG_QUOTACTL_COMPAT=3Dy
+CONFIG_AUTOFS4_FS=3Dm
+CONFIG_AUTOFS_FS=3Dm
+CONFIG_FUSE_FS=3Dy
+CONFIG_CUSE=3Dm
+CONFIG_VIRTIO_FS=3Dm
+CONFIG_OVERLAY_FS=3Dm
+# CONFIG_OVERLAY_FS_REDIRECT_DIR is not set
+# CONFIG_OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW is not set
+# CONFIG_OVERLAY_FS_INDEX is not set
+# CONFIG_OVERLAY_FS_XINO_AUTO is not set
+# CONFIG_OVERLAY_FS_METACOPY is not set
+
+#
+# Caches
+#
+CONFIG_FSCACHE=3Dm
+CONFIG_FSCACHE_STATS=3Dy
+# CONFIG_FSCACHE_HISTOGRAM is not set
+# CONFIG_FSCACHE_DEBUG is not set
+# CONFIG_FSCACHE_OBJECT_LIST is not set
+CONFIG_CACHEFILES=3Dm
+# CONFIG_CACHEFILES_DEBUG is not set
+# CONFIG_CACHEFILES_HISTOGRAM is not set
+# end of Caches
+
+#
+# CD-ROM/DVD Filesystems
+#
+CONFIG_ISO9660_FS=3Dm
+CONFIG_JOLIET=3Dy
+CONFIG_ZISOFS=3Dy
+CONFIG_UDF_FS=3Dm
+# end of CD-ROM/DVD Filesystems
+
+#
+# DOS/FAT/NT Filesystems
+#
+CONFIG_FAT_FS=3Dy
+CONFIG_MSDOS_FS=3Dm
+CONFIG_VFAT_FS=3Dy
+CONFIG_FAT_DEFAULT_CODEPAGE=3D437
+CONFIG_FAT_DEFAULT_IOCHARSET=3D"iso8859-1"
+# CONFIG_FAT_DEFAULT_UTF8 is not set
+CONFIG_NTFS_FS=3Dm
+# CONFIG_NTFS_DEBUG is not set
+# CONFIG_NTFS_RW is not set
+# end of DOS/FAT/NT Filesystems
+
+#
+# Pseudo filesystems
+#
+CONFIG_PROC_FS=3Dy
+CONFIG_PROC_KCORE=3Dy
+CONFIG_PROC_VMCORE=3Dy
+# CONFIG_PROC_VMCORE_DEVICE_DUMP is not set
+CONFIG_PROC_SYSCTL=3Dy
+CONFIG_PROC_PAGE_MONITOR=3Dy
+CONFIG_PROC_CHILDREN=3Dy
+CONFIG_PROC_PID_ARCH_STATUS=3Dy
+CONFIG_KERNFS=3Dy
+CONFIG_SYSFS=3Dy
+CONFIG_TMPFS=3Dy
+CONFIG_TMPFS_POSIX_ACL=3Dy
+CONFIG_TMPFS_XATTR=3Dy
+CONFIG_HUGETLBFS=3Dy
+CONFIG_HUGETLB_PAGE=3Dy
+CONFIG_MEMFD_CREATE=3Dy
+CONFIG_ARCH_HAS_GIGANTIC_PAGE=3Dy
+CONFIG_CONFIGFS_FS=3Dm
+CONFIG_EFIVAR_FS=3Dy
+# end of Pseudo filesystems
+
+CONFIG_MISC_FILESYSTEMS=3Dy
+CONFIG_ORANGEFS_FS=3Dm
+CONFIG_ADFS_FS=3Dm
+# CONFIG_ADFS_FS_RW is not set
+CONFIG_AFFS_FS=3Dm
+CONFIG_ECRYPT_FS=3Dy
+CONFIG_ECRYPT_FS_MESSAGING=3Dy
+CONFIG_HFS_FS=3Dm
+CONFIG_HFSPLUS_FS=3Dm
+CONFIG_BEFS_FS=3Dm
+# CONFIG_BEFS_DEBUG is not set
+CONFIG_BFS_FS=3Dm
+CONFIG_EFS_FS=3Dm
+CONFIG_JFFS2_FS=3Dm
+CONFIG_JFFS2_FS_DEBUG=3D0
+CONFIG_JFFS2_FS_WRITEBUFFER=3Dy
+# CONFIG_JFFS2_FS_WBUF_VERIFY is not set
+# CONFIG_JFFS2_SUMMARY is not set
+CONFIG_JFFS2_FS_XATTR=3Dy
+CONFIG_JFFS2_FS_POSIX_ACL=3Dy
+CONFIG_JFFS2_FS_SECURITY=3Dy
+CONFIG_JFFS2_COMPRESSION_OPTIONS=3Dy
+CONFIG_JFFS2_ZLIB=3Dy
+CONFIG_JFFS2_LZO=3Dy
+CONFIG_JFFS2_RTIME=3Dy
+# CONFIG_JFFS2_RUBIN is not set
+# CONFIG_JFFS2_CMODE_NONE is not set
+# CONFIG_JFFS2_CMODE_PRIORITY is not set
+# CONFIG_JFFS2_CMODE_SIZE is not set
+CONFIG_JFFS2_CMODE_FAVOURLZO=3Dy
+CONFIG_UBIFS_FS=3Dm
+# CONFIG_UBIFS_FS_ADVANCED_COMPR is not set
+CONFIG_UBIFS_FS_LZO=3Dy
+CONFIG_UBIFS_FS_ZLIB=3Dy
+CONFIG_UBIFS_FS_ZSTD=3Dy
+CONFIG_UBIFS_ATIME_SUPPORT=3Dy
+CONFIG_UBIFS_FS_XATTR=3Dy
+CONFIG_UBIFS_FS_SECURITY=3Dy
+CONFIG_UBIFS_FS_AUTHENTICATION=3Dy
+CONFIG_CRAMFS=3Dm
+CONFIG_CRAMFS_BLOCKDEV=3Dy
+# CONFIG_CRAMFS_MTD is not set
+CONFIG_SQUASHFS=3Dm
+# CONFIG_SQUASHFS_FILE_CACHE is not set
+CONFIG_SQUASHFS_FILE_DIRECT=3Dy
+# CONFIG_SQUASHFS_DECOMP_SINGLE is not set
+# CONFIG_SQUASHFS_DECOMP_MULTI is not set
+CONFIG_SQUASHFS_DECOMP_MULTI_PERCPU=3Dy
+CONFIG_SQUASHFS_XATTR=3Dy
+CONFIG_SQUASHFS_ZLIB=3Dy
+CONFIG_SQUASHFS_LZ4=3Dy
+CONFIG_SQUASHFS_LZO=3Dy
+CONFIG_SQUASHFS_XZ=3Dy
+# CONFIG_SQUASHFS_ZSTD is not set
+# CONFIG_SQUASHFS_4K_DEVBLK_SIZE is not set
+# CONFIG_SQUASHFS_EMBEDDED is not set
+CONFIG_SQUASHFS_FRAGMENT_CACHE_SIZE=3D3
+CONFIG_VXFS_FS=3Dm
+CONFIG_MINIX_FS=3Dm
+CONFIG_OMFS_FS=3Dm
+CONFIG_HPFS_FS=3Dm
+CONFIG_QNX4FS_FS=3Dm
+CONFIG_QNX6FS_FS=3Dm
+# CONFIG_QNX6FS_DEBUG is not set
+CONFIG_ROMFS_FS=3Dm
+CONFIG_ROMFS_BACKED_BY_BLOCK=3Dy
+# CONFIG_ROMFS_BACKED_BY_MTD is not set
+# CONFIG_ROMFS_BACKED_BY_BOTH is not set
+CONFIG_ROMFS_ON_BLOCK=3Dy
+CONFIG_PSTORE=3Dy
+CONFIG_PSTORE_DEFLATE_COMPRESS=3Dm
+# CONFIG_PSTORE_LZO_COMPRESS is not set
+# CONFIG_PSTORE_LZ4_COMPRESS is not set
+# CONFIG_PSTORE_LZ4HC_COMPRESS is not set
+# CONFIG_PSTORE_842_COMPRESS is not set
+# CONFIG_PSTORE_ZSTD_COMPRESS is not set
+CONFIG_PSTORE_COMPRESS=3Dy
+CONFIG_PSTORE_DEFLATE_COMPRESS_DEFAULT=3Dy
+CONFIG_PSTORE_COMPRESS_DEFAULT=3D"deflate"
+# CONFIG_PSTORE_CONSOLE is not set
+# CONFIG_PSTORE_PMSG is not set
+# CONFIG_PSTORE_FTRACE is not set
+CONFIG_PSTORE_RAM=3Dm
+CONFIG_SYSV_FS=3Dm
+CONFIG_UFS_FS=3Dm
+# CONFIG_UFS_FS_WRITE is not set
+# CONFIG_UFS_DEBUG is not set
+CONFIG_EROFS_FS=3Dm
+# CONFIG_EROFS_FS_DEBUG is not set
+CONFIG_EROFS_FS_XATTR=3Dy
+CONFIG_EROFS_FS_POSIX_ACL=3Dy
+CONFIG_EROFS_FS_SECURITY=3Dy
+# CONFIG_EROFS_FS_ZIP is not set
+CONFIG_NETWORK_FILESYSTEMS=3Dy
+CONFIG_NFS_FS=3Dm
+CONFIG_NFS_V2=3Dm
+CONFIG_NFS_V3=3Dm
+CONFIG_NFS_V3_ACL=3Dy
+CONFIG_NFS_V4=3Dm
+CONFIG_NFS_SWAP=3Dy
+CONFIG_NFS_V4_1=3Dy
+CONFIG_NFS_V4_2=3Dy
+CONFIG_PNFS_FILE_LAYOUT=3Dm
+CONFIG_PNFS_BLOCK=3Dm
+CONFIG_PNFS_FLEXFILE_LAYOUT=3Dm
+CONFIG_NFS_V4_1_IMPLEMENTATION_ID_DOMAIN=3D"kernel.org"
+CONFIG_NFS_V4_1_MIGRATION=3Dy
+CONFIG_NFS_V4_SECURITY_LABEL=3Dy
+CONFIG_NFS_FSCACHE=3Dy
+# CONFIG_NFS_USE_LEGACY_DNS is not set
+CONFIG_NFS_USE_KERNEL_DNS=3Dy
+CONFIG_NFS_DEBUG=3Dy
+CONFIG_NFSD=3Dm
+CONFIG_NFSD_V2_ACL=3Dy
+CONFIG_NFSD_V3=3Dy
+CONFIG_NFSD_V3_ACL=3Dy
+CONFIG_NFSD_V4=3Dy
+# CONFIG_NFSD_BLOCKLAYOUT is not set
+# CONFIG_NFSD_SCSILAYOUT is not set
+# CONFIG_NFSD_FLEXFILELAYOUT is not set
+CONFIG_NFSD_V4_SECURITY_LABEL=3Dy
+CONFIG_GRACE_PERIOD=3Dm
+CONFIG_LOCKD=3Dm
+CONFIG_LOCKD_V4=3Dy
+CONFIG_NFS_ACL_SUPPORT=3Dm
+CONFIG_NFS_COMMON=3Dy
+CONFIG_SUNRPC=3Dm
+CONFIG_SUNRPC_GSS=3Dm
+CONFIG_SUNRPC_BACKCHANNEL=3Dy
+CONFIG_SUNRPC_SWAP=3Dy
+CONFIG_RPCSEC_GSS_KRB5=3Dm
+CONFIG_SUNRPC_DISABLE_INSECURE_ENCTYPES=3Dy
+CONFIG_SUNRPC_DEBUG=3Dy
+CONFIG_SUNRPC_XPRT_RDMA=3Dm
+CONFIG_CEPH_FS=3Dm
+CONFIG_CEPH_FSCACHE=3Dy
+CONFIG_CEPH_FS_POSIX_ACL=3Dy
+CONFIG_CEPH_FS_SECURITY_LABEL=3Dy
+CONFIG_CIFS=3Dm
+# CONFIG_CIFS_STATS2 is not set
+CONFIG_CIFS_ALLOW_INSECURE_LEGACY=3Dy
+CONFIG_CIFS_WEAK_PW_HASH=3Dy
+CONFIG_CIFS_UPCALL=3Dy
+CONFIG_CIFS_XATTR=3Dy
+CONFIG_CIFS_POSIX=3Dy
+CONFIG_CIFS_DEBUG=3Dy
+# CONFIG_CIFS_DEBUG2 is not set
+# CONFIG_CIFS_DEBUG_DUMP_KEYS is not set
+CONFIG_CIFS_DFS_UPCALL=3Dy
+# CONFIG_CIFS_SMB_DIRECT is not set
+CONFIG_CIFS_FSCACHE=3Dy
+CONFIG_CODA_FS=3Dm
+CONFIG_AFS_FS=3Dm
+# CONFIG_AFS_DEBUG is not set
+CONFIG_AFS_FSCACHE=3Dy
+# CONFIG_AFS_DEBUG_CURSOR is not set
+CONFIG_9P_FS=3Dm
+CONFIG_9P_FSCACHE=3Dy
+CONFIG_9P_FS_POSIX_ACL=3Dy
+CONFIG_9P_FS_SECURITY=3Dy
+CONFIG_NLS=3Dy
+CONFIG_NLS_DEFAULT=3D"utf8"
+CONFIG_NLS_CODEPAGE_437=3Dy
+CONFIG_NLS_CODEPAGE_737=3Dm
+CONFIG_NLS_CODEPAGE_775=3Dm
+CONFIG_NLS_CODEPAGE_850=3Dm
+CONFIG_NLS_CODEPAGE_852=3Dm
+CONFIG_NLS_CODEPAGE_855=3Dm
+CONFIG_NLS_CODEPAGE_857=3Dm
+CONFIG_NLS_CODEPAGE_860=3Dm
+CONFIG_NLS_CODEPAGE_861=3Dm
+CONFIG_NLS_CODEPAGE_862=3Dm
+CONFIG_NLS_CODEPAGE_863=3Dm
+CONFIG_NLS_CODEPAGE_864=3Dm
+CONFIG_NLS_CODEPAGE_865=3Dm
+CONFIG_NLS_CODEPAGE_866=3Dm
+CONFIG_NLS_CODEPAGE_869=3Dm
+CONFIG_NLS_CODEPAGE_936=3Dm
+CONFIG_NLS_CODEPAGE_950=3Dm
+CONFIG_NLS_CODEPAGE_932=3Dm
+CONFIG_NLS_CODEPAGE_949=3Dm
+CONFIG_NLS_CODEPAGE_874=3Dm
+CO